#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 6112
#define LARGE_STATE_COUNT 426
#define SYMBOL_COUNT 276
#define ALIAS_COUNT 0
#define TOKEN_COUNT 175
#define EXTERNAL_TOKEN_COUNT 27
#define FIELD_COUNT 19
#define MAX_ALIAS_SEQUENCE_LENGTH 8
#define PRODUCTION_ID_COUNT 155

enum ts_symbol_identifiers {
  sym_word = 1,
  anon_sym_for = 2,
  anon_sym_select = 3,
  anon_sym_in = 4,
  anon_sym_LPAREN_LPAREN = 5,
  anon_sym_RPAREN_RPAREN = 6,
  anon_sym_SEMI = 7,
  anon_sym_COMMA = 8,
  anon_sym_EQ = 9,
  anon_sym_PLUS_PLUS = 10,
  anon_sym_DASH_DASH = 11,
  anon_sym_PLUS_EQ = 12,
  anon_sym_DASH_EQ = 13,
  anon_sym_STAR_EQ = 14,
  anon_sym_SLASH_EQ = 15,
  anon_sym_PERCENT_EQ = 16,
  anon_sym_STAR_STAR_EQ = 17,
  anon_sym_LT_LT_EQ = 18,
  anon_sym_GT_GT_EQ = 19,
  anon_sym_AMP_EQ = 20,
  anon_sym_CARET_EQ = 21,
  anon_sym_PIPE_EQ = 22,
  anon_sym_PIPE_PIPE = 23,
  anon_sym_DASHo = 24,
  anon_sym_AMP_AMP = 25,
  anon_sym_DASHa = 26,
  anon_sym_PIPE = 27,
  anon_sym_CARET = 28,
  anon_sym_AMP = 29,
  anon_sym_EQ_EQ = 30,
  anon_sym_BANG_EQ = 31,
  anon_sym_LT = 32,
  anon_sym_GT = 33,
  anon_sym_LT_EQ = 34,
  anon_sym_GT_EQ = 35,
  anon_sym_LT_LT = 36,
  anon_sym_GT_GT = 37,
  anon_sym_PLUS = 38,
  anon_sym_DASH = 39,
  anon_sym_STAR = 40,
  anon_sym_SLASH = 41,
  anon_sym_PERCENT = 42,
  anon_sym_STAR_STAR = 43,
  anon_sym_LPAREN = 44,
  anon_sym_RPAREN = 45,
  aux_sym__c_word_token1 = 46,
  anon_sym_while = 47,
  anon_sym_until = 48,
  anon_sym_do = 49,
  anon_sym_done = 50,
  anon_sym_if = 51,
  anon_sym_then = 52,
  anon_sym_fi = 53,
  anon_sym_elif = 54,
  anon_sym_else = 55,
  anon_sym_case = 56,
  anon_sym_esac = 57,
  anon_sym_SEMI_SEMI = 58,
  anon_sym_SEMI_AMP = 59,
  anon_sym_SEMI_SEMI_AMP = 60,
  anon_sym_function = 61,
  anon_sym_LBRACE = 62,
  anon_sym_RBRACE = 63,
  anon_sym_PIPE_AMP = 64,
  anon_sym_BANG = 65,
  anon_sym_LBRACK = 66,
  anon_sym_RBRACK = 67,
  anon_sym_LBRACK_LBRACK = 68,
  anon_sym_RBRACK_RBRACK = 69,
  anon_sym_declare = 70,
  anon_sym_typeset = 71,
  anon_sym_export = 72,
  anon_sym_readonly = 73,
  anon_sym_local = 74,
  anon_sym_unset = 75,
  anon_sym_unsetenv = 76,
  anon_sym_EQ_TILDE = 77,
  anon_sym_AMP_GT = 78,
  anon_sym_AMP_GT_GT = 79,
  anon_sym_LT_AMP = 80,
  anon_sym_GT_AMP = 81,
  anon_sym_GT_PIPE = 82,
  anon_sym_LT_AMP_DASH = 83,
  anon_sym_GT_AMP_DASH = 84,
  anon_sym_LT_LT_DASH = 85,
  aux_sym_heredoc_redirect_token1 = 86,
  anon_sym_LT_LT_LT = 87,
  anon_sym_QMARK = 88,
  anon_sym_COLON = 89,
  anon_sym_PLUS_PLUS2 = 90,
  anon_sym_DASH_DASH2 = 91,
  anon_sym_DASH2 = 92,
  anon_sym_PLUS2 = 93,
  anon_sym_TILDE = 94,
  anon_sym_DOLLAR_LPAREN_LPAREN = 95,
  anon_sym_DOLLAR_LBRACK = 96,
  aux_sym_brace_expression_token1 = 97,
  anon_sym_DOT_DOT = 98,
  anon_sym_RBRACE2 = 99,
  aux_sym_concatenation_token1 = 100,
  anon_sym_DOLLAR = 101,
  sym__special_character = 102,
  anon_sym_DQUOTE = 103,
  sym_string_content = 104,
  sym_raw_string = 105,
  sym_ansi_c_string = 106,
  aux_sym_number_token1 = 107,
  aux_sym_number_token2 = 108,
  anon_sym_POUND = 109,
  anon_sym_DOLLAR_LBRACE = 110,
  anon_sym_RBRACE3 = 111,
  anon_sym_BANG2 = 112,
  anon_sym_AT = 113,
  anon_sym_STAR2 = 114,
  anon_sym_POUND2 = 115,
  anon_sym_EQ2 = 116,
  anon_sym_COLON_EQ = 117,
  anon_sym_DASH3 = 118,
  anon_sym_COLON_DASH = 119,
  anon_sym_PLUS3 = 120,
  anon_sym_COLON_PLUS = 121,
  anon_sym_QMARK2 = 122,
  anon_sym_COLON_QMARK = 123,
  anon_sym_PERCENT_PERCENT = 124,
  aux_sym__expansion_regex_token1 = 125,
  anon_sym_SLASH_SLASH = 126,
  anon_sym_SLASH_POUND = 127,
  anon_sym_SLASH_PERCENT = 128,
  anon_sym_COMMA_COMMA = 129,
  anon_sym_CARET_CARET = 130,
  anon_sym_U = 131,
  anon_sym_u = 132,
  anon_sym_L = 133,
  anon_sym_Q = 134,
  anon_sym_E = 135,
  anon_sym_P = 136,
  anon_sym_A = 137,
  anon_sym_K = 138,
  anon_sym_a = 139,
  anon_sym_k = 140,
  anon_sym_DOLLAR_LPAREN = 141,
  anon_sym_BQUOTE = 142,
  anon_sym_DOLLAR_BQUOTE = 143,
  anon_sym_LT_LPAREN = 144,
  anon_sym_GT_LPAREN = 145,
  sym_comment = 146,
  sym__comment_word = 147,
  aux_sym__simple_variable_name_token1 = 148,
  aux_sym__multiline_variable_name_token1 = 149,
  anon_sym_AT2 = 150,
  anon_sym_0 = 151,
  anon_sym__ = 152,
  sym_heredoc_start = 153,
  sym_simple_heredoc_body = 154,
  sym__heredoc_body_beginning = 155,
  sym_heredoc_content = 156,
  sym_heredoc_end = 157,
  sym_file_descriptor = 158,
  sym__empty_value = 159,
  sym__concat = 160,
  sym_variable_name = 161,
  sym_test_operator = 162,
  sym_regex = 163,
  sym__regex_no_slash = 164,
  sym__regex_no_space = 165,
  sym__expansion_word = 166,
  sym_extglob_pattern = 167,
  sym__bare_dollar = 168,
  sym__brace_start = 169,
  sym__immediate_double_hash = 170,
  sym__external_expansion_sym_hash = 171,
  sym__external_expansion_sym_bang = 172,
  sym__external_expansion_sym_equal = 173,
  sym___error_recovery = 174,
  sym_program = 175,
  sym__statements = 176,
  aux_sym__terminated_statement = 177,
  sym_redirected_statement = 178,
  sym_for_statement = 179,
  sym_c_style_for_statement = 180,
  sym__for_body = 181,
  sym__c_expression = 182,
  sym__c_expression_not_assignment = 183,
  sym__c_variable_assignment = 184,
  sym__c_unary_expression = 185,
  sym__c_binary_expression = 186,
  sym__c_postfix_expression = 187,
  sym__c_parenthesized_expression = 188,
  sym_while_statement = 189,
  sym_do_group = 190,
  sym_if_statement = 191,
  sym_elif_clause = 192,
  sym_else_clause = 193,
  sym_case_statement = 194,
  sym_case_item = 195,
  sym_last_case_item = 196,
  sym_function_definition = 197,
  sym_compound_statement = 198,
  sym_subshell = 199,
  sym_pipeline = 200,
  sym_list = 201,
  sym_negated_command = 202,
  sym_test_command = 203,
  sym_declaration_command = 204,
  sym_unset_command = 205,
  sym_command = 206,
  sym_command_name = 207,
  sym_variable_assignment = 208,
  sym_variable_assignments = 209,
  sym_subscript = 210,
  sym_file_redirect = 211,
  sym_heredoc_redirect = 212,
  sym__heredoc_pipeline = 213,
  sym__heredoc_expression = 214,
  aux_sym__heredoc_command = 215,
  sym__heredoc_body = 216,
  sym_heredoc_body = 217,
  sym__simple_heredoc_body = 218,
  sym_herestring_redirect = 219,
  sym__expression = 220,
  sym_binary_expression = 221,
  sym_ternary_expression = 222,
  sym_unary_expression = 223,
  sym_postfix_expression = 224,
  sym_parenthesized_expression = 225,
  sym_arithmetic_expansion = 226,
  sym_brace_expression = 227,
  sym__arithmetic_expression = 228,
  sym__arithmetic_literal = 229,
  sym__arithmetic_binary_expression = 230,
  sym__arithmetic_ternary_expression = 231,
  sym__arithmetic_unary_expression = 232,
  sym__arithmetic_postfix_expression = 233,
  sym__arithmetic_parenthesized_expression = 234,
  sym_concatenation = 235,
  sym_string = 236,
  sym_translated_string = 237,
  sym_array = 238,
  sym_number = 239,
  sym_simple_expansion = 240,
  sym_expansion = 241,
  sym__expansion_body = 242,
  sym__expansion_expression = 243,
  sym__expansion_regex = 244,
  sym__expansion_regex_replacement = 245,
  sym__expansion_regex_removal = 246,
  sym__expansion_max_length = 247,
  sym__expansion_max_length_expression = 248,
  sym__expansion_max_length_binary_expression = 249,
  sym__expansion_operator = 250,
  sym__concatenation_in_expansion = 251,
  sym_command_substitution = 252,
  sym_process_substitution = 253,
  sym__extglob_blob = 254,
  sym__c_terminator = 255,
  aux_sym__statements_repeat1 = 256,
  aux_sym_redirected_statement_repeat1 = 257,
  aux_sym_redirected_statement_repeat2 = 258,
  aux_sym_for_statement_repeat1 = 259,
  aux_sym__for_body_repeat1 = 260,
  aux_sym_if_statement_repeat1 = 261,
  aux_sym_case_statement_repeat1 = 262,
  aux_sym_case_item_repeat1 = 263,
  aux_sym_declaration_command_repeat1 = 264,
  aux_sym_unset_command_repeat1 = 265,
  aux_sym_command_repeat1 = 266,
  aux_sym_command_repeat2 = 267,
  aux_sym_variable_assignments_repeat1 = 268,
  aux_sym_heredoc_body_repeat1 = 269,
  aux_sym__literal_repeat1 = 270,
  aux_sym_arithmetic_expansion_repeat1 = 271,
  aux_sym_concatenation_repeat1 = 272,
  aux_sym_string_repeat1 = 273,
  aux_sym__expansion_body_repeat1 = 274,
  aux_sym__concatenation_in_expansion_repeat1 = 275,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_word] = "word",
  [anon_sym_for] = "for",
  [anon_sym_select] = "select",
  [anon_sym_in] = "in",
  [anon_sym_LPAREN_LPAREN] = "((",
  [anon_sym_RPAREN_RPAREN] = "))",
  [anon_sym_SEMI] = ";",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_DASHo] = "-o",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_DASHa] = "-a",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [aux_sym__c_word_token1] = "word",
  [anon_sym_while] = "while",
  [anon_sym_until] = "until",
  [anon_sym_do] = "do",
  [anon_sym_done] = "done",
  [anon_sym_if] = "if",
  [anon_sym_then] = "then",
  [anon_sym_fi] = "fi",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_case] = "case",
  [anon_sym_esac] = "esac",
  [anon_sym_SEMI_SEMI] = ";;",
  [anon_sym_SEMI_AMP] = ";&",
  [anon_sym_SEMI_SEMI_AMP] = ";;&",
  [anon_sym_function] = "function",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_PIPE_AMP] = "|&",
  [anon_sym_BANG] = "!",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym_declare] = "declare",
  [anon_sym_typeset] = "typeset",
  [anon_sym_export] = "export",
  [anon_sym_readonly] = "readonly",
  [anon_sym_local] = "local",
  [anon_sym_unset] = "unset",
  [anon_sym_unsetenv] = "unsetenv",
  [anon_sym_EQ_TILDE] = "=~",
  [anon_sym_AMP_GT] = "&>",
  [anon_sym_AMP_GT_GT] = "&>>",
  [anon_sym_LT_AMP] = "<&",
  [anon_sym_GT_AMP] = ">&",
  [anon_sym_GT_PIPE] = ">|",
  [anon_sym_LT_AMP_DASH] = "<&-",
  [anon_sym_GT_AMP_DASH] = ">&-",
  [anon_sym_LT_LT_DASH] = "<<-",
  [aux_sym_heredoc_redirect_token1] = "heredoc_redirect_token1",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_QMARK] = "\?",
  [anon_sym_COLON] = ":",
  [anon_sym_PLUS_PLUS2] = "++",
  [anon_sym_DASH_DASH2] = "--",
  [anon_sym_DASH2] = "-",
  [anon_sym_PLUS2] = "+",
  [anon_sym_TILDE] = "~",
  [anon_sym_DOLLAR_LPAREN_LPAREN] = "$((",
  [anon_sym_DOLLAR_LBRACK] = "$[",
  [aux_sym_brace_expression_token1] = "number",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_RBRACE2] = "}",
  [aux_sym_concatenation_token1] = "``",
  [anon_sym_DOLLAR] = "$",
  [sym__special_character] = "_special_character",
  [anon_sym_DQUOTE] = "\"",
  [sym_string_content] = "string_content",
  [sym_raw_string] = "raw_string",
  [sym_ansi_c_string] = "ansi_c_string",
  [aux_sym_number_token1] = "number_token1",
  [aux_sym_number_token2] = "number_token2",
  [anon_sym_POUND] = "#",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_RBRACE3] = "}",
  [anon_sym_BANG2] = "!",
  [anon_sym_AT] = "@",
  [anon_sym_STAR2] = "*",
  [anon_sym_POUND2] = "#",
  [anon_sym_EQ2] = "=",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_DASH3] = "-",
  [anon_sym_COLON_DASH] = ":-",
  [anon_sym_PLUS3] = "+",
  [anon_sym_COLON_PLUS] = ":+",
  [anon_sym_QMARK2] = "\?",
  [anon_sym_COLON_QMARK] = ":\?",
  [anon_sym_PERCENT_PERCENT] = "%%",
  [aux_sym__expansion_regex_token1] = "regex",
  [anon_sym_SLASH_SLASH] = "//",
  [anon_sym_SLASH_POUND] = "/#",
  [anon_sym_SLASH_PERCENT] = "/%",
  [anon_sym_COMMA_COMMA] = ",,",
  [anon_sym_CARET_CARET] = "^^",
  [anon_sym_U] = "U",
  [anon_sym_u] = "u",
  [anon_sym_L] = "L",
  [anon_sym_Q] = "Q",
  [anon_sym_E] = "E",
  [anon_sym_P] = "P",
  [anon_sym_A] = "A",
  [anon_sym_K] = "K",
  [anon_sym_a] = "a",
  [anon_sym_k] = "k",
  [anon_sym_DOLLAR_LPAREN] = "$(",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_BQUOTE] = "$`",
  [anon_sym_LT_LPAREN] = "<(",
  [anon_sym_GT_LPAREN] = ">(",
  [sym_comment] = "comment",
  [sym__comment_word] = "word",
  [aux_sym__simple_variable_name_token1] = "variable_name",
  [aux_sym__multiline_variable_name_token1] = "variable_name",
  [anon_sym_AT2] = "special_variable_name",
  [anon_sym_0] = "special_variable_name",
  [anon_sym__] = "special_variable_name",
  [sym_heredoc_start] = "heredoc_start",
  [sym_simple_heredoc_body] = "heredoc_body",
  [sym__heredoc_body_beginning] = "_heredoc_body_beginning",
  [sym_heredoc_content] = "heredoc_content",
  [sym_heredoc_end] = "heredoc_end",
  [sym_file_descriptor] = "file_descriptor",
  [sym__empty_value] = "_empty_value",
  [sym__concat] = "_concat",
  [sym_variable_name] = "variable_name",
  [sym_test_operator] = "test_operator",
  [sym_regex] = "regex",
  [sym__regex_no_slash] = "regex",
  [sym__regex_no_space] = "regex",
  [sym__expansion_word] = "word",
  [sym_extglob_pattern] = "extglob_pattern",
  [sym__bare_dollar] = "$",
  [sym__brace_start] = "{",
  [sym__immediate_double_hash] = "##",
  [sym__external_expansion_sym_hash] = "#",
  [sym__external_expansion_sym_bang] = "!",
  [sym__external_expansion_sym_equal] = "=",
  [sym___error_recovery] = "__error_recovery",
  [sym_program] = "program",
  [sym__statements] = "_statements",
  [aux_sym__terminated_statement] = "_terminated_statement",
  [sym_redirected_statement] = "redirected_statement",
  [sym_for_statement] = "for_statement",
  [sym_c_style_for_statement] = "c_style_for_statement",
  [sym__for_body] = "_for_body",
  [sym__c_expression] = "_c_expression",
  [sym__c_expression_not_assignment] = "_c_expression_not_assignment",
  [sym__c_variable_assignment] = "variable_assignment",
  [sym__c_unary_expression] = "unary_expression",
  [sym__c_binary_expression] = "binary_expression",
  [sym__c_postfix_expression] = "postfix_expression",
  [sym__c_parenthesized_expression] = "parenthesized_expression",
  [sym_while_statement] = "while_statement",
  [sym_do_group] = "do_group",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_case_statement] = "case_statement",
  [sym_case_item] = "case_item",
  [sym_last_case_item] = "case_item",
  [sym_function_definition] = "function_definition",
  [sym_compound_statement] = "compound_statement",
  [sym_subshell] = "subshell",
  [sym_pipeline] = "pipeline",
  [sym_list] = "list",
  [sym_negated_command] = "negated_command",
  [sym_test_command] = "test_command",
  [sym_declaration_command] = "declaration_command",
  [sym_unset_command] = "unset_command",
  [sym_command] = "command",
  [sym_command_name] = "command_name",
  [sym_variable_assignment] = "variable_assignment",
  [sym_variable_assignments] = "variable_assignments",
  [sym_subscript] = "subscript",
  [sym_file_redirect] = "file_redirect",
  [sym_heredoc_redirect] = "heredoc_redirect",
  [sym__heredoc_pipeline] = "pipeline",
  [sym__heredoc_expression] = "_heredoc_expression",
  [aux_sym__heredoc_command] = "_heredoc_command",
  [sym__heredoc_body] = "_heredoc_body",
  [sym_heredoc_body] = "heredoc_body",
  [sym__simple_heredoc_body] = "_simple_heredoc_body",
  [sym_herestring_redirect] = "herestring_redirect",
  [sym__expression] = "_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_ternary_expression] = "ternary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_postfix_expression] = "postfix_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_arithmetic_expansion] = "arithmetic_expansion",
  [sym_brace_expression] = "brace_expression",
  [sym__arithmetic_expression] = "_arithmetic_expression",
  [sym__arithmetic_literal] = "_arithmetic_literal",
  [sym__arithmetic_binary_expression] = "binary_expression",
  [sym__arithmetic_ternary_expression] = "ternary_expression",
  [sym__arithmetic_unary_expression] = "unary_expression",
  [sym__arithmetic_postfix_expression] = "postfix_expression",
  [sym__arithmetic_parenthesized_expression] = "parenthesized_expression",
  [sym_concatenation] = "concatenation",
  [sym_string] = "string",
  [sym_translated_string] = "translated_string",
  [sym_array] = "array",
  [sym_number] = "number",
  [sym_simple_expansion] = "simple_expansion",
  [sym_expansion] = "expansion",
  [sym__expansion_body] = "_expansion_body",
  [sym__expansion_expression] = "_expansion_expression",
  [sym__expansion_regex] = "_expansion_regex",
  [sym__expansion_regex_replacement] = "_expansion_regex_replacement",
  [sym__expansion_regex_removal] = "_expansion_regex_removal",
  [sym__expansion_max_length] = "_expansion_max_length",
  [sym__expansion_max_length_expression] = "_expansion_max_length_expression",
  [sym__expansion_max_length_binary_expression] = "binary_expression",
  [sym__expansion_operator] = "_expansion_operator",
  [sym__concatenation_in_expansion] = "concatenation",
  [sym_command_substitution] = "command_substitution",
  [sym_process_substitution] = "process_substitution",
  [sym__extglob_blob] = "_extglob_blob",
  [sym__c_terminator] = "_c_terminator",
  [aux_sym__statements_repeat1] = "_statements_repeat1",
  [aux_sym_redirected_statement_repeat1] = "redirected_statement_repeat1",
  [aux_sym_redirected_statement_repeat2] = "redirected_statement_repeat2",
  [aux_sym_for_statement_repeat1] = "for_statement_repeat1",
  [aux_sym__for_body_repeat1] = "_for_body_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_case_item_repeat1] = "case_item_repeat1",
  [aux_sym_declaration_command_repeat1] = "declaration_command_repeat1",
  [aux_sym_unset_command_repeat1] = "unset_command_repeat1",
  [aux_sym_command_repeat1] = "command_repeat1",
  [aux_sym_command_repeat2] = "command_repeat2",
  [aux_sym_variable_assignments_repeat1] = "variable_assignments_repeat1",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym__literal_repeat1] = "_literal_repeat1",
  [aux_sym_arithmetic_expansion_repeat1] = "arithmetic_expansion_repeat1",
  [aux_sym_concatenation_repeat1] = "concatenation_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym__expansion_body_repeat1] = "_expansion_body_repeat1",
  [aux_sym__concatenation_in_expansion_repeat1] = "_concatenation_in_expansion_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_word] = sym_word,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_select] = anon_sym_select,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_LPAREN_LPAREN] = anon_sym_LPAREN_LPAREN,
  [anon_sym_RPAREN_RPAREN] = anon_sym_RPAREN_RPAREN,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_DASHo] = anon_sym_DASHo,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_DASHa] = anon_sym_DASHa,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym__c_word_token1] = sym_word,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_until] = anon_sym_until,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_done] = anon_sym_done,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_then] = anon_sym_then,
  [anon_sym_fi] = anon_sym_fi,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_esac] = anon_sym_esac,
  [anon_sym_SEMI_SEMI] = anon_sym_SEMI_SEMI,
  [anon_sym_SEMI_AMP] = anon_sym_SEMI_AMP,
  [anon_sym_SEMI_SEMI_AMP] = anon_sym_SEMI_SEMI_AMP,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_PIPE_AMP] = anon_sym_PIPE_AMP,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym_declare] = anon_sym_declare,
  [anon_sym_typeset] = anon_sym_typeset,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_local] = anon_sym_local,
  [anon_sym_unset] = anon_sym_unset,
  [anon_sym_unsetenv] = anon_sym_unsetenv,
  [anon_sym_EQ_TILDE] = anon_sym_EQ_TILDE,
  [anon_sym_AMP_GT] = anon_sym_AMP_GT,
  [anon_sym_AMP_GT_GT] = anon_sym_AMP_GT_GT,
  [anon_sym_LT_AMP] = anon_sym_LT_AMP,
  [anon_sym_GT_AMP] = anon_sym_GT_AMP,
  [anon_sym_GT_PIPE] = anon_sym_GT_PIPE,
  [anon_sym_LT_AMP_DASH] = anon_sym_LT_AMP_DASH,
  [anon_sym_GT_AMP_DASH] = anon_sym_GT_AMP_DASH,
  [anon_sym_LT_LT_DASH] = anon_sym_LT_LT_DASH,
  [aux_sym_heredoc_redirect_token1] = aux_sym_heredoc_redirect_token1,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_PLUS_PLUS2] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH2] = anon_sym_DASH_DASH,
  [anon_sym_DASH2] = anon_sym_DASH,
  [anon_sym_PLUS2] = anon_sym_PLUS,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DOLLAR_LPAREN_LPAREN] = anon_sym_DOLLAR_LPAREN_LPAREN,
  [anon_sym_DOLLAR_LBRACK] = anon_sym_DOLLAR_LBRACK,
  [aux_sym_brace_expression_token1] = sym_number,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_RBRACE2] = anon_sym_RBRACE,
  [aux_sym_concatenation_token1] = aux_sym_concatenation_token1,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [sym__special_character] = sym__special_character,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [sym_string_content] = sym_string_content,
  [sym_raw_string] = sym_raw_string,
  [sym_ansi_c_string] = sym_ansi_c_string,
  [aux_sym_number_token1] = aux_sym_number_token1,
  [aux_sym_number_token2] = aux_sym_number_token2,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_RBRACE3] = anon_sym_RBRACE,
  [anon_sym_BANG2] = anon_sym_BANG,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_STAR2] = anon_sym_STAR,
  [anon_sym_POUND2] = anon_sym_POUND,
  [anon_sym_EQ2] = anon_sym_EQ,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_DASH3] = anon_sym_DASH,
  [anon_sym_COLON_DASH] = anon_sym_COLON_DASH,
  [anon_sym_PLUS3] = anon_sym_PLUS,
  [anon_sym_COLON_PLUS] = anon_sym_COLON_PLUS,
  [anon_sym_QMARK2] = anon_sym_QMARK,
  [anon_sym_COLON_QMARK] = anon_sym_COLON_QMARK,
  [anon_sym_PERCENT_PERCENT] = anon_sym_PERCENT_PERCENT,
  [aux_sym__expansion_regex_token1] = sym_regex,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [anon_sym_SLASH_POUND] = anon_sym_SLASH_POUND,
  [anon_sym_SLASH_PERCENT] = anon_sym_SLASH_PERCENT,
  [anon_sym_COMMA_COMMA] = anon_sym_COMMA_COMMA,
  [anon_sym_CARET_CARET] = anon_sym_CARET_CARET,
  [anon_sym_U] = anon_sym_U,
  [anon_sym_u] = anon_sym_u,
  [anon_sym_L] = anon_sym_L,
  [anon_sym_Q] = anon_sym_Q,
  [anon_sym_E] = anon_sym_E,
  [anon_sym_P] = anon_sym_P,
  [anon_sym_A] = anon_sym_A,
  [anon_sym_K] = anon_sym_K,
  [anon_sym_a] = anon_sym_a,
  [anon_sym_k] = anon_sym_k,
  [anon_sym_DOLLAR_LPAREN] = anon_sym_DOLLAR_LPAREN,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_BQUOTE] = anon_sym_DOLLAR_BQUOTE,
  [anon_sym_LT_LPAREN] = anon_sym_LT_LPAREN,
  [anon_sym_GT_LPAREN] = anon_sym_GT_LPAREN,
  [sym_comment] = sym_comment,
  [sym__comment_word] = sym_word,
  [aux_sym__simple_variable_name_token1] = sym_variable_name,
  [aux_sym__multiline_variable_name_token1] = sym_variable_name,
  [anon_sym_AT2] = anon_sym_AT2,
  [anon_sym_0] = anon_sym_AT2,
  [anon_sym__] = anon_sym_AT2,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym_simple_heredoc_body] = sym_heredoc_body,
  [sym__heredoc_body_beginning] = sym__heredoc_body_beginning,
  [sym_heredoc_content] = sym_heredoc_content,
  [sym_heredoc_end] = sym_heredoc_end,
  [sym_file_descriptor] = sym_file_descriptor,
  [sym__empty_value] = sym__empty_value,
  [sym__concat] = sym__concat,
  [sym_variable_name] = sym_variable_name,
  [sym_test_operator] = sym_test_operator,
  [sym_regex] = sym_regex,
  [sym__regex_no_slash] = sym_regex,
  [sym__regex_no_space] = sym_regex,
  [sym__expansion_word] = sym_word,
  [sym_extglob_pattern] = sym_extglob_pattern,
  [sym__bare_dollar] = anon_sym_DOLLAR,
  [sym__brace_start] = anon_sym_LBRACE,
  [sym__immediate_double_hash] = sym__immediate_double_hash,
  [sym__external_expansion_sym_hash] = anon_sym_POUND,
  [sym__external_expansion_sym_bang] = anon_sym_BANG,
  [sym__external_expansion_sym_equal] = anon_sym_EQ,
  [sym___error_recovery] = sym___error_recovery,
  [sym_program] = sym_program,
  [sym__statements] = sym__statements,
  [aux_sym__terminated_statement] = aux_sym__terminated_statement,
  [sym_redirected_statement] = sym_redirected_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_c_style_for_statement] = sym_c_style_for_statement,
  [sym__for_body] = sym__for_body,
  [sym__c_expression] = sym__c_expression,
  [sym__c_expression_not_assignment] = sym__c_expression_not_assignment,
  [sym__c_variable_assignment] = sym_variable_assignment,
  [sym__c_unary_expression] = sym_unary_expression,
  [sym__c_binary_expression] = sym_binary_expression,
  [sym__c_postfix_expression] = sym_postfix_expression,
  [sym__c_parenthesized_expression] = sym_parenthesized_expression,
  [sym_while_statement] = sym_while_statement,
  [sym_do_group] = sym_do_group,
  [sym_if_statement] = sym_if_statement,
  [sym_elif_clause] = sym_elif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_case_statement] = sym_case_statement,
  [sym_case_item] = sym_case_item,
  [sym_last_case_item] = sym_case_item,
  [sym_function_definition] = sym_function_definition,
  [sym_compound_statement] = sym_compound_statement,
  [sym_subshell] = sym_subshell,
  [sym_pipeline] = sym_pipeline,
  [sym_list] = sym_list,
  [sym_negated_command] = sym_negated_command,
  [sym_test_command] = sym_test_command,
  [sym_declaration_command] = sym_declaration_command,
  [sym_unset_command] = sym_unset_command,
  [sym_command] = sym_command,
  [sym_command_name] = sym_command_name,
  [sym_variable_assignment] = sym_variable_assignment,
  [sym_variable_assignments] = sym_variable_assignments,
  [sym_subscript] = sym_subscript,
  [sym_file_redirect] = sym_file_redirect,
  [sym_heredoc_redirect] = sym_heredoc_redirect,
  [sym__heredoc_pipeline] = sym_pipeline,
  [sym__heredoc_expression] = sym__heredoc_expression,
  [aux_sym__heredoc_command] = aux_sym__heredoc_command,
  [sym__heredoc_body] = sym__heredoc_body,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym__simple_heredoc_body] = sym__simple_heredoc_body,
  [sym_herestring_redirect] = sym_herestring_redirect,
  [sym__expression] = sym__expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_postfix_expression] = sym_postfix_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_arithmetic_expansion] = sym_arithmetic_expansion,
  [sym_brace_expression] = sym_brace_expression,
  [sym__arithmetic_expression] = sym__arithmetic_expression,
  [sym__arithmetic_literal] = sym__arithmetic_literal,
  [sym__arithmetic_binary_expression] = sym_binary_expression,
  [sym__arithmetic_ternary_expression] = sym_ternary_expression,
  [sym__arithmetic_unary_expression] = sym_unary_expression,
  [sym__arithmetic_postfix_expression] = sym_postfix_expression,
  [sym__arithmetic_parenthesized_expression] = sym_parenthesized_expression,
  [sym_concatenation] = sym_concatenation,
  [sym_string] = sym_string,
  [sym_translated_string] = sym_translated_string,
  [sym_array] = sym_array,
  [sym_number] = sym_number,
  [sym_simple_expansion] = sym_simple_expansion,
  [sym_expansion] = sym_expansion,
  [sym__expansion_body] = sym__expansion_body,
  [sym__expansion_expression] = sym__expansion_expression,
  [sym__expansion_regex] = sym__expansion_regex,
  [sym__expansion_regex_replacement] = sym__expansion_regex_replacement,
  [sym__expansion_regex_removal] = sym__expansion_regex_removal,
  [sym__expansion_max_length] = sym__expansion_max_length,
  [sym__expansion_max_length_expression] = sym__expansion_max_length_expression,
  [sym__expansion_max_length_binary_expression] = sym_binary_expression,
  [sym__expansion_operator] = sym__expansion_operator,
  [sym__concatenation_in_expansion] = sym_concatenation,
  [sym_command_substitution] = sym_command_substitution,
  [sym_process_substitution] = sym_process_substitution,
  [sym__extglob_blob] = sym__extglob_blob,
  [sym__c_terminator] = sym__c_terminator,
  [aux_sym__statements_repeat1] = aux_sym__statements_repeat1,
  [aux_sym_redirected_statement_repeat1] = aux_sym_redirected_statement_repeat1,
  [aux_sym_redirected_statement_repeat2] = aux_sym_redirected_statement_repeat2,
  [aux_sym_for_statement_repeat1] = aux_sym_for_statement_repeat1,
  [aux_sym__for_body_repeat1] = aux_sym__for_body_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_case_item_repeat1] = aux_sym_case_item_repeat1,
  [aux_sym_declaration_command_repeat1] = aux_sym_declaration_command_repeat1,
  [aux_sym_unset_command_repeat1] = aux_sym_unset_command_repeat1,
  [aux_sym_command_repeat1] = aux_sym_command_repeat1,
  [aux_sym_command_repeat2] = aux_sym_command_repeat2,
  [aux_sym_variable_assignments_repeat1] = aux_sym_variable_assignments_repeat1,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym__literal_repeat1] = aux_sym__literal_repeat1,
  [aux_sym_arithmetic_expansion_repeat1] = aux_sym_arithmetic_expansion_repeat1,
  [aux_sym_concatenation_repeat1] = aux_sym_concatenation_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym__expansion_body_repeat1] = aux_sym__expansion_body_repeat1,
  [aux_sym__concatenation_in_expansion_repeat1] = aux_sym__concatenation_in_expansion_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_word] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_select] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASHo] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASHa] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__c_word_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_until] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_done] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_esac] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI_SEMI_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_declare] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsetenv] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_AMP_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_AMP_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_heredoc_redirect_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LPAREN_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_brace_expression_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_concatenation_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [sym__special_character] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string] = {
    .visible = true,
    .named = true,
  },
  [sym_ansi_c_string] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_number_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_number_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__expansion_regex_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_L] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_Q] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_E] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_P] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_A] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_K] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_a] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_k] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__comment_word] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__simple_variable_name_token1] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__multiline_variable_name_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT2] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_0] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym__heredoc_body_beginning] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc_content] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_end] = {
    .visible = true,
    .named = true,
  },
  [sym_file_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_value] = {
    .visible = false,
    .named = true,
  },
  [sym__concat] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_test_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym__regex_no_slash] = {
    .visible = true,
    .named = true,
  },
  [sym__regex_no_space] = {
    .visible = true,
    .named = true,
  },
  [sym__expansion_word] = {
    .visible = true,
    .named = true,
  },
  [sym_extglob_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__bare_dollar] = {
    .visible = true,
    .named = false,
  },
  [sym__brace_start] = {
    .visible = true,
    .named = false,
  },
  [sym__immediate_double_hash] = {
    .visible = true,
    .named = false,
  },
  [sym__external_expansion_sym_hash] = {
    .visible = true,
    .named = false,
  },
  [sym__external_expansion_sym_bang] = {
    .visible = true,
    .named = false,
  },
  [sym__external_expansion_sym_equal] = {
    .visible = true,
    .named = false,
  },
  [sym___error_recovery] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym__statements] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__terminated_statement] = {
    .visible = false,
    .named = false,
  },
  [sym_redirected_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_c_style_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_body] = {
    .visible = false,
    .named = true,
  },
  [sym__c_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__c_expression_not_assignment] = {
    .visible = false,
    .named = true,
  },
  [sym__c_variable_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym__c_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__c_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__c_postfix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__c_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_group] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_item] = {
    .visible = true,
    .named = true,
  },
  [sym_last_case_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_subshell] = {
    .visible = true,
    .named = true,
  },
  [sym_pipeline] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_negated_command] = {
    .visible = true,
    .named = true,
  },
  [sym_test_command] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_command] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_command] = {
    .visible = true,
    .named = true,
  },
  [sym_command] = {
    .visible = true,
    .named = true,
  },
  [sym_command_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_assignments] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_file_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym__heredoc_pipeline] = {
    .visible = true,
    .named = true,
  },
  [sym__heredoc_expression] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__heredoc_command] = {
    .visible = false,
    .named = false,
  },
  [sym__heredoc_body] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_heredoc_body] = {
    .visible = false,
    .named = true,
  },
  [sym_herestring_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_arithmetic_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_brace_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__arithmetic_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__arithmetic_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__arithmetic_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__arithmetic_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__arithmetic_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__arithmetic_postfix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__arithmetic_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenation] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_translated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym__expansion_body] = {
    .visible = false,
    .named = true,
  },
  [sym__expansion_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__expansion_regex] = {
    .visible = false,
    .named = true,
  },
  [sym__expansion_regex_replacement] = {
    .visible = false,
    .named = true,
  },
  [sym__expansion_regex_removal] = {
    .visible = false,
    .named = true,
  },
  [sym__expansion_max_length] = {
    .visible = false,
    .named = true,
  },
  [sym__expansion_max_length_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__expansion_max_length_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__expansion_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__concatenation_in_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_command_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_process_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym__extglob_blob] = {
    .visible = false,
    .named = true,
  },
  [sym__c_terminator] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_redirected_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_redirected_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__for_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_item_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_assignments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arithmetic_expansion_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__expansion_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__concatenation_in_expansion_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_body = 3,
  field_condition = 4,
  field_consequence = 5,
  field_descriptor = 6,
  field_destination = 7,
  field_fallthrough = 8,
  field_index = 9,
  field_initializer = 10,
  field_left = 11,
  field_name = 12,
  field_operator = 13,
  field_redirect = 14,
  field_right = 15,
  field_termination = 16,
  field_update = 17,
  field_value = 18,
  field_variable = 19,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_descriptor] = "descriptor",
  [field_destination] = "destination",
  [field_fallthrough] = "fallthrough",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_redirect] = "redirect",
  [field_right] = "right",
  [field_termination] = "termination",
  [field_update] = "update",
  [field_value] = "value",
  [field_variable] = "variable",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 1},
  [5] = {.index = 3, .length = 3},
  [6] = {.index = 6, .length = 3},
  [7] = {.index = 9, .length = 1},
  [8] = {.index = 10, .length = 1},
  [9] = {.index = 10, .length = 1},
  [12] = {.index = 11, .length = 1},
  [14] = {.index = 12, .length = 2},
  [15] = {.index = 14, .length = 1},
  [16] = {.index = 15, .length = 1},
  [17] = {.index = 15, .length = 1},
  [18] = {.index = 16, .length = 3},
  [19] = {.index = 19, .length = 2},
  [20] = {.index = 21, .length = 2},
  [21] = {.index = 23, .length = 2},
  [22] = {.index = 23, .length = 2},
  [23] = {.index = 2, .length = 1},
  [24] = {.index = 25, .length = 2},
  [25] = {.index = 25, .length = 2},
  [26] = {.index = 27, .length = 2},
  [27] = {.index = 29, .length = 1},
  [28] = {.index = 30, .length = 2},
  [29] = {.index = 32, .length = 2},
  [30] = {.index = 34, .length = 1},
  [31] = {.index = 34, .length = 1},
  [32] = {.index = 11, .length = 1},
  [33] = {.index = 35, .length = 2},
  [34] = {.index = 37, .length = 1},
  [35] = {.index = 38, .length = 2},
  [36] = {.index = 38, .length = 2},
  [37] = {.index = 40, .length = 4},
  [38] = {.index = 44, .length = 4},
  [39] = {.index = 48, .length = 2},
  [40] = {.index = 48, .length = 2},
  [41] = {.index = 50, .length = 2},
  [42] = {.index = 52, .length = 3},
  [43] = {.index = 55, .length = 1},
  [44] = {.index = 56, .length = 1},
  [45] = {.index = 56, .length = 1},
  [46] = {.index = 57, .length = 3},
  [47] = {.index = 11, .length = 1},
  [48] = {.index = 60, .length = 2},
  [49] = {.index = 62, .length = 2},
  [50] = {.index = 64, .length = 2},
  [51] = {.index = 66, .length = 2},
  [52] = {.index = 66, .length = 2},
  [53] = {.index = 68, .length = 2},
  [54] = {.index = 25, .length = 2},
  [55] = {.index = 70, .length = 4},
  [56] = {.index = 74, .length = 1},
  [57] = {.index = 75, .length = 1},
  [58] = {.index = 76, .length = 1},
  [59] = {.index = 76, .length = 1},
  [60] = {.index = 77, .length = 2},
  [61] = {.index = 60, .length = 2},
  [62] = {.index = 79, .length = 3},
  [63] = {.index = 82, .length = 3},
  [64] = {.index = 85, .length = 3},
  [65] = {.index = 88, .length = 2},
  [66] = {.index = 90, .length = 2},
  [67] = {.index = 92, .length = 4},
  [68] = {.index = 96, .length = 2},
  [69] = {.index = 98, .length = 2},
  [70] = {.index = 100, .length = 2},
  [71] = {.index = 102, .length = 2},
  [72] = {.index = 104, .length = 2},
  [73] = {.index = 106, .length = 2},
  [74] = {.index = 108, .length = 3},
  [75] = {.index = 111, .length = 3},
  [76] = {.index = 114, .length = 2},
  [77] = {.index = 116, .length = 2},
  [78] = {.index = 118, .length = 2},
  [79] = {.index = 120, .length = 2},
  [80] = {.index = 114, .length = 2},
  [81] = {.index = 116, .length = 2},
  [82] = {.index = 118, .length = 2},
  [83] = {.index = 122, .length = 3},
  [84] = {.index = 64, .length = 2},
  [85] = {.index = 125, .length = 3},
  [86] = {.index = 125, .length = 3},
  [87] = {.index = 60, .length = 2},
  [88] = {.index = 128, .length = 2},
  [89] = {.index = 130, .length = 3},
  [90] = {.index = 133, .length = 4},
  [91] = {.index = 137, .length = 2},
  [92] = {.index = 139, .length = 1},
  [93] = {.index = 140, .length = 1},
  [94] = {.index = 141, .length = 3},
  [95] = {.index = 144, .length = 3},
  [96] = {.index = 147, .length = 3},
  [97] = {.index = 150, .length = 3},
  [98] = {.index = 153, .length = 3},
  [99] = {.index = 156, .length = 3},
  [100] = {.index = 159, .length = 3},
  [101] = {.index = 162, .length = 2},
  [102] = {.index = 164, .length = 2},
  [103] = {.index = 166, .length = 3},
  [104] = {.index = 169, .length = 3},
  [105] = {.index = 172, .length = 2},
  [106] = {.index = 174, .length = 2},
  [107] = {.index = 176, .length = 2},
  [108] = {.index = 172, .length = 2},
  [109] = {.index = 174, .length = 2},
  [110] = {.index = 176, .length = 2},
  [111] = {.index = 162, .length = 2},
  [112] = {.index = 164, .length = 2},
  [113] = {.index = 166, .length = 3},
  [114] = {.index = 169, .length = 3},
  [115] = {.index = 178, .length = 3},
  [116] = {.index = 178, .length = 3},
  [117] = {.index = 64, .length = 2},
  [118] = {.index = 181, .length = 3},
  [119] = {.index = 128, .length = 2},
  [120] = {.index = 184, .length = 3},
  [121] = {.index = 187, .length = 2},
  [122] = {.index = 189, .length = 2},
  [123] = {.index = 191, .length = 3},
  [124] = {.index = 194, .length = 4},
  [125] = {.index = 198, .length = 4},
  [126] = {.index = 202, .length = 4},
  [127] = {.index = 206, .length = 4},
  [128] = {.index = 210, .length = 4},
  [129] = {.index = 214, .length = 4},
  [130] = {.index = 218, .length = 3},
  [131] = {.index = 221, .length = 3},
  [132] = {.index = 224, .length = 2},
  [133] = {.index = 226, .length = 2},
  [134] = {.index = 228, .length = 3},
  [135] = {.index = 231, .length = 3},
  [136] = {.index = 224, .length = 2},
  [137] = {.index = 226, .length = 2},
  [138] = {.index = 228, .length = 3},
  [139] = {.index = 231, .length = 3},
  [140] = {.index = 218, .length = 3},
  [141] = {.index = 221, .length = 3},
  [142] = {.index = 234, .length = 3},
  [143] = {.index = 237, .length = 3},
  [144] = {.index = 237, .length = 3},
  [145] = {.index = 240, .length = 4},
  [146] = {.index = 244, .length = 5},
  [147] = {.index = 249, .length = 5},
  [148] = {.index = 254, .length = 5},
  [149] = {.index = 259, .length = 3},
  [150] = {.index = 262, .length = 3},
  [151] = {.index = 259, .length = 3},
  [152] = {.index = 262, .length = 3},
  [153] = {.index = 265, .length = 3},
  [154] = {.index = 268, .length = 6},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0},
  [1] =
    {field_redirect, 0},
  [2] =
    {field_descriptor, 0},
  [3] =
    {field_left, 0, .inherited = true},
    {field_operator, 0, .inherited = true},
    {field_right, 0, .inherited = true},
  [6] =
    {field_alternative, 0, .inherited = true},
    {field_condition, 0, .inherited = true},
    {field_consequence, 0, .inherited = true},
  [9] =
    {field_operator, 0, .inherited = true},
  [10] =
    {field_destination, 1},
  [11] =
    {field_operator, 0},
  [12] =
    {field_body, 0},
    {field_redirect, 1},
  [14] =
    {field_body, 0},
  [15] =
    {field_argument, 0},
  [16] =
    {field_argument, 1, .inherited = true},
    {field_name, 0},
    {field_redirect, 1, .inherited = true},
  [19] =
    {field_name, 1},
    {field_redirect, 0, .inherited = true},
  [21] =
    {field_redirect, 0, .inherited = true},
    {field_redirect, 1, .inherited = true},
  [23] =
    {field_descriptor, 0},
    {field_destination, 2},
  [25] =
    {field_name, 0},
    {field_value, 2},
  [27] =
    {field_name, 0, .inherited = true},
    {field_value, 0, .inherited = true},
  [29] =
    {field_operator, 1},
  [30] =
    {field_body, 2},
    {field_condition, 1},
  [32] =
    {field_body, 2},
    {field_name, 1},
  [34] =
    {field_operator, 1, .inherited = true},
  [35] =
    {field_operator, 0, .inherited = true},
    {field_operator, 1, .inherited = true},
  [37] =
    {field_redirect, 1},
  [38] =
    {field_argument, 0},
    {field_argument, 1},
  [40] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
    {field_redirect, 0, .inherited = true},
    {field_redirect, 1, .inherited = true},
  [44] =
    {field_argument, 2, .inherited = true},
    {field_name, 1},
    {field_redirect, 0, .inherited = true},
    {field_redirect, 2, .inherited = true},
  [48] =
    {field_index, 2},
    {field_name, 0},
  [50] =
    {field_body, 3},
    {field_variable, 1},
  [52] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [55] =
    {field_condition, 1},
  [56] =
    {field_value, 1},
  [57] =
    {field_body, 2},
    {field_name, 1},
    {field_redirect, 3},
  [60] =
    {field_operator, 0},
    {field_operator, 1},
  [62] =
    {field_operator, 0},
    {field_operator, 1, .inherited = true},
  [64] =
    {field_operator, 0},
    {field_operator, 2},
  [66] =
    {field_operator, 0},
    {field_operator, 2, .inherited = true},
  [68] =
    {field_body, 3},
    {field_name, 0},
  [70] =
    {field_body, 4},
    {field_condition, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_update, 2, .inherited = true},
  [74] =
    {field_initializer, 0},
  [75] =
    {field_update, 2},
  [76] =
    {field_value, 0},
  [77] =
    {field_body, 4},
    {field_name, 1},
  [79] =
    {field_operator, 0},
    {field_operator, 1},
    {field_operator, 2, .inherited = true},
  [82] =
    {field_operator, 0},
    {field_operator, 1, .inherited = true},
    {field_operator, 2},
  [85] =
    {field_body, 3},
    {field_name, 0},
    {field_redirect, 4},
  [88] =
    {field_operator, 0},
    {field_right, 1},
  [90] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [92] =
    {field_body, 5},
    {field_condition, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_update, 2, .inherited = true},
  [96] =
    {field_condition, 2},
    {field_initializer, 0},
  [98] =
    {field_initializer, 0},
    {field_update, 3},
  [100] =
    {field_initializer, 0},
    {field_initializer, 1},
  [102] =
    {field_condition, 1},
    {field_update, 3},
  [104] =
    {field_condition, 1},
    {field_condition, 2},
  [106] =
    {field_update, 2},
    {field_update, 3},
  [108] =
    {field_body, 5},
    {field_value, 3},
    {field_variable, 1},
  [111] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [114] =
    {field_termination, 2},
    {field_value, 0},
  [116] =
    {field_fallthrough, 2},
    {field_value, 0},
  [118] =
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [120] =
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [122] =
    {field_body, 4},
    {field_name, 1},
    {field_redirect, 5},
  [125] =
    {field_operator, 0},
    {field_operator, 1},
    {field_operator, 3},
  [128] =
    {field_operator, 0},
    {field_operator, 3},
  [130] =
    {field_operator, 0},
    {field_operator, 2},
    {field_operator, 3, .inherited = true},
  [133] =
    {field_operator, 0},
    {field_operator, 1, .inherited = true},
    {field_operator, 2},
    {field_operator, 3, .inherited = true},
  [137] =
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
  [139] =
    {field_argument, 2, .inherited = true},
  [140] =
    {field_redirect, 2},
  [141] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [144] =
    {field_condition, 2},
    {field_condition, 3},
    {field_initializer, 0},
  [147] =
    {field_initializer, 0},
    {field_update, 3},
    {field_update, 4},
  [150] =
    {field_condition, 3},
    {field_initializer, 0},
    {field_initializer, 1},
  [153] =
    {field_initializer, 0},
    {field_initializer, 1},
    {field_update, 4},
  [156] =
    {field_condition, 1},
    {field_update, 3},
    {field_update, 4},
  [159] =
    {field_condition, 1},
    {field_condition, 2},
    {field_update, 4},
  [162] =
    {field_termination, 3},
    {field_value, 0},
  [164] =
    {field_fallthrough, 3},
    {field_value, 0},
  [166] =
    {field_termination, 3},
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [169] =
    {field_fallthrough, 3},
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [172] =
    {field_termination, 3},
    {field_value, 1},
  [174] =
    {field_fallthrough, 3},
    {field_value, 1},
  [176] =
    {field_value, 1},
    {field_value, 2, .inherited = true},
  [178] =
    {field_operator, 0},
    {field_operator, 2},
    {field_operator, 4},
  [181] =
    {field_operator, 0},
    {field_operator, 1},
    {field_operator, 4},
  [184] =
    {field_descriptor, 0},
    {field_operator, 3, .inherited = true},
    {field_right, 3, .inherited = true},
  [187] =
    {field_argument, 3, .inherited = true},
    {field_descriptor, 0},
  [189] =
    {field_descriptor, 0},
    {field_redirect, 3},
  [191] =
    {field_operator, 3, .inherited = true},
    {field_redirect, 2},
    {field_right, 3, .inherited = true},
  [194] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
    {field_update, 5},
  [198] =
    {field_condition, 2},
    {field_condition, 3},
    {field_initializer, 0},
    {field_update, 5},
  [202] =
    {field_condition, 3},
    {field_initializer, 0},
    {field_initializer, 1},
    {field_update, 5},
  [206] =
    {field_condition, 3},
    {field_condition, 4},
    {field_initializer, 0},
    {field_initializer, 1},
  [210] =
    {field_initializer, 0},
    {field_initializer, 1},
    {field_update, 4},
    {field_update, 5},
  [214] =
    {field_condition, 1},
    {field_condition, 2},
    {field_update, 4},
    {field_update, 5},
  [218] =
    {field_termination, 4},
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [221] =
    {field_fallthrough, 4},
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [224] =
    {field_termination, 4},
    {field_value, 1},
  [226] =
    {field_fallthrough, 4},
    {field_value, 1},
  [228] =
    {field_termination, 4},
    {field_value, 1},
    {field_value, 2, .inherited = true},
  [231] =
    {field_fallthrough, 4},
    {field_value, 1},
    {field_value, 2, .inherited = true},
  [234] =
    {field_operator, 0},
    {field_operator, 2},
    {field_operator, 5},
  [237] =
    {field_operator, 0},
    {field_operator, 3},
    {field_operator, 5},
  [240] =
    {field_descriptor, 0},
    {field_operator, 4, .inherited = true},
    {field_redirect, 3},
    {field_right, 4, .inherited = true},
  [244] =
    {field_condition, 2},
    {field_condition, 3},
    {field_initializer, 0},
    {field_update, 5},
    {field_update, 6},
  [249] =
    {field_condition, 3},
    {field_initializer, 0},
    {field_initializer, 1},
    {field_update, 5},
    {field_update, 6},
  [254] =
    {field_condition, 3},
    {field_condition, 4},
    {field_initializer, 0},
    {field_initializer, 1},
    {field_update, 6},
  [259] =
    {field_termination, 5},
    {field_value, 1},
    {field_value, 2, .inherited = true},
  [262] =
    {field_fallthrough, 5},
    {field_value, 1},
    {field_value, 2, .inherited = true},
  [265] =
    {field_operator, 0},
    {field_operator, 3},
    {field_operator, 6},
  [268] =
    {field_condition, 3},
    {field_condition, 4},
    {field_initializer, 0},
    {field_initializer, 1},
    {field_update, 6},
    {field_update, 7},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_word,
  },
  [9] = {
    [1] = sym_word,
  },
  [10] = {
    [1] = sym_word,
  },
  [11] = {
    [1] = anon_sym_AT2,
  },
  [13] = {
    [0] = anon_sym_AT2,
  },
  [16] = {
    [0] = sym_word,
  },
  [22] = {
    [2] = sym_word,
  },
  [23] = {
    [2] = sym_word,
  },
  [25] = {
    [2] = sym_word,
  },
  [31] = {
    [0] = anon_sym_AT2,
  },
  [32] = {
    [1] = anon_sym_AT2,
  },
  [35] = {
    [1] = sym_word,
  },
  [39] = {
    [2] = sym_word,
  },
  [44] = {
    [1] = sym_word,
  },
  [47] = {
    [1] = sym_regex,
  },
  [52] = {
    [1] = anon_sym_AT2,
  },
  [54] = {
    [0] = sym_variable_name,
  },
  [58] = {
    [0] = sym_word,
  },
  [61] = {
    [2] = sym_word,
  },
  [76] = {
    [0] = sym_word,
  },
  [77] = {
    [0] = sym_word,
  },
  [78] = {
    [0] = sym_word,
  },
  [84] = {
    [3] = sym_word,
  },
  [85] = {
    [2] = sym_word,
  },
  [87] = {
    [3] = sym_word,
  },
  [101] = {
    [0] = sym_word,
  },
  [102] = {
    [0] = sym_word,
  },
  [103] = {
    [0] = sym_word,
  },
  [104] = {
    [0] = sym_word,
  },
  [105] = {
    [1] = sym_word,
  },
  [106] = {
    [1] = sym_word,
  },
  [107] = {
    [1] = sym_word,
  },
  [115] = {
    [3] = sym_word,
  },
  [117] = {
    [4] = sym_word,
  },
  [118] = {
    [3] = sym_word,
  },
  [119] = {
    [4] = sym_word,
  },
  [130] = {
    [0] = sym_word,
  },
  [131] = {
    [0] = sym_word,
  },
  [132] = {
    [1] = sym_word,
  },
  [133] = {
    [1] = sym_word,
  },
  [134] = {
    [1] = sym_word,
  },
  [135] = {
    [1] = sym_word,
  },
  [142] = {
    [4] = sym_word,
  },
  [143] = {
    [4] = sym_word,
  },
  [149] = {
    [1] = sym_word,
  },
  [150] = {
    [1] = sym_word,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  aux_sym__literal_repeat1, 2,
    aux_sym__literal_repeat1,
    sym_word,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 4,
  [6] = 4,
  [7] = 7,
  [8] = 7,
  [9] = 9,
  [10] = 9,
  [11] = 11,
  [12] = 9,
  [13] = 11,
  [14] = 11,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 42,
  [44] = 44,
  [45] = 42,
  [46] = 42,
  [47] = 44,
  [48] = 44,
  [49] = 42,
  [50] = 42,
  [51] = 42,
  [52] = 42,
  [53] = 53,
  [54] = 54,
  [55] = 54,
  [56] = 56,
  [57] = 57,
  [58] = 53,
  [59] = 54,
  [60] = 56,
  [61] = 56,
  [62] = 62,
  [63] = 57,
  [64] = 53,
  [65] = 57,
  [66] = 54,
  [67] = 56,
  [68] = 68,
  [69] = 69,
  [70] = 53,
  [71] = 57,
  [72] = 54,
  [73] = 56,
  [74] = 57,
  [75] = 53,
  [76] = 76,
  [77] = 54,
  [78] = 56,
  [79] = 57,
  [80] = 53,
  [81] = 53,
  [82] = 54,
  [83] = 56,
  [84] = 57,
  [85] = 53,
  [86] = 86,
  [87] = 54,
  [88] = 56,
  [89] = 57,
  [90] = 53,
  [91] = 54,
  [92] = 92,
  [93] = 93,
  [94] = 56,
  [95] = 57,
  [96] = 54,
  [97] = 57,
  [98] = 53,
  [99] = 76,
  [100] = 56,
  [101] = 57,
  [102] = 54,
  [103] = 53,
  [104] = 56,
  [105] = 57,
  [106] = 23,
  [107] = 53,
  [108] = 54,
  [109] = 56,
  [110] = 57,
  [111] = 53,
  [112] = 54,
  [113] = 23,
  [114] = 56,
  [115] = 57,
  [116] = 56,
  [117] = 54,
  [118] = 53,
  [119] = 57,
  [120] = 53,
  [121] = 54,
  [122] = 56,
  [123] = 62,
  [124] = 54,
  [125] = 53,
  [126] = 56,
  [127] = 76,
  [128] = 57,
  [129] = 53,
  [130] = 130,
  [131] = 53,
  [132] = 92,
  [133] = 54,
  [134] = 56,
  [135] = 57,
  [136] = 54,
  [137] = 56,
  [138] = 56,
  [139] = 57,
  [140] = 54,
  [141] = 53,
  [142] = 57,
  [143] = 56,
  [144] = 53,
  [145] = 57,
  [146] = 54,
  [147] = 54,
  [148] = 53,
  [149] = 57,
  [150] = 86,
  [151] = 56,
  [152] = 57,
  [153] = 56,
  [154] = 54,
  [155] = 53,
  [156] = 57,
  [157] = 53,
  [158] = 54,
  [159] = 56,
  [160] = 57,
  [161] = 56,
  [162] = 56,
  [163] = 54,
  [164] = 53,
  [165] = 57,
  [166] = 56,
  [167] = 57,
  [168] = 53,
  [169] = 54,
  [170] = 92,
  [171] = 53,
  [172] = 54,
  [173] = 56,
  [174] = 57,
  [175] = 56,
  [176] = 54,
  [177] = 86,
  [178] = 53,
  [179] = 92,
  [180] = 57,
  [181] = 53,
  [182] = 56,
  [183] = 57,
  [184] = 54,
  [185] = 56,
  [186] = 57,
  [187] = 53,
  [188] = 54,
  [189] = 57,
  [190] = 56,
  [191] = 56,
  [192] = 57,
  [193] = 53,
  [194] = 86,
  [195] = 92,
  [196] = 54,
  [197] = 86,
  [198] = 54,
  [199] = 57,
  [200] = 92,
  [201] = 56,
  [202] = 53,
  [203] = 53,
  [204] = 54,
  [205] = 54,
  [206] = 56,
  [207] = 56,
  [208] = 54,
  [209] = 53,
  [210] = 53,
  [211] = 53,
  [212] = 57,
  [213] = 56,
  [214] = 56,
  [215] = 53,
  [216] = 56,
  [217] = 54,
  [218] = 53,
  [219] = 54,
  [220] = 56,
  [221] = 54,
  [222] = 56,
  [223] = 53,
  [224] = 53,
  [225] = 54,
  [226] = 57,
  [227] = 54,
  [228] = 56,
  [229] = 54,
  [230] = 53,
  [231] = 54,
  [232] = 53,
  [233] = 56,
  [234] = 53,
  [235] = 54,
  [236] = 56,
  [237] = 53,
  [238] = 53,
  [239] = 54,
  [240] = 240,
  [241] = 54,
  [242] = 56,
  [243] = 57,
  [244] = 53,
  [245] = 240,
  [246] = 54,
  [247] = 53,
  [248] = 54,
  [249] = 56,
  [250] = 57,
  [251] = 56,
  [252] = 56,
  [253] = 57,
  [254] = 53,
  [255] = 54,
  [256] = 54,
  [257] = 93,
  [258] = 57,
  [259] = 56,
  [260] = 56,
  [261] = 54,
  [262] = 53,
  [263] = 56,
  [264] = 57,
  [265] = 53,
  [266] = 62,
  [267] = 54,
  [268] = 53,
  [269] = 56,
  [270] = 56,
  [271] = 53,
  [272] = 57,
  [273] = 53,
  [274] = 86,
  [275] = 54,
  [276] = 53,
  [277] = 54,
  [278] = 56,
  [279] = 54,
  [280] = 56,
  [281] = 57,
  [282] = 93,
  [283] = 53,
  [284] = 54,
  [285] = 53,
  [286] = 56,
  [287] = 54,
  [288] = 57,
  [289] = 53,
  [290] = 57,
  [291] = 56,
  [292] = 54,
  [293] = 56,
  [294] = 53,
  [295] = 57,
  [296] = 240,
  [297] = 54,
  [298] = 53,
  [299] = 53,
  [300] = 54,
  [301] = 56,
  [302] = 57,
  [303] = 54,
  [304] = 57,
  [305] = 56,
  [306] = 53,
  [307] = 54,
  [308] = 56,
  [309] = 53,
  [310] = 53,
  [311] = 54,
  [312] = 54,
  [313] = 56,
  [314] = 56,
  [315] = 56,
  [316] = 54,
  [317] = 53,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 318,
  [322] = 318,
  [323] = 323,
  [324] = 324,
  [325] = 324,
  [326] = 324,
  [327] = 323,
  [328] = 323,
  [329] = 324,
  [330] = 324,
  [331] = 331,
  [332] = 331,
  [333] = 333,
  [334] = 333,
  [335] = 333,
  [336] = 331,
  [337] = 333,
  [338] = 331,
  [339] = 339,
  [340] = 331,
  [341] = 331,
  [342] = 333,
  [343] = 333,
  [344] = 344,
  [345] = 331,
  [346] = 331,
  [347] = 333,
  [348] = 333,
  [349] = 349,
  [350] = 350,
  [351] = 350,
  [352] = 350,
  [353] = 350,
  [354] = 349,
  [355] = 350,
  [356] = 350,
  [357] = 349,
  [358] = 349,
  [359] = 349,
  [360] = 349,
  [361] = 349,
  [362] = 362,
  [363] = 363,
  [364] = 362,
  [365] = 363,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 367,
  [395] = 369,
  [396] = 396,
  [397] = 368,
  [398] = 371,
  [399] = 366,
  [400] = 370,
  [401] = 374,
  [402] = 385,
  [403] = 379,
  [404] = 380,
  [405] = 386,
  [406] = 381,
  [407] = 388,
  [408] = 373,
  [409] = 389,
  [410] = 375,
  [411] = 384,
  [412] = 376,
  [413] = 390,
  [414] = 377,
  [415] = 383,
  [416] = 372,
  [417] = 378,
  [418] = 382,
  [419] = 387,
  [420] = 392,
  [421] = 391,
  [422] = 393,
  [423] = 396,
  [424] = 424,
  [425] = 424,
  [426] = 426,
  [427] = 427,
  [428] = 427,
  [429] = 426,
  [430] = 430,
  [431] = 431,
  [432] = 426,
  [433] = 427,
  [434] = 434,
  [435] = 426,
  [436] = 427,
  [437] = 426,
  [438] = 434,
  [439] = 439,
  [440] = 430,
  [441] = 441,
  [442] = 427,
  [443] = 431,
  [444] = 427,
  [445] = 363,
  [446] = 446,
  [447] = 362,
  [448] = 426,
  [449] = 446,
  [450] = 430,
  [451] = 362,
  [452] = 431,
  [453] = 363,
  [454] = 363,
  [455] = 434,
  [456] = 431,
  [457] = 430,
  [458] = 362,
  [459] = 434,
  [460] = 439,
  [461] = 441,
  [462] = 430,
  [463] = 363,
  [464] = 464,
  [465] = 363,
  [466] = 466,
  [467] = 362,
  [468] = 441,
  [469] = 441,
  [470] = 362,
  [471] = 430,
  [472] = 446,
  [473] = 434,
  [474] = 431,
  [475] = 434,
  [476] = 476,
  [477] = 363,
  [478] = 439,
  [479] = 446,
  [480] = 362,
  [481] = 439,
  [482] = 441,
  [483] = 483,
  [484] = 426,
  [485] = 362,
  [486] = 363,
  [487] = 441,
  [488] = 363,
  [489] = 362,
  [490] = 362,
  [491] = 491,
  [492] = 427,
  [493] = 476,
  [494] = 439,
  [495] = 363,
  [496] = 439,
  [497] = 464,
  [498] = 498,
  [499] = 466,
  [500] = 446,
  [501] = 362,
  [502] = 363,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 466,
  [507] = 507,
  [508] = 362,
  [509] = 483,
  [510] = 363,
  [511] = 507,
  [512] = 507,
  [513] = 507,
  [514] = 362,
  [515] = 363,
  [516] = 516,
  [517] = 466,
  [518] = 464,
  [519] = 363,
  [520] = 362,
  [521] = 464,
  [522] = 503,
  [523] = 523,
  [524] = 504,
  [525] = 507,
  [526] = 426,
  [527] = 507,
  [528] = 466,
  [529] = 516,
  [530] = 498,
  [531] = 507,
  [532] = 427,
  [533] = 476,
  [534] = 476,
  [535] = 505,
  [536] = 523,
  [537] = 476,
  [538] = 507,
  [539] = 464,
  [540] = 434,
  [541] = 541,
  [542] = 464,
  [543] = 362,
  [544] = 541,
  [545] = 466,
  [546] = 505,
  [547] = 430,
  [548] = 362,
  [549] = 504,
  [550] = 505,
  [551] = 504,
  [552] = 503,
  [553] = 476,
  [554] = 466,
  [555] = 498,
  [556] = 431,
  [557] = 483,
  [558] = 363,
  [559] = 541,
  [560] = 498,
  [561] = 541,
  [562] = 363,
  [563] = 362,
  [564] = 504,
  [565] = 476,
  [566] = 503,
  [567] = 363,
  [568] = 362,
  [569] = 503,
  [570] = 483,
  [571] = 541,
  [572] = 363,
  [573] = 541,
  [574] = 362,
  [575] = 464,
  [576] = 363,
  [577] = 541,
  [578] = 362,
  [579] = 431,
  [580] = 464,
  [581] = 476,
  [582] = 483,
  [583] = 466,
  [584] = 505,
  [585] = 430,
  [586] = 363,
  [587] = 441,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 498,
  [592] = 590,
  [593] = 504,
  [594] = 483,
  [595] = 464,
  [596] = 446,
  [597] = 503,
  [598] = 589,
  [599] = 466,
  [600] = 439,
  [601] = 362,
  [602] = 503,
  [603] = 363,
  [604] = 504,
  [605] = 505,
  [606] = 588,
  [607] = 607,
  [608] = 434,
  [609] = 363,
  [610] = 362,
  [611] = 362,
  [612] = 363,
  [613] = 607,
  [614] = 363,
  [615] = 362,
  [616] = 476,
  [617] = 362,
  [618] = 363,
  [619] = 466,
  [620] = 464,
  [621] = 476,
  [622] = 466,
  [623] = 516,
  [624] = 446,
  [625] = 362,
  [626] = 464,
  [627] = 441,
  [628] = 363,
  [629] = 491,
  [630] = 363,
  [631] = 491,
  [632] = 362,
  [633] = 363,
  [634] = 362,
  [635] = 362,
  [636] = 362,
  [637] = 503,
  [638] = 363,
  [639] = 363,
  [640] = 362,
  [641] = 523,
  [642] = 363,
  [643] = 504,
  [644] = 363,
  [645] = 362,
  [646] = 504,
  [647] = 503,
  [648] = 439,
  [649] = 466,
  [650] = 363,
  [651] = 476,
  [652] = 464,
  [653] = 653,
  [654] = 503,
  [655] = 504,
  [656] = 656,
  [657] = 657,
  [658] = 368,
  [659] = 466,
  [660] = 371,
  [661] = 504,
  [662] = 656,
  [663] = 663,
  [664] = 664,
  [665] = 665,
  [666] = 523,
  [667] = 667,
  [668] = 668,
  [669] = 657,
  [670] = 362,
  [671] = 362,
  [672] = 367,
  [673] = 363,
  [674] = 674,
  [675] = 675,
  [676] = 369,
  [677] = 503,
  [678] = 516,
  [679] = 476,
  [680] = 362,
  [681] = 464,
  [682] = 656,
  [683] = 657,
  [684] = 656,
  [685] = 363,
  [686] = 657,
  [687] = 379,
  [688] = 498,
  [689] = 376,
  [690] = 380,
  [691] = 373,
  [692] = 371,
  [693] = 693,
  [694] = 694,
  [695] = 368,
  [696] = 372,
  [697] = 383,
  [698] = 377,
  [699] = 699,
  [700] = 504,
  [701] = 369,
  [702] = 667,
  [703] = 363,
  [704] = 476,
  [705] = 363,
  [706] = 384,
  [707] = 665,
  [708] = 664,
  [709] = 663,
  [710] = 362,
  [711] = 367,
  [712] = 368,
  [713] = 371,
  [714] = 385,
  [715] = 715,
  [716] = 716,
  [717] = 389,
  [718] = 718,
  [719] = 483,
  [720] = 720,
  [721] = 382,
  [722] = 504,
  [723] = 387,
  [724] = 724,
  [725] = 388,
  [726] = 503,
  [727] = 466,
  [728] = 464,
  [729] = 675,
  [730] = 390,
  [731] = 375,
  [732] = 378,
  [733] = 653,
  [734] = 386,
  [735] = 381,
  [736] = 374,
  [737] = 503,
  [738] = 362,
  [739] = 674,
  [740] = 505,
  [741] = 367,
  [742] = 368,
  [743] = 371,
  [744] = 388,
  [745] = 387,
  [746] = 665,
  [747] = 385,
  [748] = 373,
  [749] = 376,
  [750] = 466,
  [751] = 378,
  [752] = 724,
  [753] = 367,
  [754] = 476,
  [755] = 464,
  [756] = 367,
  [757] = 694,
  [758] = 476,
  [759] = 664,
  [760] = 663,
  [761] = 505,
  [762] = 383,
  [763] = 763,
  [764] = 372,
  [765] = 715,
  [766] = 763,
  [767] = 716,
  [768] = 763,
  [769] = 769,
  [770] = 363,
  [771] = 763,
  [772] = 763,
  [773] = 362,
  [774] = 371,
  [775] = 498,
  [776] = 663,
  [777] = 504,
  [778] = 503,
  [779] = 664,
  [780] = 665,
  [781] = 653,
  [782] = 374,
  [783] = 667,
  [784] = 382,
  [785] = 368,
  [786] = 667,
  [787] = 386,
  [788] = 392,
  [789] = 674,
  [790] = 763,
  [791] = 483,
  [792] = 380,
  [793] = 371,
  [794] = 653,
  [795] = 368,
  [796] = 390,
  [797] = 367,
  [798] = 362,
  [799] = 675,
  [800] = 381,
  [801] = 375,
  [802] = 369,
  [803] = 377,
  [804] = 379,
  [805] = 363,
  [806] = 699,
  [807] = 763,
  [808] = 763,
  [809] = 693,
  [810] = 718,
  [811] = 720,
  [812] = 675,
  [813] = 369,
  [814] = 466,
  [815] = 389,
  [816] = 384,
  [817] = 464,
  [818] = 674,
  [819] = 363,
  [820] = 724,
  [821] = 694,
  [822] = 376,
  [823] = 362,
  [824] = 390,
  [825] = 363,
  [826] = 664,
  [827] = 376,
  [828] = 390,
  [829] = 385,
  [830] = 385,
  [831] = 503,
  [832] = 832,
  [833] = 675,
  [834] = 674,
  [835] = 368,
  [836] = 393,
  [837] = 384,
  [838] = 389,
  [839] = 839,
  [840] = 840,
  [841] = 504,
  [842] = 718,
  [843] = 674,
  [844] = 675,
  [845] = 378,
  [846] = 382,
  [847] = 387,
  [848] = 388,
  [849] = 375,
  [850] = 386,
  [851] = 851,
  [852] = 362,
  [853] = 362,
  [854] = 373,
  [855] = 369,
  [856] = 363,
  [857] = 384,
  [858] = 371,
  [859] = 389,
  [860] = 720,
  [861] = 383,
  [862] = 368,
  [863] = 476,
  [864] = 371,
  [865] = 724,
  [866] = 694,
  [867] = 368,
  [868] = 368,
  [869] = 363,
  [870] = 362,
  [871] = 371,
  [872] = 369,
  [873] = 373,
  [874] = 874,
  [875] = 875,
  [876] = 876,
  [877] = 367,
  [878] = 466,
  [879] = 694,
  [880] = 372,
  [881] = 881,
  [882] = 664,
  [883] = 724,
  [884] = 665,
  [885] = 769,
  [886] = 715,
  [887] = 371,
  [888] = 379,
  [889] = 372,
  [890] = 653,
  [891] = 374,
  [892] = 381,
  [893] = 377,
  [894] = 380,
  [895] = 895,
  [896] = 368,
  [897] = 699,
  [898] = 716,
  [899] = 464,
  [900] = 504,
  [901] = 386,
  [902] = 693,
  [903] = 667,
  [904] = 503,
  [905] = 367,
  [906] = 693,
  [907] = 699,
  [908] = 720,
  [909] = 909,
  [910] = 718,
  [911] = 911,
  [912] = 715,
  [913] = 716,
  [914] = 663,
  [915] = 378,
  [916] = 382,
  [917] = 387,
  [918] = 388,
  [919] = 895,
  [920] = 367,
  [921] = 921,
  [922] = 922,
  [923] = 392,
  [924] = 840,
  [925] = 876,
  [926] = 720,
  [927] = 379,
  [928] = 718,
  [929] = 375,
  [930] = 367,
  [931] = 362,
  [932] = 932,
  [933] = 363,
  [934] = 380,
  [935] = 371,
  [936] = 383,
  [937] = 377,
  [938] = 381,
  [939] = 939,
  [940] = 367,
  [941] = 895,
  [942] = 374,
  [943] = 369,
  [944] = 876,
  [945] = 368,
  [946] = 946,
  [947] = 362,
  [948] = 381,
  [949] = 371,
  [950] = 699,
  [951] = 362,
  [952] = 376,
  [953] = 371,
  [954] = 503,
  [955] = 368,
  [956] = 363,
  [957] = 383,
  [958] = 363,
  [959] = 373,
  [960] = 840,
  [961] = 371,
  [962] = 368,
  [963] = 372,
  [964] = 382,
  [965] = 875,
  [966] = 387,
  [967] = 939,
  [968] = 369,
  [969] = 388,
  [970] = 363,
  [971] = 921,
  [972] = 378,
  [973] = 383,
  [974] = 371,
  [975] = 362,
  [976] = 368,
  [977] = 372,
  [978] = 393,
  [979] = 385,
  [980] = 382,
  [981] = 376,
  [982] = 369,
  [983] = 378,
  [984] = 362,
  [985] = 362,
  [986] = 387,
  [987] = 388,
  [988] = 769,
  [989] = 989,
  [990] = 362,
  [991] = 363,
  [992] = 367,
  [993] = 367,
  [994] = 363,
  [995] = 832,
  [996] = 373,
  [997] = 694,
  [998] = 909,
  [999] = 851,
  [1000] = 724,
  [1001] = 718,
  [1002] = 720,
  [1003] = 380,
  [1004] = 377,
  [1005] = 720,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 911,
  [1009] = 874,
  [1010] = 718,
  [1011] = 922,
  [1012] = 363,
  [1013] = 839,
  [1014] = 375,
  [1015] = 715,
  [1016] = 379,
  [1017] = 1017,
  [1018] = 374,
  [1019] = 367,
  [1020] = 380,
  [1021] = 377,
  [1022] = 390,
  [1023] = 386,
  [1024] = 390,
  [1025] = 932,
  [1026] = 1026,
  [1027] = 374,
  [1028] = 694,
  [1029] = 379,
  [1030] = 362,
  [1031] = 769,
  [1032] = 386,
  [1033] = 392,
  [1034] = 384,
  [1035] = 1035,
  [1036] = 389,
  [1037] = 876,
  [1038] = 381,
  [1039] = 363,
  [1040] = 716,
  [1041] = 392,
  [1042] = 840,
  [1043] = 367,
  [1044] = 504,
  [1045] = 385,
  [1046] = 384,
  [1047] = 389,
  [1048] = 1048,
  [1049] = 375,
  [1050] = 724,
  [1051] = 693,
  [1052] = 369,
  [1053] = 376,
  [1054] = 373,
  [1055] = 911,
  [1056] = 368,
  [1057] = 385,
  [1058] = 367,
  [1059] = 380,
  [1060] = 377,
  [1061] = 371,
  [1062] = 383,
  [1063] = 372,
  [1064] = 383,
  [1065] = 372,
  [1066] = 1066,
  [1067] = 380,
  [1068] = 911,
  [1069] = 377,
  [1070] = 1070,
  [1071] = 374,
  [1072] = 385,
  [1073] = 369,
  [1074] = 1048,
  [1075] = 378,
  [1076] = 386,
  [1077] = 876,
  [1078] = 840,
  [1079] = 390,
  [1080] = 373,
  [1081] = 380,
  [1082] = 377,
  [1083] = 989,
  [1084] = 369,
  [1085] = 372,
  [1086] = 694,
  [1087] = 724,
  [1088] = 368,
  [1089] = 381,
  [1090] = 379,
  [1091] = 874,
  [1092] = 909,
  [1093] = 921,
  [1094] = 839,
  [1095] = 371,
  [1096] = 375,
  [1097] = 875,
  [1098] = 383,
  [1099] = 1099,
  [1100] = 376,
  [1101] = 718,
  [1102] = 851,
  [1103] = 378,
  [1104] = 832,
  [1105] = 946,
  [1106] = 720,
  [1107] = 368,
  [1108] = 384,
  [1109] = 389,
  [1110] = 381,
  [1111] = 720,
  [1112] = 718,
  [1113] = 384,
  [1114] = 363,
  [1115] = 921,
  [1116] = 389,
  [1117] = 1066,
  [1118] = 909,
  [1119] = 392,
  [1120] = 369,
  [1121] = 388,
  [1122] = 851,
  [1123] = 387,
  [1124] = 382,
  [1125] = 832,
  [1126] = 389,
  [1127] = 384,
  [1128] = 371,
  [1129] = 371,
  [1130] = 1026,
  [1131] = 1017,
  [1132] = 371,
  [1133] = 932,
  [1134] = 381,
  [1135] = 368,
  [1136] = 392,
  [1137] = 367,
  [1138] = 922,
  [1139] = 922,
  [1140] = 1007,
  [1141] = 1006,
  [1142] = 851,
  [1143] = 368,
  [1144] = 832,
  [1145] = 839,
  [1146] = 374,
  [1147] = 1147,
  [1148] = 875,
  [1149] = 378,
  [1150] = 367,
  [1151] = 369,
  [1152] = 876,
  [1153] = 386,
  [1154] = 932,
  [1155] = 840,
  [1156] = 393,
  [1157] = 939,
  [1158] = 939,
  [1159] = 390,
  [1160] = 369,
  [1161] = 874,
  [1162] = 724,
  [1163] = 374,
  [1164] = 379,
  [1165] = 386,
  [1166] = 375,
  [1167] = 393,
  [1168] = 368,
  [1169] = 922,
  [1170] = 694,
  [1171] = 390,
  [1172] = 840,
  [1173] = 876,
  [1174] = 840,
  [1175] = 876,
  [1176] = 1176,
  [1177] = 371,
  [1178] = 362,
  [1179] = 382,
  [1180] = 387,
  [1181] = 376,
  [1182] = 367,
  [1183] = 388,
  [1184] = 375,
  [1185] = 367,
  [1186] = 1035,
  [1187] = 367,
  [1188] = 379,
  [1189] = 382,
  [1190] = 387,
  [1191] = 388,
  [1192] = 385,
  [1193] = 939,
  [1194] = 373,
  [1195] = 386,
  [1196] = 379,
  [1197] = 386,
  [1198] = 372,
  [1199] = 840,
  [1200] = 876,
  [1201] = 382,
  [1202] = 387,
  [1203] = 388,
  [1204] = 373,
  [1205] = 1066,
  [1206] = 664,
  [1207] = 665,
  [1208] = 374,
  [1209] = 384,
  [1210] = 375,
  [1211] = 1017,
  [1212] = 383,
  [1213] = 379,
  [1214] = 1006,
  [1215] = 390,
  [1216] = 386,
  [1217] = 374,
  [1218] = 1007,
  [1219] = 389,
  [1220] = 1220,
  [1221] = 367,
  [1222] = 946,
  [1223] = 379,
  [1224] = 372,
  [1225] = 374,
  [1226] = 381,
  [1227] = 377,
  [1228] = 380,
  [1229] = 367,
  [1230] = 989,
  [1231] = 382,
  [1232] = 387,
  [1233] = 388,
  [1234] = 1026,
  [1235] = 386,
  [1236] = 383,
  [1237] = 385,
  [1238] = 375,
  [1239] = 388,
  [1240] = 373,
  [1241] = 383,
  [1242] = 369,
  [1243] = 1066,
  [1244] = 387,
  [1245] = 382,
  [1246] = 378,
  [1247] = 385,
  [1248] = 390,
  [1249] = 1017,
  [1250] = 376,
  [1251] = 390,
  [1252] = 371,
  [1253] = 1026,
  [1254] = 383,
  [1255] = 368,
  [1256] = 389,
  [1257] = 384,
  [1258] = 371,
  [1259] = 376,
  [1260] = 1260,
  [1261] = 876,
  [1262] = 1176,
  [1263] = 368,
  [1264] = 385,
  [1265] = 840,
  [1266] = 383,
  [1267] = 371,
  [1268] = 1007,
  [1269] = 1269,
  [1270] = 381,
  [1271] = 1006,
  [1272] = 674,
  [1273] = 1048,
  [1274] = 368,
  [1275] = 372,
  [1276] = 369,
  [1277] = 392,
  [1278] = 382,
  [1279] = 387,
  [1280] = 388,
  [1281] = 376,
  [1282] = 922,
  [1283] = 369,
  [1284] = 380,
  [1285] = 377,
  [1286] = 375,
  [1287] = 379,
  [1288] = 377,
  [1289] = 380,
  [1290] = 946,
  [1291] = 390,
  [1292] = 378,
  [1293] = 1293,
  [1294] = 380,
  [1295] = 377,
  [1296] = 381,
  [1297] = 374,
  [1298] = 390,
  [1299] = 372,
  [1300] = 379,
  [1301] = 374,
  [1302] = 378,
  [1303] = 372,
  [1304] = 379,
  [1305] = 376,
  [1306] = 720,
  [1307] = 385,
  [1308] = 694,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 373,
  [1312] = 367,
  [1313] = 384,
  [1314] = 1048,
  [1315] = 392,
  [1316] = 368,
  [1317] = 374,
  [1318] = 382,
  [1319] = 371,
  [1320] = 373,
  [1321] = 389,
  [1322] = 387,
  [1323] = 989,
  [1324] = 385,
  [1325] = 373,
  [1326] = 1293,
  [1327] = 939,
  [1328] = 1328,
  [1329] = 388,
  [1330] = 946,
  [1331] = 724,
  [1332] = 375,
  [1333] = 389,
  [1334] = 384,
  [1335] = 466,
  [1336] = 1035,
  [1337] = 1337,
  [1338] = 1070,
  [1339] = 372,
  [1340] = 386,
  [1341] = 375,
  [1342] = 1035,
  [1343] = 464,
  [1344] = 1344,
  [1345] = 383,
  [1346] = 381,
  [1347] = 390,
  [1348] = 989,
  [1349] = 1099,
  [1350] = 385,
  [1351] = 367,
  [1352] = 1352,
  [1353] = 675,
  [1354] = 874,
  [1355] = 380,
  [1356] = 367,
  [1357] = 368,
  [1358] = 371,
  [1359] = 367,
  [1360] = 1293,
  [1361] = 368,
  [1362] = 371,
  [1363] = 832,
  [1364] = 377,
  [1365] = 1293,
  [1366] = 376,
  [1367] = 373,
  [1368] = 851,
  [1369] = 911,
  [1370] = 909,
  [1371] = 832,
  [1372] = 851,
  [1373] = 1260,
  [1374] = 1269,
  [1375] = 393,
  [1376] = 667,
  [1377] = 378,
  [1378] = 389,
  [1379] = 384,
  [1380] = 1293,
  [1381] = 921,
  [1382] = 392,
  [1383] = 476,
  [1384] = 1147,
  [1385] = 384,
  [1386] = 718,
  [1387] = 380,
  [1388] = 1388,
  [1389] = 389,
  [1390] = 377,
  [1391] = 1293,
  [1392] = 386,
  [1393] = 1293,
  [1394] = 375,
  [1395] = 388,
  [1396] = 387,
  [1397] = 382,
  [1398] = 378,
  [1399] = 1399,
  [1400] = 376,
  [1401] = 381,
  [1402] = 1352,
  [1403] = 378,
  [1404] = 393,
  [1405] = 381,
  [1406] = 385,
  [1407] = 674,
  [1408] = 374,
  [1409] = 371,
  [1410] = 1410,
  [1411] = 675,
  [1412] = 368,
  [1413] = 369,
  [1414] = 832,
  [1415] = 851,
  [1416] = 1416,
  [1417] = 1410,
  [1418] = 1220,
  [1419] = 393,
  [1420] = 476,
  [1421] = 372,
  [1422] = 362,
  [1423] = 373,
  [1424] = 392,
  [1425] = 1007,
  [1426] = 363,
  [1427] = 1006,
  [1428] = 1410,
  [1429] = 1410,
  [1430] = 371,
  [1431] = 368,
  [1432] = 367,
  [1433] = 376,
  [1434] = 1337,
  [1435] = 371,
  [1436] = 378,
  [1437] = 383,
  [1438] = 368,
  [1439] = 1176,
  [1440] = 1260,
  [1441] = 715,
  [1442] = 367,
  [1443] = 1416,
  [1444] = 716,
  [1445] = 1269,
  [1446] = 392,
  [1447] = 367,
  [1448] = 1416,
  [1449] = 1449,
  [1450] = 1410,
  [1451] = 1344,
  [1452] = 386,
  [1453] = 504,
  [1454] = 503,
  [1455] = 1399,
  [1456] = 946,
  [1457] = 1388,
  [1458] = 383,
  [1459] = 464,
  [1460] = 392,
  [1461] = 372,
  [1462] = 393,
  [1463] = 371,
  [1464] = 368,
  [1465] = 381,
  [1466] = 1147,
  [1467] = 1410,
  [1468] = 376,
  [1469] = 390,
  [1470] = 390,
  [1471] = 385,
  [1472] = 378,
  [1473] = 380,
  [1474] = 1410,
  [1475] = 377,
  [1476] = 382,
  [1477] = 379,
  [1478] = 387,
  [1479] = 388,
  [1480] = 369,
  [1481] = 375,
  [1482] = 386,
  [1483] = 384,
  [1484] = 375,
  [1485] = 389,
  [1486] = 373,
  [1487] = 393,
  [1488] = 989,
  [1489] = 384,
  [1490] = 389,
  [1491] = 392,
  [1492] = 380,
  [1493] = 377,
  [1494] = 379,
  [1495] = 466,
  [1496] = 699,
  [1497] = 693,
  [1498] = 372,
  [1499] = 374,
  [1500] = 381,
  [1501] = 718,
  [1502] = 1066,
  [1503] = 377,
  [1504] = 388,
  [1505] = 1099,
  [1506] = 1066,
  [1507] = 367,
  [1508] = 387,
  [1509] = 382,
  [1510] = 381,
  [1511] = 939,
  [1512] = 380,
  [1513] = 392,
  [1514] = 1070,
  [1515] = 1066,
  [1516] = 851,
  [1517] = 1352,
  [1518] = 922,
  [1519] = 1260,
  [1520] = 939,
  [1521] = 832,
  [1522] = 383,
  [1523] = 720,
  [1524] = 724,
  [1525] = 389,
  [1526] = 384,
  [1527] = 385,
  [1528] = 392,
  [1529] = 1070,
  [1530] = 664,
  [1531] = 665,
  [1532] = 378,
  [1533] = 694,
  [1534] = 1269,
  [1535] = 1328,
  [1536] = 376,
  [1537] = 373,
  [1538] = 922,
  [1539] = 667,
  [1540] = 1099,
  [1541] = 369,
  [1542] = 1066,
  [1543] = 371,
  [1544] = 374,
  [1545] = 1147,
  [1546] = 367,
  [1547] = 386,
  [1548] = 368,
  [1549] = 1176,
  [1550] = 390,
  [1551] = 379,
  [1552] = 375,
  [1553] = 1176,
  [1554] = 388,
  [1555] = 387,
  [1556] = 1352,
  [1557] = 382,
  [1558] = 1558,
  [1559] = 1559,
  [1560] = 1560,
  [1561] = 1388,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 381,
  [1565] = 380,
  [1566] = 376,
  [1567] = 1352,
  [1568] = 378,
  [1569] = 1260,
  [1570] = 392,
  [1571] = 384,
  [1572] = 389,
  [1573] = 373,
  [1574] = 1562,
  [1575] = 1399,
  [1576] = 377,
  [1577] = 379,
  [1578] = 1328,
  [1579] = 375,
  [1580] = 1560,
  [1581] = 1581,
  [1582] = 1582,
  [1583] = 503,
  [1584] = 388,
  [1585] = 387,
  [1586] = 382,
  [1587] = 1352,
  [1588] = 1581,
  [1589] = 368,
  [1590] = 1582,
  [1591] = 381,
  [1592] = 1220,
  [1593] = 1337,
  [1594] = 371,
  [1595] = 386,
  [1596] = 989,
  [1597] = 1582,
  [1598] = 504,
  [1599] = 1328,
  [1600] = 1581,
  [1601] = 1560,
  [1602] = 1399,
  [1603] = 1344,
  [1604] = 1581,
  [1605] = 1605,
  [1606] = 1562,
  [1607] = 372,
  [1608] = 374,
  [1609] = 393,
  [1610] = 383,
  [1611] = 1611,
  [1612] = 1560,
  [1613] = 946,
  [1614] = 1560,
  [1615] = 1562,
  [1616] = 1581,
  [1617] = 1352,
  [1618] = 385,
  [1619] = 367,
  [1620] = 989,
  [1621] = 1344,
  [1622] = 393,
  [1623] = 1581,
  [1624] = 393,
  [1625] = 946,
  [1626] = 1560,
  [1627] = 1269,
  [1628] = 1581,
  [1629] = 383,
  [1630] = 1582,
  [1631] = 1352,
  [1632] = 1562,
  [1633] = 1563,
  [1634] = 1337,
  [1635] = 1220,
  [1636] = 1582,
  [1637] = 1637,
  [1638] = 367,
  [1639] = 384,
  [1640] = 368,
  [1641] = 374,
  [1642] = 372,
  [1643] = 1637,
  [1644] = 1644,
  [1645] = 1562,
  [1646] = 1646,
  [1647] = 1605,
  [1648] = 1559,
  [1649] = 1649,
  [1650] = 1558,
  [1651] = 1651,
  [1652] = 371,
  [1653] = 1653,
  [1654] = 1654,
  [1655] = 1655,
  [1656] = 1656,
  [1657] = 1657,
  [1658] = 373,
  [1659] = 1269,
  [1660] = 1562,
  [1661] = 376,
  [1662] = 1562,
  [1663] = 1644,
  [1664] = 1657,
  [1665] = 1562,
  [1666] = 1582,
  [1667] = 1562,
  [1668] = 386,
  [1669] = 1562,
  [1670] = 1656,
  [1671] = 1637,
  [1672] = 1672,
  [1673] = 1562,
  [1674] = 716,
  [1675] = 1562,
  [1676] = 1653,
  [1677] = 1562,
  [1678] = 715,
  [1679] = 1562,
  [1680] = 385,
  [1681] = 1562,
  [1682] = 1269,
  [1683] = 393,
  [1684] = 1562,
  [1685] = 1260,
  [1686] = 378,
  [1687] = 1637,
  [1688] = 1563,
  [1689] = 1269,
  [1690] = 1655,
  [1691] = 1644,
  [1692] = 1646,
  [1693] = 1605,
  [1694] = 1559,
  [1695] = 1562,
  [1696] = 1644,
  [1697] = 1697,
  [1698] = 1649,
  [1699] = 1558,
  [1700] = 393,
  [1701] = 1176,
  [1702] = 362,
  [1703] = 390,
  [1704] = 363,
  [1705] = 1560,
  [1706] = 1562,
  [1707] = 380,
  [1708] = 1260,
  [1709] = 1388,
  [1710] = 1646,
  [1711] = 1562,
  [1712] = 1651,
  [1713] = 1562,
  [1714] = 377,
  [1715] = 1563,
  [1716] = 1559,
  [1717] = 1562,
  [1718] = 389,
  [1719] = 1605,
  [1720] = 1653,
  [1721] = 1654,
  [1722] = 1559,
  [1723] = 1562,
  [1724] = 1697,
  [1725] = 1562,
  [1726] = 1649,
  [1727] = 379,
  [1728] = 375,
  [1729] = 1655,
  [1730] = 1656,
  [1731] = 1562,
  [1732] = 1611,
  [1733] = 383,
  [1734] = 693,
  [1735] = 1562,
  [1736] = 1657,
  [1737] = 1562,
  [1738] = 699,
  [1739] = 393,
  [1740] = 1562,
  [1741] = 1741,
  [1742] = 1562,
  [1743] = 381,
  [1744] = 1562,
  [1745] = 374,
  [1746] = 1562,
  [1747] = 392,
  [1748] = 1562,
  [1749] = 372,
  [1750] = 1562,
  [1751] = 389,
  [1752] = 384,
  [1753] = 390,
  [1754] = 1562,
  [1755] = 1651,
  [1756] = 1562,
  [1757] = 386,
  [1758] = 1562,
  [1759] = 388,
  [1760] = 387,
  [1761] = 382,
  [1762] = 378,
  [1763] = 1697,
  [1764] = 1654,
  [1765] = 1562,
  [1766] = 1672,
  [1767] = 1655,
  [1768] = 1697,
  [1769] = 1562,
  [1770] = 1656,
  [1771] = 1657,
  [1772] = 1562,
  [1773] = 1649,
  [1774] = 1562,
  [1775] = 1558,
  [1776] = 1654,
  [1777] = 1562,
  [1778] = 1653,
  [1779] = 1651,
  [1780] = 390,
  [1781] = 1558,
  [1782] = 718,
  [1783] = 1562,
  [1784] = 1649,
  [1785] = 720,
  [1786] = 1562,
  [1787] = 376,
  [1788] = 1562,
  [1789] = 380,
  [1790] = 1562,
  [1791] = 377,
  [1792] = 1562,
  [1793] = 379,
  [1794] = 1562,
  [1795] = 373,
  [1796] = 1562,
  [1797] = 1562,
  [1798] = 1562,
  [1799] = 1562,
  [1800] = 1562,
  [1801] = 1562,
  [1802] = 1562,
  [1803] = 1562,
  [1804] = 1562,
  [1805] = 1562,
  [1806] = 1562,
  [1807] = 1562,
  [1808] = 1562,
  [1809] = 1562,
  [1810] = 1562,
  [1811] = 1562,
  [1812] = 1741,
  [1813] = 1611,
  [1814] = 1672,
  [1815] = 375,
  [1816] = 1697,
  [1817] = 1605,
  [1818] = 1646,
  [1819] = 832,
  [1820] = 385,
  [1821] = 851,
  [1822] = 392,
  [1823] = 1637,
  [1824] = 1644,
  [1825] = 1646,
  [1826] = 1605,
  [1827] = 1559,
  [1828] = 1649,
  [1829] = 1558,
  [1830] = 1651,
  [1831] = 1644,
  [1832] = 1653,
  [1833] = 1654,
  [1834] = 1655,
  [1835] = 1656,
  [1836] = 1657,
  [1837] = 1657,
  [1838] = 1656,
  [1839] = 1611,
  [1840] = 1655,
  [1841] = 1654,
  [1842] = 1653,
  [1843] = 1651,
  [1844] = 1558,
  [1845] = 1649,
  [1846] = 1559,
  [1847] = 1605,
  [1848] = 1646,
  [1849] = 1651,
  [1850] = 1644,
  [1851] = 1637,
  [1852] = 1637,
  [1853] = 1582,
  [1854] = 1741,
  [1855] = 1611,
  [1856] = 1672,
  [1857] = 1697,
  [1858] = 1260,
  [1859] = 1563,
  [1860] = 1653,
  [1861] = 724,
  [1862] = 1697,
  [1863] = 1563,
  [1864] = 1672,
  [1865] = 1611,
  [1866] = 694,
  [1867] = 382,
  [1868] = 387,
  [1869] = 388,
  [1870] = 1563,
  [1871] = 1657,
  [1872] = 1654,
  [1873] = 1655,
  [1874] = 1656,
  [1875] = 874,
  [1876] = 909,
  [1877] = 911,
  [1878] = 876,
  [1879] = 851,
  [1880] = 832,
  [1881] = 371,
  [1882] = 368,
  [1883] = 367,
  [1884] = 392,
  [1885] = 371,
  [1886] = 386,
  [1887] = 368,
  [1888] = 1328,
  [1889] = 390,
  [1890] = 840,
  [1891] = 393,
  [1892] = 392,
  [1893] = 832,
  [1894] = 851,
  [1895] = 1388,
  [1896] = 367,
  [1897] = 383,
  [1898] = 921,
  [1899] = 718,
  [1900] = 720,
  [1901] = 769,
  [1902] = 382,
  [1903] = 375,
  [1904] = 921,
  [1905] = 718,
  [1906] = 380,
  [1907] = 1176,
  [1908] = 388,
  [1909] = 377,
  [1910] = 374,
  [1911] = 372,
  [1912] = 387,
  [1913] = 393,
  [1914] = 379,
  [1915] = 720,
  [1916] = 876,
  [1917] = 874,
  [1918] = 371,
  [1919] = 1176,
  [1920] = 724,
  [1921] = 393,
  [1922] = 694,
  [1923] = 840,
  [1924] = 369,
  [1925] = 694,
  [1926] = 368,
  [1927] = 724,
  [1928] = 367,
  [1929] = 392,
  [1930] = 369,
  [1931] = 694,
  [1932] = 724,
  [1933] = 875,
  [1934] = 1934,
  [1935] = 385,
  [1936] = 367,
  [1937] = 376,
  [1938] = 378,
  [1939] = 389,
  [1940] = 388,
  [1941] = 371,
  [1942] = 368,
  [1943] = 381,
  [1944] = 369,
  [1945] = 393,
  [1946] = 1946,
  [1947] = 384,
  [1948] = 389,
  [1949] = 909,
  [1950] = 911,
  [1951] = 384,
  [1952] = 876,
  [1953] = 840,
  [1954] = 839,
  [1955] = 1955,
  [1956] = 367,
  [1957] = 378,
  [1958] = 1946,
  [1959] = 840,
  [1960] = 367,
  [1961] = 373,
  [1962] = 393,
  [1963] = 383,
  [1964] = 374,
  [1965] = 372,
  [1966] = 922,
  [1967] = 386,
  [1968] = 1934,
  [1969] = 381,
  [1970] = 1970,
  [1971] = 832,
  [1972] = 1970,
  [1973] = 1973,
  [1974] = 390,
  [1975] = 1955,
  [1976] = 367,
  [1977] = 1977,
  [1978] = 382,
  [1979] = 367,
  [1980] = 371,
  [1981] = 932,
  [1982] = 380,
  [1983] = 377,
  [1984] = 367,
  [1985] = 1946,
  [1986] = 367,
  [1987] = 368,
  [1988] = 1970,
  [1989] = 367,
  [1990] = 1934,
  [1991] = 379,
  [1992] = 371,
  [1993] = 368,
  [1994] = 939,
  [1995] = 921,
  [1996] = 720,
  [1997] = 718,
  [1998] = 385,
  [1999] = 373,
  [2000] = 375,
  [2001] = 1955,
  [2002] = 369,
  [2003] = 874,
  [2004] = 387,
  [2005] = 851,
  [2006] = 876,
  [2007] = 367,
  [2008] = 376,
  [2009] = 393,
  [2010] = 1006,
  [2011] = 1007,
  [2012] = 1973,
  [2013] = 939,
  [2014] = 382,
  [2015] = 383,
  [2016] = 372,
  [2017] = 374,
  [2018] = 383,
  [2019] = 367,
  [2020] = 387,
  [2021] = 388,
  [2022] = 390,
  [2023] = 390,
  [2024] = 375,
  [2025] = 386,
  [2026] = 2026,
  [2027] = 382,
  [2028] = 379,
  [2029] = 374,
  [2030] = 371,
  [2031] = 387,
  [2032] = 388,
  [2033] = 371,
  [2034] = 368,
  [2035] = 385,
  [2036] = 369,
  [2037] = 386,
  [2038] = 372,
  [2039] = 2039,
  [2040] = 373,
  [2041] = 369,
  [2042] = 374,
  [2043] = 2043,
  [2044] = 368,
  [2045] = 2045,
  [2046] = 368,
  [2047] = 2026,
  [2048] = 2045,
  [2049] = 371,
  [2050] = 376,
  [2051] = 368,
  [2052] = 378,
  [2053] = 832,
  [2054] = 1006,
  [2055] = 1007,
  [2056] = 2026,
  [2057] = 2039,
  [2058] = 2045,
  [2059] = 384,
  [2060] = 389,
  [2061] = 392,
  [2062] = 392,
  [2063] = 386,
  [2064] = 381,
  [2065] = 368,
  [2066] = 381,
  [2067] = 1017,
  [2068] = 1070,
  [2069] = 1026,
  [2070] = 380,
  [2071] = 377,
  [2072] = 367,
  [2073] = 371,
  [2074] = 2045,
  [2075] = 2043,
  [2076] = 2026,
  [2077] = 2045,
  [2078] = 371,
  [2079] = 2026,
  [2080] = 1048,
  [2081] = 379,
  [2082] = 367,
  [2083] = 851,
  [2084] = 368,
  [2085] = 375,
  [2086] = 922,
  [2087] = 1099,
  [2088] = 389,
  [2089] = 390,
  [2090] = 384,
  [2091] = 375,
  [2092] = 385,
  [2093] = 2039,
  [2094] = 369,
  [2095] = 1176,
  [2096] = 378,
  [2097] = 2039,
  [2098] = 946,
  [2099] = 2039,
  [2100] = 376,
  [2101] = 371,
  [2102] = 367,
  [2103] = 371,
  [2104] = 368,
  [2105] = 373,
  [2106] = 2039,
  [2107] = 2045,
  [2108] = 392,
  [2109] = 989,
  [2110] = 382,
  [2111] = 368,
  [2112] = 380,
  [2113] = 387,
  [2114] = 371,
  [2115] = 377,
  [2116] = 368,
  [2117] = 2117,
  [2118] = 1977,
  [2119] = 379,
  [2120] = 2026,
  [2121] = 388,
  [2122] = 369,
  [2123] = 371,
  [2124] = 832,
  [2125] = 851,
  [2126] = 2043,
  [2127] = 372,
  [2128] = 384,
  [2129] = 389,
  [2130] = 374,
  [2131] = 381,
  [2132] = 375,
  [2133] = 383,
  [2134] = 393,
  [2135] = 371,
  [2136] = 379,
  [2137] = 374,
  [2138] = 381,
  [2139] = 379,
  [2140] = 377,
  [2141] = 380,
  [2142] = 377,
  [2143] = 2143,
  [2144] = 380,
  [2145] = 379,
  [2146] = 386,
  [2147] = 378,
  [2148] = 368,
  [2149] = 375,
  [2150] = 371,
  [2151] = 2043,
  [2152] = 390,
  [2153] = 1066,
  [2154] = 388,
  [2155] = 390,
  [2156] = 369,
  [2157] = 388,
  [2158] = 389,
  [2159] = 384,
  [2160] = 387,
  [2161] = 387,
  [2162] = 376,
  [2163] = 386,
  [2164] = 1337,
  [2165] = 388,
  [2166] = 392,
  [2167] = 989,
  [2168] = 373,
  [2169] = 387,
  [2170] = 378,
  [2171] = 390,
  [2172] = 382,
  [2173] = 382,
  [2174] = 382,
  [2175] = 387,
  [2176] = 388,
  [2177] = 376,
  [2178] = 382,
  [2179] = 386,
  [2180] = 386,
  [2181] = 375,
  [2182] = 392,
  [2183] = 372,
  [2184] = 374,
  [2185] = 390,
  [2186] = 1176,
  [2187] = 385,
  [2188] = 1066,
  [2189] = 372,
  [2190] = 1344,
  [2191] = 374,
  [2192] = 2192,
  [2193] = 922,
  [2194] = 946,
  [2195] = 2195,
  [2196] = 381,
  [2197] = 372,
  [2198] = 2198,
  [2199] = 380,
  [2200] = 377,
  [2201] = 393,
  [2202] = 393,
  [2203] = 1147,
  [2204] = 2204,
  [2205] = 381,
  [2206] = 2043,
  [2207] = 383,
  [2208] = 368,
  [2209] = 1099,
  [2210] = 939,
  [2211] = 379,
  [2212] = 367,
  [2213] = 389,
  [2214] = 384,
  [2215] = 389,
  [2216] = 384,
  [2217] = 375,
  [2218] = 378,
  [2219] = 373,
  [2220] = 375,
  [2221] = 376,
  [2222] = 2222,
  [2223] = 1399,
  [2224] = 1328,
  [2225] = 2225,
  [2226] = 392,
  [2227] = 378,
  [2228] = 379,
  [2229] = 377,
  [2230] = 385,
  [2231] = 380,
  [2232] = 1070,
  [2233] = 373,
  [2234] = 376,
  [2235] = 851,
  [2236] = 832,
  [2237] = 383,
  [2238] = 2238,
  [2239] = 390,
  [2240] = 385,
  [2241] = 2241,
  [2242] = 385,
  [2243] = 386,
  [2244] = 373,
  [2245] = 392,
  [2246] = 2039,
  [2247] = 2117,
  [2248] = 2248,
  [2249] = 387,
  [2250] = 392,
  [2251] = 388,
  [2252] = 2252,
  [2253] = 383,
  [2254] = 2254,
  [2255] = 374,
  [2256] = 382,
  [2257] = 2257,
  [2258] = 2258,
  [2259] = 1328,
  [2260] = 2257,
  [2261] = 2257,
  [2262] = 2257,
  [2263] = 2257,
  [2264] = 2257,
  [2265] = 2257,
  [2266] = 393,
  [2267] = 2257,
  [2268] = 2257,
  [2269] = 2257,
  [2270] = 2257,
  [2271] = 2257,
  [2272] = 392,
  [2273] = 2143,
  [2274] = 2257,
  [2275] = 383,
  [2276] = 2257,
  [2277] = 2277,
  [2278] = 2257,
  [2279] = 2257,
  [2280] = 2257,
  [2281] = 2257,
  [2282] = 2257,
  [2283] = 2257,
  [2284] = 2284,
  [2285] = 372,
  [2286] = 2286,
  [2287] = 2287,
  [2288] = 2288,
  [2289] = 2257,
  [2290] = 2290,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 2294,
  [2295] = 2295,
  [2296] = 363,
  [2297] = 2297,
  [2298] = 2257,
  [2299] = 2257,
  [2300] = 2257,
  [2301] = 2301,
  [2302] = 2302,
  [2303] = 2303,
  [2304] = 2304,
  [2305] = 2305,
  [2306] = 2306,
  [2307] = 2307,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2257,
  [2311] = 2257,
  [2312] = 393,
  [2313] = 2313,
  [2314] = 2314,
  [2315] = 2315,
  [2316] = 2257,
  [2317] = 2257,
  [2318] = 1344,
  [2319] = 2257,
  [2320] = 2320,
  [2321] = 2257,
  [2322] = 2257,
  [2323] = 362,
  [2324] = 2257,
  [2325] = 2257,
  [2326] = 2257,
  [2327] = 2257,
  [2328] = 2257,
  [2329] = 393,
  [2330] = 2257,
  [2331] = 2257,
  [2332] = 2257,
  [2333] = 380,
  [2334] = 2334,
  [2335] = 2257,
  [2336] = 2257,
  [2337] = 2337,
  [2338] = 2257,
  [2339] = 385,
  [2340] = 373,
  [2341] = 2238,
  [2342] = 2342,
  [2343] = 1337,
  [2344] = 2344,
  [2345] = 2345,
  [2346] = 1388,
  [2347] = 1220,
  [2348] = 377,
  [2349] = 376,
  [2350] = 2350,
  [2351] = 2350,
  [2352] = 2352,
  [2353] = 946,
  [2354] = 392,
  [2355] = 378,
  [2356] = 2257,
  [2357] = 2357,
  [2358] = 2358,
  [2359] = 2350,
  [2360] = 2360,
  [2361] = 2361,
  [2362] = 2362,
  [2363] = 2363,
  [2364] = 2364,
  [2365] = 2225,
  [2366] = 2366,
  [2367] = 989,
  [2368] = 2368,
  [2369] = 382,
  [2370] = 387,
  [2371] = 2371,
  [2372] = 393,
  [2373] = 388,
  [2374] = 390,
  [2375] = 2375,
  [2376] = 2350,
  [2377] = 382,
  [2378] = 374,
  [2379] = 379,
  [2380] = 2257,
  [2381] = 387,
  [2382] = 1269,
  [2383] = 388,
  [2384] = 2350,
  [2385] = 375,
  [2386] = 2257,
  [2387] = 386,
  [2388] = 379,
  [2389] = 374,
  [2390] = 2248,
  [2391] = 381,
  [2392] = 1260,
  [2393] = 1352,
  [2394] = 390,
  [2395] = 2257,
  [2396] = 393,
  [2397] = 2222,
  [2398] = 1352,
  [2399] = 2254,
  [2400] = 1269,
  [2401] = 382,
  [2402] = 387,
  [2403] = 388,
  [2404] = 375,
  [2405] = 386,
  [2406] = 2117,
  [2407] = 2407,
  [2408] = 2192,
  [2409] = 384,
  [2410] = 389,
  [2411] = 2411,
  [2412] = 2412,
  [2413] = 386,
  [2414] = 379,
  [2415] = 372,
  [2416] = 375,
  [2417] = 374,
  [2418] = 1399,
  [2419] = 377,
  [2420] = 2350,
  [2421] = 380,
  [2422] = 1176,
  [2423] = 383,
  [2424] = 390,
  [2425] = 388,
  [2426] = 387,
  [2427] = 2257,
  [2428] = 382,
  [2429] = 2257,
  [2430] = 2117,
  [2431] = 374,
  [2432] = 379,
  [2433] = 1260,
  [2434] = 386,
  [2435] = 375,
  [2436] = 390,
  [2437] = 388,
  [2438] = 2438,
  [2439] = 2439,
  [2440] = 2440,
  [2441] = 2441,
  [2442] = 2362,
  [2443] = 387,
  [2444] = 382,
  [2445] = 2445,
  [2446] = 2204,
  [2447] = 2447,
  [2448] = 2448,
  [2449] = 2449,
  [2450] = 2364,
  [2451] = 2407,
  [2452] = 2452,
  [2453] = 2143,
  [2454] = 2454,
  [2455] = 2455,
  [2456] = 2456,
  [2457] = 2457,
  [2458] = 2458,
  [2459] = 2459,
  [2460] = 2460,
  [2461] = 2461,
  [2462] = 2462,
  [2463] = 2357,
  [2464] = 363,
  [2465] = 2143,
  [2466] = 2252,
  [2467] = 2241,
  [2468] = 2468,
  [2469] = 2469,
  [2470] = 2287,
  [2471] = 2471,
  [2472] = 2362,
  [2473] = 2473,
  [2474] = 2364,
  [2475] = 2447,
  [2476] = 2225,
  [2477] = 2366,
  [2478] = 2478,
  [2479] = 2192,
  [2480] = 2241,
  [2481] = 2286,
  [2482] = 2482,
  [2483] = 2305,
  [2484] = 2288,
  [2485] = 2448,
  [2486] = 2291,
  [2487] = 2292,
  [2488] = 2252,
  [2489] = 2482,
  [2490] = 2473,
  [2491] = 2460,
  [2492] = 2294,
  [2493] = 2295,
  [2494] = 2297,
  [2495] = 2301,
  [2496] = 2303,
  [2497] = 2304,
  [2498] = 2471,
  [2499] = 2306,
  [2500] = 2308,
  [2501] = 2286,
  [2502] = 2407,
  [2503] = 375,
  [2504] = 2238,
  [2505] = 2505,
  [2506] = 2286,
  [2507] = 2287,
  [2508] = 2288,
  [2509] = 2198,
  [2510] = 2195,
  [2511] = 2291,
  [2512] = 2439,
  [2513] = 2469,
  [2514] = 2292,
  [2515] = 2294,
  [2516] = 2295,
  [2517] = 2439,
  [2518] = 2469,
  [2519] = 2297,
  [2520] = 379,
  [2521] = 2238,
  [2522] = 2407,
  [2523] = 2303,
  [2524] = 2304,
  [2525] = 377,
  [2526] = 380,
  [2527] = 2305,
  [2528] = 2306,
  [2529] = 2473,
  [2530] = 2482,
  [2531] = 2357,
  [2532] = 2366,
  [2533] = 362,
  [2534] = 2460,
  [2535] = 2308,
  [2536] = 2198,
  [2537] = 2469,
  [2538] = 2538,
  [2539] = 2195,
  [2540] = 2308,
  [2541] = 393,
  [2542] = 2306,
  [2543] = 2305,
  [2544] = 2366,
  [2545] = 2364,
  [2546] = 2304,
  [2547] = 2454,
  [2548] = 2439,
  [2549] = 2303,
  [2550] = 2362,
  [2551] = 2301,
  [2552] = 2552,
  [2553] = 2553,
  [2554] = 2297,
  [2555] = 2308,
  [2556] = 2556,
  [2557] = 2306,
  [2558] = 2295,
  [2559] = 2447,
  [2560] = 2560,
  [2561] = 2294,
  [2562] = 2305,
  [2563] = 2292,
  [2564] = 2291,
  [2565] = 2448,
  [2566] = 2304,
  [2567] = 390,
  [2568] = 2303,
  [2569] = 2248,
  [2570] = 2308,
  [2571] = 2288,
  [2572] = 2287,
  [2573] = 2286,
  [2574] = 2469,
  [2575] = 2306,
  [2576] = 2305,
  [2577] = 2304,
  [2578] = 2362,
  [2579] = 2364,
  [2580] = 2301,
  [2581] = 2297,
  [2582] = 2303,
  [2583] = 2192,
  [2584] = 2225,
  [2585] = 2301,
  [2586] = 2586,
  [2587] = 2297,
  [2588] = 2295,
  [2589] = 2204,
  [2590] = 2295,
  [2591] = 2294,
  [2592] = 2294,
  [2593] = 2222,
  [2594] = 2292,
  [2595] = 2291,
  [2596] = 2366,
  [2597] = 386,
  [2598] = 2288,
  [2599] = 2287,
  [2600] = 2286,
  [2601] = 2254,
  [2602] = 2362,
  [2603] = 2292,
  [2604] = 392,
  [2605] = 2454,
  [2606] = 363,
  [2607] = 2291,
  [2608] = 362,
  [2609] = 2471,
  [2610] = 2439,
  [2611] = 2364,
  [2612] = 2469,
  [2613] = 2288,
  [2614] = 372,
  [2615] = 374,
  [2616] = 2287,
  [2617] = 2248,
  [2618] = 2366,
  [2619] = 1176,
  [2620] = 2469,
  [2621] = 2407,
  [2622] = 2407,
  [2623] = 383,
  [2624] = 2222,
  [2625] = 2254,
  [2626] = 393,
  [2627] = 2301,
  [2628] = 2628,
  [2629] = 2628,
  [2630] = 377,
  [2631] = 380,
  [2632] = 363,
  [2633] = 374,
  [2634] = 371,
  [2635] = 379,
  [2636] = 386,
  [2637] = 375,
  [2638] = 372,
  [2639] = 390,
  [2640] = 2345,
  [2641] = 2258,
  [2642] = 388,
  [2643] = 387,
  [2644] = 382,
  [2645] = 383,
  [2646] = 2342,
  [2647] = 2284,
  [2648] = 2309,
  [2649] = 2315,
  [2650] = 2334,
  [2651] = 2337,
  [2652] = 2352,
  [2653] = 2628,
  [2654] = 2309,
  [2655] = 2560,
  [2656] = 362,
  [2657] = 363,
  [2658] = 2658,
  [2659] = 2411,
  [2660] = 2468,
  [2661] = 2293,
  [2662] = 2662,
  [2663] = 2663,
  [2664] = 2663,
  [2665] = 2538,
  [2666] = 2662,
  [2667] = 2277,
  [2668] = 2438,
  [2669] = 2669,
  [2670] = 2670,
  [2671] = 2366,
  [2672] = 2672,
  [2673] = 2364,
  [2674] = 2674,
  [2675] = 2675,
  [2676] = 2362,
  [2677] = 2290,
  [2678] = 2307,
  [2679] = 2314,
  [2680] = 2669,
  [2681] = 2440,
  [2682] = 362,
  [2683] = 2441,
  [2684] = 2445,
  [2685] = 363,
  [2686] = 2449,
  [2687] = 2663,
  [2688] = 2662,
  [2689] = 2320,
  [2690] = 2452,
  [2691] = 2669,
  [2692] = 2670,
  [2693] = 2455,
  [2694] = 2672,
  [2695] = 2675,
  [2696] = 2556,
  [2697] = 2670,
  [2698] = 2313,
  [2699] = 2456,
  [2700] = 2628,
  [2701] = 2628,
  [2702] = 2628,
  [2703] = 2628,
  [2704] = 2628,
  [2705] = 2628,
  [2706] = 2553,
  [2707] = 2628,
  [2708] = 388,
  [2709] = 2628,
  [2710] = 2672,
  [2711] = 2628,
  [2712] = 2675,
  [2713] = 2628,
  [2714] = 2457,
  [2715] = 2628,
  [2716] = 383,
  [2717] = 2674,
  [2718] = 2628,
  [2719] = 382,
  [2720] = 2628,
  [2721] = 374,
  [2722] = 2628,
  [2723] = 372,
  [2724] = 2628,
  [2725] = 2628,
  [2726] = 2302,
  [2727] = 2458,
  [2728] = 2628,
  [2729] = 2459,
  [2730] = 2628,
  [2731] = 2628,
  [2732] = 386,
  [2733] = 2277,
  [2734] = 2293,
  [2735] = 2628,
  [2736] = 2461,
  [2737] = 2462,
  [2738] = 2478,
  [2739] = 2628,
  [2740] = 2308,
  [2741] = 390,
  [2742] = 2306,
  [2743] = 2305,
  [2744] = 2304,
  [2745] = 2303,
  [2746] = 2628,
  [2747] = 380,
  [2748] = 377,
  [2749] = 2301,
  [2750] = 2297,
  [2751] = 2295,
  [2752] = 2294,
  [2753] = 379,
  [2754] = 2292,
  [2755] = 2291,
  [2756] = 2628,
  [2757] = 2288,
  [2758] = 2287,
  [2759] = 2286,
  [2760] = 2407,
  [2761] = 2628,
  [2762] = 2628,
  [2763] = 375,
  [2764] = 2628,
  [2765] = 2628,
  [2766] = 2628,
  [2767] = 2302,
  [2768] = 851,
  [2769] = 2658,
  [2770] = 832,
  [2771] = 2313,
  [2772] = 390,
  [2773] = 2628,
  [2774] = 2628,
  [2775] = 2775,
  [2776] = 387,
  [2777] = 382,
  [2778] = 362,
  [2779] = 388,
  [2780] = 2412,
  [2781] = 2628,
  [2782] = 387,
  [2783] = 2375,
  [2784] = 2371,
  [2785] = 2344,
  [2786] = 2368,
  [2787] = 2628,
  [2788] = 2345,
  [2789] = 383,
  [2790] = 2258,
  [2791] = 2342,
  [2792] = 375,
  [2793] = 388,
  [2794] = 387,
  [2795] = 382,
  [2796] = 2284,
  [2797] = 2315,
  [2798] = 386,
  [2799] = 2628,
  [2800] = 2334,
  [2801] = 2337,
  [2802] = 379,
  [2803] = 2352,
  [2804] = 372,
  [2805] = 2552,
  [2806] = 2538,
  [2807] = 374,
  [2808] = 2628,
  [2809] = 377,
  [2810] = 2438,
  [2811] = 362,
  [2812] = 380,
  [2813] = 2628,
  [2814] = 363,
  [2815] = 2363,
  [2816] = 2290,
  [2817] = 2628,
  [2818] = 2307,
  [2819] = 2314,
  [2820] = 2320,
  [2821] = 2560,
  [2822] = 2361,
  [2823] = 2556,
  [2824] = 2628,
  [2825] = 2360,
  [2826] = 2553,
  [2827] = 2552,
  [2828] = 367,
  [2829] = 2658,
  [2830] = 2358,
  [2831] = 2628,
  [2832] = 383,
  [2833] = 2674,
  [2834] = 2628,
  [2835] = 2368,
  [2836] = 2344,
  [2837] = 374,
  [2838] = 368,
  [2839] = 372,
  [2840] = 2371,
  [2841] = 2628,
  [2842] = 2375,
  [2843] = 2363,
  [2844] = 2361,
  [2845] = 2628,
  [2846] = 2360,
  [2847] = 2358,
  [2848] = 386,
  [2849] = 2628,
  [2850] = 2411,
  [2851] = 2412,
  [2852] = 2468,
  [2853] = 2440,
  [2854] = 2441,
  [2855] = 2445,
  [2856] = 2628,
  [2857] = 390,
  [2858] = 2449,
  [2859] = 2452,
  [2860] = 375,
  [2861] = 2455,
  [2862] = 2456,
  [2863] = 380,
  [2864] = 377,
  [2865] = 2628,
  [2866] = 2457,
  [2867] = 2628,
  [2868] = 393,
  [2869] = 379,
  [2870] = 2458,
  [2871] = 2459,
  [2872] = 2461,
  [2873] = 2462,
  [2874] = 2478,
  [2875] = 369,
  [2876] = 2876,
  [2877] = 362,
  [2878] = 389,
  [2879] = 363,
  [2880] = 381,
  [2881] = 832,
  [2882] = 851,
  [2883] = 718,
  [2884] = 720,
  [2885] = 874,
  [2886] = 378,
  [2887] = 724,
  [2888] = 694,
  [2889] = 376,
  [2890] = 876,
  [2891] = 840,
  [2892] = 373,
  [2893] = 921,
  [2894] = 385,
  [2895] = 363,
  [2896] = 362,
  [2897] = 2897,
  [2898] = 2898,
  [2899] = 2897,
  [2900] = 384,
  [2901] = 2901,
  [2902] = 362,
  [2903] = 2897,
  [2904] = 371,
  [2905] = 476,
  [2906] = 382,
  [2907] = 368,
  [2908] = 387,
  [2909] = 388,
  [2910] = 369,
  [2911] = 367,
  [2912] = 390,
  [2913] = 375,
  [2914] = 386,
  [2915] = 379,
  [2916] = 374,
  [2917] = 2917,
  [2918] = 363,
  [2919] = 362,
  [2920] = 363,
  [2921] = 377,
  [2922] = 380,
  [2923] = 372,
  [2924] = 383,
  [2925] = 2925,
  [2926] = 378,
  [2927] = 388,
  [2928] = 387,
  [2929] = 362,
  [2930] = 2925,
  [2931] = 363,
  [2932] = 382,
  [2933] = 375,
  [2934] = 2925,
  [2935] = 379,
  [2936] = 2925,
  [2937] = 380,
  [2938] = 377,
  [2939] = 390,
  [2940] = 1176,
  [2941] = 2925,
  [2942] = 2925,
  [2943] = 386,
  [2944] = 2925,
  [2945] = 372,
  [2946] = 374,
  [2947] = 2925,
  [2948] = 383,
  [2949] = 2925,
  [2950] = 2925,
  [2951] = 385,
  [2952] = 2925,
  [2953] = 373,
  [2954] = 384,
  [2955] = 376,
  [2956] = 2925,
  [2957] = 389,
  [2958] = 381,
  [2959] = 2925,
  [2960] = 2925,
  [2961] = 2925,
  [2962] = 2925,
  [2963] = 2925,
  [2964] = 2925,
  [2965] = 2965,
  [2966] = 2925,
  [2967] = 392,
  [2968] = 2925,
  [2969] = 2925,
  [2970] = 363,
  [2971] = 362,
  [2972] = 2925,
  [2973] = 2925,
  [2974] = 1070,
  [2975] = 393,
  [2976] = 1176,
  [2977] = 2977,
  [2978] = 2978,
  [2979] = 1099,
  [2980] = 939,
  [2981] = 1066,
  [2982] = 2982,
  [2983] = 392,
  [2984] = 922,
  [2985] = 2985,
  [2986] = 2986,
  [2987] = 2987,
  [2988] = 2987,
  [2989] = 2989,
  [2990] = 2990,
  [2991] = 2989,
  [2992] = 2987,
  [2993] = 1269,
  [2994] = 2994,
  [2995] = 2989,
  [2996] = 2987,
  [2997] = 2989,
  [2998] = 2986,
  [2999] = 1337,
  [3000] = 2989,
  [3001] = 2987,
  [3002] = 989,
  [3003] = 1344,
  [3004] = 3004,
  [3005] = 2989,
  [3006] = 2987,
  [3007] = 393,
  [3008] = 2989,
  [3009] = 946,
  [3010] = 476,
  [3011] = 2987,
  [3012] = 3012,
  [3013] = 2986,
  [3014] = 363,
  [3015] = 2989,
  [3016] = 2987,
  [3017] = 1352,
  [3018] = 3004,
  [3019] = 362,
  [3020] = 2987,
  [3021] = 2989,
  [3022] = 2987,
  [3023] = 2989,
  [3024] = 1260,
  [3025] = 3004,
  [3026] = 3026,
  [3027] = 3004,
  [3028] = 3028,
  [3029] = 2987,
  [3030] = 2989,
  [3031] = 2987,
  [3032] = 2989,
  [3033] = 2987,
  [3034] = 2987,
  [3035] = 2986,
  [3036] = 2989,
  [3037] = 2989,
  [3038] = 2987,
  [3039] = 2989,
  [3040] = 3040,
  [3041] = 3041,
  [3042] = 3040,
  [3043] = 3043,
  [3044] = 3043,
  [3045] = 3045,
  [3046] = 3040,
  [3047] = 3043,
  [3048] = 3045,
  [3049] = 3043,
  [3050] = 3050,
  [3051] = 3041,
  [3052] = 3050,
  [3053] = 3053,
  [3054] = 3054,
  [3055] = 3040,
  [3056] = 362,
  [3057] = 3040,
  [3058] = 3054,
  [3059] = 3045,
  [3060] = 3043,
  [3061] = 362,
  [3062] = 363,
  [3063] = 3054,
  [3064] = 3054,
  [3065] = 3043,
  [3066] = 3040,
  [3067] = 363,
  [3068] = 3040,
  [3069] = 3043,
  [3070] = 3040,
  [3071] = 3043,
  [3072] = 3040,
  [3073] = 3043,
  [3074] = 3050,
  [3075] = 3043,
  [3076] = 3045,
  [3077] = 3040,
  [3078] = 3043,
  [3079] = 363,
  [3080] = 3054,
  [3081] = 362,
  [3082] = 3043,
  [3083] = 363,
  [3084] = 3040,
  [3085] = 3040,
  [3086] = 3045,
  [3087] = 3045,
  [3088] = 3043,
  [3089] = 3040,
  [3090] = 3041,
  [3091] = 363,
  [3092] = 362,
  [3093] = 3043,
  [3094] = 362,
  [3095] = 3041,
  [3096] = 3043,
  [3097] = 3040,
  [3098] = 3040,
  [3099] = 3040,
  [3100] = 3041,
  [3101] = 3043,
  [3102] = 3040,
  [3103] = 3043,
  [3104] = 3040,
  [3105] = 3041,
  [3106] = 3043,
  [3107] = 3041,
  [3108] = 3043,
  [3109] = 3040,
  [3110] = 3054,
  [3111] = 3111,
  [3112] = 3112,
  [3113] = 3113,
  [3114] = 3112,
  [3115] = 3111,
  [3116] = 3112,
  [3117] = 3111,
  [3118] = 3118,
  [3119] = 3112,
  [3120] = 3118,
  [3121] = 3111,
  [3122] = 3112,
  [3123] = 3111,
  [3124] = 3112,
  [3125] = 3111,
  [3126] = 3118,
  [3127] = 3127,
  [3128] = 3128,
  [3129] = 3129,
  [3130] = 3112,
  [3131] = 3118,
  [3132] = 3113,
  [3133] = 3118,
  [3134] = 3113,
  [3135] = 3118,
  [3136] = 3111,
  [3137] = 3112,
  [3138] = 3129,
  [3139] = 3113,
  [3140] = 3118,
  [3141] = 3111,
  [3142] = 3113,
  [3143] = 3118,
  [3144] = 3118,
  [3145] = 3112,
  [3146] = 3111,
  [3147] = 3113,
  [3148] = 3118,
  [3149] = 3118,
  [3150] = 3113,
  [3151] = 3128,
  [3152] = 3127,
  [3153] = 3118,
  [3154] = 3154,
  [3155] = 3113,
  [3156] = 3118,
  [3157] = 3118,
  [3158] = 3113,
  [3159] = 3112,
  [3160] = 3111,
  [3161] = 3113,
  [3162] = 3128,
  [3163] = 3127,
  [3164] = 3118,
  [3165] = 3113,
  [3166] = 3166,
  [3167] = 3167,
  [3168] = 3113,
  [3169] = 3127,
  [3170] = 3128,
  [3171] = 3128,
  [3172] = 3118,
  [3173] = 3113,
  [3174] = 3118,
  [3175] = 3129,
  [3176] = 3128,
  [3177] = 3113,
  [3178] = 3111,
  [3179] = 3118,
  [3180] = 3112,
  [3181] = 3113,
  [3182] = 3112,
  [3183] = 3111,
  [3184] = 3111,
  [3185] = 3113,
  [3186] = 3118,
  [3187] = 3128,
  [3188] = 3113,
  [3189] = 3127,
  [3190] = 3129,
  [3191] = 3118,
  [3192] = 3113,
  [3193] = 3118,
  [3194] = 3113,
  [3195] = 3127,
  [3196] = 3118,
  [3197] = 3113,
  [3198] = 3128,
  [3199] = 3118,
  [3200] = 3118,
  [3201] = 3113,
  [3202] = 3129,
  [3203] = 3127,
  [3204] = 3113,
  [3205] = 3118,
  [3206] = 3113,
  [3207] = 3118,
  [3208] = 3113,
  [3209] = 3118,
  [3210] = 3113,
  [3211] = 3113,
  [3212] = 3112,
  [3213] = 3118,
  [3214] = 3118,
  [3215] = 3113,
  [3216] = 3118,
  [3217] = 3113,
  [3218] = 3111,
  [3219] = 3118,
  [3220] = 3127,
  [3221] = 3113,
  [3222] = 3118,
  [3223] = 3118,
  [3224] = 3118,
  [3225] = 3113,
  [3226] = 3113,
  [3227] = 3112,
  [3228] = 3113,
  [3229] = 3118,
  [3230] = 3113,
  [3231] = 3113,
  [3232] = 3118,
  [3233] = 3233,
  [3234] = 3234,
  [3235] = 3111,
  [3236] = 3112,
  [3237] = 3111,
  [3238] = 3128,
  [3239] = 3113,
  [3240] = 3112,
  [3241] = 3118,
  [3242] = 3113,
  [3243] = 3127,
  [3244] = 3118,
  [3245] = 3113,
  [3246] = 3118,
  [3247] = 3113,
  [3248] = 3118,
  [3249] = 3128,
  [3250] = 3113,
  [3251] = 3118,
  [3252] = 3118,
  [3253] = 3129,
  [3254] = 3113,
  [3255] = 3113,
  [3256] = 3128,
  [3257] = 3127,
  [3258] = 3118,
  [3259] = 3129,
  [3260] = 3113,
  [3261] = 3113,
  [3262] = 3118,
  [3263] = 3128,
  [3264] = 3118,
  [3265] = 3265,
  [3266] = 3113,
  [3267] = 3267,
  [3268] = 3268,
  [3269] = 3127,
  [3270] = 3113,
  [3271] = 3118,
  [3272] = 3113,
  [3273] = 3273,
  [3274] = 3274,
  [3275] = 3275,
  [3276] = 3276,
  [3277] = 3277,
  [3278] = 3278,
  [3279] = 3279,
  [3280] = 3118,
  [3281] = 3281,
  [3282] = 3118,
  [3283] = 3129,
  [3284] = 3113,
  [3285] = 3129,
  [3286] = 3286,
  [3287] = 3287,
  [3288] = 3118,
  [3289] = 3113,
  [3290] = 3118,
  [3291] = 3113,
  [3292] = 3127,
  [3293] = 3128,
  [3294] = 3118,
  [3295] = 3113,
  [3296] = 3129,
  [3297] = 3127,
  [3298] = 3128,
  [3299] = 3118,
  [3300] = 3113,
  [3301] = 3129,
  [3302] = 3127,
  [3303] = 3128,
  [3304] = 3154,
  [3305] = 3166,
  [3306] = 3167,
  [3307] = 3111,
  [3308] = 3112,
  [3309] = 3118,
  [3310] = 3113,
  [3311] = 3129,
  [3312] = 3113,
  [3313] = 3113,
  [3314] = 3111,
  [3315] = 3233,
  [3316] = 3154,
  [3317] = 3234,
  [3318] = 3129,
  [3319] = 3112,
  [3320] = 3118,
  [3321] = 3113,
  [3322] = 3111,
  [3323] = 3113,
  [3324] = 3127,
  [3325] = 3111,
  [3326] = 3112,
  [3327] = 3112,
  [3328] = 3118,
  [3329] = 3111,
  [3330] = 3112,
  [3331] = 3128,
  [3332] = 3129,
  [3333] = 3127,
  [3334] = 3111,
  [3335] = 3112,
  [3336] = 3128,
  [3337] = 3337,
  [3338] = 3118,
  [3339] = 3111,
  [3340] = 3129,
  [3341] = 3127,
  [3342] = 3113,
  [3343] = 3111,
  [3344] = 3112,
  [3345] = 3113,
  [3346] = 3128,
  [3347] = 3128,
  [3348] = 3111,
  [3349] = 3349,
  [3350] = 3118,
  [3351] = 3112,
  [3352] = 3129,
  [3353] = 3127,
  [3354] = 3118,
  [3355] = 3113,
  [3356] = 3111,
  [3357] = 3112,
  [3358] = 3128,
  [3359] = 3111,
  [3360] = 3127,
  [3361] = 3112,
  [3362] = 3128,
  [3363] = 3118,
  [3364] = 3118,
  [3365] = 3129,
  [3366] = 3111,
  [3367] = 3118,
  [3368] = 3112,
  [3369] = 3118,
  [3370] = 3113,
  [3371] = 3113,
  [3372] = 3337,
  [3373] = 3118,
  [3374] = 3111,
  [3375] = 3112,
  [3376] = 3127,
  [3377] = 3111,
  [3378] = 3128,
  [3379] = 3112,
  [3380] = 3127,
  [3381] = 3111,
  [3382] = 3349,
  [3383] = 3112,
  [3384] = 3111,
  [3385] = 3112,
  [3386] = 3113,
  [3387] = 3111,
  [3388] = 3129,
  [3389] = 3112,
  [3390] = 3111,
  [3391] = 3112,
  [3392] = 3118,
  [3393] = 3127,
  [3394] = 3111,
  [3395] = 3113,
  [3396] = 3118,
  [3397] = 3112,
  [3398] = 3111,
  [3399] = 3128,
  [3400] = 3113,
  [3401] = 3112,
  [3402] = 3111,
  [3403] = 3112,
  [3404] = 3113,
  [3405] = 3118,
  [3406] = 3129,
  [3407] = 3111,
  [3408] = 3112,
  [3409] = 3118,
  [3410] = 3113,
  [3411] = 3111,
  [3412] = 3128,
  [3413] = 3129,
  [3414] = 3113,
  [3415] = 3112,
  [3416] = 3111,
  [3417] = 3127,
  [3418] = 3127,
  [3419] = 3112,
  [3420] = 3129,
  [3421] = 3118,
  [3422] = 3128,
  [3423] = 3118,
  [3424] = 3113,
  [3425] = 3129,
  [3426] = 3111,
  [3427] = 3112,
  [3428] = 3127,
  [3429] = 3111,
  [3430] = 3112,
  [3431] = 3113,
  [3432] = 3111,
  [3433] = 3112,
  [3434] = 3234,
  [3435] = 3111,
  [3436] = 3129,
  [3437] = 3112,
  [3438] = 3118,
  [3439] = 3111,
  [3440] = 3112,
  [3441] = 3118,
  [3442] = 3129,
  [3443] = 3129,
  [3444] = 3111,
  [3445] = 3112,
  [3446] = 3113,
  [3447] = 3118,
  [3448] = 3129,
  [3449] = 3129,
  [3450] = 3450,
  [3451] = 3111,
  [3452] = 3112,
  [3453] = 3113,
  [3454] = 3129,
  [3455] = 3337,
  [3456] = 3265,
  [3457] = 3113,
  [3458] = 3268,
  [3459] = 3273,
  [3460] = 3274,
  [3461] = 3275,
  [3462] = 3129,
  [3463] = 3129,
  [3464] = 3276,
  [3465] = 3112,
  [3466] = 3277,
  [3467] = 3113,
  [3468] = 3278,
  [3469] = 3129,
  [3470] = 3279,
  [3471] = 3281,
  [3472] = 3111,
  [3473] = 3287,
  [3474] = 3286,
  [3475] = 3286,
  [3476] = 3281,
  [3477] = 3112,
  [3478] = 3279,
  [3479] = 3278,
  [3480] = 3277,
  [3481] = 3276,
  [3482] = 3275,
  [3483] = 3274,
  [3484] = 3273,
  [3485] = 3129,
  [3486] = 3287,
  [3487] = 3268,
  [3488] = 3267,
  [3489] = 3118,
  [3490] = 3265,
  [3491] = 3233,
  [3492] = 3129,
  [3493] = 3129,
  [3494] = 3113,
  [3495] = 3129,
  [3496] = 3129,
  [3497] = 3113,
  [3498] = 3118,
  [3499] = 3129,
  [3500] = 3118,
  [3501] = 3129,
  [3502] = 3129,
  [3503] = 3267,
  [3504] = 3129,
  [3505] = 3118,
  [3506] = 3129,
  [3507] = 3349,
  [3508] = 3129,
  [3509] = 3129,
  [3510] = 3118,
  [3511] = 3118,
  [3512] = 3113,
  [3513] = 3129,
  [3514] = 363,
  [3515] = 362,
  [3516] = 3129,
  [3517] = 3113,
  [3518] = 3113,
  [3519] = 3167,
  [3520] = 3129,
  [3521] = 3166,
  [3522] = 3522,
  [3523] = 3523,
  [3524] = 367,
  [3525] = 3525,
  [3526] = 3526,
  [3527] = 3527,
  [3528] = 3522,
  [3529] = 3522,
  [3530] = 3530,
  [3531] = 368,
  [3532] = 3530,
  [3533] = 3525,
  [3534] = 3527,
  [3535] = 367,
  [3536] = 371,
  [3537] = 367,
  [3538] = 369,
  [3539] = 876,
  [3540] = 840,
  [3541] = 3541,
  [3542] = 3542,
  [3543] = 3543,
  [3544] = 3523,
  [3545] = 3545,
  [3546] = 369,
  [3547] = 3547,
  [3548] = 724,
  [3549] = 369,
  [3550] = 720,
  [3551] = 3551,
  [3552] = 718,
  [3553] = 378,
  [3554] = 379,
  [3555] = 374,
  [3556] = 376,
  [3557] = 386,
  [3558] = 374,
  [3559] = 3525,
  [3560] = 367,
  [3561] = 389,
  [3562] = 386,
  [3563] = 390,
  [3564] = 3525,
  [3565] = 375,
  [3566] = 379,
  [3567] = 874,
  [3568] = 375,
  [3569] = 3569,
  [3570] = 368,
  [3571] = 389,
  [3572] = 3572,
  [3573] = 384,
  [3574] = 392,
  [3575] = 390,
  [3576] = 373,
  [3577] = 384,
  [3578] = 3530,
  [3579] = 3579,
  [3580] = 367,
  [3581] = 363,
  [3582] = 362,
  [3583] = 371,
  [3584] = 367,
  [3585] = 385,
  [3586] = 388,
  [3587] = 387,
  [3588] = 382,
  [3589] = 921,
  [3590] = 388,
  [3591] = 377,
  [3592] = 380,
  [3593] = 367,
  [3594] = 387,
  [3595] = 382,
  [3596] = 392,
  [3597] = 3523,
  [3598] = 3598,
  [3599] = 381,
  [3600] = 3530,
  [3601] = 383,
  [3602] = 3602,
  [3603] = 3527,
  [3604] = 3523,
  [3605] = 372,
  [3606] = 876,
  [3607] = 840,
  [3608] = 3523,
  [3609] = 3609,
  [3610] = 383,
  [3611] = 376,
  [3612] = 3525,
  [3613] = 377,
  [3614] = 385,
  [3615] = 380,
  [3616] = 372,
  [3617] = 1066,
  [3618] = 694,
  [3619] = 371,
  [3620] = 368,
  [3621] = 1066,
  [3622] = 3622,
  [3623] = 3545,
  [3624] = 3527,
  [3625] = 2195,
  [3626] = 2198,
  [3627] = 373,
  [3628] = 378,
  [3629] = 2241,
  [3630] = 3541,
  [3631] = 3527,
  [3632] = 381,
  [3633] = 2252,
  [3634] = 369,
  [3635] = 3530,
  [3636] = 3636,
  [3637] = 922,
  [3638] = 385,
  [3639] = 378,
  [3640] = 2293,
  [3641] = 2277,
  [3642] = 381,
  [3643] = 2302,
  [3644] = 3598,
  [3645] = 375,
  [3646] = 876,
  [3647] = 379,
  [3648] = 2313,
  [3649] = 386,
  [3650] = 389,
  [3651] = 384,
  [3652] = 3569,
  [3653] = 372,
  [3654] = 373,
  [3655] = 372,
  [3656] = 389,
  [3657] = 374,
  [3658] = 876,
  [3659] = 367,
  [3660] = 832,
  [3661] = 383,
  [3662] = 371,
  [3663] = 3622,
  [3664] = 381,
  [3665] = 3545,
  [3666] = 3636,
  [3667] = 390,
  [3668] = 376,
  [3669] = 3579,
  [3670] = 378,
  [3671] = 3541,
  [3672] = 3525,
  [3673] = 380,
  [3674] = 367,
  [3675] = 377,
  [3676] = 383,
  [3677] = 939,
  [3678] = 851,
  [3679] = 921,
  [3680] = 3572,
  [3681] = 367,
  [3682] = 874,
  [3683] = 380,
  [3684] = 1099,
  [3685] = 379,
  [3686] = 3551,
  [3687] = 377,
  [3688] = 376,
  [3689] = 384,
  [3690] = 3530,
  [3691] = 368,
  [3692] = 390,
  [3693] = 367,
  [3694] = 371,
  [3695] = 718,
  [3696] = 388,
  [3697] = 720,
  [3698] = 368,
  [3699] = 724,
  [3700] = 694,
  [3701] = 393,
  [3702] = 3602,
  [3703] = 387,
  [3704] = 3541,
  [3705] = 3545,
  [3706] = 382,
  [3707] = 375,
  [3708] = 368,
  [3709] = 3709,
  [3710] = 840,
  [3711] = 371,
  [3712] = 368,
  [3713] = 386,
  [3714] = 3714,
  [3715] = 373,
  [3716] = 1099,
  [3717] = 369,
  [3718] = 374,
  [3719] = 840,
  [3720] = 367,
  [3721] = 392,
  [3722] = 371,
  [3723] = 1070,
  [3724] = 3636,
  [3725] = 382,
  [3726] = 368,
  [3727] = 3609,
  [3728] = 387,
  [3729] = 388,
  [3730] = 3541,
  [3731] = 371,
  [3732] = 385,
  [3733] = 1070,
  [3734] = 922,
  [3735] = 3545,
  [3736] = 939,
  [3737] = 3737,
  [3738] = 840,
  [3739] = 393,
  [3740] = 876,
  [3741] = 392,
  [3742] = 3622,
  [3743] = 3743,
  [3744] = 3744,
  [3745] = 3744,
  [3746] = 3744,
  [3747] = 3744,
  [3748] = 3744,
  [3749] = 3749,
  [3750] = 3750,
  [3751] = 3744,
  [3752] = 3545,
  [3753] = 3744,
  [3754] = 3602,
  [3755] = 3744,
  [3756] = 3756,
  [3757] = 3744,
  [3758] = 3541,
  [3759] = 3744,
  [3760] = 3744,
  [3761] = 3761,
  [3762] = 3744,
  [3763] = 3763,
  [3764] = 3744,
  [3765] = 3744,
  [3766] = 3609,
  [3767] = 3744,
  [3768] = 3768,
  [3769] = 393,
  [3770] = 3744,
  [3771] = 3768,
  [3772] = 3772,
  [3773] = 3773,
  [3774] = 3744,
  [3775] = 371,
  [3776] = 383,
  [3777] = 368,
  [3778] = 374,
  [3779] = 372,
  [3780] = 3744,
  [3781] = 3781,
  [3782] = 3763,
  [3783] = 3744,
  [3784] = 3744,
  [3785] = 3744,
  [3786] = 3744,
  [3787] = 3579,
  [3788] = 3744,
  [3789] = 3761,
  [3790] = 3579,
  [3791] = 3744,
  [3792] = 3792,
  [3793] = 3744,
  [3794] = 386,
  [3795] = 3737,
  [3796] = 3744,
  [3797] = 388,
  [3798] = 3798,
  [3799] = 387,
  [3800] = 3714,
  [3801] = 3569,
  [3802] = 382,
  [3803] = 3744,
  [3804] = 3551,
  [3805] = 3602,
  [3806] = 3744,
  [3807] = 3744,
  [3808] = 694,
  [3809] = 724,
  [3810] = 874,
  [3811] = 3572,
  [3812] = 720,
  [3813] = 3744,
  [3814] = 1269,
  [3815] = 1260,
  [3816] = 3744,
  [3817] = 3744,
  [3818] = 3744,
  [3819] = 718,
  [3820] = 921,
  [3821] = 3598,
  [3822] = 3744,
  [3823] = 3744,
  [3824] = 1352,
  [3825] = 3744,
  [3826] = 368,
  [3827] = 3744,
  [3828] = 3744,
  [3829] = 367,
  [3830] = 371,
  [3831] = 368,
  [3832] = 3798,
  [3833] = 371,
  [3834] = 3781,
  [3835] = 375,
  [3836] = 3744,
  [3837] = 1260,
  [3838] = 3598,
  [3839] = 921,
  [3840] = 3744,
  [3841] = 718,
  [3842] = 3744,
  [3843] = 3551,
  [3844] = 385,
  [3845] = 720,
  [3846] = 3744,
  [3847] = 371,
  [3848] = 368,
  [3849] = 3569,
  [3850] = 381,
  [3851] = 3851,
  [3852] = 3609,
  [3853] = 840,
  [3854] = 3744,
  [3855] = 876,
  [3856] = 3744,
  [3857] = 3857,
  [3858] = 3858,
  [3859] = 3744,
  [3860] = 3860,
  [3861] = 3744,
  [3862] = 3744,
  [3863] = 380,
  [3864] = 393,
  [3865] = 3858,
  [3866] = 3744,
  [3867] = 3572,
  [3868] = 3744,
  [3869] = 874,
  [3870] = 3744,
  [3871] = 694,
  [3872] = 724,
  [3873] = 874,
  [3874] = 3749,
  [3875] = 3579,
  [3876] = 3876,
  [3877] = 373,
  [3878] = 724,
  [3879] = 3744,
  [3880] = 694,
  [3881] = 3881,
  [3882] = 3882,
  [3883] = 3744,
  [3884] = 3744,
  [3885] = 376,
  [3886] = 389,
  [3887] = 390,
  [3888] = 3744,
  [3889] = 379,
  [3890] = 1352,
  [3891] = 384,
  [3892] = 3744,
  [3893] = 1269,
  [3894] = 377,
  [3895] = 378,
  [3896] = 3744,
  [3897] = 3744,
  [3898] = 3551,
  [3899] = 3602,
  [3900] = 3744,
  [3901] = 3622,
  [3902] = 3744,
  [3903] = 3572,
  [3904] = 720,
  [3905] = 718,
  [3906] = 3622,
  [3907] = 921,
  [3908] = 3598,
  [3909] = 3744,
  [3910] = 3744,
  [3911] = 3569,
  [3912] = 3609,
  [3913] = 3714,
  [3914] = 3914,
  [3915] = 989,
  [3916] = 3916,
  [3917] = 3917,
  [3918] = 3918,
  [3919] = 3919,
  [3920] = 3914,
  [3921] = 3921,
  [3922] = 3922,
  [3923] = 3923,
  [3924] = 3924,
  [3925] = 3925,
  [3926] = 3926,
  [3927] = 3927,
  [3928] = 3928,
  [3929] = 3929,
  [3930] = 3930,
  [3931] = 3931,
  [3932] = 3932,
  [3933] = 3933,
  [3934] = 3934,
  [3935] = 3935,
  [3936] = 3932,
  [3937] = 1176,
  [3938] = 3938,
  [3939] = 946,
  [3940] = 3940,
  [3941] = 3941,
  [3942] = 3942,
  [3943] = 3943,
  [3944] = 3944,
  [3945] = 1344,
  [3946] = 3931,
  [3947] = 3935,
  [3948] = 3948,
  [3949] = 3949,
  [3950] = 3737,
  [3951] = 3951,
  [3952] = 3918,
  [3953] = 3953,
  [3954] = 3954,
  [3955] = 3955,
  [3956] = 3956,
  [3957] = 3951,
  [3958] = 3958,
  [3959] = 3959,
  [3960] = 3938,
  [3961] = 3961,
  [3962] = 3714,
  [3963] = 3963,
  [3964] = 3964,
  [3965] = 3965,
  [3966] = 3781,
  [3967] = 3967,
  [3968] = 3968,
  [3969] = 3964,
  [3970] = 3579,
  [3971] = 3943,
  [3972] = 3602,
  [3973] = 3973,
  [3974] = 1344,
  [3975] = 3622,
  [3976] = 3916,
  [3977] = 3977,
  [3978] = 3951,
  [3979] = 3918,
  [3980] = 3942,
  [3981] = 3955,
  [3982] = 3982,
  [3983] = 3983,
  [3984] = 3924,
  [3985] = 3967,
  [3986] = 946,
  [3987] = 3941,
  [3988] = 3959,
  [3989] = 3989,
  [3990] = 3990,
  [3991] = 3737,
  [3992] = 3917,
  [3993] = 3993,
  [3994] = 989,
  [3995] = 3965,
  [3996] = 3996,
  [3997] = 1337,
  [3998] = 1337,
  [3999] = 3996,
  [4000] = 4000,
  [4001] = 4001,
  [4002] = 3949,
  [4003] = 694,
  [4004] = 3761,
  [4005] = 392,
  [4006] = 3934,
  [4007] = 3963,
  [4008] = 724,
  [4009] = 874,
  [4010] = 3572,
  [4011] = 3954,
  [4012] = 4012,
  [4013] = 4013,
  [4014] = 4014,
  [4015] = 720,
  [4016] = 718,
  [4017] = 3929,
  [4018] = 3968,
  [4019] = 3940,
  [4020] = 3948,
  [4021] = 3973,
  [4022] = 3977,
  [4023] = 3990,
  [4024] = 368,
  [4025] = 371,
  [4026] = 3928,
  [4027] = 3761,
  [4028] = 3781,
  [4029] = 3953,
  [4030] = 3933,
  [4031] = 3959,
  [4032] = 3737,
  [4033] = 3958,
  [4034] = 3961,
  [4035] = 3993,
  [4036] = 3857,
  [4037] = 3956,
  [4038] = 3927,
  [4039] = 4000,
  [4040] = 3982,
  [4041] = 4001,
  [4042] = 4012,
  [4043] = 4014,
  [4044] = 3926,
  [4045] = 3609,
  [4046] = 3933,
  [4047] = 3944,
  [4048] = 3930,
  [4049] = 4013,
  [4050] = 3921,
  [4051] = 3989,
  [4052] = 921,
  [4053] = 3598,
  [4054] = 3983,
  [4055] = 3743,
  [4056] = 3792,
  [4057] = 3925,
  [4058] = 3922,
  [4059] = 3923,
  [4060] = 3714,
  [4061] = 3737,
  [4062] = 3743,
  [4063] = 369,
  [4064] = 832,
  [4065] = 4065,
  [4066] = 368,
  [4067] = 371,
  [4068] = 3792,
  [4069] = 3792,
  [4070] = 4070,
  [4071] = 4071,
  [4072] = 851,
  [4073] = 3743,
  [4074] = 3525,
  [4075] = 4075,
  [4076] = 3743,
  [4077] = 371,
  [4078] = 368,
  [4079] = 367,
  [4080] = 393,
  [4081] = 367,
  [4082] = 3857,
  [4083] = 3857,
  [4084] = 3792,
  [4085] = 3714,
  [4086] = 3857,
  [4087] = 3530,
  [4088] = 367,
  [4089] = 374,
  [4090] = 371,
  [4091] = 4091,
  [4092] = 4092,
  [4093] = 4093,
  [4094] = 382,
  [4095] = 4095,
  [4096] = 4096,
  [4097] = 4097,
  [4098] = 4098,
  [4099] = 4099,
  [4100] = 4100,
  [4101] = 376,
  [4102] = 4102,
  [4103] = 4103,
  [4104] = 4104,
  [4105] = 4105,
  [4106] = 3743,
  [4107] = 3792,
  [4108] = 4108,
  [4109] = 3857,
  [4110] = 4110,
  [4111] = 4111,
  [4112] = 383,
  [4113] = 4113,
  [4114] = 4114,
  [4115] = 385,
  [4116] = 3545,
  [4117] = 4091,
  [4118] = 4093,
  [4119] = 3525,
  [4120] = 4120,
  [4121] = 379,
  [4122] = 4122,
  [4123] = 4123,
  [4124] = 4124,
  [4125] = 372,
  [4126] = 4114,
  [4127] = 4097,
  [4128] = 4100,
  [4129] = 4091,
  [4130] = 4102,
  [4131] = 4124,
  [4132] = 4103,
  [4133] = 4104,
  [4134] = 386,
  [4135] = 4093,
  [4136] = 4111,
  [4137] = 367,
  [4138] = 4114,
  [4139] = 4111,
  [4140] = 368,
  [4141] = 389,
  [4142] = 4142,
  [4143] = 4143,
  [4144] = 4144,
  [4145] = 4120,
  [4146] = 4146,
  [4147] = 4095,
  [4148] = 4097,
  [4149] = 4149,
  [4150] = 378,
  [4151] = 4151,
  [4152] = 4095,
  [4153] = 390,
  [4154] = 4154,
  [4155] = 4155,
  [4156] = 4098,
  [4157] = 367,
  [4158] = 4158,
  [4159] = 4159,
  [4160] = 4098,
  [4161] = 3541,
  [4162] = 4100,
  [4163] = 4102,
  [4164] = 380,
  [4165] = 4165,
  [4166] = 377,
  [4167] = 4120,
  [4168] = 375,
  [4169] = 367,
  [4170] = 3530,
  [4171] = 840,
  [4172] = 4103,
  [4173] = 387,
  [4174] = 373,
  [4175] = 388,
  [4176] = 4104,
  [4177] = 4177,
  [4178] = 4124,
  [4179] = 876,
  [4180] = 4180,
  [4181] = 4181,
  [4182] = 4182,
  [4183] = 4183,
  [4184] = 381,
  [4185] = 384,
  [4186] = 4186,
  [4187] = 720,
  [4188] = 4188,
  [4189] = 4189,
  [4190] = 4190,
  [4191] = 4191,
  [4192] = 4192,
  [4193] = 4193,
  [4194] = 4194,
  [4195] = 4195,
  [4196] = 4196,
  [4197] = 4197,
  [4198] = 4198,
  [4199] = 4199,
  [4200] = 367,
  [4201] = 4201,
  [4202] = 4202,
  [4203] = 4203,
  [4204] = 4204,
  [4205] = 368,
  [4206] = 4206,
  [4207] = 371,
  [4208] = 4208,
  [4209] = 4209,
  [4210] = 4210,
  [4211] = 4211,
  [4212] = 4212,
  [4213] = 4213,
  [4214] = 4214,
  [4215] = 874,
  [4216] = 4216,
  [4217] = 4217,
  [4218] = 694,
  [4219] = 1176,
  [4220] = 4220,
  [4221] = 3579,
  [4222] = 392,
  [4223] = 4223,
  [4224] = 724,
  [4225] = 720,
  [4226] = 4226,
  [4227] = 4227,
  [4228] = 4228,
  [4229] = 4229,
  [4230] = 4230,
  [4231] = 4231,
  [4232] = 4232,
  [4233] = 368,
  [4234] = 874,
  [4235] = 4235,
  [4236] = 4236,
  [4237] = 4237,
  [4238] = 3622,
  [4239] = 3572,
  [4240] = 4240,
  [4241] = 3602,
  [4242] = 4242,
  [4243] = 4243,
  [4244] = 840,
  [4245] = 4245,
  [4246] = 3579,
  [4247] = 876,
  [4248] = 4220,
  [4249] = 4249,
  [4250] = 4250,
  [4251] = 4251,
  [4252] = 3622,
  [4253] = 921,
  [4254] = 4254,
  [4255] = 4255,
  [4256] = 3541,
  [4257] = 3545,
  [4258] = 3598,
  [4259] = 718,
  [4260] = 3572,
  [4261] = 4261,
  [4262] = 4262,
  [4263] = 4263,
  [4264] = 4264,
  [4265] = 4265,
  [4266] = 4266,
  [4267] = 694,
  [4268] = 4268,
  [4269] = 4269,
  [4270] = 369,
  [4271] = 4271,
  [4272] = 371,
  [4273] = 724,
  [4274] = 3598,
  [4275] = 4275,
  [4276] = 4276,
  [4277] = 4277,
  [4278] = 4278,
  [4279] = 4279,
  [4280] = 4280,
  [4281] = 3609,
  [4282] = 4282,
  [4283] = 368,
  [4284] = 4284,
  [4285] = 4285,
  [4286] = 4286,
  [4287] = 921,
  [4288] = 4288,
  [4289] = 718,
  [4290] = 4220,
  [4291] = 4291,
  [4292] = 371,
  [4293] = 369,
  [4294] = 379,
  [4295] = 374,
  [4296] = 393,
  [4297] = 372,
  [4298] = 4298,
  [4299] = 921,
  [4300] = 720,
  [4301] = 718,
  [4302] = 376,
  [4303] = 374,
  [4304] = 383,
  [4305] = 385,
  [4306] = 1099,
  [4307] = 373,
  [4308] = 874,
  [4309] = 369,
  [4310] = 388,
  [4311] = 381,
  [4312] = 3622,
  [4313] = 390,
  [4314] = 3598,
  [4315] = 922,
  [4316] = 378,
  [4317] = 4317,
  [4318] = 4318,
  [4319] = 3714,
  [4320] = 3737,
  [4321] = 390,
  [4322] = 1070,
  [4323] = 375,
  [4324] = 387,
  [4325] = 388,
  [4326] = 939,
  [4327] = 386,
  [4328] = 1066,
  [4329] = 4329,
  [4330] = 380,
  [4331] = 377,
  [4332] = 378,
  [4333] = 3609,
  [4334] = 3579,
  [4335] = 392,
  [4336] = 387,
  [4337] = 3714,
  [4338] = 3602,
  [4339] = 373,
  [4340] = 3572,
  [4341] = 377,
  [4342] = 389,
  [4343] = 379,
  [4344] = 392,
  [4345] = 380,
  [4346] = 376,
  [4347] = 3737,
  [4348] = 382,
  [4349] = 382,
  [4350] = 381,
  [4351] = 371,
  [4352] = 383,
  [4353] = 694,
  [4354] = 372,
  [4355] = 385,
  [4356] = 389,
  [4357] = 384,
  [4358] = 386,
  [4359] = 4359,
  [4360] = 384,
  [4361] = 724,
  [4362] = 368,
  [4363] = 375,
  [4364] = 374,
  [4365] = 376,
  [4366] = 922,
  [4367] = 382,
  [4368] = 380,
  [4369] = 1070,
  [4370] = 378,
  [4371] = 383,
  [4372] = 3743,
  [4373] = 373,
  [4374] = 3714,
  [4375] = 3792,
  [4376] = 385,
  [4377] = 393,
  [4378] = 387,
  [4379] = 388,
  [4380] = 393,
  [4381] = 3857,
  [4382] = 372,
  [4383] = 381,
  [4384] = 379,
  [4385] = 384,
  [4386] = 939,
  [4387] = 386,
  [4388] = 377,
  [4389] = 375,
  [4390] = 392,
  [4391] = 1099,
  [4392] = 389,
  [4393] = 4393,
  [4394] = 390,
  [4395] = 3737,
  [4396] = 3926,
  [4397] = 3948,
  [4398] = 1337,
  [4399] = 4014,
  [4400] = 3944,
  [4401] = 3761,
  [4402] = 3955,
  [4403] = 3768,
  [4404] = 3857,
  [4405] = 3921,
  [4406] = 3922,
  [4407] = 1269,
  [4408] = 4000,
  [4409] = 989,
  [4410] = 3923,
  [4411] = 3925,
  [4412] = 3858,
  [4413] = 3792,
  [4414] = 3993,
  [4415] = 3990,
  [4416] = 1352,
  [4417] = 3927,
  [4418] = 3928,
  [4419] = 3929,
  [4420] = 3954,
  [4421] = 3977,
  [4422] = 3798,
  [4423] = 4012,
  [4424] = 393,
  [4425] = 3749,
  [4426] = 3781,
  [4427] = 3973,
  [4428] = 3934,
  [4429] = 1344,
  [4430] = 3940,
  [4431] = 946,
  [4432] = 362,
  [4433] = 1260,
  [4434] = 3763,
  [4435] = 367,
  [4436] = 363,
  [4437] = 3743,
  [4438] = 3938,
  [4439] = 3572,
  [4440] = 989,
  [4441] = 3993,
  [4442] = 3916,
  [4443] = 3955,
  [4444] = 371,
  [4445] = 3924,
  [4446] = 3922,
  [4447] = 3926,
  [4448] = 3781,
  [4449] = 3949,
  [4450] = 3996,
  [4451] = 3965,
  [4452] = 4013,
  [4453] = 3917,
  [4454] = 4000,
  [4455] = 4455,
  [4456] = 3942,
  [4457] = 3948,
  [4458] = 3929,
  [4459] = 4459,
  [4460] = 4001,
  [4461] = 3941,
  [4462] = 3943,
  [4463] = 4014,
  [4464] = 3964,
  [4465] = 3982,
  [4466] = 368,
  [4467] = 3914,
  [4468] = 946,
  [4469] = 4455,
  [4470] = 3967,
  [4471] = 4455,
  [4472] = 3968,
  [4473] = 4455,
  [4474] = 3958,
  [4475] = 369,
  [4476] = 3956,
  [4477] = 3930,
  [4478] = 4478,
  [4479] = 3940,
  [4480] = 3931,
  [4481] = 3944,
  [4482] = 3961,
  [4483] = 3953,
  [4484] = 3990,
  [4485] = 3954,
  [4486] = 3934,
  [4487] = 3932,
  [4488] = 3923,
  [4489] = 1344,
  [4490] = 3989,
  [4491] = 3598,
  [4492] = 3928,
  [4493] = 3921,
  [4494] = 1337,
  [4495] = 3973,
  [4496] = 4459,
  [4497] = 3963,
  [4498] = 3761,
  [4499] = 3935,
  [4500] = 3927,
  [4501] = 874,
  [4502] = 4459,
  [4503] = 4012,
  [4504] = 3977,
  [4505] = 921,
  [4506] = 4459,
  [4507] = 3925,
  [4508] = 3983,
  [4509] = 378,
  [4510] = 377,
  [4511] = 379,
  [4512] = 385,
  [4513] = 389,
  [4514] = 390,
  [4515] = 388,
  [4516] = 383,
  [4517] = 387,
  [4518] = 4518,
  [4519] = 374,
  [4520] = 382,
  [4521] = 372,
  [4522] = 375,
  [4523] = 373,
  [4524] = 3714,
  [4525] = 381,
  [4526] = 386,
  [4527] = 380,
  [4528] = 384,
  [4529] = 376,
  [4530] = 1099,
  [4531] = 1070,
  [4532] = 392,
  [4533] = 4533,
  [4534] = 4534,
  [4535] = 4535,
  [4536] = 4535,
  [4537] = 4534,
  [4538] = 4535,
  [4539] = 4534,
  [4540] = 4534,
  [4541] = 4535,
  [4542] = 4534,
  [4543] = 4535,
  [4544] = 4534,
  [4545] = 4535,
  [4546] = 4535,
  [4547] = 4534,
  [4548] = 4548,
  [4549] = 4534,
  [4550] = 4535,
  [4551] = 4535,
  [4552] = 4535,
  [4553] = 4535,
  [4554] = 4534,
  [4555] = 4534,
  [4556] = 4534,
  [4557] = 4535,
  [4558] = 4535,
  [4559] = 4534,
  [4560] = 4535,
  [4561] = 4535,
  [4562] = 4534,
  [4563] = 4535,
  [4564] = 4535,
  [4565] = 4534,
  [4566] = 363,
  [4567] = 4534,
  [4568] = 4535,
  [4569] = 4534,
  [4570] = 4534,
  [4571] = 4535,
  [4572] = 4535,
  [4573] = 4535,
  [4574] = 4534,
  [4575] = 362,
  [4576] = 4534,
  [4577] = 4535,
  [4578] = 4534,
  [4579] = 4535,
  [4580] = 4534,
  [4581] = 4534,
  [4582] = 4534,
  [4583] = 4534,
  [4584] = 4535,
  [4585] = 4534,
  [4586] = 4535,
  [4587] = 4534,
  [4588] = 4534,
  [4589] = 4534,
  [4590] = 4535,
  [4591] = 4534,
  [4592] = 4535,
  [4593] = 4534,
  [4594] = 4535,
  [4595] = 4534,
  [4596] = 4534,
  [4597] = 4535,
  [4598] = 4534,
  [4599] = 4535,
  [4600] = 4535,
  [4601] = 4535,
  [4602] = 4534,
  [4603] = 4534,
  [4604] = 4535,
  [4605] = 4534,
  [4606] = 4535,
  [4607] = 4535,
  [4608] = 4535,
  [4609] = 4534,
  [4610] = 4534,
  [4611] = 4535,
  [4612] = 4534,
  [4613] = 4534,
  [4614] = 393,
  [4615] = 4535,
  [4616] = 4534,
  [4617] = 4535,
  [4618] = 4535,
  [4619] = 4534,
  [4620] = 4534,
  [4621] = 4535,
  [4622] = 4535,
  [4623] = 4535,
  [4624] = 4535,
  [4625] = 4534,
  [4626] = 4535,
  [4627] = 4534,
  [4628] = 4534,
  [4629] = 4535,
  [4630] = 4534,
  [4631] = 4534,
  [4632] = 4534,
  [4633] = 4535,
  [4634] = 4534,
  [4635] = 4534,
  [4636] = 4535,
  [4637] = 4535,
  [4638] = 4534,
  [4639] = 4535,
  [4640] = 4535,
  [4641] = 4534,
  [4642] = 4535,
  [4643] = 4535,
  [4644] = 4534,
  [4645] = 4534,
  [4646] = 4535,
  [4647] = 4535,
  [4648] = 4535,
  [4649] = 4535,
  [4650] = 4534,
  [4651] = 4535,
  [4652] = 4534,
  [4653] = 4535,
  [4654] = 4534,
  [4655] = 4535,
  [4656] = 4534,
  [4657] = 4534,
  [4658] = 1337,
  [4659] = 1344,
  [4660] = 4660,
  [4661] = 4661,
  [4662] = 4662,
  [4663] = 4663,
  [4664] = 4662,
  [4665] = 4661,
  [4666] = 4662,
  [4667] = 4660,
  [4668] = 4661,
  [4669] = 4660,
  [4670] = 4661,
  [4671] = 4660,
  [4672] = 4660,
  [4673] = 4661,
  [4674] = 4662,
  [4675] = 4661,
  [4676] = 4662,
  [4677] = 4661,
  [4678] = 4660,
  [4679] = 4660,
  [4680] = 4662,
  [4681] = 4660,
  [4682] = 4663,
  [4683] = 4662,
  [4684] = 4662,
  [4685] = 4660,
  [4686] = 4660,
  [4687] = 4661,
  [4688] = 4661,
  [4689] = 4663,
  [4690] = 4662,
  [4691] = 4661,
  [4692] = 4661,
  [4693] = 4660,
  [4694] = 4661,
  [4695] = 4662,
  [4696] = 4660,
  [4697] = 4662,
  [4698] = 4661,
  [4699] = 4661,
  [4700] = 4661,
  [4701] = 4660,
  [4702] = 4662,
  [4703] = 4660,
  [4704] = 4662,
  [4705] = 4661,
  [4706] = 4662,
  [4707] = 4662,
  [4708] = 4662,
  [4709] = 4661,
  [4710] = 4660,
  [4711] = 4660,
  [4712] = 4660,
  [4713] = 4661,
  [4714] = 4661,
  [4715] = 4660,
  [4716] = 4660,
  [4717] = 4661,
  [4718] = 4662,
  [4719] = 4663,
  [4720] = 4662,
  [4721] = 4660,
  [4722] = 4660,
  [4723] = 4661,
  [4724] = 4663,
  [4725] = 4662,
  [4726] = 4660,
  [4727] = 4662,
  [4728] = 4660,
  [4729] = 4660,
  [4730] = 4661,
  [4731] = 4660,
  [4732] = 4662,
  [4733] = 4662,
  [4734] = 4663,
  [4735] = 4661,
  [4736] = 4662,
  [4737] = 4661,
  [4738] = 4662,
  [4739] = 4662,
  [4740] = 4660,
  [4741] = 4661,
  [4742] = 4661,
  [4743] = 4662,
  [4744] = 4660,
  [4745] = 4662,
  [4746] = 4660,
  [4747] = 4660,
  [4748] = 4660,
  [4749] = 4660,
  [4750] = 4661,
  [4751] = 4662,
  [4752] = 4661,
  [4753] = 4661,
  [4754] = 4660,
  [4755] = 4662,
  [4756] = 4662,
  [4757] = 4660,
  [4758] = 4660,
  [4759] = 4661,
  [4760] = 4661,
  [4761] = 4662,
  [4762] = 4661,
  [4763] = 4662,
  [4764] = 4662,
  [4765] = 4660,
  [4766] = 4660,
  [4767] = 4662,
  [4768] = 4660,
  [4769] = 4661,
  [4770] = 4662,
  [4771] = 4662,
  [4772] = 4660,
  [4773] = 4661,
  [4774] = 4662,
  [4775] = 4660,
  [4776] = 4661,
  [4777] = 4662,
  [4778] = 4662,
  [4779] = 4662,
  [4780] = 4661,
  [4781] = 4660,
  [4782] = 4662,
  [4783] = 4660,
  [4784] = 4661,
  [4785] = 4660,
  [4786] = 4662,
  [4787] = 4661,
  [4788] = 4661,
  [4789] = 4662,
  [4790] = 4662,
  [4791] = 4660,
  [4792] = 4662,
  [4793] = 4660,
  [4794] = 4661,
  [4795] = 4662,
  [4796] = 4660,
  [4797] = 4662,
  [4798] = 4660,
  [4799] = 4662,
  [4800] = 4660,
  [4801] = 4662,
  [4802] = 4660,
  [4803] = 4662,
  [4804] = 4660,
  [4805] = 4661,
  [4806] = 4661,
  [4807] = 4662,
  [4808] = 4660,
  [4809] = 4662,
  [4810] = 4660,
  [4811] = 4661,
  [4812] = 4661,
  [4813] = 4663,
  [4814] = 4660,
  [4815] = 4662,
  [4816] = 4662,
  [4817] = 4660,
  [4818] = 4661,
  [4819] = 4663,
  [4820] = 4662,
  [4821] = 4660,
  [4822] = 4662,
  [4823] = 4660,
  [4824] = 4660,
  [4825] = 4662,
  [4826] = 4662,
  [4827] = 4660,
  [4828] = 4661,
  [4829] = 4660,
  [4830] = 4660,
  [4831] = 4662,
  [4832] = 4662,
  [4833] = 4661,
  [4834] = 4660,
  [4835] = 4835,
  [4836] = 4836,
  [4837] = 4835,
  [4838] = 4835,
  [4839] = 4835,
  [4840] = 4835,
  [4841] = 4835,
  [4842] = 4835,
  [4843] = 4835,
  [4844] = 4835,
  [4845] = 373,
  [4846] = 4846,
  [4847] = 4847,
  [4848] = 382,
  [4849] = 4849,
  [4850] = 380,
  [4851] = 377,
  [4852] = 4852,
  [4853] = 379,
  [4854] = 4854,
  [4855] = 4854,
  [4856] = 4846,
  [4857] = 375,
  [4858] = 4858,
  [4859] = 4846,
  [4860] = 385,
  [4861] = 4854,
  [4862] = 388,
  [4863] = 4854,
  [4864] = 4854,
  [4865] = 4846,
  [4866] = 4854,
  [4867] = 4846,
  [4868] = 4846,
  [4869] = 387,
  [4870] = 4854,
  [4871] = 4846,
  [4872] = 4872,
  [4873] = 4873,
  [4874] = 4854,
  [4875] = 4846,
  [4876] = 4846,
  [4877] = 4877,
  [4878] = 4877,
  [4879] = 4877,
  [4880] = 4877,
  [4881] = 4877,
  [4882] = 4877,
  [4883] = 1035,
  [4884] = 4877,
  [4885] = 4885,
  [4886] = 4877,
  [4887] = 4887,
  [4888] = 4877,
  [4889] = 4889,
  [4890] = 4877,
  [4891] = 367,
  [4892] = 4892,
  [4893] = 4893,
  [4894] = 4894,
  [4895] = 4895,
  [4896] = 4896,
  [4897] = 4896,
  [4898] = 4898,
  [4899] = 4893,
  [4900] = 4893,
  [4901] = 4896,
  [4902] = 4893,
  [4903] = 4903,
  [4904] = 369,
  [4905] = 4903,
  [4906] = 4896,
  [4907] = 4896,
  [4908] = 368,
  [4909] = 4903,
  [4910] = 4893,
  [4911] = 371,
  [4912] = 4893,
  [4913] = 4903,
  [4914] = 4896,
  [4915] = 4893,
  [4916] = 4903,
  [4917] = 4903,
  [4918] = 4894,
  [4919] = 4896,
  [4920] = 4920,
  [4921] = 4903,
  [4922] = 4920,
  [4923] = 4893,
  [4924] = 4903,
  [4925] = 4920,
  [4926] = 4894,
  [4927] = 4896,
  [4928] = 372,
  [4929] = 379,
  [4930] = 4930,
  [4931] = 383,
  [4932] = 388,
  [4933] = 385,
  [4934] = 4934,
  [4935] = 4935,
  [4936] = 390,
  [4937] = 4937,
  [4938] = 382,
  [4939] = 377,
  [4940] = 4940,
  [4941] = 381,
  [4942] = 374,
  [4943] = 384,
  [4944] = 378,
  [4945] = 4930,
  [4946] = 373,
  [4947] = 388,
  [4948] = 386,
  [4949] = 380,
  [4950] = 4930,
  [4951] = 375,
  [4952] = 379,
  [4953] = 4953,
  [4954] = 380,
  [4955] = 387,
  [4956] = 383,
  [4957] = 377,
  [4958] = 382,
  [4959] = 376,
  [4960] = 4960,
  [4961] = 389,
  [4962] = 375,
  [4963] = 379,
  [4964] = 375,
  [4965] = 387,
  [4966] = 372,
  [4967] = 392,
  [4968] = 4968,
  [4969] = 4969,
  [4970] = 4970,
  [4971] = 393,
  [4972] = 4972,
  [4973] = 367,
  [4974] = 4974,
  [4975] = 4975,
  [4976] = 4976,
  [4977] = 4976,
  [4978] = 4978,
  [4979] = 4979,
  [4980] = 4975,
  [4981] = 4981,
  [4982] = 4982,
  [4983] = 4983,
  [4984] = 4976,
  [4985] = 4985,
  [4986] = 4975,
  [4987] = 4987,
  [4988] = 4988,
  [4989] = 4989,
  [4990] = 4990,
  [4991] = 4991,
  [4992] = 4992,
  [4993] = 4993,
  [4994] = 4994,
  [4995] = 4995,
  [4996] = 4996,
  [4997] = 4997,
  [4998] = 4998,
  [4999] = 4999,
  [5000] = 5000,
  [5001] = 5001,
  [5002] = 5002,
  [5003] = 388,
  [5004] = 5004,
  [5005] = 5005,
  [5006] = 5006,
  [5007] = 5007,
  [5008] = 5008,
  [5009] = 5009,
  [5010] = 5010,
  [5011] = 5011,
  [5012] = 5012,
  [5013] = 5013,
  [5014] = 5007,
  [5015] = 5015,
  [5016] = 5016,
  [5017] = 5017,
  [5018] = 5018,
  [5019] = 5016,
  [5020] = 5007,
  [5021] = 371,
  [5022] = 5008,
  [5023] = 5016,
  [5024] = 382,
  [5025] = 5025,
  [5026] = 387,
  [5027] = 5027,
  [5028] = 5028,
  [5029] = 5029,
  [5030] = 5030,
  [5031] = 5007,
  [5032] = 5017,
  [5033] = 5027,
  [5034] = 5005,
  [5035] = 5009,
  [5036] = 5011,
  [5037] = 5012,
  [5038] = 2252,
  [5039] = 5013,
  [5040] = 5040,
  [5041] = 369,
  [5042] = 5030,
  [5043] = 5028,
  [5044] = 5044,
  [5045] = 5008,
  [5046] = 5046,
  [5047] = 5030,
  [5048] = 5048,
  [5049] = 5049,
  [5050] = 5008,
  [5051] = 5005,
  [5052] = 5012,
  [5053] = 5053,
  [5054] = 5054,
  [5055] = 5055,
  [5056] = 2195,
  [5057] = 5057,
  [5058] = 5058,
  [5059] = 2198,
  [5060] = 5060,
  [5061] = 5061,
  [5062] = 5030,
  [5063] = 5063,
  [5064] = 5064,
  [5065] = 5065,
  [5066] = 5017,
  [5067] = 5067,
  [5068] = 5068,
  [5069] = 5069,
  [5070] = 5009,
  [5071] = 5071,
  [5072] = 5011,
  [5073] = 5040,
  [5074] = 5074,
  [5075] = 5028,
  [5076] = 5040,
  [5077] = 5013,
  [5078] = 5078,
  [5079] = 5058,
  [5080] = 5012,
  [5081] = 5011,
  [5082] = 5082,
  [5083] = 5009,
  [5084] = 5084,
  [5085] = 5065,
  [5086] = 5016,
  [5087] = 2241,
  [5088] = 5040,
  [5089] = 5089,
  [5090] = 5065,
  [5091] = 5005,
  [5092] = 5058,
  [5093] = 368,
  [5094] = 5094,
  [5095] = 5027,
  [5096] = 5096,
  [5097] = 5027,
  [5098] = 5017,
  [5099] = 5013,
  [5100] = 2293,
  [5101] = 387,
  [5102] = 2313,
  [5103] = 377,
  [5104] = 388,
  [5105] = 372,
  [5106] = 5106,
  [5107] = 382,
  [5108] = 374,
  [5109] = 385,
  [5110] = 380,
  [5111] = 5111,
  [5112] = 5112,
  [5113] = 5113,
  [5114] = 5114,
  [5115] = 5115,
  [5116] = 5116,
  [5117] = 5117,
  [5118] = 5118,
  [5119] = 388,
  [5120] = 387,
  [5121] = 379,
  [5122] = 389,
  [5123] = 5123,
  [5124] = 383,
  [5125] = 382,
  [5126] = 2277,
  [5127] = 384,
  [5128] = 373,
  [5129] = 1260,
  [5130] = 5130,
  [5131] = 5131,
  [5132] = 5132,
  [5133] = 377,
  [5134] = 5134,
  [5135] = 381,
  [5136] = 5136,
  [5137] = 392,
  [5138] = 5138,
  [5139] = 2302,
  [5140] = 386,
  [5141] = 380,
  [5142] = 390,
  [5143] = 5143,
  [5144] = 388,
  [5145] = 379,
  [5146] = 386,
  [5147] = 5147,
  [5148] = 390,
  [5149] = 375,
  [5150] = 375,
  [5151] = 5151,
  [5152] = 1269,
  [5153] = 374,
  [5154] = 5154,
  [5155] = 387,
  [5156] = 5156,
  [5157] = 376,
  [5158] = 5158,
  [5159] = 5143,
  [5160] = 392,
  [5161] = 378,
  [5162] = 382,
  [5163] = 5143,
  [5164] = 5164,
  [5165] = 5165,
  [5166] = 5166,
  [5167] = 5167,
  [5168] = 5168,
  [5169] = 5166,
  [5170] = 5170,
  [5171] = 5171,
  [5172] = 5172,
  [5173] = 5173,
  [5174] = 388,
  [5175] = 387,
  [5176] = 5166,
  [5177] = 5166,
  [5178] = 5166,
  [5179] = 5179,
  [5180] = 390,
  [5181] = 5173,
  [5182] = 5182,
  [5183] = 5183,
  [5184] = 5184,
  [5185] = 5166,
  [5186] = 5186,
  [5187] = 5187,
  [5188] = 5188,
  [5189] = 5166,
  [5190] = 5166,
  [5191] = 382,
  [5192] = 5173,
  [5193] = 5193,
  [5194] = 5194,
  [5195] = 5167,
  [5196] = 5196,
  [5197] = 5166,
  [5198] = 393,
  [5199] = 5166,
  [5200] = 382,
  [5201] = 5166,
  [5202] = 5202,
  [5203] = 5203,
  [5204] = 5204,
  [5205] = 5205,
  [5206] = 5166,
  [5207] = 387,
  [5208] = 388,
  [5209] = 5166,
  [5210] = 5018,
  [5211] = 5173,
  [5212] = 5212,
  [5213] = 5018,
  [5214] = 5173,
  [5215] = 5183,
  [5216] = 5173,
  [5217] = 5217,
  [5218] = 5173,
  [5219] = 5166,
  [5220] = 5220,
  [5221] = 5166,
  [5222] = 5222,
  [5223] = 5166,
  [5224] = 5166,
  [5225] = 5225,
  [5226] = 5173,
  [5227] = 5166,
  [5228] = 386,
  [5229] = 2198,
  [5230] = 5173,
  [5231] = 5173,
  [5232] = 5166,
  [5233] = 5173,
  [5234] = 5173,
  [5235] = 5183,
  [5236] = 5236,
  [5237] = 5173,
  [5238] = 5238,
  [5239] = 5166,
  [5240] = 5240,
  [5241] = 390,
  [5242] = 5242,
  [5243] = 5166,
  [5244] = 5244,
  [5245] = 5245,
  [5246] = 5166,
  [5247] = 5247,
  [5248] = 5248,
  [5249] = 5173,
  [5250] = 5250,
  [5251] = 374,
  [5252] = 5166,
  [5253] = 375,
  [5254] = 5166,
  [5255] = 386,
  [5256] = 5256,
  [5257] = 5257,
  [5258] = 5173,
  [5259] = 5166,
  [5260] = 5260,
  [5261] = 5173,
  [5262] = 379,
  [5263] = 393,
  [5264] = 5264,
  [5265] = 5166,
  [5266] = 5166,
  [5267] = 5166,
  [5268] = 5268,
  [5269] = 5269,
  [5270] = 5166,
  [5271] = 5166,
  [5272] = 5173,
  [5273] = 2241,
  [5274] = 5274,
  [5275] = 374,
  [5276] = 5276,
  [5277] = 5166,
  [5278] = 5278,
  [5279] = 5173,
  [5280] = 5280,
  [5281] = 5166,
  [5282] = 2252,
  [5283] = 5166,
  [5284] = 5166,
  [5285] = 5166,
  [5286] = 5167,
  [5287] = 5166,
  [5288] = 5288,
  [5289] = 5289,
  [5290] = 5290,
  [5291] = 2195,
  [5292] = 5173,
  [5293] = 5166,
  [5294] = 5173,
  [5295] = 5166,
  [5296] = 373,
  [5297] = 5166,
  [5298] = 5166,
  [5299] = 385,
  [5300] = 5166,
  [5301] = 5166,
  [5302] = 5166,
  [5303] = 5303,
  [5304] = 5166,
  [5305] = 5305,
  [5306] = 5306,
  [5307] = 5307,
  [5308] = 5173,
  [5309] = 5166,
  [5310] = 5166,
  [5311] = 5173,
  [5312] = 5166,
  [5313] = 2117,
  [5314] = 5314,
  [5315] = 5315,
  [5316] = 5316,
  [5317] = 5317,
  [5318] = 5166,
  [5319] = 5319,
  [5320] = 5173,
  [5321] = 5321,
  [5322] = 5322,
  [5323] = 5323,
  [5324] = 5324,
  [5325] = 5324,
  [5326] = 5322,
  [5327] = 5324,
  [5328] = 5324,
  [5329] = 5329,
  [5330] = 5322,
  [5331] = 5324,
  [5332] = 5324,
  [5333] = 5333,
  [5334] = 5324,
  [5335] = 5324,
  [5336] = 5324,
  [5337] = 5324,
  [5338] = 5324,
  [5339] = 2143,
  [5340] = 374,
  [5341] = 5322,
  [5342] = 5322,
  [5343] = 5343,
  [5344] = 5344,
  [5345] = 5324,
  [5346] = 5324,
  [5347] = 5324,
  [5348] = 5324,
  [5349] = 5324,
  [5350] = 2302,
  [5351] = 5324,
  [5352] = 2313,
  [5353] = 5324,
  [5354] = 5324,
  [5355] = 5324,
  [5356] = 5356,
  [5357] = 5164,
  [5358] = 5324,
  [5359] = 5324,
  [5360] = 5322,
  [5361] = 5344,
  [5362] = 381,
  [5363] = 5363,
  [5364] = 5322,
  [5365] = 376,
  [5366] = 5366,
  [5367] = 5117,
  [5368] = 5333,
  [5369] = 5333,
  [5370] = 5324,
  [5371] = 5324,
  [5372] = 5322,
  [5373] = 378,
  [5374] = 5374,
  [5375] = 5324,
  [5376] = 5376,
  [5377] = 5324,
  [5378] = 5322,
  [5379] = 5324,
  [5380] = 5324,
  [5381] = 5324,
  [5382] = 5382,
  [5383] = 5324,
  [5384] = 5322,
  [5385] = 5324,
  [5386] = 5386,
  [5387] = 5322,
  [5388] = 5322,
  [5389] = 5389,
  [5390] = 5324,
  [5391] = 5324,
  [5392] = 2293,
  [5393] = 2277,
  [5394] = 5324,
  [5395] = 5322,
  [5396] = 5322,
  [5397] = 5324,
  [5398] = 5389,
  [5399] = 5324,
  [5400] = 5400,
  [5401] = 390,
  [5402] = 5402,
  [5403] = 5322,
  [5404] = 5324,
  [5405] = 5322,
  [5406] = 5324,
  [5407] = 5322,
  [5408] = 5324,
  [5409] = 5322,
  [5410] = 5324,
  [5411] = 5324,
  [5412] = 5324,
  [5413] = 5156,
  [5414] = 5156,
  [5415] = 5344,
  [5416] = 5324,
  [5417] = 5322,
  [5418] = 5322,
  [5419] = 5389,
  [5420] = 5324,
  [5421] = 5322,
  [5422] = 5422,
  [5423] = 5322,
  [5424] = 5324,
  [5425] = 5164,
  [5426] = 5324,
  [5427] = 5324,
  [5428] = 5324,
  [5429] = 2248,
  [5430] = 5324,
  [5431] = 5322,
  [5432] = 5324,
  [5433] = 5117,
  [5434] = 5324,
  [5435] = 5324,
  [5436] = 386,
  [5437] = 5324,
  [5438] = 5438,
  [5439] = 5439,
  [5440] = 5439,
  [5441] = 5439,
  [5442] = 5439,
  [5443] = 5439,
  [5444] = 5444,
  [5445] = 5439,
  [5446] = 5446,
  [5447] = 5447,
  [5448] = 5448,
  [5449] = 5449,
  [5450] = 5439,
  [5451] = 5439,
  [5452] = 5452,
  [5453] = 5453,
  [5454] = 5439,
  [5455] = 5455,
  [5456] = 5456,
  [5457] = 5449,
  [5458] = 5447,
  [5459] = 5459,
  [5460] = 5448,
  [5461] = 5461,
  [5462] = 5449,
  [5463] = 5439,
  [5464] = 5464,
  [5465] = 5439,
  [5466] = 5466,
  [5467] = 5467,
  [5468] = 5455,
  [5469] = 5469,
  [5470] = 5470,
  [5471] = 5456,
  [5472] = 5439,
  [5473] = 5473,
  [5474] = 5447,
  [5475] = 5448,
  [5476] = 5461,
  [5477] = 5453,
  [5478] = 5478,
  [5479] = 5479,
  [5480] = 5480,
  [5481] = 5439,
  [5482] = 5482,
  [5483] = 5439,
  [5484] = 5484,
  [5485] = 5485,
  [5486] = 5486,
  [5487] = 5466,
  [5488] = 5488,
  [5489] = 5489,
  [5490] = 5439,
  [5491] = 5491,
  [5492] = 5456,
  [5493] = 5455,
  [5494] = 5456,
  [5495] = 5449,
  [5496] = 5447,
  [5497] = 5448,
  [5498] = 5461,
  [5499] = 5439,
  [5500] = 5453,
  [5501] = 5478,
  [5502] = 5479,
  [5503] = 5482,
  [5504] = 5439,
  [5505] = 5466,
  [5506] = 5506,
  [5507] = 5507,
  [5508] = 5439,
  [5509] = 5491,
  [5510] = 5506,
  [5511] = 5507,
  [5512] = 5512,
  [5513] = 5491,
  [5514] = 5506,
  [5515] = 5507,
  [5516] = 5438,
  [5517] = 5439,
  [5518] = 5438,
  [5519] = 5506,
  [5520] = 5507,
  [5521] = 5491,
  [5522] = 5438,
  [5523] = 5523,
  [5524] = 5506,
  [5525] = 5507,
  [5526] = 5439,
  [5527] = 5491,
  [5528] = 5438,
  [5529] = 5506,
  [5530] = 5507,
  [5531] = 5491,
  [5532] = 5438,
  [5533] = 5506,
  [5534] = 5507,
  [5535] = 5439,
  [5536] = 5491,
  [5537] = 5438,
  [5538] = 5506,
  [5539] = 5507,
  [5540] = 5491,
  [5541] = 5438,
  [5542] = 5506,
  [5543] = 5507,
  [5544] = 5439,
  [5545] = 5491,
  [5546] = 5438,
  [5547] = 5506,
  [5548] = 5507,
  [5549] = 5491,
  [5550] = 5438,
  [5551] = 5439,
  [5552] = 5506,
  [5553] = 5507,
  [5554] = 5491,
  [5555] = 5438,
  [5556] = 5506,
  [5557] = 5507,
  [5558] = 5439,
  [5559] = 5491,
  [5560] = 5438,
  [5561] = 5506,
  [5562] = 5507,
  [5563] = 5491,
  [5564] = 5438,
  [5565] = 5439,
  [5566] = 5506,
  [5567] = 5507,
  [5568] = 5491,
  [5569] = 5569,
  [5570] = 5438,
  [5571] = 5506,
  [5572] = 5439,
  [5573] = 5507,
  [5574] = 5491,
  [5575] = 5461,
  [5576] = 5453,
  [5577] = 5577,
  [5578] = 5506,
  [5579] = 5439,
  [5580] = 5507,
  [5581] = 5581,
  [5582] = 5491,
  [5583] = 5438,
  [5584] = 5577,
  [5585] = 5585,
  [5586] = 5439,
  [5587] = 5506,
  [5588] = 5507,
  [5589] = 5589,
  [5590] = 5590,
  [5591] = 5591,
  [5592] = 5592,
  [5593] = 5439,
  [5594] = 5491,
  [5595] = 5438,
  [5596] = 5596,
  [5597] = 5597,
  [5598] = 5598,
  [5599] = 5599,
  [5600] = 5439,
  [5601] = 5438,
  [5602] = 5585,
  [5603] = 5506,
  [5604] = 5604,
  [5605] = 5605,
  [5606] = 5606,
  [5607] = 5439,
  [5608] = 5507,
  [5609] = 5491,
  [5610] = 5610,
  [5611] = 5611,
  [5612] = 5438,
  [5613] = 5613,
  [5614] = 5439,
  [5615] = 5577,
  [5616] = 5585,
  [5617] = 5617,
  [5618] = 5618,
  [5619] = 5619,
  [5620] = 5620,
  [5621] = 5439,
  [5622] = 5506,
  [5623] = 5507,
  [5624] = 5624,
  [5625] = 5625,
  [5626] = 5626,
  [5627] = 5627,
  [5628] = 5439,
  [5629] = 5629,
  [5630] = 5491,
  [5631] = 5631,
  [5632] = 5632,
  [5633] = 5633,
  [5634] = 5634,
  [5635] = 5439,
  [5636] = 5438,
  [5637] = 5577,
  [5638] = 5585,
  [5639] = 5639,
  [5640] = 5506,
  [5641] = 5507,
  [5642] = 5439,
  [5643] = 5491,
  [5644] = 5438,
  [5645] = 5645,
  [5646] = 5577,
  [5647] = 5585,
  [5648] = 5506,
  [5649] = 5439,
  [5650] = 5507,
  [5651] = 5491,
  [5652] = 5438,
  [5653] = 5577,
  [5654] = 5585,
  [5655] = 5506,
  [5656] = 5439,
  [5657] = 5507,
  [5658] = 5491,
  [5659] = 5438,
  [5660] = 5660,
  [5661] = 5661,
  [5662] = 5662,
  [5663] = 5439,
  [5664] = 5664,
  [5665] = 5577,
  [5666] = 5585,
  [5667] = 5506,
  [5668] = 5507,
  [5669] = 5491,
  [5670] = 5439,
  [5671] = 5438,
  [5672] = 5577,
  [5673] = 5585,
  [5674] = 5674,
  [5675] = 5506,
  [5676] = 5507,
  [5677] = 5439,
  [5678] = 5491,
  [5679] = 5438,
  [5680] = 5577,
  [5681] = 5585,
  [5682] = 5682,
  [5683] = 5506,
  [5684] = 5439,
  [5685] = 5507,
  [5686] = 5491,
  [5687] = 5438,
  [5688] = 5577,
  [5689] = 5585,
  [5690] = 5506,
  [5691] = 5439,
  [5692] = 5507,
  [5693] = 5491,
  [5694] = 5694,
  [5695] = 5438,
  [5696] = 5577,
  [5697] = 5585,
  [5698] = 5439,
  [5699] = 5506,
  [5700] = 5507,
  [5701] = 5491,
  [5702] = 5438,
  [5703] = 5577,
  [5704] = 5585,
  [5705] = 5439,
  [5706] = 5506,
  [5707] = 5507,
  [5708] = 5491,
  [5709] = 5438,
  [5710] = 5577,
  [5711] = 5585,
  [5712] = 5439,
  [5713] = 5506,
  [5714] = 5507,
  [5715] = 5491,
  [5716] = 5438,
  [5717] = 5577,
  [5718] = 5585,
  [5719] = 5506,
  [5720] = 5507,
  [5721] = 5491,
  [5722] = 5438,
  [5723] = 5577,
  [5724] = 5585,
  [5725] = 5506,
  [5726] = 5507,
  [5727] = 5491,
  [5728] = 5577,
  [5729] = 5577,
  [5730] = 5577,
  [5731] = 5731,
  [5732] = 5732,
  [5733] = 5585,
  [5734] = 5506,
  [5735] = 5507,
  [5736] = 5491,
  [5737] = 5438,
  [5738] = 5577,
  [5739] = 5585,
  [5740] = 5506,
  [5741] = 5507,
  [5742] = 5491,
  [5743] = 5438,
  [5744] = 5577,
  [5745] = 5585,
  [5746] = 5506,
  [5747] = 5747,
  [5748] = 5507,
  [5749] = 5491,
  [5750] = 5438,
  [5751] = 5577,
  [5752] = 5752,
  [5753] = 5753,
  [5754] = 5754,
  [5755] = 5755,
  [5756] = 5756,
  [5757] = 5757,
  [5758] = 5585,
  [5759] = 5759,
  [5760] = 5506,
  [5761] = 5507,
  [5762] = 5491,
  [5763] = 5438,
  [5764] = 5764,
  [5765] = 5577,
  [5766] = 5585,
  [5767] = 5466,
  [5768] = 5506,
  [5769] = 5769,
  [5770] = 5507,
  [5771] = 5491,
  [5772] = 5772,
  [5773] = 5489,
  [5774] = 5774,
  [5775] = 5438,
  [5776] = 5577,
  [5777] = 5777,
  [5778] = 5778,
  [5779] = 5779,
  [5780] = 5780,
  [5781] = 5781,
  [5782] = 5782,
  [5783] = 5783,
  [5784] = 5784,
  [5785] = 5785,
  [5786] = 5786,
  [5787] = 5787,
  [5788] = 5585,
  [5789] = 5506,
  [5790] = 5507,
  [5791] = 5491,
  [5792] = 5747,
  [5793] = 5438,
  [5794] = 5577,
  [5795] = 5585,
  [5796] = 5506,
  [5797] = 5507,
  [5798] = 5491,
  [5799] = 5438,
  [5800] = 5577,
  [5801] = 5585,
  [5802] = 5506,
  [5803] = 5507,
  [5804] = 5491,
  [5805] = 5438,
  [5806] = 5577,
  [5807] = 5585,
  [5808] = 5506,
  [5809] = 5507,
  [5810] = 5491,
  [5811] = 5438,
  [5812] = 5577,
  [5813] = 5585,
  [5814] = 5506,
  [5815] = 5507,
  [5816] = 5491,
  [5817] = 5438,
  [5818] = 5478,
  [5819] = 5479,
  [5820] = 5577,
  [5821] = 5585,
  [5822] = 5506,
  [5823] = 5507,
  [5824] = 5491,
  [5825] = 5438,
  [5826] = 5577,
  [5827] = 5585,
  [5828] = 5506,
  [5829] = 5507,
  [5830] = 5491,
  [5831] = 5438,
  [5832] = 5577,
  [5833] = 5585,
  [5834] = 5506,
  [5835] = 5507,
  [5836] = 5491,
  [5837] = 5438,
  [5838] = 5491,
  [5839] = 5585,
  [5840] = 5506,
  [5841] = 5507,
  [5842] = 5491,
  [5843] = 5438,
  [5844] = 5577,
  [5845] = 5585,
  [5846] = 5506,
  [5847] = 5482,
  [5848] = 5507,
  [5849] = 5491,
  [5850] = 5439,
  [5851] = 5438,
  [5852] = 5577,
  [5853] = 5585,
  [5854] = 5506,
  [5855] = 5507,
  [5856] = 5577,
  [5857] = 5438,
  [5858] = 5577,
  [5859] = 5585,
  [5860] = 5506,
  [5861] = 5507,
  [5862] = 5491,
  [5863] = 5577,
  [5864] = 5585,
  [5865] = 5506,
  [5866] = 5507,
  [5867] = 5491,
  [5868] = 5438,
  [5869] = 5577,
  [5870] = 5585,
  [5871] = 5506,
  [5872] = 5507,
  [5873] = 5455,
  [5874] = 5491,
  [5875] = 5438,
  [5876] = 5506,
  [5877] = 5585,
  [5878] = 5506,
  [5879] = 5507,
  [5880] = 5880,
  [5881] = 5491,
  [5882] = 5438,
  [5883] = 5883,
  [5884] = 5577,
  [5885] = 5585,
  [5886] = 5506,
  [5887] = 5507,
  [5888] = 5888,
  [5889] = 5491,
  [5890] = 5438,
  [5891] = 5764,
  [5892] = 5774,
  [5893] = 5577,
  [5894] = 5466,
  [5895] = 5769,
  [5896] = 5585,
  [5897] = 5506,
  [5898] = 5489,
  [5899] = 5774,
  [5900] = 5507,
  [5901] = 5491,
  [5902] = 5489,
  [5903] = 5747,
  [5904] = 5438,
  [5905] = 5585,
  [5906] = 5506,
  [5907] = 5507,
  [5908] = 5491,
  [5909] = 5577,
  [5910] = 5585,
  [5911] = 5438,
  [5912] = 5506,
  [5913] = 5507,
  [5914] = 5491,
  [5915] = 5438,
  [5916] = 5577,
  [5917] = 5585,
  [5918] = 5506,
  [5919] = 5507,
  [5920] = 5491,
  [5921] = 5438,
  [5922] = 5577,
  [5923] = 5585,
  [5924] = 5438,
  [5925] = 5507,
  [5926] = 5491,
  [5927] = 5438,
  [5928] = 5577,
  [5929] = 5585,
  [5930] = 5506,
  [5931] = 5507,
  [5932] = 5491,
  [5933] = 5438,
  [5934] = 5577,
  [5935] = 5731,
  [5936] = 5732,
  [5937] = 5585,
  [5938] = 5506,
  [5939] = 5507,
  [5940] = 5491,
  [5941] = 5438,
  [5942] = 5577,
  [5943] = 5943,
  [5944] = 5731,
  [5945] = 5732,
  [5946] = 5585,
  [5947] = 5769,
  [5948] = 5506,
  [5949] = 5507,
  [5950] = 5491,
  [5951] = 5674,
  [5952] = 5446,
  [5953] = 5452,
  [5954] = 5577,
  [5955] = 5731,
  [5956] = 5732,
  [5957] = 5957,
  [5958] = 5585,
  [5959] = 5506,
  [5960] = 5507,
  [5961] = 5491,
  [5962] = 5438,
  [5963] = 5589,
  [5964] = 5581,
  [5965] = 5467,
  [5966] = 5966,
  [5967] = 5464,
  [5968] = 5444,
  [5969] = 5446,
  [5970] = 5466,
  [5971] = 5769,
  [5972] = 5972,
  [5973] = 5489,
  [5974] = 5774,
  [5975] = 5452,
  [5976] = 5486,
  [5977] = 5747,
  [5978] = 5512,
  [5979] = 5523,
  [5980] = 5731,
  [5981] = 5682,
  [5982] = 5694,
  [5983] = 5577,
  [5984] = 5943,
  [5985] = 5732,
  [5986] = 5489,
  [5987] = 5585,
  [5988] = 5506,
  [5989] = 5507,
  [5990] = 5466,
  [5991] = 5769,
  [5992] = 5489,
  [5993] = 5491,
  [5994] = 5438,
  [5995] = 5455,
  [5996] = 5943,
  [5997] = 5589,
  [5998] = 5581,
  [5999] = 5467,
  [6000] = 5464,
  [6001] = 5444,
  [6002] = 5446,
  [6003] = 5452,
  [6004] = 5486,
  [6005] = 5512,
  [6006] = 5523,
  [6007] = 5769,
  [6008] = 5674,
  [6009] = 5769,
  [6010] = 5769,
  [6011] = 5769,
  [6012] = 5769,
  [6013] = 5769,
  [6014] = 5769,
  [6015] = 5769,
  [6016] = 5769,
  [6017] = 5769,
  [6018] = 5769,
  [6019] = 5769,
  [6020] = 5769,
  [6021] = 5769,
  [6022] = 5769,
  [6023] = 5769,
  [6024] = 5769,
  [6025] = 5769,
  [6026] = 5769,
  [6027] = 5769,
  [6028] = 5769,
  [6029] = 5769,
  [6030] = 5769,
  [6031] = 5769,
  [6032] = 5769,
  [6033] = 5769,
  [6034] = 5769,
  [6035] = 5769,
  [6036] = 5769,
  [6037] = 5769,
  [6038] = 5769,
  [6039] = 5769,
  [6040] = 5769,
  [6041] = 5769,
  [6042] = 5769,
  [6043] = 5769,
  [6044] = 5769,
  [6045] = 5769,
  [6046] = 5769,
  [6047] = 5769,
  [6048] = 5769,
  [6049] = 5769,
  [6050] = 6050,
  [6051] = 5682,
  [6052] = 5694,
  [6053] = 5577,
  [6054] = 5731,
  [6055] = 5732,
  [6056] = 5466,
  [6057] = 5489,
  [6058] = 5455,
  [6059] = 5585,
  [6060] = 5506,
  [6061] = 6050,
  [6062] = 5764,
  [6063] = 5507,
  [6064] = 6050,
  [6065] = 5455,
  [6066] = 5491,
  [6067] = 6050,
  [6068] = 6050,
  [6069] = 6050,
  [6070] = 6050,
  [6071] = 6050,
  [6072] = 6050,
  [6073] = 6050,
  [6074] = 6050,
  [6075] = 6050,
  [6076] = 6050,
  [6077] = 6050,
  [6078] = 6050,
  [6079] = 6050,
  [6080] = 6050,
  [6081] = 6050,
  [6082] = 6050,
  [6083] = 6050,
  [6084] = 6050,
  [6085] = 6050,
  [6086] = 6050,
  [6087] = 6050,
  [6088] = 6050,
  [6089] = 6050,
  [6090] = 6050,
  [6091] = 6050,
  [6092] = 6050,
  [6093] = 6050,
  [6094] = 6050,
  [6095] = 6050,
  [6096] = 6050,
  [6097] = 6050,
  [6098] = 6050,
  [6099] = 6050,
  [6100] = 6050,
  [6101] = 6050,
  [6102] = 6050,
  [6103] = 6050,
  [6104] = 6050,
  [6105] = 6050,
  [6106] = 6050,
  [6107] = 6050,
  [6108] = 6050,
  [6109] = 6050,
  [6110] = 6050,
  [6111] = 5438,
};

static inline bool sym_word_character_set_1(int32_t c) {
  return (c < '&'
    ? (c < ' '
      ? (c < '\t'
        ? c == 0
        : c <= '\r')
      : (c <= ' ' || (c < '$'
        ? c == '"'
        : c <= '$')))
    : (c <= ')' || (c < '['
      ? (c < '>'
        ? (c >= ';' && c <= '<')
        : c <= '>')
      : (c <= ']' || (c < '{'
        ? c == '`'
        : c <= '}')))));
}

static inline bool sym_word_character_set_2(int32_t c) {
  return (c < '&'
    ? (c < ' '
      ? (c < '\t'
        ? c == 0
        : c <= '\r')
      : (c <= ' ' || (c < '$'
        ? c == '"'
        : c <= '$')))
    : (c <= ')' || (c < '`'
      ? (c < '['
        ? (c >= ';' && c <= '>')
        : c <= ']')
      : (c <= '`' || (c >= '{' && c <= '}')))));
}

static inline bool sym_word_character_set_3(int32_t c) {
  return (c < '$'
    ? (c < ' '
      ? (c < '\t'
        ? c == 0
        : c <= '\r')
      : (c <= ' ' || c == '"'))
    : (c <= ')' || (c < '`'
      ? (c < '['
        ? (c >= ';' && c <= '>')
        : c <= ']')
      : (c <= '`' || (c >= '{' && c <= '}')))));
}

static inline bool sym_word_character_set_4(int32_t c) {
  return (c < '&'
    ? (c < ' '
      ? (c < '\t'
        ? c == 0
        : c <= '\r')
      : (c <= ' ' || (c < '$'
        ? c == '"'
        : c <= '$')))
    : (c <= ')' || (c < '['
      ? (c < '>'
        ? (c >= ';' && c <= '<')
        : c <= '>')
      : (c <= ']' || (c >= '`' && c <= '}')))));
}

static inline bool sym_word_character_set_5(int32_t c) {
  return (c < ';'
    ? (c < ' '
      ? (c < '\t'
        ? c == 0
        : c <= '\r')
      : (c <= ' ' || (c < '&'
        ? (c >= '"' && c <= '$')
        : c <= ')')))
    : (c <= '<' || (c < '`'
      ? (c < '['
        ? c == '>'
        : c <= ']')
      : (c <= '`' || (c >= '{' && c <= '}')))));
}

static inline bool sym_word_character_set_6(int32_t c) {
  return (c < '&'
    ? (c < ' '
      ? (c < '\t'
        ? c == 0
        : c <= '\r')
      : (c <= ' ' || (c >= '"' && c <= '$')))
    : (c <= ')' || (c < '['
      ? (c < '>'
        ? (c >= ';' && c <= '<')
        : c <= '>')
      : (c <= ']' || (c >= '`' && c <= '}')))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (eof) ADVANCE(510);
      if (lookahead == '!') ADVANCE(778);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(783);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '%') ADVANCE(611);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '*') ADVANCE(782);
      if (lookahead == '+') ADVANCE(728);
      if (lookahead == ',') ADVANCE(520);
      if (lookahead == '-') ADVANCE(726);
      if (lookahead == '.') ADVANCE(899);
      if (lookahead == '/') ADVANCE(606);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ':') ADVANCE(721);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(571);
      if (lookahead == '=') ADVANCE(785);
      if (lookahead == '>') ADVANCE(580);
      if (lookahead == '?') ADVANCE(795);
      if (lookahead == '@') ADVANCE(780);
      if (lookahead == '[') ADVANCE(638);
      if (lookahead == '\\') ADVANCE(387);
      if (lookahead == ']') ADVANCE(639);
      if (lookahead == '^') ADVANCE(557);
      if (lookahead == '_') ADVANCE(896);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == 'e') ADVANCE(906);
      if (lookahead == 'i') ADVANCE(905);
      if (lookahead == '{') ADVANCE(630);
      if (lookahead == '|') ADVANCE(554);
      if (lookahead == '}') ADVANCE(736);
      if (lookahead == '~') ADVANCE(730);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(505)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(221)
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(237)
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(238)
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(239)
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(6)
      END_STATE();
    case 6:
      if (lookahead == '\n') ADVANCE(652);
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '%') ADVANCE(613);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '+') ADVANCE(729);
      if (lookahead == '-') ADVANCE(727);
      if (lookahead == '/') ADVANCE(608);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(571);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(580);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(391);
      if (lookahead == '^') ADVANCE(558);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(554);
      if (lookahead == '~') ADVANCE(730);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(223)
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(241)
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(242)
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(224)
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(226)
      END_STATE();
    case 12:
      if (lookahead == '\n') ADVANCE(653);
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '%') ADVANCE(613);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '+') ADVANCE(594);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '/') ADVANCE(608);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(571);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(580);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(333);
      if (lookahead == '^') ADVANCE(558);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(554);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(12)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 13:
      if (lookahead == '\n') ADVANCE(838);
      END_STATE();
    case 14:
      if (lookahead == '\n') ADVANCE(890);
      END_STATE();
    case 15:
      if (lookahead == '\n') ADVANCE(890);
      if (lookahead == '\r') ADVANCE(14);
      END_STATE();
    case 16:
      if (lookahead == '\n') ADVANCE(890);
      if (lookahead == '\r') ADVANCE(14);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\f' < lookahead)) ADVANCE(908);
      END_STATE();
    case 17:
      if (lookahead == '\n') ADVANCE(870);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(108)
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(245)
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(240)
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(165)
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(168)
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(171)
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(174)
      END_STATE();
    case 25:
      if (lookahead == '\n') ADVANCE(840);
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(177)
      END_STATE();
    case 27:
      if (lookahead == '\n') ADVANCE(842);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(180)
      END_STATE();
    case 29:
      if (lookahead == '\n') ADVANCE(848);
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(183)
      END_STATE();
    case 31:
      if (lookahead == '\n') ADVANCE(852);
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(185)
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(187)
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(276)
      END_STATE();
    case 35:
      if (lookahead == '\n') ADVANCE(857);
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(280)
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(244)
      END_STATE();
    case 38:
      if (lookahead == '\n') ADVANCE(859);
      END_STATE();
    case 39:
      if (lookahead == '\n') ADVANCE(863);
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(289)
      END_STATE();
    case 41:
      if (lookahead == '\n') ADVANCE(872);
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(283)
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(195)
      END_STATE();
    case 44:
      if (lookahead == '\n') ADVANCE(865);
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(279)
      END_STATE();
    case 46:
      if (lookahead == '\n') ADVANCE(874);
      END_STATE();
    case 47:
      if (lookahead == '\n') ADVANCE(875);
      END_STATE();
    case 48:
      if (lookahead == '\n') ADVANCE(882);
      END_STATE();
    case 49:
      if (lookahead == '\n') SKIP(287)
      END_STATE();
    case 50:
      if (lookahead == '\n') ADVANCE(880);
      END_STATE();
    case 51:
      if (lookahead == '\n') ADVANCE(881);
      END_STATE();
    case 52:
      if (lookahead == '\n') SKIP(254)
      END_STATE();
    case 53:
      if (lookahead == '\n') ADVANCE(884);
      END_STATE();
    case 54:
      if (lookahead == '\n') SKIP(255)
      END_STATE();
    case 55:
      if (lookahead == '\n') SKIP(243)
      END_STATE();
    case 56:
      if (lookahead == '\n') ADVANCE(871);
      END_STATE();
    case 57:
      if (lookahead == '\n') SKIP(262)
      END_STATE();
    case 58:
      if (lookahead == '\n') SKIP(217)
      END_STATE();
    case 59:
      if (lookahead == '\n') SKIP(260)
      END_STATE();
    case 60:
      if (lookahead == '\n') SKIP(258)
      END_STATE();
    case 61:
      if (lookahead == '\n') SKIP(261)
      END_STATE();
    case 62:
      if (lookahead == '\n') ADVANCE(839);
      END_STATE();
    case 63:
      if (lookahead == '\n') SKIP(64)
      END_STATE();
    case 64:
      if (lookahead == '\n') ADVANCE(654);
      if (lookahead == '!') ADVANCE(322);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == ',') ADVANCE(519);
      if (lookahead == '-') ADVANCE(599);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(584);
      if (lookahead == '\\') SKIP(425)
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(64)
      END_STATE();
    case 65:
      if (lookahead == '\n') ADVANCE(654);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(743);
      if (lookahead == '&') ADVANCE(561);
      if (lookahead == '(') ADVANCE(617);
      if (lookahead == '+') ADVANCE(316);
      if (lookahead == ',') ADVANCE(519);
      if (lookahead == '-') ADVANCE(318);
      if (lookahead == '0') ADVANCE(767);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '\\') SKIP(435)
      if (lookahead == '`') ADVANCE(813);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(65)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(620);
      END_STATE();
    case 66:
      if (lookahead == '\n') ADVANCE(654);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(577);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') SKIP(437)
      if (lookahead == '`') ADVANCE(326);
      if (lookahead == 'e') ADVANCE(330);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66)
      END_STATE();
    case 67:
      if (lookahead == '\n') ADVANCE(654);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(576);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '\\') SKIP(436)
      if (lookahead == 'e') ADVANCE(330);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(67)
      END_STATE();
    case 68:
      if (lookahead == '\n') ADVANCE(654);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '<') ADVANCE(569);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') SKIP(443)
      if (lookahead == '`') ADVANCE(326);
      if (lookahead == '|') ADVANCE(332);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(68)
      END_STATE();
    case 69:
      if (lookahead == '\n') ADVANCE(654);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '&') ADVANCE(561);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') SKIP(447)
      if (lookahead == '`') ADVANCE(326);
      if (lookahead == 'i') ADVANCE(329);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(69)
      END_STATE();
    case 70:
      if (lookahead == '\n') SKIP(292)
      END_STATE();
    case 71:
      if (lookahead == '\n') SKIP(257)
      END_STATE();
    case 72:
      if (lookahead == '\n') SKIP(259)
      END_STATE();
    case 73:
      if (lookahead == '\n') ADVANCE(841);
      END_STATE();
    case 74:
      if (lookahead == '\n') ADVANCE(845);
      END_STATE();
    case 75:
      if (lookahead == '\n') ADVANCE(847);
      END_STATE();
    case 76:
      if (lookahead == '\n') SKIP(219)
      END_STATE();
    case 77:
      if (lookahead == '\n') SKIP(291)
      END_STATE();
    case 78:
      if (lookahead == '\n') SKIP(296)
      END_STATE();
    case 79:
      if (lookahead == '\n') SKIP(300)
      END_STATE();
    case 80:
      if (lookahead == '\n') ADVANCE(868);
      END_STATE();
    case 81:
      if (lookahead == '\n') ADVANCE(849);
      END_STATE();
    case 82:
      if (lookahead == '\n') SKIP(297)
      END_STATE();
    case 83:
      if (lookahead == '\n') ADVANCE(885);
      END_STATE();
    case 84:
      if (lookahead == '\n') ADVANCE(869);
      END_STATE();
    case 85:
      if (lookahead == '\n') ADVANCE(878);
      END_STATE();
    case 86:
      if (lookahead == '\n') ADVANCE(886);
      END_STATE();
    case 87:
      if (lookahead == '\n') SKIP(270)
      END_STATE();
    case 88:
      if (lookahead == '\n') SKIP(65)
      END_STATE();
    case 89:
      if (lookahead == '\n') SKIP(67)
      END_STATE();
    case 90:
      if (lookahead == '\n') SKIP(66)
      END_STATE();
    case 91:
      if (lookahead == '\n') SKIP(273)
      END_STATE();
    case 92:
      if (lookahead == '\n') SKIP(293)
      END_STATE();
    case 93:
      if (lookahead == '\n') SKIP(303)
      END_STATE();
    case 94:
      if (lookahead == '\n') SKIP(301)
      END_STATE();
    case 95:
      if (lookahead == '\n') SKIP(294)
      END_STATE();
    case 96:
      if (lookahead == '\n') ADVANCE(853);
      END_STATE();
    case 97:
      if (lookahead == '\n') SKIP(68)
      END_STATE();
    case 98:
      if (lookahead == '\n') SKIP(274)
      END_STATE();
    case 99:
      if (lookahead == '\n') ADVANCE(887);
      END_STATE();
    case 100:
      if (lookahead == '\n') ADVANCE(888);
      END_STATE();
    case 101:
      if (lookahead == '\n') ADVANCE(889);
      END_STATE();
    case 102:
      if (lookahead == '\n') SKIP(302)
      END_STATE();
    case 103:
      if (lookahead == '\n') SKIP(69)
      END_STATE();
    case 104:
      if (lookahead == '\n') SKIP(295)
      END_STATE();
    case 105:
      if (lookahead == '\n') SKIP(304)
      END_STATE();
    case 106:
      if (lookahead == '\n') SKIP(227)
      END_STATE();
    case 107:
      if (lookahead == '\n') SKIP(225)
      END_STATE();
    case 108:
      if (lookahead == '\n') ADVANCE(655);
      if (lookahead == '!') ADVANCE(901);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '%') ADVANCE(613);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '+') ADVANCE(594);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '/') ADVANCE(608);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(571);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(580);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(397);
      if (lookahead == '^') ADVANCE(558);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(554);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(108)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 109:
      if (lookahead == '\n') SKIP(162)
      END_STATE();
    case 110:
      if (lookahead == '\n') SKIP(246)
      END_STATE();
    case 111:
      if (lookahead == '\n') SKIP(197)
      END_STATE();
    case 112:
      if (lookahead == '\n') SKIP(199)
      END_STATE();
    case 113:
      if (lookahead == '\n') SKIP(201)
      END_STATE();
    case 114:
      if (lookahead == '\n') SKIP(205)
      END_STATE();
    case 115:
      if (lookahead == '\n') ADVANCE(844);
      END_STATE();
    case 116:
      if (lookahead == '\n') SKIP(207)
      END_STATE();
    case 117:
      if (lookahead == '\n') ADVANCE(846);
      END_STATE();
    case 118:
      if (lookahead == '\n') SKIP(203)
      END_STATE();
    case 119:
      if (lookahead == '\n') ADVANCE(854);
      END_STATE();
    case 120:
      if (lookahead == '\n') SKIP(213)
      END_STATE();
    case 121:
      if (lookahead == '\n') SKIP(209)
      END_STATE();
    case 122:
      if (lookahead == '\n') SKIP(214)
      END_STATE();
    case 123:
      if (lookahead == '\n') ADVANCE(858);
      END_STATE();
    case 124:
      if (lookahead == '\n') SKIP(281)
      END_STATE();
    case 125:
      if (lookahead == '\n') ADVANCE(864);
      END_STATE();
    case 126:
      if (lookahead == '\n') SKIP(290)
      END_STATE();
    case 127:
      if (lookahead == '\n') ADVANCE(873);
      END_STATE();
    case 128:
      if (lookahead == '\n') SKIP(284)
      END_STATE();
    case 129:
      if (lookahead == '\n') SKIP(218)
      END_STATE();
    case 130:
      if (lookahead == '\n') ADVANCE(867);
      END_STATE();
    case 131:
      if (lookahead == '\n') SKIP(277)
      END_STATE();
    case 132:
      if (lookahead == '\n') ADVANCE(883);
      END_STATE();
    case 133:
      if (lookahead == '\n') SKIP(288)
      END_STATE();
    case 134:
      if (lookahead == '\n') ADVANCE(879);
      END_STATE();
    case 135:
      if (lookahead == '\n') SKIP(264)
      END_STATE();
    case 136:
      if (lookahead == '\n') SKIP(263)
      END_STATE();
    case 137:
      if (lookahead == '\n') ADVANCE(843);
      END_STATE();
    case 138:
      if (lookahead == '\n') SKIP(220)
      END_STATE();
    case 139:
      if (lookahead == '\n') ADVANCE(851);
      END_STATE();
    case 140:
      if (lookahead == '\n') SKIP(228)
      END_STATE();
    case 141:
      if (lookahead == '\n') ADVANCE(656);
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(577);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(351);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == 'e') ADVANCE(835);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(141)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 142:
      if (lookahead == '\n') ADVANCE(850);
      END_STATE();
    case 143:
      if (lookahead == '\n') SKIP(211)
      END_STATE();
    case 144:
      if (lookahead == '\n') SKIP(215)
      END_STATE();
    case 145:
      if (lookahead == '\n') SKIP(216)
      END_STATE();
    case 146:
      if (lookahead == '\n') ADVANCE(861);
      END_STATE();
    case 147:
      if (lookahead == '\n') SKIP(285)
      END_STATE();
    case 148:
      if (lookahead == '\n') SKIP(282)
      END_STATE();
    case 149:
      if (lookahead == '\n') ADVANCE(855);
      END_STATE();
    case 150:
      if (lookahead == '\n') SKIP(278)
      END_STATE();
    case 151:
      if (lookahead == '\n') ADVANCE(657);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(335);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == 'e') ADVANCE(829);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(151)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 152:
      if (lookahead == '\n') SKIP(189)
      END_STATE();
    case 153:
      if (lookahead == '\n') ADVANCE(856);
      END_STATE();
    case 154:
      if (lookahead == '\n') SKIP(191)
      END_STATE();
    case 155:
      if (lookahead == '\n') SKIP(193)
      END_STATE();
    case 156:
      if (lookahead == '\n') ADVANCE(860);
      END_STATE();
    case 157:
      if (lookahead == '\n') ADVANCE(862);
      END_STATE();
    case 158:
      if (lookahead == '\n') SKIP(286)
      END_STATE();
    case 159:
      if (lookahead == '\n') ADVANCE(866);
      END_STATE();
    case 160:
      if (lookahead == '\n') ADVANCE(876);
      END_STATE();
    case 161:
      if (lookahead == '\n') ADVANCE(877);
      END_STATE();
    case 162:
      if (lookahead == '\n') ADVANCE(658);
      if (lookahead == '!') ADVANCE(901);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '%') ADVANCE(613);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '+') ADVANCE(594);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '/') ADVANCE(608);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(571);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(580);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(452);
      if (lookahead == '^') ADVANCE(558);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(554);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(162)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 163:
      if (lookahead == '\n') ADVANCE(659);
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(577);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(163)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 164:
      if (lookahead == '\n') ADVANCE(660);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(336);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(164)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 165:
      if (lookahead == '\n') ADVANCE(661);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(400);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == 'e') ADVANCE(906);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(165)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 166:
      if (lookahead == '\n') ADVANCE(662);
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(577);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(376);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(166)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 167:
      if (lookahead == '\n') ADVANCE(663);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(367);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == 'e') ADVANCE(829);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(167)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 168:
      if (lookahead == '\n') ADVANCE(664);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(401);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(168)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 169:
      if (lookahead == '\n') ADVANCE(665);
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(577);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(353);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(169)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 170:
      if (lookahead == '\n') ADVANCE(666);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(368);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(170)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 171:
      if (lookahead == '\n') ADVANCE(667);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(402);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(171)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 172:
      if (lookahead == '\n') ADVANCE(668);
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(577);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(354);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(172)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 173:
      if (lookahead == '\n') ADVANCE(669);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(337);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(173)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 174:
      if (lookahead == '\n') ADVANCE(670);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(403);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == 'e') ADVANCE(824);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(174)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(826);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 175:
      if (lookahead == '\n') ADVANCE(671);
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == '<') ADVANCE(577);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(356);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 176:
      if (lookahead == '\n') ADVANCE(672);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(378);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(176)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 177:
      if (lookahead == '\n') ADVANCE(673);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(404);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(177)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(826);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 178:
      if (lookahead == '\n') ADVANCE(674);
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == '<') ADVANCE(569);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(377);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '|') ADVANCE(332);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(178)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 179:
      if (lookahead == '\n') ADVANCE(675);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(338);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == 'e') ADVANCE(829);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(179)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 180:
      if (lookahead == '\n') ADVANCE(676);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(405);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == 'e') ADVANCE(906);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(180)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 181:
      if (lookahead == '\n') ADVANCE(677);
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '&') ADVANCE(561);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(361);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == 'i') ADVANCE(834);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(181)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 182:
      if (lookahead == '\n') ADVANCE(678);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(369);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(182)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 183:
      if (lookahead == '\n') ADVANCE(679);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(406);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(183)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(826);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 184:
      if (lookahead == '\n') ADVANCE(680);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(380);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(184)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 185:
      if (lookahead == '\n') ADVANCE(681);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(407);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(185)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 186:
      if (lookahead == '\n') ADVANCE(682);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(381);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == 'e') ADVANCE(829);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(186)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 187:
      if (lookahead == '\n') ADVANCE(683);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(408);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(187)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 188:
      if (lookahead == '\n') ADVANCE(684);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(339);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(188)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 189:
      if (lookahead == '\n') ADVANCE(685);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(479);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == 'e') ADVANCE(906);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 190:
      if (lookahead == '\n') ADVANCE(686);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(370);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 191:
      if (lookahead == '\n') ADVANCE(687);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(480);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 192:
      if (lookahead == '\n') ADVANCE(688);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(340);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 193:
      if (lookahead == '\n') ADVANCE(689);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(481);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(193)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 194:
      if (lookahead == '\n') ADVANCE(690);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(382);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(194)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 195:
      if (lookahead == '\n') ADVANCE(691);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '<') ADVANCE(570);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(414);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(195)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 196:
      if (lookahead == '\n') ADVANCE(692);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(379);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(196)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 197:
      if (lookahead == '\n') ADVANCE(693);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(454);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == 'e') ADVANCE(906);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(197)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 198:
      if (lookahead == '\n') ADVANCE(694);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(383);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(198)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 199:
      if (lookahead == '\n') ADVANCE(695);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(455);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(199)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 200:
      if (lookahead == '\n') ADVANCE(696);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(341);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(200)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 201:
      if (lookahead == '\n') ADVANCE(697);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(456);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(201)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 202:
      if (lookahead == '\n') ADVANCE(698);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(371);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(202)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 203:
      if (lookahead == '\n') ADVANCE(699);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(459);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == 'e') ADVANCE(906);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(203)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 204:
      if (lookahead == '\n') ADVANCE(700);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(343);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(204)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 205:
      if (lookahead == '\n') ADVANCE(701);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(457);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == 'e') ADVANCE(824);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(826);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 206:
      if (lookahead == '\n') ADVANCE(702);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(384);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(206)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 207:
      if (lookahead == '\n') ADVANCE(703);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(458);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(207)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(826);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 208:
      if (lookahead == '\n') ADVANCE(704);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == '<') ADVANCE(570);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(373);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(332);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 209:
      if (lookahead == '\n') ADVANCE(705);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(461);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 210:
      if (lookahead == '\n') ADVANCE(706);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(561);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(312);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(355);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(908);
      END_STATE();
    case 211:
      if (lookahead == '\n') ADVANCE(707);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(473);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == 'e') ADVANCE(906);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(211)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 212:
      if (lookahead == '\n') ADVANCE(708);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == '<') ADVANCE(312);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(358);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(212)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(908);
      END_STATE();
    case 213:
      if (lookahead == '\n') ADVANCE(709);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(460);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(213)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(826);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 214:
      if (lookahead == '\n') ADVANCE(710);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(462);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(214)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 215:
      if (lookahead == '\n') ADVANCE(711);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(474);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 216:
      if (lookahead == '\n') ADVANCE(712);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(475);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(216)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 217:
      if (lookahead == '\n') ADVANCE(713);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(561);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(312);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(421);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == 'e') ADVANCE(906);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(217)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(908);
      END_STATE();
    case 218:
      if (lookahead == '\n') ADVANCE(714);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '<') ADVANCE(570);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(466);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(332);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(218)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 219:
      if (lookahead == '\n') ADVANCE(715);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(561);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(312);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(429);
      if (lookahead == '`') ADVANCE(813);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(219)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(908);
      END_STATE();
    case 220:
      if (lookahead == '\n') ADVANCE(716);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(561);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(312);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(471);
      if (lookahead == '`') ADVANCE(814);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(220)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(908);
      END_STATE();
    case 221:
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '%') ADVANCE(611);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '+') ADVANCE(728);
      if (lookahead == ',') ADVANCE(520);
      if (lookahead == '-') ADVANCE(726);
      if (lookahead == '/') ADVANCE(606);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ':') ADVANCE(723);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(571);
      if (lookahead == '=') ADVANCE(526);
      if (lookahead == '>') ADVANCE(580);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[') ADVANCE(638);
      if (lookahead == '\\') ADVANCE(387);
      if (lookahead == ']') ADVANCE(639);
      if (lookahead == '^') ADVANCE(557);
      if (lookahead == '_') ADVANCE(896);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == 'e') ADVANCE(906);
      if (lookahead == 'i') ADVANCE(905);
      if (lookahead == '{') ADVANCE(630);
      if (lookahead == '|') ADVANCE(554);
      if (lookahead == '}') ADVANCE(776);
      if (lookahead == '~') ADVANCE(730);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(221)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 222:
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '%') ADVANCE(613);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '+') ADVANCE(594);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '/') ADVANCE(608);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == '<') ADVANCE(571);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(580);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(334);
      if (lookahead == ']') ADVANCE(639);
      if (lookahead == '^') ADVANCE(558);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(554);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 223:
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '%') ADVANCE(613);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '+') ADVANCE(729);
      if (lookahead == '-') ADVANCE(727);
      if (lookahead == '/') ADVANCE(608);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '<') ADVANCE(571);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(580);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(392);
      if (lookahead == ']') ADVANCE(639);
      if (lookahead == '^') ADVANCE(558);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(554);
      if (lookahead == '~') ADVANCE(730);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 224:
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '%') ADVANCE(613);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '+') ADVANCE(729);
      if (lookahead == '-') ADVANCE(727);
      if (lookahead == '/') ADVANCE(608);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '<') ADVANCE(578);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(395);
      if (lookahead == '^') ADVANCE(558);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (lookahead == '~') ADVANCE(730);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 225:
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '%') ADVANCE(613);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == ')') ADVANCE(315);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '+') ADVANCE(729);
      if (lookahead == '-') ADVANCE(727);
      if (lookahead == '/') ADVANCE(608);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '<') ADVANCE(578);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(451);
      if (lookahead == '^') ADVANCE(558);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (lookahead == '~') ADVANCE(730);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 226:
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '%') ADVANCE(613);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '+') ADVANCE(729);
      if (lookahead == '-') ADVANCE(727);
      if (lookahead == '/') ADVANCE(608);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ':') ADVANCE(723);
      if (lookahead == '<') ADVANCE(578);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(396);
      if (lookahead == '^') ADVANCE(558);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (lookahead == '~') ADVANCE(730);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(226)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 227:
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '%') ADVANCE(613);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '+') ADVANCE(729);
      if (lookahead == '-') ADVANCE(727);
      if (lookahead == '/') ADVANCE(608);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '<') ADVANCE(578);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(450);
      if (lookahead == ']') ADVANCE(639);
      if (lookahead == '^') ADVANCE(558);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (lookahead == '~') ADVANCE(730);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 228:
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '%') ADVANCE(613);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '+') ADVANCE(729);
      if (lookahead == '-') ADVANCE(727);
      if (lookahead == '/') ADVANCE(608);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '<') ADVANCE(578);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(472);
      if (lookahead == ']') ADVANCE(745);
      if (lookahead == '^') ADVANCE(558);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (lookahead == '~') ADVANCE(730);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(228)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 229:
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(324);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == '<') ADVANCE(572);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(350);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(908);
      END_STATE();
    case 230:
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(342);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(230)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 231:
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(372);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(231)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 232:
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(344);
      if (lookahead == ']') ADVANCE(639);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(232)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 233:
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(345);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(233)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 234:
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(385);
      if (lookahead == ']') ADVANCE(639);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(234)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 235:
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(386);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(235)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 236:
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == '<') ADVANCE(312);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(359);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(236)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(908);
      END_STATE();
    case 237:
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(324);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(306);
      if (lookahead == '<') ADVANCE(572);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[') ADVANCE(638);
      if (lookahead == '\\') ADVANCE(388);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '{') ADVANCE(630);
      if (lookahead == '|') ADVANCE(553);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(237)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 238:
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(324);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == ')') ADVANCE(315);
      if (lookahead == '+') ADVANCE(729);
      if (lookahead == '-') ADVANCE(727);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '<') ADVANCE(572);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[') ADVANCE(638);
      if (lookahead == '\\') ADVANCE(389);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '{') ADVANCE(630);
      if (lookahead == '~') ADVANCE(730);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(238)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(908);
      END_STATE();
    case 239:
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(324);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '+') ADVANCE(729);
      if (lookahead == '-') ADVANCE(727);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '<') ADVANCE(572);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[') ADVANCE(638);
      if (lookahead == '\\') ADVANCE(390);
      if (lookahead == ']') ADVANCE(639);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '{') ADVANCE(630);
      if (lookahead == '}') ADVANCE(744);
      if (lookahead == '~') ADVANCE(730);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(908);
      END_STATE();
    case 240:
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(324);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '+') ADVANCE(729);
      if (lookahead == '-') ADVANCE(727);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '<') ADVANCE(572);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[') ADVANCE(638);
      if (lookahead == '\\') ADVANCE(399);
      if (lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '~') ADVANCE(730);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(240)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(908);
      END_STATE();
    case 241:
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(324);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(306);
      if (lookahead == '<') ADVANCE(572);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[') ADVANCE(638);
      if (lookahead == '\\') ADVANCE(393);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == 'e') ADVANCE(906);
      if (lookahead == '{') ADVANCE(630);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(241)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(908);
      END_STATE();
    case 242:
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(324);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '<') ADVANCE(572);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[') ADVANCE(638);
      if (lookahead == '\\') ADVANCE(394);
      if (lookahead == ']') ADVANCE(744);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '{') ADVANCE(630);
      if (lookahead == '}') ADVANCE(631);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(242)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(908);
      END_STATE();
    case 243:
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == ')') ADVANCE(315);
      if (lookahead == '+') ADVANCE(729);
      if (lookahead == '-') ADVANCE(727);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '<') ADVANCE(312);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(419);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '~') ADVANCE(730);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(243)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(908);
      END_STATE();
    case 244:
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == ')') ADVANCE(315);
      if (lookahead == '+') ADVANCE(729);
      if (lookahead == '-') ADVANCE(727);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(312);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(411);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '~') ADVANCE(730);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(244)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(826);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(908);
      END_STATE();
    case 245:
      if (lookahead == '!') ADVANCE(901);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '%') ADVANCE(613);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '+') ADVANCE(594);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '/') ADVANCE(608);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '<') ADVANCE(571);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(580);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(398);
      if (lookahead == ']') ADVANCE(639);
      if (lookahead == '^') ADVANCE(558);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(554);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(245)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 246:
      if (lookahead == '!') ADVANCE(901);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '%') ADVANCE(613);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '+') ADVANCE(594);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '/') ADVANCE(608);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '<') ADVANCE(571);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(580);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(453);
      if (lookahead == ']') ADVANCE(639);
      if (lookahead == '^') ADVANCE(558);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(554);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(246)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 247:
      if (lookahead == '!') ADVANCE(635);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == '-') ADVANCE(598);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(584);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(375);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(247)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 248:
      if (lookahead == '!') ADVANCE(635);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == ')') ADVANCE(315);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == '-') ADVANCE(598);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(584);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(347);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(248)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 249:
      if (lookahead == '!') ADVANCE(635);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == '-') ADVANCE(598);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == ':') ADVANCE(720);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(584);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(249)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 250:
      if (lookahead == '!') ADVANCE(635);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == '-') ADVANCE(598);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(584);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(346);
      if (lookahead == ']') ADVANCE(639);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(250)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 251:
      if (lookahead == '!') ADVANCE(635);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == '-') ADVANCE(598);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(584);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(374);
      if (lookahead == ']') ADVANCE(325);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(251)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 252:
      if (lookahead == '!') ADVANCE(635);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == '-') ADVANCE(598);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(584);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(349);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(252)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 253:
      if (lookahead == '!') ADVANCE(322);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(743);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == ')') ADVANCE(315);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == ',') ADVANCE(519);
      if (lookahead == '-') ADVANCE(598);
      if (lookahead == '.') ADVANCE(319);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == ':') ADVANCE(720);
      if (lookahead == ';') ADVANCE(306);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(584);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') SKIP(417)
      if (lookahead == ']') ADVANCE(745);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == 'e') ADVANCE(330);
      if (lookahead == 'i') ADVANCE(329);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(254)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(733);
      END_STATE();
    case 254:
      if (lookahead == '!') ADVANCE(322);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(743);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == ')') ADVANCE(315);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == ',') ADVANCE(519);
      if (lookahead == '-') ADVANCE(598);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == ':') ADVANCE(720);
      if (lookahead == ';') ADVANCE(306);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(584);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') SKIP(417)
      if (lookahead == ']') ADVANCE(745);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == 'e') ADVANCE(330);
      if (lookahead == 'i') ADVANCE(329);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(254)
      END_STATE();
    case 255:
      if (lookahead == '!') ADVANCE(322);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(314);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == ',') ADVANCE(519);
      if (lookahead == '-') ADVANCE(598);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(584);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') SKIP(418)
      if (lookahead == ']') ADVANCE(639);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(255)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 256:
      if (lookahead == '!') ADVANCE(322);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == ',') ADVANCE(519);
      if (lookahead == '-') ADVANCE(599);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(584);
      if (lookahead == '\\') SKIP(427)
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '|') ADVANCE(556);
      if (lookahead == '}') ADVANCE(736);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(257)
      END_STATE();
    case 257:
      if (lookahead == '!') ADVANCE(322);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == ',') ADVANCE(519);
      if (lookahead == '-') ADVANCE(599);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(584);
      if (lookahead == '\\') SKIP(427)
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(257)
      END_STATE();
    case 258:
      if (lookahead == '!') ADVANCE(322);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == '-') ADVANCE(598);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == ':') ADVANCE(720);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(584);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') SKIP(423)
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '`') ADVANCE(326);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(258)
      END_STATE();
    case 259:
      if (lookahead == '!') ADVANCE(322);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == '-') ADVANCE(598);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(584);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '[') ADVANCE(637);
      if (lookahead == '\\') SKIP(428)
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(259)
      END_STATE();
    case 260:
      if (lookahead == '!') ADVANCE(322);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == '-') ADVANCE(598);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(584);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') SKIP(422)
      if (lookahead == ']') ADVANCE(639);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '`') ADVANCE(326);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(260)
      END_STATE();
    case 261:
      if (lookahead == '!') ADVANCE(322);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == ')') ADVANCE(315);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == ',') ADVANCE(519);
      if (lookahead == '-') ADVANCE(598);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == ':') ADVANCE(720);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(584);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '[') ADVANCE(637);
      if (lookahead == '\\') SKIP(424)
      if (lookahead == ']') ADVANCE(639);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '`') ADVANCE(326);
      if (lookahead == '|') ADVANCE(556);
      if (lookahead == '}') ADVANCE(776);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(261)
      END_STATE();
    case 262:
      if (lookahead == '!') ADVANCE(322);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == ')') ADVANCE(315);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == ',') ADVANCE(519);
      if (lookahead == '-') ADVANCE(598);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == ':') ADVANCE(720);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(584);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') SKIP(420)
      if (lookahead == ']') ADVANCE(745);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '`') ADVANCE(326);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(262)
      END_STATE();
    case 263:
      if (lookahead == '!') ADVANCE(322);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == ')') ADVANCE(315);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == ',') ADVANCE(519);
      if (lookahead == '-') ADVANCE(599);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(584);
      if (lookahead == '\\') SKIP(470)
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(263)
      END_STATE();
    case 264:
      if (lookahead == '!') ADVANCE(322);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == ')') ADVANCE(315);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == '-') ADVANCE(598);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == ':') ADVANCE(720);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(584);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') SKIP(469)
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '`') ADVANCE(326);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(264)
      END_STATE();
    case 265:
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == '<') ADVANCE(577);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(357);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(265)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 266:
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == '<') ADVANCE(577);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(360);
      if (lookahead == ']') ADVANCE(639);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(266)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 267:
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(362);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '|') ADVANCE(553);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(267)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 268:
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(363);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(268)
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(751);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(756);
      END_STATE();
    case 269:
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead == '_') ADVANCE(898);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(269)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 270:
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(743);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '(') ADVANCE(617);
      if (lookahead == '+') ADVANCE(729);
      if (lookahead == '-') ADVANCE(727);
      if (lookahead == '/') ADVANCE(605);
      if (lookahead == '0') ADVANCE(766);
      if (lookahead == ':') ADVANCE(720);
      if (lookahead == '<') ADVANCE(576);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(744);
      if (lookahead == '\\') SKIP(434)
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (lookahead == '}') ADVANCE(776);
      if (lookahead == '~') ADVANCE(730);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(270)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(768);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 271:
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(365);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(271)
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(752);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '`') ADVANCE(756);
      END_STATE();
    case 272:
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(366);
      if (lookahead == '_') ADVANCE(898);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(272)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 273:
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(742);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') SKIP(438)
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '}') ADVANCE(776);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(273)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 274:
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(742);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') SKIP(444)
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(813);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(274)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 275:
      if (lookahead == '!') ADVANCE(777);
      if (lookahead == '#') ADVANCE(783);
      if (lookahead == '$') ADVANCE(742);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == '=') ADVANCE(784);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') SKIP(438)
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '}') ADVANCE(776);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(273)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 276:
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(324);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '<') ADVANCE(572);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[') ADVANCE(638);
      if (lookahead == '\\') ADVANCE(409);
      if (lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '`') ADVANCE(813);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(276)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(908);
      END_STATE();
    case 277:
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(324);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '<') ADVANCE(572);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(467);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(553);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(277)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 278:
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(324);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '<') ADVANCE(572);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(478);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(553);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(278)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 279:
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(415);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(279)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 280:
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(410);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(280)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 281:
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(463);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(281)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 282:
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(477);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(282)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 283:
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(413);
      if (lookahead == ']') ADVANCE(639);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(283)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 284:
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(465);
      if (lookahead == ']') ADVANCE(639);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(284)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 285:
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(476);
      if (lookahead == ']') ADVANCE(639);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(285)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 286:
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(482);
      if (lookahead == ']') ADVANCE(639);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(286)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 287:
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(416);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(287)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 288:
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(468);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(288)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 289:
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(412);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(289)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(826);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 290:
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(464);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(290)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(826);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 291:
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '<') ADVANCE(312);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(430);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '}') ADVANCE(776);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(291)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(908);
      END_STATE();
    case 292:
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '<') ADVANCE(312);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(426);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == 'e') ADVANCE(906);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(292)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(908);
      END_STATE();
    case 293:
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(743);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '(') ADVANCE(617);
      if (lookahead == ')') ADVANCE(315);
      if (lookahead == '+') ADVANCE(317);
      if (lookahead == '-') ADVANCE(318);
      if (lookahead == '0') ADVANCE(767);
      if (lookahead == '<') ADVANCE(577);
      if (lookahead == '=') ADVANCE(522);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') SKIP(439)
      if (lookahead == ']') ADVANCE(639);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(293)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(620);
      END_STATE();
    case 294:
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(324);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(617);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '\\') ADVANCE(442);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '{') ADVANCE(630);
      if (lookahead == '|') ADVANCE(553);
      if (lookahead == '}') ADVANCE(776);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(294)
      if (lookahead != 0 &&
          (lookahead < '[' || ']' < lookahead)) ADVANCE(908);
      END_STATE();
    case 295:
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '\\') SKIP(448)
      if (lookahead == '}') ADVANCE(776);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(800);
      END_STATE();
    case 296:
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '<') ADVANCE(312);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(431);
      if (lookahead == '`') ADVANCE(813);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(296)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(908);
      END_STATE();
    case 297:
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '<') ADVANCE(312);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(433);
      if (lookahead == ']') ADVANCE(639);
      if (lookahead == '`') ADVANCE(813);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(297)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(908);
      END_STATE();
    case 298:
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(755);
      if (lookahead == '$') ADVANCE(741);
      if (lookahead == '(') ADVANCE(754);
      if (lookahead == '\\') ADVANCE(445);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(298)
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(753);
      if (lookahead != 0) ADVANCE(756);
      END_STATE();
    case 299:
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '%') ADVANCE(612);
      if (lookahead == '*') ADVANCE(781);
      if (lookahead == '+') ADVANCE(791);
      if (lookahead == ',') ADVANCE(521);
      if (lookahead == '-') ADVANCE(788);
      if (lookahead == '/') ADVANCE(607);
      if (lookahead == ':') ADVANCE(722);
      if (lookahead == '=') ADVANCE(784);
      if (lookahead == '?') ADVANCE(794);
      if (lookahead == '@') ADVANCE(779);
      if (lookahead == '[') ADVANCE(637);
      if (lookahead == '\\') SKIP(432)
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '}') ADVANCE(776);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(300)
      END_STATE();
    case 300:
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '%') ADVANCE(612);
      if (lookahead == ',') ADVANCE(521);
      if (lookahead == '/') ADVANCE(607);
      if (lookahead == ':') ADVANCE(720);
      if (lookahead == '[') ADVANCE(637);
      if (lookahead == '\\') SKIP(432)
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '}') ADVANCE(776);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(300)
      END_STATE();
    case 301:
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(331);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '-') ADVANCE(320);
      if (lookahead == '0') ADVANCE(766);
      if (lookahead == '<') ADVANCE(577);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') SKIP(441)
      if (lookahead == '`') ADVANCE(326);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(301)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(768);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 302:
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '%') ADVANCE(610);
      if (lookahead == '&') ADVANCE(324);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '+') ADVANCE(593);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '/') ADVANCE(605);
      if (lookahead == ':') ADVANCE(720);
      if (lookahead == '<') ADVANCE(569);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '\\') SKIP(446)
      if (lookahead == '`') ADVANCE(326);
      if (lookahead == '}') ADVANCE(776);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(302)
      END_STATE();
    case 303:
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '<') ADVANCE(577);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(440);
      if (lookahead == ']') ADVANCE(639);
      if (lookahead == '`') ADVANCE(326);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(303)
      if (lookahead != 0 &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != ';') ADVANCE(908);
      END_STATE();
    case 304:
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '+') ADVANCE(323);
      if (lookahead == '=') ADVANCE(522);
      if (lookahead == '[') ADVANCE(637);
      if (lookahead == '\\') SKIP(449)
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(304)
      END_STATE();
    case 305:
      if (lookahead == '&') ADVANCE(551);
      if (lookahead == '>') ADVANCE(644);
      END_STATE();
    case 306:
      if (lookahead == '&') ADVANCE(628);
      if (lookahead == ';') ADVANCE(627);
      END_STATE();
    case 307:
      if (lookahead == '\'') ADVANCE(758);
      if (lookahead != 0) ADVANCE(307);
      END_STATE();
    case 308:
      if (lookahead == '\'') ADVANCE(759);
      if (lookahead == '\\') ADVANCE(309);
      if (lookahead != 0) ADVANCE(308);
      END_STATE();
    case 309:
      if (lookahead == '\'') ADVANCE(760);
      if (lookahead == '\\') ADVANCE(309);
      if (lookahead != 0) ADVANCE(308);
      END_STATE();
    case 310:
      if (lookahead == '(') ADVANCE(812);
      if (lookahead == '[') ADVANCE(732);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '{') ADVANCE(775);
      END_STATE();
    case 311:
      if (lookahead == '(') ADVANCE(514);
      END_STATE();
    case 312:
      if (lookahead == '(') ADVANCE(816);
      END_STATE();
    case 313:
      if (lookahead == '(') ADVANCE(817);
      END_STATE();
    case 314:
      if (lookahead == '(') ADVANCE(811);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '{') ADVANCE(775);
      END_STATE();
    case 315:
      if (lookahead == ')') ADVANCE(515);
      END_STATE();
    case 316:
      if (lookahead == '+') ADVANCE(527);
      END_STATE();
    case 317:
      if (lookahead == '+') ADVANCE(527);
      if (lookahead == '=') ADVANCE(531);
      END_STATE();
    case 318:
      if (lookahead == '-') ADVANCE(529);
      if (lookahead == '0') ADVANCE(767);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      END_STATE();
    case 319:
      if (lookahead == '.') ADVANCE(734);
      END_STATE();
    case 320:
      if (lookahead == '0') ADVANCE(767);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      END_STATE();
    case 321:
      if (lookahead == '<') ADVANCE(717);
      END_STATE();
    case 322:
      if (lookahead == '=') ADVANCE(567);
      END_STATE();
    case 323:
      if (lookahead == '=') ADVANCE(531);
      END_STATE();
    case 324:
      if (lookahead == '>') ADVANCE(644);
      END_STATE();
    case 325:
      if (lookahead == ']') ADVANCE(641);
      END_STATE();
    case 326:
      if (lookahead == '`') ADVANCE(737);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(326);
      END_STATE();
    case 327:
      if (lookahead == 'a') ADVANCE(328);
      END_STATE();
    case 328:
      if (lookahead == 'c') ADVANCE(621);
      END_STATE();
    case 329:
      if (lookahead == 'n') ADVANCE(511);
      END_STATE();
    case 330:
      if (lookahead == 's') ADVANCE(327);
      END_STATE();
    case 331:
      if (lookahead == '{') ADVANCE(775);
      END_STATE();
    case 332:
      if (lookahead == '|') ADVANCE(549);
      END_STATE();
    case 333:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(12)
      if (lookahead == '\n') ADVANCE(838);
      if (lookahead == '\r') ADVANCE(13);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 334:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(222)
      if (lookahead == '\n') ADVANCE(870);
      if (lookahead == '\r') ADVANCE(17);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 335:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(151)
      if (lookahead == '\n') ADVANCE(840);
      if (lookahead == '\r') ADVANCE(25);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 336:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(164)
      if (lookahead == '\n') ADVANCE(842);
      if (lookahead == '\r') ADVANCE(27);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 337:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(173)
      if (lookahead == '\n') ADVANCE(848);
      if (lookahead == '\r') ADVANCE(29);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 338:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(179)
      if (lookahead == '\n') ADVANCE(852);
      if (lookahead == '\r') ADVANCE(31);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 339:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(188)
      if (lookahead == '\n') ADVANCE(857);
      if (lookahead == '\r') ADVANCE(35);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 340:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(192)
      if (lookahead == '\n') ADVANCE(859);
      if (lookahead == '\r') ADVANCE(38);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 341:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(200)
      if (lookahead == '\n') ADVANCE(863);
      if (lookahead == '\r') ADVANCE(39);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 342:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(230)
      if (lookahead == '\n') ADVANCE(872);
      if (lookahead == '\r') ADVANCE(41);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 343:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(204)
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == '\r') ADVANCE(44);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 344:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(232)
      if (lookahead == '\n') ADVANCE(874);
      if (lookahead == '\r') ADVANCE(46);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 345:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(233)
      if (lookahead == '\n') ADVANCE(875);
      if (lookahead == '\r') ADVANCE(47);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 346:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(250)
      if (lookahead == '\n') ADVANCE(882);
      if (lookahead == '\r') ADVANCE(48);
      END_STATE();
    case 347:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(248)
      if (lookahead == '\n') ADVANCE(880);
      if (lookahead == '\r') ADVANCE(50);
      END_STATE();
    case 348:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(249)
      if (lookahead == '\n') ADVANCE(881);
      if (lookahead == '\r') ADVANCE(51);
      END_STATE();
    case 349:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(252)
      if (lookahead == '\n') ADVANCE(884);
      if (lookahead == '\r') ADVANCE(53);
      END_STATE();
    case 350:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(229)
      if (lookahead == '\n') ADVANCE(871);
      if (lookahead == '\r') ADVANCE(56);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 351:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(141)
      if (lookahead == '\n') ADVANCE(839);
      if (lookahead == '\r') ADVANCE(62);
      END_STATE();
    case 352:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(163)
      if (lookahead == '\n') ADVANCE(841);
      if (lookahead == '\r') ADVANCE(73);
      END_STATE();
    case 353:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(169)
      if (lookahead == '\n') ADVANCE(845);
      if (lookahead == '\r') ADVANCE(74);
      END_STATE();
    case 354:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(172)
      if (lookahead == '\n') ADVANCE(847);
      if (lookahead == '\r') ADVANCE(75);
      END_STATE();
    case 355:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(210)
      if (lookahead == '\n') ADVANCE(868);
      if (lookahead == '\r') ADVANCE(80);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 356:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(175)
      if (lookahead == '\n') ADVANCE(849);
      if (lookahead == '\r') ADVANCE(81);
      END_STATE();
    case 357:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(265)
      if (lookahead == '\n') ADVANCE(885);
      if (lookahead == '\r') ADVANCE(83);
      END_STATE();
    case 358:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(212)
      if (lookahead == '\n') ADVANCE(869);
      if (lookahead == '\r') ADVANCE(84);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 359:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(236)
      if (lookahead == '\n') ADVANCE(878);
      if (lookahead == '\r') ADVANCE(85);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 360:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(266)
      if (lookahead == '\n') ADVANCE(886);
      if (lookahead == '\r') ADVANCE(86);
      END_STATE();
    case 361:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(181)
      if (lookahead == '\n') ADVANCE(853);
      if (lookahead == '\r') ADVANCE(96);
      END_STATE();
    case 362:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(267)
      if (lookahead == '\n') ADVANCE(887);
      if (lookahead == '\r') ADVANCE(99);
      END_STATE();
    case 363:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') ADVANCE(751);
      if (lookahead == '\n') ADVANCE(751);
      if (lookahead == '\r') ADVANCE(748);
      if (lookahead != 0) ADVANCE(756);
      END_STATE();
    case 364:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(269)
      if (lookahead == '\n') ADVANCE(888);
      if (lookahead == '\r') ADVANCE(100);
      END_STATE();
    case 365:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') ADVANCE(752);
      if (lookahead == '\n') ADVANCE(752);
      if (lookahead == '\r') ADVANCE(749);
      if (lookahead != 0) ADVANCE(756);
      END_STATE();
    case 366:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(272)
      if (lookahead == '\n') ADVANCE(889);
      if (lookahead == '\r') ADVANCE(101);
      END_STATE();
    case 367:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(167)
      if (lookahead == '\n') ADVANCE(844);
      if (lookahead == '\r') ADVANCE(115);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 368:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(170)
      if (lookahead == '\n') ADVANCE(846);
      if (lookahead == '\r') ADVANCE(117);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 369:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(182)
      if (lookahead == '\n') ADVANCE(854);
      if (lookahead == '\r') ADVANCE(119);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 370:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(190)
      if (lookahead == '\n') ADVANCE(858);
      if (lookahead == '\r') ADVANCE(123);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 371:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(202)
      if (lookahead == '\n') ADVANCE(864);
      if (lookahead == '\r') ADVANCE(125);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 372:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(231)
      if (lookahead == '\n') ADVANCE(873);
      if (lookahead == '\r') ADVANCE(127);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 373:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(208)
      if (lookahead == '\n') ADVANCE(867);
      if (lookahead == '\r') ADVANCE(130);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 374:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(251)
      if (lookahead == '\n') ADVANCE(883);
      if (lookahead == '\r') ADVANCE(132);
      END_STATE();
    case 375:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(247)
      if (lookahead == '\n') ADVANCE(879);
      if (lookahead == '\r') ADVANCE(134);
      END_STATE();
    case 376:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(166)
      if (lookahead == '\n') ADVANCE(843);
      if (lookahead == '\r') ADVANCE(137);
      END_STATE();
    case 377:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(178)
      if (lookahead == '\n') ADVANCE(851);
      if (lookahead == '\r') ADVANCE(139);
      END_STATE();
    case 378:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(176)
      if (lookahead == '\n') ADVANCE(850);
      if (lookahead == '\r') ADVANCE(142);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 379:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(196)
      if (lookahead == '\n') ADVANCE(861);
      if (lookahead == '\r') ADVANCE(146);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 380:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(184)
      if (lookahead == '\n') ADVANCE(855);
      if (lookahead == '\r') ADVANCE(149);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 381:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(186)
      if (lookahead == '\n') ADVANCE(856);
      if (lookahead == '\r') ADVANCE(153);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 382:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(194)
      if (lookahead == '\n') ADVANCE(860);
      if (lookahead == '\r') ADVANCE(156);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 383:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(198)
      if (lookahead == '\n') ADVANCE(862);
      if (lookahead == '\r') ADVANCE(157);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 384:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(206)
      if (lookahead == '\n') ADVANCE(866);
      if (lookahead == '\r') ADVANCE(159);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 385:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(234)
      if (lookahead == '\n') ADVANCE(876);
      if (lookahead == '\r') ADVANCE(160);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 386:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(235)
      if (lookahead == '\n') ADVANCE(877);
      if (lookahead == '\r') ADVANCE(161);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 387:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(221)
      if (lookahead == '\r') SKIP(1)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 388:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(237)
      if (lookahead == '\r') SKIP(2)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 389:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(238)
      if (lookahead == '\r') SKIP(3)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 390:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(239)
      if (lookahead == '\r') SKIP(4)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 391:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(6)
      if (lookahead == '\r') SKIP(5)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 392:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(223)
      if (lookahead == '\r') SKIP(7)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 393:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(241)
      if (lookahead == '\r') SKIP(8)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 394:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(242)
      if (lookahead == '\r') SKIP(9)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 395:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(224)
      if (lookahead == '\r') SKIP(10)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 396:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(226)
      if (lookahead == '\r') SKIP(11)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 397:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(108)
      if (lookahead == '\r') SKIP(18)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 398:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(245)
      if (lookahead == '\r') SKIP(19)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 399:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(240)
      if (lookahead == '\r') SKIP(20)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 400:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(165)
      if (lookahead == '\r') SKIP(21)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 401:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(168)
      if (lookahead == '\r') SKIP(22)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 402:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(171)
      if (lookahead == '\r') SKIP(23)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 403:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(174)
      if (lookahead == '\r') SKIP(24)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 404:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(177)
      if (lookahead == '\r') SKIP(26)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 405:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(180)
      if (lookahead == '\r') SKIP(28)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 406:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(183)
      if (lookahead == '\r') SKIP(30)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 407:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(185)
      if (lookahead == '\r') SKIP(32)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 408:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(187)
      if (lookahead == '\r') SKIP(33)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 409:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(276)
      if (lookahead == '\r') SKIP(34)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 410:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(280)
      if (lookahead == '\r') SKIP(36)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 411:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(244)
      if (lookahead == '\r') SKIP(37)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 412:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(289)
      if (lookahead == '\r') SKIP(40)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 413:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(283)
      if (lookahead == '\r') SKIP(42)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 414:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(195)
      if (lookahead == '\r') SKIP(43)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 415:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(279)
      if (lookahead == '\r') SKIP(45)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 416:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(287)
      if (lookahead == '\r') SKIP(49)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 417:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(254)
      if (lookahead == '\r') SKIP(52)
      END_STATE();
    case 418:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(255)
      if (lookahead == '\r') SKIP(54)
      END_STATE();
    case 419:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(243)
      if (lookahead == '\r') SKIP(55)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 420:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(262)
      if (lookahead == '\r') SKIP(57)
      END_STATE();
    case 421:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(217)
      if (lookahead == '\r') SKIP(58)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 422:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(260)
      if (lookahead == '\r') SKIP(59)
      END_STATE();
    case 423:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(258)
      if (lookahead == '\r') SKIP(60)
      END_STATE();
    case 424:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(261)
      if (lookahead == '\r') SKIP(61)
      END_STATE();
    case 425:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(64)
      if (lookahead == '\r') SKIP(63)
      END_STATE();
    case 426:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(292)
      if (lookahead == '\r') SKIP(70)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 427:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(257)
      if (lookahead == '\r') SKIP(71)
      END_STATE();
    case 428:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(259)
      if (lookahead == '\r') SKIP(72)
      END_STATE();
    case 429:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(219)
      if (lookahead == '\r') SKIP(76)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 430:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(291)
      if (lookahead == '\r') SKIP(77)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 431:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(296)
      if (lookahead == '\r') SKIP(78)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 432:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(300)
      if (lookahead == '\r') SKIP(79)
      END_STATE();
    case 433:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(297)
      if (lookahead == '\r') SKIP(82)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 434:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(270)
      if (lookahead == '\r') SKIP(87)
      END_STATE();
    case 435:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(65)
      if (lookahead == '\r') SKIP(88)
      END_STATE();
    case 436:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(67)
      if (lookahead == '\r') SKIP(89)
      END_STATE();
    case 437:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(66)
      if (lookahead == '\r') SKIP(90)
      END_STATE();
    case 438:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(273)
      if (lookahead == '\r') SKIP(91)
      END_STATE();
    case 439:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(293)
      if (lookahead == '\r') SKIP(92)
      END_STATE();
    case 440:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(303)
      if (lookahead == '\r') SKIP(93)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 441:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(301)
      if (lookahead == '\r') SKIP(94)
      END_STATE();
    case 442:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(294)
      if (lookahead == '\r') SKIP(95)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 443:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(68)
      if (lookahead == '\r') SKIP(97)
      END_STATE();
    case 444:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(274)
      if (lookahead == '\r') SKIP(98)
      END_STATE();
    case 445:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(753);
      if (lookahead == '\r') ADVANCE(747);
      if (lookahead != 0) ADVANCE(756);
      END_STATE();
    case 446:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(302)
      if (lookahead == '\r') SKIP(102)
      END_STATE();
    case 447:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(69)
      if (lookahead == '\r') SKIP(103)
      END_STATE();
    case 448:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(295)
      if (lookahead == '\r') SKIP(104)
      END_STATE();
    case 449:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(304)
      if (lookahead == '\r') SKIP(105)
      END_STATE();
    case 450:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(227)
      if (lookahead == '\r') SKIP(106)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 451:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(225)
      if (lookahead == '\r') SKIP(107)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 452:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(162)
      if (lookahead == '\r') SKIP(109)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 453:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(246)
      if (lookahead == '\r') SKIP(110)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 454:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(197)
      if (lookahead == '\r') SKIP(111)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 455:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(199)
      if (lookahead == '\r') SKIP(112)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 456:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(201)
      if (lookahead == '\r') SKIP(113)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 457:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(205)
      if (lookahead == '\r') SKIP(114)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 458:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(207)
      if (lookahead == '\r') SKIP(116)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 459:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(203)
      if (lookahead == '\r') SKIP(118)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 460:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(213)
      if (lookahead == '\r') SKIP(120)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 461:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(209)
      if (lookahead == '\r') SKIP(121)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 462:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(214)
      if (lookahead == '\r') SKIP(122)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 463:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(281)
      if (lookahead == '\r') SKIP(124)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 464:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(290)
      if (lookahead == '\r') SKIP(126)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 465:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(284)
      if (lookahead == '\r') SKIP(128)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 466:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(218)
      if (lookahead == '\r') SKIP(129)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 467:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(277)
      if (lookahead == '\r') SKIP(131)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 468:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(288)
      if (lookahead == '\r') SKIP(133)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 469:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(264)
      if (lookahead == '\r') SKIP(135)
      END_STATE();
    case 470:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(263)
      if (lookahead == '\r') SKIP(136)
      END_STATE();
    case 471:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(220)
      if (lookahead == '\r') SKIP(138)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 472:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(228)
      if (lookahead == '\r') SKIP(140)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 473:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(211)
      if (lookahead == '\r') SKIP(143)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 474:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(215)
      if (lookahead == '\r') SKIP(144)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 475:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(216)
      if (lookahead == '\r') SKIP(145)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 476:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(285)
      if (lookahead == '\r') SKIP(147)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 477:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(282)
      if (lookahead == '\r') SKIP(148)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 478:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(278)
      if (lookahead == '\r') SKIP(150)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 479:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(189)
      if (lookahead == '\r') SKIP(152)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 480:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(191)
      if (lookahead == '\r') SKIP(154)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 481:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(193)
      if (lookahead == '\r') SKIP(155)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 482:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(286)
      if (lookahead == '\r') SKIP(158)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 483:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(769);
      END_STATE();
    case 484:
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(908);
      END_STATE();
    case 485:
      if (lookahead != 0 &&
          lookahead != '\r') ADVANCE(756);
      if (lookahead == '\r') ADVANCE(757);
      END_STATE();
    case 486:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(654);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(310);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '-') ADVANCE(320);
      if (lookahead == '0') ADVANCE(766);
      if (lookahead == ':') ADVANCE(720);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(576);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '\\') SKIP(508)
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (lookahead == '}') ADVANCE(776);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(486)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(768);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 487:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(654);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(577);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') SKIP(507)
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(487)
      END_STATE();
    case 488:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(654);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(577);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') SKIP(509)
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(488)
      END_STATE();
    case 489:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') SKIP(487)
      END_STATE();
    case 490:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') SKIP(486)
      END_STATE();
    case 491:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') SKIP(488)
      END_STATE();
    case 492:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(662);
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(577);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(376);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(492)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 493:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(666);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(368);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(493)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 494:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(667);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(402);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(494)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 495:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(679);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(406);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(495)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(826);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 496:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(680);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(380);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(496)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 497:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(683);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(408);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(497)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 498:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(686);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(370);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(498)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 499:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(689);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(481);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(499)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 500:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(692);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(379);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(500)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(908);
      END_STATE();
    case 501:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(697);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(456);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(501)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 502:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(709);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(460);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(502)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(826);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 503:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(710);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(462);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(503)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 504:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(712);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '\\') ADVANCE(475);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(504)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 505:
      if (eof) ADVANCE(510);
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '%') ADVANCE(611);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '+') ADVANCE(728);
      if (lookahead == ',') ADVANCE(520);
      if (lookahead == '-') ADVANCE(726);
      if (lookahead == '/') ADVANCE(606);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ':') ADVANCE(723);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(571);
      if (lookahead == '=') ADVANCE(526);
      if (lookahead == '>') ADVANCE(580);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '[') ADVANCE(638);
      if (lookahead == '\\') ADVANCE(387);
      if (lookahead == ']') ADVANCE(639);
      if (lookahead == '^') ADVANCE(557);
      if (lookahead == '_') ADVANCE(896);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == 'e') ADVANCE(906);
      if (lookahead == 'i') ADVANCE(905);
      if (lookahead == '{') ADVANCE(630);
      if (lookahead == '|') ADVANCE(554);
      if (lookahead == '}') ADVANCE(776);
      if (lookahead == '~') ADVANCE(730);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(505)
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 506:
      if (eof) ADVANCE(510);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(820);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(324);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '-') ADVANCE(900);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == ';') ADVANCE(306);
      if (lookahead == '<') ADVANCE(572);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '[') ADVANCE(638);
      if (lookahead == '\\') ADVANCE(388);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(744);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '{') ADVANCE(630);
      if (lookahead == '|') ADVANCE(553);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(506)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (lookahead != 0) ADVANCE(908);
      END_STATE();
    case 507:
      if (eof) ADVANCE(510);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(487)
      if (lookahead == '\r') SKIP(489)
      END_STATE();
    case 508:
      if (eof) ADVANCE(510);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(486)
      if (lookahead == '\r') SKIP(490)
      END_STATE();
    case 509:
      if (eof) ADVANCE(510);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(488)
      if (lookahead == '\r') SKIP(491)
      END_STATE();
    case 510:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_in);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_LPAREN_LPAREN);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_RPAREN_RPAREN);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_SEMI);
      if (lookahead == '&') ADVANCE(628);
      if (lookahead == ';') ADVANCE(627);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_SEMI);
      if (lookahead == ';') ADVANCE(626);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_COMMA);
      if (lookahead == ',') ADVANCE(808);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_COMMA);
      if (lookahead == ',') ADVANCE(807);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(484);
      if (lookahead == '~') ADVANCE(643);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(908);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(565);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(565);
      if (lookahead == '~') ADVANCE(642);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym_DASHo);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym_DASHa);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '&') ADVANCE(632);
      if (lookahead == '=') ADVANCE(548);
      if (lookahead == '|') ADVANCE(549);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '&') ADVANCE(632);
      if (lookahead == '|') ADVANCE(549);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(548);
      if (lookahead == '|') ADVANCE(549);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(547);
      if (lookahead == '\\') ADVANCE(484);
      if (lookahead == '^') ADVANCE(810);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(908);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(547);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(908);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(546);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '^') ADVANCE(809);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(551);
      if (lookahead == '=') ADVANCE(545);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(551);
      if (lookahead == '=') ADVANCE(545);
      if (lookahead == '>') ADVANCE(644);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(551);
      if (lookahead == '>') ADVANCE(644);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(646);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(646);
      if (lookahead == '(') ADVANCE(816);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(646);
      if (lookahead == '(') ADVANCE(816);
      if (lookahead == '<') ADVANCE(589);
      if (lookahead == '=') ADVANCE(585);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(646);
      if (lookahead == '(') ADVANCE(816);
      if (lookahead == '<') ADVANCE(321);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(646);
      if (lookahead == '(') ADVANCE(816);
      if (lookahead == '<') ADVANCE(588);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(646);
      if (lookahead == '(') ADVANCE(816);
      if (lookahead == '<') ADVANCE(587);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(646);
      if (lookahead == '<') ADVANCE(321);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(646);
      if (lookahead == '<') ADVANCE(588);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(646);
      if (lookahead == '<') ADVANCE(587);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '(') ADVANCE(816);
      if (lookahead == '<') ADVANCE(590);
      if (lookahead == '=') ADVANCE(585);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(590);
      if (lookahead == '=') ADVANCE(585);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(647);
      if (lookahead == '(') ADVANCE(817);
      if (lookahead == '=') ADVANCE(586);
      if (lookahead == '>') ADVANCE(592);
      if (lookahead == '|') ADVANCE(648);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(647);
      if (lookahead == '(') ADVANCE(817);
      if (lookahead == '>') ADVANCE(591);
      if (lookahead == '|') ADVANCE(648);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(647);
      if (lookahead == '>') ADVANCE(591);
      if (lookahead == '|') ADVANCE(648);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '(') ADVANCE(817);
      if (lookahead == '=') ADVANCE(586);
      if (lookahead == '>') ADVANCE(592);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(586);
      if (lookahead == '>') ADVANCE(592);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '-') ADVANCE(651);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '-') ADVANCE(651);
      if (lookahead == '<') ADVANCE(717);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '-') ADVANCE(651);
      if (lookahead == '<') ADVANCE(717);
      if (lookahead == '=') ADVANCE(543);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(543);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(544);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(528);
      if (lookahead == '=') ADVANCE(532);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(908);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(527);
      if (lookahead == '=') ADVANCE(531);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(530);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '=') ADVANCE(534);
      if (lookahead == '\\') ADVANCE(484);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(908);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(529);
      if (lookahead == '=') ADVANCE(533);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(529);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == 'a') ADVANCE(552);
      if (lookahead == 'o') ADVANCE(550);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '\\') ADVANCE(484);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(615);
      if (lookahead == '=') ADVANCE(536);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(908);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(616);
      if (lookahead == '=') ADVANCE(535);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '#') ADVANCE(804);
      if (lookahead == '%') ADVANCE(806);
      if (lookahead == '/') ADVANCE(802);
      if (lookahead == '=') ADVANCE(538);
      if (lookahead == '\\') ADVANCE(484);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < '"' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '#') ADVANCE(803);
      if (lookahead == '%') ADVANCE(805);
      if (lookahead == '/') ADVANCE(801);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '=') ADVANCE(538);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(908);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '=') ADVANCE(537);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '%') ADVANCE(799);
      if (lookahead == '=') ADVANCE(540);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_3(lookahead)) ADVANCE(908);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '%') ADVANCE(798);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(540);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(908);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(539);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(542);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(908);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(541);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      if (lookahead == '(') ADVANCE(514);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(aux_sym__c_word_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(620);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(anon_sym_esac);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(anon_sym_esac);
      if (lookahead == '\\') ADVANCE(484);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(826);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(908);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(anon_sym_esac);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(anon_sym_esac);
      if (lookahead == '\\') ADVANCE(16);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(908);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(anon_sym_esac);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI);
      if (lookahead == '&') ADVANCE(629);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(anon_sym_SEMI_AMP);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI_AMP);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(anon_sym_PIPE_AMP);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(568);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(908);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(567);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(640);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(anon_sym_AMP_GT);
      if (lookahead == '>') ADVANCE(645);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(anon_sym_AMP_GT_GT);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(anon_sym_LT_AMP);
      if (lookahead == '-') ADVANCE(649);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(anon_sym_GT_AMP);
      if (lookahead == '-') ADVANCE(650);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(anon_sym_GT_PIPE);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(anon_sym_LT_AMP_DASH);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(anon_sym_GT_AMP_DASH);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(anon_sym_LT_LT_DASH);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(652);
      if (lookahead == '+') ADVANCE(729);
      if (lookahead == '-') ADVANCE(727);
      if (lookahead == '\\') ADVANCE(391);
      if (lookahead == '~') ADVANCE(730);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(653);
      if (lookahead == '\\') ADVANCE(333);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(654);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(655);
      if (lookahead == '\\') ADVANCE(397);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(656);
      if (lookahead == '\\') ADVANCE(351);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(657);
      if (lookahead == '\\') ADVANCE(335);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(658);
      if (lookahead == '\\') ADVANCE(452);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(659);
      if (lookahead == '\\') ADVANCE(352);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(660);
      if (lookahead == '\\') ADVANCE(336);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(400);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(662);
      if (lookahead == '\\') ADVANCE(376);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(663);
      if (lookahead == '\\') ADVANCE(367);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(664);
      if (lookahead == '\\') ADVANCE(401);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(665);
      if (lookahead == '\\') ADVANCE(353);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(666);
      if (lookahead == '\\') ADVANCE(368);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(667);
      if (lookahead == '\\') ADVANCE(402);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(668);
      if (lookahead == '\\') ADVANCE(354);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(669);
      if (lookahead == '\\') ADVANCE(337);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(670);
      if (lookahead == '\\') ADVANCE(403);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(671);
      if (lookahead == '\\') ADVANCE(356);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(672);
      if (lookahead == '\\') ADVANCE(378);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(673);
      if (lookahead == '\\') ADVANCE(404);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(674);
      if (lookahead == '\\') ADVANCE(377);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(675);
      if (lookahead == '\\') ADVANCE(338);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(676);
      if (lookahead == '\\') ADVANCE(405);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(677);
      if (lookahead == '\\') ADVANCE(361);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(678);
      if (lookahead == '\\') ADVANCE(369);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(679);
      if (lookahead == '\\') ADVANCE(406);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(680);
      if (lookahead == '\\') ADVANCE(380);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(681);
      if (lookahead == '\\') ADVANCE(407);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(682);
      if (lookahead == '\\') ADVANCE(381);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(683);
      if (lookahead == '\\') ADVANCE(408);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(684);
      if (lookahead == '\\') ADVANCE(339);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(479);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(686);
      if (lookahead == '\\') ADVANCE(370);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(687);
      if (lookahead == '\\') ADVANCE(480);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(688);
      if (lookahead == '\\') ADVANCE(340);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(689);
      if (lookahead == '\\') ADVANCE(481);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(690);
      if (lookahead == '\\') ADVANCE(382);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(691);
      if (lookahead == '\\') ADVANCE(414);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(692);
      if (lookahead == '\\') ADVANCE(379);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(693);
      if (lookahead == '\\') ADVANCE(454);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(694);
      if (lookahead == '\\') ADVANCE(383);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(695);
      if (lookahead == '\\') ADVANCE(455);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(696);
      if (lookahead == '\\') ADVANCE(341);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(697);
      if (lookahead == '\\') ADVANCE(456);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(698);
      if (lookahead == '\\') ADVANCE(371);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(699);
      if (lookahead == '\\') ADVANCE(459);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(700);
      if (lookahead == '\\') ADVANCE(343);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(701);
      if (lookahead == '\\') ADVANCE(457);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(702);
      if (lookahead == '\\') ADVANCE(384);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(703);
      if (lookahead == '\\') ADVANCE(458);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(704);
      if (lookahead == '\\') ADVANCE(373);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(705);
      if (lookahead == '\\') ADVANCE(461);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(706);
      if (lookahead == '\\') ADVANCE(355);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(707);
      if (lookahead == '\\') ADVANCE(473);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(708);
      if (lookahead == '\\') ADVANCE(358);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(709);
      if (lookahead == '\\') ADVANCE(460);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(710);
      if (lookahead == '\\') ADVANCE(462);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(711);
      if (lookahead == '\\') ADVANCE(474);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(712);
      if (lookahead == '\\') ADVANCE(475);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(713);
      if (lookahead == '\\') ADVANCE(421);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(714);
      if (lookahead == '\\') ADVANCE(466);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(715);
      if (lookahead == '\\') ADVANCE(429);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(716);
      if (lookahead == '\\') ADVANCE(471);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '+') ADVANCE(793);
      if (lookahead == '-') ADVANCE(790);
      if (lookahead == '=') ADVANCE(787);
      if (lookahead == '?') ADVANCE(797);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(908);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '+') ADVANCE(792);
      if (lookahead == '-') ADVANCE(789);
      if (lookahead == '=') ADVANCE(786);
      if (lookahead == '?') ADVANCE(796);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS2);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(anon_sym_DASH_DASH2);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(anon_sym_DASH2);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(anon_sym_DASH2);
      if (lookahead == '-') ADVANCE(725);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(anon_sym_PLUS2);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(anon_sym_PLUS2);
      if (lookahead == '+') ADVANCE(724);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LPAREN_LPAREN);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACK);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(aux_sym_brace_expression_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(733);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(anon_sym_RBRACE2);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(aux_sym_concatenation_token1);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '\'') ADVANCE(308);
      if (lookahead == '(') ADVANCE(812);
      if (lookahead == '[') ADVANCE(732);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '{') ADVANCE(775);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '\'') ADVANCE(308);
      if (lookahead == '(') ADVANCE(811);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '{') ADVANCE(775);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '(') ADVANCE(812);
      if (lookahead == '[') ADVANCE(732);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '{') ADVANCE(775);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '(') ADVANCE(811);
      if (lookahead == '`') ADVANCE(815);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '(') ADVANCE(811);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '{') ADVANCE(775);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(sym__special_character);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym__special_character);
      if (lookahead == ']') ADVANCE(641);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '\n') ADVANCE(753);
      if (lookahead == '\\') ADVANCE(485);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(756);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '\n') ADVANCE(751);
      if (lookahead == '\\') ADVANCE(485);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(756);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '\n') ADVANCE(752);
      if (lookahead == '\\') ADVANCE(485);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(756);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '\n') ADVANCE(756);
      if (lookahead == '\\') ADVANCE(818);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(755);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(363);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(268)
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(751);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(756);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(365);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(271)
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(752);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '`') ADVANCE(756);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(755);
      if (lookahead == '$') ADVANCE(741);
      if (lookahead == '(') ADVANCE(754);
      if (lookahead == '\\') ADVANCE(445);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(298)
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(753);
      if (lookahead != 0) ADVANCE(756);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '(') ADVANCE(514);
      if (lookahead == '\\') ADVANCE(485);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(756);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '\\') ADVANCE(818);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(755);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '\\') ADVANCE(485);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(756);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\' &&
          lookahead != '`') ADVANCE(756);
      if (lookahead == '\\') ADVANCE(485);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(sym_raw_string);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(sym_ansi_c_string);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(sym_ansi_c_string);
      if (lookahead == '\'') ADVANCE(759);
      if (lookahead == '\\') ADVANCE(309);
      if (lookahead != 0) ADVANCE(308);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '#') ADVANCE(772);
      if (lookahead == '\\') ADVANCE(484);
      if (lookahead == 'x') ADVANCE(907);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (!sym_word_character_set_5(lookahead)) ADVANCE(908);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '#') ADVANCE(772);
      if (lookahead == '\\') ADVANCE(484);
      if (lookahead == 'x') ADVANCE(825);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(826);
      if (!sym_word_character_set_6(lookahead)) ADVANCE(908);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '#') ADVANCE(772);
      if (lookahead == '\\') ADVANCE(484);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (!sym_word_character_set_5(lookahead)) ADVANCE(908);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '#') ADVANCE(772);
      if (lookahead == '\\') ADVANCE(484);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(826);
      if (!sym_word_character_set_6(lookahead)) ADVANCE(908);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '#') ADVANCE(772);
      if (lookahead == '\\') ADVANCE(16);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (!sym_word_character_set_6(lookahead)) ADVANCE(908);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '#') ADVANCE(773);
      if (lookahead == 'x') ADVANCE(836);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(768);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '#') ADVANCE(773);
      if (lookahead == 'x') ADVANCE(483);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(769);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '#') ADVANCE(773);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(768);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '#') ADVANCE(773);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(769);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '\\') ADVANCE(484);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('@' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(770);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(908);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('@' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(771);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(aux_sym_number_token2);
      if (lookahead == '\\') ADVANCE(484);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('@' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(770);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(908);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(aux_sym_number_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('@' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(771);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(anon_sym_RBRACE3);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(anon_sym_BANG2);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(anon_sym_BANG2);
      if (lookahead == '=') ADVANCE(568);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(908);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(anon_sym_STAR2);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(anon_sym_STAR2);
      if (lookahead == '*') ADVANCE(615);
      if (lookahead == '=') ADVANCE(536);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(908);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(anon_sym_POUND2);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(anon_sym_EQ2);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(anon_sym_EQ2);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(anon_sym_DASH3);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(anon_sym_COLON_DASH);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(anon_sym_COLON_DASH);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(anon_sym_PLUS3);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(anon_sym_COLON_PLUS);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(anon_sym_COLON_PLUS);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(anon_sym_QMARK2);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(anon_sym_QMARK2);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(anon_sym_COLON_QMARK);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(anon_sym_COLON_QMARK);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(anon_sym_PERCENT_PERCENT);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(anon_sym_PERCENT_PERCENT);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(aux_sym__expansion_regex_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(800);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(anon_sym_SLASH_POUND);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(anon_sym_SLASH_POUND);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(anon_sym_SLASH_PERCENT);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(anon_sym_SLASH_PERCENT);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(anon_sym_COMMA_COMMA);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(anon_sym_COMMA_COMMA);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(anon_sym_CARET_CARET);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(anon_sym_CARET_CARET);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LPAREN);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LPAREN);
      if (lookahead == '(') ADVANCE(731);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      if (lookahead == '`') ADVANCE(737);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(326);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(anon_sym_DOLLAR_BQUOTE);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(anon_sym_LT_LPAREN);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(anon_sym_GT_LPAREN);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(756);
      if (lookahead == '\r') ADVANCE(750);
      if (lookahead != 0) ADVANCE(755);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(821);
      if (lookahead == '\t' ||
          (11 <= lookahead && lookahead <= '\r')) ADVANCE(820);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(820);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(sym__comment_word);
      if (lookahead == '\\') ADVANCE(819);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(821);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(484);
      if (lookahead == 'a') ADVANCE(823);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(826);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(908);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(484);
      if (lookahead == 'c') ADVANCE(622);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(826);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(908);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(484);
      if (lookahead == 's') ADVANCE(822);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(826);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(908);
      END_STATE();
    case 825:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(484);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(826);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(908);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(484);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(826);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(908);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(16);
      if (lookahead == 'a') ADVANCE(828);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(908);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(16);
      if (lookahead == 'c') ADVANCE(624);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(908);
      END_STATE();
    case 829:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(16);
      if (lookahead == 's') ADVANCE(827);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(908);
      END_STATE();
    case 830:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(16);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(908);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(16);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(908);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'a') ADVANCE(833);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'c') ADVANCE(625);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 834:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'n') ADVANCE(513);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 835:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 's') ADVANCE(832);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 836:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(768);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 837:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 838:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(653);
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '%') ADVANCE(613);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '+') ADVANCE(594);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '/') ADVANCE(608);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(571);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(580);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(333);
      if (lookahead == '^') ADVANCE(558);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(554);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(12)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          (lookahead < '[' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 839:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(656);
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(577);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(351);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == 'e') ADVANCE(835);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(141)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 840:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(657);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(335);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == 'e') ADVANCE(829);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(151)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 841:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(659);
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(577);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(163)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 842:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(660);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(336);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(164)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 843:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(662);
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(577);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(376);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(166)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 844:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(663);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(367);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == 'e') ADVANCE(829);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(167)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 845:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(665);
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(577);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(353);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(169)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 846:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(666);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(368);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(170)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 847:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(668);
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(577);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(354);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(172)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 848:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(669);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(337);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(173)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 849:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(671);
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == '<') ADVANCE(577);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(356);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 850:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(672);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(378);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(176)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 851:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(674);
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == '<') ADVANCE(569);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(377);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '|') ADVANCE(332);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(178)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 852:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(675);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(338);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == 'e') ADVANCE(829);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(179)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 853:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(677);
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '&') ADVANCE(561);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(361);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == 'i') ADVANCE(834);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(181)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 854:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(678);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(369);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(182)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 855:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(680);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(380);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(184)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 856:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(682);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(381);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == 'e') ADVANCE(829);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(186)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 857:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(684);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(339);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(188)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 858:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(686);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(370);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 859:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(688);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(340);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 860:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(690);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(382);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(194)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 861:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(692);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(379);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(196)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 862:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(694);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(383);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(198)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 863:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(696);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(341);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(200)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < ';' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 864:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(698);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(371);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(202)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < ';' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 865:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(700);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(343);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(204)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 866:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(702);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(384);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(206)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 867:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(704);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == '<') ADVANCE(570);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(373);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(332);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 868:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(706);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(561);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(312);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(355);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 869:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(708);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == '<') ADVANCE(312);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(358);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(212)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 870:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '%') ADVANCE(613);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '+') ADVANCE(594);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '/') ADVANCE(608);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == '<') ADVANCE(571);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(580);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(334);
      if (lookahead == ']') ADVANCE(639);
      if (lookahead == '^') ADVANCE(558);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(554);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < ';' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 871:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(324);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == '<') ADVANCE(572);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(350);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 872:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(342);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(230)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < ';' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 873:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '=') ADVANCE(902);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(372);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(231)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < ';' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 874:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(344);
      if (lookahead == ']') ADVANCE(639);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(232)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '[' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 875:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(345);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(233)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 876:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(385);
      if (lookahead == ']') ADVANCE(639);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(234)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '[' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 877:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(386);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(235)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 878:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '0') ADVANCE(893);
      if (lookahead == '<') ADVANCE(312);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(359);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(813);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(236)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != ';' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(908);
      END_STATE();
    case 879:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(635);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == '-') ADVANCE(598);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(584);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(375);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(247)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 880:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(635);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == ')') ADVANCE(315);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == '-') ADVANCE(598);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(584);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(347);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(248)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 881:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(635);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == '-') ADVANCE(598);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == ':') ADVANCE(720);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(584);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(249)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 882:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(635);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == '-') ADVANCE(598);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(584);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(346);
      if (lookahead == ']') ADVANCE(639);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(250)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 883:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(635);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == '-') ADVANCE(598);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(584);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(374);
      if (lookahead == ']') ADVANCE(325);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(251)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 884:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(635);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == '-') ADVANCE(598);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(584);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(349);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(252)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == '<') ADVANCE(577);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(357);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(265)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 886:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == '<') ADVANCE(577);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(360);
      if (lookahead == ']') ADVANCE(639);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(266)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 887:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == ')') ADVANCE(619);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(362);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '|') ADVANCE(553);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(267)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 888:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '"') ADVANCE(746);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead == '_') ADVANCE(898);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(269)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 889:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(633);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == '$') ADVANCE(738);
      if (lookahead == '*') ADVANCE(601);
      if (lookahead == '-') ADVANCE(596);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == '?') ADVANCE(718);
      if (lookahead == '@') ADVANCE(891);
      if (lookahead == '\\') ADVANCE(366);
      if (lookahead == '_') ADVANCE(898);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(272)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 890:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\\') ADVANCE(15);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(890);
      END_STATE();
    case 891:
      ACCEPT_TOKEN(anon_sym_AT2);
      END_STATE();
    case 892:
      ACCEPT_TOKEN(anon_sym_AT2);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 893:
      ACCEPT_TOKEN(anon_sym_0);
      if (lookahead == '#') ADVANCE(772);
      if (lookahead == '\\') ADVANCE(16);
      if (lookahead == 'x') ADVANCE(830);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (!sym_word_character_set_6(lookahead)) ADVANCE(908);
      END_STATE();
    case 894:
      ACCEPT_TOKEN(anon_sym_0);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 895:
      ACCEPT_TOKEN(anon_sym_0);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 896:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 897:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '\\') ADVANCE(16);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(831);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(908);
      END_STATE();
    case 898:
      ACCEPT_TOKEN(anon_sym__);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(837);
      END_STATE();
    case 899:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '.') ADVANCE(735);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 900:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '0') ADVANCE(761);
      if (lookahead == '\\') ADVANCE(484);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 901:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '=') ADVANCE(568);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(908);
      END_STATE();
    case 902:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '=') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(484);
      if (lookahead == '~') ADVANCE(643);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(908);
      END_STATE();
    case 903:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(484);
      if (lookahead == 'a') ADVANCE(904);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 904:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(484);
      if (lookahead == 'c') ADVANCE(623);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 905:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(484);
      if (lookahead == 'n') ADVANCE(512);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 906:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(484);
      if (lookahead == 's') ADVANCE(903);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 907:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(484);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(763);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    case 908:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(908);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 'A') ADVANCE(1);
      if (lookahead == 'E') ADVANCE(2);
      if (lookahead == 'K') ADVANCE(3);
      if (lookahead == 'L') ADVANCE(4);
      if (lookahead == 'P') ADVANCE(5);
      if (lookahead == 'Q') ADVANCE(6);
      if (lookahead == 'U') ADVANCE(7);
      if (lookahead == '\\') SKIP(8)
      if (lookahead == 'a') ADVANCE(9);
      if (lookahead == 'c') ADVANCE(10);
      if (lookahead == 'd') ADVANCE(11);
      if (lookahead == 'e') ADVANCE(12);
      if (lookahead == 'f') ADVANCE(13);
      if (lookahead == 'i') ADVANCE(14);
      if (lookahead == 'k') ADVANCE(15);
      if (lookahead == 'l') ADVANCE(16);
      if (lookahead == 'r') ADVANCE(17);
      if (lookahead == 's') ADVANCE(18);
      if (lookahead == 't') ADVANCE(19);
      if (lookahead == 'u') ADVANCE(20);
      if (lookahead == 'w') ADVANCE(21);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(22)
      END_STATE();
    case 1:
      ACCEPT_TOKEN(anon_sym_A);
      END_STATE();
    case 2:
      ACCEPT_TOKEN(anon_sym_E);
      END_STATE();
    case 3:
      ACCEPT_TOKEN(anon_sym_K);
      END_STATE();
    case 4:
      ACCEPT_TOKEN(anon_sym_L);
      END_STATE();
    case 5:
      ACCEPT_TOKEN(anon_sym_P);
      END_STATE();
    case 6:
      ACCEPT_TOKEN(anon_sym_Q);
      END_STATE();
    case 7:
      ACCEPT_TOKEN(anon_sym_U);
      END_STATE();
    case 8:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(22)
      if (lookahead == '\r') SKIP(23)
      END_STATE();
    case 9:
      ACCEPT_TOKEN(anon_sym_a);
      END_STATE();
    case 10:
      if (lookahead == 'a') ADVANCE(24);
      END_STATE();
    case 11:
      if (lookahead == 'e') ADVANCE(25);
      if (lookahead == 'o') ADVANCE(26);
      END_STATE();
    case 12:
      if (lookahead == 'l') ADVANCE(27);
      if (lookahead == 'x') ADVANCE(28);
      END_STATE();
    case 13:
      if (lookahead == 'i') ADVANCE(29);
      if (lookahead == 'o') ADVANCE(30);
      if (lookahead == 'u') ADVANCE(31);
      END_STATE();
    case 14:
      if (lookahead == 'f') ADVANCE(32);
      END_STATE();
    case 15:
      ACCEPT_TOKEN(anon_sym_k);
      END_STATE();
    case 16:
      if (lookahead == 'o') ADVANCE(33);
      END_STATE();
    case 17:
      if (lookahead == 'e') ADVANCE(34);
      END_STATE();
    case 18:
      if (lookahead == 'e') ADVANCE(35);
      END_STATE();
    case 19:
      if (lookahead == 'h') ADVANCE(36);
      if (lookahead == 'y') ADVANCE(37);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(anon_sym_u);
      if (lookahead == 'n') ADVANCE(38);
      END_STATE();
    case 21:
      if (lookahead == 'h') ADVANCE(39);
      END_STATE();
    case 22:
      if (lookahead == '\\') SKIP(8)
      if (lookahead == 'c') ADVANCE(10);
      if (lookahead == 'd') ADVANCE(11);
      if (lookahead == 'e') ADVANCE(12);
      if (lookahead == 'f') ADVANCE(13);
      if (lookahead == 'i') ADVANCE(14);
      if (lookahead == 'l') ADVANCE(16);
      if (lookahead == 'r') ADVANCE(17);
      if (lookahead == 's') ADVANCE(18);
      if (lookahead == 't') ADVANCE(19);
      if (lookahead == 'u') ADVANCE(40);
      if (lookahead == 'w') ADVANCE(21);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(22)
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(22)
      END_STATE();
    case 24:
      if (lookahead == 's') ADVANCE(41);
      END_STATE();
    case 25:
      if (lookahead == 'c') ADVANCE(42);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'n') ADVANCE(43);
      END_STATE();
    case 27:
      if (lookahead == 'i') ADVANCE(44);
      if (lookahead == 's') ADVANCE(45);
      END_STATE();
    case 28:
      if (lookahead == 'p') ADVANCE(46);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(anon_sym_fi);
      END_STATE();
    case 30:
      if (lookahead == 'r') ADVANCE(47);
      END_STATE();
    case 31:
      if (lookahead == 'n') ADVANCE(48);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 33:
      if (lookahead == 'c') ADVANCE(49);
      END_STATE();
    case 34:
      if (lookahead == 'a') ADVANCE(50);
      END_STATE();
    case 35:
      if (lookahead == 'l') ADVANCE(51);
      END_STATE();
    case 36:
      if (lookahead == 'e') ADVANCE(52);
      END_STATE();
    case 37:
      if (lookahead == 'p') ADVANCE(53);
      END_STATE();
    case 38:
      if (lookahead == 's') ADVANCE(54);
      if (lookahead == 't') ADVANCE(55);
      END_STATE();
    case 39:
      if (lookahead == 'i') ADVANCE(56);
      END_STATE();
    case 40:
      if (lookahead == 'n') ADVANCE(38);
      END_STATE();
    case 41:
      if (lookahead == 'e') ADVANCE(57);
      END_STATE();
    case 42:
      if (lookahead == 'l') ADVANCE(58);
      END_STATE();
    case 43:
      if (lookahead == 'e') ADVANCE(59);
      END_STATE();
    case 44:
      if (lookahead == 'f') ADVANCE(60);
      END_STATE();
    case 45:
      if (lookahead == 'e') ADVANCE(61);
      END_STATE();
    case 46:
      if (lookahead == 'o') ADVANCE(62);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 48:
      if (lookahead == 'c') ADVANCE(63);
      END_STATE();
    case 49:
      if (lookahead == 'a') ADVANCE(64);
      END_STATE();
    case 50:
      if (lookahead == 'd') ADVANCE(65);
      END_STATE();
    case 51:
      if (lookahead == 'e') ADVANCE(66);
      END_STATE();
    case 52:
      if (lookahead == 'n') ADVANCE(67);
      END_STATE();
    case 53:
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 54:
      if (lookahead == 'e') ADVANCE(69);
      END_STATE();
    case 55:
      if (lookahead == 'i') ADVANCE(70);
      END_STATE();
    case 56:
      if (lookahead == 'l') ADVANCE(71);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 58:
      if (lookahead == 'a') ADVANCE(72);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_done);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 62:
      if (lookahead == 'r') ADVANCE(73);
      END_STATE();
    case 63:
      if (lookahead == 't') ADVANCE(74);
      END_STATE();
    case 64:
      if (lookahead == 'l') ADVANCE(75);
      END_STATE();
    case 65:
      if (lookahead == 'o') ADVANCE(76);
      END_STATE();
    case 66:
      if (lookahead == 'c') ADVANCE(77);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 68:
      if (lookahead == 's') ADVANCE(78);
      END_STATE();
    case 69:
      if (lookahead == 't') ADVANCE(79);
      END_STATE();
    case 70:
      if (lookahead == 'l') ADVANCE(80);
      END_STATE();
    case 71:
      if (lookahead == 'e') ADVANCE(81);
      END_STATE();
    case 72:
      if (lookahead == 'r') ADVANCE(82);
      END_STATE();
    case 73:
      if (lookahead == 't') ADVANCE(83);
      END_STATE();
    case 74:
      if (lookahead == 'i') ADVANCE(84);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_local);
      END_STATE();
    case 76:
      if (lookahead == 'n') ADVANCE(85);
      END_STATE();
    case 77:
      if (lookahead == 't') ADVANCE(86);
      END_STATE();
    case 78:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_unset);
      if (lookahead == 'e') ADVANCE(88);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_until);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 82:
      if (lookahead == 'e') ADVANCE(89);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 84:
      if (lookahead == 'o') ADVANCE(90);
      END_STATE();
    case 85:
      if (lookahead == 'l') ADVANCE(91);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_select);
      END_STATE();
    case 87:
      if (lookahead == 't') ADVANCE(92);
      END_STATE();
    case 88:
      if (lookahead == 'n') ADVANCE(93);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_declare);
      END_STATE();
    case 90:
      if (lookahead == 'n') ADVANCE(94);
      END_STATE();
    case 91:
      if (lookahead == 'y') ADVANCE(95);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_typeset);
      END_STATE();
    case 93:
      if (lookahead == 'v') ADVANCE(96);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_unsetenv);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 506, .external_lex_state = 2},
  [2] = {.lex_state = 238, .external_lex_state = 2},
  [3] = {.lex_state = 238, .external_lex_state = 2},
  [4] = {.lex_state = 239, .external_lex_state = 3},
  [5] = {.lex_state = 239, .external_lex_state = 3},
  [6] = {.lex_state = 239, .external_lex_state = 3},
  [7] = {.lex_state = 6, .external_lex_state = 4},
  [8] = {.lex_state = 223, .external_lex_state = 5},
  [9] = {.lex_state = 506, .external_lex_state = 2},
  [10] = {.lex_state = 506, .external_lex_state = 2},
  [11] = {.lex_state = 506, .external_lex_state = 2},
  [12] = {.lex_state = 506, .external_lex_state = 2},
  [13] = {.lex_state = 506, .external_lex_state = 2},
  [14] = {.lex_state = 506, .external_lex_state = 2},
  [15] = {.lex_state = 241, .external_lex_state = 2},
  [16] = {.lex_state = 241, .external_lex_state = 2},
  [17] = {.lex_state = 241, .external_lex_state = 2},
  [18] = {.lex_state = 241, .external_lex_state = 2},
  [19] = {.lex_state = 241, .external_lex_state = 2},
  [20] = {.lex_state = 241, .external_lex_state = 2},
  [21] = {.lex_state = 241, .external_lex_state = 2},
  [22] = {.lex_state = 241, .external_lex_state = 2},
  [23] = {.lex_state = 506, .external_lex_state = 2},
  [24] = {.lex_state = 241, .external_lex_state = 2},
  [25] = {.lex_state = 241, .external_lex_state = 2},
  [26] = {.lex_state = 241, .external_lex_state = 2},
  [27] = {.lex_state = 241, .external_lex_state = 2},
  [28] = {.lex_state = 506, .external_lex_state = 2},
  [29] = {.lex_state = 506, .external_lex_state = 2},
  [30] = {.lex_state = 506, .external_lex_state = 2},
  [31] = {.lex_state = 506, .external_lex_state = 2},
  [32] = {.lex_state = 506, .external_lex_state = 2},
  [33] = {.lex_state = 506, .external_lex_state = 2},
  [34] = {.lex_state = 506, .external_lex_state = 2},
  [35] = {.lex_state = 506, .external_lex_state = 2},
  [36] = {.lex_state = 506, .external_lex_state = 2},
  [37] = {.lex_state = 506, .external_lex_state = 2},
  [38] = {.lex_state = 506, .external_lex_state = 2},
  [39] = {.lex_state = 506, .external_lex_state = 2},
  [40] = {.lex_state = 506, .external_lex_state = 2},
  [41] = {.lex_state = 506, .external_lex_state = 2},
  [42] = {.lex_state = 506, .external_lex_state = 2},
  [43] = {.lex_state = 506, .external_lex_state = 2},
  [44] = {.lex_state = 506, .external_lex_state = 2},
  [45] = {.lex_state = 506, .external_lex_state = 2},
  [46] = {.lex_state = 506, .external_lex_state = 2},
  [47] = {.lex_state = 506, .external_lex_state = 2},
  [48] = {.lex_state = 506, .external_lex_state = 2},
  [49] = {.lex_state = 506, .external_lex_state = 2},
  [50] = {.lex_state = 506, .external_lex_state = 2},
  [51] = {.lex_state = 506, .external_lex_state = 2},
  [52] = {.lex_state = 506, .external_lex_state = 2},
  [53] = {.lex_state = 506, .external_lex_state = 2},
  [54] = {.lex_state = 506, .external_lex_state = 2},
  [55] = {.lex_state = 506, .external_lex_state = 2},
  [56] = {.lex_state = 506, .external_lex_state = 2},
  [57] = {.lex_state = 506, .external_lex_state = 2},
  [58] = {.lex_state = 506, .external_lex_state = 2},
  [59] = {.lex_state = 506, .external_lex_state = 2},
  [60] = {.lex_state = 506, .external_lex_state = 2},
  [61] = {.lex_state = 506, .external_lex_state = 2},
  [62] = {.lex_state = 242, .external_lex_state = 2},
  [63] = {.lex_state = 506, .external_lex_state = 2},
  [64] = {.lex_state = 506, .external_lex_state = 2},
  [65] = {.lex_state = 506, .external_lex_state = 2},
  [66] = {.lex_state = 506, .external_lex_state = 2},
  [67] = {.lex_state = 506, .external_lex_state = 2},
  [68] = {.lex_state = 506, .external_lex_state = 2},
  [69] = {.lex_state = 506, .external_lex_state = 2},
  [70] = {.lex_state = 506, .external_lex_state = 2},
  [71] = {.lex_state = 506, .external_lex_state = 2},
  [72] = {.lex_state = 506, .external_lex_state = 2},
  [73] = {.lex_state = 506, .external_lex_state = 2},
  [74] = {.lex_state = 506, .external_lex_state = 2},
  [75] = {.lex_state = 506, .external_lex_state = 2},
  [76] = {.lex_state = 242, .external_lex_state = 2},
  [77] = {.lex_state = 506, .external_lex_state = 2},
  [78] = {.lex_state = 506, .external_lex_state = 2},
  [79] = {.lex_state = 506, .external_lex_state = 2},
  [80] = {.lex_state = 506, .external_lex_state = 2},
  [81] = {.lex_state = 506, .external_lex_state = 2},
  [82] = {.lex_state = 506, .external_lex_state = 2},
  [83] = {.lex_state = 506, .external_lex_state = 2},
  [84] = {.lex_state = 506, .external_lex_state = 2},
  [85] = {.lex_state = 506, .external_lex_state = 2},
  [86] = {.lex_state = 506, .external_lex_state = 2},
  [87] = {.lex_state = 506, .external_lex_state = 2},
  [88] = {.lex_state = 506, .external_lex_state = 2},
  [89] = {.lex_state = 506, .external_lex_state = 2},
  [90] = {.lex_state = 506, .external_lex_state = 2},
  [91] = {.lex_state = 506, .external_lex_state = 2},
  [92] = {.lex_state = 506, .external_lex_state = 2},
  [93] = {.lex_state = 506, .external_lex_state = 2},
  [94] = {.lex_state = 506, .external_lex_state = 2},
  [95] = {.lex_state = 506, .external_lex_state = 2},
  [96] = {.lex_state = 506, .external_lex_state = 2},
  [97] = {.lex_state = 506, .external_lex_state = 2},
  [98] = {.lex_state = 506, .external_lex_state = 2},
  [99] = {.lex_state = 242, .external_lex_state = 2},
  [100] = {.lex_state = 506, .external_lex_state = 2},
  [101] = {.lex_state = 506, .external_lex_state = 2},
  [102] = {.lex_state = 506, .external_lex_state = 2},
  [103] = {.lex_state = 506, .external_lex_state = 2},
  [104] = {.lex_state = 506, .external_lex_state = 2},
  [105] = {.lex_state = 506, .external_lex_state = 2},
  [106] = {.lex_state = 242, .external_lex_state = 2},
  [107] = {.lex_state = 506, .external_lex_state = 2},
  [108] = {.lex_state = 506, .external_lex_state = 2},
  [109] = {.lex_state = 506, .external_lex_state = 2},
  [110] = {.lex_state = 506, .external_lex_state = 2},
  [111] = {.lex_state = 506, .external_lex_state = 2},
  [112] = {.lex_state = 506, .external_lex_state = 2},
  [113] = {.lex_state = 506, .external_lex_state = 2},
  [114] = {.lex_state = 506, .external_lex_state = 2},
  [115] = {.lex_state = 506, .external_lex_state = 2},
  [116] = {.lex_state = 506, .external_lex_state = 2},
  [117] = {.lex_state = 506, .external_lex_state = 2},
  [118] = {.lex_state = 506, .external_lex_state = 2},
  [119] = {.lex_state = 506, .external_lex_state = 2},
  [120] = {.lex_state = 506, .external_lex_state = 2},
  [121] = {.lex_state = 506, .external_lex_state = 2},
  [122] = {.lex_state = 506, .external_lex_state = 2},
  [123] = {.lex_state = 242, .external_lex_state = 2},
  [124] = {.lex_state = 506, .external_lex_state = 2},
  [125] = {.lex_state = 506, .external_lex_state = 2},
  [126] = {.lex_state = 506, .external_lex_state = 2},
  [127] = {.lex_state = 242, .external_lex_state = 2},
  [128] = {.lex_state = 506, .external_lex_state = 2},
  [129] = {.lex_state = 506, .external_lex_state = 2},
  [130] = {.lex_state = 506, .external_lex_state = 2},
  [131] = {.lex_state = 506, .external_lex_state = 2},
  [132] = {.lex_state = 506, .external_lex_state = 2},
  [133] = {.lex_state = 506, .external_lex_state = 2},
  [134] = {.lex_state = 506, .external_lex_state = 2},
  [135] = {.lex_state = 506, .external_lex_state = 2},
  [136] = {.lex_state = 506, .external_lex_state = 2},
  [137] = {.lex_state = 506, .external_lex_state = 2},
  [138] = {.lex_state = 506, .external_lex_state = 2},
  [139] = {.lex_state = 506, .external_lex_state = 2},
  [140] = {.lex_state = 506, .external_lex_state = 2},
  [141] = {.lex_state = 506, .external_lex_state = 2},
  [142] = {.lex_state = 506, .external_lex_state = 2},
  [143] = {.lex_state = 506, .external_lex_state = 2},
  [144] = {.lex_state = 506, .external_lex_state = 2},
  [145] = {.lex_state = 506, .external_lex_state = 2},
  [146] = {.lex_state = 506, .external_lex_state = 2},
  [147] = {.lex_state = 506, .external_lex_state = 2},
  [148] = {.lex_state = 506, .external_lex_state = 2},
  [149] = {.lex_state = 506, .external_lex_state = 2},
  [150] = {.lex_state = 506, .external_lex_state = 2},
  [151] = {.lex_state = 506, .external_lex_state = 2},
  [152] = {.lex_state = 506, .external_lex_state = 2},
  [153] = {.lex_state = 506, .external_lex_state = 2},
  [154] = {.lex_state = 506, .external_lex_state = 2},
  [155] = {.lex_state = 506, .external_lex_state = 2},
  [156] = {.lex_state = 506, .external_lex_state = 2},
  [157] = {.lex_state = 506, .external_lex_state = 2},
  [158] = {.lex_state = 506, .external_lex_state = 2},
  [159] = {.lex_state = 506, .external_lex_state = 2},
  [160] = {.lex_state = 506, .external_lex_state = 2},
  [161] = {.lex_state = 506, .external_lex_state = 2},
  [162] = {.lex_state = 506, .external_lex_state = 2},
  [163] = {.lex_state = 506, .external_lex_state = 2},
  [164] = {.lex_state = 506, .external_lex_state = 2},
  [165] = {.lex_state = 506, .external_lex_state = 2},
  [166] = {.lex_state = 506, .external_lex_state = 2},
  [167] = {.lex_state = 506, .external_lex_state = 2},
  [168] = {.lex_state = 506, .external_lex_state = 2},
  [169] = {.lex_state = 506, .external_lex_state = 2},
  [170] = {.lex_state = 506, .external_lex_state = 2},
  [171] = {.lex_state = 506, .external_lex_state = 2},
  [172] = {.lex_state = 506, .external_lex_state = 2},
  [173] = {.lex_state = 506, .external_lex_state = 2},
  [174] = {.lex_state = 506, .external_lex_state = 2},
  [175] = {.lex_state = 506, .external_lex_state = 2},
  [176] = {.lex_state = 506, .external_lex_state = 2},
  [177] = {.lex_state = 506, .external_lex_state = 2},
  [178] = {.lex_state = 506, .external_lex_state = 2},
  [179] = {.lex_state = 506, .external_lex_state = 2},
  [180] = {.lex_state = 506, .external_lex_state = 2},
  [181] = {.lex_state = 506, .external_lex_state = 2},
  [182] = {.lex_state = 506, .external_lex_state = 2},
  [183] = {.lex_state = 506, .external_lex_state = 2},
  [184] = {.lex_state = 506, .external_lex_state = 2},
  [185] = {.lex_state = 506, .external_lex_state = 2},
  [186] = {.lex_state = 506, .external_lex_state = 2},
  [187] = {.lex_state = 506, .external_lex_state = 2},
  [188] = {.lex_state = 506, .external_lex_state = 2},
  [189] = {.lex_state = 506, .external_lex_state = 2},
  [190] = {.lex_state = 506, .external_lex_state = 2},
  [191] = {.lex_state = 506, .external_lex_state = 2},
  [192] = {.lex_state = 506, .external_lex_state = 2},
  [193] = {.lex_state = 506, .external_lex_state = 2},
  [194] = {.lex_state = 506, .external_lex_state = 2},
  [195] = {.lex_state = 506, .external_lex_state = 2},
  [196] = {.lex_state = 506, .external_lex_state = 2},
  [197] = {.lex_state = 506, .external_lex_state = 2},
  [198] = {.lex_state = 506, .external_lex_state = 2},
  [199] = {.lex_state = 506, .external_lex_state = 2},
  [200] = {.lex_state = 506, .external_lex_state = 2},
  [201] = {.lex_state = 506, .external_lex_state = 2},
  [202] = {.lex_state = 506, .external_lex_state = 2},
  [203] = {.lex_state = 506, .external_lex_state = 2},
  [204] = {.lex_state = 506, .external_lex_state = 2},
  [205] = {.lex_state = 506, .external_lex_state = 2},
  [206] = {.lex_state = 506, .external_lex_state = 2},
  [207] = {.lex_state = 506, .external_lex_state = 2},
  [208] = {.lex_state = 506, .external_lex_state = 2},
  [209] = {.lex_state = 506, .external_lex_state = 2},
  [210] = {.lex_state = 506, .external_lex_state = 2},
  [211] = {.lex_state = 506, .external_lex_state = 2},
  [212] = {.lex_state = 506, .external_lex_state = 2},
  [213] = {.lex_state = 506, .external_lex_state = 2},
  [214] = {.lex_state = 506, .external_lex_state = 2},
  [215] = {.lex_state = 506, .external_lex_state = 2},
  [216] = {.lex_state = 506, .external_lex_state = 2},
  [217] = {.lex_state = 506, .external_lex_state = 2},
  [218] = {.lex_state = 506, .external_lex_state = 2},
  [219] = {.lex_state = 506, .external_lex_state = 2},
  [220] = {.lex_state = 506, .external_lex_state = 2},
  [221] = {.lex_state = 506, .external_lex_state = 2},
  [222] = {.lex_state = 506, .external_lex_state = 2},
  [223] = {.lex_state = 506, .external_lex_state = 2},
  [224] = {.lex_state = 506, .external_lex_state = 2},
  [225] = {.lex_state = 506, .external_lex_state = 2},
  [226] = {.lex_state = 506, .external_lex_state = 2},
  [227] = {.lex_state = 506, .external_lex_state = 2},
  [228] = {.lex_state = 506, .external_lex_state = 2},
  [229] = {.lex_state = 506, .external_lex_state = 2},
  [230] = {.lex_state = 506, .external_lex_state = 2},
  [231] = {.lex_state = 506, .external_lex_state = 2},
  [232] = {.lex_state = 506, .external_lex_state = 2},
  [233] = {.lex_state = 506, .external_lex_state = 2},
  [234] = {.lex_state = 506, .external_lex_state = 2},
  [235] = {.lex_state = 506, .external_lex_state = 2},
  [236] = {.lex_state = 506, .external_lex_state = 2},
  [237] = {.lex_state = 506, .external_lex_state = 2},
  [238] = {.lex_state = 506, .external_lex_state = 2},
  [239] = {.lex_state = 506, .external_lex_state = 2},
  [240] = {.lex_state = 506, .external_lex_state = 2},
  [241] = {.lex_state = 506, .external_lex_state = 2},
  [242] = {.lex_state = 506, .external_lex_state = 2},
  [243] = {.lex_state = 506, .external_lex_state = 2},
  [244] = {.lex_state = 506, .external_lex_state = 2},
  [245] = {.lex_state = 506, .external_lex_state = 2},
  [246] = {.lex_state = 506, .external_lex_state = 2},
  [247] = {.lex_state = 506, .external_lex_state = 2},
  [248] = {.lex_state = 506, .external_lex_state = 2},
  [249] = {.lex_state = 506, .external_lex_state = 2},
  [250] = {.lex_state = 506, .external_lex_state = 2},
  [251] = {.lex_state = 506, .external_lex_state = 2},
  [252] = {.lex_state = 506, .external_lex_state = 2},
  [253] = {.lex_state = 506, .external_lex_state = 2},
  [254] = {.lex_state = 506, .external_lex_state = 2},
  [255] = {.lex_state = 506, .external_lex_state = 2},
  [256] = {.lex_state = 506, .external_lex_state = 2},
  [257] = {.lex_state = 506, .external_lex_state = 2},
  [258] = {.lex_state = 506, .external_lex_state = 2},
  [259] = {.lex_state = 506, .external_lex_state = 2},
  [260] = {.lex_state = 506, .external_lex_state = 2},
  [261] = {.lex_state = 506, .external_lex_state = 2},
  [262] = {.lex_state = 506, .external_lex_state = 2},
  [263] = {.lex_state = 506, .external_lex_state = 2},
  [264] = {.lex_state = 506, .external_lex_state = 2},
  [265] = {.lex_state = 506, .external_lex_state = 2},
  [266] = {.lex_state = 242, .external_lex_state = 2},
  [267] = {.lex_state = 506, .external_lex_state = 2},
  [268] = {.lex_state = 506, .external_lex_state = 2},
  [269] = {.lex_state = 506, .external_lex_state = 2},
  [270] = {.lex_state = 506, .external_lex_state = 2},
  [271] = {.lex_state = 506, .external_lex_state = 2},
  [272] = {.lex_state = 506, .external_lex_state = 2},
  [273] = {.lex_state = 506, .external_lex_state = 2},
  [274] = {.lex_state = 506, .external_lex_state = 2},
  [275] = {.lex_state = 506, .external_lex_state = 2},
  [276] = {.lex_state = 506, .external_lex_state = 2},
  [277] = {.lex_state = 506, .external_lex_state = 2},
  [278] = {.lex_state = 506, .external_lex_state = 2},
  [279] = {.lex_state = 506, .external_lex_state = 2},
  [280] = {.lex_state = 506, .external_lex_state = 2},
  [281] = {.lex_state = 506, .external_lex_state = 2},
  [282] = {.lex_state = 506, .external_lex_state = 2},
  [283] = {.lex_state = 506, .external_lex_state = 2},
  [284] = {.lex_state = 506, .external_lex_state = 2},
  [285] = {.lex_state = 506, .external_lex_state = 2},
  [286] = {.lex_state = 506, .external_lex_state = 2},
  [287] = {.lex_state = 506, .external_lex_state = 2},
  [288] = {.lex_state = 506, .external_lex_state = 2},
  [289] = {.lex_state = 506, .external_lex_state = 2},
  [290] = {.lex_state = 506, .external_lex_state = 2},
  [291] = {.lex_state = 506, .external_lex_state = 2},
  [292] = {.lex_state = 506, .external_lex_state = 2},
  [293] = {.lex_state = 506, .external_lex_state = 2},
  [294] = {.lex_state = 506, .external_lex_state = 2},
  [295] = {.lex_state = 506, .external_lex_state = 2},
  [296] = {.lex_state = 506, .external_lex_state = 2},
  [297] = {.lex_state = 506, .external_lex_state = 2},
  [298] = {.lex_state = 506, .external_lex_state = 2},
  [299] = {.lex_state = 506, .external_lex_state = 2},
  [300] = {.lex_state = 506, .external_lex_state = 2},
  [301] = {.lex_state = 506, .external_lex_state = 2},
  [302] = {.lex_state = 506, .external_lex_state = 2},
  [303] = {.lex_state = 506, .external_lex_state = 2},
  [304] = {.lex_state = 506, .external_lex_state = 2},
  [305] = {.lex_state = 506, .external_lex_state = 2},
  [306] = {.lex_state = 506, .external_lex_state = 2},
  [307] = {.lex_state = 506, .external_lex_state = 2},
  [308] = {.lex_state = 506, .external_lex_state = 2},
  [309] = {.lex_state = 506, .external_lex_state = 2},
  [310] = {.lex_state = 506, .external_lex_state = 2},
  [311] = {.lex_state = 506, .external_lex_state = 2},
  [312] = {.lex_state = 506, .external_lex_state = 2},
  [313] = {.lex_state = 506, .external_lex_state = 2},
  [314] = {.lex_state = 506, .external_lex_state = 2},
  [315] = {.lex_state = 506, .external_lex_state = 2},
  [316] = {.lex_state = 506, .external_lex_state = 2},
  [317] = {.lex_state = 506, .external_lex_state = 2},
  [318] = {.lex_state = 506, .external_lex_state = 2},
  [319] = {.lex_state = 506, .external_lex_state = 2},
  [320] = {.lex_state = 506, .external_lex_state = 2},
  [321] = {.lex_state = 506, .external_lex_state = 2},
  [322] = {.lex_state = 506, .external_lex_state = 2},
  [323] = {.lex_state = 506, .external_lex_state = 2},
  [324] = {.lex_state = 506, .external_lex_state = 2},
  [325] = {.lex_state = 506, .external_lex_state = 2},
  [326] = {.lex_state = 506, .external_lex_state = 2},
  [327] = {.lex_state = 506, .external_lex_state = 2},
  [328] = {.lex_state = 506, .external_lex_state = 2},
  [329] = {.lex_state = 506, .external_lex_state = 2},
  [330] = {.lex_state = 506, .external_lex_state = 2},
  [331] = {.lex_state = 506, .external_lex_state = 2},
  [332] = {.lex_state = 506, .external_lex_state = 2},
  [333] = {.lex_state = 506, .external_lex_state = 2},
  [334] = {.lex_state = 506, .external_lex_state = 2},
  [335] = {.lex_state = 506, .external_lex_state = 2},
  [336] = {.lex_state = 506, .external_lex_state = 2},
  [337] = {.lex_state = 506, .external_lex_state = 2},
  [338] = {.lex_state = 506, .external_lex_state = 2},
  [339] = {.lex_state = 506, .external_lex_state = 2},
  [340] = {.lex_state = 506, .external_lex_state = 2},
  [341] = {.lex_state = 506, .external_lex_state = 2},
  [342] = {.lex_state = 506, .external_lex_state = 2},
  [343] = {.lex_state = 506, .external_lex_state = 2},
  [344] = {.lex_state = 506, .external_lex_state = 2},
  [345] = {.lex_state = 506, .external_lex_state = 2},
  [346] = {.lex_state = 506, .external_lex_state = 2},
  [347] = {.lex_state = 506, .external_lex_state = 2},
  [348] = {.lex_state = 506, .external_lex_state = 2},
  [349] = {.lex_state = 224, .external_lex_state = 6},
  [350] = {.lex_state = 227, .external_lex_state = 7},
  [351] = {.lex_state = 227, .external_lex_state = 7},
  [352] = {.lex_state = 227, .external_lex_state = 7},
  [353] = {.lex_state = 227, .external_lex_state = 7},
  [354] = {.lex_state = 227, .external_lex_state = 7},
  [355] = {.lex_state = 227, .external_lex_state = 7},
  [356] = {.lex_state = 227, .external_lex_state = 7},
  [357] = {.lex_state = 227, .external_lex_state = 7},
  [358] = {.lex_state = 225, .external_lex_state = 6},
  [359] = {.lex_state = 228, .external_lex_state = 6},
  [360] = {.lex_state = 226, .external_lex_state = 6},
  [361] = {.lex_state = 224, .external_lex_state = 6},
  [362] = {.lex_state = 12, .external_lex_state = 8},
  [363] = {.lex_state = 12, .external_lex_state = 8},
  [364] = {.lex_state = 222, .external_lex_state = 9},
  [365] = {.lex_state = 222, .external_lex_state = 9},
  [366] = {.lex_state = 108, .external_lex_state = 4},
  [367] = {.lex_state = 108, .external_lex_state = 4},
  [368] = {.lex_state = 108, .external_lex_state = 4},
  [369] = {.lex_state = 108, .external_lex_state = 4},
  [370] = {.lex_state = 108, .external_lex_state = 4},
  [371] = {.lex_state = 108, .external_lex_state = 4},
  [372] = {.lex_state = 108, .external_lex_state = 4},
  [373] = {.lex_state = 108, .external_lex_state = 4},
  [374] = {.lex_state = 108, .external_lex_state = 4},
  [375] = {.lex_state = 108, .external_lex_state = 4},
  [376] = {.lex_state = 108, .external_lex_state = 4},
  [377] = {.lex_state = 108, .external_lex_state = 4},
  [378] = {.lex_state = 108, .external_lex_state = 4},
  [379] = {.lex_state = 108, .external_lex_state = 4},
  [380] = {.lex_state = 108, .external_lex_state = 4},
  [381] = {.lex_state = 108, .external_lex_state = 4},
  [382] = {.lex_state = 108, .external_lex_state = 4},
  [383] = {.lex_state = 108, .external_lex_state = 4},
  [384] = {.lex_state = 108, .external_lex_state = 4},
  [385] = {.lex_state = 108, .external_lex_state = 4},
  [386] = {.lex_state = 108, .external_lex_state = 4},
  [387] = {.lex_state = 108, .external_lex_state = 4},
  [388] = {.lex_state = 108, .external_lex_state = 4},
  [389] = {.lex_state = 108, .external_lex_state = 4},
  [390] = {.lex_state = 108, .external_lex_state = 4},
  [391] = {.lex_state = 162, .external_lex_state = 8},
  [392] = {.lex_state = 162, .external_lex_state = 8},
  [393] = {.lex_state = 162, .external_lex_state = 8},
  [394] = {.lex_state = 245, .external_lex_state = 5},
  [395] = {.lex_state = 245, .external_lex_state = 5},
  [396] = {.lex_state = 162, .external_lex_state = 8},
  [397] = {.lex_state = 245, .external_lex_state = 5},
  [398] = {.lex_state = 245, .external_lex_state = 5},
  [399] = {.lex_state = 245, .external_lex_state = 5},
  [400] = {.lex_state = 245, .external_lex_state = 5},
  [401] = {.lex_state = 245, .external_lex_state = 5},
  [402] = {.lex_state = 245, .external_lex_state = 5},
  [403] = {.lex_state = 245, .external_lex_state = 5},
  [404] = {.lex_state = 245, .external_lex_state = 5},
  [405] = {.lex_state = 245, .external_lex_state = 5},
  [406] = {.lex_state = 245, .external_lex_state = 5},
  [407] = {.lex_state = 245, .external_lex_state = 5},
  [408] = {.lex_state = 245, .external_lex_state = 5},
  [409] = {.lex_state = 245, .external_lex_state = 5},
  [410] = {.lex_state = 245, .external_lex_state = 5},
  [411] = {.lex_state = 245, .external_lex_state = 5},
  [412] = {.lex_state = 245, .external_lex_state = 5},
  [413] = {.lex_state = 245, .external_lex_state = 5},
  [414] = {.lex_state = 245, .external_lex_state = 5},
  [415] = {.lex_state = 245, .external_lex_state = 5},
  [416] = {.lex_state = 245, .external_lex_state = 5},
  [417] = {.lex_state = 245, .external_lex_state = 5},
  [418] = {.lex_state = 245, .external_lex_state = 5},
  [419] = {.lex_state = 245, .external_lex_state = 5},
  [420] = {.lex_state = 246, .external_lex_state = 9},
  [421] = {.lex_state = 246, .external_lex_state = 9},
  [422] = {.lex_state = 246, .external_lex_state = 9},
  [423] = {.lex_state = 246, .external_lex_state = 9},
  [424] = {.lex_state = 240, .external_lex_state = 2},
  [425] = {.lex_state = 240, .external_lex_state = 2},
  [426] = {.lex_state = 165, .external_lex_state = 8},
  [427] = {.lex_state = 165, .external_lex_state = 8},
  [428] = {.lex_state = 168, .external_lex_state = 8},
  [429] = {.lex_state = 168, .external_lex_state = 8},
  [430] = {.lex_state = 165, .external_lex_state = 8},
  [431] = {.lex_state = 165, .external_lex_state = 8},
  [432] = {.lex_state = 494, .external_lex_state = 8},
  [433] = {.lex_state = 494, .external_lex_state = 8},
  [434] = {.lex_state = 165, .external_lex_state = 8},
  [435] = {.lex_state = 494, .external_lex_state = 8},
  [436] = {.lex_state = 494, .external_lex_state = 8},
  [437] = {.lex_state = 494, .external_lex_state = 8},
  [438] = {.lex_state = 168, .external_lex_state = 8},
  [439] = {.lex_state = 174, .external_lex_state = 10},
  [440] = {.lex_state = 168, .external_lex_state = 8},
  [441] = {.lex_state = 174, .external_lex_state = 10},
  [442] = {.lex_state = 494, .external_lex_state = 8},
  [443] = {.lex_state = 168, .external_lex_state = 8},
  [444] = {.lex_state = 494, .external_lex_state = 8},
  [445] = {.lex_state = 151, .external_lex_state = 8},
  [446] = {.lex_state = 174, .external_lex_state = 10},
  [447] = {.lex_state = 151, .external_lex_state = 8},
  [448] = {.lex_state = 494, .external_lex_state = 8},
  [449] = {.lex_state = 177, .external_lex_state = 10},
  [450] = {.lex_state = 494, .external_lex_state = 8},
  [451] = {.lex_state = 164, .external_lex_state = 8},
  [452] = {.lex_state = 494, .external_lex_state = 8},
  [453] = {.lex_state = 164, .external_lex_state = 8},
  [454] = {.lex_state = 167, .external_lex_state = 8},
  [455] = {.lex_state = 494, .external_lex_state = 8},
  [456] = {.lex_state = 494, .external_lex_state = 8},
  [457] = {.lex_state = 494, .external_lex_state = 8},
  [458] = {.lex_state = 167, .external_lex_state = 8},
  [459] = {.lex_state = 494, .external_lex_state = 8},
  [460] = {.lex_state = 177, .external_lex_state = 10},
  [461] = {.lex_state = 177, .external_lex_state = 10},
  [462] = {.lex_state = 494, .external_lex_state = 8},
  [463] = {.lex_state = 493, .external_lex_state = 8},
  [464] = {.lex_state = 180, .external_lex_state = 10},
  [465] = {.lex_state = 173, .external_lex_state = 8},
  [466] = {.lex_state = 180, .external_lex_state = 10},
  [467] = {.lex_state = 493, .external_lex_state = 8},
  [468] = {.lex_state = 495, .external_lex_state = 10},
  [469] = {.lex_state = 495, .external_lex_state = 10},
  [470] = {.lex_state = 173, .external_lex_state = 8},
  [471] = {.lex_state = 494, .external_lex_state = 8},
  [472] = {.lex_state = 495, .external_lex_state = 10},
  [473] = {.lex_state = 494, .external_lex_state = 8},
  [474] = {.lex_state = 494, .external_lex_state = 8},
  [475] = {.lex_state = 494, .external_lex_state = 8},
  [476] = {.lex_state = 180, .external_lex_state = 10},
  [477] = {.lex_state = 176, .external_lex_state = 8},
  [478] = {.lex_state = 495, .external_lex_state = 10},
  [479] = {.lex_state = 495, .external_lex_state = 10},
  [480] = {.lex_state = 176, .external_lex_state = 8},
  [481] = {.lex_state = 495, .external_lex_state = 10},
  [482] = {.lex_state = 495, .external_lex_state = 10},
  [483] = {.lex_state = 174, .external_lex_state = 11},
  [484] = {.lex_state = 168, .external_lex_state = 8},
  [485] = {.lex_state = 179, .external_lex_state = 10},
  [486] = {.lex_state = 182, .external_lex_state = 8},
  [487] = {.lex_state = 495, .external_lex_state = 10},
  [488] = {.lex_state = 493, .external_lex_state = 8},
  [489] = {.lex_state = 182, .external_lex_state = 8},
  [490] = {.lex_state = 493, .external_lex_state = 8},
  [491] = {.lex_state = 506, .external_lex_state = 2},
  [492] = {.lex_state = 168, .external_lex_state = 8},
  [493] = {.lex_state = 185, .external_lex_state = 10},
  [494] = {.lex_state = 495, .external_lex_state = 10},
  [495] = {.lex_state = 179, .external_lex_state = 10},
  [496] = {.lex_state = 495, .external_lex_state = 10},
  [497] = {.lex_state = 185, .external_lex_state = 10},
  [498] = {.lex_state = 174, .external_lex_state = 11},
  [499] = {.lex_state = 185, .external_lex_state = 10},
  [500] = {.lex_state = 495, .external_lex_state = 10},
  [501] = {.lex_state = 496, .external_lex_state = 8},
  [502] = {.lex_state = 496, .external_lex_state = 8},
  [503] = {.lex_state = 180, .external_lex_state = 10},
  [504] = {.lex_state = 180, .external_lex_state = 10},
  [505] = {.lex_state = 174, .external_lex_state = 11},
  [506] = {.lex_state = 497, .external_lex_state = 10},
  [507] = {.lex_state = 276, .external_lex_state = 2},
  [508] = {.lex_state = 186, .external_lex_state = 10},
  [509] = {.lex_state = 177, .external_lex_state = 11},
  [510] = {.lex_state = 186, .external_lex_state = 10},
  [511] = {.lex_state = 276, .external_lex_state = 2},
  [512] = {.lex_state = 276, .external_lex_state = 2},
  [513] = {.lex_state = 276, .external_lex_state = 2},
  [514] = {.lex_state = 188, .external_lex_state = 10},
  [515] = {.lex_state = 188, .external_lex_state = 10},
  [516] = {.lex_state = 241, .external_lex_state = 2},
  [517] = {.lex_state = 189, .external_lex_state = 11},
  [518] = {.lex_state = 189, .external_lex_state = 11},
  [519] = {.lex_state = 496, .external_lex_state = 8},
  [520] = {.lex_state = 496, .external_lex_state = 8},
  [521] = {.lex_state = 497, .external_lex_state = 10},
  [522] = {.lex_state = 185, .external_lex_state = 10},
  [523] = {.lex_state = 241, .external_lex_state = 2},
  [524] = {.lex_state = 185, .external_lex_state = 10},
  [525] = {.lex_state = 276, .external_lex_state = 2},
  [526] = {.lex_state = 280, .external_lex_state = 12},
  [527] = {.lex_state = 276, .external_lex_state = 2},
  [528] = {.lex_state = 497, .external_lex_state = 10},
  [529] = {.lex_state = 506, .external_lex_state = 2},
  [530] = {.lex_state = 177, .external_lex_state = 11},
  [531] = {.lex_state = 276, .external_lex_state = 2},
  [532] = {.lex_state = 280, .external_lex_state = 12},
  [533] = {.lex_state = 189, .external_lex_state = 11},
  [534] = {.lex_state = 497, .external_lex_state = 10},
  [535] = {.lex_state = 177, .external_lex_state = 11},
  [536] = {.lex_state = 506, .external_lex_state = 2},
  [537] = {.lex_state = 497, .external_lex_state = 10},
  [538] = {.lex_state = 276, .external_lex_state = 2},
  [539] = {.lex_state = 497, .external_lex_state = 10},
  [540] = {.lex_state = 168, .external_lex_state = 8},
  [541] = {.lex_state = 244, .external_lex_state = 13},
  [542] = {.lex_state = 191, .external_lex_state = 11},
  [543] = {.lex_state = 498, .external_lex_state = 10},
  [544] = {.lex_state = 244, .external_lex_state = 13},
  [545] = {.lex_state = 191, .external_lex_state = 11},
  [546] = {.lex_state = 495, .external_lex_state = 11},
  [547] = {.lex_state = 168, .external_lex_state = 8},
  [548] = {.lex_state = 192, .external_lex_state = 10},
  [549] = {.lex_state = 497, .external_lex_state = 10},
  [550] = {.lex_state = 495, .external_lex_state = 11},
  [551] = {.lex_state = 497, .external_lex_state = 10},
  [552] = {.lex_state = 497, .external_lex_state = 10},
  [553] = {.lex_state = 191, .external_lex_state = 11},
  [554] = {.lex_state = 497, .external_lex_state = 10},
  [555] = {.lex_state = 495, .external_lex_state = 11},
  [556] = {.lex_state = 168, .external_lex_state = 8},
  [557] = {.lex_state = 495, .external_lex_state = 11},
  [558] = {.lex_state = 498, .external_lex_state = 10},
  [559] = {.lex_state = 244, .external_lex_state = 13},
  [560] = {.lex_state = 495, .external_lex_state = 11},
  [561] = {.lex_state = 244, .external_lex_state = 13},
  [562] = {.lex_state = 194, .external_lex_state = 10},
  [563] = {.lex_state = 194, .external_lex_state = 10},
  [564] = {.lex_state = 189, .external_lex_state = 11},
  [565] = {.lex_state = 497, .external_lex_state = 10},
  [566] = {.lex_state = 189, .external_lex_state = 11},
  [567] = {.lex_state = 186, .external_lex_state = 11},
  [568] = {.lex_state = 186, .external_lex_state = 11},
  [569] = {.lex_state = 497, .external_lex_state = 10},
  [570] = {.lex_state = 495, .external_lex_state = 11},
  [571] = {.lex_state = 244, .external_lex_state = 13},
  [572] = {.lex_state = 186, .external_lex_state = 11},
  [573] = {.lex_state = 244, .external_lex_state = 13},
  [574] = {.lex_state = 186, .external_lex_state = 11},
  [575] = {.lex_state = 497, .external_lex_state = 10},
  [576] = {.lex_state = 192, .external_lex_state = 10},
  [577] = {.lex_state = 244, .external_lex_state = 13},
  [578] = {.lex_state = 500, .external_lex_state = 10},
  [579] = {.lex_state = 280, .external_lex_state = 12},
  [580] = {.lex_state = 499, .external_lex_state = 11},
  [581] = {.lex_state = 499, .external_lex_state = 11},
  [582] = {.lex_state = 495, .external_lex_state = 11},
  [583] = {.lex_state = 499, .external_lex_state = 11},
  [584] = {.lex_state = 495, .external_lex_state = 11},
  [585] = {.lex_state = 280, .external_lex_state = 12},
  [586] = {.lex_state = 500, .external_lex_state = 10},
  [587] = {.lex_state = 177, .external_lex_state = 10},
  [588] = {.lex_state = 244, .external_lex_state = 13},
  [589] = {.lex_state = 244, .external_lex_state = 13},
  [590] = {.lex_state = 244, .external_lex_state = 13},
  [591] = {.lex_state = 495, .external_lex_state = 11},
  [592] = {.lex_state = 244, .external_lex_state = 13},
  [593] = {.lex_state = 497, .external_lex_state = 10},
  [594] = {.lex_state = 495, .external_lex_state = 11},
  [595] = {.lex_state = 499, .external_lex_state = 11},
  [596] = {.lex_state = 177, .external_lex_state = 10},
  [597] = {.lex_state = 497, .external_lex_state = 10},
  [598] = {.lex_state = 244, .external_lex_state = 13},
  [599] = {.lex_state = 499, .external_lex_state = 11},
  [600] = {.lex_state = 177, .external_lex_state = 10},
  [601] = {.lex_state = 198, .external_lex_state = 10},
  [602] = {.lex_state = 191, .external_lex_state = 11},
  [603] = {.lex_state = 198, .external_lex_state = 10},
  [604] = {.lex_state = 191, .external_lex_state = 11},
  [605] = {.lex_state = 495, .external_lex_state = 11},
  [606] = {.lex_state = 244, .external_lex_state = 13},
  [607] = {.lex_state = 244, .external_lex_state = 13},
  [608] = {.lex_state = 280, .external_lex_state = 12},
  [609] = {.lex_state = 498, .external_lex_state = 10},
  [610] = {.lex_state = 498, .external_lex_state = 10},
  [611] = {.lex_state = 194, .external_lex_state = 11},
  [612] = {.lex_state = 194, .external_lex_state = 11},
  [613] = {.lex_state = 244, .external_lex_state = 13},
  [614] = {.lex_state = 200, .external_lex_state = 8},
  [615] = {.lex_state = 200, .external_lex_state = 8},
  [616] = {.lex_state = 499, .external_lex_state = 11},
  [617] = {.lex_state = 194, .external_lex_state = 11},
  [618] = {.lex_state = 194, .external_lex_state = 11},
  [619] = {.lex_state = 499, .external_lex_state = 11},
  [620] = {.lex_state = 499, .external_lex_state = 11},
  [621] = {.lex_state = 499, .external_lex_state = 11},
  [622] = {.lex_state = 499, .external_lex_state = 11},
  [623] = {.lex_state = 506, .external_lex_state = 2},
  [624] = {.lex_state = 289, .external_lex_state = 14},
  [625] = {.lex_state = 230, .external_lex_state = 12},
  [626] = {.lex_state = 499, .external_lex_state = 11},
  [627] = {.lex_state = 289, .external_lex_state = 14},
  [628] = {.lex_state = 230, .external_lex_state = 12},
  [629] = {.lex_state = 506, .external_lex_state = 2},
  [630] = {.lex_state = 500, .external_lex_state = 11},
  [631] = {.lex_state = 242, .external_lex_state = 2},
  [632] = {.lex_state = 198, .external_lex_state = 11},
  [633] = {.lex_state = 198, .external_lex_state = 11},
  [634] = {.lex_state = 500, .external_lex_state = 11},
  [635] = {.lex_state = 500, .external_lex_state = 10},
  [636] = {.lex_state = 500, .external_lex_state = 11},
  [637] = {.lex_state = 499, .external_lex_state = 11},
  [638] = {.lex_state = 500, .external_lex_state = 10},
  [639] = {.lex_state = 500, .external_lex_state = 11},
  [640] = {.lex_state = 202, .external_lex_state = 8},
  [641] = {.lex_state = 506, .external_lex_state = 2},
  [642] = {.lex_state = 202, .external_lex_state = 8},
  [643] = {.lex_state = 499, .external_lex_state = 11},
  [644] = {.lex_state = 198, .external_lex_state = 11},
  [645] = {.lex_state = 198, .external_lex_state = 11},
  [646] = {.lex_state = 499, .external_lex_state = 11},
  [647] = {.lex_state = 499, .external_lex_state = 11},
  [648] = {.lex_state = 289, .external_lex_state = 14},
  [649] = {.lex_state = 185, .external_lex_state = 10},
  [650] = {.lex_state = 500, .external_lex_state = 11},
  [651] = {.lex_state = 283, .external_lex_state = 15},
  [652] = {.lex_state = 283, .external_lex_state = 15},
  [653] = {.lex_state = 180, .external_lex_state = 10},
  [654] = {.lex_state = 499, .external_lex_state = 11},
  [655] = {.lex_state = 499, .external_lex_state = 11},
  [656] = {.lex_state = 195, .external_lex_state = 16},
  [657] = {.lex_state = 195, .external_lex_state = 16},
  [658] = {.lex_state = 197, .external_lex_state = 4},
  [659] = {.lex_state = 283, .external_lex_state = 15},
  [660] = {.lex_state = 197, .external_lex_state = 4},
  [661] = {.lex_state = 499, .external_lex_state = 11},
  [662] = {.lex_state = 195, .external_lex_state = 16},
  [663] = {.lex_state = 180, .external_lex_state = 10},
  [664] = {.lex_state = 197, .external_lex_state = 4},
  [665] = {.lex_state = 197, .external_lex_state = 4},
  [666] = {.lex_state = 506, .external_lex_state = 2},
  [667] = {.lex_state = 197, .external_lex_state = 4},
  [668] = {.lex_state = 506, .external_lex_state = 2},
  [669] = {.lex_state = 195, .external_lex_state = 16},
  [670] = {.lex_state = 500, .external_lex_state = 11},
  [671] = {.lex_state = 231, .external_lex_state = 12},
  [672] = {.lex_state = 197, .external_lex_state = 4},
  [673] = {.lex_state = 231, .external_lex_state = 12},
  [674] = {.lex_state = 180, .external_lex_state = 10},
  [675] = {.lex_state = 180, .external_lex_state = 10},
  [676] = {.lex_state = 197, .external_lex_state = 4},
  [677] = {.lex_state = 499, .external_lex_state = 11},
  [678] = {.lex_state = 506, .external_lex_state = 2},
  [679] = {.lex_state = 185, .external_lex_state = 10},
  [680] = {.lex_state = 500, .external_lex_state = 11},
  [681] = {.lex_state = 185, .external_lex_state = 10},
  [682] = {.lex_state = 195, .external_lex_state = 16},
  [683] = {.lex_state = 195, .external_lex_state = 16},
  [684] = {.lex_state = 195, .external_lex_state = 16},
  [685] = {.lex_state = 500, .external_lex_state = 11},
  [686] = {.lex_state = 195, .external_lex_state = 16},
  [687] = {.lex_state = 197, .external_lex_state = 4},
  [688] = {.lex_state = 177, .external_lex_state = 11},
  [689] = {.lex_state = 197, .external_lex_state = 4},
  [690] = {.lex_state = 197, .external_lex_state = 4},
  [691] = {.lex_state = 197, .external_lex_state = 4},
  [692] = {.lex_state = 199, .external_lex_state = 4},
  [693] = {.lex_state = 197, .external_lex_state = 4},
  [694] = {.lex_state = 197, .external_lex_state = 4},
  [695] = {.lex_state = 199, .external_lex_state = 4},
  [696] = {.lex_state = 197, .external_lex_state = 4},
  [697] = {.lex_state = 197, .external_lex_state = 4},
  [698] = {.lex_state = 197, .external_lex_state = 4},
  [699] = {.lex_state = 197, .external_lex_state = 4},
  [700] = {.lex_state = 185, .external_lex_state = 10},
  [701] = {.lex_state = 199, .external_lex_state = 4},
  [702] = {.lex_state = 199, .external_lex_state = 4},
  [703] = {.lex_state = 204, .external_lex_state = 10},
  [704] = {.lex_state = 279, .external_lex_state = 14},
  [705] = {.lex_state = 232, .external_lex_state = 15},
  [706] = {.lex_state = 197, .external_lex_state = 4},
  [707] = {.lex_state = 199, .external_lex_state = 4},
  [708] = {.lex_state = 199, .external_lex_state = 4},
  [709] = {.lex_state = 185, .external_lex_state = 10},
  [710] = {.lex_state = 204, .external_lex_state = 10},
  [711] = {.lex_state = 197, .external_lex_state = 4},
  [712] = {.lex_state = 197, .external_lex_state = 4},
  [713] = {.lex_state = 197, .external_lex_state = 4},
  [714] = {.lex_state = 197, .external_lex_state = 4},
  [715] = {.lex_state = 197, .external_lex_state = 4},
  [716] = {.lex_state = 197, .external_lex_state = 4},
  [717] = {.lex_state = 197, .external_lex_state = 4},
  [718] = {.lex_state = 197, .external_lex_state = 4},
  [719] = {.lex_state = 177, .external_lex_state = 11},
  [720] = {.lex_state = 197, .external_lex_state = 4},
  [721] = {.lex_state = 197, .external_lex_state = 4},
  [722] = {.lex_state = 283, .external_lex_state = 15},
  [723] = {.lex_state = 197, .external_lex_state = 4},
  [724] = {.lex_state = 197, .external_lex_state = 4},
  [725] = {.lex_state = 197, .external_lex_state = 4},
  [726] = {.lex_state = 185, .external_lex_state = 10},
  [727] = {.lex_state = 279, .external_lex_state = 14},
  [728] = {.lex_state = 279, .external_lex_state = 14},
  [729] = {.lex_state = 185, .external_lex_state = 10},
  [730] = {.lex_state = 197, .external_lex_state = 4},
  [731] = {.lex_state = 197, .external_lex_state = 4},
  [732] = {.lex_state = 197, .external_lex_state = 4},
  [733] = {.lex_state = 185, .external_lex_state = 10},
  [734] = {.lex_state = 197, .external_lex_state = 4},
  [735] = {.lex_state = 197, .external_lex_state = 4},
  [736] = {.lex_state = 197, .external_lex_state = 4},
  [737] = {.lex_state = 283, .external_lex_state = 15},
  [738] = {.lex_state = 232, .external_lex_state = 15},
  [739] = {.lex_state = 185, .external_lex_state = 10},
  [740] = {.lex_state = 177, .external_lex_state = 11},
  [741] = {.lex_state = 199, .external_lex_state = 4},
  [742] = {.lex_state = 501, .external_lex_state = 4},
  [743] = {.lex_state = 501, .external_lex_state = 4},
  [744] = {.lex_state = 199, .external_lex_state = 4},
  [745] = {.lex_state = 199, .external_lex_state = 4},
  [746] = {.lex_state = 501, .external_lex_state = 4},
  [747] = {.lex_state = 199, .external_lex_state = 4},
  [748] = {.lex_state = 199, .external_lex_state = 4},
  [749] = {.lex_state = 199, .external_lex_state = 4},
  [750] = {.lex_state = 286, .external_lex_state = 17},
  [751] = {.lex_state = 199, .external_lex_state = 4},
  [752] = {.lex_state = 199, .external_lex_state = 4},
  [753] = {.lex_state = 501, .external_lex_state = 4},
  [754] = {.lex_state = 191, .external_lex_state = 11},
  [755] = {.lex_state = 286, .external_lex_state = 17},
  [756] = {.lex_state = 501, .external_lex_state = 4},
  [757] = {.lex_state = 199, .external_lex_state = 4},
  [758] = {.lex_state = 286, .external_lex_state = 17},
  [759] = {.lex_state = 501, .external_lex_state = 4},
  [760] = {.lex_state = 497, .external_lex_state = 10},
  [761] = {.lex_state = 289, .external_lex_state = 18},
  [762] = {.lex_state = 199, .external_lex_state = 4},
  [763] = {.lex_state = 277, .external_lex_state = 2},
  [764] = {.lex_state = 199, .external_lex_state = 4},
  [765] = {.lex_state = 199, .external_lex_state = 4},
  [766] = {.lex_state = 277, .external_lex_state = 2},
  [767] = {.lex_state = 199, .external_lex_state = 4},
  [768] = {.lex_state = 277, .external_lex_state = 2},
  [769] = {.lex_state = 165, .external_lex_state = 8},
  [770] = {.lex_state = 206, .external_lex_state = 10},
  [771] = {.lex_state = 277, .external_lex_state = 2},
  [772] = {.lex_state = 277, .external_lex_state = 2},
  [773] = {.lex_state = 206, .external_lex_state = 10},
  [774] = {.lex_state = 501, .external_lex_state = 4},
  [775] = {.lex_state = 289, .external_lex_state = 18},
  [776] = {.lex_state = 497, .external_lex_state = 10},
  [777] = {.lex_state = 279, .external_lex_state = 14},
  [778] = {.lex_state = 279, .external_lex_state = 14},
  [779] = {.lex_state = 501, .external_lex_state = 4},
  [780] = {.lex_state = 501, .external_lex_state = 4},
  [781] = {.lex_state = 497, .external_lex_state = 10},
  [782] = {.lex_state = 199, .external_lex_state = 4},
  [783] = {.lex_state = 501, .external_lex_state = 4},
  [784] = {.lex_state = 199, .external_lex_state = 4},
  [785] = {.lex_state = 501, .external_lex_state = 4},
  [786] = {.lex_state = 501, .external_lex_state = 4},
  [787] = {.lex_state = 199, .external_lex_state = 4},
  [788] = {.lex_state = 165, .external_lex_state = 8},
  [789] = {.lex_state = 497, .external_lex_state = 10},
  [790] = {.lex_state = 277, .external_lex_state = 2},
  [791] = {.lex_state = 289, .external_lex_state = 18},
  [792] = {.lex_state = 199, .external_lex_state = 4},
  [793] = {.lex_state = 199, .external_lex_state = 4},
  [794] = {.lex_state = 497, .external_lex_state = 10},
  [795] = {.lex_state = 199, .external_lex_state = 4},
  [796] = {.lex_state = 199, .external_lex_state = 4},
  [797] = {.lex_state = 199, .external_lex_state = 4},
  [798] = {.lex_state = 233, .external_lex_state = 14},
  [799] = {.lex_state = 497, .external_lex_state = 10},
  [800] = {.lex_state = 199, .external_lex_state = 4},
  [801] = {.lex_state = 199, .external_lex_state = 4},
  [802] = {.lex_state = 501, .external_lex_state = 4},
  [803] = {.lex_state = 199, .external_lex_state = 4},
  [804] = {.lex_state = 199, .external_lex_state = 4},
  [805] = {.lex_state = 233, .external_lex_state = 14},
  [806] = {.lex_state = 199, .external_lex_state = 4},
  [807] = {.lex_state = 277, .external_lex_state = 2},
  [808] = {.lex_state = 277, .external_lex_state = 2},
  [809] = {.lex_state = 199, .external_lex_state = 4},
  [810] = {.lex_state = 199, .external_lex_state = 4},
  [811] = {.lex_state = 199, .external_lex_state = 4},
  [812] = {.lex_state = 497, .external_lex_state = 10},
  [813] = {.lex_state = 501, .external_lex_state = 4},
  [814] = {.lex_state = 191, .external_lex_state = 11},
  [815] = {.lex_state = 199, .external_lex_state = 4},
  [816] = {.lex_state = 199, .external_lex_state = 4},
  [817] = {.lex_state = 191, .external_lex_state = 11},
  [818] = {.lex_state = 497, .external_lex_state = 10},
  [819] = {.lex_state = 250, .external_lex_state = 19},
  [820] = {.lex_state = 501, .external_lex_state = 4},
  [821] = {.lex_state = 501, .external_lex_state = 4},
  [822] = {.lex_state = 501, .external_lex_state = 4},
  [823] = {.lex_state = 234, .external_lex_state = 17},
  [824] = {.lex_state = 501, .external_lex_state = 4},
  [825] = {.lex_state = 234, .external_lex_state = 17},
  [826] = {.lex_state = 501, .external_lex_state = 4},
  [827] = {.lex_state = 501, .external_lex_state = 4},
  [828] = {.lex_state = 501, .external_lex_state = 4},
  [829] = {.lex_state = 501, .external_lex_state = 4},
  [830] = {.lex_state = 501, .external_lex_state = 4},
  [831] = {.lex_state = 286, .external_lex_state = 17},
  [832] = {.lex_state = 203, .external_lex_state = 20},
  [833] = {.lex_state = 497, .external_lex_state = 10},
  [834] = {.lex_state = 497, .external_lex_state = 10},
  [835] = {.lex_state = 203, .external_lex_state = 20},
  [836] = {.lex_state = 165, .external_lex_state = 8},
  [837] = {.lex_state = 501, .external_lex_state = 4},
  [838] = {.lex_state = 501, .external_lex_state = 4},
  [839] = {.lex_state = 165, .external_lex_state = 8},
  [840] = {.lex_state = 203, .external_lex_state = 20},
  [841] = {.lex_state = 286, .external_lex_state = 17},
  [842] = {.lex_state = 501, .external_lex_state = 4},
  [843] = {.lex_state = 497, .external_lex_state = 10},
  [844] = {.lex_state = 497, .external_lex_state = 10},
  [845] = {.lex_state = 501, .external_lex_state = 4},
  [846] = {.lex_state = 501, .external_lex_state = 4},
  [847] = {.lex_state = 501, .external_lex_state = 4},
  [848] = {.lex_state = 501, .external_lex_state = 4},
  [849] = {.lex_state = 501, .external_lex_state = 4},
  [850] = {.lex_state = 501, .external_lex_state = 4},
  [851] = {.lex_state = 203, .external_lex_state = 20},
  [852] = {.lex_state = 206, .external_lex_state = 11},
  [853] = {.lex_state = 250, .external_lex_state = 19},
  [854] = {.lex_state = 501, .external_lex_state = 4},
  [855] = {.lex_state = 203, .external_lex_state = 20},
  [856] = {.lex_state = 206, .external_lex_state = 11},
  [857] = {.lex_state = 501, .external_lex_state = 4},
  [858] = {.lex_state = 205, .external_lex_state = 20},
  [859] = {.lex_state = 501, .external_lex_state = 4},
  [860] = {.lex_state = 501, .external_lex_state = 4},
  [861] = {.lex_state = 501, .external_lex_state = 4},
  [862] = {.lex_state = 501, .external_lex_state = 4},
  [863] = {.lex_state = 287, .external_lex_state = 18},
  [864] = {.lex_state = 501, .external_lex_state = 4},
  [865] = {.lex_state = 501, .external_lex_state = 4},
  [866] = {.lex_state = 501, .external_lex_state = 4},
  [867] = {.lex_state = 205, .external_lex_state = 20},
  [868] = {.lex_state = 501, .external_lex_state = 4},
  [869] = {.lex_state = 206, .external_lex_state = 11},
  [870] = {.lex_state = 206, .external_lex_state = 11},
  [871] = {.lex_state = 501, .external_lex_state = 4},
  [872] = {.lex_state = 205, .external_lex_state = 20},
  [873] = {.lex_state = 501, .external_lex_state = 4},
  [874] = {.lex_state = 203, .external_lex_state = 20},
  [875] = {.lex_state = 165, .external_lex_state = 8},
  [876] = {.lex_state = 203, .external_lex_state = 20},
  [877] = {.lex_state = 501, .external_lex_state = 4},
  [878] = {.lex_state = 287, .external_lex_state = 18},
  [879] = {.lex_state = 203, .external_lex_state = 20},
  [880] = {.lex_state = 501, .external_lex_state = 4},
  [881] = {.lex_state = 497, .external_lex_state = 10},
  [882] = {.lex_state = 501, .external_lex_state = 4},
  [883] = {.lex_state = 203, .external_lex_state = 20},
  [884] = {.lex_state = 501, .external_lex_state = 4},
  [885] = {.lex_state = 168, .external_lex_state = 8},
  [886] = {.lex_state = 501, .external_lex_state = 4},
  [887] = {.lex_state = 501, .external_lex_state = 4},
  [888] = {.lex_state = 501, .external_lex_state = 4},
  [889] = {.lex_state = 501, .external_lex_state = 4},
  [890] = {.lex_state = 497, .external_lex_state = 10},
  [891] = {.lex_state = 501, .external_lex_state = 4},
  [892] = {.lex_state = 501, .external_lex_state = 4},
  [893] = {.lex_state = 501, .external_lex_state = 4},
  [894] = {.lex_state = 501, .external_lex_state = 4},
  [895] = {.lex_state = 497, .external_lex_state = 10},
  [896] = {.lex_state = 501, .external_lex_state = 4},
  [897] = {.lex_state = 501, .external_lex_state = 4},
  [898] = {.lex_state = 501, .external_lex_state = 4},
  [899] = {.lex_state = 287, .external_lex_state = 18},
  [900] = {.lex_state = 191, .external_lex_state = 11},
  [901] = {.lex_state = 501, .external_lex_state = 4},
  [902] = {.lex_state = 501, .external_lex_state = 4},
  [903] = {.lex_state = 501, .external_lex_state = 4},
  [904] = {.lex_state = 191, .external_lex_state = 11},
  [905] = {.lex_state = 501, .external_lex_state = 4},
  [906] = {.lex_state = 501, .external_lex_state = 4},
  [907] = {.lex_state = 501, .external_lex_state = 4},
  [908] = {.lex_state = 501, .external_lex_state = 4},
  [909] = {.lex_state = 205, .external_lex_state = 20},
  [910] = {.lex_state = 501, .external_lex_state = 4},
  [911] = {.lex_state = 205, .external_lex_state = 20},
  [912] = {.lex_state = 501, .external_lex_state = 4},
  [913] = {.lex_state = 501, .external_lex_state = 4},
  [914] = {.lex_state = 497, .external_lex_state = 10},
  [915] = {.lex_state = 501, .external_lex_state = 4},
  [916] = {.lex_state = 501, .external_lex_state = 4},
  [917] = {.lex_state = 501, .external_lex_state = 4},
  [918] = {.lex_state = 501, .external_lex_state = 4},
  [919] = {.lex_state = 497, .external_lex_state = 10},
  [920] = {.lex_state = 205, .external_lex_state = 20},
  [921] = {.lex_state = 203, .external_lex_state = 20},
  [922] = {.lex_state = 165, .external_lex_state = 8},
  [923] = {.lex_state = 168, .external_lex_state = 8},
  [924] = {.lex_state = 205, .external_lex_state = 20},
  [925] = {.lex_state = 205, .external_lex_state = 20},
  [926] = {.lex_state = 203, .external_lex_state = 20},
  [927] = {.lex_state = 501, .external_lex_state = 4},
  [928] = {.lex_state = 203, .external_lex_state = 20},
  [929] = {.lex_state = 501, .external_lex_state = 4},
  [930] = {.lex_state = 501, .external_lex_state = 4},
  [931] = {.lex_state = 235, .external_lex_state = 14},
  [932] = {.lex_state = 165, .external_lex_state = 8},
  [933] = {.lex_state = 235, .external_lex_state = 14},
  [934] = {.lex_state = 501, .external_lex_state = 4},
  [935] = {.lex_state = 203, .external_lex_state = 20},
  [936] = {.lex_state = 501, .external_lex_state = 4},
  [937] = {.lex_state = 501, .external_lex_state = 4},
  [938] = {.lex_state = 501, .external_lex_state = 4},
  [939] = {.lex_state = 165, .external_lex_state = 8},
  [940] = {.lex_state = 203, .external_lex_state = 20},
  [941] = {.lex_state = 497, .external_lex_state = 10},
  [942] = {.lex_state = 501, .external_lex_state = 4},
  [943] = {.lex_state = 205, .external_lex_state = 21},
  [944] = {.lex_state = 207, .external_lex_state = 20},
  [945] = {.lex_state = 205, .external_lex_state = 21},
  [946] = {.lex_state = 165, .external_lex_state = 8},
  [947] = {.lex_state = 251, .external_lex_state = 22},
  [948] = {.lex_state = 205, .external_lex_state = 20},
  [949] = {.lex_state = 205, .external_lex_state = 21},
  [950] = {.lex_state = 501, .external_lex_state = 4},
  [951] = {.lex_state = 235, .external_lex_state = 18},
  [952] = {.lex_state = 203, .external_lex_state = 20},
  [953] = {.lex_state = 501, .external_lex_state = 4},
  [954] = {.lex_state = 287, .external_lex_state = 18},
  [955] = {.lex_state = 501, .external_lex_state = 4},
  [956] = {.lex_state = 235, .external_lex_state = 18},
  [957] = {.lex_state = 203, .external_lex_state = 20},
  [958] = {.lex_state = 251, .external_lex_state = 22},
  [959] = {.lex_state = 203, .external_lex_state = 20},
  [960] = {.lex_state = 207, .external_lex_state = 20},
  [961] = {.lex_state = 209, .external_lex_state = 20},
  [962] = {.lex_state = 209, .external_lex_state = 20},
  [963] = {.lex_state = 203, .external_lex_state = 20},
  [964] = {.lex_state = 205, .external_lex_state = 20},
  [965] = {.lex_state = 168, .external_lex_state = 8},
  [966] = {.lex_state = 205, .external_lex_state = 20},
  [967] = {.lex_state = 168, .external_lex_state = 8},
  [968] = {.lex_state = 209, .external_lex_state = 20},
  [969] = {.lex_state = 205, .external_lex_state = 20},
  [970] = {.lex_state = 235, .external_lex_state = 18},
  [971] = {.lex_state = 209, .external_lex_state = 20},
  [972] = {.lex_state = 205, .external_lex_state = 20},
  [973] = {.lex_state = 205, .external_lex_state = 20},
  [974] = {.lex_state = 207, .external_lex_state = 20},
  [975] = {.lex_state = 235, .external_lex_state = 18},
  [976] = {.lex_state = 207, .external_lex_state = 20},
  [977] = {.lex_state = 205, .external_lex_state = 20},
  [978] = {.lex_state = 168, .external_lex_state = 8},
  [979] = {.lex_state = 203, .external_lex_state = 20},
  [980] = {.lex_state = 203, .external_lex_state = 20},
  [981] = {.lex_state = 205, .external_lex_state = 20},
  [982] = {.lex_state = 207, .external_lex_state = 20},
  [983] = {.lex_state = 203, .external_lex_state = 20},
  [984] = {.lex_state = 250, .external_lex_state = 23},
  [985] = {.lex_state = 248, .external_lex_state = 22},
  [986] = {.lex_state = 203, .external_lex_state = 20},
  [987] = {.lex_state = 203, .external_lex_state = 20},
  [988] = {.lex_state = 494, .external_lex_state = 8},
  [989] = {.lex_state = 165, .external_lex_state = 8},
  [990] = {.lex_state = 249, .external_lex_state = 22},
  [991] = {.lex_state = 250, .external_lex_state = 23},
  [992] = {.lex_state = 205, .external_lex_state = 21},
  [993] = {.lex_state = 209, .external_lex_state = 20},
  [994] = {.lex_state = 249, .external_lex_state = 22},
  [995] = {.lex_state = 209, .external_lex_state = 20},
  [996] = {.lex_state = 205, .external_lex_state = 20},
  [997] = {.lex_state = 501, .external_lex_state = 4},
  [998] = {.lex_state = 207, .external_lex_state = 20},
  [999] = {.lex_state = 209, .external_lex_state = 20},
  [1000] = {.lex_state = 501, .external_lex_state = 4},
  [1001] = {.lex_state = 209, .external_lex_state = 20},
  [1002] = {.lex_state = 209, .external_lex_state = 20},
  [1003] = {.lex_state = 203, .external_lex_state = 20},
  [1004] = {.lex_state = 203, .external_lex_state = 20},
  [1005] = {.lex_state = 501, .external_lex_state = 4},
  [1006] = {.lex_state = 205, .external_lex_state = 21},
  [1007] = {.lex_state = 205, .external_lex_state = 21},
  [1008] = {.lex_state = 207, .external_lex_state = 20},
  [1009] = {.lex_state = 209, .external_lex_state = 20},
  [1010] = {.lex_state = 501, .external_lex_state = 4},
  [1011] = {.lex_state = 168, .external_lex_state = 8},
  [1012] = {.lex_state = 247, .external_lex_state = 22},
  [1013] = {.lex_state = 168, .external_lex_state = 8},
  [1014] = {.lex_state = 205, .external_lex_state = 20},
  [1015] = {.lex_state = 501, .external_lex_state = 4},
  [1016] = {.lex_state = 205, .external_lex_state = 20},
  [1017] = {.lex_state = 165, .external_lex_state = 8},
  [1018] = {.lex_state = 203, .external_lex_state = 20},
  [1019] = {.lex_state = 207, .external_lex_state = 20},
  [1020] = {.lex_state = 205, .external_lex_state = 20},
  [1021] = {.lex_state = 205, .external_lex_state = 20},
  [1022] = {.lex_state = 205, .external_lex_state = 20},
  [1023] = {.lex_state = 203, .external_lex_state = 20},
  [1024] = {.lex_state = 203, .external_lex_state = 20},
  [1025] = {.lex_state = 168, .external_lex_state = 8},
  [1026] = {.lex_state = 165, .external_lex_state = 8},
  [1027] = {.lex_state = 205, .external_lex_state = 20},
  [1028] = {.lex_state = 209, .external_lex_state = 20},
  [1029] = {.lex_state = 203, .external_lex_state = 20},
  [1030] = {.lex_state = 247, .external_lex_state = 22},
  [1031] = {.lex_state = 494, .external_lex_state = 8},
  [1032] = {.lex_state = 205, .external_lex_state = 20},
  [1033] = {.lex_state = 494, .external_lex_state = 8},
  [1034] = {.lex_state = 205, .external_lex_state = 20},
  [1035] = {.lex_state = 253, .external_lex_state = 22},
  [1036] = {.lex_state = 205, .external_lex_state = 20},
  [1037] = {.lex_state = 209, .external_lex_state = 20},
  [1038] = {.lex_state = 203, .external_lex_state = 20},
  [1039] = {.lex_state = 248, .external_lex_state = 22},
  [1040] = {.lex_state = 501, .external_lex_state = 4},
  [1041] = {.lex_state = 494, .external_lex_state = 8},
  [1042] = {.lex_state = 209, .external_lex_state = 20},
  [1043] = {.lex_state = 501, .external_lex_state = 4},
  [1044] = {.lex_state = 287, .external_lex_state = 18},
  [1045] = {.lex_state = 205, .external_lex_state = 20},
  [1046] = {.lex_state = 203, .external_lex_state = 20},
  [1047] = {.lex_state = 203, .external_lex_state = 20},
  [1048] = {.lex_state = 165, .external_lex_state = 8},
  [1049] = {.lex_state = 203, .external_lex_state = 20},
  [1050] = {.lex_state = 209, .external_lex_state = 20},
  [1051] = {.lex_state = 501, .external_lex_state = 4},
  [1052] = {.lex_state = 211, .external_lex_state = 21},
  [1053] = {.lex_state = 207, .external_lex_state = 20},
  [1054] = {.lex_state = 207, .external_lex_state = 20},
  [1055] = {.lex_state = 502, .external_lex_state = 20},
  [1056] = {.lex_state = 503, .external_lex_state = 20},
  [1057] = {.lex_state = 207, .external_lex_state = 20},
  [1058] = {.lex_state = 207, .external_lex_state = 21},
  [1059] = {.lex_state = 205, .external_lex_state = 21},
  [1060] = {.lex_state = 205, .external_lex_state = 21},
  [1061] = {.lex_state = 503, .external_lex_state = 20},
  [1062] = {.lex_state = 209, .external_lex_state = 20},
  [1063] = {.lex_state = 209, .external_lex_state = 20},
  [1064] = {.lex_state = 207, .external_lex_state = 20},
  [1065] = {.lex_state = 207, .external_lex_state = 20},
  [1066] = {.lex_state = 180, .external_lex_state = 10},
  [1067] = {.lex_state = 209, .external_lex_state = 20},
  [1068] = {.lex_state = 502, .external_lex_state = 20},
  [1069] = {.lex_state = 209, .external_lex_state = 20},
  [1070] = {.lex_state = 180, .external_lex_state = 10},
  [1071] = {.lex_state = 205, .external_lex_state = 21},
  [1072] = {.lex_state = 209, .external_lex_state = 20},
  [1073] = {.lex_state = 503, .external_lex_state = 20},
  [1074] = {.lex_state = 168, .external_lex_state = 8},
  [1075] = {.lex_state = 207, .external_lex_state = 20},
  [1076] = {.lex_state = 205, .external_lex_state = 21},
  [1077] = {.lex_state = 503, .external_lex_state = 20},
  [1078] = {.lex_state = 503, .external_lex_state = 20},
  [1079] = {.lex_state = 205, .external_lex_state = 21},
  [1080] = {.lex_state = 209, .external_lex_state = 20},
  [1081] = {.lex_state = 207, .external_lex_state = 20},
  [1082] = {.lex_state = 207, .external_lex_state = 20},
  [1083] = {.lex_state = 168, .external_lex_state = 8},
  [1084] = {.lex_state = 207, .external_lex_state = 21},
  [1085] = {.lex_state = 205, .external_lex_state = 21},
  [1086] = {.lex_state = 503, .external_lex_state = 20},
  [1087] = {.lex_state = 503, .external_lex_state = 20},
  [1088] = {.lex_state = 207, .external_lex_state = 21},
  [1089] = {.lex_state = 207, .external_lex_state = 20},
  [1090] = {.lex_state = 205, .external_lex_state = 21},
  [1091] = {.lex_state = 503, .external_lex_state = 20},
  [1092] = {.lex_state = 502, .external_lex_state = 20},
  [1093] = {.lex_state = 503, .external_lex_state = 20},
  [1094] = {.lex_state = 494, .external_lex_state = 8},
  [1095] = {.lex_state = 207, .external_lex_state = 21},
  [1096] = {.lex_state = 205, .external_lex_state = 21},
  [1097] = {.lex_state = 494, .external_lex_state = 8},
  [1098] = {.lex_state = 205, .external_lex_state = 21},
  [1099] = {.lex_state = 180, .external_lex_state = 10},
  [1100] = {.lex_state = 209, .external_lex_state = 20},
  [1101] = {.lex_state = 503, .external_lex_state = 20},
  [1102] = {.lex_state = 503, .external_lex_state = 20},
  [1103] = {.lex_state = 209, .external_lex_state = 20},
  [1104] = {.lex_state = 503, .external_lex_state = 20},
  [1105] = {.lex_state = 168, .external_lex_state = 8},
  [1106] = {.lex_state = 503, .external_lex_state = 20},
  [1107] = {.lex_state = 503, .external_lex_state = 20},
  [1108] = {.lex_state = 207, .external_lex_state = 20},
  [1109] = {.lex_state = 207, .external_lex_state = 20},
  [1110] = {.lex_state = 209, .external_lex_state = 20},
  [1111] = {.lex_state = 503, .external_lex_state = 20},
  [1112] = {.lex_state = 503, .external_lex_state = 20},
  [1113] = {.lex_state = 209, .external_lex_state = 20},
  [1114] = {.lex_state = 252, .external_lex_state = 22},
  [1115] = {.lex_state = 503, .external_lex_state = 20},
  [1116] = {.lex_state = 209, .external_lex_state = 20},
  [1117] = {.lex_state = 174, .external_lex_state = 10},
  [1118] = {.lex_state = 502, .external_lex_state = 20},
  [1119] = {.lex_state = 174, .external_lex_state = 10},
  [1120] = {.lex_state = 503, .external_lex_state = 20},
  [1121] = {.lex_state = 205, .external_lex_state = 21},
  [1122] = {.lex_state = 503, .external_lex_state = 20},
  [1123] = {.lex_state = 205, .external_lex_state = 21},
  [1124] = {.lex_state = 205, .external_lex_state = 21},
  [1125] = {.lex_state = 503, .external_lex_state = 20},
  [1126] = {.lex_state = 205, .external_lex_state = 21},
  [1127] = {.lex_state = 205, .external_lex_state = 21},
  [1128] = {.lex_state = 502, .external_lex_state = 20},
  [1129] = {.lex_state = 503, .external_lex_state = 20},
  [1130] = {.lex_state = 168, .external_lex_state = 8},
  [1131] = {.lex_state = 168, .external_lex_state = 8},
  [1132] = {.lex_state = 211, .external_lex_state = 21},
  [1133] = {.lex_state = 494, .external_lex_state = 8},
  [1134] = {.lex_state = 205, .external_lex_state = 21},
  [1135] = {.lex_state = 211, .external_lex_state = 21},
  [1136] = {.lex_state = 180, .external_lex_state = 10},
  [1137] = {.lex_state = 503, .external_lex_state = 20},
  [1138] = {.lex_state = 180, .external_lex_state = 10},
  [1139] = {.lex_state = 494, .external_lex_state = 8},
  [1140] = {.lex_state = 207, .external_lex_state = 21},
  [1141] = {.lex_state = 207, .external_lex_state = 21},
  [1142] = {.lex_state = 211, .external_lex_state = 21},
  [1143] = {.lex_state = 502, .external_lex_state = 20},
  [1144] = {.lex_state = 211, .external_lex_state = 21},
  [1145] = {.lex_state = 494, .external_lex_state = 8},
  [1146] = {.lex_state = 209, .external_lex_state = 20},
  [1147] = {.lex_state = 174, .external_lex_state = 10},
  [1148] = {.lex_state = 494, .external_lex_state = 8},
  [1149] = {.lex_state = 205, .external_lex_state = 21},
  [1150] = {.lex_state = 502, .external_lex_state = 20},
  [1151] = {.lex_state = 502, .external_lex_state = 20},
  [1152] = {.lex_state = 502, .external_lex_state = 20},
  [1153] = {.lex_state = 209, .external_lex_state = 20},
  [1154] = {.lex_state = 494, .external_lex_state = 8},
  [1155] = {.lex_state = 502, .external_lex_state = 20},
  [1156] = {.lex_state = 494, .external_lex_state = 8},
  [1157] = {.lex_state = 494, .external_lex_state = 8},
  [1158] = {.lex_state = 180, .external_lex_state = 10},
  [1159] = {.lex_state = 209, .external_lex_state = 20},
  [1160] = {.lex_state = 502, .external_lex_state = 20},
  [1161] = {.lex_state = 503, .external_lex_state = 20},
  [1162] = {.lex_state = 503, .external_lex_state = 20},
  [1163] = {.lex_state = 207, .external_lex_state = 20},
  [1164] = {.lex_state = 209, .external_lex_state = 20},
  [1165] = {.lex_state = 207, .external_lex_state = 20},
  [1166] = {.lex_state = 209, .external_lex_state = 20},
  [1167] = {.lex_state = 494, .external_lex_state = 8},
  [1168] = {.lex_state = 502, .external_lex_state = 20},
  [1169] = {.lex_state = 494, .external_lex_state = 8},
  [1170] = {.lex_state = 503, .external_lex_state = 20},
  [1171] = {.lex_state = 207, .external_lex_state = 20},
  [1172] = {.lex_state = 502, .external_lex_state = 20},
  [1173] = {.lex_state = 502, .external_lex_state = 20},
  [1174] = {.lex_state = 503, .external_lex_state = 20},
  [1175] = {.lex_state = 503, .external_lex_state = 20},
  [1176] = {.lex_state = 180, .external_lex_state = 10},
  [1177] = {.lex_state = 502, .external_lex_state = 20},
  [1178] = {.lex_state = 252, .external_lex_state = 22},
  [1179] = {.lex_state = 209, .external_lex_state = 20},
  [1180] = {.lex_state = 209, .external_lex_state = 20},
  [1181] = {.lex_state = 205, .external_lex_state = 21},
  [1182] = {.lex_state = 503, .external_lex_state = 20},
  [1183] = {.lex_state = 209, .external_lex_state = 20},
  [1184] = {.lex_state = 207, .external_lex_state = 20},
  [1185] = {.lex_state = 502, .external_lex_state = 20},
  [1186] = {.lex_state = 255, .external_lex_state = 19},
  [1187] = {.lex_state = 211, .external_lex_state = 21},
  [1188] = {.lex_state = 207, .external_lex_state = 20},
  [1189] = {.lex_state = 207, .external_lex_state = 20},
  [1190] = {.lex_state = 207, .external_lex_state = 20},
  [1191] = {.lex_state = 207, .external_lex_state = 20},
  [1192] = {.lex_state = 205, .external_lex_state = 21},
  [1193] = {.lex_state = 494, .external_lex_state = 8},
  [1194] = {.lex_state = 205, .external_lex_state = 21},
  [1195] = {.lex_state = 211, .external_lex_state = 21},
  [1196] = {.lex_state = 502, .external_lex_state = 20},
  [1197] = {.lex_state = 502, .external_lex_state = 20},
  [1198] = {.lex_state = 503, .external_lex_state = 20},
  [1199] = {.lex_state = 502, .external_lex_state = 20},
  [1200] = {.lex_state = 502, .external_lex_state = 20},
  [1201] = {.lex_state = 207, .external_lex_state = 21},
  [1202] = {.lex_state = 207, .external_lex_state = 21},
  [1203] = {.lex_state = 207, .external_lex_state = 21},
  [1204] = {.lex_state = 502, .external_lex_state = 20},
  [1205] = {.lex_state = 177, .external_lex_state = 10},
  [1206] = {.lex_state = 199, .external_lex_state = 4},
  [1207] = {.lex_state = 199, .external_lex_state = 4},
  [1208] = {.lex_state = 503, .external_lex_state = 20},
  [1209] = {.lex_state = 502, .external_lex_state = 20},
  [1210] = {.lex_state = 207, .external_lex_state = 21},
  [1211] = {.lex_state = 494, .external_lex_state = 8},
  [1212] = {.lex_state = 503, .external_lex_state = 20},
  [1213] = {.lex_state = 207, .external_lex_state = 21},
  [1214] = {.lex_state = 502, .external_lex_state = 21},
  [1215] = {.lex_state = 207, .external_lex_state = 21},
  [1216] = {.lex_state = 207, .external_lex_state = 21},
  [1217] = {.lex_state = 207, .external_lex_state = 21},
  [1218] = {.lex_state = 502, .external_lex_state = 21},
  [1219] = {.lex_state = 502, .external_lex_state = 20},
  [1220] = {.lex_state = 174, .external_lex_state = 11},
  [1221] = {.lex_state = 199, .external_lex_state = 4},
  [1222] = {.lex_state = 494, .external_lex_state = 8},
  [1223] = {.lex_state = 502, .external_lex_state = 20},
  [1224] = {.lex_state = 502, .external_lex_state = 20},
  [1225] = {.lex_state = 502, .external_lex_state = 20},
  [1226] = {.lex_state = 502, .external_lex_state = 20},
  [1227] = {.lex_state = 502, .external_lex_state = 20},
  [1228] = {.lex_state = 502, .external_lex_state = 20},
  [1229] = {.lex_state = 502, .external_lex_state = 21},
  [1230] = {.lex_state = 494, .external_lex_state = 8},
  [1231] = {.lex_state = 211, .external_lex_state = 21},
  [1232] = {.lex_state = 211, .external_lex_state = 21},
  [1233] = {.lex_state = 211, .external_lex_state = 21},
  [1234] = {.lex_state = 494, .external_lex_state = 8},
  [1235] = {.lex_state = 503, .external_lex_state = 20},
  [1236] = {.lex_state = 502, .external_lex_state = 20},
  [1237] = {.lex_state = 502, .external_lex_state = 20},
  [1238] = {.lex_state = 502, .external_lex_state = 20},
  [1239] = {.lex_state = 502, .external_lex_state = 20},
  [1240] = {.lex_state = 502, .external_lex_state = 20},
  [1241] = {.lex_state = 503, .external_lex_state = 20},
  [1242] = {.lex_state = 502, .external_lex_state = 21},
  [1243] = {.lex_state = 185, .external_lex_state = 10},
  [1244] = {.lex_state = 502, .external_lex_state = 20},
  [1245] = {.lex_state = 502, .external_lex_state = 20},
  [1246] = {.lex_state = 502, .external_lex_state = 20},
  [1247] = {.lex_state = 502, .external_lex_state = 20},
  [1248] = {.lex_state = 502, .external_lex_state = 20},
  [1249] = {.lex_state = 494, .external_lex_state = 8},
  [1250] = {.lex_state = 502, .external_lex_state = 20},
  [1251] = {.lex_state = 503, .external_lex_state = 20},
  [1252] = {.lex_state = 502, .external_lex_state = 21},
  [1253] = {.lex_state = 494, .external_lex_state = 8},
  [1254] = {.lex_state = 502, .external_lex_state = 20},
  [1255] = {.lex_state = 502, .external_lex_state = 21},
  [1256] = {.lex_state = 207, .external_lex_state = 21},
  [1257] = {.lex_state = 207, .external_lex_state = 21},
  [1258] = {.lex_state = 502, .external_lex_state = 21},
  [1259] = {.lex_state = 502, .external_lex_state = 20},
  [1260] = {.lex_state = 174, .external_lex_state = 10},
  [1261] = {.lex_state = 503, .external_lex_state = 20},
  [1262] = {.lex_state = 185, .external_lex_state = 10},
  [1263] = {.lex_state = 502, .external_lex_state = 21},
  [1264] = {.lex_state = 503, .external_lex_state = 20},
  [1265] = {.lex_state = 503, .external_lex_state = 20},
  [1266] = {.lex_state = 211, .external_lex_state = 21},
  [1267] = {.lex_state = 215, .external_lex_state = 21},
  [1268] = {.lex_state = 502, .external_lex_state = 21},
  [1269] = {.lex_state = 174, .external_lex_state = 10},
  [1270] = {.lex_state = 207, .external_lex_state = 21},
  [1271] = {.lex_state = 502, .external_lex_state = 21},
  [1272] = {.lex_state = 185, .external_lex_state = 10},
  [1273] = {.lex_state = 494, .external_lex_state = 8},
  [1274] = {.lex_state = 215, .external_lex_state = 21},
  [1275] = {.lex_state = 211, .external_lex_state = 21},
  [1276] = {.lex_state = 502, .external_lex_state = 21},
  [1277] = {.lex_state = 185, .external_lex_state = 10},
  [1278] = {.lex_state = 502, .external_lex_state = 20},
  [1279] = {.lex_state = 502, .external_lex_state = 20},
  [1280] = {.lex_state = 502, .external_lex_state = 20},
  [1281] = {.lex_state = 503, .external_lex_state = 20},
  [1282] = {.lex_state = 185, .external_lex_state = 10},
  [1283] = {.lex_state = 215, .external_lex_state = 21},
  [1284] = {.lex_state = 503, .external_lex_state = 20},
  [1285] = {.lex_state = 503, .external_lex_state = 20},
  [1286] = {.lex_state = 211, .external_lex_state = 21},
  [1287] = {.lex_state = 211, .external_lex_state = 21},
  [1288] = {.lex_state = 207, .external_lex_state = 21},
  [1289] = {.lex_state = 207, .external_lex_state = 21},
  [1290] = {.lex_state = 494, .external_lex_state = 8},
  [1291] = {.lex_state = 211, .external_lex_state = 21},
  [1292] = {.lex_state = 502, .external_lex_state = 20},
  [1293] = {.lex_state = 243, .external_lex_state = 24},
  [1294] = {.lex_state = 503, .external_lex_state = 20},
  [1295] = {.lex_state = 503, .external_lex_state = 20},
  [1296] = {.lex_state = 503, .external_lex_state = 20},
  [1297] = {.lex_state = 503, .external_lex_state = 20},
  [1298] = {.lex_state = 503, .external_lex_state = 20},
  [1299] = {.lex_state = 503, .external_lex_state = 20},
  [1300] = {.lex_state = 503, .external_lex_state = 20},
  [1301] = {.lex_state = 502, .external_lex_state = 20},
  [1302] = {.lex_state = 207, .external_lex_state = 21},
  [1303] = {.lex_state = 502, .external_lex_state = 20},
  [1304] = {.lex_state = 503, .external_lex_state = 20},
  [1305] = {.lex_state = 207, .external_lex_state = 21},
  [1306] = {.lex_state = 503, .external_lex_state = 20},
  [1307] = {.lex_state = 503, .external_lex_state = 20},
  [1308] = {.lex_state = 503, .external_lex_state = 20},
  [1309] = {.lex_state = 185, .external_lex_state = 10},
  [1310] = {.lex_state = 185, .external_lex_state = 10},
  [1311] = {.lex_state = 503, .external_lex_state = 20},
  [1312] = {.lex_state = 502, .external_lex_state = 21},
  [1313] = {.lex_state = 502, .external_lex_state = 20},
  [1314] = {.lex_state = 494, .external_lex_state = 8},
  [1315] = {.lex_state = 177, .external_lex_state = 10},
  [1316] = {.lex_state = 199, .external_lex_state = 4},
  [1317] = {.lex_state = 211, .external_lex_state = 21},
  [1318] = {.lex_state = 503, .external_lex_state = 20},
  [1319] = {.lex_state = 199, .external_lex_state = 4},
  [1320] = {.lex_state = 207, .external_lex_state = 21},
  [1321] = {.lex_state = 502, .external_lex_state = 20},
  [1322] = {.lex_state = 503, .external_lex_state = 20},
  [1323] = {.lex_state = 494, .external_lex_state = 8},
  [1324] = {.lex_state = 211, .external_lex_state = 21},
  [1325] = {.lex_state = 211, .external_lex_state = 21},
  [1326] = {.lex_state = 243, .external_lex_state = 24},
  [1327] = {.lex_state = 185, .external_lex_state = 10},
  [1328] = {.lex_state = 180, .external_lex_state = 10},
  [1329] = {.lex_state = 503, .external_lex_state = 20},
  [1330] = {.lex_state = 180, .external_lex_state = 10},
  [1331] = {.lex_state = 503, .external_lex_state = 20},
  [1332] = {.lex_state = 502, .external_lex_state = 20},
  [1333] = {.lex_state = 503, .external_lex_state = 20},
  [1334] = {.lex_state = 503, .external_lex_state = 20},
  [1335] = {.lex_state = 195, .external_lex_state = 16},
  [1336] = {.lex_state = 255, .external_lex_state = 22},
  [1337] = {.lex_state = 180, .external_lex_state = 10},
  [1338] = {.lex_state = 185, .external_lex_state = 10},
  [1339] = {.lex_state = 207, .external_lex_state = 21},
  [1340] = {.lex_state = 502, .external_lex_state = 20},
  [1341] = {.lex_state = 503, .external_lex_state = 20},
  [1342] = {.lex_state = 255, .external_lex_state = 23},
  [1343] = {.lex_state = 195, .external_lex_state = 16},
  [1344] = {.lex_state = 180, .external_lex_state = 10},
  [1345] = {.lex_state = 207, .external_lex_state = 21},
  [1346] = {.lex_state = 502, .external_lex_state = 20},
  [1347] = {.lex_state = 502, .external_lex_state = 20},
  [1348] = {.lex_state = 180, .external_lex_state = 10},
  [1349] = {.lex_state = 185, .external_lex_state = 10},
  [1350] = {.lex_state = 207, .external_lex_state = 21},
  [1351] = {.lex_state = 215, .external_lex_state = 21},
  [1352] = {.lex_state = 180, .external_lex_state = 10},
  [1353] = {.lex_state = 185, .external_lex_state = 10},
  [1354] = {.lex_state = 503, .external_lex_state = 20},
  [1355] = {.lex_state = 211, .external_lex_state = 21},
  [1356] = {.lex_state = 502, .external_lex_state = 20},
  [1357] = {.lex_state = 502, .external_lex_state = 20},
  [1358] = {.lex_state = 502, .external_lex_state = 20},
  [1359] = {.lex_state = 503, .external_lex_state = 20},
  [1360] = {.lex_state = 243, .external_lex_state = 24},
  [1361] = {.lex_state = 503, .external_lex_state = 20},
  [1362] = {.lex_state = 503, .external_lex_state = 20},
  [1363] = {.lex_state = 503, .external_lex_state = 20},
  [1364] = {.lex_state = 211, .external_lex_state = 21},
  [1365] = {.lex_state = 243, .external_lex_state = 24},
  [1366] = {.lex_state = 503, .external_lex_state = 20},
  [1367] = {.lex_state = 503, .external_lex_state = 20},
  [1368] = {.lex_state = 503, .external_lex_state = 20},
  [1369] = {.lex_state = 502, .external_lex_state = 20},
  [1370] = {.lex_state = 502, .external_lex_state = 20},
  [1371] = {.lex_state = 215, .external_lex_state = 21},
  [1372] = {.lex_state = 215, .external_lex_state = 21},
  [1373] = {.lex_state = 180, .external_lex_state = 10},
  [1374] = {.lex_state = 180, .external_lex_state = 10},
  [1375] = {.lex_state = 180, .external_lex_state = 10},
  [1376] = {.lex_state = 199, .external_lex_state = 4},
  [1377] = {.lex_state = 503, .external_lex_state = 20},
  [1378] = {.lex_state = 211, .external_lex_state = 21},
  [1379] = {.lex_state = 211, .external_lex_state = 21},
  [1380] = {.lex_state = 243, .external_lex_state = 24},
  [1381] = {.lex_state = 503, .external_lex_state = 20},
  [1382] = {.lex_state = 174, .external_lex_state = 11},
  [1383] = {.lex_state = 195, .external_lex_state = 16},
  [1384] = {.lex_state = 177, .external_lex_state = 10},
  [1385] = {.lex_state = 503, .external_lex_state = 20},
  [1386] = {.lex_state = 503, .external_lex_state = 20},
  [1387] = {.lex_state = 502, .external_lex_state = 20},
  [1388] = {.lex_state = 180, .external_lex_state = 10},
  [1389] = {.lex_state = 503, .external_lex_state = 20},
  [1390] = {.lex_state = 502, .external_lex_state = 20},
  [1391] = {.lex_state = 243, .external_lex_state = 24},
  [1392] = {.lex_state = 503, .external_lex_state = 20},
  [1393] = {.lex_state = 243, .external_lex_state = 24},
  [1394] = {.lex_state = 503, .external_lex_state = 20},
  [1395] = {.lex_state = 503, .external_lex_state = 20},
  [1396] = {.lex_state = 503, .external_lex_state = 20},
  [1397] = {.lex_state = 503, .external_lex_state = 20},
  [1398] = {.lex_state = 503, .external_lex_state = 20},
  [1399] = {.lex_state = 180, .external_lex_state = 10},
  [1400] = {.lex_state = 211, .external_lex_state = 21},
  [1401] = {.lex_state = 503, .external_lex_state = 20},
  [1402] = {.lex_state = 174, .external_lex_state = 10},
  [1403] = {.lex_state = 211, .external_lex_state = 21},
  [1404] = {.lex_state = 174, .external_lex_state = 10},
  [1405] = {.lex_state = 211, .external_lex_state = 21},
  [1406] = {.lex_state = 215, .external_lex_state = 21},
  [1407] = {.lex_state = 279, .external_lex_state = 14},
  [1408] = {.lex_state = 502, .external_lex_state = 21},
  [1409] = {.lex_state = 504, .external_lex_state = 21},
  [1410] = {.lex_state = 243, .external_lex_state = 25},
  [1411] = {.lex_state = 279, .external_lex_state = 14},
  [1412] = {.lex_state = 504, .external_lex_state = 21},
  [1413] = {.lex_state = 504, .external_lex_state = 21},
  [1414] = {.lex_state = 504, .external_lex_state = 21},
  [1415] = {.lex_state = 504, .external_lex_state = 21},
  [1416] = {.lex_state = 243, .external_lex_state = 26},
  [1417] = {.lex_state = 243, .external_lex_state = 25},
  [1418] = {.lex_state = 177, .external_lex_state = 11},
  [1419] = {.lex_state = 174, .external_lex_state = 11},
  [1420] = {.lex_state = 277, .external_lex_state = 2},
  [1421] = {.lex_state = 502, .external_lex_state = 21},
  [1422] = {.lex_state = 208, .external_lex_state = 16},
  [1423] = {.lex_state = 215, .external_lex_state = 21},
  [1424] = {.lex_state = 177, .external_lex_state = 11},
  [1425] = {.lex_state = 502, .external_lex_state = 21},
  [1426] = {.lex_state = 208, .external_lex_state = 16},
  [1427] = {.lex_state = 502, .external_lex_state = 21},
  [1428] = {.lex_state = 243, .external_lex_state = 25},
  [1429] = {.lex_state = 243, .external_lex_state = 25},
  [1430] = {.lex_state = 502, .external_lex_state = 21},
  [1431] = {.lex_state = 502, .external_lex_state = 21},
  [1432] = {.lex_state = 502, .external_lex_state = 21},
  [1433] = {.lex_state = 215, .external_lex_state = 21},
  [1434] = {.lex_state = 185, .external_lex_state = 10},
  [1435] = {.lex_state = 281, .external_lex_state = 27},
  [1436] = {.lex_state = 215, .external_lex_state = 21},
  [1437] = {.lex_state = 502, .external_lex_state = 21},
  [1438] = {.lex_state = 281, .external_lex_state = 27},
  [1439] = {.lex_state = 497, .external_lex_state = 10},
  [1440] = {.lex_state = 177, .external_lex_state = 10},
  [1441] = {.lex_state = 199, .external_lex_state = 4},
  [1442] = {.lex_state = 281, .external_lex_state = 27},
  [1443] = {.lex_state = 243, .external_lex_state = 26},
  [1444] = {.lex_state = 199, .external_lex_state = 4},
  [1445] = {.lex_state = 177, .external_lex_state = 10},
  [1446] = {.lex_state = 497, .external_lex_state = 10},
  [1447] = {.lex_state = 504, .external_lex_state = 21},
  [1448] = {.lex_state = 243, .external_lex_state = 26},
  [1449] = {.lex_state = 279, .external_lex_state = 14},
  [1450] = {.lex_state = 243, .external_lex_state = 25},
  [1451] = {.lex_state = 185, .external_lex_state = 10},
  [1452] = {.lex_state = 502, .external_lex_state = 21},
  [1453] = {.lex_state = 195, .external_lex_state = 16},
  [1454] = {.lex_state = 195, .external_lex_state = 16},
  [1455] = {.lex_state = 185, .external_lex_state = 10},
  [1456] = {.lex_state = 185, .external_lex_state = 10},
  [1457] = {.lex_state = 185, .external_lex_state = 10},
  [1458] = {.lex_state = 215, .external_lex_state = 21},
  [1459] = {.lex_state = 277, .external_lex_state = 2},
  [1460] = {.lex_state = 497, .external_lex_state = 10},
  [1461] = {.lex_state = 215, .external_lex_state = 21},
  [1462] = {.lex_state = 177, .external_lex_state = 10},
  [1463] = {.lex_state = 199, .external_lex_state = 4},
  [1464] = {.lex_state = 199, .external_lex_state = 4},
  [1465] = {.lex_state = 215, .external_lex_state = 21},
  [1466] = {.lex_state = 495, .external_lex_state = 10},
  [1467] = {.lex_state = 243, .external_lex_state = 25},
  [1468] = {.lex_state = 502, .external_lex_state = 21},
  [1469] = {.lex_state = 502, .external_lex_state = 21},
  [1470] = {.lex_state = 502, .external_lex_state = 21},
  [1471] = {.lex_state = 502, .external_lex_state = 21},
  [1472] = {.lex_state = 502, .external_lex_state = 21},
  [1473] = {.lex_state = 502, .external_lex_state = 21},
  [1474] = {.lex_state = 243, .external_lex_state = 25},
  [1475] = {.lex_state = 502, .external_lex_state = 21},
  [1476] = {.lex_state = 502, .external_lex_state = 21},
  [1477] = {.lex_state = 502, .external_lex_state = 21},
  [1478] = {.lex_state = 502, .external_lex_state = 21},
  [1479] = {.lex_state = 502, .external_lex_state = 21},
  [1480] = {.lex_state = 504, .external_lex_state = 21},
  [1481] = {.lex_state = 502, .external_lex_state = 21},
  [1482] = {.lex_state = 502, .external_lex_state = 21},
  [1483] = {.lex_state = 215, .external_lex_state = 21},
  [1484] = {.lex_state = 502, .external_lex_state = 21},
  [1485] = {.lex_state = 215, .external_lex_state = 21},
  [1486] = {.lex_state = 502, .external_lex_state = 21},
  [1487] = {.lex_state = 185, .external_lex_state = 10},
  [1488] = {.lex_state = 185, .external_lex_state = 10},
  [1489] = {.lex_state = 502, .external_lex_state = 21},
  [1490] = {.lex_state = 502, .external_lex_state = 21},
  [1491] = {.lex_state = 495, .external_lex_state = 10},
  [1492] = {.lex_state = 215, .external_lex_state = 21},
  [1493] = {.lex_state = 215, .external_lex_state = 21},
  [1494] = {.lex_state = 502, .external_lex_state = 21},
  [1495] = {.lex_state = 277, .external_lex_state = 2},
  [1496] = {.lex_state = 199, .external_lex_state = 4},
  [1497] = {.lex_state = 199, .external_lex_state = 4},
  [1498] = {.lex_state = 502, .external_lex_state = 21},
  [1499] = {.lex_state = 502, .external_lex_state = 21},
  [1500] = {.lex_state = 502, .external_lex_state = 21},
  [1501] = {.lex_state = 199, .external_lex_state = 4},
  [1502] = {.lex_state = 495, .external_lex_state = 10},
  [1503] = {.lex_state = 502, .external_lex_state = 21},
  [1504] = {.lex_state = 502, .external_lex_state = 21},
  [1505] = {.lex_state = 497, .external_lex_state = 10},
  [1506] = {.lex_state = 497, .external_lex_state = 10},
  [1507] = {.lex_state = 504, .external_lex_state = 21},
  [1508] = {.lex_state = 502, .external_lex_state = 21},
  [1509] = {.lex_state = 502, .external_lex_state = 21},
  [1510] = {.lex_state = 502, .external_lex_state = 21},
  [1511] = {.lex_state = 497, .external_lex_state = 10},
  [1512] = {.lex_state = 502, .external_lex_state = 21},
  [1513] = {.lex_state = 495, .external_lex_state = 10},
  [1514] = {.lex_state = 497, .external_lex_state = 10},
  [1515] = {.lex_state = 497, .external_lex_state = 10},
  [1516] = {.lex_state = 504, .external_lex_state = 21},
  [1517] = {.lex_state = 185, .external_lex_state = 10},
  [1518] = {.lex_state = 497, .external_lex_state = 10},
  [1519] = {.lex_state = 185, .external_lex_state = 10},
  [1520] = {.lex_state = 497, .external_lex_state = 10},
  [1521] = {.lex_state = 504, .external_lex_state = 21},
  [1522] = {.lex_state = 502, .external_lex_state = 21},
  [1523] = {.lex_state = 199, .external_lex_state = 4},
  [1524] = {.lex_state = 199, .external_lex_state = 4},
  [1525] = {.lex_state = 502, .external_lex_state = 21},
  [1526] = {.lex_state = 502, .external_lex_state = 21},
  [1527] = {.lex_state = 502, .external_lex_state = 21},
  [1528] = {.lex_state = 189, .external_lex_state = 11},
  [1529] = {.lex_state = 497, .external_lex_state = 10},
  [1530] = {.lex_state = 281, .external_lex_state = 27},
  [1531] = {.lex_state = 281, .external_lex_state = 27},
  [1532] = {.lex_state = 502, .external_lex_state = 21},
  [1533] = {.lex_state = 199, .external_lex_state = 4},
  [1534] = {.lex_state = 185, .external_lex_state = 10},
  [1535] = {.lex_state = 185, .external_lex_state = 10},
  [1536] = {.lex_state = 502, .external_lex_state = 21},
  [1537] = {.lex_state = 502, .external_lex_state = 21},
  [1538] = {.lex_state = 497, .external_lex_state = 10},
  [1539] = {.lex_state = 281, .external_lex_state = 27},
  [1540] = {.lex_state = 497, .external_lex_state = 10},
  [1541] = {.lex_state = 281, .external_lex_state = 27},
  [1542] = {.lex_state = 495, .external_lex_state = 10},
  [1543] = {.lex_state = 504, .external_lex_state = 21},
  [1544] = {.lex_state = 215, .external_lex_state = 21},
  [1545] = {.lex_state = 495, .external_lex_state = 10},
  [1546] = {.lex_state = 199, .external_lex_state = 4},
  [1547] = {.lex_state = 215, .external_lex_state = 21},
  [1548] = {.lex_state = 504, .external_lex_state = 21},
  [1549] = {.lex_state = 189, .external_lex_state = 11},
  [1550] = {.lex_state = 215, .external_lex_state = 21},
  [1551] = {.lex_state = 215, .external_lex_state = 21},
  [1552] = {.lex_state = 215, .external_lex_state = 21},
  [1553] = {.lex_state = 497, .external_lex_state = 10},
  [1554] = {.lex_state = 215, .external_lex_state = 21},
  [1555] = {.lex_state = 215, .external_lex_state = 21},
  [1556] = {.lex_state = 177, .external_lex_state = 10},
  [1557] = {.lex_state = 215, .external_lex_state = 21},
  [1558] = {.lex_state = 243, .external_lex_state = 26},
  [1559] = {.lex_state = 243, .external_lex_state = 26},
  [1560] = {.lex_state = 243, .external_lex_state = 26},
  [1561] = {.lex_state = 497, .external_lex_state = 10},
  [1562] = {.lex_state = 497, .external_lex_state = 10},
  [1563] = {.lex_state = 243, .external_lex_state = 26},
  [1564] = {.lex_state = 504, .external_lex_state = 21},
  [1565] = {.lex_state = 504, .external_lex_state = 21},
  [1566] = {.lex_state = 281, .external_lex_state = 27},
  [1567] = {.lex_state = 495, .external_lex_state = 10},
  [1568] = {.lex_state = 281, .external_lex_state = 27},
  [1569] = {.lex_state = 497, .external_lex_state = 10},
  [1570] = {.lex_state = 495, .external_lex_state = 11},
  [1571] = {.lex_state = 281, .external_lex_state = 27},
  [1572] = {.lex_state = 281, .external_lex_state = 27},
  [1573] = {.lex_state = 504, .external_lex_state = 21},
  [1574] = {.lex_state = 497, .external_lex_state = 10},
  [1575] = {.lex_state = 497, .external_lex_state = 10},
  [1576] = {.lex_state = 504, .external_lex_state = 21},
  [1577] = {.lex_state = 504, .external_lex_state = 21},
  [1578] = {.lex_state = 497, .external_lex_state = 10},
  [1579] = {.lex_state = 504, .external_lex_state = 21},
  [1580] = {.lex_state = 243, .external_lex_state = 26},
  [1581] = {.lex_state = 243, .external_lex_state = 26},
  [1582] = {.lex_state = 243, .external_lex_state = 26},
  [1583] = {.lex_state = 277, .external_lex_state = 2},
  [1584] = {.lex_state = 504, .external_lex_state = 21},
  [1585] = {.lex_state = 504, .external_lex_state = 21},
  [1586] = {.lex_state = 504, .external_lex_state = 21},
  [1587] = {.lex_state = 497, .external_lex_state = 10},
  [1588] = {.lex_state = 243, .external_lex_state = 26},
  [1589] = {.lex_state = 281, .external_lex_state = 27},
  [1590] = {.lex_state = 243, .external_lex_state = 26},
  [1591] = {.lex_state = 281, .external_lex_state = 27},
  [1592] = {.lex_state = 495, .external_lex_state = 11},
  [1593] = {.lex_state = 497, .external_lex_state = 10},
  [1594] = {.lex_state = 281, .external_lex_state = 27},
  [1595] = {.lex_state = 504, .external_lex_state = 21},
  [1596] = {.lex_state = 497, .external_lex_state = 10},
  [1597] = {.lex_state = 243, .external_lex_state = 26},
  [1598] = {.lex_state = 277, .external_lex_state = 2},
  [1599] = {.lex_state = 497, .external_lex_state = 10},
  [1600] = {.lex_state = 243, .external_lex_state = 26},
  [1601] = {.lex_state = 243, .external_lex_state = 26},
  [1602] = {.lex_state = 497, .external_lex_state = 10},
  [1603] = {.lex_state = 497, .external_lex_state = 10},
  [1604] = {.lex_state = 243, .external_lex_state = 26},
  [1605] = {.lex_state = 243, .external_lex_state = 26},
  [1606] = {.lex_state = 497, .external_lex_state = 10},
  [1607] = {.lex_state = 504, .external_lex_state = 21},
  [1608] = {.lex_state = 504, .external_lex_state = 21},
  [1609] = {.lex_state = 189, .external_lex_state = 11},
  [1610] = {.lex_state = 504, .external_lex_state = 21},
  [1611] = {.lex_state = 243, .external_lex_state = 26},
  [1612] = {.lex_state = 243, .external_lex_state = 26},
  [1613] = {.lex_state = 497, .external_lex_state = 10},
  [1614] = {.lex_state = 243, .external_lex_state = 26},
  [1615] = {.lex_state = 497, .external_lex_state = 10},
  [1616] = {.lex_state = 243, .external_lex_state = 26},
  [1617] = {.lex_state = 497, .external_lex_state = 10},
  [1618] = {.lex_state = 504, .external_lex_state = 21},
  [1619] = {.lex_state = 281, .external_lex_state = 27},
  [1620] = {.lex_state = 497, .external_lex_state = 10},
  [1621] = {.lex_state = 497, .external_lex_state = 10},
  [1622] = {.lex_state = 495, .external_lex_state = 10},
  [1623] = {.lex_state = 243, .external_lex_state = 26},
  [1624] = {.lex_state = 495, .external_lex_state = 10},
  [1625] = {.lex_state = 497, .external_lex_state = 10},
  [1626] = {.lex_state = 243, .external_lex_state = 26},
  [1627] = {.lex_state = 497, .external_lex_state = 10},
  [1628] = {.lex_state = 243, .external_lex_state = 26},
  [1629] = {.lex_state = 281, .external_lex_state = 27},
  [1630] = {.lex_state = 243, .external_lex_state = 26},
  [1631] = {.lex_state = 495, .external_lex_state = 10},
  [1632] = {.lex_state = 497, .external_lex_state = 10},
  [1633] = {.lex_state = 243, .external_lex_state = 26},
  [1634] = {.lex_state = 497, .external_lex_state = 10},
  [1635] = {.lex_state = 495, .external_lex_state = 11},
  [1636] = {.lex_state = 243, .external_lex_state = 26},
  [1637] = {.lex_state = 243, .external_lex_state = 26},
  [1638] = {.lex_state = 504, .external_lex_state = 21},
  [1639] = {.lex_state = 504, .external_lex_state = 21},
  [1640] = {.lex_state = 504, .external_lex_state = 21},
  [1641] = {.lex_state = 281, .external_lex_state = 27},
  [1642] = {.lex_state = 281, .external_lex_state = 27},
  [1643] = {.lex_state = 243, .external_lex_state = 26},
  [1644] = {.lex_state = 243, .external_lex_state = 26},
  [1645] = {.lex_state = 497, .external_lex_state = 10},
  [1646] = {.lex_state = 243, .external_lex_state = 26},
  [1647] = {.lex_state = 243, .external_lex_state = 26},
  [1648] = {.lex_state = 243, .external_lex_state = 26},
  [1649] = {.lex_state = 243, .external_lex_state = 26},
  [1650] = {.lex_state = 243, .external_lex_state = 26},
  [1651] = {.lex_state = 243, .external_lex_state = 26},
  [1652] = {.lex_state = 504, .external_lex_state = 21},
  [1653] = {.lex_state = 243, .external_lex_state = 26},
  [1654] = {.lex_state = 243, .external_lex_state = 26},
  [1655] = {.lex_state = 243, .external_lex_state = 26},
  [1656] = {.lex_state = 243, .external_lex_state = 26},
  [1657] = {.lex_state = 243, .external_lex_state = 26},
  [1658] = {.lex_state = 281, .external_lex_state = 27},
  [1659] = {.lex_state = 495, .external_lex_state = 10},
  [1660] = {.lex_state = 497, .external_lex_state = 10},
  [1661] = {.lex_state = 504, .external_lex_state = 21},
  [1662] = {.lex_state = 497, .external_lex_state = 10},
  [1663] = {.lex_state = 243, .external_lex_state = 26},
  [1664] = {.lex_state = 243, .external_lex_state = 26},
  [1665] = {.lex_state = 497, .external_lex_state = 10},
  [1666] = {.lex_state = 243, .external_lex_state = 26},
  [1667] = {.lex_state = 497, .external_lex_state = 10},
  [1668] = {.lex_state = 281, .external_lex_state = 27},
  [1669] = {.lex_state = 497, .external_lex_state = 10},
  [1670] = {.lex_state = 243, .external_lex_state = 26},
  [1671] = {.lex_state = 243, .external_lex_state = 26},
  [1672] = {.lex_state = 243, .external_lex_state = 26},
  [1673] = {.lex_state = 497, .external_lex_state = 10},
  [1674] = {.lex_state = 281, .external_lex_state = 27},
  [1675] = {.lex_state = 497, .external_lex_state = 10},
  [1676] = {.lex_state = 243, .external_lex_state = 26},
  [1677] = {.lex_state = 497, .external_lex_state = 10},
  [1678] = {.lex_state = 281, .external_lex_state = 27},
  [1679] = {.lex_state = 497, .external_lex_state = 10},
  [1680] = {.lex_state = 281, .external_lex_state = 27},
  [1681] = {.lex_state = 497, .external_lex_state = 10},
  [1682] = {.lex_state = 495, .external_lex_state = 10},
  [1683] = {.lex_state = 497, .external_lex_state = 10},
  [1684] = {.lex_state = 497, .external_lex_state = 10},
  [1685] = {.lex_state = 495, .external_lex_state = 10},
  [1686] = {.lex_state = 504, .external_lex_state = 21},
  [1687] = {.lex_state = 243, .external_lex_state = 26},
  [1688] = {.lex_state = 243, .external_lex_state = 26},
  [1689] = {.lex_state = 497, .external_lex_state = 10},
  [1690] = {.lex_state = 243, .external_lex_state = 26},
  [1691] = {.lex_state = 243, .external_lex_state = 26},
  [1692] = {.lex_state = 243, .external_lex_state = 26},
  [1693] = {.lex_state = 243, .external_lex_state = 26},
  [1694] = {.lex_state = 243, .external_lex_state = 26},
  [1695] = {.lex_state = 497, .external_lex_state = 10},
  [1696] = {.lex_state = 243, .external_lex_state = 26},
  [1697] = {.lex_state = 243, .external_lex_state = 26},
  [1698] = {.lex_state = 243, .external_lex_state = 26},
  [1699] = {.lex_state = 243, .external_lex_state = 26},
  [1700] = {.lex_state = 177, .external_lex_state = 11},
  [1701] = {.lex_state = 191, .external_lex_state = 11},
  [1702] = {.lex_state = 229, .external_lex_state = 2},
  [1703] = {.lex_state = 281, .external_lex_state = 27},
  [1704] = {.lex_state = 229, .external_lex_state = 2},
  [1705] = {.lex_state = 243, .external_lex_state = 26},
  [1706] = {.lex_state = 497, .external_lex_state = 10},
  [1707] = {.lex_state = 281, .external_lex_state = 27},
  [1708] = {.lex_state = 495, .external_lex_state = 10},
  [1709] = {.lex_state = 497, .external_lex_state = 10},
  [1710] = {.lex_state = 243, .external_lex_state = 26},
  [1711] = {.lex_state = 497, .external_lex_state = 10},
  [1712] = {.lex_state = 243, .external_lex_state = 26},
  [1713] = {.lex_state = 497, .external_lex_state = 10},
  [1714] = {.lex_state = 281, .external_lex_state = 27},
  [1715] = {.lex_state = 243, .external_lex_state = 26},
  [1716] = {.lex_state = 243, .external_lex_state = 26},
  [1717] = {.lex_state = 497, .external_lex_state = 10},
  [1718] = {.lex_state = 504, .external_lex_state = 21},
  [1719] = {.lex_state = 243, .external_lex_state = 26},
  [1720] = {.lex_state = 243, .external_lex_state = 26},
  [1721] = {.lex_state = 243, .external_lex_state = 26},
  [1722] = {.lex_state = 243, .external_lex_state = 26},
  [1723] = {.lex_state = 497, .external_lex_state = 10},
  [1724] = {.lex_state = 243, .external_lex_state = 26},
  [1725] = {.lex_state = 497, .external_lex_state = 10},
  [1726] = {.lex_state = 243, .external_lex_state = 26},
  [1727] = {.lex_state = 281, .external_lex_state = 27},
  [1728] = {.lex_state = 281, .external_lex_state = 27},
  [1729] = {.lex_state = 243, .external_lex_state = 26},
  [1730] = {.lex_state = 243, .external_lex_state = 26},
  [1731] = {.lex_state = 497, .external_lex_state = 10},
  [1732] = {.lex_state = 243, .external_lex_state = 26},
  [1733] = {.lex_state = 504, .external_lex_state = 21},
  [1734] = {.lex_state = 281, .external_lex_state = 27},
  [1735] = {.lex_state = 497, .external_lex_state = 10},
  [1736] = {.lex_state = 243, .external_lex_state = 26},
  [1737] = {.lex_state = 497, .external_lex_state = 10},
  [1738] = {.lex_state = 281, .external_lex_state = 27},
  [1739] = {.lex_state = 497, .external_lex_state = 10},
  [1740] = {.lex_state = 497, .external_lex_state = 10},
  [1741] = {.lex_state = 243, .external_lex_state = 26},
  [1742] = {.lex_state = 497, .external_lex_state = 10},
  [1743] = {.lex_state = 504, .external_lex_state = 21},
  [1744] = {.lex_state = 497, .external_lex_state = 10},
  [1745] = {.lex_state = 504, .external_lex_state = 21},
  [1746] = {.lex_state = 497, .external_lex_state = 10},
  [1747] = {.lex_state = 191, .external_lex_state = 11},
  [1748] = {.lex_state = 497, .external_lex_state = 10},
  [1749] = {.lex_state = 504, .external_lex_state = 21},
  [1750] = {.lex_state = 497, .external_lex_state = 10},
  [1751] = {.lex_state = 504, .external_lex_state = 21},
  [1752] = {.lex_state = 504, .external_lex_state = 21},
  [1753] = {.lex_state = 504, .external_lex_state = 21},
  [1754] = {.lex_state = 497, .external_lex_state = 10},
  [1755] = {.lex_state = 243, .external_lex_state = 26},
  [1756] = {.lex_state = 497, .external_lex_state = 10},
  [1757] = {.lex_state = 504, .external_lex_state = 21},
  [1758] = {.lex_state = 497, .external_lex_state = 10},
  [1759] = {.lex_state = 281, .external_lex_state = 27},
  [1760] = {.lex_state = 281, .external_lex_state = 27},
  [1761] = {.lex_state = 281, .external_lex_state = 27},
  [1762] = {.lex_state = 504, .external_lex_state = 21},
  [1763] = {.lex_state = 243, .external_lex_state = 26},
  [1764] = {.lex_state = 243, .external_lex_state = 26},
  [1765] = {.lex_state = 497, .external_lex_state = 10},
  [1766] = {.lex_state = 243, .external_lex_state = 26},
  [1767] = {.lex_state = 243, .external_lex_state = 26},
  [1768] = {.lex_state = 243, .external_lex_state = 26},
  [1769] = {.lex_state = 497, .external_lex_state = 10},
  [1770] = {.lex_state = 243, .external_lex_state = 26},
  [1771] = {.lex_state = 243, .external_lex_state = 26},
  [1772] = {.lex_state = 497, .external_lex_state = 10},
  [1773] = {.lex_state = 243, .external_lex_state = 26},
  [1774] = {.lex_state = 497, .external_lex_state = 10},
  [1775] = {.lex_state = 243, .external_lex_state = 26},
  [1776] = {.lex_state = 243, .external_lex_state = 26},
  [1777] = {.lex_state = 497, .external_lex_state = 10},
  [1778] = {.lex_state = 243, .external_lex_state = 26},
  [1779] = {.lex_state = 243, .external_lex_state = 26},
  [1780] = {.lex_state = 504, .external_lex_state = 21},
  [1781] = {.lex_state = 243, .external_lex_state = 26},
  [1782] = {.lex_state = 281, .external_lex_state = 27},
  [1783] = {.lex_state = 497, .external_lex_state = 10},
  [1784] = {.lex_state = 243, .external_lex_state = 26},
  [1785] = {.lex_state = 281, .external_lex_state = 27},
  [1786] = {.lex_state = 497, .external_lex_state = 10},
  [1787] = {.lex_state = 504, .external_lex_state = 21},
  [1788] = {.lex_state = 497, .external_lex_state = 10},
  [1789] = {.lex_state = 504, .external_lex_state = 21},
  [1790] = {.lex_state = 497, .external_lex_state = 10},
  [1791] = {.lex_state = 504, .external_lex_state = 21},
  [1792] = {.lex_state = 497, .external_lex_state = 10},
  [1793] = {.lex_state = 504, .external_lex_state = 21},
  [1794] = {.lex_state = 497, .external_lex_state = 10},
  [1795] = {.lex_state = 504, .external_lex_state = 21},
  [1796] = {.lex_state = 497, .external_lex_state = 10},
  [1797] = {.lex_state = 497, .external_lex_state = 10},
  [1798] = {.lex_state = 497, .external_lex_state = 10},
  [1799] = {.lex_state = 497, .external_lex_state = 10},
  [1800] = {.lex_state = 497, .external_lex_state = 10},
  [1801] = {.lex_state = 497, .external_lex_state = 10},
  [1802] = {.lex_state = 497, .external_lex_state = 10},
  [1803] = {.lex_state = 497, .external_lex_state = 10},
  [1804] = {.lex_state = 497, .external_lex_state = 10},
  [1805] = {.lex_state = 497, .external_lex_state = 10},
  [1806] = {.lex_state = 497, .external_lex_state = 10},
  [1807] = {.lex_state = 497, .external_lex_state = 10},
  [1808] = {.lex_state = 497, .external_lex_state = 10},
  [1809] = {.lex_state = 497, .external_lex_state = 10},
  [1810] = {.lex_state = 497, .external_lex_state = 10},
  [1811] = {.lex_state = 497, .external_lex_state = 10},
  [1812] = {.lex_state = 243, .external_lex_state = 26},
  [1813] = {.lex_state = 243, .external_lex_state = 26},
  [1814] = {.lex_state = 243, .external_lex_state = 26},
  [1815] = {.lex_state = 504, .external_lex_state = 21},
  [1816] = {.lex_state = 243, .external_lex_state = 26},
  [1817] = {.lex_state = 243, .external_lex_state = 26},
  [1818] = {.lex_state = 243, .external_lex_state = 26},
  [1819] = {.lex_state = 504, .external_lex_state = 21},
  [1820] = {.lex_state = 504, .external_lex_state = 21},
  [1821] = {.lex_state = 504, .external_lex_state = 21},
  [1822] = {.lex_state = 495, .external_lex_state = 11},
  [1823] = {.lex_state = 243, .external_lex_state = 26},
  [1824] = {.lex_state = 243, .external_lex_state = 26},
  [1825] = {.lex_state = 243, .external_lex_state = 26},
  [1826] = {.lex_state = 243, .external_lex_state = 26},
  [1827] = {.lex_state = 243, .external_lex_state = 26},
  [1828] = {.lex_state = 243, .external_lex_state = 26},
  [1829] = {.lex_state = 243, .external_lex_state = 26},
  [1830] = {.lex_state = 243, .external_lex_state = 26},
  [1831] = {.lex_state = 243, .external_lex_state = 26},
  [1832] = {.lex_state = 243, .external_lex_state = 26},
  [1833] = {.lex_state = 243, .external_lex_state = 26},
  [1834] = {.lex_state = 243, .external_lex_state = 26},
  [1835] = {.lex_state = 243, .external_lex_state = 26},
  [1836] = {.lex_state = 243, .external_lex_state = 26},
  [1837] = {.lex_state = 243, .external_lex_state = 26},
  [1838] = {.lex_state = 243, .external_lex_state = 26},
  [1839] = {.lex_state = 243, .external_lex_state = 26},
  [1840] = {.lex_state = 243, .external_lex_state = 26},
  [1841] = {.lex_state = 243, .external_lex_state = 26},
  [1842] = {.lex_state = 243, .external_lex_state = 26},
  [1843] = {.lex_state = 243, .external_lex_state = 26},
  [1844] = {.lex_state = 243, .external_lex_state = 26},
  [1845] = {.lex_state = 243, .external_lex_state = 26},
  [1846] = {.lex_state = 243, .external_lex_state = 26},
  [1847] = {.lex_state = 243, .external_lex_state = 26},
  [1848] = {.lex_state = 243, .external_lex_state = 26},
  [1849] = {.lex_state = 243, .external_lex_state = 26},
  [1850] = {.lex_state = 243, .external_lex_state = 26},
  [1851] = {.lex_state = 243, .external_lex_state = 26},
  [1852] = {.lex_state = 243, .external_lex_state = 26},
  [1853] = {.lex_state = 243, .external_lex_state = 26},
  [1854] = {.lex_state = 243, .external_lex_state = 26},
  [1855] = {.lex_state = 243, .external_lex_state = 26},
  [1856] = {.lex_state = 243, .external_lex_state = 26},
  [1857] = {.lex_state = 243, .external_lex_state = 26},
  [1858] = {.lex_state = 497, .external_lex_state = 10},
  [1859] = {.lex_state = 243, .external_lex_state = 26},
  [1860] = {.lex_state = 243, .external_lex_state = 26},
  [1861] = {.lex_state = 281, .external_lex_state = 27},
  [1862] = {.lex_state = 243, .external_lex_state = 26},
  [1863] = {.lex_state = 243, .external_lex_state = 26},
  [1864] = {.lex_state = 243, .external_lex_state = 26},
  [1865] = {.lex_state = 243, .external_lex_state = 26},
  [1866] = {.lex_state = 281, .external_lex_state = 27},
  [1867] = {.lex_state = 504, .external_lex_state = 21},
  [1868] = {.lex_state = 504, .external_lex_state = 21},
  [1869] = {.lex_state = 504, .external_lex_state = 21},
  [1870] = {.lex_state = 243, .external_lex_state = 26},
  [1871] = {.lex_state = 243, .external_lex_state = 26},
  [1872] = {.lex_state = 243, .external_lex_state = 26},
  [1873] = {.lex_state = 243, .external_lex_state = 26},
  [1874] = {.lex_state = 243, .external_lex_state = 26},
  [1875] = {.lex_state = 209, .external_lex_state = 20},
  [1876] = {.lex_state = 207, .external_lex_state = 20},
  [1877] = {.lex_state = 207, .external_lex_state = 20},
  [1878] = {.lex_state = 207, .external_lex_state = 20},
  [1879] = {.lex_state = 209, .external_lex_state = 20},
  [1880] = {.lex_state = 209, .external_lex_state = 20},
  [1881] = {.lex_state = 209, .external_lex_state = 20},
  [1882] = {.lex_state = 209, .external_lex_state = 20},
  [1883] = {.lex_state = 209, .external_lex_state = 20},
  [1884] = {.lex_state = 499, .external_lex_state = 11},
  [1885] = {.lex_state = 207, .external_lex_state = 20},
  [1886] = {.lex_state = 262, .external_lex_state = 28},
  [1887] = {.lex_state = 207, .external_lex_state = 20},
  [1888] = {.lex_state = 497, .external_lex_state = 10},
  [1889] = {.lex_state = 262, .external_lex_state = 28},
  [1890] = {.lex_state = 207, .external_lex_state = 20},
  [1891] = {.lex_state = 495, .external_lex_state = 11},
  [1892] = {.lex_state = 280, .external_lex_state = 12},
  [1893] = {.lex_state = 284, .external_lex_state = 29},
  [1894] = {.lex_state = 284, .external_lex_state = 29},
  [1895] = {.lex_state = 497, .external_lex_state = 10},
  [1896] = {.lex_state = 207, .external_lex_state = 20},
  [1897] = {.lex_state = 262, .external_lex_state = 28},
  [1898] = {.lex_state = 284, .external_lex_state = 29},
  [1899] = {.lex_state = 284, .external_lex_state = 29},
  [1900] = {.lex_state = 284, .external_lex_state = 29},
  [1901] = {.lex_state = 280, .external_lex_state = 12},
  [1902] = {.lex_state = 262, .external_lex_state = 28},
  [1903] = {.lex_state = 262, .external_lex_state = 28},
  [1904] = {.lex_state = 209, .external_lex_state = 20},
  [1905] = {.lex_state = 209, .external_lex_state = 20},
  [1906] = {.lex_state = 262, .external_lex_state = 28},
  [1907] = {.lex_state = 499, .external_lex_state = 11},
  [1908] = {.lex_state = 262, .external_lex_state = 28},
  [1909] = {.lex_state = 262, .external_lex_state = 28},
  [1910] = {.lex_state = 262, .external_lex_state = 28},
  [1911] = {.lex_state = 262, .external_lex_state = 28},
  [1912] = {.lex_state = 262, .external_lex_state = 28},
  [1913] = {.lex_state = 495, .external_lex_state = 11},
  [1914] = {.lex_state = 262, .external_lex_state = 28},
  [1915] = {.lex_state = 209, .external_lex_state = 20},
  [1916] = {.lex_state = 209, .external_lex_state = 20},
  [1917] = {.lex_state = 284, .external_lex_state = 29},
  [1918] = {.lex_state = 284, .external_lex_state = 29},
  [1919] = {.lex_state = 499, .external_lex_state = 11},
  [1920] = {.lex_state = 284, .external_lex_state = 29},
  [1921] = {.lex_state = 191, .external_lex_state = 11},
  [1922] = {.lex_state = 284, .external_lex_state = 29},
  [1923] = {.lex_state = 209, .external_lex_state = 20},
  [1924] = {.lex_state = 262, .external_lex_state = 28},
  [1925] = {.lex_state = 209, .external_lex_state = 20},
  [1926] = {.lex_state = 284, .external_lex_state = 29},
  [1927] = {.lex_state = 209, .external_lex_state = 20},
  [1928] = {.lex_state = 284, .external_lex_state = 29},
  [1929] = {.lex_state = 499, .external_lex_state = 11},
  [1930] = {.lex_state = 284, .external_lex_state = 29},
  [1931] = {.lex_state = 282, .external_lex_state = 30},
  [1932] = {.lex_state = 282, .external_lex_state = 30},
  [1933] = {.lex_state = 280, .external_lex_state = 12},
  [1934] = {.lex_state = 217, .external_lex_state = 31},
  [1935] = {.lex_state = 284, .external_lex_state = 29},
  [1936] = {.lex_state = 260, .external_lex_state = 19},
  [1937] = {.lex_state = 284, .external_lex_state = 29},
  [1938] = {.lex_state = 284, .external_lex_state = 29},
  [1939] = {.lex_state = 284, .external_lex_state = 29},
  [1940] = {.lex_state = 284, .external_lex_state = 29},
  [1941] = {.lex_state = 290, .external_lex_state = 30},
  [1942] = {.lex_state = 290, .external_lex_state = 30},
  [1943] = {.lex_state = 284, .external_lex_state = 29},
  [1944] = {.lex_state = 290, .external_lex_state = 30},
  [1945] = {.lex_state = 499, .external_lex_state = 11},
  [1946] = {.lex_state = 217, .external_lex_state = 31},
  [1947] = {.lex_state = 262, .external_lex_state = 28},
  [1948] = {.lex_state = 262, .external_lex_state = 28},
  [1949] = {.lex_state = 290, .external_lex_state = 30},
  [1950] = {.lex_state = 290, .external_lex_state = 30},
  [1951] = {.lex_state = 284, .external_lex_state = 29},
  [1952] = {.lex_state = 290, .external_lex_state = 30},
  [1953] = {.lex_state = 290, .external_lex_state = 30},
  [1954] = {.lex_state = 280, .external_lex_state = 12},
  [1955] = {.lex_state = 217, .external_lex_state = 31},
  [1956] = {.lex_state = 282, .external_lex_state = 30},
  [1957] = {.lex_state = 262, .external_lex_state = 28},
  [1958] = {.lex_state = 217, .external_lex_state = 31},
  [1959] = {.lex_state = 282, .external_lex_state = 30},
  [1960] = {.lex_state = 258, .external_lex_state = 28},
  [1961] = {.lex_state = 262, .external_lex_state = 28},
  [1962] = {.lex_state = 280, .external_lex_state = 12},
  [1963] = {.lex_state = 284, .external_lex_state = 29},
  [1964] = {.lex_state = 284, .external_lex_state = 29},
  [1965] = {.lex_state = 284, .external_lex_state = 29},
  [1966] = {.lex_state = 280, .external_lex_state = 12},
  [1967] = {.lex_state = 284, .external_lex_state = 29},
  [1968] = {.lex_state = 217, .external_lex_state = 31},
  [1969] = {.lex_state = 262, .external_lex_state = 28},
  [1970] = {.lex_state = 217, .external_lex_state = 31},
  [1971] = {.lex_state = 282, .external_lex_state = 30},
  [1972] = {.lex_state = 217, .external_lex_state = 31},
  [1973] = {.lex_state = 262, .external_lex_state = 28},
  [1974] = {.lex_state = 284, .external_lex_state = 29},
  [1975] = {.lex_state = 217, .external_lex_state = 31},
  [1976] = {.lex_state = 258, .external_lex_state = 28},
  [1977] = {.lex_state = 262, .external_lex_state = 28},
  [1978] = {.lex_state = 284, .external_lex_state = 29},
  [1979] = {.lex_state = 290, .external_lex_state = 30},
  [1980] = {.lex_state = 282, .external_lex_state = 30},
  [1981] = {.lex_state = 280, .external_lex_state = 12},
  [1982] = {.lex_state = 284, .external_lex_state = 29},
  [1983] = {.lex_state = 284, .external_lex_state = 29},
  [1984] = {.lex_state = 207, .external_lex_state = 21},
  [1985] = {.lex_state = 217, .external_lex_state = 31},
  [1986] = {.lex_state = 264, .external_lex_state = 28},
  [1987] = {.lex_state = 207, .external_lex_state = 21},
  [1988] = {.lex_state = 217, .external_lex_state = 31},
  [1989] = {.lex_state = 262, .external_lex_state = 28},
  [1990] = {.lex_state = 217, .external_lex_state = 31},
  [1991] = {.lex_state = 284, .external_lex_state = 29},
  [1992] = {.lex_state = 207, .external_lex_state = 21},
  [1993] = {.lex_state = 282, .external_lex_state = 30},
  [1994] = {.lex_state = 280, .external_lex_state = 12},
  [1995] = {.lex_state = 282, .external_lex_state = 30},
  [1996] = {.lex_state = 282, .external_lex_state = 30},
  [1997] = {.lex_state = 282, .external_lex_state = 30},
  [1998] = {.lex_state = 262, .external_lex_state = 28},
  [1999] = {.lex_state = 284, .external_lex_state = 29},
  [2000] = {.lex_state = 284, .external_lex_state = 29},
  [2001] = {.lex_state = 217, .external_lex_state = 31},
  [2002] = {.lex_state = 282, .external_lex_state = 30},
  [2003] = {.lex_state = 282, .external_lex_state = 30},
  [2004] = {.lex_state = 284, .external_lex_state = 29},
  [2005] = {.lex_state = 282, .external_lex_state = 30},
  [2006] = {.lex_state = 282, .external_lex_state = 30},
  [2007] = {.lex_state = 260, .external_lex_state = 19},
  [2008] = {.lex_state = 262, .external_lex_state = 28},
  [2009] = {.lex_state = 499, .external_lex_state = 11},
  [2010] = {.lex_state = 207, .external_lex_state = 21},
  [2011] = {.lex_state = 207, .external_lex_state = 21},
  [2012] = {.lex_state = 260, .external_lex_state = 28},
  [2013] = {.lex_state = 283, .external_lex_state = 15},
  [2014] = {.lex_state = 253, .external_lex_state = 32},
  [2015] = {.lex_state = 282, .external_lex_state = 30},
  [2016] = {.lex_state = 290, .external_lex_state = 30},
  [2017] = {.lex_state = 290, .external_lex_state = 30},
  [2018] = {.lex_state = 290, .external_lex_state = 30},
  [2019] = {.lex_state = 290, .external_lex_state = 33},
  [2020] = {.lex_state = 253, .external_lex_state = 32},
  [2021] = {.lex_state = 253, .external_lex_state = 32},
  [2022] = {.lex_state = 253, .external_lex_state = 32},
  [2023] = {.lex_state = 282, .external_lex_state = 30},
  [2024] = {.lex_state = 253, .external_lex_state = 32},
  [2025] = {.lex_state = 253, .external_lex_state = 32},
  [2026] = {.lex_state = 260, .external_lex_state = 19},
  [2027] = {.lex_state = 290, .external_lex_state = 30},
  [2028] = {.lex_state = 253, .external_lex_state = 32},
  [2029] = {.lex_state = 253, .external_lex_state = 32},
  [2030] = {.lex_state = 262, .external_lex_state = 28},
  [2031] = {.lex_state = 290, .external_lex_state = 30},
  [2032] = {.lex_state = 290, .external_lex_state = 30},
  [2033] = {.lex_state = 262, .external_lex_state = 28},
  [2034] = {.lex_state = 262, .external_lex_state = 28},
  [2035] = {.lex_state = 290, .external_lex_state = 30},
  [2036] = {.lex_state = 260, .external_lex_state = 28},
  [2037] = {.lex_state = 282, .external_lex_state = 30},
  [2038] = {.lex_state = 282, .external_lex_state = 30},
  [2039] = {.lex_state = 260, .external_lex_state = 19},
  [2040] = {.lex_state = 290, .external_lex_state = 30},
  [2041] = {.lex_state = 290, .external_lex_state = 33},
  [2042] = {.lex_state = 282, .external_lex_state = 30},
  [2043] = {.lex_state = 255, .external_lex_state = 19},
  [2044] = {.lex_state = 260, .external_lex_state = 19},
  [2045] = {.lex_state = 255, .external_lex_state = 19},
  [2046] = {.lex_state = 290, .external_lex_state = 33},
  [2047] = {.lex_state = 260, .external_lex_state = 19},
  [2048] = {.lex_state = 255, .external_lex_state = 19},
  [2049] = {.lex_state = 290, .external_lex_state = 33},
  [2050] = {.lex_state = 290, .external_lex_state = 30},
  [2051] = {.lex_state = 262, .external_lex_state = 28},
  [2052] = {.lex_state = 290, .external_lex_state = 30},
  [2053] = {.lex_state = 215, .external_lex_state = 21},
  [2054] = {.lex_state = 290, .external_lex_state = 33},
  [2055] = {.lex_state = 290, .external_lex_state = 33},
  [2056] = {.lex_state = 260, .external_lex_state = 19},
  [2057] = {.lex_state = 262, .external_lex_state = 28},
  [2058] = {.lex_state = 255, .external_lex_state = 19},
  [2059] = {.lex_state = 290, .external_lex_state = 30},
  [2060] = {.lex_state = 290, .external_lex_state = 30},
  [2061] = {.lex_state = 283, .external_lex_state = 15},
  [2062] = {.lex_state = 255, .external_lex_state = 19},
  [2063] = {.lex_state = 290, .external_lex_state = 30},
  [2064] = {.lex_state = 290, .external_lex_state = 30},
  [2065] = {.lex_state = 260, .external_lex_state = 28},
  [2066] = {.lex_state = 282, .external_lex_state = 30},
  [2067] = {.lex_state = 280, .external_lex_state = 12},
  [2068] = {.lex_state = 283, .external_lex_state = 15},
  [2069] = {.lex_state = 280, .external_lex_state = 12},
  [2070] = {.lex_state = 282, .external_lex_state = 30},
  [2071] = {.lex_state = 282, .external_lex_state = 30},
  [2072] = {.lex_state = 285, .external_lex_state = 34},
  [2073] = {.lex_state = 215, .external_lex_state = 21},
  [2074] = {.lex_state = 255, .external_lex_state = 19},
  [2075] = {.lex_state = 264, .external_lex_state = 22},
  [2076] = {.lex_state = 260, .external_lex_state = 19},
  [2077] = {.lex_state = 255, .external_lex_state = 19},
  [2078] = {.lex_state = 260, .external_lex_state = 28},
  [2079] = {.lex_state = 260, .external_lex_state = 19},
  [2080] = {.lex_state = 280, .external_lex_state = 12},
  [2081] = {.lex_state = 282, .external_lex_state = 30},
  [2082] = {.lex_state = 215, .external_lex_state = 21},
  [2083] = {.lex_state = 215, .external_lex_state = 21},
  [2084] = {.lex_state = 215, .external_lex_state = 21},
  [2085] = {.lex_state = 290, .external_lex_state = 30},
  [2086] = {.lex_state = 283, .external_lex_state = 15},
  [2087] = {.lex_state = 283, .external_lex_state = 15},
  [2088] = {.lex_state = 282, .external_lex_state = 30},
  [2089] = {.lex_state = 290, .external_lex_state = 30},
  [2090] = {.lex_state = 282, .external_lex_state = 30},
  [2091] = {.lex_state = 282, .external_lex_state = 30},
  [2092] = {.lex_state = 282, .external_lex_state = 30},
  [2093] = {.lex_state = 262, .external_lex_state = 28},
  [2094] = {.lex_state = 260, .external_lex_state = 19},
  [2095] = {.lex_state = 283, .external_lex_state = 15},
  [2096] = {.lex_state = 282, .external_lex_state = 30},
  [2097] = {.lex_state = 262, .external_lex_state = 28},
  [2098] = {.lex_state = 280, .external_lex_state = 12},
  [2099] = {.lex_state = 260, .external_lex_state = 19},
  [2100] = {.lex_state = 282, .external_lex_state = 30},
  [2101] = {.lex_state = 285, .external_lex_state = 34},
  [2102] = {.lex_state = 258, .external_lex_state = 28},
  [2103] = {.lex_state = 262, .external_lex_state = 28},
  [2104] = {.lex_state = 260, .external_lex_state = 19},
  [2105] = {.lex_state = 282, .external_lex_state = 30},
  [2106] = {.lex_state = 260, .external_lex_state = 28},
  [2107] = {.lex_state = 255, .external_lex_state = 19},
  [2108] = {.lex_state = 264, .external_lex_state = 22},
  [2109] = {.lex_state = 280, .external_lex_state = 12},
  [2110] = {.lex_state = 282, .external_lex_state = 30},
  [2111] = {.lex_state = 262, .external_lex_state = 28},
  [2112] = {.lex_state = 290, .external_lex_state = 30},
  [2113] = {.lex_state = 282, .external_lex_state = 30},
  [2114] = {.lex_state = 260, .external_lex_state = 19},
  [2115] = {.lex_state = 290, .external_lex_state = 30},
  [2116] = {.lex_state = 285, .external_lex_state = 34},
  [2117] = {.lex_state = 253, .external_lex_state = 32},
  [2118] = {.lex_state = 260, .external_lex_state = 28},
  [2119] = {.lex_state = 290, .external_lex_state = 30},
  [2120] = {.lex_state = 260, .external_lex_state = 19},
  [2121] = {.lex_state = 282, .external_lex_state = 30},
  [2122] = {.lex_state = 285, .external_lex_state = 34},
  [2123] = {.lex_state = 260, .external_lex_state = 19},
  [2124] = {.lex_state = 285, .external_lex_state = 34},
  [2125] = {.lex_state = 285, .external_lex_state = 34},
  [2126] = {.lex_state = 253, .external_lex_state = 22},
  [2127] = {.lex_state = 290, .external_lex_state = 33},
  [2128] = {.lex_state = 285, .external_lex_state = 34},
  [2129] = {.lex_state = 285, .external_lex_state = 34},
  [2130] = {.lex_state = 290, .external_lex_state = 33},
  [2131] = {.lex_state = 285, .external_lex_state = 34},
  [2132] = {.lex_state = 260, .external_lex_state = 28},
  [2133] = {.lex_state = 290, .external_lex_state = 33},
  [2134] = {.lex_state = 264, .external_lex_state = 22},
  [2135] = {.lex_state = 288, .external_lex_state = 33},
  [2136] = {.lex_state = 285, .external_lex_state = 34},
  [2137] = {.lex_state = 255, .external_lex_state = 35},
  [2138] = {.lex_state = 260, .external_lex_state = 19},
  [2139] = {.lex_state = 260, .external_lex_state = 28},
  [2140] = {.lex_state = 285, .external_lex_state = 34},
  [2141] = {.lex_state = 285, .external_lex_state = 34},
  [2142] = {.lex_state = 260, .external_lex_state = 28},
  [2143] = {.lex_state = 253, .external_lex_state = 22},
  [2144] = {.lex_state = 260, .external_lex_state = 28},
  [2145] = {.lex_state = 255, .external_lex_state = 35},
  [2146] = {.lex_state = 255, .external_lex_state = 35},
  [2147] = {.lex_state = 285, .external_lex_state = 34},
  [2148] = {.lex_state = 288, .external_lex_state = 33},
  [2149] = {.lex_state = 255, .external_lex_state = 35},
  [2150] = {.lex_state = 262, .external_lex_state = 28},
  [2151] = {.lex_state = 255, .external_lex_state = 23},
  [2152] = {.lex_state = 255, .external_lex_state = 35},
  [2153] = {.lex_state = 289, .external_lex_state = 14},
  [2154] = {.lex_state = 255, .external_lex_state = 35},
  [2155] = {.lex_state = 285, .external_lex_state = 34},
  [2156] = {.lex_state = 288, .external_lex_state = 33},
  [2157] = {.lex_state = 285, .external_lex_state = 34},
  [2158] = {.lex_state = 260, .external_lex_state = 19},
  [2159] = {.lex_state = 260, .external_lex_state = 19},
  [2160] = {.lex_state = 285, .external_lex_state = 34},
  [2161] = {.lex_state = 255, .external_lex_state = 35},
  [2162] = {.lex_state = 285, .external_lex_state = 34},
  [2163] = {.lex_state = 290, .external_lex_state = 33},
  [2164] = {.lex_state = 283, .external_lex_state = 15},
  [2165] = {.lex_state = 260, .external_lex_state = 28},
  [2166] = {.lex_state = 279, .external_lex_state = 14},
  [2167] = {.lex_state = 283, .external_lex_state = 15},
  [2168] = {.lex_state = 285, .external_lex_state = 34},
  [2169] = {.lex_state = 260, .external_lex_state = 28},
  [2170] = {.lex_state = 260, .external_lex_state = 19},
  [2171] = {.lex_state = 260, .external_lex_state = 28},
  [2172] = {.lex_state = 285, .external_lex_state = 34},
  [2173] = {.lex_state = 260, .external_lex_state = 28},
  [2174] = {.lex_state = 260, .external_lex_state = 19},
  [2175] = {.lex_state = 260, .external_lex_state = 19},
  [2176] = {.lex_state = 260, .external_lex_state = 19},
  [2177] = {.lex_state = 260, .external_lex_state = 19},
  [2178] = {.lex_state = 255, .external_lex_state = 35},
  [2179] = {.lex_state = 260, .external_lex_state = 28},
  [2180] = {.lex_state = 285, .external_lex_state = 34},
  [2181] = {.lex_state = 285, .external_lex_state = 34},
  [2182] = {.lex_state = 255, .external_lex_state = 23},
  [2183] = {.lex_state = 285, .external_lex_state = 34},
  [2184] = {.lex_state = 285, .external_lex_state = 34},
  [2185] = {.lex_state = 290, .external_lex_state = 33},
  [2186] = {.lex_state = 279, .external_lex_state = 14},
  [2187] = {.lex_state = 285, .external_lex_state = 34},
  [2188] = {.lex_state = 279, .external_lex_state = 14},
  [2189] = {.lex_state = 260, .external_lex_state = 28},
  [2190] = {.lex_state = 283, .external_lex_state = 15},
  [2191] = {.lex_state = 260, .external_lex_state = 28},
  [2192] = {.lex_state = 253, .external_lex_state = 22},
  [2193] = {.lex_state = 279, .external_lex_state = 14},
  [2194] = {.lex_state = 283, .external_lex_state = 15},
  [2195] = {.lex_state = 253, .external_lex_state = 36},
  [2196] = {.lex_state = 260, .external_lex_state = 28},
  [2197] = {.lex_state = 260, .external_lex_state = 19},
  [2198] = {.lex_state = 253, .external_lex_state = 36},
  [2199] = {.lex_state = 290, .external_lex_state = 33},
  [2200] = {.lex_state = 290, .external_lex_state = 33},
  [2201] = {.lex_state = 255, .external_lex_state = 19},
  [2202] = {.lex_state = 283, .external_lex_state = 15},
  [2203] = {.lex_state = 289, .external_lex_state = 14},
  [2204] = {.lex_state = 261, .external_lex_state = 37},
  [2205] = {.lex_state = 290, .external_lex_state = 33},
  [2206] = {.lex_state = 258, .external_lex_state = 22},
  [2207] = {.lex_state = 260, .external_lex_state = 28},
  [2208] = {.lex_state = 262, .external_lex_state = 28},
  [2209] = {.lex_state = 279, .external_lex_state = 14},
  [2210] = {.lex_state = 279, .external_lex_state = 14},
  [2211] = {.lex_state = 290, .external_lex_state = 33},
  [2212] = {.lex_state = 288, .external_lex_state = 33},
  [2213] = {.lex_state = 290, .external_lex_state = 33},
  [2214] = {.lex_state = 290, .external_lex_state = 33},
  [2215] = {.lex_state = 260, .external_lex_state = 28},
  [2216] = {.lex_state = 260, .external_lex_state = 28},
  [2217] = {.lex_state = 260, .external_lex_state = 19},
  [2218] = {.lex_state = 290, .external_lex_state = 33},
  [2219] = {.lex_state = 260, .external_lex_state = 19},
  [2220] = {.lex_state = 290, .external_lex_state = 33},
  [2221] = {.lex_state = 290, .external_lex_state = 33},
  [2222] = {.lex_state = 253, .external_lex_state = 22},
  [2223] = {.lex_state = 283, .external_lex_state = 15},
  [2224] = {.lex_state = 283, .external_lex_state = 15},
  [2225] = {.lex_state = 253, .external_lex_state = 22},
  [2226] = {.lex_state = 289, .external_lex_state = 14},
  [2227] = {.lex_state = 260, .external_lex_state = 28},
  [2228] = {.lex_state = 260, .external_lex_state = 19},
  [2229] = {.lex_state = 260, .external_lex_state = 19},
  [2230] = {.lex_state = 260, .external_lex_state = 19},
  [2231] = {.lex_state = 260, .external_lex_state = 19},
  [2232] = {.lex_state = 279, .external_lex_state = 14},
  [2233] = {.lex_state = 290, .external_lex_state = 33},
  [2234] = {.lex_state = 260, .external_lex_state = 28},
  [2235] = {.lex_state = 288, .external_lex_state = 33},
  [2236] = {.lex_state = 288, .external_lex_state = 33},
  [2237] = {.lex_state = 260, .external_lex_state = 19},
  [2238] = {.lex_state = 253, .external_lex_state = 22},
  [2239] = {.lex_state = 260, .external_lex_state = 19},
  [2240] = {.lex_state = 260, .external_lex_state = 28},
  [2241] = {.lex_state = 253, .external_lex_state = 36},
  [2242] = {.lex_state = 290, .external_lex_state = 33},
  [2243] = {.lex_state = 260, .external_lex_state = 19},
  [2244] = {.lex_state = 260, .external_lex_state = 28},
  [2245] = {.lex_state = 253, .external_lex_state = 22},
  [2246] = {.lex_state = 262, .external_lex_state = 28},
  [2247] = {.lex_state = 255, .external_lex_state = 35},
  [2248] = {.lex_state = 253, .external_lex_state = 22},
  [2249] = {.lex_state = 290, .external_lex_state = 33},
  [2250] = {.lex_state = 258, .external_lex_state = 22},
  [2251] = {.lex_state = 290, .external_lex_state = 33},
  [2252] = {.lex_state = 253, .external_lex_state = 36},
  [2253] = {.lex_state = 285, .external_lex_state = 34},
  [2254] = {.lex_state = 253, .external_lex_state = 22},
  [2255] = {.lex_state = 260, .external_lex_state = 19},
  [2256] = {.lex_state = 290, .external_lex_state = 33},
  [2257] = {.lex_state = 253, .external_lex_state = 37},
  [2258] = {.lex_state = 253, .external_lex_state = 37},
  [2259] = {.lex_state = 279, .external_lex_state = 14},
  [2260] = {.lex_state = 253, .external_lex_state = 37},
  [2261] = {.lex_state = 253, .external_lex_state = 37},
  [2262] = {.lex_state = 253, .external_lex_state = 37},
  [2263] = {.lex_state = 253, .external_lex_state = 37},
  [2264] = {.lex_state = 253, .external_lex_state = 37},
  [2265] = {.lex_state = 253, .external_lex_state = 37},
  [2266] = {.lex_state = 258, .external_lex_state = 22},
  [2267] = {.lex_state = 253, .external_lex_state = 37},
  [2268] = {.lex_state = 253, .external_lex_state = 37},
  [2269] = {.lex_state = 253, .external_lex_state = 37},
  [2270] = {.lex_state = 253, .external_lex_state = 37},
  [2271] = {.lex_state = 253, .external_lex_state = 37},
  [2272] = {.lex_state = 289, .external_lex_state = 18},
  [2273] = {.lex_state = 255, .external_lex_state = 19},
  [2274] = {.lex_state = 253, .external_lex_state = 37},
  [2275] = {.lex_state = 288, .external_lex_state = 33},
  [2276] = {.lex_state = 253, .external_lex_state = 37},
  [2277] = {.lex_state = 253, .external_lex_state = 37},
  [2278] = {.lex_state = 253, .external_lex_state = 37},
  [2279] = {.lex_state = 253, .external_lex_state = 37},
  [2280] = {.lex_state = 253, .external_lex_state = 37},
  [2281] = {.lex_state = 253, .external_lex_state = 37},
  [2282] = {.lex_state = 253, .external_lex_state = 37},
  [2283] = {.lex_state = 253, .external_lex_state = 37},
  [2284] = {.lex_state = 253, .external_lex_state = 37},
  [2285] = {.lex_state = 288, .external_lex_state = 33},
  [2286] = {.lex_state = 255, .external_lex_state = 19},
  [2287] = {.lex_state = 255, .external_lex_state = 19},
  [2288] = {.lex_state = 255, .external_lex_state = 19},
  [2289] = {.lex_state = 253, .external_lex_state = 37},
  [2290] = {.lex_state = 253, .external_lex_state = 37},
  [2291] = {.lex_state = 255, .external_lex_state = 19},
  [2292] = {.lex_state = 255, .external_lex_state = 19},
  [2293] = {.lex_state = 253, .external_lex_state = 37},
  [2294] = {.lex_state = 255, .external_lex_state = 19},
  [2295] = {.lex_state = 255, .external_lex_state = 19},
  [2296] = {.lex_state = 141, .external_lex_state = 38},
  [2297] = {.lex_state = 255, .external_lex_state = 19},
  [2298] = {.lex_state = 253, .external_lex_state = 37},
  [2299] = {.lex_state = 253, .external_lex_state = 37},
  [2300] = {.lex_state = 253, .external_lex_state = 37},
  [2301] = {.lex_state = 255, .external_lex_state = 19},
  [2302] = {.lex_state = 253, .external_lex_state = 37},
  [2303] = {.lex_state = 255, .external_lex_state = 19},
  [2304] = {.lex_state = 255, .external_lex_state = 19},
  [2305] = {.lex_state = 255, .external_lex_state = 19},
  [2306] = {.lex_state = 255, .external_lex_state = 19},
  [2307] = {.lex_state = 253, .external_lex_state = 37},
  [2308] = {.lex_state = 255, .external_lex_state = 19},
  [2309] = {.lex_state = 253, .external_lex_state = 37},
  [2310] = {.lex_state = 253, .external_lex_state = 37},
  [2311] = {.lex_state = 253, .external_lex_state = 37},
  [2312] = {.lex_state = 253, .external_lex_state = 22},
  [2313] = {.lex_state = 253, .external_lex_state = 37},
  [2314] = {.lex_state = 253, .external_lex_state = 37},
  [2315] = {.lex_state = 253, .external_lex_state = 37},
  [2316] = {.lex_state = 253, .external_lex_state = 37},
  [2317] = {.lex_state = 253, .external_lex_state = 37},
  [2318] = {.lex_state = 279, .external_lex_state = 14},
  [2319] = {.lex_state = 253, .external_lex_state = 37},
  [2320] = {.lex_state = 253, .external_lex_state = 37},
  [2321] = {.lex_state = 253, .external_lex_state = 37},
  [2322] = {.lex_state = 253, .external_lex_state = 37},
  [2323] = {.lex_state = 141, .external_lex_state = 38},
  [2324] = {.lex_state = 253, .external_lex_state = 37},
  [2325] = {.lex_state = 253, .external_lex_state = 37},
  [2326] = {.lex_state = 253, .external_lex_state = 37},
  [2327] = {.lex_state = 253, .external_lex_state = 37},
  [2328] = {.lex_state = 253, .external_lex_state = 37},
  [2329] = {.lex_state = 289, .external_lex_state = 14},
  [2330] = {.lex_state = 253, .external_lex_state = 37},
  [2331] = {.lex_state = 253, .external_lex_state = 37},
  [2332] = {.lex_state = 253, .external_lex_state = 37},
  [2333] = {.lex_state = 288, .external_lex_state = 33},
  [2334] = {.lex_state = 253, .external_lex_state = 37},
  [2335] = {.lex_state = 253, .external_lex_state = 37},
  [2336] = {.lex_state = 253, .external_lex_state = 37},
  [2337] = {.lex_state = 253, .external_lex_state = 37},
  [2338] = {.lex_state = 253, .external_lex_state = 37},
  [2339] = {.lex_state = 288, .external_lex_state = 33},
  [2340] = {.lex_state = 288, .external_lex_state = 33},
  [2341] = {.lex_state = 255, .external_lex_state = 19},
  [2342] = {.lex_state = 253, .external_lex_state = 37},
  [2343] = {.lex_state = 279, .external_lex_state = 14},
  [2344] = {.lex_state = 253, .external_lex_state = 37},
  [2345] = {.lex_state = 253, .external_lex_state = 37},
  [2346] = {.lex_state = 279, .external_lex_state = 14},
  [2347] = {.lex_state = 289, .external_lex_state = 18},
  [2348] = {.lex_state = 288, .external_lex_state = 33},
  [2349] = {.lex_state = 288, .external_lex_state = 33},
  [2350] = {.lex_state = 255, .external_lex_state = 19},
  [2351] = {.lex_state = 255, .external_lex_state = 19},
  [2352] = {.lex_state = 253, .external_lex_state = 37},
  [2353] = {.lex_state = 279, .external_lex_state = 14},
  [2354] = {.lex_state = 286, .external_lex_state = 17},
  [2355] = {.lex_state = 288, .external_lex_state = 33},
  [2356] = {.lex_state = 253, .external_lex_state = 37},
  [2357] = {.lex_state = 64, .external_lex_state = 39},
  [2358] = {.lex_state = 253, .external_lex_state = 37},
  [2359] = {.lex_state = 255, .external_lex_state = 19},
  [2360] = {.lex_state = 253, .external_lex_state = 37},
  [2361] = {.lex_state = 253, .external_lex_state = 37},
  [2362] = {.lex_state = 255, .external_lex_state = 19},
  [2363] = {.lex_state = 253, .external_lex_state = 37},
  [2364] = {.lex_state = 255, .external_lex_state = 19},
  [2365] = {.lex_state = 255, .external_lex_state = 19},
  [2366] = {.lex_state = 255, .external_lex_state = 19},
  [2367] = {.lex_state = 279, .external_lex_state = 14},
  [2368] = {.lex_state = 253, .external_lex_state = 37},
  [2369] = {.lex_state = 288, .external_lex_state = 33},
  [2370] = {.lex_state = 288, .external_lex_state = 33},
  [2371] = {.lex_state = 253, .external_lex_state = 37},
  [2372] = {.lex_state = 255, .external_lex_state = 23},
  [2373] = {.lex_state = 288, .external_lex_state = 33},
  [2374] = {.lex_state = 288, .external_lex_state = 33},
  [2375] = {.lex_state = 253, .external_lex_state = 37},
  [2376] = {.lex_state = 255, .external_lex_state = 19},
  [2377] = {.lex_state = 255, .external_lex_state = 32},
  [2378] = {.lex_state = 255, .external_lex_state = 40},
  [2379] = {.lex_state = 255, .external_lex_state = 40},
  [2380] = {.lex_state = 253, .external_lex_state = 37},
  [2381] = {.lex_state = 255, .external_lex_state = 32},
  [2382] = {.lex_state = 279, .external_lex_state = 14},
  [2383] = {.lex_state = 255, .external_lex_state = 32},
  [2384] = {.lex_state = 255, .external_lex_state = 19},
  [2385] = {.lex_state = 288, .external_lex_state = 33},
  [2386] = {.lex_state = 253, .external_lex_state = 37},
  [2387] = {.lex_state = 288, .external_lex_state = 33},
  [2388] = {.lex_state = 288, .external_lex_state = 33},
  [2389] = {.lex_state = 288, .external_lex_state = 33},
  [2390] = {.lex_state = 255, .external_lex_state = 19},
  [2391] = {.lex_state = 288, .external_lex_state = 33},
  [2392] = {.lex_state = 289, .external_lex_state = 14},
  [2393] = {.lex_state = 279, .external_lex_state = 14},
  [2394] = {.lex_state = 253, .external_lex_state = 37},
  [2395] = {.lex_state = 253, .external_lex_state = 37},
  [2396] = {.lex_state = 279, .external_lex_state = 14},
  [2397] = {.lex_state = 255, .external_lex_state = 19},
  [2398] = {.lex_state = 289, .external_lex_state = 14},
  [2399] = {.lex_state = 255, .external_lex_state = 19},
  [2400] = {.lex_state = 289, .external_lex_state = 14},
  [2401] = {.lex_state = 253, .external_lex_state = 37},
  [2402] = {.lex_state = 253, .external_lex_state = 37},
  [2403] = {.lex_state = 253, .external_lex_state = 37},
  [2404] = {.lex_state = 253, .external_lex_state = 37},
  [2405] = {.lex_state = 253, .external_lex_state = 37},
  [2406] = {.lex_state = 255, .external_lex_state = 32},
  [2407] = {.lex_state = 255, .external_lex_state = 19},
  [2408] = {.lex_state = 255, .external_lex_state = 19},
  [2409] = {.lex_state = 288, .external_lex_state = 33},
  [2410] = {.lex_state = 288, .external_lex_state = 33},
  [2411] = {.lex_state = 253, .external_lex_state = 37},
  [2412] = {.lex_state = 253, .external_lex_state = 37},
  [2413] = {.lex_state = 255, .external_lex_state = 40},
  [2414] = {.lex_state = 253, .external_lex_state = 37},
  [2415] = {.lex_state = 253, .external_lex_state = 37},
  [2416] = {.lex_state = 255, .external_lex_state = 40},
  [2417] = {.lex_state = 253, .external_lex_state = 37},
  [2418] = {.lex_state = 279, .external_lex_state = 14},
  [2419] = {.lex_state = 253, .external_lex_state = 37},
  [2420] = {.lex_state = 255, .external_lex_state = 19},
  [2421] = {.lex_state = 253, .external_lex_state = 37},
  [2422] = {.lex_state = 286, .external_lex_state = 17},
  [2423] = {.lex_state = 253, .external_lex_state = 37},
  [2424] = {.lex_state = 255, .external_lex_state = 40},
  [2425] = {.lex_state = 255, .external_lex_state = 40},
  [2426] = {.lex_state = 255, .external_lex_state = 40},
  [2427] = {.lex_state = 253, .external_lex_state = 37},
  [2428] = {.lex_state = 255, .external_lex_state = 40},
  [2429] = {.lex_state = 253, .external_lex_state = 37},
  [2430] = {.lex_state = 255, .external_lex_state = 40},
  [2431] = {.lex_state = 255, .external_lex_state = 32},
  [2432] = {.lex_state = 255, .external_lex_state = 32},
  [2433] = {.lex_state = 279, .external_lex_state = 14},
  [2434] = {.lex_state = 255, .external_lex_state = 32},
  [2435] = {.lex_state = 255, .external_lex_state = 32},
  [2436] = {.lex_state = 255, .external_lex_state = 32},
  [2437] = {.lex_state = 64, .external_lex_state = 39},
  [2438] = {.lex_state = 64, .external_lex_state = 39},
  [2439] = {.lex_state = 255, .external_lex_state = 22},
  [2440] = {.lex_state = 64, .external_lex_state = 39},
  [2441] = {.lex_state = 64, .external_lex_state = 39},
  [2442] = {.lex_state = 253, .external_lex_state = 22},
  [2443] = {.lex_state = 64, .external_lex_state = 39},
  [2444] = {.lex_state = 64, .external_lex_state = 39},
  [2445] = {.lex_state = 64, .external_lex_state = 39},
  [2446] = {.lex_state = 261, .external_lex_state = 41},
  [2447] = {.lex_state = 253, .external_lex_state = 22},
  [2448] = {.lex_state = 255, .external_lex_state = 23},
  [2449] = {.lex_state = 64, .external_lex_state = 39},
  [2450] = {.lex_state = 253, .external_lex_state = 22},
  [2451] = {.lex_state = 253, .external_lex_state = 22},
  [2452] = {.lex_state = 64, .external_lex_state = 39},
  [2453] = {.lex_state = 255, .external_lex_state = 23},
  [2454] = {.lex_state = 253, .external_lex_state = 22},
  [2455] = {.lex_state = 64, .external_lex_state = 39},
  [2456] = {.lex_state = 64, .external_lex_state = 39},
  [2457] = {.lex_state = 64, .external_lex_state = 39},
  [2458] = {.lex_state = 64, .external_lex_state = 39},
  [2459] = {.lex_state = 64, .external_lex_state = 39},
  [2460] = {.lex_state = 292, .external_lex_state = 24},
  [2461] = {.lex_state = 64, .external_lex_state = 39},
  [2462] = {.lex_state = 64, .external_lex_state = 39},
  [2463] = {.lex_state = 256, .external_lex_state = 37},
  [2464] = {.lex_state = 141, .external_lex_state = 42},
  [2465] = {.lex_state = 255, .external_lex_state = 22},
  [2466] = {.lex_state = 255, .external_lex_state = 43},
  [2467] = {.lex_state = 255, .external_lex_state = 43},
  [2468] = {.lex_state = 64, .external_lex_state = 39},
  [2469] = {.lex_state = 253, .external_lex_state = 22},
  [2470] = {.lex_state = 253, .external_lex_state = 22},
  [2471] = {.lex_state = 292, .external_lex_state = 24},
  [2472] = {.lex_state = 255, .external_lex_state = 23},
  [2473] = {.lex_state = 292, .external_lex_state = 24},
  [2474] = {.lex_state = 255, .external_lex_state = 23},
  [2475] = {.lex_state = 253, .external_lex_state = 22},
  [2476] = {.lex_state = 255, .external_lex_state = 23},
  [2477] = {.lex_state = 255, .external_lex_state = 23},
  [2478] = {.lex_state = 64, .external_lex_state = 39},
  [2479] = {.lex_state = 255, .external_lex_state = 23},
  [2480] = {.lex_state = 255, .external_lex_state = 36},
  [2481] = {.lex_state = 253, .external_lex_state = 22},
  [2482] = {.lex_state = 292, .external_lex_state = 24},
  [2483] = {.lex_state = 253, .external_lex_state = 22},
  [2484] = {.lex_state = 253, .external_lex_state = 22},
  [2485] = {.lex_state = 255, .external_lex_state = 23},
  [2486] = {.lex_state = 253, .external_lex_state = 22},
  [2487] = {.lex_state = 253, .external_lex_state = 22},
  [2488] = {.lex_state = 255, .external_lex_state = 36},
  [2489] = {.lex_state = 292, .external_lex_state = 24},
  [2490] = {.lex_state = 292, .external_lex_state = 24},
  [2491] = {.lex_state = 292, .external_lex_state = 24},
  [2492] = {.lex_state = 253, .external_lex_state = 22},
  [2493] = {.lex_state = 253, .external_lex_state = 22},
  [2494] = {.lex_state = 253, .external_lex_state = 22},
  [2495] = {.lex_state = 253, .external_lex_state = 22},
  [2496] = {.lex_state = 253, .external_lex_state = 22},
  [2497] = {.lex_state = 253, .external_lex_state = 22},
  [2498] = {.lex_state = 292, .external_lex_state = 24},
  [2499] = {.lex_state = 253, .external_lex_state = 22},
  [2500] = {.lex_state = 253, .external_lex_state = 22},
  [2501] = {.lex_state = 253, .external_lex_state = 22},
  [2502] = {.lex_state = 255, .external_lex_state = 22},
  [2503] = {.lex_state = 64, .external_lex_state = 39},
  [2504] = {.lex_state = 255, .external_lex_state = 23},
  [2505] = {.lex_state = 277, .external_lex_state = 2},
  [2506] = {.lex_state = 255, .external_lex_state = 22},
  [2507] = {.lex_state = 255, .external_lex_state = 22},
  [2508] = {.lex_state = 255, .external_lex_state = 22},
  [2509] = {.lex_state = 255, .external_lex_state = 43},
  [2510] = {.lex_state = 255, .external_lex_state = 43},
  [2511] = {.lex_state = 255, .external_lex_state = 22},
  [2512] = {.lex_state = 255, .external_lex_state = 22},
  [2513] = {.lex_state = 253, .external_lex_state = 22},
  [2514] = {.lex_state = 255, .external_lex_state = 22},
  [2515] = {.lex_state = 255, .external_lex_state = 22},
  [2516] = {.lex_state = 255, .external_lex_state = 22},
  [2517] = {.lex_state = 255, .external_lex_state = 22},
  [2518] = {.lex_state = 253, .external_lex_state = 22},
  [2519] = {.lex_state = 255, .external_lex_state = 22},
  [2520] = {.lex_state = 64, .external_lex_state = 39},
  [2521] = {.lex_state = 255, .external_lex_state = 22},
  [2522] = {.lex_state = 253, .external_lex_state = 22},
  [2523] = {.lex_state = 255, .external_lex_state = 22},
  [2524] = {.lex_state = 255, .external_lex_state = 22},
  [2525] = {.lex_state = 64, .external_lex_state = 39},
  [2526] = {.lex_state = 64, .external_lex_state = 39},
  [2527] = {.lex_state = 255, .external_lex_state = 22},
  [2528] = {.lex_state = 255, .external_lex_state = 22},
  [2529] = {.lex_state = 292, .external_lex_state = 24},
  [2530] = {.lex_state = 292, .external_lex_state = 24},
  [2531] = {.lex_state = 263, .external_lex_state = 37},
  [2532] = {.lex_state = 253, .external_lex_state = 22},
  [2533] = {.lex_state = 141, .external_lex_state = 42},
  [2534] = {.lex_state = 292, .external_lex_state = 24},
  [2535] = {.lex_state = 255, .external_lex_state = 22},
  [2536] = {.lex_state = 255, .external_lex_state = 36},
  [2537] = {.lex_state = 253, .external_lex_state = 22},
  [2538] = {.lex_state = 64, .external_lex_state = 39},
  [2539] = {.lex_state = 255, .external_lex_state = 36},
  [2540] = {.lex_state = 253, .external_lex_state = 22},
  [2541] = {.lex_state = 286, .external_lex_state = 17},
  [2542] = {.lex_state = 253, .external_lex_state = 22},
  [2543] = {.lex_state = 253, .external_lex_state = 22},
  [2544] = {.lex_state = 253, .external_lex_state = 22},
  [2545] = {.lex_state = 253, .external_lex_state = 22},
  [2546] = {.lex_state = 253, .external_lex_state = 22},
  [2547] = {.lex_state = 253, .external_lex_state = 22},
  [2548] = {.lex_state = 255, .external_lex_state = 22},
  [2549] = {.lex_state = 253, .external_lex_state = 22},
  [2550] = {.lex_state = 253, .external_lex_state = 22},
  [2551] = {.lex_state = 253, .external_lex_state = 22},
  [2552] = {.lex_state = 64, .external_lex_state = 39},
  [2553] = {.lex_state = 64, .external_lex_state = 39},
  [2554] = {.lex_state = 253, .external_lex_state = 22},
  [2555] = {.lex_state = 253, .external_lex_state = 22},
  [2556] = {.lex_state = 64, .external_lex_state = 39},
  [2557] = {.lex_state = 253, .external_lex_state = 22},
  [2558] = {.lex_state = 253, .external_lex_state = 22},
  [2559] = {.lex_state = 253, .external_lex_state = 22},
  [2560] = {.lex_state = 64, .external_lex_state = 39},
  [2561] = {.lex_state = 253, .external_lex_state = 22},
  [2562] = {.lex_state = 253, .external_lex_state = 22},
  [2563] = {.lex_state = 253, .external_lex_state = 22},
  [2564] = {.lex_state = 253, .external_lex_state = 22},
  [2565] = {.lex_state = 255, .external_lex_state = 23},
  [2566] = {.lex_state = 253, .external_lex_state = 22},
  [2567] = {.lex_state = 64, .external_lex_state = 39},
  [2568] = {.lex_state = 253, .external_lex_state = 22},
  [2569] = {.lex_state = 255, .external_lex_state = 23},
  [2570] = {.lex_state = 255, .external_lex_state = 23},
  [2571] = {.lex_state = 253, .external_lex_state = 22},
  [2572] = {.lex_state = 253, .external_lex_state = 22},
  [2573] = {.lex_state = 253, .external_lex_state = 22},
  [2574] = {.lex_state = 253, .external_lex_state = 22},
  [2575] = {.lex_state = 255, .external_lex_state = 23},
  [2576] = {.lex_state = 255, .external_lex_state = 23},
  [2577] = {.lex_state = 255, .external_lex_state = 23},
  [2578] = {.lex_state = 255, .external_lex_state = 22},
  [2579] = {.lex_state = 255, .external_lex_state = 22},
  [2580] = {.lex_state = 253, .external_lex_state = 22},
  [2581] = {.lex_state = 253, .external_lex_state = 22},
  [2582] = {.lex_state = 255, .external_lex_state = 23},
  [2583] = {.lex_state = 255, .external_lex_state = 22},
  [2584] = {.lex_state = 255, .external_lex_state = 22},
  [2585] = {.lex_state = 255, .external_lex_state = 23},
  [2586] = {.lex_state = 253, .external_lex_state = 37},
  [2587] = {.lex_state = 255, .external_lex_state = 23},
  [2588] = {.lex_state = 253, .external_lex_state = 22},
  [2589] = {.lex_state = 259, .external_lex_state = 37},
  [2590] = {.lex_state = 255, .external_lex_state = 23},
  [2591] = {.lex_state = 253, .external_lex_state = 22},
  [2592] = {.lex_state = 255, .external_lex_state = 23},
  [2593] = {.lex_state = 255, .external_lex_state = 23},
  [2594] = {.lex_state = 255, .external_lex_state = 23},
  [2595] = {.lex_state = 255, .external_lex_state = 23},
  [2596] = {.lex_state = 255, .external_lex_state = 22},
  [2597] = {.lex_state = 64, .external_lex_state = 39},
  [2598] = {.lex_state = 255, .external_lex_state = 23},
  [2599] = {.lex_state = 255, .external_lex_state = 23},
  [2600] = {.lex_state = 255, .external_lex_state = 23},
  [2601] = {.lex_state = 255, .external_lex_state = 23},
  [2602] = {.lex_state = 253, .external_lex_state = 22},
  [2603] = {.lex_state = 253, .external_lex_state = 22},
  [2604] = {.lex_state = 287, .external_lex_state = 18},
  [2605] = {.lex_state = 253, .external_lex_state = 22},
  [2606] = {.lex_state = 163, .external_lex_state = 38},
  [2607] = {.lex_state = 253, .external_lex_state = 22},
  [2608] = {.lex_state = 163, .external_lex_state = 38},
  [2609] = {.lex_state = 292, .external_lex_state = 24},
  [2610] = {.lex_state = 255, .external_lex_state = 22},
  [2611] = {.lex_state = 253, .external_lex_state = 22},
  [2612] = {.lex_state = 253, .external_lex_state = 22},
  [2613] = {.lex_state = 253, .external_lex_state = 22},
  [2614] = {.lex_state = 64, .external_lex_state = 39},
  [2615] = {.lex_state = 64, .external_lex_state = 39},
  [2616] = {.lex_state = 253, .external_lex_state = 22},
  [2617] = {.lex_state = 255, .external_lex_state = 22},
  [2618] = {.lex_state = 253, .external_lex_state = 22},
  [2619] = {.lex_state = 287, .external_lex_state = 18},
  [2620] = {.lex_state = 253, .external_lex_state = 22},
  [2621] = {.lex_state = 255, .external_lex_state = 23},
  [2622] = {.lex_state = 253, .external_lex_state = 22},
  [2623] = {.lex_state = 64, .external_lex_state = 39},
  [2624] = {.lex_state = 255, .external_lex_state = 22},
  [2625] = {.lex_state = 255, .external_lex_state = 22},
  [2626] = {.lex_state = 289, .external_lex_state = 18},
  [2627] = {.lex_state = 255, .external_lex_state = 22},
  [2628] = {.lex_state = 255, .external_lex_state = 41},
  [2629] = {.lex_state = 255, .external_lex_state = 41},
  [2630] = {.lex_state = 263, .external_lex_state = 37},
  [2631] = {.lex_state = 263, .external_lex_state = 37},
  [2632] = {.lex_state = 163, .external_lex_state = 42},
  [2633] = {.lex_state = 263, .external_lex_state = 37},
  [2634] = {.lex_state = 218, .external_lex_state = 44},
  [2635] = {.lex_state = 263, .external_lex_state = 37},
  [2636] = {.lex_state = 263, .external_lex_state = 37},
  [2637] = {.lex_state = 263, .external_lex_state = 37},
  [2638] = {.lex_state = 263, .external_lex_state = 37},
  [2639] = {.lex_state = 263, .external_lex_state = 37},
  [2640] = {.lex_state = 255, .external_lex_state = 41},
  [2641] = {.lex_state = 255, .external_lex_state = 41},
  [2642] = {.lex_state = 263, .external_lex_state = 37},
  [2643] = {.lex_state = 263, .external_lex_state = 37},
  [2644] = {.lex_state = 263, .external_lex_state = 37},
  [2645] = {.lex_state = 263, .external_lex_state = 37},
  [2646] = {.lex_state = 255, .external_lex_state = 41},
  [2647] = {.lex_state = 255, .external_lex_state = 41},
  [2648] = {.lex_state = 255, .external_lex_state = 41},
  [2649] = {.lex_state = 255, .external_lex_state = 41},
  [2650] = {.lex_state = 255, .external_lex_state = 41},
  [2651] = {.lex_state = 255, .external_lex_state = 41},
  [2652] = {.lex_state = 255, .external_lex_state = 41},
  [2653] = {.lex_state = 255, .external_lex_state = 41},
  [2654] = {.lex_state = 255, .external_lex_state = 37},
  [2655] = {.lex_state = 256, .external_lex_state = 37},
  [2656] = {.lex_state = 492, .external_lex_state = 38},
  [2657] = {.lex_state = 492, .external_lex_state = 38},
  [2658] = {.lex_state = 255, .external_lex_state = 37},
  [2659] = {.lex_state = 255, .external_lex_state = 37},
  [2660] = {.lex_state = 263, .external_lex_state = 37},
  [2661] = {.lex_state = 255, .external_lex_state = 41},
  [2662] = {.lex_state = 279, .external_lex_state = 24},
  [2663] = {.lex_state = 279, .external_lex_state = 24},
  [2664] = {.lex_state = 279, .external_lex_state = 24},
  [2665] = {.lex_state = 256, .external_lex_state = 37},
  [2666] = {.lex_state = 279, .external_lex_state = 24},
  [2667] = {.lex_state = 255, .external_lex_state = 41},
  [2668] = {.lex_state = 256, .external_lex_state = 37},
  [2669] = {.lex_state = 279, .external_lex_state = 24},
  [2670] = {.lex_state = 279, .external_lex_state = 24},
  [2671] = {.lex_state = 253, .external_lex_state = 22},
  [2672] = {.lex_state = 279, .external_lex_state = 24},
  [2673] = {.lex_state = 253, .external_lex_state = 22},
  [2674] = {.lex_state = 253, .external_lex_state = 37},
  [2675] = {.lex_state = 279, .external_lex_state = 24},
  [2676] = {.lex_state = 253, .external_lex_state = 22},
  [2677] = {.lex_state = 255, .external_lex_state = 41},
  [2678] = {.lex_state = 255, .external_lex_state = 41},
  [2679] = {.lex_state = 255, .external_lex_state = 41},
  [2680] = {.lex_state = 279, .external_lex_state = 24},
  [2681] = {.lex_state = 263, .external_lex_state = 37},
  [2682] = {.lex_state = 169, .external_lex_state = 38},
  [2683] = {.lex_state = 263, .external_lex_state = 37},
  [2684] = {.lex_state = 263, .external_lex_state = 37},
  [2685] = {.lex_state = 169, .external_lex_state = 38},
  [2686] = {.lex_state = 263, .external_lex_state = 37},
  [2687] = {.lex_state = 279, .external_lex_state = 24},
  [2688] = {.lex_state = 279, .external_lex_state = 24},
  [2689] = {.lex_state = 255, .external_lex_state = 41},
  [2690] = {.lex_state = 263, .external_lex_state = 37},
  [2691] = {.lex_state = 279, .external_lex_state = 24},
  [2692] = {.lex_state = 279, .external_lex_state = 24},
  [2693] = {.lex_state = 263, .external_lex_state = 37},
  [2694] = {.lex_state = 279, .external_lex_state = 24},
  [2695] = {.lex_state = 279, .external_lex_state = 24},
  [2696] = {.lex_state = 256, .external_lex_state = 37},
  [2697] = {.lex_state = 279, .external_lex_state = 24},
  [2698] = {.lex_state = 255, .external_lex_state = 37},
  [2699] = {.lex_state = 263, .external_lex_state = 37},
  [2700] = {.lex_state = 255, .external_lex_state = 41},
  [2701] = {.lex_state = 255, .external_lex_state = 41},
  [2702] = {.lex_state = 255, .external_lex_state = 41},
  [2703] = {.lex_state = 255, .external_lex_state = 41},
  [2704] = {.lex_state = 255, .external_lex_state = 41},
  [2705] = {.lex_state = 255, .external_lex_state = 41},
  [2706] = {.lex_state = 256, .external_lex_state = 37},
  [2707] = {.lex_state = 255, .external_lex_state = 41},
  [2708] = {.lex_state = 255, .external_lex_state = 41},
  [2709] = {.lex_state = 255, .external_lex_state = 41},
  [2710] = {.lex_state = 279, .external_lex_state = 24},
  [2711] = {.lex_state = 255, .external_lex_state = 41},
  [2712] = {.lex_state = 279, .external_lex_state = 24},
  [2713] = {.lex_state = 255, .external_lex_state = 41},
  [2714] = {.lex_state = 263, .external_lex_state = 37},
  [2715] = {.lex_state = 255, .external_lex_state = 41},
  [2716] = {.lex_state = 255, .external_lex_state = 37},
  [2717] = {.lex_state = 253, .external_lex_state = 37},
  [2718] = {.lex_state = 255, .external_lex_state = 41},
  [2719] = {.lex_state = 256, .external_lex_state = 37},
  [2720] = {.lex_state = 255, .external_lex_state = 41},
  [2721] = {.lex_state = 255, .external_lex_state = 37},
  [2722] = {.lex_state = 255, .external_lex_state = 41},
  [2723] = {.lex_state = 255, .external_lex_state = 37},
  [2724] = {.lex_state = 255, .external_lex_state = 41},
  [2725] = {.lex_state = 255, .external_lex_state = 41},
  [2726] = {.lex_state = 255, .external_lex_state = 37},
  [2727] = {.lex_state = 263, .external_lex_state = 37},
  [2728] = {.lex_state = 255, .external_lex_state = 41},
  [2729] = {.lex_state = 263, .external_lex_state = 37},
  [2730] = {.lex_state = 255, .external_lex_state = 41},
  [2731] = {.lex_state = 255, .external_lex_state = 41},
  [2732] = {.lex_state = 255, .external_lex_state = 37},
  [2733] = {.lex_state = 255, .external_lex_state = 37},
  [2734] = {.lex_state = 255, .external_lex_state = 37},
  [2735] = {.lex_state = 255, .external_lex_state = 41},
  [2736] = {.lex_state = 263, .external_lex_state = 37},
  [2737] = {.lex_state = 263, .external_lex_state = 37},
  [2738] = {.lex_state = 263, .external_lex_state = 37},
  [2739] = {.lex_state = 255, .external_lex_state = 41},
  [2740] = {.lex_state = 253, .external_lex_state = 22},
  [2741] = {.lex_state = 255, .external_lex_state = 37},
  [2742] = {.lex_state = 253, .external_lex_state = 22},
  [2743] = {.lex_state = 253, .external_lex_state = 22},
  [2744] = {.lex_state = 253, .external_lex_state = 22},
  [2745] = {.lex_state = 253, .external_lex_state = 22},
  [2746] = {.lex_state = 255, .external_lex_state = 41},
  [2747] = {.lex_state = 255, .external_lex_state = 37},
  [2748] = {.lex_state = 255, .external_lex_state = 37},
  [2749] = {.lex_state = 253, .external_lex_state = 22},
  [2750] = {.lex_state = 253, .external_lex_state = 22},
  [2751] = {.lex_state = 253, .external_lex_state = 22},
  [2752] = {.lex_state = 253, .external_lex_state = 22},
  [2753] = {.lex_state = 255, .external_lex_state = 37},
  [2754] = {.lex_state = 253, .external_lex_state = 22},
  [2755] = {.lex_state = 253, .external_lex_state = 22},
  [2756] = {.lex_state = 255, .external_lex_state = 41},
  [2757] = {.lex_state = 253, .external_lex_state = 22},
  [2758] = {.lex_state = 253, .external_lex_state = 22},
  [2759] = {.lex_state = 253, .external_lex_state = 22},
  [2760] = {.lex_state = 253, .external_lex_state = 22},
  [2761] = {.lex_state = 255, .external_lex_state = 41},
  [2762] = {.lex_state = 255, .external_lex_state = 41},
  [2763] = {.lex_state = 255, .external_lex_state = 37},
  [2764] = {.lex_state = 255, .external_lex_state = 41},
  [2765] = {.lex_state = 255, .external_lex_state = 41},
  [2766] = {.lex_state = 255, .external_lex_state = 41},
  [2767] = {.lex_state = 255, .external_lex_state = 41},
  [2768] = {.lex_state = 218, .external_lex_state = 44},
  [2769] = {.lex_state = 255, .external_lex_state = 37},
  [2770] = {.lex_state = 218, .external_lex_state = 44},
  [2771] = {.lex_state = 255, .external_lex_state = 41},
  [2772] = {.lex_state = 255, .external_lex_state = 41},
  [2773] = {.lex_state = 255, .external_lex_state = 41},
  [2774] = {.lex_state = 255, .external_lex_state = 41},
  [2775] = {.lex_state = 253, .external_lex_state = 22},
  [2776] = {.lex_state = 256, .external_lex_state = 37},
  [2777] = {.lex_state = 255, .external_lex_state = 41},
  [2778] = {.lex_state = 163, .external_lex_state = 42},
  [2779] = {.lex_state = 256, .external_lex_state = 37},
  [2780] = {.lex_state = 255, .external_lex_state = 37},
  [2781] = {.lex_state = 255, .external_lex_state = 41},
  [2782] = {.lex_state = 255, .external_lex_state = 41},
  [2783] = {.lex_state = 255, .external_lex_state = 37},
  [2784] = {.lex_state = 255, .external_lex_state = 37},
  [2785] = {.lex_state = 255, .external_lex_state = 37},
  [2786] = {.lex_state = 255, .external_lex_state = 37},
  [2787] = {.lex_state = 255, .external_lex_state = 41},
  [2788] = {.lex_state = 255, .external_lex_state = 37},
  [2789] = {.lex_state = 255, .external_lex_state = 41},
  [2790] = {.lex_state = 255, .external_lex_state = 37},
  [2791] = {.lex_state = 255, .external_lex_state = 37},
  [2792] = {.lex_state = 255, .external_lex_state = 41},
  [2793] = {.lex_state = 255, .external_lex_state = 37},
  [2794] = {.lex_state = 255, .external_lex_state = 37},
  [2795] = {.lex_state = 255, .external_lex_state = 37},
  [2796] = {.lex_state = 255, .external_lex_state = 37},
  [2797] = {.lex_state = 255, .external_lex_state = 37},
  [2798] = {.lex_state = 255, .external_lex_state = 41},
  [2799] = {.lex_state = 255, .external_lex_state = 41},
  [2800] = {.lex_state = 255, .external_lex_state = 37},
  [2801] = {.lex_state = 255, .external_lex_state = 37},
  [2802] = {.lex_state = 255, .external_lex_state = 41},
  [2803] = {.lex_state = 255, .external_lex_state = 37},
  [2804] = {.lex_state = 255, .external_lex_state = 41},
  [2805] = {.lex_state = 256, .external_lex_state = 37},
  [2806] = {.lex_state = 263, .external_lex_state = 37},
  [2807] = {.lex_state = 255, .external_lex_state = 41},
  [2808] = {.lex_state = 255, .external_lex_state = 41},
  [2809] = {.lex_state = 255, .external_lex_state = 41},
  [2810] = {.lex_state = 263, .external_lex_state = 37},
  [2811] = {.lex_state = 172, .external_lex_state = 38},
  [2812] = {.lex_state = 255, .external_lex_state = 41},
  [2813] = {.lex_state = 255, .external_lex_state = 41},
  [2814] = {.lex_state = 172, .external_lex_state = 38},
  [2815] = {.lex_state = 255, .external_lex_state = 41},
  [2816] = {.lex_state = 255, .external_lex_state = 37},
  [2817] = {.lex_state = 255, .external_lex_state = 41},
  [2818] = {.lex_state = 255, .external_lex_state = 37},
  [2819] = {.lex_state = 255, .external_lex_state = 37},
  [2820] = {.lex_state = 255, .external_lex_state = 37},
  [2821] = {.lex_state = 263, .external_lex_state = 37},
  [2822] = {.lex_state = 255, .external_lex_state = 41},
  [2823] = {.lex_state = 263, .external_lex_state = 37},
  [2824] = {.lex_state = 255, .external_lex_state = 41},
  [2825] = {.lex_state = 255, .external_lex_state = 41},
  [2826] = {.lex_state = 263, .external_lex_state = 37},
  [2827] = {.lex_state = 263, .external_lex_state = 37},
  [2828] = {.lex_state = 218, .external_lex_state = 44},
  [2829] = {.lex_state = 255, .external_lex_state = 37},
  [2830] = {.lex_state = 255, .external_lex_state = 41},
  [2831] = {.lex_state = 255, .external_lex_state = 41},
  [2832] = {.lex_state = 256, .external_lex_state = 37},
  [2833] = {.lex_state = 253, .external_lex_state = 37},
  [2834] = {.lex_state = 255, .external_lex_state = 41},
  [2835] = {.lex_state = 255, .external_lex_state = 41},
  [2836] = {.lex_state = 255, .external_lex_state = 41},
  [2837] = {.lex_state = 256, .external_lex_state = 37},
  [2838] = {.lex_state = 218, .external_lex_state = 44},
  [2839] = {.lex_state = 256, .external_lex_state = 37},
  [2840] = {.lex_state = 255, .external_lex_state = 41},
  [2841] = {.lex_state = 255, .external_lex_state = 41},
  [2842] = {.lex_state = 255, .external_lex_state = 41},
  [2843] = {.lex_state = 255, .external_lex_state = 37},
  [2844] = {.lex_state = 255, .external_lex_state = 37},
  [2845] = {.lex_state = 255, .external_lex_state = 41},
  [2846] = {.lex_state = 255, .external_lex_state = 37},
  [2847] = {.lex_state = 255, .external_lex_state = 37},
  [2848] = {.lex_state = 256, .external_lex_state = 37},
  [2849] = {.lex_state = 255, .external_lex_state = 41},
  [2850] = {.lex_state = 255, .external_lex_state = 41},
  [2851] = {.lex_state = 255, .external_lex_state = 41},
  [2852] = {.lex_state = 256, .external_lex_state = 37},
  [2853] = {.lex_state = 256, .external_lex_state = 37},
  [2854] = {.lex_state = 256, .external_lex_state = 37},
  [2855] = {.lex_state = 256, .external_lex_state = 37},
  [2856] = {.lex_state = 255, .external_lex_state = 41},
  [2857] = {.lex_state = 256, .external_lex_state = 37},
  [2858] = {.lex_state = 256, .external_lex_state = 37},
  [2859] = {.lex_state = 256, .external_lex_state = 37},
  [2860] = {.lex_state = 256, .external_lex_state = 37},
  [2861] = {.lex_state = 256, .external_lex_state = 37},
  [2862] = {.lex_state = 256, .external_lex_state = 37},
  [2863] = {.lex_state = 256, .external_lex_state = 37},
  [2864] = {.lex_state = 256, .external_lex_state = 37},
  [2865] = {.lex_state = 255, .external_lex_state = 41},
  [2866] = {.lex_state = 256, .external_lex_state = 37},
  [2867] = {.lex_state = 255, .external_lex_state = 41},
  [2868] = {.lex_state = 287, .external_lex_state = 18},
  [2869] = {.lex_state = 256, .external_lex_state = 37},
  [2870] = {.lex_state = 256, .external_lex_state = 37},
  [2871] = {.lex_state = 256, .external_lex_state = 37},
  [2872] = {.lex_state = 256, .external_lex_state = 37},
  [2873] = {.lex_state = 256, .external_lex_state = 37},
  [2874] = {.lex_state = 256, .external_lex_state = 37},
  [2875] = {.lex_state = 218, .external_lex_state = 44},
  [2876] = {.lex_state = 279, .external_lex_state = 24},
  [2877] = {.lex_state = 169, .external_lex_state = 42},
  [2878] = {.lex_state = 218, .external_lex_state = 44},
  [2879] = {.lex_state = 492, .external_lex_state = 42},
  [2880] = {.lex_state = 218, .external_lex_state = 44},
  [2881] = {.lex_state = 278, .external_lex_state = 45},
  [2882] = {.lex_state = 278, .external_lex_state = 45},
  [2883] = {.lex_state = 278, .external_lex_state = 45},
  [2884] = {.lex_state = 278, .external_lex_state = 45},
  [2885] = {.lex_state = 278, .external_lex_state = 45},
  [2886] = {.lex_state = 218, .external_lex_state = 44},
  [2887] = {.lex_state = 278, .external_lex_state = 45},
  [2888] = {.lex_state = 278, .external_lex_state = 45},
  [2889] = {.lex_state = 218, .external_lex_state = 44},
  [2890] = {.lex_state = 278, .external_lex_state = 45},
  [2891] = {.lex_state = 278, .external_lex_state = 45},
  [2892] = {.lex_state = 218, .external_lex_state = 44},
  [2893] = {.lex_state = 278, .external_lex_state = 45},
  [2894] = {.lex_state = 218, .external_lex_state = 44},
  [2895] = {.lex_state = 492, .external_lex_state = 38},
  [2896] = {.lex_state = 492, .external_lex_state = 38},
  [2897] = {.lex_state = 219, .external_lex_state = 46},
  [2898] = {.lex_state = 291, .external_lex_state = 47},
  [2899] = {.lex_state = 219, .external_lex_state = 46},
  [2900] = {.lex_state = 218, .external_lex_state = 44},
  [2901] = {.lex_state = 291, .external_lex_state = 47},
  [2902] = {.lex_state = 492, .external_lex_state = 42},
  [2903] = {.lex_state = 219, .external_lex_state = 46},
  [2904] = {.lex_state = 278, .external_lex_state = 45},
  [2905] = {.lex_state = 219, .external_lex_state = 46},
  [2906] = {.lex_state = 218, .external_lex_state = 44},
  [2907] = {.lex_state = 278, .external_lex_state = 45},
  [2908] = {.lex_state = 218, .external_lex_state = 44},
  [2909] = {.lex_state = 218, .external_lex_state = 44},
  [2910] = {.lex_state = 278, .external_lex_state = 45},
  [2911] = {.lex_state = 278, .external_lex_state = 45},
  [2912] = {.lex_state = 218, .external_lex_state = 44},
  [2913] = {.lex_state = 218, .external_lex_state = 44},
  [2914] = {.lex_state = 218, .external_lex_state = 44},
  [2915] = {.lex_state = 218, .external_lex_state = 44},
  [2916] = {.lex_state = 218, .external_lex_state = 44},
  [2917] = {.lex_state = 291, .external_lex_state = 47},
  [2918] = {.lex_state = 172, .external_lex_state = 42},
  [2919] = {.lex_state = 172, .external_lex_state = 42},
  [2920] = {.lex_state = 169, .external_lex_state = 42},
  [2921] = {.lex_state = 218, .external_lex_state = 44},
  [2922] = {.lex_state = 218, .external_lex_state = 44},
  [2923] = {.lex_state = 218, .external_lex_state = 44},
  [2924] = {.lex_state = 218, .external_lex_state = 44},
  [2925] = {.lex_state = 296, .external_lex_state = 48},
  [2926] = {.lex_state = 278, .external_lex_state = 45},
  [2927] = {.lex_state = 278, .external_lex_state = 45},
  [2928] = {.lex_state = 278, .external_lex_state = 45},
  [2929] = {.lex_state = 492, .external_lex_state = 42},
  [2930] = {.lex_state = 296, .external_lex_state = 48},
  [2931] = {.lex_state = 492, .external_lex_state = 42},
  [2932] = {.lex_state = 278, .external_lex_state = 45},
  [2933] = {.lex_state = 278, .external_lex_state = 45},
  [2934] = {.lex_state = 296, .external_lex_state = 48},
  [2935] = {.lex_state = 278, .external_lex_state = 45},
  [2936] = {.lex_state = 296, .external_lex_state = 48},
  [2937] = {.lex_state = 278, .external_lex_state = 45},
  [2938] = {.lex_state = 278, .external_lex_state = 45},
  [2939] = {.lex_state = 278, .external_lex_state = 45},
  [2940] = {.lex_state = 195, .external_lex_state = 16},
  [2941] = {.lex_state = 296, .external_lex_state = 48},
  [2942] = {.lex_state = 296, .external_lex_state = 48},
  [2943] = {.lex_state = 278, .external_lex_state = 45},
  [2944] = {.lex_state = 296, .external_lex_state = 48},
  [2945] = {.lex_state = 278, .external_lex_state = 45},
  [2946] = {.lex_state = 278, .external_lex_state = 45},
  [2947] = {.lex_state = 296, .external_lex_state = 48},
  [2948] = {.lex_state = 278, .external_lex_state = 45},
  [2949] = {.lex_state = 296, .external_lex_state = 48},
  [2950] = {.lex_state = 296, .external_lex_state = 48},
  [2951] = {.lex_state = 278, .external_lex_state = 45},
  [2952] = {.lex_state = 296, .external_lex_state = 48},
  [2953] = {.lex_state = 278, .external_lex_state = 45},
  [2954] = {.lex_state = 278, .external_lex_state = 45},
  [2955] = {.lex_state = 278, .external_lex_state = 45},
  [2956] = {.lex_state = 296, .external_lex_state = 48},
  [2957] = {.lex_state = 278, .external_lex_state = 45},
  [2958] = {.lex_state = 278, .external_lex_state = 45},
  [2959] = {.lex_state = 296, .external_lex_state = 48},
  [2960] = {.lex_state = 296, .external_lex_state = 48},
  [2961] = {.lex_state = 296, .external_lex_state = 48},
  [2962] = {.lex_state = 296, .external_lex_state = 48},
  [2963] = {.lex_state = 296, .external_lex_state = 48},
  [2964] = {.lex_state = 296, .external_lex_state = 48},
  [2965] = {.lex_state = 299, .external_lex_state = 49},
  [2966] = {.lex_state = 296, .external_lex_state = 48},
  [2967] = {.lex_state = 195, .external_lex_state = 16},
  [2968] = {.lex_state = 296, .external_lex_state = 48},
  [2969] = {.lex_state = 296, .external_lex_state = 48},
  [2970] = {.lex_state = 210, .external_lex_state = 46},
  [2971] = {.lex_state = 210, .external_lex_state = 46},
  [2972] = {.lex_state = 296, .external_lex_state = 48},
  [2973] = {.lex_state = 296, .external_lex_state = 48},
  [2974] = {.lex_state = 277, .external_lex_state = 2},
  [2975] = {.lex_state = 195, .external_lex_state = 16},
  [2976] = {.lex_state = 277, .external_lex_state = 2},
  [2977] = {.lex_state = 299, .external_lex_state = 49},
  [2978] = {.lex_state = 299, .external_lex_state = 49},
  [2979] = {.lex_state = 277, .external_lex_state = 2},
  [2980] = {.lex_state = 277, .external_lex_state = 2},
  [2981] = {.lex_state = 277, .external_lex_state = 2},
  [2982] = {.lex_state = 299, .external_lex_state = 49},
  [2983] = {.lex_state = 277, .external_lex_state = 2},
  [2984] = {.lex_state = 277, .external_lex_state = 2},
  [2985] = {.lex_state = 299, .external_lex_state = 49},
  [2986] = {.lex_state = 185, .external_lex_state = 46},
  [2987] = {.lex_state = 279, .external_lex_state = 26},
  [2988] = {.lex_state = 279, .external_lex_state = 26},
  [2989] = {.lex_state = 279, .external_lex_state = 26},
  [2990] = {.lex_state = 277, .external_lex_state = 2},
  [2991] = {.lex_state = 279, .external_lex_state = 26},
  [2992] = {.lex_state = 279, .external_lex_state = 26},
  [2993] = {.lex_state = 277, .external_lex_state = 2},
  [2994] = {.lex_state = 185, .external_lex_state = 46},
  [2995] = {.lex_state = 279, .external_lex_state = 26},
  [2996] = {.lex_state = 279, .external_lex_state = 26},
  [2997] = {.lex_state = 279, .external_lex_state = 26},
  [2998] = {.lex_state = 185, .external_lex_state = 46},
  [2999] = {.lex_state = 277, .external_lex_state = 2},
  [3000] = {.lex_state = 279, .external_lex_state = 26},
  [3001] = {.lex_state = 279, .external_lex_state = 26},
  [3002] = {.lex_state = 277, .external_lex_state = 2},
  [3003] = {.lex_state = 277, .external_lex_state = 2},
  [3004] = {.lex_state = 185, .external_lex_state = 46},
  [3005] = {.lex_state = 279, .external_lex_state = 26},
  [3006] = {.lex_state = 279, .external_lex_state = 26},
  [3007] = {.lex_state = 277, .external_lex_state = 2},
  [3008] = {.lex_state = 279, .external_lex_state = 26},
  [3009] = {.lex_state = 277, .external_lex_state = 2},
  [3010] = {.lex_state = 279, .external_lex_state = 26},
  [3011] = {.lex_state = 279, .external_lex_state = 26},
  [3012] = {.lex_state = 279, .external_lex_state = 24},
  [3013] = {.lex_state = 185, .external_lex_state = 46},
  [3014] = {.lex_state = 175, .external_lex_state = 38},
  [3015] = {.lex_state = 279, .external_lex_state = 26},
  [3016] = {.lex_state = 279, .external_lex_state = 26},
  [3017] = {.lex_state = 277, .external_lex_state = 2},
  [3018] = {.lex_state = 185, .external_lex_state = 46},
  [3019] = {.lex_state = 175, .external_lex_state = 38},
  [3020] = {.lex_state = 279, .external_lex_state = 26},
  [3021] = {.lex_state = 279, .external_lex_state = 26},
  [3022] = {.lex_state = 279, .external_lex_state = 26},
  [3023] = {.lex_state = 279, .external_lex_state = 26},
  [3024] = {.lex_state = 277, .external_lex_state = 2},
  [3025] = {.lex_state = 185, .external_lex_state = 46},
  [3026] = {.lex_state = 279, .external_lex_state = 24},
  [3027] = {.lex_state = 185, .external_lex_state = 46},
  [3028] = {.lex_state = 279, .external_lex_state = 24},
  [3029] = {.lex_state = 279, .external_lex_state = 26},
  [3030] = {.lex_state = 279, .external_lex_state = 26},
  [3031] = {.lex_state = 279, .external_lex_state = 26},
  [3032] = {.lex_state = 279, .external_lex_state = 26},
  [3033] = {.lex_state = 279, .external_lex_state = 26},
  [3034] = {.lex_state = 279, .external_lex_state = 26},
  [3035] = {.lex_state = 185, .external_lex_state = 46},
  [3036] = {.lex_state = 279, .external_lex_state = 26},
  [3037] = {.lex_state = 279, .external_lex_state = 26},
  [3038] = {.lex_state = 279, .external_lex_state = 26},
  [3039] = {.lex_state = 279, .external_lex_state = 26},
  [3040] = {.lex_state = 279, .external_lex_state = 26},
  [3041] = {.lex_state = 279, .external_lex_state = 50},
  [3042] = {.lex_state = 279, .external_lex_state = 26},
  [3043] = {.lex_state = 279, .external_lex_state = 26},
  [3044] = {.lex_state = 279, .external_lex_state = 26},
  [3045] = {.lex_state = 297, .external_lex_state = 51},
  [3046] = {.lex_state = 279, .external_lex_state = 26},
  [3047] = {.lex_state = 279, .external_lex_state = 26},
  [3048] = {.lex_state = 297, .external_lex_state = 51},
  [3049] = {.lex_state = 279, .external_lex_state = 26},
  [3050] = {.lex_state = 279, .external_lex_state = 26},
  [3051] = {.lex_state = 279, .external_lex_state = 50},
  [3052] = {.lex_state = 279, .external_lex_state = 26},
  [3053] = {.lex_state = 299, .external_lex_state = 52},
  [3054] = {.lex_state = 297, .external_lex_state = 51},
  [3055] = {.lex_state = 279, .external_lex_state = 26},
  [3056] = {.lex_state = 175, .external_lex_state = 42},
  [3057] = {.lex_state = 279, .external_lex_state = 26},
  [3058] = {.lex_state = 297, .external_lex_state = 51},
  [3059] = {.lex_state = 297, .external_lex_state = 51},
  [3060] = {.lex_state = 279, .external_lex_state = 26},
  [3061] = {.lex_state = 265, .external_lex_state = 53},
  [3062] = {.lex_state = 265, .external_lex_state = 53},
  [3063] = {.lex_state = 297, .external_lex_state = 51},
  [3064] = {.lex_state = 297, .external_lex_state = 51},
  [3065] = {.lex_state = 279, .external_lex_state = 26},
  [3066] = {.lex_state = 279, .external_lex_state = 26},
  [3067] = {.lex_state = 175, .external_lex_state = 42},
  [3068] = {.lex_state = 279, .external_lex_state = 26},
  [3069] = {.lex_state = 279, .external_lex_state = 26},
  [3070] = {.lex_state = 279, .external_lex_state = 26},
  [3071] = {.lex_state = 279, .external_lex_state = 26},
  [3072] = {.lex_state = 279, .external_lex_state = 26},
  [3073] = {.lex_state = 279, .external_lex_state = 26},
  [3074] = {.lex_state = 279, .external_lex_state = 26},
  [3075] = {.lex_state = 279, .external_lex_state = 26},
  [3076] = {.lex_state = 297, .external_lex_state = 51},
  [3077] = {.lex_state = 279, .external_lex_state = 26},
  [3078] = {.lex_state = 279, .external_lex_state = 26},
  [3079] = {.lex_state = 212, .external_lex_state = 46},
  [3080] = {.lex_state = 297, .external_lex_state = 51},
  [3081] = {.lex_state = 212, .external_lex_state = 46},
  [3082] = {.lex_state = 279, .external_lex_state = 26},
  [3083] = {.lex_state = 236, .external_lex_state = 26},
  [3084] = {.lex_state = 279, .external_lex_state = 26},
  [3085] = {.lex_state = 279, .external_lex_state = 26},
  [3086] = {.lex_state = 297, .external_lex_state = 51},
  [3087] = {.lex_state = 297, .external_lex_state = 51},
  [3088] = {.lex_state = 279, .external_lex_state = 26},
  [3089] = {.lex_state = 279, .external_lex_state = 26},
  [3090] = {.lex_state = 279, .external_lex_state = 50},
  [3091] = {.lex_state = 266, .external_lex_state = 54},
  [3092] = {.lex_state = 266, .external_lex_state = 54},
  [3093] = {.lex_state = 279, .external_lex_state = 26},
  [3094] = {.lex_state = 236, .external_lex_state = 26},
  [3095] = {.lex_state = 279, .external_lex_state = 50},
  [3096] = {.lex_state = 279, .external_lex_state = 26},
  [3097] = {.lex_state = 279, .external_lex_state = 26},
  [3098] = {.lex_state = 279, .external_lex_state = 26},
  [3099] = {.lex_state = 279, .external_lex_state = 26},
  [3100] = {.lex_state = 279, .external_lex_state = 50},
  [3101] = {.lex_state = 279, .external_lex_state = 26},
  [3102] = {.lex_state = 279, .external_lex_state = 26},
  [3103] = {.lex_state = 279, .external_lex_state = 26},
  [3104] = {.lex_state = 279, .external_lex_state = 26},
  [3105] = {.lex_state = 279, .external_lex_state = 50},
  [3106] = {.lex_state = 279, .external_lex_state = 26},
  [3107] = {.lex_state = 279, .external_lex_state = 50},
  [3108] = {.lex_state = 279, .external_lex_state = 26},
  [3109] = {.lex_state = 279, .external_lex_state = 26},
  [3110] = {.lex_state = 297, .external_lex_state = 51},
  [3111] = {.lex_state = 270, .external_lex_state = 55},
  [3112] = {.lex_state = 270, .external_lex_state = 55},
  [3113] = {.lex_state = 296, .external_lex_state = 56},
  [3114] = {.lex_state = 270, .external_lex_state = 55},
  [3115] = {.lex_state = 270, .external_lex_state = 55},
  [3116] = {.lex_state = 270, .external_lex_state = 55},
  [3117] = {.lex_state = 270, .external_lex_state = 55},
  [3118] = {.lex_state = 296, .external_lex_state = 56},
  [3119] = {.lex_state = 270, .external_lex_state = 55},
  [3120] = {.lex_state = 296, .external_lex_state = 56},
  [3121] = {.lex_state = 270, .external_lex_state = 55},
  [3122] = {.lex_state = 270, .external_lex_state = 55},
  [3123] = {.lex_state = 270, .external_lex_state = 55},
  [3124] = {.lex_state = 270, .external_lex_state = 55},
  [3125] = {.lex_state = 270, .external_lex_state = 55},
  [3126] = {.lex_state = 296, .external_lex_state = 56},
  [3127] = {.lex_state = 279, .external_lex_state = 26},
  [3128] = {.lex_state = 279, .external_lex_state = 26},
  [3129] = {.lex_state = 296, .external_lex_state = 56},
  [3130] = {.lex_state = 270, .external_lex_state = 55},
  [3131] = {.lex_state = 296, .external_lex_state = 56},
  [3132] = {.lex_state = 296, .external_lex_state = 56},
  [3133] = {.lex_state = 296, .external_lex_state = 56},
  [3134] = {.lex_state = 296, .external_lex_state = 56},
  [3135] = {.lex_state = 296, .external_lex_state = 56},
  [3136] = {.lex_state = 270, .external_lex_state = 55},
  [3137] = {.lex_state = 270, .external_lex_state = 55},
  [3138] = {.lex_state = 296, .external_lex_state = 56},
  [3139] = {.lex_state = 296, .external_lex_state = 56},
  [3140] = {.lex_state = 296, .external_lex_state = 56},
  [3141] = {.lex_state = 270, .external_lex_state = 55},
  [3142] = {.lex_state = 296, .external_lex_state = 56},
  [3143] = {.lex_state = 296, .external_lex_state = 56},
  [3144] = {.lex_state = 296, .external_lex_state = 56},
  [3145] = {.lex_state = 270, .external_lex_state = 55},
  [3146] = {.lex_state = 270, .external_lex_state = 55},
  [3147] = {.lex_state = 296, .external_lex_state = 56},
  [3148] = {.lex_state = 296, .external_lex_state = 56},
  [3149] = {.lex_state = 296, .external_lex_state = 56},
  [3150] = {.lex_state = 296, .external_lex_state = 56},
  [3151] = {.lex_state = 279, .external_lex_state = 26},
  [3152] = {.lex_state = 279, .external_lex_state = 26},
  [3153] = {.lex_state = 296, .external_lex_state = 56},
  [3154] = {.lex_state = 270, .external_lex_state = 55},
  [3155] = {.lex_state = 296, .external_lex_state = 56},
  [3156] = {.lex_state = 296, .external_lex_state = 56},
  [3157] = {.lex_state = 296, .external_lex_state = 56},
  [3158] = {.lex_state = 296, .external_lex_state = 56},
  [3159] = {.lex_state = 270, .external_lex_state = 55},
  [3160] = {.lex_state = 270, .external_lex_state = 55},
  [3161] = {.lex_state = 296, .external_lex_state = 56},
  [3162] = {.lex_state = 279, .external_lex_state = 26},
  [3163] = {.lex_state = 279, .external_lex_state = 26},
  [3164] = {.lex_state = 296, .external_lex_state = 56},
  [3165] = {.lex_state = 296, .external_lex_state = 56},
  [3166] = {.lex_state = 270, .external_lex_state = 55},
  [3167] = {.lex_state = 270, .external_lex_state = 55},
  [3168] = {.lex_state = 296, .external_lex_state = 56},
  [3169] = {.lex_state = 279, .external_lex_state = 26},
  [3170] = {.lex_state = 279, .external_lex_state = 26},
  [3171] = {.lex_state = 279, .external_lex_state = 26},
  [3172] = {.lex_state = 296, .external_lex_state = 56},
  [3173] = {.lex_state = 296, .external_lex_state = 56},
  [3174] = {.lex_state = 296, .external_lex_state = 56},
  [3175] = {.lex_state = 296, .external_lex_state = 56},
  [3176] = {.lex_state = 279, .external_lex_state = 26},
  [3177] = {.lex_state = 296, .external_lex_state = 56},
  [3178] = {.lex_state = 270, .external_lex_state = 55},
  [3179] = {.lex_state = 296, .external_lex_state = 56},
  [3180] = {.lex_state = 270, .external_lex_state = 55},
  [3181] = {.lex_state = 296, .external_lex_state = 56},
  [3182] = {.lex_state = 270, .external_lex_state = 55},
  [3183] = {.lex_state = 270, .external_lex_state = 55},
  [3184] = {.lex_state = 270, .external_lex_state = 55},
  [3185] = {.lex_state = 296, .external_lex_state = 56},
  [3186] = {.lex_state = 296, .external_lex_state = 56},
  [3187] = {.lex_state = 279, .external_lex_state = 26},
  [3188] = {.lex_state = 296, .external_lex_state = 56},
  [3189] = {.lex_state = 279, .external_lex_state = 26},
  [3190] = {.lex_state = 296, .external_lex_state = 56},
  [3191] = {.lex_state = 296, .external_lex_state = 56},
  [3192] = {.lex_state = 296, .external_lex_state = 56},
  [3193] = {.lex_state = 296, .external_lex_state = 56},
  [3194] = {.lex_state = 296, .external_lex_state = 56},
  [3195] = {.lex_state = 279, .external_lex_state = 26},
  [3196] = {.lex_state = 296, .external_lex_state = 56},
  [3197] = {.lex_state = 296, .external_lex_state = 56},
  [3198] = {.lex_state = 279, .external_lex_state = 26},
  [3199] = {.lex_state = 296, .external_lex_state = 56},
  [3200] = {.lex_state = 296, .external_lex_state = 56},
  [3201] = {.lex_state = 296, .external_lex_state = 56},
  [3202] = {.lex_state = 296, .external_lex_state = 56},
  [3203] = {.lex_state = 279, .external_lex_state = 26},
  [3204] = {.lex_state = 296, .external_lex_state = 56},
  [3205] = {.lex_state = 296, .external_lex_state = 56},
  [3206] = {.lex_state = 296, .external_lex_state = 56},
  [3207] = {.lex_state = 296, .external_lex_state = 56},
  [3208] = {.lex_state = 296, .external_lex_state = 56},
  [3209] = {.lex_state = 296, .external_lex_state = 56},
  [3210] = {.lex_state = 296, .external_lex_state = 56},
  [3211] = {.lex_state = 296, .external_lex_state = 56},
  [3212] = {.lex_state = 270, .external_lex_state = 55},
  [3213] = {.lex_state = 296, .external_lex_state = 56},
  [3214] = {.lex_state = 296, .external_lex_state = 56},
  [3215] = {.lex_state = 296, .external_lex_state = 56},
  [3216] = {.lex_state = 296, .external_lex_state = 56},
  [3217] = {.lex_state = 296, .external_lex_state = 56},
  [3218] = {.lex_state = 270, .external_lex_state = 55},
  [3219] = {.lex_state = 296, .external_lex_state = 56},
  [3220] = {.lex_state = 279, .external_lex_state = 26},
  [3221] = {.lex_state = 296, .external_lex_state = 56},
  [3222] = {.lex_state = 296, .external_lex_state = 56},
  [3223] = {.lex_state = 296, .external_lex_state = 56},
  [3224] = {.lex_state = 296, .external_lex_state = 56},
  [3225] = {.lex_state = 296, .external_lex_state = 56},
  [3226] = {.lex_state = 296, .external_lex_state = 56},
  [3227] = {.lex_state = 270, .external_lex_state = 55},
  [3228] = {.lex_state = 296, .external_lex_state = 56},
  [3229] = {.lex_state = 296, .external_lex_state = 56},
  [3230] = {.lex_state = 296, .external_lex_state = 56},
  [3231] = {.lex_state = 296, .external_lex_state = 56},
  [3232] = {.lex_state = 296, .external_lex_state = 56},
  [3233] = {.lex_state = 270, .external_lex_state = 55},
  [3234] = {.lex_state = 270, .external_lex_state = 55},
  [3235] = {.lex_state = 270, .external_lex_state = 55},
  [3236] = {.lex_state = 270, .external_lex_state = 55},
  [3237] = {.lex_state = 270, .external_lex_state = 55},
  [3238] = {.lex_state = 279, .external_lex_state = 26},
  [3239] = {.lex_state = 296, .external_lex_state = 56},
  [3240] = {.lex_state = 270, .external_lex_state = 55},
  [3241] = {.lex_state = 296, .external_lex_state = 56},
  [3242] = {.lex_state = 296, .external_lex_state = 56},
  [3243] = {.lex_state = 279, .external_lex_state = 26},
  [3244] = {.lex_state = 296, .external_lex_state = 56},
  [3245] = {.lex_state = 296, .external_lex_state = 56},
  [3246] = {.lex_state = 296, .external_lex_state = 56},
  [3247] = {.lex_state = 296, .external_lex_state = 56},
  [3248] = {.lex_state = 296, .external_lex_state = 56},
  [3249] = {.lex_state = 279, .external_lex_state = 26},
  [3250] = {.lex_state = 296, .external_lex_state = 56},
  [3251] = {.lex_state = 296, .external_lex_state = 56},
  [3252] = {.lex_state = 296, .external_lex_state = 56},
  [3253] = {.lex_state = 296, .external_lex_state = 56},
  [3254] = {.lex_state = 296, .external_lex_state = 56},
  [3255] = {.lex_state = 296, .external_lex_state = 56},
  [3256] = {.lex_state = 279, .external_lex_state = 26},
  [3257] = {.lex_state = 279, .external_lex_state = 26},
  [3258] = {.lex_state = 296, .external_lex_state = 56},
  [3259] = {.lex_state = 296, .external_lex_state = 56},
  [3260] = {.lex_state = 296, .external_lex_state = 56},
  [3261] = {.lex_state = 296, .external_lex_state = 56},
  [3262] = {.lex_state = 296, .external_lex_state = 56},
  [3263] = {.lex_state = 279, .external_lex_state = 26},
  [3264] = {.lex_state = 296, .external_lex_state = 56},
  [3265] = {.lex_state = 270, .external_lex_state = 55},
  [3266] = {.lex_state = 296, .external_lex_state = 56},
  [3267] = {.lex_state = 270, .external_lex_state = 55},
  [3268] = {.lex_state = 270, .external_lex_state = 55},
  [3269] = {.lex_state = 279, .external_lex_state = 26},
  [3270] = {.lex_state = 296, .external_lex_state = 56},
  [3271] = {.lex_state = 296, .external_lex_state = 56},
  [3272] = {.lex_state = 296, .external_lex_state = 56},
  [3273] = {.lex_state = 270, .external_lex_state = 55},
  [3274] = {.lex_state = 270, .external_lex_state = 55},
  [3275] = {.lex_state = 270, .external_lex_state = 55},
  [3276] = {.lex_state = 270, .external_lex_state = 55},
  [3277] = {.lex_state = 270, .external_lex_state = 55},
  [3278] = {.lex_state = 270, .external_lex_state = 55},
  [3279] = {.lex_state = 270, .external_lex_state = 55},
  [3280] = {.lex_state = 296, .external_lex_state = 56},
  [3281] = {.lex_state = 270, .external_lex_state = 55},
  [3282] = {.lex_state = 296, .external_lex_state = 56},
  [3283] = {.lex_state = 296, .external_lex_state = 56},
  [3284] = {.lex_state = 296, .external_lex_state = 56},
  [3285] = {.lex_state = 296, .external_lex_state = 56},
  [3286] = {.lex_state = 270, .external_lex_state = 55},
  [3287] = {.lex_state = 270, .external_lex_state = 55},
  [3288] = {.lex_state = 296, .external_lex_state = 56},
  [3289] = {.lex_state = 296, .external_lex_state = 56},
  [3290] = {.lex_state = 296, .external_lex_state = 56},
  [3291] = {.lex_state = 296, .external_lex_state = 56},
  [3292] = {.lex_state = 279, .external_lex_state = 26},
  [3293] = {.lex_state = 279, .external_lex_state = 26},
  [3294] = {.lex_state = 296, .external_lex_state = 56},
  [3295] = {.lex_state = 296, .external_lex_state = 56},
  [3296] = {.lex_state = 296, .external_lex_state = 56},
  [3297] = {.lex_state = 279, .external_lex_state = 26},
  [3298] = {.lex_state = 279, .external_lex_state = 26},
  [3299] = {.lex_state = 296, .external_lex_state = 56},
  [3300] = {.lex_state = 296, .external_lex_state = 56},
  [3301] = {.lex_state = 296, .external_lex_state = 56},
  [3302] = {.lex_state = 279, .external_lex_state = 26},
  [3303] = {.lex_state = 279, .external_lex_state = 26},
  [3304] = {.lex_state = 270, .external_lex_state = 55},
  [3305] = {.lex_state = 270, .external_lex_state = 55},
  [3306] = {.lex_state = 270, .external_lex_state = 55},
  [3307] = {.lex_state = 270, .external_lex_state = 55},
  [3308] = {.lex_state = 270, .external_lex_state = 55},
  [3309] = {.lex_state = 296, .external_lex_state = 56},
  [3310] = {.lex_state = 296, .external_lex_state = 56},
  [3311] = {.lex_state = 296, .external_lex_state = 56},
  [3312] = {.lex_state = 296, .external_lex_state = 56},
  [3313] = {.lex_state = 296, .external_lex_state = 56},
  [3314] = {.lex_state = 270, .external_lex_state = 55},
  [3315] = {.lex_state = 270, .external_lex_state = 55},
  [3316] = {.lex_state = 270, .external_lex_state = 55},
  [3317] = {.lex_state = 270, .external_lex_state = 55},
  [3318] = {.lex_state = 296, .external_lex_state = 56},
  [3319] = {.lex_state = 270, .external_lex_state = 55},
  [3320] = {.lex_state = 296, .external_lex_state = 56},
  [3321] = {.lex_state = 296, .external_lex_state = 56},
  [3322] = {.lex_state = 270, .external_lex_state = 55},
  [3323] = {.lex_state = 296, .external_lex_state = 56},
  [3324] = {.lex_state = 279, .external_lex_state = 26},
  [3325] = {.lex_state = 270, .external_lex_state = 55},
  [3326] = {.lex_state = 270, .external_lex_state = 55},
  [3327] = {.lex_state = 270, .external_lex_state = 55},
  [3328] = {.lex_state = 296, .external_lex_state = 56},
  [3329] = {.lex_state = 270, .external_lex_state = 55},
  [3330] = {.lex_state = 270, .external_lex_state = 55},
  [3331] = {.lex_state = 279, .external_lex_state = 26},
  [3332] = {.lex_state = 296, .external_lex_state = 56},
  [3333] = {.lex_state = 279, .external_lex_state = 26},
  [3334] = {.lex_state = 270, .external_lex_state = 55},
  [3335] = {.lex_state = 270, .external_lex_state = 55},
  [3336] = {.lex_state = 279, .external_lex_state = 26},
  [3337] = {.lex_state = 270, .external_lex_state = 55},
  [3338] = {.lex_state = 296, .external_lex_state = 56},
  [3339] = {.lex_state = 270, .external_lex_state = 55},
  [3340] = {.lex_state = 296, .external_lex_state = 56},
  [3341] = {.lex_state = 279, .external_lex_state = 26},
  [3342] = {.lex_state = 296, .external_lex_state = 56},
  [3343] = {.lex_state = 270, .external_lex_state = 55},
  [3344] = {.lex_state = 270, .external_lex_state = 55},
  [3345] = {.lex_state = 296, .external_lex_state = 56},
  [3346] = {.lex_state = 279, .external_lex_state = 26},
  [3347] = {.lex_state = 279, .external_lex_state = 26},
  [3348] = {.lex_state = 270, .external_lex_state = 55},
  [3349] = {.lex_state = 279, .external_lex_state = 26},
  [3350] = {.lex_state = 296, .external_lex_state = 56},
  [3351] = {.lex_state = 270, .external_lex_state = 55},
  [3352] = {.lex_state = 296, .external_lex_state = 56},
  [3353] = {.lex_state = 279, .external_lex_state = 26},
  [3354] = {.lex_state = 296, .external_lex_state = 56},
  [3355] = {.lex_state = 296, .external_lex_state = 56},
  [3356] = {.lex_state = 270, .external_lex_state = 55},
  [3357] = {.lex_state = 270, .external_lex_state = 55},
  [3358] = {.lex_state = 279, .external_lex_state = 26},
  [3359] = {.lex_state = 270, .external_lex_state = 55},
  [3360] = {.lex_state = 279, .external_lex_state = 26},
  [3361] = {.lex_state = 270, .external_lex_state = 55},
  [3362] = {.lex_state = 279, .external_lex_state = 26},
  [3363] = {.lex_state = 296, .external_lex_state = 56},
  [3364] = {.lex_state = 296, .external_lex_state = 56},
  [3365] = {.lex_state = 296, .external_lex_state = 56},
  [3366] = {.lex_state = 270, .external_lex_state = 55},
  [3367] = {.lex_state = 296, .external_lex_state = 56},
  [3368] = {.lex_state = 270, .external_lex_state = 55},
  [3369] = {.lex_state = 296, .external_lex_state = 56},
  [3370] = {.lex_state = 296, .external_lex_state = 56},
  [3371] = {.lex_state = 296, .external_lex_state = 56},
  [3372] = {.lex_state = 270, .external_lex_state = 55},
  [3373] = {.lex_state = 296, .external_lex_state = 56},
  [3374] = {.lex_state = 270, .external_lex_state = 55},
  [3375] = {.lex_state = 270, .external_lex_state = 55},
  [3376] = {.lex_state = 279, .external_lex_state = 26},
  [3377] = {.lex_state = 270, .external_lex_state = 55},
  [3378] = {.lex_state = 279, .external_lex_state = 26},
  [3379] = {.lex_state = 270, .external_lex_state = 55},
  [3380] = {.lex_state = 279, .external_lex_state = 26},
  [3381] = {.lex_state = 270, .external_lex_state = 55},
  [3382] = {.lex_state = 279, .external_lex_state = 26},
  [3383] = {.lex_state = 270, .external_lex_state = 55},
  [3384] = {.lex_state = 270, .external_lex_state = 55},
  [3385] = {.lex_state = 270, .external_lex_state = 55},
  [3386] = {.lex_state = 296, .external_lex_state = 56},
  [3387] = {.lex_state = 270, .external_lex_state = 55},
  [3388] = {.lex_state = 296, .external_lex_state = 56},
  [3389] = {.lex_state = 270, .external_lex_state = 55},
  [3390] = {.lex_state = 270, .external_lex_state = 55},
  [3391] = {.lex_state = 270, .external_lex_state = 55},
  [3392] = {.lex_state = 296, .external_lex_state = 56},
  [3393] = {.lex_state = 279, .external_lex_state = 26},
  [3394] = {.lex_state = 270, .external_lex_state = 55},
  [3395] = {.lex_state = 296, .external_lex_state = 56},
  [3396] = {.lex_state = 296, .external_lex_state = 56},
  [3397] = {.lex_state = 270, .external_lex_state = 55},
  [3398] = {.lex_state = 270, .external_lex_state = 55},
  [3399] = {.lex_state = 279, .external_lex_state = 26},
  [3400] = {.lex_state = 296, .external_lex_state = 56},
  [3401] = {.lex_state = 270, .external_lex_state = 55},
  [3402] = {.lex_state = 270, .external_lex_state = 55},
  [3403] = {.lex_state = 270, .external_lex_state = 55},
  [3404] = {.lex_state = 296, .external_lex_state = 56},
  [3405] = {.lex_state = 296, .external_lex_state = 56},
  [3406] = {.lex_state = 296, .external_lex_state = 56},
  [3407] = {.lex_state = 270, .external_lex_state = 55},
  [3408] = {.lex_state = 270, .external_lex_state = 55},
  [3409] = {.lex_state = 296, .external_lex_state = 56},
  [3410] = {.lex_state = 296, .external_lex_state = 56},
  [3411] = {.lex_state = 270, .external_lex_state = 55},
  [3412] = {.lex_state = 279, .external_lex_state = 26},
  [3413] = {.lex_state = 296, .external_lex_state = 56},
  [3414] = {.lex_state = 296, .external_lex_state = 56},
  [3415] = {.lex_state = 270, .external_lex_state = 55},
  [3416] = {.lex_state = 270, .external_lex_state = 55},
  [3417] = {.lex_state = 279, .external_lex_state = 26},
  [3418] = {.lex_state = 279, .external_lex_state = 26},
  [3419] = {.lex_state = 270, .external_lex_state = 55},
  [3420] = {.lex_state = 296, .external_lex_state = 56},
  [3421] = {.lex_state = 296, .external_lex_state = 56},
  [3422] = {.lex_state = 279, .external_lex_state = 26},
  [3423] = {.lex_state = 296, .external_lex_state = 56},
  [3424] = {.lex_state = 296, .external_lex_state = 56},
  [3425] = {.lex_state = 296, .external_lex_state = 56},
  [3426] = {.lex_state = 270, .external_lex_state = 55},
  [3427] = {.lex_state = 270, .external_lex_state = 55},
  [3428] = {.lex_state = 279, .external_lex_state = 26},
  [3429] = {.lex_state = 270, .external_lex_state = 55},
  [3430] = {.lex_state = 270, .external_lex_state = 55},
  [3431] = {.lex_state = 296, .external_lex_state = 56},
  [3432] = {.lex_state = 270, .external_lex_state = 55},
  [3433] = {.lex_state = 270, .external_lex_state = 55},
  [3434] = {.lex_state = 270, .external_lex_state = 55},
  [3435] = {.lex_state = 270, .external_lex_state = 55},
  [3436] = {.lex_state = 296, .external_lex_state = 56},
  [3437] = {.lex_state = 270, .external_lex_state = 55},
  [3438] = {.lex_state = 296, .external_lex_state = 56},
  [3439] = {.lex_state = 270, .external_lex_state = 55},
  [3440] = {.lex_state = 270, .external_lex_state = 55},
  [3441] = {.lex_state = 296, .external_lex_state = 56},
  [3442] = {.lex_state = 296, .external_lex_state = 56},
  [3443] = {.lex_state = 296, .external_lex_state = 56},
  [3444] = {.lex_state = 270, .external_lex_state = 55},
  [3445] = {.lex_state = 270, .external_lex_state = 55},
  [3446] = {.lex_state = 296, .external_lex_state = 56},
  [3447] = {.lex_state = 296, .external_lex_state = 56},
  [3448] = {.lex_state = 296, .external_lex_state = 56},
  [3449] = {.lex_state = 296, .external_lex_state = 56},
  [3450] = {.lex_state = 270, .external_lex_state = 55},
  [3451] = {.lex_state = 270, .external_lex_state = 55},
  [3452] = {.lex_state = 270, .external_lex_state = 55},
  [3453] = {.lex_state = 296, .external_lex_state = 56},
  [3454] = {.lex_state = 296, .external_lex_state = 56},
  [3455] = {.lex_state = 270, .external_lex_state = 55},
  [3456] = {.lex_state = 270, .external_lex_state = 55},
  [3457] = {.lex_state = 296, .external_lex_state = 56},
  [3458] = {.lex_state = 270, .external_lex_state = 55},
  [3459] = {.lex_state = 270, .external_lex_state = 55},
  [3460] = {.lex_state = 270, .external_lex_state = 55},
  [3461] = {.lex_state = 270, .external_lex_state = 55},
  [3462] = {.lex_state = 296, .external_lex_state = 56},
  [3463] = {.lex_state = 296, .external_lex_state = 56},
  [3464] = {.lex_state = 270, .external_lex_state = 55},
  [3465] = {.lex_state = 270, .external_lex_state = 55},
  [3466] = {.lex_state = 270, .external_lex_state = 55},
  [3467] = {.lex_state = 296, .external_lex_state = 56},
  [3468] = {.lex_state = 270, .external_lex_state = 55},
  [3469] = {.lex_state = 296, .external_lex_state = 56},
  [3470] = {.lex_state = 270, .external_lex_state = 55},
  [3471] = {.lex_state = 270, .external_lex_state = 55},
  [3472] = {.lex_state = 270, .external_lex_state = 55},
  [3473] = {.lex_state = 270, .external_lex_state = 55},
  [3474] = {.lex_state = 270, .external_lex_state = 55},
  [3475] = {.lex_state = 270, .external_lex_state = 55},
  [3476] = {.lex_state = 270, .external_lex_state = 55},
  [3477] = {.lex_state = 270, .external_lex_state = 55},
  [3478] = {.lex_state = 270, .external_lex_state = 55},
  [3479] = {.lex_state = 270, .external_lex_state = 55},
  [3480] = {.lex_state = 270, .external_lex_state = 55},
  [3481] = {.lex_state = 270, .external_lex_state = 55},
  [3482] = {.lex_state = 270, .external_lex_state = 55},
  [3483] = {.lex_state = 270, .external_lex_state = 55},
  [3484] = {.lex_state = 270, .external_lex_state = 55},
  [3485] = {.lex_state = 296, .external_lex_state = 56},
  [3486] = {.lex_state = 270, .external_lex_state = 55},
  [3487] = {.lex_state = 270, .external_lex_state = 55},
  [3488] = {.lex_state = 270, .external_lex_state = 55},
  [3489] = {.lex_state = 296, .external_lex_state = 56},
  [3490] = {.lex_state = 270, .external_lex_state = 55},
  [3491] = {.lex_state = 270, .external_lex_state = 55},
  [3492] = {.lex_state = 296, .external_lex_state = 56},
  [3493] = {.lex_state = 296, .external_lex_state = 56},
  [3494] = {.lex_state = 296, .external_lex_state = 56},
  [3495] = {.lex_state = 296, .external_lex_state = 56},
  [3496] = {.lex_state = 296, .external_lex_state = 56},
  [3497] = {.lex_state = 296, .external_lex_state = 56},
  [3498] = {.lex_state = 296, .external_lex_state = 56},
  [3499] = {.lex_state = 296, .external_lex_state = 56},
  [3500] = {.lex_state = 296, .external_lex_state = 56},
  [3501] = {.lex_state = 296, .external_lex_state = 56},
  [3502] = {.lex_state = 296, .external_lex_state = 56},
  [3503] = {.lex_state = 270, .external_lex_state = 55},
  [3504] = {.lex_state = 296, .external_lex_state = 56},
  [3505] = {.lex_state = 296, .external_lex_state = 56},
  [3506] = {.lex_state = 296, .external_lex_state = 56},
  [3507] = {.lex_state = 279, .external_lex_state = 26},
  [3508] = {.lex_state = 296, .external_lex_state = 56},
  [3509] = {.lex_state = 296, .external_lex_state = 56},
  [3510] = {.lex_state = 296, .external_lex_state = 56},
  [3511] = {.lex_state = 296, .external_lex_state = 56},
  [3512] = {.lex_state = 296, .external_lex_state = 56},
  [3513] = {.lex_state = 296, .external_lex_state = 56},
  [3514] = {.lex_state = 265, .external_lex_state = 57},
  [3515] = {.lex_state = 265, .external_lex_state = 57},
  [3516] = {.lex_state = 296, .external_lex_state = 56},
  [3517] = {.lex_state = 296, .external_lex_state = 56},
  [3518] = {.lex_state = 296, .external_lex_state = 56},
  [3519] = {.lex_state = 270, .external_lex_state = 55},
  [3520] = {.lex_state = 296, .external_lex_state = 56},
  [3521] = {.lex_state = 270, .external_lex_state = 55},
  [3522] = {.lex_state = 65, .external_lex_state = 58},
  [3523] = {.lex_state = 67, .external_lex_state = 42},
  [3524] = {.lex_state = 66, .external_lex_state = 59},
  [3525] = {.lex_state = 67, .external_lex_state = 42},
  [3526] = {.lex_state = 299, .external_lex_state = 60},
  [3527] = {.lex_state = 67, .external_lex_state = 42},
  [3528] = {.lex_state = 65, .external_lex_state = 58},
  [3529] = {.lex_state = 65, .external_lex_state = 58},
  [3530] = {.lex_state = 67, .external_lex_state = 42},
  [3531] = {.lex_state = 66, .external_lex_state = 59},
  [3532] = {.lex_state = 67, .external_lex_state = 42},
  [3533] = {.lex_state = 67, .external_lex_state = 42},
  [3534] = {.lex_state = 67, .external_lex_state = 42},
  [3535] = {.lex_state = 66, .external_lex_state = 59},
  [3536] = {.lex_state = 66, .external_lex_state = 59},
  [3537] = {.lex_state = 66, .external_lex_state = 61},
  [3538] = {.lex_state = 66, .external_lex_state = 59},
  [3539] = {.lex_state = 66, .external_lex_state = 59},
  [3540] = {.lex_state = 66, .external_lex_state = 59},
  [3541] = {.lex_state = 66, .external_lex_state = 38},
  [3542] = {.lex_state = 65, .external_lex_state = 58},
  [3543] = {.lex_state = 65, .external_lex_state = 58},
  [3544] = {.lex_state = 67, .external_lex_state = 42},
  [3545] = {.lex_state = 66, .external_lex_state = 38},
  [3546] = {.lex_state = 487, .external_lex_state = 59},
  [3547] = {.lex_state = 65, .external_lex_state = 58},
  [3548] = {.lex_state = 66, .external_lex_state = 61},
  [3549] = {.lex_state = 487, .external_lex_state = 61},
  [3550] = {.lex_state = 66, .external_lex_state = 61},
  [3551] = {.lex_state = 66, .external_lex_state = 42},
  [3552] = {.lex_state = 66, .external_lex_state = 61},
  [3553] = {.lex_state = 66, .external_lex_state = 59},
  [3554] = {.lex_state = 487, .external_lex_state = 59},
  [3555] = {.lex_state = 66, .external_lex_state = 59},
  [3556] = {.lex_state = 66, .external_lex_state = 59},
  [3557] = {.lex_state = 66, .external_lex_state = 59},
  [3558] = {.lex_state = 487, .external_lex_state = 59},
  [3559] = {.lex_state = 486, .external_lex_state = 42},
  [3560] = {.lex_state = 487, .external_lex_state = 59},
  [3561] = {.lex_state = 487, .external_lex_state = 59},
  [3562] = {.lex_state = 487, .external_lex_state = 59},
  [3563] = {.lex_state = 66, .external_lex_state = 59},
  [3564] = {.lex_state = 486, .external_lex_state = 42},
  [3565] = {.lex_state = 487, .external_lex_state = 59},
  [3566] = {.lex_state = 66, .external_lex_state = 59},
  [3567] = {.lex_state = 66, .external_lex_state = 61},
  [3568] = {.lex_state = 66, .external_lex_state = 59},
  [3569] = {.lex_state = 66, .external_lex_state = 42},
  [3570] = {.lex_state = 66, .external_lex_state = 59},
  [3571] = {.lex_state = 66, .external_lex_state = 59},
  [3572] = {.lex_state = 66, .external_lex_state = 61},
  [3573] = {.lex_state = 487, .external_lex_state = 59},
  [3574] = {.lex_state = 488, .external_lex_state = 38},
  [3575] = {.lex_state = 487, .external_lex_state = 59},
  [3576] = {.lex_state = 66, .external_lex_state = 59},
  [3577] = {.lex_state = 66, .external_lex_state = 59},
  [3578] = {.lex_state = 486, .external_lex_state = 42},
  [3579] = {.lex_state = 66, .external_lex_state = 42},
  [3580] = {.lex_state = 487, .external_lex_state = 59},
  [3581] = {.lex_state = 178, .external_lex_state = 62},
  [3582] = {.lex_state = 178, .external_lex_state = 62},
  [3583] = {.lex_state = 66, .external_lex_state = 59},
  [3584] = {.lex_state = 487, .external_lex_state = 59},
  [3585] = {.lex_state = 66, .external_lex_state = 59},
  [3586] = {.lex_state = 66, .external_lex_state = 59},
  [3587] = {.lex_state = 66, .external_lex_state = 59},
  [3588] = {.lex_state = 66, .external_lex_state = 59},
  [3589] = {.lex_state = 66, .external_lex_state = 61},
  [3590] = {.lex_state = 487, .external_lex_state = 59},
  [3591] = {.lex_state = 66, .external_lex_state = 59},
  [3592] = {.lex_state = 66, .external_lex_state = 59},
  [3593] = {.lex_state = 66, .external_lex_state = 61},
  [3594] = {.lex_state = 487, .external_lex_state = 59},
  [3595] = {.lex_state = 487, .external_lex_state = 59},
  [3596] = {.lex_state = 66, .external_lex_state = 38},
  [3597] = {.lex_state = 486, .external_lex_state = 42},
  [3598] = {.lex_state = 66, .external_lex_state = 61},
  [3599] = {.lex_state = 487, .external_lex_state = 59},
  [3600] = {.lex_state = 486, .external_lex_state = 42},
  [3601] = {.lex_state = 487, .external_lex_state = 59},
  [3602] = {.lex_state = 66, .external_lex_state = 42},
  [3603] = {.lex_state = 486, .external_lex_state = 42},
  [3604] = {.lex_state = 486, .external_lex_state = 42},
  [3605] = {.lex_state = 66, .external_lex_state = 59},
  [3606] = {.lex_state = 66, .external_lex_state = 59},
  [3607] = {.lex_state = 66, .external_lex_state = 59},
  [3608] = {.lex_state = 486, .external_lex_state = 42},
  [3609] = {.lex_state = 66, .external_lex_state = 42},
  [3610] = {.lex_state = 66, .external_lex_state = 59},
  [3611] = {.lex_state = 487, .external_lex_state = 59},
  [3612] = {.lex_state = 486, .external_lex_state = 42},
  [3613] = {.lex_state = 487, .external_lex_state = 59},
  [3614] = {.lex_state = 487, .external_lex_state = 59},
  [3615] = {.lex_state = 487, .external_lex_state = 59},
  [3616] = {.lex_state = 487, .external_lex_state = 59},
  [3617] = {.lex_state = 488, .external_lex_state = 38},
  [3618] = {.lex_state = 66, .external_lex_state = 61},
  [3619] = {.lex_state = 66, .external_lex_state = 61},
  [3620] = {.lex_state = 66, .external_lex_state = 61},
  [3621] = {.lex_state = 66, .external_lex_state = 38},
  [3622] = {.lex_state = 66, .external_lex_state = 42},
  [3623] = {.lex_state = 66, .external_lex_state = 38},
  [3624] = {.lex_state = 486, .external_lex_state = 42},
  [3625] = {.lex_state = 299, .external_lex_state = 63},
  [3626] = {.lex_state = 299, .external_lex_state = 63},
  [3627] = {.lex_state = 487, .external_lex_state = 59},
  [3628] = {.lex_state = 487, .external_lex_state = 59},
  [3629] = {.lex_state = 299, .external_lex_state = 63},
  [3630] = {.lex_state = 66, .external_lex_state = 38},
  [3631] = {.lex_state = 486, .external_lex_state = 42},
  [3632] = {.lex_state = 66, .external_lex_state = 59},
  [3633] = {.lex_state = 299, .external_lex_state = 63},
  [3634] = {.lex_state = 66, .external_lex_state = 61},
  [3635] = {.lex_state = 486, .external_lex_state = 42},
  [3636] = {.lex_state = 486, .external_lex_state = 42},
  [3637] = {.lex_state = 488, .external_lex_state = 42},
  [3638] = {.lex_state = 487, .external_lex_state = 61},
  [3639] = {.lex_state = 487, .external_lex_state = 61},
  [3640] = {.lex_state = 299, .external_lex_state = 49},
  [3641] = {.lex_state = 299, .external_lex_state = 49},
  [3642] = {.lex_state = 66, .external_lex_state = 61},
  [3643] = {.lex_state = 299, .external_lex_state = 49},
  [3644] = {.lex_state = 66, .external_lex_state = 61},
  [3645] = {.lex_state = 66, .external_lex_state = 61},
  [3646] = {.lex_state = 487, .external_lex_state = 59},
  [3647] = {.lex_state = 66, .external_lex_state = 61},
  [3648] = {.lex_state = 299, .external_lex_state = 49},
  [3649] = {.lex_state = 487, .external_lex_state = 61},
  [3650] = {.lex_state = 66, .external_lex_state = 61},
  [3651] = {.lex_state = 487, .external_lex_state = 61},
  [3652] = {.lex_state = 66, .external_lex_state = 42},
  [3653] = {.lex_state = 66, .external_lex_state = 61},
  [3654] = {.lex_state = 487, .external_lex_state = 61},
  [3655] = {.lex_state = 487, .external_lex_state = 61},
  [3656] = {.lex_state = 487, .external_lex_state = 61},
  [3657] = {.lex_state = 487, .external_lex_state = 61},
  [3658] = {.lex_state = 487, .external_lex_state = 59},
  [3659] = {.lex_state = 487, .external_lex_state = 61},
  [3660] = {.lex_state = 220, .external_lex_state = 64},
  [3661] = {.lex_state = 66, .external_lex_state = 61},
  [3662] = {.lex_state = 220, .external_lex_state = 64},
  [3663] = {.lex_state = 66, .external_lex_state = 42},
  [3664] = {.lex_state = 487, .external_lex_state = 61},
  [3665] = {.lex_state = 487, .external_lex_state = 38},
  [3666] = {.lex_state = 486, .external_lex_state = 42},
  [3667] = {.lex_state = 487, .external_lex_state = 61},
  [3668] = {.lex_state = 487, .external_lex_state = 61},
  [3669] = {.lex_state = 66, .external_lex_state = 42},
  [3670] = {.lex_state = 66, .external_lex_state = 61},
  [3671] = {.lex_state = 487, .external_lex_state = 38},
  [3672] = {.lex_state = 486, .external_lex_state = 42},
  [3673] = {.lex_state = 487, .external_lex_state = 61},
  [3674] = {.lex_state = 487, .external_lex_state = 59},
  [3675] = {.lex_state = 487, .external_lex_state = 61},
  [3676] = {.lex_state = 487, .external_lex_state = 61},
  [3677] = {.lex_state = 66, .external_lex_state = 42},
  [3678] = {.lex_state = 220, .external_lex_state = 64},
  [3679] = {.lex_state = 66, .external_lex_state = 61},
  [3680] = {.lex_state = 66, .external_lex_state = 61},
  [3681] = {.lex_state = 220, .external_lex_state = 64},
  [3682] = {.lex_state = 66, .external_lex_state = 61},
  [3683] = {.lex_state = 66, .external_lex_state = 61},
  [3684] = {.lex_state = 488, .external_lex_state = 42},
  [3685] = {.lex_state = 487, .external_lex_state = 61},
  [3686] = {.lex_state = 66, .external_lex_state = 42},
  [3687] = {.lex_state = 66, .external_lex_state = 61},
  [3688] = {.lex_state = 66, .external_lex_state = 61},
  [3689] = {.lex_state = 66, .external_lex_state = 61},
  [3690] = {.lex_state = 486, .external_lex_state = 42},
  [3691] = {.lex_state = 487, .external_lex_state = 59},
  [3692] = {.lex_state = 66, .external_lex_state = 61},
  [3693] = {.lex_state = 487, .external_lex_state = 61},
  [3694] = {.lex_state = 487, .external_lex_state = 59},
  [3695] = {.lex_state = 66, .external_lex_state = 61},
  [3696] = {.lex_state = 487, .external_lex_state = 61},
  [3697] = {.lex_state = 66, .external_lex_state = 61},
  [3698] = {.lex_state = 220, .external_lex_state = 64},
  [3699] = {.lex_state = 66, .external_lex_state = 61},
  [3700] = {.lex_state = 66, .external_lex_state = 61},
  [3701] = {.lex_state = 66, .external_lex_state = 38},
  [3702] = {.lex_state = 66, .external_lex_state = 42},
  [3703] = {.lex_state = 487, .external_lex_state = 61},
  [3704] = {.lex_state = 488, .external_lex_state = 38},
  [3705] = {.lex_state = 488, .external_lex_state = 38},
  [3706] = {.lex_state = 487, .external_lex_state = 61},
  [3707] = {.lex_state = 487, .external_lex_state = 61},
  [3708] = {.lex_state = 66, .external_lex_state = 61},
  [3709] = {.lex_state = 486, .external_lex_state = 42},
  [3710] = {.lex_state = 487, .external_lex_state = 59},
  [3711] = {.lex_state = 487, .external_lex_state = 59},
  [3712] = {.lex_state = 487, .external_lex_state = 59},
  [3713] = {.lex_state = 66, .external_lex_state = 61},
  [3714] = {.lex_state = 66, .external_lex_state = 42},
  [3715] = {.lex_state = 66, .external_lex_state = 61},
  [3716] = {.lex_state = 66, .external_lex_state = 42},
  [3717] = {.lex_state = 220, .external_lex_state = 64},
  [3718] = {.lex_state = 66, .external_lex_state = 61},
  [3719] = {.lex_state = 487, .external_lex_state = 59},
  [3720] = {.lex_state = 487, .external_lex_state = 61},
  [3721] = {.lex_state = 488, .external_lex_state = 42},
  [3722] = {.lex_state = 487, .external_lex_state = 59},
  [3723] = {.lex_state = 488, .external_lex_state = 42},
  [3724] = {.lex_state = 486, .external_lex_state = 42},
  [3725] = {.lex_state = 66, .external_lex_state = 61},
  [3726] = {.lex_state = 487, .external_lex_state = 59},
  [3727] = {.lex_state = 66, .external_lex_state = 42},
  [3728] = {.lex_state = 66, .external_lex_state = 61},
  [3729] = {.lex_state = 66, .external_lex_state = 61},
  [3730] = {.lex_state = 487, .external_lex_state = 38},
  [3731] = {.lex_state = 66, .external_lex_state = 61},
  [3732] = {.lex_state = 66, .external_lex_state = 61},
  [3733] = {.lex_state = 66, .external_lex_state = 42},
  [3734] = {.lex_state = 66, .external_lex_state = 42},
  [3735] = {.lex_state = 487, .external_lex_state = 38},
  [3736] = {.lex_state = 488, .external_lex_state = 42},
  [3737] = {.lex_state = 66, .external_lex_state = 42},
  [3738] = {.lex_state = 487, .external_lex_state = 59},
  [3739] = {.lex_state = 488, .external_lex_state = 38},
  [3740] = {.lex_state = 487, .external_lex_state = 59},
  [3741] = {.lex_state = 66, .external_lex_state = 42},
  [3742] = {.lex_state = 487, .external_lex_state = 42},
  [3743] = {.lex_state = 66, .external_lex_state = 42},
  [3744] = {.lex_state = 275, .external_lex_state = 65},
  [3745] = {.lex_state = 275, .external_lex_state = 65},
  [3746] = {.lex_state = 275, .external_lex_state = 65},
  [3747] = {.lex_state = 275, .external_lex_state = 65},
  [3748] = {.lex_state = 275, .external_lex_state = 65},
  [3749] = {.lex_state = 67, .external_lex_state = 42},
  [3750] = {.lex_state = 293},
  [3751] = {.lex_state = 275, .external_lex_state = 65},
  [3752] = {.lex_state = 487, .external_lex_state = 38},
  [3753] = {.lex_state = 275, .external_lex_state = 65},
  [3754] = {.lex_state = 487, .external_lex_state = 42},
  [3755] = {.lex_state = 275, .external_lex_state = 65},
  [3756] = {.lex_state = 293},
  [3757] = {.lex_state = 275, .external_lex_state = 65},
  [3758] = {.lex_state = 487, .external_lex_state = 38},
  [3759] = {.lex_state = 275, .external_lex_state = 65},
  [3760] = {.lex_state = 275, .external_lex_state = 65},
  [3761] = {.lex_state = 486, .external_lex_state = 42},
  [3762] = {.lex_state = 275, .external_lex_state = 65},
  [3763] = {.lex_state = 486, .external_lex_state = 42},
  [3764] = {.lex_state = 275, .external_lex_state = 65},
  [3765] = {.lex_state = 275, .external_lex_state = 65},
  [3766] = {.lex_state = 487, .external_lex_state = 42},
  [3767] = {.lex_state = 275, .external_lex_state = 65},
  [3768] = {.lex_state = 67, .external_lex_state = 42},
  [3769] = {.lex_state = 66, .external_lex_state = 42},
  [3770] = {.lex_state = 275, .external_lex_state = 65},
  [3771] = {.lex_state = 486, .external_lex_state = 42},
  [3772] = {.lex_state = 293},
  [3773] = {.lex_state = 293},
  [3774] = {.lex_state = 275, .external_lex_state = 65},
  [3775] = {.lex_state = 487, .external_lex_state = 61},
  [3776] = {.lex_state = 220, .external_lex_state = 64},
  [3777] = {.lex_state = 487, .external_lex_state = 61},
  [3778] = {.lex_state = 220, .external_lex_state = 64},
  [3779] = {.lex_state = 220, .external_lex_state = 64},
  [3780] = {.lex_state = 275, .external_lex_state = 65},
  [3781] = {.lex_state = 67, .external_lex_state = 42},
  [3782] = {.lex_state = 67, .external_lex_state = 42},
  [3783] = {.lex_state = 275, .external_lex_state = 65},
  [3784] = {.lex_state = 275, .external_lex_state = 65},
  [3785] = {.lex_state = 275, .external_lex_state = 65},
  [3786] = {.lex_state = 275, .external_lex_state = 65},
  [3787] = {.lex_state = 487, .external_lex_state = 42},
  [3788] = {.lex_state = 275, .external_lex_state = 65},
  [3789] = {.lex_state = 67, .external_lex_state = 42},
  [3790] = {.lex_state = 487, .external_lex_state = 42},
  [3791] = {.lex_state = 275, .external_lex_state = 65},
  [3792] = {.lex_state = 66, .external_lex_state = 42},
  [3793] = {.lex_state = 275, .external_lex_state = 65},
  [3794] = {.lex_state = 220, .external_lex_state = 64},
  [3795] = {.lex_state = 66, .external_lex_state = 42},
  [3796] = {.lex_state = 275, .external_lex_state = 65},
  [3797] = {.lex_state = 220, .external_lex_state = 64},
  [3798] = {.lex_state = 67, .external_lex_state = 42},
  [3799] = {.lex_state = 220, .external_lex_state = 64},
  [3800] = {.lex_state = 66, .external_lex_state = 42},
  [3801] = {.lex_state = 487, .external_lex_state = 42},
  [3802] = {.lex_state = 220, .external_lex_state = 64},
  [3803] = {.lex_state = 275, .external_lex_state = 65},
  [3804] = {.lex_state = 487, .external_lex_state = 42},
  [3805] = {.lex_state = 487, .external_lex_state = 42},
  [3806] = {.lex_state = 275, .external_lex_state = 65},
  [3807] = {.lex_state = 275, .external_lex_state = 65},
  [3808] = {.lex_state = 487, .external_lex_state = 61},
  [3809] = {.lex_state = 487, .external_lex_state = 61},
  [3810] = {.lex_state = 487, .external_lex_state = 61},
  [3811] = {.lex_state = 487, .external_lex_state = 61},
  [3812] = {.lex_state = 487, .external_lex_state = 61},
  [3813] = {.lex_state = 275, .external_lex_state = 65},
  [3814] = {.lex_state = 66, .external_lex_state = 38},
  [3815] = {.lex_state = 66, .external_lex_state = 38},
  [3816] = {.lex_state = 275, .external_lex_state = 65},
  [3817] = {.lex_state = 275, .external_lex_state = 65},
  [3818] = {.lex_state = 275, .external_lex_state = 65},
  [3819] = {.lex_state = 487, .external_lex_state = 61},
  [3820] = {.lex_state = 487, .external_lex_state = 61},
  [3821] = {.lex_state = 487, .external_lex_state = 61},
  [3822] = {.lex_state = 275, .external_lex_state = 65},
  [3823] = {.lex_state = 275, .external_lex_state = 65},
  [3824] = {.lex_state = 66, .external_lex_state = 38},
  [3825] = {.lex_state = 275, .external_lex_state = 65},
  [3826] = {.lex_state = 487, .external_lex_state = 61},
  [3827] = {.lex_state = 275, .external_lex_state = 65},
  [3828] = {.lex_state = 275, .external_lex_state = 65},
  [3829] = {.lex_state = 487, .external_lex_state = 61},
  [3830] = {.lex_state = 487, .external_lex_state = 59},
  [3831] = {.lex_state = 487, .external_lex_state = 59},
  [3832] = {.lex_state = 486, .external_lex_state = 42},
  [3833] = {.lex_state = 487, .external_lex_state = 61},
  [3834] = {.lex_state = 486, .external_lex_state = 42},
  [3835] = {.lex_state = 220, .external_lex_state = 64},
  [3836] = {.lex_state = 275, .external_lex_state = 65},
  [3837] = {.lex_state = 488, .external_lex_state = 38},
  [3838] = {.lex_state = 487, .external_lex_state = 61},
  [3839] = {.lex_state = 487, .external_lex_state = 61},
  [3840] = {.lex_state = 275, .external_lex_state = 65},
  [3841] = {.lex_state = 487, .external_lex_state = 61},
  [3842] = {.lex_state = 275, .external_lex_state = 65},
  [3843] = {.lex_state = 488, .external_lex_state = 42},
  [3844] = {.lex_state = 220, .external_lex_state = 64},
  [3845] = {.lex_state = 487, .external_lex_state = 61},
  [3846] = {.lex_state = 275, .external_lex_state = 65},
  [3847] = {.lex_state = 487, .external_lex_state = 61},
  [3848] = {.lex_state = 487, .external_lex_state = 61},
  [3849] = {.lex_state = 487, .external_lex_state = 42},
  [3850] = {.lex_state = 220, .external_lex_state = 64},
  [3851] = {.lex_state = 293},
  [3852] = {.lex_state = 488, .external_lex_state = 42},
  [3853] = {.lex_state = 487, .external_lex_state = 59},
  [3854] = {.lex_state = 275, .external_lex_state = 65},
  [3855] = {.lex_state = 487, .external_lex_state = 59},
  [3856] = {.lex_state = 275, .external_lex_state = 65},
  [3857] = {.lex_state = 66, .external_lex_state = 42},
  [3858] = {.lex_state = 67, .external_lex_state = 42},
  [3859] = {.lex_state = 275, .external_lex_state = 65},
  [3860] = {.lex_state = 293},
  [3861] = {.lex_state = 275, .external_lex_state = 65},
  [3862] = {.lex_state = 275, .external_lex_state = 65},
  [3863] = {.lex_state = 220, .external_lex_state = 64},
  [3864] = {.lex_state = 488, .external_lex_state = 42},
  [3865] = {.lex_state = 486, .external_lex_state = 42},
  [3866] = {.lex_state = 275, .external_lex_state = 65},
  [3867] = {.lex_state = 487, .external_lex_state = 61},
  [3868] = {.lex_state = 275, .external_lex_state = 65},
  [3869] = {.lex_state = 487, .external_lex_state = 61},
  [3870] = {.lex_state = 275, .external_lex_state = 65},
  [3871] = {.lex_state = 487, .external_lex_state = 61},
  [3872] = {.lex_state = 487, .external_lex_state = 61},
  [3873] = {.lex_state = 487, .external_lex_state = 61},
  [3874] = {.lex_state = 486, .external_lex_state = 42},
  [3875] = {.lex_state = 488, .external_lex_state = 42},
  [3876] = {.lex_state = 293},
  [3877] = {.lex_state = 220, .external_lex_state = 64},
  [3878] = {.lex_state = 487, .external_lex_state = 61},
  [3879] = {.lex_state = 275, .external_lex_state = 65},
  [3880] = {.lex_state = 487, .external_lex_state = 61},
  [3881] = {.lex_state = 293},
  [3882] = {.lex_state = 293},
  [3883] = {.lex_state = 275, .external_lex_state = 65},
  [3884] = {.lex_state = 275, .external_lex_state = 65},
  [3885] = {.lex_state = 220, .external_lex_state = 64},
  [3886] = {.lex_state = 220, .external_lex_state = 64},
  [3887] = {.lex_state = 220, .external_lex_state = 64},
  [3888] = {.lex_state = 275, .external_lex_state = 65},
  [3889] = {.lex_state = 220, .external_lex_state = 64},
  [3890] = {.lex_state = 488, .external_lex_state = 38},
  [3891] = {.lex_state = 220, .external_lex_state = 64},
  [3892] = {.lex_state = 275, .external_lex_state = 65},
  [3893] = {.lex_state = 488, .external_lex_state = 38},
  [3894] = {.lex_state = 220, .external_lex_state = 64},
  [3895] = {.lex_state = 220, .external_lex_state = 64},
  [3896] = {.lex_state = 275, .external_lex_state = 65},
  [3897] = {.lex_state = 275, .external_lex_state = 65},
  [3898] = {.lex_state = 487, .external_lex_state = 42},
  [3899] = {.lex_state = 488, .external_lex_state = 42},
  [3900] = {.lex_state = 275, .external_lex_state = 65},
  [3901] = {.lex_state = 488, .external_lex_state = 42},
  [3902] = {.lex_state = 275, .external_lex_state = 65},
  [3903] = {.lex_state = 487, .external_lex_state = 61},
  [3904] = {.lex_state = 487, .external_lex_state = 61},
  [3905] = {.lex_state = 487, .external_lex_state = 61},
  [3906] = {.lex_state = 487, .external_lex_state = 42},
  [3907] = {.lex_state = 487, .external_lex_state = 61},
  [3908] = {.lex_state = 487, .external_lex_state = 61},
  [3909] = {.lex_state = 275, .external_lex_state = 65},
  [3910] = {.lex_state = 275, .external_lex_state = 65},
  [3911] = {.lex_state = 488, .external_lex_state = 42},
  [3912] = {.lex_state = 487, .external_lex_state = 42},
  [3913] = {.lex_state = 487, .external_lex_state = 42},
  [3914] = {.lex_state = 66, .external_lex_state = 42},
  [3915] = {.lex_state = 66, .external_lex_state = 42},
  [3916] = {.lex_state = 488, .external_lex_state = 42},
  [3917] = {.lex_state = 488, .external_lex_state = 42},
  [3918] = {.lex_state = 293},
  [3919] = {.lex_state = 487, .external_lex_state = 42},
  [3920] = {.lex_state = 488, .external_lex_state = 42},
  [3921] = {.lex_state = 488, .external_lex_state = 42},
  [3922] = {.lex_state = 488, .external_lex_state = 42},
  [3923] = {.lex_state = 488, .external_lex_state = 42},
  [3924] = {.lex_state = 66, .external_lex_state = 42},
  [3925] = {.lex_state = 488, .external_lex_state = 42},
  [3926] = {.lex_state = 488, .external_lex_state = 42},
  [3927] = {.lex_state = 488, .external_lex_state = 42},
  [3928] = {.lex_state = 488, .external_lex_state = 42},
  [3929] = {.lex_state = 488, .external_lex_state = 42},
  [3930] = {.lex_state = 66, .external_lex_state = 42},
  [3931] = {.lex_state = 66, .external_lex_state = 42},
  [3932] = {.lex_state = 66, .external_lex_state = 42},
  [3933] = {.lex_state = 293},
  [3934] = {.lex_state = 488, .external_lex_state = 42},
  [3935] = {.lex_state = 66, .external_lex_state = 42},
  [3936] = {.lex_state = 488, .external_lex_state = 42},
  [3937] = {.lex_state = 219, .external_lex_state = 46},
  [3938] = {.lex_state = 66, .external_lex_state = 42},
  [3939] = {.lex_state = 488, .external_lex_state = 42},
  [3940] = {.lex_state = 488, .external_lex_state = 42},
  [3941] = {.lex_state = 488, .external_lex_state = 42},
  [3942] = {.lex_state = 66, .external_lex_state = 42},
  [3943] = {.lex_state = 488, .external_lex_state = 42},
  [3944] = {.lex_state = 488, .external_lex_state = 42},
  [3945] = {.lex_state = 488, .external_lex_state = 42},
  [3946] = {.lex_state = 488, .external_lex_state = 42},
  [3947] = {.lex_state = 488, .external_lex_state = 42},
  [3948] = {.lex_state = 488, .external_lex_state = 42},
  [3949] = {.lex_state = 488, .external_lex_state = 42},
  [3950] = {.lex_state = 487, .external_lex_state = 42},
  [3951] = {.lex_state = 293},
  [3952] = {.lex_state = 293},
  [3953] = {.lex_state = 66, .external_lex_state = 42},
  [3954] = {.lex_state = 488, .external_lex_state = 42},
  [3955] = {.lex_state = 66, .external_lex_state = 42},
  [3956] = {.lex_state = 66, .external_lex_state = 42},
  [3957] = {.lex_state = 293},
  [3958] = {.lex_state = 66, .external_lex_state = 42},
  [3959] = {.lex_state = 487, .external_lex_state = 42},
  [3960] = {.lex_state = 488, .external_lex_state = 42},
  [3961] = {.lex_state = 66, .external_lex_state = 42},
  [3962] = {.lex_state = 488, .external_lex_state = 42},
  [3963] = {.lex_state = 66, .external_lex_state = 42},
  [3964] = {.lex_state = 488, .external_lex_state = 42},
  [3965] = {.lex_state = 66, .external_lex_state = 42},
  [3966] = {.lex_state = 488, .external_lex_state = 42},
  [3967] = {.lex_state = 66, .external_lex_state = 42},
  [3968] = {.lex_state = 488, .external_lex_state = 42},
  [3969] = {.lex_state = 66, .external_lex_state = 42},
  [3970] = {.lex_state = 487, .external_lex_state = 42},
  [3971] = {.lex_state = 66, .external_lex_state = 42},
  [3972] = {.lex_state = 487, .external_lex_state = 42},
  [3973] = {.lex_state = 488, .external_lex_state = 42},
  [3974] = {.lex_state = 66, .external_lex_state = 42},
  [3975] = {.lex_state = 487, .external_lex_state = 42},
  [3976] = {.lex_state = 66, .external_lex_state = 42},
  [3977] = {.lex_state = 488, .external_lex_state = 42},
  [3978] = {.lex_state = 293},
  [3979] = {.lex_state = 293},
  [3980] = {.lex_state = 488, .external_lex_state = 42},
  [3981] = {.lex_state = 488, .external_lex_state = 42},
  [3982] = {.lex_state = 488, .external_lex_state = 42},
  [3983] = {.lex_state = 488, .external_lex_state = 42},
  [3984] = {.lex_state = 488, .external_lex_state = 42},
  [3985] = {.lex_state = 488, .external_lex_state = 42},
  [3986] = {.lex_state = 66, .external_lex_state = 42},
  [3987] = {.lex_state = 66, .external_lex_state = 42},
  [3988] = {.lex_state = 487, .external_lex_state = 42},
  [3989] = {.lex_state = 488, .external_lex_state = 42},
  [3990] = {.lex_state = 488, .external_lex_state = 42},
  [3991] = {.lex_state = 487, .external_lex_state = 42},
  [3992] = {.lex_state = 66, .external_lex_state = 42},
  [3993] = {.lex_state = 488, .external_lex_state = 42},
  [3994] = {.lex_state = 488, .external_lex_state = 42},
  [3995] = {.lex_state = 488, .external_lex_state = 42},
  [3996] = {.lex_state = 488, .external_lex_state = 42},
  [3997] = {.lex_state = 488, .external_lex_state = 42},
  [3998] = {.lex_state = 66, .external_lex_state = 42},
  [3999] = {.lex_state = 66, .external_lex_state = 42},
  [4000] = {.lex_state = 488, .external_lex_state = 42},
  [4001] = {.lex_state = 488, .external_lex_state = 42},
  [4002] = {.lex_state = 66, .external_lex_state = 42},
  [4003] = {.lex_state = 487, .external_lex_state = 61},
  [4004] = {.lex_state = 66, .external_lex_state = 42},
  [4005] = {.lex_state = 219, .external_lex_state = 46},
  [4006] = {.lex_state = 66, .external_lex_state = 42},
  [4007] = {.lex_state = 488, .external_lex_state = 42},
  [4008] = {.lex_state = 487, .external_lex_state = 61},
  [4009] = {.lex_state = 487, .external_lex_state = 61},
  [4010] = {.lex_state = 487, .external_lex_state = 61},
  [4011] = {.lex_state = 66, .external_lex_state = 42},
  [4012] = {.lex_state = 488, .external_lex_state = 42},
  [4013] = {.lex_state = 488, .external_lex_state = 42},
  [4014] = {.lex_state = 488, .external_lex_state = 42},
  [4015] = {.lex_state = 487, .external_lex_state = 61},
  [4016] = {.lex_state = 487, .external_lex_state = 61},
  [4017] = {.lex_state = 66, .external_lex_state = 42},
  [4018] = {.lex_state = 66, .external_lex_state = 42},
  [4019] = {.lex_state = 66, .external_lex_state = 42},
  [4020] = {.lex_state = 66, .external_lex_state = 42},
  [4021] = {.lex_state = 66, .external_lex_state = 42},
  [4022] = {.lex_state = 66, .external_lex_state = 42},
  [4023] = {.lex_state = 66, .external_lex_state = 42},
  [4024] = {.lex_state = 487, .external_lex_state = 61},
  [4025] = {.lex_state = 487, .external_lex_state = 61},
  [4026] = {.lex_state = 66, .external_lex_state = 42},
  [4027] = {.lex_state = 488, .external_lex_state = 42},
  [4028] = {.lex_state = 66, .external_lex_state = 42},
  [4029] = {.lex_state = 488, .external_lex_state = 42},
  [4030] = {.lex_state = 293},
  [4031] = {.lex_state = 487, .external_lex_state = 42},
  [4032] = {.lex_state = 488, .external_lex_state = 42},
  [4033] = {.lex_state = 488, .external_lex_state = 42},
  [4034] = {.lex_state = 488, .external_lex_state = 42},
  [4035] = {.lex_state = 66, .external_lex_state = 42},
  [4036] = {.lex_state = 66, .external_lex_state = 42},
  [4037] = {.lex_state = 488, .external_lex_state = 42},
  [4038] = {.lex_state = 66, .external_lex_state = 42},
  [4039] = {.lex_state = 66, .external_lex_state = 42},
  [4040] = {.lex_state = 66, .external_lex_state = 42},
  [4041] = {.lex_state = 66, .external_lex_state = 42},
  [4042] = {.lex_state = 66, .external_lex_state = 42},
  [4043] = {.lex_state = 66, .external_lex_state = 42},
  [4044] = {.lex_state = 66, .external_lex_state = 42},
  [4045] = {.lex_state = 487, .external_lex_state = 42},
  [4046] = {.lex_state = 293},
  [4047] = {.lex_state = 66, .external_lex_state = 42},
  [4048] = {.lex_state = 488, .external_lex_state = 42},
  [4049] = {.lex_state = 66, .external_lex_state = 42},
  [4050] = {.lex_state = 66, .external_lex_state = 42},
  [4051] = {.lex_state = 66, .external_lex_state = 42},
  [4052] = {.lex_state = 487, .external_lex_state = 61},
  [4053] = {.lex_state = 487, .external_lex_state = 61},
  [4054] = {.lex_state = 66, .external_lex_state = 42},
  [4055] = {.lex_state = 66, .external_lex_state = 42},
  [4056] = {.lex_state = 66, .external_lex_state = 42},
  [4057] = {.lex_state = 66, .external_lex_state = 42},
  [4058] = {.lex_state = 66, .external_lex_state = 42},
  [4059] = {.lex_state = 66, .external_lex_state = 42},
  [4060] = {.lex_state = 487, .external_lex_state = 42},
  [4061] = {.lex_state = 487, .external_lex_state = 42},
  [4062] = {.lex_state = 487, .external_lex_state = 42},
  [4063] = {.lex_state = 282, .external_lex_state = 66},
  [4064] = {.lex_state = 282, .external_lex_state = 66},
  [4065] = {.lex_state = 209, .external_lex_state = 64},
  [4066] = {.lex_state = 282, .external_lex_state = 66},
  [4067] = {.lex_state = 282, .external_lex_state = 66},
  [4068] = {.lex_state = 487, .external_lex_state = 42},
  [4069] = {.lex_state = 488, .external_lex_state = 42},
  [4070] = {.lex_state = 67, .external_lex_state = 42},
  [4071] = {.lex_state = 67, .external_lex_state = 42},
  [4072] = {.lex_state = 282, .external_lex_state = 66},
  [4073] = {.lex_state = 488, .external_lex_state = 42},
  [4074] = {.lex_state = 67, .external_lex_state = 42},
  [4075] = {.lex_state = 209, .external_lex_state = 64},
  [4076] = {.lex_state = 487, .external_lex_state = 42},
  [4077] = {.lex_state = 209, .external_lex_state = 64},
  [4078] = {.lex_state = 209, .external_lex_state = 64},
  [4079] = {.lex_state = 209, .external_lex_state = 64},
  [4080] = {.lex_state = 219, .external_lex_state = 46},
  [4081] = {.lex_state = 66, .external_lex_state = 59},
  [4082] = {.lex_state = 487, .external_lex_state = 42},
  [4083] = {.lex_state = 488, .external_lex_state = 42},
  [4084] = {.lex_state = 487, .external_lex_state = 42},
  [4085] = {.lex_state = 487, .external_lex_state = 42},
  [4086] = {.lex_state = 487, .external_lex_state = 42},
  [4087] = {.lex_state = 67, .external_lex_state = 42},
  [4088] = {.lex_state = 282, .external_lex_state = 66},
  [4089] = {.lex_state = 282, .external_lex_state = 66},
  [4090] = {.lex_state = 66, .external_lex_state = 59},
  [4091] = {.lex_state = 293},
  [4092] = {.lex_state = 292, .external_lex_state = 24},
  [4093] = {.lex_state = 293},
  [4094] = {.lex_state = 282, .external_lex_state = 66},
  [4095] = {.lex_state = 293},
  [4096] = {.lex_state = 292, .external_lex_state = 24},
  [4097] = {.lex_state = 293},
  [4098] = {.lex_state = 293},
  [4099] = {.lex_state = 292, .external_lex_state = 24},
  [4100] = {.lex_state = 293},
  [4101] = {.lex_state = 282, .external_lex_state = 66},
  [4102] = {.lex_state = 293},
  [4103] = {.lex_state = 293},
  [4104] = {.lex_state = 293},
  [4105] = {.lex_state = 292, .external_lex_state = 24},
  [4106] = {.lex_state = 487, .external_lex_state = 42},
  [4107] = {.lex_state = 487, .external_lex_state = 42},
  [4108] = {.lex_state = 292, .external_lex_state = 24},
  [4109] = {.lex_state = 487, .external_lex_state = 42},
  [4110] = {.lex_state = 292, .external_lex_state = 24},
  [4111] = {.lex_state = 293},
  [4112] = {.lex_state = 282, .external_lex_state = 66},
  [4113] = {.lex_state = 292, .external_lex_state = 24},
  [4114] = {.lex_state = 293},
  [4115] = {.lex_state = 282, .external_lex_state = 66},
  [4116] = {.lex_state = 66, .external_lex_state = 38},
  [4117] = {.lex_state = 293},
  [4118] = {.lex_state = 293},
  [4119] = {.lex_state = 270, .external_lex_state = 57},
  [4120] = {.lex_state = 293},
  [4121] = {.lex_state = 282, .external_lex_state = 66},
  [4122] = {.lex_state = 292, .external_lex_state = 24},
  [4123] = {.lex_state = 292, .external_lex_state = 24},
  [4124] = {.lex_state = 293},
  [4125] = {.lex_state = 282, .external_lex_state = 66},
  [4126] = {.lex_state = 293},
  [4127] = {.lex_state = 293},
  [4128] = {.lex_state = 293},
  [4129] = {.lex_state = 293},
  [4130] = {.lex_state = 293},
  [4131] = {.lex_state = 293},
  [4132] = {.lex_state = 293},
  [4133] = {.lex_state = 293},
  [4134] = {.lex_state = 282, .external_lex_state = 66},
  [4135] = {.lex_state = 293},
  [4136] = {.lex_state = 293},
  [4137] = {.lex_state = 66, .external_lex_state = 61},
  [4138] = {.lex_state = 293},
  [4139] = {.lex_state = 293},
  [4140] = {.lex_state = 66, .external_lex_state = 59},
  [4141] = {.lex_state = 282, .external_lex_state = 66},
  [4142] = {.lex_state = 292, .external_lex_state = 24},
  [4143] = {.lex_state = 292, .external_lex_state = 24},
  [4144] = {.lex_state = 292, .external_lex_state = 24},
  [4145] = {.lex_state = 293},
  [4146] = {.lex_state = 292, .external_lex_state = 24},
  [4147] = {.lex_state = 293},
  [4148] = {.lex_state = 293},
  [4149] = {.lex_state = 292, .external_lex_state = 24},
  [4150] = {.lex_state = 282, .external_lex_state = 66},
  [4151] = {.lex_state = 292, .external_lex_state = 24},
  [4152] = {.lex_state = 293},
  [4153] = {.lex_state = 282, .external_lex_state = 66},
  [4154] = {.lex_state = 292, .external_lex_state = 24},
  [4155] = {.lex_state = 270, .external_lex_state = 57},
  [4156] = {.lex_state = 293},
  [4157] = {.lex_state = 303, .external_lex_state = 67},
  [4158] = {.lex_state = 292, .external_lex_state = 24},
  [4159] = {.lex_state = 292, .external_lex_state = 24},
  [4160] = {.lex_state = 293},
  [4161] = {.lex_state = 66, .external_lex_state = 38},
  [4162] = {.lex_state = 293},
  [4163] = {.lex_state = 293},
  [4164] = {.lex_state = 282, .external_lex_state = 66},
  [4165] = {.lex_state = 292, .external_lex_state = 24},
  [4166] = {.lex_state = 282, .external_lex_state = 66},
  [4167] = {.lex_state = 293},
  [4168] = {.lex_state = 282, .external_lex_state = 66},
  [4169] = {.lex_state = 301, .external_lex_state = 68},
  [4170] = {.lex_state = 270, .external_lex_state = 57},
  [4171] = {.lex_state = 66, .external_lex_state = 59},
  [4172] = {.lex_state = 293},
  [4173] = {.lex_state = 282, .external_lex_state = 66},
  [4174] = {.lex_state = 282, .external_lex_state = 66},
  [4175] = {.lex_state = 282, .external_lex_state = 66},
  [4176] = {.lex_state = 293},
  [4177] = {.lex_state = 292, .external_lex_state = 24},
  [4178] = {.lex_state = 293},
  [4179] = {.lex_state = 66, .external_lex_state = 59},
  [4180] = {.lex_state = 292, .external_lex_state = 24},
  [4181] = {.lex_state = 292, .external_lex_state = 24},
  [4182] = {.lex_state = 292, .external_lex_state = 24},
  [4183] = {.lex_state = 292, .external_lex_state = 24},
  [4184] = {.lex_state = 282, .external_lex_state = 66},
  [4185] = {.lex_state = 282, .external_lex_state = 66},
  [4186] = {.lex_state = 279, .external_lex_state = 24},
  [4187] = {.lex_state = 66, .external_lex_state = 61},
  [4188] = {.lex_state = 279, .external_lex_state = 24},
  [4189] = {.lex_state = 279, .external_lex_state = 24},
  [4190] = {.lex_state = 279, .external_lex_state = 24},
  [4191] = {.lex_state = 279, .external_lex_state = 24},
  [4192] = {.lex_state = 279, .external_lex_state = 24},
  [4193] = {.lex_state = 279, .external_lex_state = 24},
  [4194] = {.lex_state = 279, .external_lex_state = 24},
  [4195] = {.lex_state = 279, .external_lex_state = 24},
  [4196] = {.lex_state = 66, .external_lex_state = 42},
  [4197] = {.lex_state = 279, .external_lex_state = 24},
  [4198] = {.lex_state = 66, .external_lex_state = 42},
  [4199] = {.lex_state = 279, .external_lex_state = 24},
  [4200] = {.lex_state = 301, .external_lex_state = 69},
  [4201] = {.lex_state = 279, .external_lex_state = 24},
  [4202] = {.lex_state = 279, .external_lex_state = 24},
  [4203] = {.lex_state = 279, .external_lex_state = 24},
  [4204] = {.lex_state = 279, .external_lex_state = 24},
  [4205] = {.lex_state = 66, .external_lex_state = 61},
  [4206] = {.lex_state = 279, .external_lex_state = 24},
  [4207] = {.lex_state = 66, .external_lex_state = 61},
  [4208] = {.lex_state = 279, .external_lex_state = 24},
  [4209] = {.lex_state = 279, .external_lex_state = 24},
  [4210] = {.lex_state = 486, .external_lex_state = 70},
  [4211] = {.lex_state = 279, .external_lex_state = 24},
  [4212] = {.lex_state = 279, .external_lex_state = 24},
  [4213] = {.lex_state = 279, .external_lex_state = 24},
  [4214] = {.lex_state = 279, .external_lex_state = 24},
  [4215] = {.lex_state = 303, .external_lex_state = 67},
  [4216] = {.lex_state = 279, .external_lex_state = 24},
  [4217] = {.lex_state = 279, .external_lex_state = 24},
  [4218] = {.lex_state = 66, .external_lex_state = 61},
  [4219] = {.lex_state = 279, .external_lex_state = 26},
  [4220] = {.lex_state = 293, .external_lex_state = 54},
  [4221] = {.lex_state = 293, .external_lex_state = 54},
  [4222] = {.lex_state = 279, .external_lex_state = 26},
  [4223] = {.lex_state = 279, .external_lex_state = 24},
  [4224] = {.lex_state = 66, .external_lex_state = 61},
  [4225] = {.lex_state = 303, .external_lex_state = 67},
  [4226] = {.lex_state = 279, .external_lex_state = 24},
  [4227] = {.lex_state = 279, .external_lex_state = 24},
  [4228] = {.lex_state = 279, .external_lex_state = 24},
  [4229] = {.lex_state = 279, .external_lex_state = 24},
  [4230] = {.lex_state = 279, .external_lex_state = 24},
  [4231] = {.lex_state = 279, .external_lex_state = 24},
  [4232] = {.lex_state = 279, .external_lex_state = 24},
  [4233] = {.lex_state = 303, .external_lex_state = 68},
  [4234] = {.lex_state = 66, .external_lex_state = 61},
  [4235] = {.lex_state = 279, .external_lex_state = 24},
  [4236] = {.lex_state = 279, .external_lex_state = 24},
  [4237] = {.lex_state = 279, .external_lex_state = 24},
  [4238] = {.lex_state = 66, .external_lex_state = 42},
  [4239] = {.lex_state = 66, .external_lex_state = 61},
  [4240] = {.lex_state = 279, .external_lex_state = 24},
  [4241] = {.lex_state = 66, .external_lex_state = 42},
  [4242] = {.lex_state = 279, .external_lex_state = 24},
  [4243] = {.lex_state = 279, .external_lex_state = 24},
  [4244] = {.lex_state = 303, .external_lex_state = 68},
  [4245] = {.lex_state = 279, .external_lex_state = 24},
  [4246] = {.lex_state = 66, .external_lex_state = 42},
  [4247] = {.lex_state = 303, .external_lex_state = 68},
  [4248] = {.lex_state = 293, .external_lex_state = 54},
  [4249] = {.lex_state = 279, .external_lex_state = 24},
  [4250] = {.lex_state = 279, .external_lex_state = 24},
  [4251] = {.lex_state = 279, .external_lex_state = 24},
  [4252] = {.lex_state = 293, .external_lex_state = 54},
  [4253] = {.lex_state = 303, .external_lex_state = 67},
  [4254] = {.lex_state = 279, .external_lex_state = 24},
  [4255] = {.lex_state = 279, .external_lex_state = 24},
  [4256] = {.lex_state = 293, .external_lex_state = 53},
  [4257] = {.lex_state = 293, .external_lex_state = 53},
  [4258] = {.lex_state = 303, .external_lex_state = 67},
  [4259] = {.lex_state = 303, .external_lex_state = 67},
  [4260] = {.lex_state = 303, .external_lex_state = 67},
  [4261] = {.lex_state = 279, .external_lex_state = 24},
  [4262] = {.lex_state = 279, .external_lex_state = 24},
  [4263] = {.lex_state = 279, .external_lex_state = 24},
  [4264] = {.lex_state = 279, .external_lex_state = 24},
  [4265] = {.lex_state = 279, .external_lex_state = 24},
  [4266] = {.lex_state = 279, .external_lex_state = 24},
  [4267] = {.lex_state = 303, .external_lex_state = 67},
  [4268] = {.lex_state = 279, .external_lex_state = 24},
  [4269] = {.lex_state = 279, .external_lex_state = 24},
  [4270] = {.lex_state = 303, .external_lex_state = 67},
  [4271] = {.lex_state = 279, .external_lex_state = 24},
  [4272] = {.lex_state = 303, .external_lex_state = 68},
  [4273] = {.lex_state = 303, .external_lex_state = 67},
  [4274] = {.lex_state = 66, .external_lex_state = 61},
  [4275] = {.lex_state = 185, .external_lex_state = 46},
  [4276] = {.lex_state = 279, .external_lex_state = 24},
  [4277] = {.lex_state = 279, .external_lex_state = 24},
  [4278] = {.lex_state = 279, .external_lex_state = 24},
  [4279] = {.lex_state = 279, .external_lex_state = 24},
  [4280] = {.lex_state = 279, .external_lex_state = 24},
  [4281] = {.lex_state = 66, .external_lex_state = 42},
  [4282] = {.lex_state = 279, .external_lex_state = 24},
  [4283] = {.lex_state = 303, .external_lex_state = 67},
  [4284] = {.lex_state = 279, .external_lex_state = 24},
  [4285] = {.lex_state = 279, .external_lex_state = 24},
  [4286] = {.lex_state = 279, .external_lex_state = 24},
  [4287] = {.lex_state = 66, .external_lex_state = 61},
  [4288] = {.lex_state = 279, .external_lex_state = 24},
  [4289] = {.lex_state = 66, .external_lex_state = 61},
  [4290] = {.lex_state = 293, .external_lex_state = 54},
  [4291] = {.lex_state = 279, .external_lex_state = 24},
  [4292] = {.lex_state = 303, .external_lex_state = 67},
  [4293] = {.lex_state = 303, .external_lex_state = 68},
  [4294] = {.lex_state = 303, .external_lex_state = 67},
  [4295] = {.lex_state = 303, .external_lex_state = 68},
  [4296] = {.lex_state = 279, .external_lex_state = 26},
  [4297] = {.lex_state = 303, .external_lex_state = 67},
  [4298] = {.lex_state = 486, .external_lex_state = 70},
  [4299] = {.lex_state = 303, .external_lex_state = 69},
  [4300] = {.lex_state = 303, .external_lex_state = 69},
  [4301] = {.lex_state = 303, .external_lex_state = 69},
  [4302] = {.lex_state = 303, .external_lex_state = 67},
  [4303] = {.lex_state = 303, .external_lex_state = 67},
  [4304] = {.lex_state = 303, .external_lex_state = 67},
  [4305] = {.lex_state = 303, .external_lex_state = 68},
  [4306] = {.lex_state = 293, .external_lex_state = 54},
  [4307] = {.lex_state = 303, .external_lex_state = 67},
  [4308] = {.lex_state = 303, .external_lex_state = 69},
  [4309] = {.lex_state = 303, .external_lex_state = 69},
  [4310] = {.lex_state = 303, .external_lex_state = 67},
  [4311] = {.lex_state = 303, .external_lex_state = 67},
  [4312] = {.lex_state = 293, .external_lex_state = 57},
  [4313] = {.lex_state = 303, .external_lex_state = 68},
  [4314] = {.lex_state = 303, .external_lex_state = 69},
  [4315] = {.lex_state = 293, .external_lex_state = 54},
  [4316] = {.lex_state = 303, .external_lex_state = 67},
  [4317] = {.lex_state = 293, .external_lex_state = 57},
  [4318] = {.lex_state = 486, .external_lex_state = 70},
  [4319] = {.lex_state = 66, .external_lex_state = 42},
  [4320] = {.lex_state = 66, .external_lex_state = 42},
  [4321] = {.lex_state = 303, .external_lex_state = 67},
  [4322] = {.lex_state = 293, .external_lex_state = 54},
  [4323] = {.lex_state = 303, .external_lex_state = 68},
  [4324] = {.lex_state = 303, .external_lex_state = 67},
  [4325] = {.lex_state = 303, .external_lex_state = 68},
  [4326] = {.lex_state = 293, .external_lex_state = 54},
  [4327] = {.lex_state = 303, .external_lex_state = 68},
  [4328] = {.lex_state = 301, .external_lex_state = 53},
  [4329] = {.lex_state = 486, .external_lex_state = 70},
  [4330] = {.lex_state = 303, .external_lex_state = 67},
  [4331] = {.lex_state = 303, .external_lex_state = 67},
  [4332] = {.lex_state = 303, .external_lex_state = 68},
  [4333] = {.lex_state = 293, .external_lex_state = 57},
  [4334] = {.lex_state = 293, .external_lex_state = 57},
  [4335] = {.lex_state = 293, .external_lex_state = 54},
  [4336] = {.lex_state = 303, .external_lex_state = 68},
  [4337] = {.lex_state = 293, .external_lex_state = 54},
  [4338] = {.lex_state = 293, .external_lex_state = 57},
  [4339] = {.lex_state = 303, .external_lex_state = 68},
  [4340] = {.lex_state = 303, .external_lex_state = 69},
  [4341] = {.lex_state = 303, .external_lex_state = 68},
  [4342] = {.lex_state = 303, .external_lex_state = 67},
  [4343] = {.lex_state = 303, .external_lex_state = 68},
  [4344] = {.lex_state = 301, .external_lex_state = 53},
  [4345] = {.lex_state = 303, .external_lex_state = 68},
  [4346] = {.lex_state = 303, .external_lex_state = 68},
  [4347] = {.lex_state = 293, .external_lex_state = 54},
  [4348] = {.lex_state = 303, .external_lex_state = 68},
  [4349] = {.lex_state = 303, .external_lex_state = 67},
  [4350] = {.lex_state = 303, .external_lex_state = 68},
  [4351] = {.lex_state = 303, .external_lex_state = 69},
  [4352] = {.lex_state = 303, .external_lex_state = 68},
  [4353] = {.lex_state = 303, .external_lex_state = 69},
  [4354] = {.lex_state = 303, .external_lex_state = 68},
  [4355] = {.lex_state = 303, .external_lex_state = 67},
  [4356] = {.lex_state = 303, .external_lex_state = 68},
  [4357] = {.lex_state = 303, .external_lex_state = 68},
  [4358] = {.lex_state = 303, .external_lex_state = 67},
  [4359] = {.lex_state = 185, .external_lex_state = 46},
  [4360] = {.lex_state = 303, .external_lex_state = 67},
  [4361] = {.lex_state = 303, .external_lex_state = 69},
  [4362] = {.lex_state = 303, .external_lex_state = 69},
  [4363] = {.lex_state = 303, .external_lex_state = 67},
  [4364] = {.lex_state = 303, .external_lex_state = 69},
  [4365] = {.lex_state = 303, .external_lex_state = 69},
  [4366] = {.lex_state = 301, .external_lex_state = 57},
  [4367] = {.lex_state = 303, .external_lex_state = 69},
  [4368] = {.lex_state = 303, .external_lex_state = 69},
  [4369] = {.lex_state = 301, .external_lex_state = 57},
  [4370] = {.lex_state = 303, .external_lex_state = 69},
  [4371] = {.lex_state = 303, .external_lex_state = 69},
  [4372] = {.lex_state = 66, .external_lex_state = 42},
  [4373] = {.lex_state = 303, .external_lex_state = 69},
  [4374] = {.lex_state = 293, .external_lex_state = 57},
  [4375] = {.lex_state = 66, .external_lex_state = 42},
  [4376] = {.lex_state = 303, .external_lex_state = 69},
  [4377] = {.lex_state = 301, .external_lex_state = 53},
  [4378] = {.lex_state = 303, .external_lex_state = 69},
  [4379] = {.lex_state = 303, .external_lex_state = 69},
  [4380] = {.lex_state = 293, .external_lex_state = 54},
  [4381] = {.lex_state = 66, .external_lex_state = 42},
  [4382] = {.lex_state = 303, .external_lex_state = 69},
  [4383] = {.lex_state = 303, .external_lex_state = 69},
  [4384] = {.lex_state = 303, .external_lex_state = 69},
  [4385] = {.lex_state = 303, .external_lex_state = 69},
  [4386] = {.lex_state = 301, .external_lex_state = 57},
  [4387] = {.lex_state = 303, .external_lex_state = 69},
  [4388] = {.lex_state = 303, .external_lex_state = 69},
  [4389] = {.lex_state = 303, .external_lex_state = 69},
  [4390] = {.lex_state = 301, .external_lex_state = 57},
  [4391] = {.lex_state = 301, .external_lex_state = 57},
  [4392] = {.lex_state = 303, .external_lex_state = 69},
  [4393] = {.lex_state = 294, .external_lex_state = 71},
  [4394] = {.lex_state = 303, .external_lex_state = 69},
  [4395] = {.lex_state = 293, .external_lex_state = 57},
  [4396] = {.lex_state = 293, .external_lex_state = 54},
  [4397] = {.lex_state = 293, .external_lex_state = 54},
  [4398] = {.lex_state = 293, .external_lex_state = 54},
  [4399] = {.lex_state = 293, .external_lex_state = 54},
  [4400] = {.lex_state = 293, .external_lex_state = 54},
  [4401] = {.lex_state = 270, .external_lex_state = 57},
  [4402] = {.lex_state = 293, .external_lex_state = 54},
  [4403] = {.lex_state = 270, .external_lex_state = 57},
  [4404] = {.lex_state = 293, .external_lex_state = 57},
  [4405] = {.lex_state = 293, .external_lex_state = 54},
  [4406] = {.lex_state = 293, .external_lex_state = 54},
  [4407] = {.lex_state = 293, .external_lex_state = 53},
  [4408] = {.lex_state = 293, .external_lex_state = 54},
  [4409] = {.lex_state = 293, .external_lex_state = 54},
  [4410] = {.lex_state = 293, .external_lex_state = 54},
  [4411] = {.lex_state = 293, .external_lex_state = 54},
  [4412] = {.lex_state = 270, .external_lex_state = 57},
  [4413] = {.lex_state = 293, .external_lex_state = 57},
  [4414] = {.lex_state = 293, .external_lex_state = 54},
  [4415] = {.lex_state = 293, .external_lex_state = 54},
  [4416] = {.lex_state = 293, .external_lex_state = 53},
  [4417] = {.lex_state = 293, .external_lex_state = 54},
  [4418] = {.lex_state = 293, .external_lex_state = 54},
  [4419] = {.lex_state = 293, .external_lex_state = 54},
  [4420] = {.lex_state = 293, .external_lex_state = 54},
  [4421] = {.lex_state = 293, .external_lex_state = 54},
  [4422] = {.lex_state = 270, .external_lex_state = 57},
  [4423] = {.lex_state = 293, .external_lex_state = 54},
  [4424] = {.lex_state = 301, .external_lex_state = 57},
  [4425] = {.lex_state = 270, .external_lex_state = 57},
  [4426] = {.lex_state = 270, .external_lex_state = 57},
  [4427] = {.lex_state = 293, .external_lex_state = 54},
  [4428] = {.lex_state = 293, .external_lex_state = 54},
  [4429] = {.lex_state = 293, .external_lex_state = 54},
  [4430] = {.lex_state = 293, .external_lex_state = 54},
  [4431] = {.lex_state = 293, .external_lex_state = 54},
  [4432] = {.lex_state = 181, .external_lex_state = 58},
  [4433] = {.lex_state = 293, .external_lex_state = 53},
  [4434] = {.lex_state = 270, .external_lex_state = 57},
  [4435] = {.lex_state = 68, .external_lex_state = 72},
  [4436] = {.lex_state = 181, .external_lex_state = 58},
  [4437] = {.lex_state = 293, .external_lex_state = 57},
  [4438] = {.lex_state = 293, .external_lex_state = 57},
  [4439] = {.lex_state = 68, .external_lex_state = 72},
  [4440] = {.lex_state = 293, .external_lex_state = 57},
  [4441] = {.lex_state = 293, .external_lex_state = 57},
  [4442] = {.lex_state = 293, .external_lex_state = 57},
  [4443] = {.lex_state = 293, .external_lex_state = 57},
  [4444] = {.lex_state = 68, .external_lex_state = 72},
  [4445] = {.lex_state = 293, .external_lex_state = 57},
  [4446] = {.lex_state = 293, .external_lex_state = 57},
  [4447] = {.lex_state = 293, .external_lex_state = 57},
  [4448] = {.lex_state = 293, .external_lex_state = 57},
  [4449] = {.lex_state = 293, .external_lex_state = 57},
  [4450] = {.lex_state = 293, .external_lex_state = 57},
  [4451] = {.lex_state = 293, .external_lex_state = 57},
  [4452] = {.lex_state = 293, .external_lex_state = 57},
  [4453] = {.lex_state = 293, .external_lex_state = 57},
  [4454] = {.lex_state = 293, .external_lex_state = 57},
  [4455] = {.lex_state = 68, .external_lex_state = 62},
  [4456] = {.lex_state = 293, .external_lex_state = 57},
  [4457] = {.lex_state = 293, .external_lex_state = 57},
  [4458] = {.lex_state = 293, .external_lex_state = 57},
  [4459] = {.lex_state = 68, .external_lex_state = 62},
  [4460] = {.lex_state = 293, .external_lex_state = 57},
  [4461] = {.lex_state = 293, .external_lex_state = 57},
  [4462] = {.lex_state = 293, .external_lex_state = 57},
  [4463] = {.lex_state = 293, .external_lex_state = 57},
  [4464] = {.lex_state = 293, .external_lex_state = 57},
  [4465] = {.lex_state = 293, .external_lex_state = 57},
  [4466] = {.lex_state = 68, .external_lex_state = 72},
  [4467] = {.lex_state = 293, .external_lex_state = 57},
  [4468] = {.lex_state = 293, .external_lex_state = 57},
  [4469] = {.lex_state = 68, .external_lex_state = 62},
  [4470] = {.lex_state = 293, .external_lex_state = 57},
  [4471] = {.lex_state = 68, .external_lex_state = 62},
  [4472] = {.lex_state = 293, .external_lex_state = 57},
  [4473] = {.lex_state = 68, .external_lex_state = 62},
  [4474] = {.lex_state = 293, .external_lex_state = 57},
  [4475] = {.lex_state = 68, .external_lex_state = 72},
  [4476] = {.lex_state = 293, .external_lex_state = 57},
  [4477] = {.lex_state = 293, .external_lex_state = 57},
  [4478] = {.lex_state = 294, .external_lex_state = 73},
  [4479] = {.lex_state = 293, .external_lex_state = 57},
  [4480] = {.lex_state = 293, .external_lex_state = 57},
  [4481] = {.lex_state = 293, .external_lex_state = 57},
  [4482] = {.lex_state = 293, .external_lex_state = 57},
  [4483] = {.lex_state = 293, .external_lex_state = 57},
  [4484] = {.lex_state = 293, .external_lex_state = 57},
  [4485] = {.lex_state = 293, .external_lex_state = 57},
  [4486] = {.lex_state = 293, .external_lex_state = 57},
  [4487] = {.lex_state = 293, .external_lex_state = 57},
  [4488] = {.lex_state = 293, .external_lex_state = 57},
  [4489] = {.lex_state = 293, .external_lex_state = 57},
  [4490] = {.lex_state = 293, .external_lex_state = 57},
  [4491] = {.lex_state = 68, .external_lex_state = 72},
  [4492] = {.lex_state = 293, .external_lex_state = 57},
  [4493] = {.lex_state = 293, .external_lex_state = 57},
  [4494] = {.lex_state = 293, .external_lex_state = 57},
  [4495] = {.lex_state = 293, .external_lex_state = 57},
  [4496] = {.lex_state = 68, .external_lex_state = 62},
  [4497] = {.lex_state = 293, .external_lex_state = 57},
  [4498] = {.lex_state = 293, .external_lex_state = 57},
  [4499] = {.lex_state = 293, .external_lex_state = 57},
  [4500] = {.lex_state = 293, .external_lex_state = 57},
  [4501] = {.lex_state = 68, .external_lex_state = 72},
  [4502] = {.lex_state = 68, .external_lex_state = 62},
  [4503] = {.lex_state = 293, .external_lex_state = 57},
  [4504] = {.lex_state = 293, .external_lex_state = 57},
  [4505] = {.lex_state = 68, .external_lex_state = 72},
  [4506] = {.lex_state = 68, .external_lex_state = 62},
  [4507] = {.lex_state = 293, .external_lex_state = 57},
  [4508] = {.lex_state = 293, .external_lex_state = 57},
  [4509] = {.lex_state = 68, .external_lex_state = 72},
  [4510] = {.lex_state = 68, .external_lex_state = 72},
  [4511] = {.lex_state = 68, .external_lex_state = 72},
  [4512] = {.lex_state = 68, .external_lex_state = 72},
  [4513] = {.lex_state = 68, .external_lex_state = 72},
  [4514] = {.lex_state = 68, .external_lex_state = 72},
  [4515] = {.lex_state = 68, .external_lex_state = 72},
  [4516] = {.lex_state = 68, .external_lex_state = 72},
  [4517] = {.lex_state = 68, .external_lex_state = 72},
  [4518] = {.lex_state = 274, .external_lex_state = 55},
  [4519] = {.lex_state = 68, .external_lex_state = 72},
  [4520] = {.lex_state = 68, .external_lex_state = 72},
  [4521] = {.lex_state = 68, .external_lex_state = 72},
  [4522] = {.lex_state = 68, .external_lex_state = 72},
  [4523] = {.lex_state = 68, .external_lex_state = 72},
  [4524] = {.lex_state = 68, .external_lex_state = 62},
  [4525] = {.lex_state = 68, .external_lex_state = 72},
  [4526] = {.lex_state = 68, .external_lex_state = 72},
  [4527] = {.lex_state = 68, .external_lex_state = 72},
  [4528] = {.lex_state = 68, .external_lex_state = 72},
  [4529] = {.lex_state = 68, .external_lex_state = 72},
  [4530] = {.lex_state = 68, .external_lex_state = 62},
  [4531] = {.lex_state = 68, .external_lex_state = 62},
  [4532] = {.lex_state = 68, .external_lex_state = 62},
  [4533] = {.lex_state = 274, .external_lex_state = 55},
  [4534] = {.lex_state = 298},
  [4535] = {.lex_state = 298},
  [4536] = {.lex_state = 298},
  [4537] = {.lex_state = 298},
  [4538] = {.lex_state = 298},
  [4539] = {.lex_state = 298},
  [4540] = {.lex_state = 298},
  [4541] = {.lex_state = 298},
  [4542] = {.lex_state = 298},
  [4543] = {.lex_state = 298},
  [4544] = {.lex_state = 298},
  [4545] = {.lex_state = 298},
  [4546] = {.lex_state = 298},
  [4547] = {.lex_state = 298},
  [4548] = {.lex_state = 298},
  [4549] = {.lex_state = 298},
  [4550] = {.lex_state = 298},
  [4551] = {.lex_state = 298},
  [4552] = {.lex_state = 298},
  [4553] = {.lex_state = 298},
  [4554] = {.lex_state = 298},
  [4555] = {.lex_state = 298},
  [4556] = {.lex_state = 298},
  [4557] = {.lex_state = 298},
  [4558] = {.lex_state = 298},
  [4559] = {.lex_state = 298},
  [4560] = {.lex_state = 298},
  [4561] = {.lex_state = 298},
  [4562] = {.lex_state = 298},
  [4563] = {.lex_state = 298},
  [4564] = {.lex_state = 298},
  [4565] = {.lex_state = 298},
  [4566] = {.lex_state = 267},
  [4567] = {.lex_state = 298},
  [4568] = {.lex_state = 298},
  [4569] = {.lex_state = 298},
  [4570] = {.lex_state = 298},
  [4571] = {.lex_state = 298},
  [4572] = {.lex_state = 298},
  [4573] = {.lex_state = 298},
  [4574] = {.lex_state = 298},
  [4575] = {.lex_state = 267},
  [4576] = {.lex_state = 298},
  [4577] = {.lex_state = 298},
  [4578] = {.lex_state = 298},
  [4579] = {.lex_state = 298},
  [4580] = {.lex_state = 298},
  [4581] = {.lex_state = 298},
  [4582] = {.lex_state = 298},
  [4583] = {.lex_state = 298},
  [4584] = {.lex_state = 298},
  [4585] = {.lex_state = 298},
  [4586] = {.lex_state = 298},
  [4587] = {.lex_state = 298},
  [4588] = {.lex_state = 298},
  [4589] = {.lex_state = 298},
  [4590] = {.lex_state = 298},
  [4591] = {.lex_state = 298},
  [4592] = {.lex_state = 298},
  [4593] = {.lex_state = 298},
  [4594] = {.lex_state = 298},
  [4595] = {.lex_state = 298},
  [4596] = {.lex_state = 298},
  [4597] = {.lex_state = 298},
  [4598] = {.lex_state = 298},
  [4599] = {.lex_state = 298},
  [4600] = {.lex_state = 298},
  [4601] = {.lex_state = 298},
  [4602] = {.lex_state = 298},
  [4603] = {.lex_state = 298},
  [4604] = {.lex_state = 298},
  [4605] = {.lex_state = 298},
  [4606] = {.lex_state = 298},
  [4607] = {.lex_state = 298},
  [4608] = {.lex_state = 298},
  [4609] = {.lex_state = 298},
  [4610] = {.lex_state = 298},
  [4611] = {.lex_state = 298},
  [4612] = {.lex_state = 298},
  [4613] = {.lex_state = 298},
  [4614] = {.lex_state = 68, .external_lex_state = 62},
  [4615] = {.lex_state = 298},
  [4616] = {.lex_state = 298},
  [4617] = {.lex_state = 298},
  [4618] = {.lex_state = 298},
  [4619] = {.lex_state = 298},
  [4620] = {.lex_state = 298},
  [4621] = {.lex_state = 298},
  [4622] = {.lex_state = 298},
  [4623] = {.lex_state = 298},
  [4624] = {.lex_state = 298},
  [4625] = {.lex_state = 298},
  [4626] = {.lex_state = 298},
  [4627] = {.lex_state = 298},
  [4628] = {.lex_state = 298},
  [4629] = {.lex_state = 298},
  [4630] = {.lex_state = 298},
  [4631] = {.lex_state = 298},
  [4632] = {.lex_state = 298},
  [4633] = {.lex_state = 298},
  [4634] = {.lex_state = 298},
  [4635] = {.lex_state = 298},
  [4636] = {.lex_state = 298},
  [4637] = {.lex_state = 298},
  [4638] = {.lex_state = 298},
  [4639] = {.lex_state = 298},
  [4640] = {.lex_state = 298},
  [4641] = {.lex_state = 298},
  [4642] = {.lex_state = 298},
  [4643] = {.lex_state = 298},
  [4644] = {.lex_state = 298},
  [4645] = {.lex_state = 298},
  [4646] = {.lex_state = 298},
  [4647] = {.lex_state = 298},
  [4648] = {.lex_state = 298},
  [4649] = {.lex_state = 298},
  [4650] = {.lex_state = 298},
  [4651] = {.lex_state = 298},
  [4652] = {.lex_state = 298},
  [4653] = {.lex_state = 298},
  [4654] = {.lex_state = 298},
  [4655] = {.lex_state = 298},
  [4656] = {.lex_state = 298},
  [4657] = {.lex_state = 298},
  [4658] = {.lex_state = 68, .external_lex_state = 62},
  [4659] = {.lex_state = 68, .external_lex_state = 62},
  [4660] = {.lex_state = 268},
  [4661] = {.lex_state = 269},
  [4662] = {.lex_state = 268},
  [4663] = {.lex_state = 270, .external_lex_state = 74},
  [4664] = {.lex_state = 268},
  [4665] = {.lex_state = 269},
  [4666] = {.lex_state = 268},
  [4667] = {.lex_state = 268},
  [4668] = {.lex_state = 269},
  [4669] = {.lex_state = 268},
  [4670] = {.lex_state = 269},
  [4671] = {.lex_state = 268},
  [4672] = {.lex_state = 268},
  [4673] = {.lex_state = 269},
  [4674] = {.lex_state = 268},
  [4675] = {.lex_state = 269},
  [4676] = {.lex_state = 268},
  [4677] = {.lex_state = 269},
  [4678] = {.lex_state = 268},
  [4679] = {.lex_state = 268},
  [4680] = {.lex_state = 268},
  [4681] = {.lex_state = 268},
  [4682] = {.lex_state = 270, .external_lex_state = 74},
  [4683] = {.lex_state = 268},
  [4684] = {.lex_state = 268},
  [4685] = {.lex_state = 268},
  [4686] = {.lex_state = 268},
  [4687] = {.lex_state = 269},
  [4688] = {.lex_state = 269},
  [4689] = {.lex_state = 270, .external_lex_state = 74},
  [4690] = {.lex_state = 268},
  [4691] = {.lex_state = 269},
  [4692] = {.lex_state = 269},
  [4693] = {.lex_state = 268},
  [4694] = {.lex_state = 269},
  [4695] = {.lex_state = 268},
  [4696] = {.lex_state = 268},
  [4697] = {.lex_state = 268},
  [4698] = {.lex_state = 269},
  [4699] = {.lex_state = 269},
  [4700] = {.lex_state = 269},
  [4701] = {.lex_state = 268},
  [4702] = {.lex_state = 268},
  [4703] = {.lex_state = 268},
  [4704] = {.lex_state = 268},
  [4705] = {.lex_state = 269},
  [4706] = {.lex_state = 268},
  [4707] = {.lex_state = 268},
  [4708] = {.lex_state = 268},
  [4709] = {.lex_state = 269},
  [4710] = {.lex_state = 268},
  [4711] = {.lex_state = 268},
  [4712] = {.lex_state = 268},
  [4713] = {.lex_state = 269},
  [4714] = {.lex_state = 269},
  [4715] = {.lex_state = 268},
  [4716] = {.lex_state = 268},
  [4717] = {.lex_state = 269},
  [4718] = {.lex_state = 268},
  [4719] = {.lex_state = 270, .external_lex_state = 74},
  [4720] = {.lex_state = 268},
  [4721] = {.lex_state = 268},
  [4722] = {.lex_state = 268},
  [4723] = {.lex_state = 269},
  [4724] = {.lex_state = 270, .external_lex_state = 74},
  [4725] = {.lex_state = 268},
  [4726] = {.lex_state = 268},
  [4727] = {.lex_state = 268},
  [4728] = {.lex_state = 268},
  [4729] = {.lex_state = 268},
  [4730] = {.lex_state = 269},
  [4731] = {.lex_state = 268},
  [4732] = {.lex_state = 268},
  [4733] = {.lex_state = 268},
  [4734] = {.lex_state = 270, .external_lex_state = 74},
  [4735] = {.lex_state = 269},
  [4736] = {.lex_state = 268},
  [4737] = {.lex_state = 269},
  [4738] = {.lex_state = 268},
  [4739] = {.lex_state = 268},
  [4740] = {.lex_state = 268},
  [4741] = {.lex_state = 269},
  [4742] = {.lex_state = 269},
  [4743] = {.lex_state = 268},
  [4744] = {.lex_state = 268},
  [4745] = {.lex_state = 268},
  [4746] = {.lex_state = 268},
  [4747] = {.lex_state = 268},
  [4748] = {.lex_state = 268},
  [4749] = {.lex_state = 268},
  [4750] = {.lex_state = 269},
  [4751] = {.lex_state = 268},
  [4752] = {.lex_state = 269},
  [4753] = {.lex_state = 269},
  [4754] = {.lex_state = 268},
  [4755] = {.lex_state = 268},
  [4756] = {.lex_state = 268},
  [4757] = {.lex_state = 268},
  [4758] = {.lex_state = 268},
  [4759] = {.lex_state = 269},
  [4760] = {.lex_state = 269},
  [4761] = {.lex_state = 268},
  [4762] = {.lex_state = 269},
  [4763] = {.lex_state = 268},
  [4764] = {.lex_state = 268},
  [4765] = {.lex_state = 268},
  [4766] = {.lex_state = 268},
  [4767] = {.lex_state = 268},
  [4768] = {.lex_state = 268},
  [4769] = {.lex_state = 269},
  [4770] = {.lex_state = 268},
  [4771] = {.lex_state = 268},
  [4772] = {.lex_state = 268},
  [4773] = {.lex_state = 269},
  [4774] = {.lex_state = 268},
  [4775] = {.lex_state = 268},
  [4776] = {.lex_state = 269},
  [4777] = {.lex_state = 268},
  [4778] = {.lex_state = 268},
  [4779] = {.lex_state = 268},
  [4780] = {.lex_state = 269},
  [4781] = {.lex_state = 268},
  [4782] = {.lex_state = 268},
  [4783] = {.lex_state = 268},
  [4784] = {.lex_state = 269},
  [4785] = {.lex_state = 268},
  [4786] = {.lex_state = 268},
  [4787] = {.lex_state = 269},
  [4788] = {.lex_state = 269},
  [4789] = {.lex_state = 268},
  [4790] = {.lex_state = 268},
  [4791] = {.lex_state = 268},
  [4792] = {.lex_state = 268},
  [4793] = {.lex_state = 268},
  [4794] = {.lex_state = 269},
  [4795] = {.lex_state = 268},
  [4796] = {.lex_state = 268},
  [4797] = {.lex_state = 268},
  [4798] = {.lex_state = 268},
  [4799] = {.lex_state = 268},
  [4800] = {.lex_state = 268},
  [4801] = {.lex_state = 268},
  [4802] = {.lex_state = 268},
  [4803] = {.lex_state = 268},
  [4804] = {.lex_state = 268},
  [4805] = {.lex_state = 269},
  [4806] = {.lex_state = 269},
  [4807] = {.lex_state = 268},
  [4808] = {.lex_state = 268},
  [4809] = {.lex_state = 268},
  [4810] = {.lex_state = 268},
  [4811] = {.lex_state = 269},
  [4812] = {.lex_state = 269},
  [4813] = {.lex_state = 270, .external_lex_state = 74},
  [4814] = {.lex_state = 268},
  [4815] = {.lex_state = 268},
  [4816] = {.lex_state = 268},
  [4817] = {.lex_state = 268},
  [4818] = {.lex_state = 269},
  [4819] = {.lex_state = 270, .external_lex_state = 74},
  [4820] = {.lex_state = 268},
  [4821] = {.lex_state = 268},
  [4822] = {.lex_state = 268},
  [4823] = {.lex_state = 268},
  [4824] = {.lex_state = 268},
  [4825] = {.lex_state = 268},
  [4826] = {.lex_state = 268},
  [4827] = {.lex_state = 268},
  [4828] = {.lex_state = 269},
  [4829] = {.lex_state = 268},
  [4830] = {.lex_state = 268},
  [4831] = {.lex_state = 268},
  [4832] = {.lex_state = 268},
  [4833] = {.lex_state = 269},
  [4834] = {.lex_state = 268},
  [4835] = {.lex_state = 293, .external_lex_state = 74},
  [4836] = {.lex_state = 271},
  [4837] = {.lex_state = 293, .external_lex_state = 74},
  [4838] = {.lex_state = 293, .external_lex_state = 74},
  [4839] = {.lex_state = 293, .external_lex_state = 74},
  [4840] = {.lex_state = 293, .external_lex_state = 74},
  [4841] = {.lex_state = 293, .external_lex_state = 74},
  [4842] = {.lex_state = 293, .external_lex_state = 74},
  [4843] = {.lex_state = 293, .external_lex_state = 74},
  [4844] = {.lex_state = 293, .external_lex_state = 74},
  [4845] = {.lex_state = 298, .external_lex_state = 75},
  [4846] = {.lex_state = 294},
  [4847] = {.lex_state = 298, .external_lex_state = 75},
  [4848] = {.lex_state = 298, .external_lex_state = 75},
  [4849] = {.lex_state = 253, .external_lex_state = 76},
  [4850] = {.lex_state = 298, .external_lex_state = 75},
  [4851] = {.lex_state = 298, .external_lex_state = 75},
  [4852] = {.lex_state = 253, .external_lex_state = 76},
  [4853] = {.lex_state = 298, .external_lex_state = 75},
  [4854] = {.lex_state = 272},
  [4855] = {.lex_state = 272},
  [4856] = {.lex_state = 294},
  [4857] = {.lex_state = 298, .external_lex_state = 75},
  [4858] = {.lex_state = 253, .external_lex_state = 76},
  [4859] = {.lex_state = 294},
  [4860] = {.lex_state = 298, .external_lex_state = 75},
  [4861] = {.lex_state = 272},
  [4862] = {.lex_state = 298, .external_lex_state = 75},
  [4863] = {.lex_state = 272},
  [4864] = {.lex_state = 272},
  [4865] = {.lex_state = 294},
  [4866] = {.lex_state = 272},
  [4867] = {.lex_state = 294},
  [4868] = {.lex_state = 294},
  [4869] = {.lex_state = 298, .external_lex_state = 75},
  [4870] = {.lex_state = 272},
  [4871] = {.lex_state = 294},
  [4872] = {.lex_state = 298, .external_lex_state = 75},
  [4873] = {.lex_state = 294, .external_lex_state = 77},
  [4874] = {.lex_state = 272},
  [4875] = {.lex_state = 294},
  [4876] = {.lex_state = 294},
  [4877] = {.lex_state = 302},
  [4878] = {.lex_state = 302},
  [4879] = {.lex_state = 302},
  [4880] = {.lex_state = 302},
  [4881] = {.lex_state = 302},
  [4882] = {.lex_state = 302},
  [4883] = {.lex_state = 294},
  [4884] = {.lex_state = 302},
  [4885] = {.lex_state = 298},
  [4886] = {.lex_state = 302},
  [4887] = {.lex_state = 303},
  [4888] = {.lex_state = 302},
  [4889] = {.lex_state = 298},
  [4890] = {.lex_state = 302},
  [4891] = {.lex_state = 69, .external_lex_state = 78},
  [4892] = {.lex_state = 270, .external_lex_state = 79},
  [4893] = {.lex_state = 506},
  [4894] = {.lex_state = 69, .external_lex_state = 78},
  [4895] = {.lex_state = 301},
  [4896] = {.lex_state = 506},
  [4897] = {.lex_state = 506},
  [4898] = {.lex_state = 301},
  [4899] = {.lex_state = 506},
  [4900] = {.lex_state = 506},
  [4901] = {.lex_state = 506},
  [4902] = {.lex_state = 506},
  [4903] = {.lex_state = 506},
  [4904] = {.lex_state = 69, .external_lex_state = 78},
  [4905] = {.lex_state = 506},
  [4906] = {.lex_state = 506},
  [4907] = {.lex_state = 506},
  [4908] = {.lex_state = 69, .external_lex_state = 78},
  [4909] = {.lex_state = 506},
  [4910] = {.lex_state = 506},
  [4911] = {.lex_state = 69, .external_lex_state = 78},
  [4912] = {.lex_state = 506},
  [4913] = {.lex_state = 506},
  [4914] = {.lex_state = 506},
  [4915] = {.lex_state = 506},
  [4916] = {.lex_state = 506},
  [4917] = {.lex_state = 506},
  [4918] = {.lex_state = 69, .external_lex_state = 78},
  [4919] = {.lex_state = 506},
  [4920] = {.lex_state = 69, .external_lex_state = 78},
  [4921] = {.lex_state = 506},
  [4922] = {.lex_state = 69, .external_lex_state = 78},
  [4923] = {.lex_state = 506},
  [4924] = {.lex_state = 506},
  [4925] = {.lex_state = 69, .external_lex_state = 78},
  [4926] = {.lex_state = 69, .external_lex_state = 78},
  [4927] = {.lex_state = 506},
  [4928] = {.lex_state = 69, .external_lex_state = 78},
  [4929] = {.lex_state = 253, .external_lex_state = 76},
  [4930] = {.lex_state = 69, .external_lex_state = 58},
  [4931] = {.lex_state = 302, .external_lex_state = 77},
  [4932] = {.lex_state = 253, .external_lex_state = 76},
  [4933] = {.lex_state = 69, .external_lex_state = 78},
  [4934] = {.lex_state = 302, .external_lex_state = 77},
  [4935] = {.lex_state = 302, .external_lex_state = 77},
  [4936] = {.lex_state = 69, .external_lex_state = 78},
  [4937] = {.lex_state = 302, .external_lex_state = 77},
  [4938] = {.lex_state = 69, .external_lex_state = 78},
  [4939] = {.lex_state = 69, .external_lex_state = 78},
  [4940] = {.lex_state = 295, .external_lex_state = 80},
  [4941] = {.lex_state = 69, .external_lex_state = 78},
  [4942] = {.lex_state = 69, .external_lex_state = 78},
  [4943] = {.lex_state = 69, .external_lex_state = 78},
  [4944] = {.lex_state = 69, .external_lex_state = 78},
  [4945] = {.lex_state = 69, .external_lex_state = 58},
  [4946] = {.lex_state = 69, .external_lex_state = 78},
  [4947] = {.lex_state = 69, .external_lex_state = 78},
  [4948] = {.lex_state = 69, .external_lex_state = 78},
  [4949] = {.lex_state = 69, .external_lex_state = 78},
  [4950] = {.lex_state = 69, .external_lex_state = 58},
  [4951] = {.lex_state = 302, .external_lex_state = 77},
  [4952] = {.lex_state = 302, .external_lex_state = 77},
  [4953] = {.lex_state = 302, .external_lex_state = 77},
  [4954] = {.lex_state = 253, .external_lex_state = 76},
  [4955] = {.lex_state = 253, .external_lex_state = 76},
  [4956] = {.lex_state = 69, .external_lex_state = 78},
  [4957] = {.lex_state = 253, .external_lex_state = 76},
  [4958] = {.lex_state = 253, .external_lex_state = 76},
  [4959] = {.lex_state = 69, .external_lex_state = 78},
  [4960] = {.lex_state = 302, .external_lex_state = 77},
  [4961] = {.lex_state = 69, .external_lex_state = 78},
  [4962] = {.lex_state = 69, .external_lex_state = 78},
  [4963] = {.lex_state = 69, .external_lex_state = 78},
  [4964] = {.lex_state = 253, .external_lex_state = 76},
  [4965] = {.lex_state = 69, .external_lex_state = 78},
  [4966] = {.lex_state = 302, .external_lex_state = 77},
  [4967] = {.lex_state = 69, .external_lex_state = 58},
  [4968] = {.lex_state = 302, .external_lex_state = 81},
  [4969] = {.lex_state = 278, .external_lex_state = 75},
  [4970] = {.lex_state = 278, .external_lex_state = 75},
  [4971] = {.lex_state = 69, .external_lex_state = 58},
  [4972] = {.lex_state = 278, .external_lex_state = 75},
  [4973] = {.lex_state = 278, .external_lex_state = 75},
  [4974] = {.lex_state = 302, .external_lex_state = 77},
  [4975] = {.lex_state = 303},
  [4976] = {.lex_state = 303},
  [4977] = {.lex_state = 303},
  [4978] = {.lex_state = 302, .external_lex_state = 81},
  [4979] = {.lex_state = 278, .external_lex_state = 75},
  [4980] = {.lex_state = 303},
  [4981] = {.lex_state = 278, .external_lex_state = 75},
  [4982] = {.lex_state = 302, .external_lex_state = 77},
  [4983] = {.lex_state = 65, .external_lex_state = 58},
  [4984] = {.lex_state = 303},
  [4985] = {.lex_state = 65, .external_lex_state = 58},
  [4986] = {.lex_state = 303},
  [4987] = {.lex_state = 278, .external_lex_state = 75},
  [4988] = {.lex_state = 278, .external_lex_state = 75},
  [4989] = {.lex_state = 302, .external_lex_state = 77},
  [4990] = {.lex_state = 302, .external_lex_state = 77},
  [4991] = {.lex_state = 65, .external_lex_state = 58},
  [4992] = {.lex_state = 65, .external_lex_state = 58},
  [4993] = {.lex_state = 278, .external_lex_state = 75},
  [4994] = {.lex_state = 302, .external_lex_state = 77},
  [4995] = {.lex_state = 65, .external_lex_state = 58},
  [4996] = {.lex_state = 65, .external_lex_state = 58},
  [4997] = {.lex_state = 302, .external_lex_state = 81},
  [4998] = {.lex_state = 65, .external_lex_state = 58},
  [4999] = {.lex_state = 302, .external_lex_state = 77},
  [5000] = {.lex_state = 302, .external_lex_state = 77},
  [5001] = {.lex_state = 65, .external_lex_state = 58},
  [5002] = {.lex_state = 302, .external_lex_state = 77},
  [5003] = {.lex_state = 302, .external_lex_state = 81},
  [5004] = {.lex_state = 302, .external_lex_state = 82},
  [5005] = {.lex_state = 506, .external_lex_state = 83},
  [5006] = {.lex_state = 302, .external_lex_state = 82},
  [5007] = {.lex_state = 506, .external_lex_state = 83},
  [5008] = {.lex_state = 506, .external_lex_state = 83},
  [5009] = {.lex_state = 506, .external_lex_state = 83},
  [5010] = {.lex_state = 261, .external_lex_state = 84},
  [5011] = {.lex_state = 506, .external_lex_state = 83},
  [5012] = {.lex_state = 506, .external_lex_state = 83},
  [5013] = {.lex_state = 506, .external_lex_state = 83},
  [5014] = {.lex_state = 506, .external_lex_state = 83},
  [5015] = {.lex_state = 302, .external_lex_state = 82},
  [5016] = {.lex_state = 506, .external_lex_state = 83},
  [5017] = {.lex_state = 506, .external_lex_state = 83},
  [5018] = {.lex_state = 65, .external_lex_state = 58},
  [5019] = {.lex_state = 506, .external_lex_state = 83},
  [5020] = {.lex_state = 506, .external_lex_state = 83},
  [5021] = {.lex_state = 278, .external_lex_state = 75},
  [5022] = {.lex_state = 506, .external_lex_state = 83},
  [5023] = {.lex_state = 506, .external_lex_state = 83},
  [5024] = {.lex_state = 302, .external_lex_state = 81},
  [5025] = {.lex_state = 277},
  [5026] = {.lex_state = 302, .external_lex_state = 81},
  [5027] = {.lex_state = 506, .external_lex_state = 83},
  [5028] = {.lex_state = 294},
  [5029] = {.lex_state = 302},
  [5030] = {.lex_state = 506, .external_lex_state = 83},
  [5031] = {.lex_state = 506, .external_lex_state = 83},
  [5032] = {.lex_state = 506, .external_lex_state = 83},
  [5033] = {.lex_state = 506, .external_lex_state = 83},
  [5034] = {.lex_state = 506, .external_lex_state = 83},
  [5035] = {.lex_state = 506, .external_lex_state = 83},
  [5036] = {.lex_state = 506, .external_lex_state = 83},
  [5037] = {.lex_state = 506, .external_lex_state = 83},
  [5038] = {.lex_state = 261, .external_lex_state = 85},
  [5039] = {.lex_state = 506, .external_lex_state = 83},
  [5040] = {.lex_state = 506, .external_lex_state = 83},
  [5041] = {.lex_state = 278, .external_lex_state = 75},
  [5042] = {.lex_state = 506, .external_lex_state = 83},
  [5043] = {.lex_state = 294},
  [5044] = {.lex_state = 277},
  [5045] = {.lex_state = 506, .external_lex_state = 83},
  [5046] = {.lex_state = 261, .external_lex_state = 84},
  [5047] = {.lex_state = 506, .external_lex_state = 83},
  [5048] = {.lex_state = 261, .external_lex_state = 84},
  [5049] = {.lex_state = 277},
  [5050] = {.lex_state = 506, .external_lex_state = 83},
  [5051] = {.lex_state = 506, .external_lex_state = 83},
  [5052] = {.lex_state = 506, .external_lex_state = 83},
  [5053] = {.lex_state = 302, .external_lex_state = 82},
  [5054] = {.lex_state = 302, .external_lex_state = 82},
  [5055] = {.lex_state = 261, .external_lex_state = 84},
  [5056] = {.lex_state = 261, .external_lex_state = 85},
  [5057] = {.lex_state = 278, .external_lex_state = 75},
  [5058] = {.lex_state = 69, .external_lex_state = 58},
  [5059] = {.lex_state = 261, .external_lex_state = 85},
  [5060] = {.lex_state = 278, .external_lex_state = 75},
  [5061] = {.lex_state = 302, .external_lex_state = 82},
  [5062] = {.lex_state = 506, .external_lex_state = 83},
  [5063] = {.lex_state = 303},
  [5064] = {.lex_state = 261, .external_lex_state = 84},
  [5065] = {.lex_state = 69, .external_lex_state = 58},
  [5066] = {.lex_state = 506, .external_lex_state = 83},
  [5067] = {.lex_state = 261, .external_lex_state = 84},
  [5068] = {.lex_state = 277},
  [5069] = {.lex_state = 261, .external_lex_state = 84},
  [5070] = {.lex_state = 506, .external_lex_state = 83},
  [5071] = {.lex_state = 302, .external_lex_state = 82},
  [5072] = {.lex_state = 506, .external_lex_state = 83},
  [5073] = {.lex_state = 506, .external_lex_state = 83},
  [5074] = {.lex_state = 261, .external_lex_state = 84},
  [5075] = {.lex_state = 294},
  [5076] = {.lex_state = 506, .external_lex_state = 83},
  [5077] = {.lex_state = 506, .external_lex_state = 83},
  [5078] = {.lex_state = 261, .external_lex_state = 84},
  [5079] = {.lex_state = 69, .external_lex_state = 58},
  [5080] = {.lex_state = 506, .external_lex_state = 83},
  [5081] = {.lex_state = 506, .external_lex_state = 83},
  [5082] = {.lex_state = 302, .external_lex_state = 82},
  [5083] = {.lex_state = 506, .external_lex_state = 83},
  [5084] = {.lex_state = 261, .external_lex_state = 84},
  [5085] = {.lex_state = 69, .external_lex_state = 58},
  [5086] = {.lex_state = 506, .external_lex_state = 83},
  [5087] = {.lex_state = 261, .external_lex_state = 85},
  [5088] = {.lex_state = 506, .external_lex_state = 83},
  [5089] = {.lex_state = 261, .external_lex_state = 84},
  [5090] = {.lex_state = 69, .external_lex_state = 58},
  [5091] = {.lex_state = 506, .external_lex_state = 83},
  [5092] = {.lex_state = 69, .external_lex_state = 58},
  [5093] = {.lex_state = 278, .external_lex_state = 75},
  [5094] = {.lex_state = 261, .external_lex_state = 84},
  [5095] = {.lex_state = 506, .external_lex_state = 83},
  [5096] = {.lex_state = 261, .external_lex_state = 84},
  [5097] = {.lex_state = 506, .external_lex_state = 83},
  [5098] = {.lex_state = 506, .external_lex_state = 83},
  [5099] = {.lex_state = 506, .external_lex_state = 83},
  [5100] = {.lex_state = 261, .external_lex_state = 84},
  [5101] = {.lex_state = 302, .external_lex_state = 82},
  [5102] = {.lex_state = 261, .external_lex_state = 84},
  [5103] = {.lex_state = 302, .external_lex_state = 82},
  [5104] = {.lex_state = 302, .external_lex_state = 82},
  [5105] = {.lex_state = 278, .external_lex_state = 75},
  [5106] = {.lex_state = 253},
  [5107] = {.lex_state = 302, .external_lex_state = 82},
  [5108] = {.lex_state = 278, .external_lex_state = 75},
  [5109] = {.lex_state = 278, .external_lex_state = 75},
  [5110] = {.lex_state = 302, .external_lex_state = 82},
  [5111] = {.lex_state = 253},
  [5112] = {.lex_state = 253},
  [5113] = {.lex_state = 253},
  [5114] = {.lex_state = 277},
  [5115] = {.lex_state = 253},
  [5116] = {.lex_state = 261, .external_lex_state = 82},
  [5117] = {.lex_state = 65, .external_lex_state = 58},
  [5118] = {.lex_state = 253},
  [5119] = {.lex_state = 261, .external_lex_state = 84},
  [5120] = {.lex_state = 261, .external_lex_state = 84},
  [5121] = {.lex_state = 278, .external_lex_state = 75},
  [5122] = {.lex_state = 278, .external_lex_state = 75},
  [5123] = {.lex_state = 253},
  [5124] = {.lex_state = 278, .external_lex_state = 75},
  [5125] = {.lex_state = 261, .external_lex_state = 84},
  [5126] = {.lex_state = 261, .external_lex_state = 84},
  [5127] = {.lex_state = 278, .external_lex_state = 75},
  [5128] = {.lex_state = 278, .external_lex_state = 75},
  [5129] = {.lex_state = 302, .external_lex_state = 82},
  [5130] = {.lex_state = 270, .external_lex_state = 77},
  [5131] = {.lex_state = 270, .external_lex_state = 77},
  [5132] = {.lex_state = 261, .external_lex_state = 84},
  [5133] = {.lex_state = 278, .external_lex_state = 75},
  [5134] = {.lex_state = 253},
  [5135] = {.lex_state = 278, .external_lex_state = 75},
  [5136] = {.lex_state = 253},
  [5137] = {.lex_state = 277},
  [5138] = {.lex_state = 253},
  [5139] = {.lex_state = 261, .external_lex_state = 84},
  [5140] = {.lex_state = 302, .external_lex_state = 82},
  [5141] = {.lex_state = 278, .external_lex_state = 75},
  [5142] = {.lex_state = 278, .external_lex_state = 75},
  [5143] = {.lex_state = 294},
  [5144] = {.lex_state = 278, .external_lex_state = 75},
  [5145] = {.lex_state = 302, .external_lex_state = 82},
  [5146] = {.lex_state = 278, .external_lex_state = 75},
  [5147] = {.lex_state = 302, .external_lex_state = 82},
  [5148] = {.lex_state = 302, .external_lex_state = 82},
  [5149] = {.lex_state = 302, .external_lex_state = 82},
  [5150] = {.lex_state = 278, .external_lex_state = 75},
  [5151] = {.lex_state = 270, .external_lex_state = 77},
  [5152] = {.lex_state = 302, .external_lex_state = 82},
  [5153] = {.lex_state = 302, .external_lex_state = 82},
  [5154] = {.lex_state = 253},
  [5155] = {.lex_state = 278, .external_lex_state = 75},
  [5156] = {.lex_state = 65, .external_lex_state = 58},
  [5157] = {.lex_state = 278, .external_lex_state = 75},
  [5158] = {.lex_state = 253},
  [5159] = {.lex_state = 294},
  [5160] = {.lex_state = 270, .external_lex_state = 77},
  [5161] = {.lex_state = 278, .external_lex_state = 75},
  [5162] = {.lex_state = 278, .external_lex_state = 75},
  [5163] = {.lex_state = 294},
  [5164] = {.lex_state = 65, .external_lex_state = 58},
  [5165] = {.lex_state = 506},
  [5166] = {.lex_state = 253},
  [5167] = {.lex_state = 255},
  [5168] = {.lex_state = 506},
  [5169] = {.lex_state = 253},
  [5170] = {.lex_state = 253},
  [5171] = {.lex_state = 506},
  [5172] = {.lex_state = 253},
  [5173] = {.lex_state = 304},
  [5174] = {.lex_state = 270, .external_lex_state = 77},
  [5175] = {.lex_state = 270, .external_lex_state = 77},
  [5176] = {.lex_state = 253},
  [5177] = {.lex_state = 253},
  [5178] = {.lex_state = 253},
  [5179] = {.lex_state = 253},
  [5180] = {.lex_state = 270, .external_lex_state = 79},
  [5181] = {.lex_state = 304},
  [5182] = {.lex_state = 253},
  [5183] = {.lex_state = 255},
  [5184] = {.lex_state = 253},
  [5185] = {.lex_state = 253},
  [5186] = {.lex_state = 253},
  [5187] = {.lex_state = 253},
  [5188] = {.lex_state = 253},
  [5189] = {.lex_state = 253},
  [5190] = {.lex_state = 253},
  [5191] = {.lex_state = 270, .external_lex_state = 77},
  [5192] = {.lex_state = 304},
  [5193] = {.lex_state = 253},
  [5194] = {.lex_state = 253},
  [5195] = {.lex_state = 255},
  [5196] = {.lex_state = 253},
  [5197] = {.lex_state = 253},
  [5198] = {.lex_state = 277},
  [5199] = {.lex_state = 253},
  [5200] = {.lex_state = 506, .external_lex_state = 86},
  [5201] = {.lex_state = 253},
  [5202] = {.lex_state = 506},
  [5203] = {.lex_state = 506},
  [5204] = {.lex_state = 506},
  [5205] = {.lex_state = 506},
  [5206] = {.lex_state = 253},
  [5207] = {.lex_state = 506, .external_lex_state = 86},
  [5208] = {.lex_state = 506, .external_lex_state = 86},
  [5209] = {.lex_state = 253},
  [5210] = {.lex_state = 255},
  [5211] = {.lex_state = 304},
  [5212] = {.lex_state = 506},
  [5213] = {.lex_state = 253},
  [5214] = {.lex_state = 304},
  [5215] = {.lex_state = 255},
  [5216] = {.lex_state = 304},
  [5217] = {.lex_state = 253},
  [5218] = {.lex_state = 304},
  [5219] = {.lex_state = 253},
  [5220] = {.lex_state = 253},
  [5221] = {.lex_state = 253},
  [5222] = {.lex_state = 506},
  [5223] = {.lex_state = 253},
  [5224] = {.lex_state = 253},
  [5225] = {.lex_state = 506},
  [5226] = {.lex_state = 304},
  [5227] = {.lex_state = 253},
  [5228] = {.lex_state = 270, .external_lex_state = 79},
  [5229] = {.lex_state = 293, .external_lex_state = 75},
  [5230] = {.lex_state = 304},
  [5231] = {.lex_state = 304},
  [5232] = {.lex_state = 253},
  [5233] = {.lex_state = 304},
  [5234] = {.lex_state = 304},
  [5235] = {.lex_state = 255},
  [5236] = {.lex_state = 506},
  [5237] = {.lex_state = 304},
  [5238] = {.lex_state = 506},
  [5239] = {.lex_state = 253},
  [5240] = {.lex_state = 506},
  [5241] = {.lex_state = 506, .external_lex_state = 86},
  [5242] = {.lex_state = 506},
  [5243] = {.lex_state = 253},
  [5244] = {.lex_state = 253},
  [5245] = {.lex_state = 506},
  [5246] = {.lex_state = 253},
  [5247] = {.lex_state = 506},
  [5248] = {.lex_state = 506},
  [5249] = {.lex_state = 304},
  [5250] = {.lex_state = 253},
  [5251] = {.lex_state = 270, .external_lex_state = 79},
  [5252] = {.lex_state = 253},
  [5253] = {.lex_state = 506, .external_lex_state = 86},
  [5254] = {.lex_state = 253},
  [5255] = {.lex_state = 506, .external_lex_state = 86},
  [5256] = {.lex_state = 506},
  [5257] = {.lex_state = 506},
  [5258] = {.lex_state = 304},
  [5259] = {.lex_state = 253},
  [5260] = {.lex_state = 223, .external_lex_state = 75},
  [5261] = {.lex_state = 304},
  [5262] = {.lex_state = 506, .external_lex_state = 86},
  [5263] = {.lex_state = 270, .external_lex_state = 77},
  [5264] = {.lex_state = 506},
  [5265] = {.lex_state = 253},
  [5266] = {.lex_state = 253},
  [5267] = {.lex_state = 253},
  [5268] = {.lex_state = 506},
  [5269] = {.lex_state = 253},
  [5270] = {.lex_state = 253},
  [5271] = {.lex_state = 253},
  [5272] = {.lex_state = 304},
  [5273] = {.lex_state = 293, .external_lex_state = 75},
  [5274] = {.lex_state = 506},
  [5275] = {.lex_state = 506, .external_lex_state = 86},
  [5276] = {.lex_state = 253},
  [5277] = {.lex_state = 253},
  [5278] = {.lex_state = 506},
  [5279] = {.lex_state = 304},
  [5280] = {.lex_state = 506},
  [5281] = {.lex_state = 253},
  [5282] = {.lex_state = 293, .external_lex_state = 75},
  [5283] = {.lex_state = 253},
  [5284] = {.lex_state = 253},
  [5285] = {.lex_state = 253},
  [5286] = {.lex_state = 255},
  [5287] = {.lex_state = 253},
  [5288] = {.lex_state = 253},
  [5289] = {.lex_state = 506},
  [5290] = {.lex_state = 506},
  [5291] = {.lex_state = 293, .external_lex_state = 75},
  [5292] = {.lex_state = 304},
  [5293] = {.lex_state = 253},
  [5294] = {.lex_state = 304},
  [5295] = {.lex_state = 253},
  [5296] = {.lex_state = 270, .external_lex_state = 77},
  [5297] = {.lex_state = 253},
  [5298] = {.lex_state = 253},
  [5299] = {.lex_state = 270, .external_lex_state = 77},
  [5300] = {.lex_state = 253},
  [5301] = {.lex_state = 253},
  [5302] = {.lex_state = 253},
  [5303] = {.lex_state = 506},
  [5304] = {.lex_state = 253},
  [5305] = {.lex_state = 253},
  [5306] = {.lex_state = 506},
  [5307] = {.lex_state = 506},
  [5308] = {.lex_state = 304},
  [5309] = {.lex_state = 253},
  [5310] = {.lex_state = 253},
  [5311] = {.lex_state = 304},
  [5312] = {.lex_state = 253},
  [5313] = {.lex_state = 506, .external_lex_state = 86},
  [5314] = {.lex_state = 270, .external_lex_state = 79},
  [5315] = {.lex_state = 506},
  [5316] = {.lex_state = 506},
  [5317] = {.lex_state = 506},
  [5318] = {.lex_state = 253},
  [5319] = {.lex_state = 506},
  [5320] = {.lex_state = 304},
  [5321] = {.lex_state = 270, .external_lex_state = 77},
  [5322] = {.lex_state = 293},
  [5323] = {.lex_state = 261, .external_lex_state = 77},
  [5324] = {.lex_state = 506},
  [5325] = {.lex_state = 506},
  [5326] = {.lex_state = 293},
  [5327] = {.lex_state = 506},
  [5328] = {.lex_state = 506},
  [5329] = {.lex_state = 270, .external_lex_state = 77},
  [5330] = {.lex_state = 293},
  [5331] = {.lex_state = 506},
  [5332] = {.lex_state = 506},
  [5333] = {.lex_state = 303},
  [5334] = {.lex_state = 506},
  [5335] = {.lex_state = 506},
  [5336] = {.lex_state = 506},
  [5337] = {.lex_state = 506},
  [5338] = {.lex_state = 506},
  [5339] = {.lex_state = 506},
  [5340] = {.lex_state = 270, .external_lex_state = 77},
  [5341] = {.lex_state = 293},
  [5342] = {.lex_state = 293},
  [5343] = {.lex_state = 270, .external_lex_state = 77},
  [5344] = {.lex_state = 303},
  [5345] = {.lex_state = 506},
  [5346] = {.lex_state = 506},
  [5347] = {.lex_state = 506},
  [5348] = {.lex_state = 506},
  [5349] = {.lex_state = 506},
  [5350] = {.lex_state = 293},
  [5351] = {.lex_state = 506},
  [5352] = {.lex_state = 293},
  [5353] = {.lex_state = 506},
  [5354] = {.lex_state = 506},
  [5355] = {.lex_state = 506},
  [5356] = {.lex_state = 506},
  [5357] = {.lex_state = 255},
  [5358] = {.lex_state = 506},
  [5359] = {.lex_state = 506},
  [5360] = {.lex_state = 293},
  [5361] = {.lex_state = 303},
  [5362] = {.lex_state = 270, .external_lex_state = 77},
  [5363] = {.lex_state = 270, .external_lex_state = 77},
  [5364] = {.lex_state = 293},
  [5365] = {.lex_state = 270, .external_lex_state = 77},
  [5366] = {.lex_state = 270, .external_lex_state = 77},
  [5367] = {.lex_state = 253},
  [5368] = {.lex_state = 303},
  [5369] = {.lex_state = 303},
  [5370] = {.lex_state = 506},
  [5371] = {.lex_state = 506},
  [5372] = {.lex_state = 293},
  [5373] = {.lex_state = 270, .external_lex_state = 77},
  [5374] = {.lex_state = 270, .external_lex_state = 77},
  [5375] = {.lex_state = 506},
  [5376] = {.lex_state = 270, .external_lex_state = 77},
  [5377] = {.lex_state = 506},
  [5378] = {.lex_state = 293},
  [5379] = {.lex_state = 506},
  [5380] = {.lex_state = 506},
  [5381] = {.lex_state = 506},
  [5382] = {.lex_state = 270, .external_lex_state = 77},
  [5383] = {.lex_state = 506},
  [5384] = {.lex_state = 293},
  [5385] = {.lex_state = 506},
  [5386] = {.lex_state = 270, .external_lex_state = 77},
  [5387] = {.lex_state = 293},
  [5388] = {.lex_state = 293},
  [5389] = {.lex_state = 255},
  [5390] = {.lex_state = 506},
  [5391] = {.lex_state = 506},
  [5392] = {.lex_state = 293},
  [5393] = {.lex_state = 293},
  [5394] = {.lex_state = 506},
  [5395] = {.lex_state = 293},
  [5396] = {.lex_state = 293},
  [5397] = {.lex_state = 506},
  [5398] = {.lex_state = 255},
  [5399] = {.lex_state = 506},
  [5400] = {.lex_state = 261, .external_lex_state = 80},
  [5401] = {.lex_state = 270, .external_lex_state = 77},
  [5402] = {.lex_state = 270, .external_lex_state = 77},
  [5403] = {.lex_state = 293},
  [5404] = {.lex_state = 506},
  [5405] = {.lex_state = 293},
  [5406] = {.lex_state = 506},
  [5407] = {.lex_state = 293},
  [5408] = {.lex_state = 506},
  [5409] = {.lex_state = 293},
  [5410] = {.lex_state = 506},
  [5411] = {.lex_state = 506},
  [5412] = {.lex_state = 506},
  [5413] = {.lex_state = 255},
  [5414] = {.lex_state = 253},
  [5415] = {.lex_state = 303},
  [5416] = {.lex_state = 506},
  [5417] = {.lex_state = 293},
  [5418] = {.lex_state = 293},
  [5419] = {.lex_state = 255},
  [5420] = {.lex_state = 506},
  [5421] = {.lex_state = 293},
  [5422] = {.lex_state = 270, .external_lex_state = 77},
  [5423] = {.lex_state = 293},
  [5424] = {.lex_state = 506},
  [5425] = {.lex_state = 253},
  [5426] = {.lex_state = 506},
  [5427] = {.lex_state = 506},
  [5428] = {.lex_state = 506},
  [5429] = {.lex_state = 261, .external_lex_state = 77},
  [5430] = {.lex_state = 506},
  [5431] = {.lex_state = 293},
  [5432] = {.lex_state = 506},
  [5433] = {.lex_state = 255},
  [5434] = {.lex_state = 506},
  [5435] = {.lex_state = 506},
  [5436] = {.lex_state = 270, .external_lex_state = 77},
  [5437] = {.lex_state = 506},
  [5438] = {.lex_state = 261, .external_lex_state = 77},
  [5439] = {.lex_state = 253},
  [5440] = {.lex_state = 253},
  [5441] = {.lex_state = 253},
  [5442] = {.lex_state = 253},
  [5443] = {.lex_state = 253},
  [5444] = {.lex_state = 303},
  [5445] = {.lex_state = 253},
  [5446] = {.lex_state = 506, .external_lex_state = 87},
  [5447] = {.lex_state = 108, .external_lex_state = 58},
  [5448] = {.lex_state = 108, .external_lex_state = 58},
  [5449] = {.lex_state = 108, .external_lex_state = 58},
  [5450] = {.lex_state = 253},
  [5451] = {.lex_state = 253},
  [5452] = {.lex_state = 506, .external_lex_state = 87},
  [5453] = {.lex_state = 108, .external_lex_state = 58},
  [5454] = {.lex_state = 253},
  [5455] = {.lex_state = 506},
  [5456] = {.lex_state = 108, .external_lex_state = 58},
  [5457] = {.lex_state = 108, .external_lex_state = 58},
  [5458] = {.lex_state = 108, .external_lex_state = 58},
  [5459] = {.lex_state = 261, .external_lex_state = 77},
  [5460] = {.lex_state = 108, .external_lex_state = 58},
  [5461] = {.lex_state = 108, .external_lex_state = 58},
  [5462] = {.lex_state = 108, .external_lex_state = 58},
  [5463] = {.lex_state = 253},
  [5464] = {.lex_state = 253},
  [5465] = {.lex_state = 253},
  [5466] = {.lex_state = 303},
  [5467] = {.lex_state = 253},
  [5468] = {.lex_state = 506},
  [5469] = {.lex_state = 261, .external_lex_state = 77},
  [5470] = {.lex_state = 261, .external_lex_state = 77},
  [5471] = {.lex_state = 108, .external_lex_state = 58},
  [5472] = {.lex_state = 253},
  [5473] = {.lex_state = 261, .external_lex_state = 77},
  [5474] = {.lex_state = 108, .external_lex_state = 58},
  [5475] = {.lex_state = 108, .external_lex_state = 58},
  [5476] = {.lex_state = 108, .external_lex_state = 58},
  [5477] = {.lex_state = 108, .external_lex_state = 58},
  [5478] = {.lex_state = 253},
  [5479] = {.lex_state = 253},
  [5480] = {.lex_state = 261, .external_lex_state = 77},
  [5481] = {.lex_state = 253},
  [5482] = {.lex_state = 238},
  [5483] = {.lex_state = 253},
  [5484] = {.lex_state = 261, .external_lex_state = 77},
  [5485] = {.lex_state = 261, .external_lex_state = 77},
  [5486] = {.lex_state = 253},
  [5487] = {.lex_state = 303},
  [5488] = {.lex_state = 261, .external_lex_state = 77},
  [5489] = {.lex_state = 506},
  [5490] = {.lex_state = 253},
  [5491] = {.lex_state = 506},
  [5492] = {.lex_state = 108, .external_lex_state = 58},
  [5493] = {.lex_state = 506},
  [5494] = {.lex_state = 108, .external_lex_state = 58},
  [5495] = {.lex_state = 108, .external_lex_state = 58},
  [5496] = {.lex_state = 108, .external_lex_state = 58},
  [5497] = {.lex_state = 108, .external_lex_state = 58},
  [5498] = {.lex_state = 108, .external_lex_state = 58},
  [5499] = {.lex_state = 253},
  [5500] = {.lex_state = 108, .external_lex_state = 58},
  [5501] = {.lex_state = 253},
  [5502] = {.lex_state = 253},
  [5503] = {.lex_state = 238},
  [5504] = {.lex_state = 253},
  [5505] = {.lex_state = 303},
  [5506] = {.lex_state = 506},
  [5507] = {.lex_state = 506},
  [5508] = {.lex_state = 253},
  [5509] = {.lex_state = 506},
  [5510] = {.lex_state = 506},
  [5511] = {.lex_state = 506},
  [5512] = {.lex_state = 253},
  [5513] = {.lex_state = 506},
  [5514] = {.lex_state = 506},
  [5515] = {.lex_state = 506},
  [5516] = {.lex_state = 261, .external_lex_state = 77},
  [5517] = {.lex_state = 253},
  [5518] = {.lex_state = 261, .external_lex_state = 77},
  [5519] = {.lex_state = 506},
  [5520] = {.lex_state = 506},
  [5521] = {.lex_state = 506},
  [5522] = {.lex_state = 261, .external_lex_state = 77},
  [5523] = {.lex_state = 303},
  [5524] = {.lex_state = 506},
  [5525] = {.lex_state = 506},
  [5526] = {.lex_state = 253},
  [5527] = {.lex_state = 506},
  [5528] = {.lex_state = 261, .external_lex_state = 77},
  [5529] = {.lex_state = 506},
  [5530] = {.lex_state = 506},
  [5531] = {.lex_state = 506},
  [5532] = {.lex_state = 261, .external_lex_state = 77},
  [5533] = {.lex_state = 506},
  [5534] = {.lex_state = 506},
  [5535] = {.lex_state = 253},
  [5536] = {.lex_state = 506},
  [5537] = {.lex_state = 261, .external_lex_state = 77},
  [5538] = {.lex_state = 506},
  [5539] = {.lex_state = 506},
  [5540] = {.lex_state = 506},
  [5541] = {.lex_state = 261, .external_lex_state = 77},
  [5542] = {.lex_state = 506},
  [5543] = {.lex_state = 506},
  [5544] = {.lex_state = 253},
  [5545] = {.lex_state = 506},
  [5546] = {.lex_state = 261, .external_lex_state = 77},
  [5547] = {.lex_state = 506},
  [5548] = {.lex_state = 506},
  [5549] = {.lex_state = 506},
  [5550] = {.lex_state = 261, .external_lex_state = 77},
  [5551] = {.lex_state = 253},
  [5552] = {.lex_state = 506},
  [5553] = {.lex_state = 506},
  [5554] = {.lex_state = 506},
  [5555] = {.lex_state = 261, .external_lex_state = 77},
  [5556] = {.lex_state = 506},
  [5557] = {.lex_state = 506},
  [5558] = {.lex_state = 253},
  [5559] = {.lex_state = 506},
  [5560] = {.lex_state = 261, .external_lex_state = 77},
  [5561] = {.lex_state = 506},
  [5562] = {.lex_state = 506},
  [5563] = {.lex_state = 506},
  [5564] = {.lex_state = 261, .external_lex_state = 77},
  [5565] = {.lex_state = 253},
  [5566] = {.lex_state = 506},
  [5567] = {.lex_state = 506},
  [5568] = {.lex_state = 506},
  [5569] = {.lex_state = 261, .external_lex_state = 77},
  [5570] = {.lex_state = 261, .external_lex_state = 77},
  [5571] = {.lex_state = 506},
  [5572] = {.lex_state = 253},
  [5573] = {.lex_state = 506},
  [5574] = {.lex_state = 506},
  [5575] = {.lex_state = 108, .external_lex_state = 58},
  [5576] = {.lex_state = 108, .external_lex_state = 58},
  [5577] = {.lex_state = 256},
  [5578] = {.lex_state = 506},
  [5579] = {.lex_state = 253},
  [5580] = {.lex_state = 506},
  [5581] = {.lex_state = 253},
  [5582] = {.lex_state = 506},
  [5583] = {.lex_state = 261, .external_lex_state = 77},
  [5584] = {.lex_state = 256},
  [5585] = {.lex_state = 506},
  [5586] = {.lex_state = 253},
  [5587] = {.lex_state = 506},
  [5588] = {.lex_state = 506},
  [5589] = {.lex_state = 253},
  [5590] = {.lex_state = 261, .external_lex_state = 77},
  [5591] = {.lex_state = 261, .external_lex_state = 77},
  [5592] = {.lex_state = 261, .external_lex_state = 77},
  [5593] = {.lex_state = 253},
  [5594] = {.lex_state = 506},
  [5595] = {.lex_state = 261, .external_lex_state = 77},
  [5596] = {.lex_state = 261, .external_lex_state = 77},
  [5597] = {.lex_state = 261, .external_lex_state = 77},
  [5598] = {.lex_state = 261, .external_lex_state = 77},
  [5599] = {.lex_state = 261, .external_lex_state = 77},
  [5600] = {.lex_state = 253},
  [5601] = {.lex_state = 261, .external_lex_state = 77},
  [5602] = {.lex_state = 506},
  [5603] = {.lex_state = 506},
  [5604] = {.lex_state = 261, .external_lex_state = 77},
  [5605] = {.lex_state = 261, .external_lex_state = 77},
  [5606] = {.lex_state = 261, .external_lex_state = 77},
  [5607] = {.lex_state = 253},
  [5608] = {.lex_state = 506},
  [5609] = {.lex_state = 506},
  [5610] = {.lex_state = 261, .external_lex_state = 77},
  [5611] = {.lex_state = 261, .external_lex_state = 77},
  [5612] = {.lex_state = 261, .external_lex_state = 77},
  [5613] = {.lex_state = 261, .external_lex_state = 77},
  [5614] = {.lex_state = 253},
  [5615] = {.lex_state = 256},
  [5616] = {.lex_state = 506},
  [5617] = {.lex_state = 261, .external_lex_state = 77},
  [5618] = {.lex_state = 261, .external_lex_state = 77},
  [5619] = {.lex_state = 261, .external_lex_state = 77},
  [5620] = {.lex_state = 261, .external_lex_state = 77},
  [5621] = {.lex_state = 253},
  [5622] = {.lex_state = 506},
  [5623] = {.lex_state = 506},
  [5624] = {.lex_state = 261, .external_lex_state = 77},
  [5625] = {.lex_state = 261, .external_lex_state = 77},
  [5626] = {.lex_state = 261, .external_lex_state = 77},
  [5627] = {.lex_state = 261, .external_lex_state = 77},
  [5628] = {.lex_state = 253},
  [5629] = {.lex_state = 261, .external_lex_state = 77},
  [5630] = {.lex_state = 506},
  [5631] = {.lex_state = 261, .external_lex_state = 77},
  [5632] = {.lex_state = 261, .external_lex_state = 77},
  [5633] = {.lex_state = 261, .external_lex_state = 77},
  [5634] = {.lex_state = 261, .external_lex_state = 77},
  [5635] = {.lex_state = 253},
  [5636] = {.lex_state = 261, .external_lex_state = 77},
  [5637] = {.lex_state = 256},
  [5638] = {.lex_state = 506},
  [5639] = {.lex_state = 261, .external_lex_state = 77},
  [5640] = {.lex_state = 506},
  [5641] = {.lex_state = 506},
  [5642] = {.lex_state = 253},
  [5643] = {.lex_state = 506},
  [5644] = {.lex_state = 261, .external_lex_state = 77},
  [5645] = {.lex_state = 261, .external_lex_state = 77},
  [5646] = {.lex_state = 256},
  [5647] = {.lex_state = 506},
  [5648] = {.lex_state = 506},
  [5649] = {.lex_state = 253},
  [5650] = {.lex_state = 506},
  [5651] = {.lex_state = 506},
  [5652] = {.lex_state = 261, .external_lex_state = 77},
  [5653] = {.lex_state = 256},
  [5654] = {.lex_state = 506},
  [5655] = {.lex_state = 506},
  [5656] = {.lex_state = 253},
  [5657] = {.lex_state = 506},
  [5658] = {.lex_state = 506},
  [5659] = {.lex_state = 261, .external_lex_state = 77},
  [5660] = {.lex_state = 261, .external_lex_state = 77},
  [5661] = {.lex_state = 261, .external_lex_state = 77},
  [5662] = {.lex_state = 261, .external_lex_state = 77},
  [5663] = {.lex_state = 253},
  [5664] = {.lex_state = 261, .external_lex_state = 77},
  [5665] = {.lex_state = 256},
  [5666] = {.lex_state = 506},
  [5667] = {.lex_state = 506},
  [5668] = {.lex_state = 506},
  [5669] = {.lex_state = 506},
  [5670] = {.lex_state = 253},
  [5671] = {.lex_state = 261, .external_lex_state = 77},
  [5672] = {.lex_state = 256},
  [5673] = {.lex_state = 506},
  [5674] = {.lex_state = 253},
  [5675] = {.lex_state = 506},
  [5676] = {.lex_state = 506},
  [5677] = {.lex_state = 253},
  [5678] = {.lex_state = 506},
  [5679] = {.lex_state = 261, .external_lex_state = 77},
  [5680] = {.lex_state = 256},
  [5681] = {.lex_state = 506},
  [5682] = {.lex_state = 253},
  [5683] = {.lex_state = 506},
  [5684] = {.lex_state = 253},
  [5685] = {.lex_state = 506},
  [5686] = {.lex_state = 506},
  [5687] = {.lex_state = 261, .external_lex_state = 77},
  [5688] = {.lex_state = 256},
  [5689] = {.lex_state = 506},
  [5690] = {.lex_state = 506},
  [5691] = {.lex_state = 253},
  [5692] = {.lex_state = 506},
  [5693] = {.lex_state = 506},
  [5694] = {.lex_state = 303},
  [5695] = {.lex_state = 261, .external_lex_state = 77},
  [5696] = {.lex_state = 256},
  [5697] = {.lex_state = 506},
  [5698] = {.lex_state = 253},
  [5699] = {.lex_state = 506},
  [5700] = {.lex_state = 506},
  [5701] = {.lex_state = 506},
  [5702] = {.lex_state = 261, .external_lex_state = 77},
  [5703] = {.lex_state = 256},
  [5704] = {.lex_state = 506},
  [5705] = {.lex_state = 253},
  [5706] = {.lex_state = 506},
  [5707] = {.lex_state = 506},
  [5708] = {.lex_state = 506},
  [5709] = {.lex_state = 261, .external_lex_state = 77},
  [5710] = {.lex_state = 256},
  [5711] = {.lex_state = 506},
  [5712] = {.lex_state = 253},
  [5713] = {.lex_state = 506},
  [5714] = {.lex_state = 506},
  [5715] = {.lex_state = 506},
  [5716] = {.lex_state = 261, .external_lex_state = 77},
  [5717] = {.lex_state = 256},
  [5718] = {.lex_state = 506},
  [5719] = {.lex_state = 506},
  [5720] = {.lex_state = 506},
  [5721] = {.lex_state = 506},
  [5722] = {.lex_state = 261, .external_lex_state = 77},
  [5723] = {.lex_state = 256},
  [5724] = {.lex_state = 506},
  [5725] = {.lex_state = 506},
  [5726] = {.lex_state = 506},
  [5727] = {.lex_state = 506},
  [5728] = {.lex_state = 256},
  [5729] = {.lex_state = 256},
  [5730] = {.lex_state = 256},
  [5731] = {.lex_state = 239, .external_lex_state = 88},
  [5732] = {.lex_state = 239, .external_lex_state = 88},
  [5733] = {.lex_state = 506},
  [5734] = {.lex_state = 506},
  [5735] = {.lex_state = 506},
  [5736] = {.lex_state = 506},
  [5737] = {.lex_state = 261, .external_lex_state = 77},
  [5738] = {.lex_state = 256},
  [5739] = {.lex_state = 506},
  [5740] = {.lex_state = 506},
  [5741] = {.lex_state = 506},
  [5742] = {.lex_state = 506},
  [5743] = {.lex_state = 261, .external_lex_state = 77},
  [5744] = {.lex_state = 256},
  [5745] = {.lex_state = 506},
  [5746] = {.lex_state = 506},
  [5747] = {.lex_state = 506, .external_lex_state = 89},
  [5748] = {.lex_state = 506},
  [5749] = {.lex_state = 506},
  [5750] = {.lex_state = 261, .external_lex_state = 77},
  [5751] = {.lex_state = 256},
  [5752] = {.lex_state = 261, .external_lex_state = 77},
  [5753] = {.lex_state = 261, .external_lex_state = 77},
  [5754] = {.lex_state = 261, .external_lex_state = 77},
  [5755] = {.lex_state = 261, .external_lex_state = 77},
  [5756] = {.lex_state = 261, .external_lex_state = 77},
  [5757] = {.lex_state = 261, .external_lex_state = 77},
  [5758] = {.lex_state = 506},
  [5759] = {.lex_state = 261},
  [5760] = {.lex_state = 506},
  [5761] = {.lex_state = 506},
  [5762] = {.lex_state = 506},
  [5763] = {.lex_state = 261, .external_lex_state = 77},
  [5764] = {.lex_state = 255},
  [5765] = {.lex_state = 256},
  [5766] = {.lex_state = 506},
  [5767] = {.lex_state = 303},
  [5768] = {.lex_state = 506},
  [5769] = {.lex_state = 253},
  [5770] = {.lex_state = 506},
  [5771] = {.lex_state = 506},
  [5772] = {.lex_state = 261, .external_lex_state = 77},
  [5773] = {.lex_state = 506},
  [5774] = {.lex_state = 506, .external_lex_state = 89},
  [5775] = {.lex_state = 261, .external_lex_state = 77},
  [5776] = {.lex_state = 256},
  [5777] = {.lex_state = 261, .external_lex_state = 77},
  [5778] = {.lex_state = 261, .external_lex_state = 77},
  [5779] = {.lex_state = 261, .external_lex_state = 77},
  [5780] = {.lex_state = 261, .external_lex_state = 77},
  [5781] = {.lex_state = 261, .external_lex_state = 77},
  [5782] = {.lex_state = 261, .external_lex_state = 77},
  [5783] = {.lex_state = 261, .external_lex_state = 77},
  [5784] = {.lex_state = 261, .external_lex_state = 77},
  [5785] = {.lex_state = 261, .external_lex_state = 77},
  [5786] = {.lex_state = 261, .external_lex_state = 77},
  [5787] = {.lex_state = 261, .external_lex_state = 77},
  [5788] = {.lex_state = 506},
  [5789] = {.lex_state = 506},
  [5790] = {.lex_state = 506},
  [5791] = {.lex_state = 506},
  [5792] = {.lex_state = 506, .external_lex_state = 89},
  [5793] = {.lex_state = 261, .external_lex_state = 77},
  [5794] = {.lex_state = 256},
  [5795] = {.lex_state = 506},
  [5796] = {.lex_state = 506},
  [5797] = {.lex_state = 506},
  [5798] = {.lex_state = 506},
  [5799] = {.lex_state = 261, .external_lex_state = 77},
  [5800] = {.lex_state = 256},
  [5801] = {.lex_state = 506},
  [5802] = {.lex_state = 506},
  [5803] = {.lex_state = 506},
  [5804] = {.lex_state = 506},
  [5805] = {.lex_state = 261, .external_lex_state = 77},
  [5806] = {.lex_state = 256},
  [5807] = {.lex_state = 506},
  [5808] = {.lex_state = 506},
  [5809] = {.lex_state = 506},
  [5810] = {.lex_state = 506},
  [5811] = {.lex_state = 261, .external_lex_state = 77},
  [5812] = {.lex_state = 256},
  [5813] = {.lex_state = 506},
  [5814] = {.lex_state = 506},
  [5815] = {.lex_state = 506},
  [5816] = {.lex_state = 506},
  [5817] = {.lex_state = 261, .external_lex_state = 77},
  [5818] = {.lex_state = 253},
  [5819] = {.lex_state = 253},
  [5820] = {.lex_state = 256},
  [5821] = {.lex_state = 506},
  [5822] = {.lex_state = 506},
  [5823] = {.lex_state = 506},
  [5824] = {.lex_state = 506},
  [5825] = {.lex_state = 261, .external_lex_state = 77},
  [5826] = {.lex_state = 256},
  [5827] = {.lex_state = 506},
  [5828] = {.lex_state = 506},
  [5829] = {.lex_state = 506},
  [5830] = {.lex_state = 506},
  [5831] = {.lex_state = 261, .external_lex_state = 77},
  [5832] = {.lex_state = 256},
  [5833] = {.lex_state = 506},
  [5834] = {.lex_state = 506},
  [5835] = {.lex_state = 506},
  [5836] = {.lex_state = 506},
  [5837] = {.lex_state = 261, .external_lex_state = 77},
  [5838] = {.lex_state = 506},
  [5839] = {.lex_state = 506},
  [5840] = {.lex_state = 506},
  [5841] = {.lex_state = 506},
  [5842] = {.lex_state = 506},
  [5843] = {.lex_state = 261, .external_lex_state = 77},
  [5844] = {.lex_state = 256},
  [5845] = {.lex_state = 506},
  [5846] = {.lex_state = 506},
  [5847] = {.lex_state = 238},
  [5848] = {.lex_state = 506},
  [5849] = {.lex_state = 506},
  [5850] = {.lex_state = 253},
  [5851] = {.lex_state = 261, .external_lex_state = 77},
  [5852] = {.lex_state = 256},
  [5853] = {.lex_state = 506},
  [5854] = {.lex_state = 506},
  [5855] = {.lex_state = 506},
  [5856] = {.lex_state = 256},
  [5857] = {.lex_state = 261, .external_lex_state = 77},
  [5858] = {.lex_state = 256},
  [5859] = {.lex_state = 506},
  [5860] = {.lex_state = 506},
  [5861] = {.lex_state = 506},
  [5862] = {.lex_state = 506},
  [5863] = {.lex_state = 256},
  [5864] = {.lex_state = 506},
  [5865] = {.lex_state = 506},
  [5866] = {.lex_state = 506},
  [5867] = {.lex_state = 506},
  [5868] = {.lex_state = 261, .external_lex_state = 77},
  [5869] = {.lex_state = 256},
  [5870] = {.lex_state = 506},
  [5871] = {.lex_state = 506},
  [5872] = {.lex_state = 506},
  [5873] = {.lex_state = 506},
  [5874] = {.lex_state = 506},
  [5875] = {.lex_state = 261, .external_lex_state = 77},
  [5876] = {.lex_state = 506},
  [5877] = {.lex_state = 506},
  [5878] = {.lex_state = 506},
  [5879] = {.lex_state = 506},
  [5880] = {.lex_state = 261, .external_lex_state = 77},
  [5881] = {.lex_state = 506},
  [5882] = {.lex_state = 261, .external_lex_state = 77},
  [5883] = {.lex_state = 261, .external_lex_state = 77},
  [5884] = {.lex_state = 256},
  [5885] = {.lex_state = 506},
  [5886] = {.lex_state = 506},
  [5887] = {.lex_state = 506},
  [5888] = {.lex_state = 261, .external_lex_state = 77},
  [5889] = {.lex_state = 506},
  [5890] = {.lex_state = 261, .external_lex_state = 77},
  [5891] = {.lex_state = 255},
  [5892] = {.lex_state = 506, .external_lex_state = 89},
  [5893] = {.lex_state = 256},
  [5894] = {.lex_state = 303},
  [5895] = {.lex_state = 253},
  [5896] = {.lex_state = 506},
  [5897] = {.lex_state = 506},
  [5898] = {.lex_state = 506},
  [5899] = {.lex_state = 506, .external_lex_state = 89},
  [5900] = {.lex_state = 506},
  [5901] = {.lex_state = 506},
  [5902] = {.lex_state = 506},
  [5903] = {.lex_state = 506, .external_lex_state = 89},
  [5904] = {.lex_state = 261, .external_lex_state = 77},
  [5905] = {.lex_state = 506},
  [5906] = {.lex_state = 506},
  [5907] = {.lex_state = 506},
  [5908] = {.lex_state = 506},
  [5909] = {.lex_state = 256},
  [5910] = {.lex_state = 506},
  [5911] = {.lex_state = 261, .external_lex_state = 77},
  [5912] = {.lex_state = 506},
  [5913] = {.lex_state = 506},
  [5914] = {.lex_state = 506},
  [5915] = {.lex_state = 261, .external_lex_state = 77},
  [5916] = {.lex_state = 256},
  [5917] = {.lex_state = 506},
  [5918] = {.lex_state = 506},
  [5919] = {.lex_state = 506},
  [5920] = {.lex_state = 506},
  [5921] = {.lex_state = 261, .external_lex_state = 77},
  [5922] = {.lex_state = 256},
  [5923] = {.lex_state = 506},
  [5924] = {.lex_state = 261, .external_lex_state = 77},
  [5925] = {.lex_state = 506},
  [5926] = {.lex_state = 506},
  [5927] = {.lex_state = 261, .external_lex_state = 77},
  [5928] = {.lex_state = 256},
  [5929] = {.lex_state = 506},
  [5930] = {.lex_state = 506},
  [5931] = {.lex_state = 506},
  [5932] = {.lex_state = 506},
  [5933] = {.lex_state = 261, .external_lex_state = 77},
  [5934] = {.lex_state = 256},
  [5935] = {.lex_state = 239, .external_lex_state = 88},
  [5936] = {.lex_state = 239, .external_lex_state = 88},
  [5937] = {.lex_state = 506},
  [5938] = {.lex_state = 506},
  [5939] = {.lex_state = 506},
  [5940] = {.lex_state = 506},
  [5941] = {.lex_state = 261, .external_lex_state = 77},
  [5942] = {.lex_state = 256},
  [5943] = {.lex_state = 506},
  [5944] = {.lex_state = 239, .external_lex_state = 88},
  [5945] = {.lex_state = 239, .external_lex_state = 88},
  [5946] = {.lex_state = 506},
  [5947] = {.lex_state = 253},
  [5948] = {.lex_state = 506},
  [5949] = {.lex_state = 506},
  [5950] = {.lex_state = 506},
  [5951] = {.lex_state = 253},
  [5952] = {.lex_state = 506, .external_lex_state = 87},
  [5953] = {.lex_state = 506, .external_lex_state = 87},
  [5954] = {.lex_state = 256},
  [5955] = {.lex_state = 239, .external_lex_state = 88},
  [5956] = {.lex_state = 239, .external_lex_state = 88},
  [5957] = {.lex_state = 261, .external_lex_state = 77},
  [5958] = {.lex_state = 506},
  [5959] = {.lex_state = 506},
  [5960] = {.lex_state = 506},
  [5961] = {.lex_state = 506},
  [5962] = {.lex_state = 261, .external_lex_state = 77},
  [5963] = {.lex_state = 253},
  [5964] = {.lex_state = 253},
  [5965] = {.lex_state = 253},
  [5966] = {.lex_state = 506},
  [5967] = {.lex_state = 253},
  [5968] = {.lex_state = 303},
  [5969] = {.lex_state = 506, .external_lex_state = 87},
  [5970] = {.lex_state = 303},
  [5971] = {.lex_state = 253},
  [5972] = {.lex_state = 506},
  [5973] = {.lex_state = 506},
  [5974] = {.lex_state = 506, .external_lex_state = 89},
  [5975] = {.lex_state = 506, .external_lex_state = 87},
  [5976] = {.lex_state = 253},
  [5977] = {.lex_state = 506, .external_lex_state = 89},
  [5978] = {.lex_state = 253},
  [5979] = {.lex_state = 303},
  [5980] = {.lex_state = 239, .external_lex_state = 88},
  [5981] = {.lex_state = 253},
  [5982] = {.lex_state = 303},
  [5983] = {.lex_state = 256},
  [5984] = {.lex_state = 506},
  [5985] = {.lex_state = 239, .external_lex_state = 88},
  [5986] = {.lex_state = 506},
  [5987] = {.lex_state = 506},
  [5988] = {.lex_state = 506},
  [5989] = {.lex_state = 506},
  [5990] = {.lex_state = 303},
  [5991] = {.lex_state = 253},
  [5992] = {.lex_state = 506},
  [5993] = {.lex_state = 506},
  [5994] = {.lex_state = 261, .external_lex_state = 77},
  [5995] = {.lex_state = 506},
  [5996] = {.lex_state = 506},
  [5997] = {.lex_state = 253},
  [5998] = {.lex_state = 253},
  [5999] = {.lex_state = 253},
  [6000] = {.lex_state = 253},
  [6001] = {.lex_state = 303},
  [6002] = {.lex_state = 506, .external_lex_state = 87},
  [6003] = {.lex_state = 506, .external_lex_state = 87},
  [6004] = {.lex_state = 253},
  [6005] = {.lex_state = 253},
  [6006] = {.lex_state = 303},
  [6007] = {.lex_state = 253},
  [6008] = {.lex_state = 253},
  [6009] = {.lex_state = 253},
  [6010] = {.lex_state = 253},
  [6011] = {.lex_state = 253},
  [6012] = {.lex_state = 253},
  [6013] = {.lex_state = 253},
  [6014] = {.lex_state = 253},
  [6015] = {.lex_state = 253},
  [6016] = {.lex_state = 253},
  [6017] = {.lex_state = 253},
  [6018] = {.lex_state = 253},
  [6019] = {.lex_state = 253},
  [6020] = {.lex_state = 253},
  [6021] = {.lex_state = 253},
  [6022] = {.lex_state = 253},
  [6023] = {.lex_state = 253},
  [6024] = {.lex_state = 253},
  [6025] = {.lex_state = 253},
  [6026] = {.lex_state = 253},
  [6027] = {.lex_state = 253},
  [6028] = {.lex_state = 253},
  [6029] = {.lex_state = 253},
  [6030] = {.lex_state = 253},
  [6031] = {.lex_state = 253},
  [6032] = {.lex_state = 253},
  [6033] = {.lex_state = 253},
  [6034] = {.lex_state = 253},
  [6035] = {.lex_state = 253},
  [6036] = {.lex_state = 253},
  [6037] = {.lex_state = 253},
  [6038] = {.lex_state = 253},
  [6039] = {.lex_state = 253},
  [6040] = {.lex_state = 253},
  [6041] = {.lex_state = 253},
  [6042] = {.lex_state = 253},
  [6043] = {.lex_state = 253},
  [6044] = {.lex_state = 253},
  [6045] = {.lex_state = 253},
  [6046] = {.lex_state = 253},
  [6047] = {.lex_state = 253},
  [6048] = {.lex_state = 253},
  [6049] = {.lex_state = 253},
  [6050] = {.lex_state = 253},
  [6051] = {.lex_state = 253},
  [6052] = {.lex_state = 303},
  [6053] = {.lex_state = 256},
  [6054] = {.lex_state = 239, .external_lex_state = 88},
  [6055] = {.lex_state = 239, .external_lex_state = 88},
  [6056] = {.lex_state = 303},
  [6057] = {.lex_state = 506},
  [6058] = {.lex_state = 506},
  [6059] = {.lex_state = 506},
  [6060] = {.lex_state = 506},
  [6061] = {.lex_state = 253},
  [6062] = {.lex_state = 255},
  [6063] = {.lex_state = 506},
  [6064] = {.lex_state = 253},
  [6065] = {.lex_state = 506},
  [6066] = {.lex_state = 506},
  [6067] = {.lex_state = 253},
  [6068] = {.lex_state = 253},
  [6069] = {.lex_state = 253},
  [6070] = {.lex_state = 253},
  [6071] = {.lex_state = 253},
  [6072] = {.lex_state = 253},
  [6073] = {.lex_state = 253},
  [6074] = {.lex_state = 253},
  [6075] = {.lex_state = 253},
  [6076] = {.lex_state = 253},
  [6077] = {.lex_state = 253},
  [6078] = {.lex_state = 253},
  [6079] = {.lex_state = 253},
  [6080] = {.lex_state = 253},
  [6081] = {.lex_state = 253},
  [6082] = {.lex_state = 253},
  [6083] = {.lex_state = 253},
  [6084] = {.lex_state = 253},
  [6085] = {.lex_state = 253},
  [6086] = {.lex_state = 253},
  [6087] = {.lex_state = 253},
  [6088] = {.lex_state = 253},
  [6089] = {.lex_state = 253},
  [6090] = {.lex_state = 253},
  [6091] = {.lex_state = 253},
  [6092] = {.lex_state = 253},
  [6093] = {.lex_state = 253},
  [6094] = {.lex_state = 253},
  [6095] = {.lex_state = 253},
  [6096] = {.lex_state = 253},
  [6097] = {.lex_state = 253},
  [6098] = {.lex_state = 253},
  [6099] = {.lex_state = 253},
  [6100] = {.lex_state = 253},
  [6101] = {.lex_state = 253},
  [6102] = {.lex_state = 253},
  [6103] = {.lex_state = 253},
  [6104] = {.lex_state = 253},
  [6105] = {.lex_state = 253},
  [6106] = {.lex_state = 253},
  [6107] = {.lex_state = 253},
  [6108] = {.lex_state = 253},
  [6109] = {.lex_state = 253},
  [6110] = {.lex_state = 253},
  [6111] = {.lex_state = 261, .external_lex_state = 77},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_word] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_select] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_until] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_done] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_fi] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_esac] = ACTIONS(1),
    [anon_sym_SEMI_SEMI] = ACTIONS(1),
    [anon_sym_SEMI_AMP] = ACTIONS(1),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_PIPE_AMP] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym_declare] = ACTIONS(1),
    [anon_sym_typeset] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_local] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [anon_sym_unsetenv] = ACTIONS(1),
    [anon_sym_AMP_GT] = ACTIONS(1),
    [anon_sym_AMP_GT_GT] = ACTIONS(1),
    [anon_sym_LT_AMP] = ACTIONS(1),
    [anon_sym_GT_AMP] = ACTIONS(1),
    [anon_sym_GT_PIPE] = ACTIONS(1),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1),
    [anon_sym_LT_LT_DASH] = ACTIONS(1),
    [anon_sym_LT_LT_LT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_DASH2] = ACTIONS(1),
    [anon_sym_PLUS2] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_RBRACE2] = ACTIONS(1),
    [aux_sym_concatenation_token1] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [sym__special_character] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_raw_string] = ACTIONS(1),
    [sym_ansi_c_string] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE3] = ACTIONS(1),
    [anon_sym_BANG2] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_STAR2] = ACTIONS(1),
    [anon_sym_POUND2] = ACTIONS(1),
    [anon_sym_EQ2] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_DASH3] = ACTIONS(1),
    [anon_sym_COLON_DASH] = ACTIONS(1),
    [anon_sym_PLUS3] = ACTIONS(1),
    [anon_sym_COLON_PLUS] = ACTIONS(1),
    [anon_sym_QMARK2] = ACTIONS(1),
    [anon_sym_COLON_QMARK] = ACTIONS(1),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(1),
    [anon_sym_SLASH_POUND] = ACTIONS(1),
    [anon_sym_SLASH_PERCENT] = ACTIONS(1),
    [anon_sym_COMMA_COMMA] = ACTIONS(1),
    [anon_sym_CARET_CARET] = ACTIONS(1),
    [anon_sym_U] = ACTIONS(1),
    [anon_sym_u] = ACTIONS(1),
    [anon_sym_L] = ACTIONS(1),
    [anon_sym_Q] = ACTIONS(1),
    [anon_sym_E] = ACTIONS(1),
    [anon_sym_P] = ACTIONS(1),
    [anon_sym_A] = ACTIONS(1),
    [anon_sym_K] = ACTIONS(1),
    [anon_sym_a] = ACTIONS(1),
    [anon_sym_k] = ACTIONS(1),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1),
    [anon_sym_LT_LPAREN] = ACTIONS(1),
    [anon_sym_GT_LPAREN] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__comment_word] = ACTIONS(1),
    [anon_sym_AT2] = ACTIONS(1),
    [anon_sym_0] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym_simple_heredoc_body] = ACTIONS(1),
    [sym__heredoc_body_beginning] = ACTIONS(1),
    [sym_heredoc_content] = ACTIONS(1),
    [sym_heredoc_end] = ACTIONS(1),
    [sym_file_descriptor] = ACTIONS(1),
    [sym__empty_value] = ACTIONS(1),
    [sym__concat] = ACTIONS(1),
    [sym_variable_name] = ACTIONS(1),
    [sym_test_operator] = ACTIONS(1),
    [sym_regex] = ACTIONS(1),
    [sym__regex_no_slash] = ACTIONS(1),
    [sym__regex_no_space] = ACTIONS(1),
    [sym__expansion_word] = ACTIONS(1),
    [sym_extglob_pattern] = ACTIONS(1),
    [sym__bare_dollar] = ACTIONS(1),
    [sym__brace_start] = ACTIONS(1),
    [sym__immediate_double_hash] = ACTIONS(1),
    [sym__external_expansion_sym_hash] = ACTIONS(1),
    [sym__external_expansion_sym_bang] = ACTIONS(1),
    [sym__external_expansion_sym_equal] = ACTIONS(1),
    [sym___error_recovery] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(5972),
    [sym__statements] = STATE(5966),
    [sym_redirected_statement] = STATE(3898),
    [sym_for_statement] = STATE(3898),
    [sym_c_style_for_statement] = STATE(3898),
    [sym_while_statement] = STATE(3631),
    [sym_if_statement] = STATE(3631),
    [sym_case_statement] = STATE(3898),
    [sym_function_definition] = STATE(3898),
    [sym_compound_statement] = STATE(3898),
    [sym_subshell] = STATE(3898),
    [sym_pipeline] = STATE(3898),
    [sym_list] = STATE(3898),
    [sym_negated_command] = STATE(3898),
    [sym_test_command] = STATE(3898),
    [sym_declaration_command] = STATE(3898),
    [sym_unset_command] = STATE(3898),
    [sym_command] = STATE(3898),
    [sym_command_name] = STATE(435),
    [sym_variable_assignment] = STATE(760),
    [sym_variable_assignments] = STATE(3898),
    [sym_subscript] = STATE(5372),
    [sym_file_redirect] = STATE(1599),
    [sym_herestring_redirect] = STATE(1602),
    [sym_arithmetic_expansion] = STATE(746),
    [sym_brace_expression] = STATE(746),
    [sym_concatenation] = STATE(1154),
    [sym_string] = STATE(746),
    [sym_translated_string] = STATE(746),
    [sym_number] = STATE(746),
    [sym_simple_expansion] = STATE(746),
    [sym_expansion] = STATE(746),
    [sym_command_substitution] = STATE(746),
    [sym_process_substitution] = STATE(746),
    [aux_sym__statements_repeat1] = STATE(326),
    [aux_sym_redirected_statement_repeat2] = STATE(3950),
    [aux_sym_command_repeat1] = STATE(766),
    [aux_sym__literal_repeat1] = STATE(1031),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(13),
    [anon_sym_LT] = ACTIONS(15),
    [anon_sym_GT] = ACTIONS(15),
    [anon_sym_GT_GT] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(37),
    [anon_sym_typeset] = ACTIONS(37),
    [anon_sym_export] = ACTIONS(37),
    [anon_sym_readonly] = ACTIONS(37),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_unset] = ACTIONS(39),
    [anon_sym_unsetenv] = ACTIONS(39),
    [anon_sym_AMP_GT] = ACTIONS(15),
    [anon_sym_AMP_GT_GT] = ACTIONS(17),
    [anon_sym_LT_AMP] = ACTIONS(15),
    [anon_sym_GT_AMP] = ACTIONS(15),
    [anon_sym_GT_PIPE] = ACTIONS(17),
    [anon_sym_LT_AMP_DASH] = ACTIONS(41),
    [anon_sym_GT_AMP_DASH] = ACTIONS(41),
    [anon_sym_LT_LT_LT] = ACTIONS(43),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(47),
    [anon_sym_DOLLAR] = ACTIONS(49),
    [sym__special_character] = ACTIONS(51),
    [anon_sym_DQUOTE] = ACTIONS(53),
    [sym_raw_string] = ACTIONS(55),
    [sym_ansi_c_string] = ACTIONS(55),
    [aux_sym_number_token1] = ACTIONS(57),
    [aux_sym_number_token2] = ACTIONS(59),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(67),
    [anon_sym_LT_LPAREN] = ACTIONS(69),
    [anon_sym_GT_LPAREN] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(73),
    [sym_variable_name] = ACTIONS(75),
    [sym_test_operator] = ACTIONS(77),
    [sym__brace_start] = ACTIONS(79),
  },
  [2] = {
    [sym__statements] = STATE(5996),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym__expression] = STATE(2548),
    [sym_binary_expression] = STATE(2583),
    [sym_ternary_expression] = STATE(2583),
    [sym_unary_expression] = STATE(2583),
    [sym_postfix_expression] = STATE(2583),
    [sym_parenthesized_expression] = STATE(2583),
    [sym_arithmetic_expansion] = STATE(370),
    [sym_brace_expression] = STATE(370),
    [sym_concatenation] = STATE(396),
    [sym_string] = STATE(370),
    [sym_translated_string] = STATE(370),
    [sym_number] = STATE(370),
    [sym_simple_expansion] = STATE(370),
    [sym_expansion] = STATE(370),
    [sym_command_substitution] = STATE(370),
    [sym_process_substitution] = STATE(370),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_PLUS_PLUS2] = ACTIONS(103),
    [anon_sym_DASH_DASH2] = ACTIONS(103),
    [anon_sym_DASH2] = ACTIONS(105),
    [anon_sym_PLUS2] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(109),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(111),
    [anon_sym_DOLLAR] = ACTIONS(113),
    [sym__special_character] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_raw_string] = ACTIONS(119),
    [sym_ansi_c_string] = ACTIONS(119),
    [aux_sym_number_token1] = ACTIONS(121),
    [aux_sym_number_token2] = ACTIONS(123),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(125),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(127),
    [anon_sym_BQUOTE] = ACTIONS(129),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(131),
    [anon_sym_LT_LPAREN] = ACTIONS(133),
    [anon_sym_GT_LPAREN] = ACTIONS(133),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(139),
    [sym__brace_start] = ACTIONS(141),
  },
  [3] = {
    [sym__statements] = STATE(5943),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym__expression] = STATE(2512),
    [sym_binary_expression] = STATE(2583),
    [sym_ternary_expression] = STATE(2583),
    [sym_unary_expression] = STATE(2583),
    [sym_postfix_expression] = STATE(2583),
    [sym_parenthesized_expression] = STATE(2583),
    [sym_arithmetic_expansion] = STATE(370),
    [sym_brace_expression] = STATE(370),
    [sym_concatenation] = STATE(396),
    [sym_string] = STATE(370),
    [sym_translated_string] = STATE(370),
    [sym_number] = STATE(370),
    [sym_simple_expansion] = STATE(370),
    [sym_expansion] = STATE(370),
    [sym_command_substitution] = STATE(370),
    [sym_process_substitution] = STATE(370),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_PLUS_PLUS2] = ACTIONS(103),
    [anon_sym_DASH_DASH2] = ACTIONS(103),
    [anon_sym_DASH2] = ACTIONS(105),
    [anon_sym_PLUS2] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(109),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(111),
    [anon_sym_DOLLAR] = ACTIONS(113),
    [sym__special_character] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_raw_string] = ACTIONS(119),
    [sym_ansi_c_string] = ACTIONS(119),
    [aux_sym_number_token1] = ACTIONS(121),
    [aux_sym_number_token2] = ACTIONS(123),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(125),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(127),
    [anon_sym_BQUOTE] = ACTIONS(129),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(131),
    [anon_sym_LT_LPAREN] = ACTIONS(133),
    [anon_sym_GT_LPAREN] = ACTIONS(133),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(139),
    [sym__brace_start] = ACTIONS(141),
  },
  [4] = {
    [sym_redirected_statement] = STATE(4220),
    [sym_for_statement] = STATE(4317),
    [sym_c_style_for_statement] = STATE(4317),
    [sym_while_statement] = STATE(4155),
    [sym_if_statement] = STATE(4155),
    [sym_case_statement] = STATE(4317),
    [sym_function_definition] = STATE(4317),
    [sym_compound_statement] = STATE(4317),
    [sym_subshell] = STATE(4317),
    [sym_pipeline] = STATE(4317),
    [sym_list] = STATE(4317),
    [sym_negated_command] = STATE(4317),
    [sym_test_command] = STATE(4317),
    [sym_declaration_command] = STATE(4317),
    [sym_unset_command] = STATE(4317),
    [sym_command] = STATE(4317),
    [sym_command_name] = STATE(526),
    [sym_variable_assignment] = STATE(1449),
    [sym_variable_assignments] = STATE(4317),
    [sym_subscript] = STATE(5322),
    [sym_file_redirect] = STATE(2224),
    [sym_herestring_redirect] = STATE(2223),
    [sym__expression] = STATE(2448),
    [sym_binary_expression] = STATE(2479),
    [sym_ternary_expression] = STATE(2479),
    [sym_unary_expression] = STATE(2479),
    [sym_postfix_expression] = STATE(2479),
    [sym_parenthesized_expression] = STATE(2479),
    [sym_arithmetic_expansion] = STATE(400),
    [sym_brace_expression] = STATE(400),
    [sym_concatenation] = STATE(423),
    [sym_string] = STATE(400),
    [sym_translated_string] = STATE(400),
    [sym_number] = STATE(400),
    [sym_simple_expansion] = STATE(400),
    [sym_expansion] = STATE(400),
    [sym_command_substitution] = STATE(400),
    [sym_process_substitution] = STATE(400),
    [aux_sym_redirected_statement_repeat2] = STATE(4347),
    [aux_sym_command_repeat1] = STATE(763),
    [aux_sym__literal_repeat1] = STATE(421),
    [sym_word] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_select] = ACTIONS(147),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(149),
    [anon_sym_LT] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(151),
    [anon_sym_GT_GT] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_until] = ACTIONS(157),
    [anon_sym_if] = ACTIONS(159),
    [anon_sym_case] = ACTIONS(161),
    [anon_sym_function] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LBRACK] = ACTIONS(169),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(173),
    [anon_sym_declare] = ACTIONS(175),
    [anon_sym_typeset] = ACTIONS(175),
    [anon_sym_export] = ACTIONS(175),
    [anon_sym_readonly] = ACTIONS(175),
    [anon_sym_local] = ACTIONS(175),
    [anon_sym_unset] = ACTIONS(177),
    [anon_sym_unsetenv] = ACTIONS(177),
    [anon_sym_AMP_GT] = ACTIONS(151),
    [anon_sym_AMP_GT_GT] = ACTIONS(153),
    [anon_sym_LT_AMP] = ACTIONS(151),
    [anon_sym_GT_AMP] = ACTIONS(151),
    [anon_sym_GT_PIPE] = ACTIONS(153),
    [anon_sym_LT_AMP_DASH] = ACTIONS(179),
    [anon_sym_GT_AMP_DASH] = ACTIONS(179),
    [anon_sym_LT_LT_LT] = ACTIONS(181),
    [anon_sym_PLUS_PLUS2] = ACTIONS(183),
    [anon_sym_DASH_DASH2] = ACTIONS(183),
    [anon_sym_DASH2] = ACTIONS(185),
    [anon_sym_PLUS2] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(187),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(189),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(191),
    [anon_sym_DOLLAR] = ACTIONS(193),
    [sym__special_character] = ACTIONS(195),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [sym_raw_string] = ACTIONS(199),
    [sym_ansi_c_string] = ACTIONS(199),
    [aux_sym_number_token1] = ACTIONS(201),
    [aux_sym_number_token2] = ACTIONS(203),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(205),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(207),
    [anon_sym_BQUOTE] = ACTIONS(209),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(211),
    [anon_sym_LT_LPAREN] = ACTIONS(213),
    [anon_sym_GT_LPAREN] = ACTIONS(213),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(215),
    [sym_variable_name] = ACTIONS(217),
    [sym_test_operator] = ACTIONS(219),
    [sym__brace_start] = ACTIONS(221),
  },
  [5] = {
    [sym_redirected_statement] = STATE(4290),
    [sym_for_statement] = STATE(4317),
    [sym_c_style_for_statement] = STATE(4317),
    [sym_while_statement] = STATE(4155),
    [sym_if_statement] = STATE(4155),
    [sym_case_statement] = STATE(4317),
    [sym_function_definition] = STATE(4317),
    [sym_compound_statement] = STATE(4317),
    [sym_subshell] = STATE(4317),
    [sym_pipeline] = STATE(4317),
    [sym_list] = STATE(4317),
    [sym_negated_command] = STATE(4317),
    [sym_test_command] = STATE(4317),
    [sym_declaration_command] = STATE(4317),
    [sym_unset_command] = STATE(4317),
    [sym_command] = STATE(4317),
    [sym_command_name] = STATE(526),
    [sym_variable_assignment] = STATE(1449),
    [sym_variable_assignments] = STATE(4317),
    [sym_subscript] = STATE(5322),
    [sym_file_redirect] = STATE(2224),
    [sym_herestring_redirect] = STATE(2223),
    [sym__expression] = STATE(2565),
    [sym_binary_expression] = STATE(2479),
    [sym_ternary_expression] = STATE(2479),
    [sym_unary_expression] = STATE(2479),
    [sym_postfix_expression] = STATE(2479),
    [sym_parenthesized_expression] = STATE(2479),
    [sym_arithmetic_expansion] = STATE(400),
    [sym_brace_expression] = STATE(400),
    [sym_concatenation] = STATE(423),
    [sym_string] = STATE(400),
    [sym_translated_string] = STATE(400),
    [sym_number] = STATE(400),
    [sym_simple_expansion] = STATE(400),
    [sym_expansion] = STATE(400),
    [sym_command_substitution] = STATE(400),
    [sym_process_substitution] = STATE(400),
    [aux_sym_redirected_statement_repeat2] = STATE(4347),
    [aux_sym_command_repeat1] = STATE(763),
    [aux_sym__literal_repeat1] = STATE(421),
    [sym_word] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_select] = ACTIONS(147),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(149),
    [anon_sym_LT] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(151),
    [anon_sym_GT_GT] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_until] = ACTIONS(157),
    [anon_sym_if] = ACTIONS(159),
    [anon_sym_case] = ACTIONS(161),
    [anon_sym_function] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LBRACK] = ACTIONS(169),
    [anon_sym_RBRACK] = ACTIONS(223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(173),
    [anon_sym_declare] = ACTIONS(175),
    [anon_sym_typeset] = ACTIONS(175),
    [anon_sym_export] = ACTIONS(175),
    [anon_sym_readonly] = ACTIONS(175),
    [anon_sym_local] = ACTIONS(175),
    [anon_sym_unset] = ACTIONS(177),
    [anon_sym_unsetenv] = ACTIONS(177),
    [anon_sym_AMP_GT] = ACTIONS(151),
    [anon_sym_AMP_GT_GT] = ACTIONS(153),
    [anon_sym_LT_AMP] = ACTIONS(151),
    [anon_sym_GT_AMP] = ACTIONS(151),
    [anon_sym_GT_PIPE] = ACTIONS(153),
    [anon_sym_LT_AMP_DASH] = ACTIONS(179),
    [anon_sym_GT_AMP_DASH] = ACTIONS(179),
    [anon_sym_LT_LT_LT] = ACTIONS(181),
    [anon_sym_PLUS_PLUS2] = ACTIONS(183),
    [anon_sym_DASH_DASH2] = ACTIONS(183),
    [anon_sym_DASH2] = ACTIONS(185),
    [anon_sym_PLUS2] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(187),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(189),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(191),
    [anon_sym_DOLLAR] = ACTIONS(193),
    [sym__special_character] = ACTIONS(195),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [sym_raw_string] = ACTIONS(199),
    [sym_ansi_c_string] = ACTIONS(199),
    [aux_sym_number_token1] = ACTIONS(201),
    [aux_sym_number_token2] = ACTIONS(203),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(205),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(207),
    [anon_sym_BQUOTE] = ACTIONS(209),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(211),
    [anon_sym_LT_LPAREN] = ACTIONS(213),
    [anon_sym_GT_LPAREN] = ACTIONS(213),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(215),
    [sym_variable_name] = ACTIONS(217),
    [sym_test_operator] = ACTIONS(219),
    [sym__brace_start] = ACTIONS(221),
  },
  [6] = {
    [sym_redirected_statement] = STATE(4248),
    [sym_for_statement] = STATE(4317),
    [sym_c_style_for_statement] = STATE(4317),
    [sym_while_statement] = STATE(4155),
    [sym_if_statement] = STATE(4155),
    [sym_case_statement] = STATE(4317),
    [sym_function_definition] = STATE(4317),
    [sym_compound_statement] = STATE(4317),
    [sym_subshell] = STATE(4317),
    [sym_pipeline] = STATE(4317),
    [sym_list] = STATE(4317),
    [sym_negated_command] = STATE(4317),
    [sym_test_command] = STATE(4317),
    [sym_declaration_command] = STATE(4317),
    [sym_unset_command] = STATE(4317),
    [sym_command] = STATE(4317),
    [sym_command_name] = STATE(526),
    [sym_variable_assignment] = STATE(1449),
    [sym_variable_assignments] = STATE(4317),
    [sym_subscript] = STATE(5322),
    [sym_file_redirect] = STATE(2224),
    [sym_herestring_redirect] = STATE(2223),
    [sym__expression] = STATE(2485),
    [sym_binary_expression] = STATE(2479),
    [sym_ternary_expression] = STATE(2479),
    [sym_unary_expression] = STATE(2479),
    [sym_postfix_expression] = STATE(2479),
    [sym_parenthesized_expression] = STATE(2479),
    [sym_arithmetic_expansion] = STATE(400),
    [sym_brace_expression] = STATE(400),
    [sym_concatenation] = STATE(423),
    [sym_string] = STATE(400),
    [sym_translated_string] = STATE(400),
    [sym_number] = STATE(400),
    [sym_simple_expansion] = STATE(400),
    [sym_expansion] = STATE(400),
    [sym_command_substitution] = STATE(400),
    [sym_process_substitution] = STATE(400),
    [aux_sym_redirected_statement_repeat2] = STATE(4347),
    [aux_sym_command_repeat1] = STATE(763),
    [aux_sym__literal_repeat1] = STATE(421),
    [sym_word] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_select] = ACTIONS(147),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(149),
    [anon_sym_LT] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(151),
    [anon_sym_GT_GT] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_until] = ACTIONS(157),
    [anon_sym_if] = ACTIONS(159),
    [anon_sym_case] = ACTIONS(161),
    [anon_sym_function] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LBRACK] = ACTIONS(169),
    [anon_sym_RBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(173),
    [anon_sym_declare] = ACTIONS(175),
    [anon_sym_typeset] = ACTIONS(175),
    [anon_sym_export] = ACTIONS(175),
    [anon_sym_readonly] = ACTIONS(175),
    [anon_sym_local] = ACTIONS(175),
    [anon_sym_unset] = ACTIONS(177),
    [anon_sym_unsetenv] = ACTIONS(177),
    [anon_sym_AMP_GT] = ACTIONS(151),
    [anon_sym_AMP_GT_GT] = ACTIONS(153),
    [anon_sym_LT_AMP] = ACTIONS(151),
    [anon_sym_GT_AMP] = ACTIONS(151),
    [anon_sym_GT_PIPE] = ACTIONS(153),
    [anon_sym_LT_AMP_DASH] = ACTIONS(179),
    [anon_sym_GT_AMP_DASH] = ACTIONS(179),
    [anon_sym_LT_LT_LT] = ACTIONS(181),
    [anon_sym_PLUS_PLUS2] = ACTIONS(183),
    [anon_sym_DASH_DASH2] = ACTIONS(183),
    [anon_sym_DASH2] = ACTIONS(185),
    [anon_sym_PLUS2] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(187),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(189),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(191),
    [anon_sym_DOLLAR] = ACTIONS(193),
    [sym__special_character] = ACTIONS(195),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [sym_raw_string] = ACTIONS(199),
    [sym_ansi_c_string] = ACTIONS(199),
    [aux_sym_number_token1] = ACTIONS(201),
    [aux_sym_number_token2] = ACTIONS(203),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(205),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(207),
    [anon_sym_BQUOTE] = ACTIONS(209),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(211),
    [anon_sym_LT_LPAREN] = ACTIONS(213),
    [anon_sym_GT_LPAREN] = ACTIONS(213),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(215),
    [sym_variable_name] = ACTIONS(217),
    [sym_test_operator] = ACTIONS(219),
    [sym__brace_start] = ACTIONS(221),
  },
  [7] = {
    [sym__expression] = STATE(2578),
    [sym_binary_expression] = STATE(2583),
    [sym_ternary_expression] = STATE(2583),
    [sym_unary_expression] = STATE(2583),
    [sym_postfix_expression] = STATE(2583),
    [sym_parenthesized_expression] = STATE(2583),
    [sym_arithmetic_expansion] = STATE(2106),
    [sym_brace_expression] = STATE(2106),
    [sym_concatenation] = STATE(2583),
    [sym_string] = STATE(2106),
    [sym_translated_string] = STATE(2106),
    [sym_number] = STATE(2106),
    [sym_simple_expansion] = STATE(2106),
    [sym_expansion] = STATE(2106),
    [sym_command_substitution] = STATE(2106),
    [sym_process_substitution] = STATE(2106),
    [aux_sym__literal_repeat1] = STATE(2206),
    [aux_sym_concatenation_repeat1] = STATE(371),
    [sym_word] = ACTIONS(227),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(229),
    [anon_sym_SEMI] = ACTIONS(231),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(233),
    [anon_sym_GT_GT_EQ] = ACTIONS(233),
    [anon_sym_AMP_EQ] = ACTIONS(233),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(233),
    [anon_sym_PIPE_PIPE] = ACTIONS(235),
    [anon_sym_AMP_AMP] = ACTIONS(235),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(233),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_RPAREN] = ACTIONS(235),
    [anon_sym_SEMI_SEMI] = ACTIONS(231),
    [anon_sym_PIPE_AMP] = ACTIONS(231),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_AMP_GT] = ACTIONS(231),
    [anon_sym_AMP_GT_GT] = ACTIONS(231),
    [anon_sym_LT_AMP] = ACTIONS(231),
    [anon_sym_GT_AMP] = ACTIONS(231),
    [anon_sym_GT_PIPE] = ACTIONS(231),
    [anon_sym_LT_AMP_DASH] = ACTIONS(231),
    [anon_sym_GT_AMP_DASH] = ACTIONS(231),
    [anon_sym_LT_LT_DASH] = ACTIONS(231),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(231),
    [anon_sym_LT_LT_LT] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_PLUS_PLUS2] = ACTIONS(242),
    [anon_sym_DASH_DASH2] = ACTIONS(242),
    [anon_sym_DASH2] = ACTIONS(105),
    [anon_sym_PLUS2] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(105),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(229),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(244),
    [aux_sym_concatenation_token1] = ACTIONS(246),
    [anon_sym_DOLLAR] = ACTIONS(248),
    [sym__special_character] = ACTIONS(250),
    [anon_sym_DQUOTE] = ACTIONS(252),
    [sym_raw_string] = ACTIONS(227),
    [sym_ansi_c_string] = ACTIONS(227),
    [aux_sym_number_token1] = ACTIONS(254),
    [aux_sym_number_token2] = ACTIONS(256),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(258),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(260),
    [anon_sym_BQUOTE] = ACTIONS(262),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(264),
    [anon_sym_LT_LPAREN] = ACTIONS(266),
    [anon_sym_GT_LPAREN] = ACTIONS(266),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(268),
    [sym__concat] = ACTIONS(270),
    [sym_test_operator] = ACTIONS(272),
    [sym__bare_dollar] = ACTIONS(268),
    [sym__brace_start] = ACTIONS(274),
  },
  [8] = {
    [sym__expression] = STATE(2472),
    [sym_binary_expression] = STATE(2479),
    [sym_ternary_expression] = STATE(2479),
    [sym_unary_expression] = STATE(2479),
    [sym_postfix_expression] = STATE(2479),
    [sym_parenthesized_expression] = STATE(2479),
    [sym_arithmetic_expansion] = STATE(2039),
    [sym_brace_expression] = STATE(2039),
    [sym_concatenation] = STATE(2479),
    [sym_string] = STATE(2039),
    [sym_translated_string] = STATE(2039),
    [sym_number] = STATE(2039),
    [sym_simple_expansion] = STATE(2039),
    [sym_expansion] = STATE(2039),
    [sym_command_substitution] = STATE(2039),
    [sym_process_substitution] = STATE(2039),
    [aux_sym__literal_repeat1] = STATE(2151),
    [aux_sym_concatenation_repeat1] = STATE(398),
    [sym_word] = ACTIONS(276),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(280),
    [anon_sym_GT_GT_EQ] = ACTIONS(280),
    [anon_sym_AMP_EQ] = ACTIONS(280),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(280),
    [anon_sym_PIPE_PIPE] = ACTIONS(282),
    [anon_sym_AMP_AMP] = ACTIONS(282),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(280),
    [anon_sym_GT_EQ] = ACTIONS(280),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(285),
    [anon_sym_PIPE_AMP] = ACTIONS(268),
    [anon_sym_BANG] = ACTIONS(287),
    [anon_sym_RBRACK] = ACTIONS(280),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_AMP_GT] = ACTIONS(231),
    [anon_sym_AMP_GT_GT] = ACTIONS(268),
    [anon_sym_LT_AMP] = ACTIONS(231),
    [anon_sym_GT_AMP] = ACTIONS(231),
    [anon_sym_GT_PIPE] = ACTIONS(268),
    [anon_sym_LT_AMP_DASH] = ACTIONS(268),
    [anon_sym_GT_AMP_DASH] = ACTIONS(268),
    [anon_sym_LT_LT_DASH] = ACTIONS(268),
    [anon_sym_LT_LT_LT] = ACTIONS(268),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_PLUS_PLUS2] = ACTIONS(183),
    [anon_sym_DASH_DASH2] = ACTIONS(183),
    [anon_sym_DASH2] = ACTIONS(185),
    [anon_sym_PLUS2] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(187),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(289),
    [aux_sym_concatenation_token1] = ACTIONS(291),
    [anon_sym_DOLLAR] = ACTIONS(293),
    [sym__special_character] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [sym_raw_string] = ACTIONS(299),
    [sym_ansi_c_string] = ACTIONS(299),
    [aux_sym_number_token1] = ACTIONS(301),
    [aux_sym_number_token2] = ACTIONS(303),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(305),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(307),
    [anon_sym_BQUOTE] = ACTIONS(309),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(311),
    [anon_sym_LT_LPAREN] = ACTIONS(313),
    [anon_sym_GT_LPAREN] = ACTIONS(313),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(268),
    [sym__concat] = ACTIONS(291),
    [sym_test_operator] = ACTIONS(315),
    [sym__bare_dollar] = ACTIONS(268),
    [sym__brace_start] = ACTIONS(317),
  },
  [9] = {
    [aux_sym__terminated_statement] = STATE(23),
    [sym_redirected_statement] = STATE(4031),
    [sym_for_statement] = STATE(4031),
    [sym_c_style_for_statement] = STATE(4031),
    [sym_while_statement] = STATE(3724),
    [sym_if_statement] = STATE(3724),
    [sym_elif_clause] = STATE(4975),
    [sym_else_clause] = STATE(5523),
    [sym_case_statement] = STATE(4031),
    [sym_function_definition] = STATE(4031),
    [sym_compound_statement] = STATE(4031),
    [sym_subshell] = STATE(4031),
    [sym_pipeline] = STATE(4031),
    [sym_list] = STATE(4031),
    [sym_negated_command] = STATE(4031),
    [sym_test_command] = STATE(4031),
    [sym_declaration_command] = STATE(4031),
    [sym_unset_command] = STATE(4031),
    [sym_command] = STATE(4031),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(895),
    [sym_variable_assignments] = STATE(4031),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_if_statement_repeat1] = STATE(4975),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_fi] = ACTIONS(327),
    [anon_sym_elif] = ACTIONS(329),
    [anon_sym_else] = ACTIONS(331),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [10] = {
    [aux_sym__terminated_statement] = STATE(23),
    [sym_redirected_statement] = STATE(4031),
    [sym_for_statement] = STATE(4031),
    [sym_c_style_for_statement] = STATE(4031),
    [sym_while_statement] = STATE(3724),
    [sym_if_statement] = STATE(3724),
    [sym_elif_clause] = STATE(4980),
    [sym_else_clause] = STATE(6006),
    [sym_case_statement] = STATE(4031),
    [sym_function_definition] = STATE(4031),
    [sym_compound_statement] = STATE(4031),
    [sym_subshell] = STATE(4031),
    [sym_pipeline] = STATE(4031),
    [sym_list] = STATE(4031),
    [sym_negated_command] = STATE(4031),
    [sym_test_command] = STATE(4031),
    [sym_declaration_command] = STATE(4031),
    [sym_unset_command] = STATE(4031),
    [sym_command] = STATE(4031),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(895),
    [sym_variable_assignments] = STATE(4031),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_if_statement_repeat1] = STATE(4980),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_fi] = ACTIONS(379),
    [anon_sym_elif] = ACTIONS(329),
    [anon_sym_else] = ACTIONS(331),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [11] = {
    [aux_sym__terminated_statement] = STATE(12),
    [sym_redirected_statement] = STATE(4031),
    [sym_for_statement] = STATE(4031),
    [sym_c_style_for_statement] = STATE(4031),
    [sym_while_statement] = STATE(3724),
    [sym_if_statement] = STATE(3724),
    [sym_elif_clause] = STATE(4984),
    [sym_else_clause] = STATE(5982),
    [sym_case_statement] = STATE(4031),
    [sym_function_definition] = STATE(4031),
    [sym_compound_statement] = STATE(4031),
    [sym_subshell] = STATE(4031),
    [sym_pipeline] = STATE(4031),
    [sym_list] = STATE(4031),
    [sym_negated_command] = STATE(4031),
    [sym_test_command] = STATE(4031),
    [sym_declaration_command] = STATE(4031),
    [sym_unset_command] = STATE(4031),
    [sym_command] = STATE(4031),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(895),
    [sym_variable_assignments] = STATE(4031),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_if_statement_repeat1] = STATE(4984),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_fi] = ACTIONS(381),
    [anon_sym_elif] = ACTIONS(329),
    [anon_sym_else] = ACTIONS(331),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [12] = {
    [aux_sym__terminated_statement] = STATE(23),
    [sym_redirected_statement] = STATE(4031),
    [sym_for_statement] = STATE(4031),
    [sym_c_style_for_statement] = STATE(4031),
    [sym_while_statement] = STATE(3724),
    [sym_if_statement] = STATE(3724),
    [sym_elif_clause] = STATE(4986),
    [sym_else_clause] = STATE(5979),
    [sym_case_statement] = STATE(4031),
    [sym_function_definition] = STATE(4031),
    [sym_compound_statement] = STATE(4031),
    [sym_subshell] = STATE(4031),
    [sym_pipeline] = STATE(4031),
    [sym_list] = STATE(4031),
    [sym_negated_command] = STATE(4031),
    [sym_test_command] = STATE(4031),
    [sym_declaration_command] = STATE(4031),
    [sym_unset_command] = STATE(4031),
    [sym_command] = STATE(4031),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(895),
    [sym_variable_assignments] = STATE(4031),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_if_statement_repeat1] = STATE(4986),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_fi] = ACTIONS(383),
    [anon_sym_elif] = ACTIONS(329),
    [anon_sym_else] = ACTIONS(331),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [13] = {
    [aux_sym__terminated_statement] = STATE(10),
    [sym_redirected_statement] = STATE(4031),
    [sym_for_statement] = STATE(4031),
    [sym_c_style_for_statement] = STATE(4031),
    [sym_while_statement] = STATE(3724),
    [sym_if_statement] = STATE(3724),
    [sym_elif_clause] = STATE(4977),
    [sym_else_clause] = STATE(6052),
    [sym_case_statement] = STATE(4031),
    [sym_function_definition] = STATE(4031),
    [sym_compound_statement] = STATE(4031),
    [sym_subshell] = STATE(4031),
    [sym_pipeline] = STATE(4031),
    [sym_list] = STATE(4031),
    [sym_negated_command] = STATE(4031),
    [sym_test_command] = STATE(4031),
    [sym_declaration_command] = STATE(4031),
    [sym_unset_command] = STATE(4031),
    [sym_command] = STATE(4031),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(895),
    [sym_variable_assignments] = STATE(4031),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_if_statement_repeat1] = STATE(4977),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_fi] = ACTIONS(385),
    [anon_sym_elif] = ACTIONS(329),
    [anon_sym_else] = ACTIONS(331),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [14] = {
    [aux_sym__terminated_statement] = STATE(9),
    [sym_redirected_statement] = STATE(4031),
    [sym_for_statement] = STATE(4031),
    [sym_c_style_for_statement] = STATE(4031),
    [sym_while_statement] = STATE(3724),
    [sym_if_statement] = STATE(3724),
    [sym_elif_clause] = STATE(4976),
    [sym_else_clause] = STATE(5694),
    [sym_case_statement] = STATE(4031),
    [sym_function_definition] = STATE(4031),
    [sym_compound_statement] = STATE(4031),
    [sym_subshell] = STATE(4031),
    [sym_pipeline] = STATE(4031),
    [sym_list] = STATE(4031),
    [sym_negated_command] = STATE(4031),
    [sym_test_command] = STATE(4031),
    [sym_declaration_command] = STATE(4031),
    [sym_unset_command] = STATE(4031),
    [sym_command] = STATE(4031),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(895),
    [sym_variable_assignments] = STATE(4031),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_if_statement_repeat1] = STATE(4976),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_fi] = ACTIONS(387),
    [anon_sym_elif] = ACTIONS(329),
    [anon_sym_else] = ACTIONS(331),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [15] = {
    [sym__statements] = STATE(5113),
    [sym_redirected_statement] = STATE(3551),
    [sym_for_statement] = STATE(3551),
    [sym_c_style_for_statement] = STATE(3551),
    [sym_while_statement] = STATE(3527),
    [sym_if_statement] = STATE(3527),
    [sym_case_statement] = STATE(3551),
    [sym_function_definition] = STATE(3551),
    [sym_compound_statement] = STATE(3551),
    [sym_subshell] = STATE(3551),
    [sym_pipeline] = STATE(3551),
    [sym_list] = STATE(3551),
    [sym_negated_command] = STATE(3551),
    [sym_test_command] = STATE(3551),
    [sym_declaration_command] = STATE(3551),
    [sym_unset_command] = STATE(3551),
    [sym_command] = STATE(3551),
    [sym_command_name] = STATE(426),
    [sym_variable_assignment] = STATE(663),
    [sym_variable_assignments] = STATE(3551),
    [sym_subscript] = STATE(5388),
    [sym_file_redirect] = STATE(1328),
    [sym_herestring_redirect] = STATE(1399),
    [sym_arithmetic_expansion] = STATE(665),
    [sym_brace_expression] = STATE(665),
    [sym_concatenation] = STATE(932),
    [sym_string] = STATE(665),
    [sym_translated_string] = STATE(665),
    [sym_number] = STATE(665),
    [sym_simple_expansion] = STATE(665),
    [sym_expansion] = STATE(665),
    [sym_command_substitution] = STATE(665),
    [sym_process_substitution] = STATE(665),
    [aux_sym__statements_repeat1] = STATE(329),
    [aux_sym_redirected_statement_repeat2] = STATE(3737),
    [aux_sym_command_repeat1] = STATE(768),
    [aux_sym__literal_repeat1] = STATE(769),
    [sym_word] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(395),
    [anon_sym_LT] = ACTIONS(397),
    [anon_sym_GT] = ACTIONS(397),
    [anon_sym_GT_GT] = ACTIONS(399),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_esac] = ACTIONS(409),
    [anon_sym_SEMI_SEMI] = ACTIONS(411),
    [anon_sym_SEMI_AMP] = ACTIONS(413),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_typeset] = ACTIONS(427),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_local] = ACTIONS(427),
    [anon_sym_unset] = ACTIONS(429),
    [anon_sym_unsetenv] = ACTIONS(429),
    [anon_sym_AMP_GT] = ACTIONS(397),
    [anon_sym_AMP_GT_GT] = ACTIONS(399),
    [anon_sym_LT_AMP] = ACTIONS(397),
    [anon_sym_GT_AMP] = ACTIONS(397),
    [anon_sym_GT_PIPE] = ACTIONS(399),
    [anon_sym_LT_AMP_DASH] = ACTIONS(431),
    [anon_sym_GT_AMP_DASH] = ACTIONS(431),
    [anon_sym_LT_LT_LT] = ACTIONS(433),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(435),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(437),
    [anon_sym_DOLLAR] = ACTIONS(439),
    [sym__special_character] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_raw_string] = ACTIONS(445),
    [sym_ansi_c_string] = ACTIONS(445),
    [aux_sym_number_token1] = ACTIONS(447),
    [aux_sym_number_token2] = ACTIONS(449),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(451),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(453),
    [anon_sym_BQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(457),
    [anon_sym_LT_LPAREN] = ACTIONS(459),
    [anon_sym_GT_LPAREN] = ACTIONS(459),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(461),
    [sym_variable_name] = ACTIONS(463),
    [sym_test_operator] = ACTIONS(465),
    [sym__brace_start] = ACTIONS(467),
  },
  [16] = {
    [sym__statements] = STATE(5154),
    [sym_redirected_statement] = STATE(3551),
    [sym_for_statement] = STATE(3551),
    [sym_c_style_for_statement] = STATE(3551),
    [sym_while_statement] = STATE(3527),
    [sym_if_statement] = STATE(3527),
    [sym_case_statement] = STATE(3551),
    [sym_function_definition] = STATE(3551),
    [sym_compound_statement] = STATE(3551),
    [sym_subshell] = STATE(3551),
    [sym_pipeline] = STATE(3551),
    [sym_list] = STATE(3551),
    [sym_negated_command] = STATE(3551),
    [sym_test_command] = STATE(3551),
    [sym_declaration_command] = STATE(3551),
    [sym_unset_command] = STATE(3551),
    [sym_command] = STATE(3551),
    [sym_command_name] = STATE(426),
    [sym_variable_assignment] = STATE(663),
    [sym_variable_assignments] = STATE(3551),
    [sym_subscript] = STATE(5388),
    [sym_file_redirect] = STATE(1328),
    [sym_herestring_redirect] = STATE(1399),
    [sym_arithmetic_expansion] = STATE(665),
    [sym_brace_expression] = STATE(665),
    [sym_concatenation] = STATE(932),
    [sym_string] = STATE(665),
    [sym_translated_string] = STATE(665),
    [sym_number] = STATE(665),
    [sym_simple_expansion] = STATE(665),
    [sym_expansion] = STATE(665),
    [sym_command_substitution] = STATE(665),
    [sym_process_substitution] = STATE(665),
    [aux_sym__statements_repeat1] = STATE(329),
    [aux_sym_redirected_statement_repeat2] = STATE(3737),
    [aux_sym_command_repeat1] = STATE(768),
    [aux_sym__literal_repeat1] = STATE(769),
    [sym_word] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(395),
    [anon_sym_LT] = ACTIONS(397),
    [anon_sym_GT] = ACTIONS(397),
    [anon_sym_GT_GT] = ACTIONS(399),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_esac] = ACTIONS(469),
    [anon_sym_SEMI_SEMI] = ACTIONS(471),
    [anon_sym_SEMI_AMP] = ACTIONS(473),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(473),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_typeset] = ACTIONS(427),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_local] = ACTIONS(427),
    [anon_sym_unset] = ACTIONS(429),
    [anon_sym_unsetenv] = ACTIONS(429),
    [anon_sym_AMP_GT] = ACTIONS(397),
    [anon_sym_AMP_GT_GT] = ACTIONS(399),
    [anon_sym_LT_AMP] = ACTIONS(397),
    [anon_sym_GT_AMP] = ACTIONS(397),
    [anon_sym_GT_PIPE] = ACTIONS(399),
    [anon_sym_LT_AMP_DASH] = ACTIONS(431),
    [anon_sym_GT_AMP_DASH] = ACTIONS(431),
    [anon_sym_LT_LT_LT] = ACTIONS(433),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(435),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(437),
    [anon_sym_DOLLAR] = ACTIONS(439),
    [sym__special_character] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_raw_string] = ACTIONS(445),
    [sym_ansi_c_string] = ACTIONS(445),
    [aux_sym_number_token1] = ACTIONS(447),
    [aux_sym_number_token2] = ACTIONS(449),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(451),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(453),
    [anon_sym_BQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(457),
    [anon_sym_LT_LPAREN] = ACTIONS(459),
    [anon_sym_GT_LPAREN] = ACTIONS(459),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(461),
    [sym_variable_name] = ACTIONS(463),
    [sym_test_operator] = ACTIONS(465),
    [sym__brace_start] = ACTIONS(467),
  },
  [17] = {
    [sym__statements] = STATE(5112),
    [sym_redirected_statement] = STATE(3551),
    [sym_for_statement] = STATE(3551),
    [sym_c_style_for_statement] = STATE(3551),
    [sym_while_statement] = STATE(3527),
    [sym_if_statement] = STATE(3527),
    [sym_case_statement] = STATE(3551),
    [sym_function_definition] = STATE(3551),
    [sym_compound_statement] = STATE(3551),
    [sym_subshell] = STATE(3551),
    [sym_pipeline] = STATE(3551),
    [sym_list] = STATE(3551),
    [sym_negated_command] = STATE(3551),
    [sym_test_command] = STATE(3551),
    [sym_declaration_command] = STATE(3551),
    [sym_unset_command] = STATE(3551),
    [sym_command] = STATE(3551),
    [sym_command_name] = STATE(426),
    [sym_variable_assignment] = STATE(663),
    [sym_variable_assignments] = STATE(3551),
    [sym_subscript] = STATE(5388),
    [sym_file_redirect] = STATE(1328),
    [sym_herestring_redirect] = STATE(1399),
    [sym_arithmetic_expansion] = STATE(665),
    [sym_brace_expression] = STATE(665),
    [sym_concatenation] = STATE(932),
    [sym_string] = STATE(665),
    [sym_translated_string] = STATE(665),
    [sym_number] = STATE(665),
    [sym_simple_expansion] = STATE(665),
    [sym_expansion] = STATE(665),
    [sym_command_substitution] = STATE(665),
    [sym_process_substitution] = STATE(665),
    [aux_sym__statements_repeat1] = STATE(329),
    [aux_sym_redirected_statement_repeat2] = STATE(3737),
    [aux_sym_command_repeat1] = STATE(768),
    [aux_sym__literal_repeat1] = STATE(769),
    [sym_word] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(395),
    [anon_sym_LT] = ACTIONS(397),
    [anon_sym_GT] = ACTIONS(397),
    [anon_sym_GT_GT] = ACTIONS(399),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_esac] = ACTIONS(475),
    [anon_sym_SEMI_SEMI] = ACTIONS(477),
    [anon_sym_SEMI_AMP] = ACTIONS(479),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(481),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_typeset] = ACTIONS(427),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_local] = ACTIONS(427),
    [anon_sym_unset] = ACTIONS(429),
    [anon_sym_unsetenv] = ACTIONS(429),
    [anon_sym_AMP_GT] = ACTIONS(397),
    [anon_sym_AMP_GT_GT] = ACTIONS(399),
    [anon_sym_LT_AMP] = ACTIONS(397),
    [anon_sym_GT_AMP] = ACTIONS(397),
    [anon_sym_GT_PIPE] = ACTIONS(399),
    [anon_sym_LT_AMP_DASH] = ACTIONS(431),
    [anon_sym_GT_AMP_DASH] = ACTIONS(431),
    [anon_sym_LT_LT_LT] = ACTIONS(433),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(435),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(437),
    [anon_sym_DOLLAR] = ACTIONS(439),
    [sym__special_character] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_raw_string] = ACTIONS(445),
    [sym_ansi_c_string] = ACTIONS(445),
    [aux_sym_number_token1] = ACTIONS(447),
    [aux_sym_number_token2] = ACTIONS(449),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(451),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(453),
    [anon_sym_BQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(457),
    [anon_sym_LT_LPAREN] = ACTIONS(459),
    [anon_sym_GT_LPAREN] = ACTIONS(459),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(461),
    [sym_variable_name] = ACTIONS(463),
    [sym_test_operator] = ACTIONS(465),
    [sym__brace_start] = ACTIONS(467),
  },
  [18] = {
    [sym__statements] = STATE(5138),
    [sym_redirected_statement] = STATE(3551),
    [sym_for_statement] = STATE(3551),
    [sym_c_style_for_statement] = STATE(3551),
    [sym_while_statement] = STATE(3527),
    [sym_if_statement] = STATE(3527),
    [sym_case_statement] = STATE(3551),
    [sym_function_definition] = STATE(3551),
    [sym_compound_statement] = STATE(3551),
    [sym_subshell] = STATE(3551),
    [sym_pipeline] = STATE(3551),
    [sym_list] = STATE(3551),
    [sym_negated_command] = STATE(3551),
    [sym_test_command] = STATE(3551),
    [sym_declaration_command] = STATE(3551),
    [sym_unset_command] = STATE(3551),
    [sym_command] = STATE(3551),
    [sym_command_name] = STATE(426),
    [sym_variable_assignment] = STATE(663),
    [sym_variable_assignments] = STATE(3551),
    [sym_subscript] = STATE(5388),
    [sym_file_redirect] = STATE(1328),
    [sym_herestring_redirect] = STATE(1399),
    [sym_arithmetic_expansion] = STATE(665),
    [sym_brace_expression] = STATE(665),
    [sym_concatenation] = STATE(932),
    [sym_string] = STATE(665),
    [sym_translated_string] = STATE(665),
    [sym_number] = STATE(665),
    [sym_simple_expansion] = STATE(665),
    [sym_expansion] = STATE(665),
    [sym_command_substitution] = STATE(665),
    [sym_process_substitution] = STATE(665),
    [aux_sym__statements_repeat1] = STATE(329),
    [aux_sym_redirected_statement_repeat2] = STATE(3737),
    [aux_sym_command_repeat1] = STATE(768),
    [aux_sym__literal_repeat1] = STATE(769),
    [sym_word] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(395),
    [anon_sym_LT] = ACTIONS(397),
    [anon_sym_GT] = ACTIONS(397),
    [anon_sym_GT_GT] = ACTIONS(399),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_esac] = ACTIONS(483),
    [anon_sym_SEMI_SEMI] = ACTIONS(485),
    [anon_sym_SEMI_AMP] = ACTIONS(487),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_typeset] = ACTIONS(427),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_local] = ACTIONS(427),
    [anon_sym_unset] = ACTIONS(429),
    [anon_sym_unsetenv] = ACTIONS(429),
    [anon_sym_AMP_GT] = ACTIONS(397),
    [anon_sym_AMP_GT_GT] = ACTIONS(399),
    [anon_sym_LT_AMP] = ACTIONS(397),
    [anon_sym_GT_AMP] = ACTIONS(397),
    [anon_sym_GT_PIPE] = ACTIONS(399),
    [anon_sym_LT_AMP_DASH] = ACTIONS(431),
    [anon_sym_GT_AMP_DASH] = ACTIONS(431),
    [anon_sym_LT_LT_LT] = ACTIONS(433),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(435),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(437),
    [anon_sym_DOLLAR] = ACTIONS(439),
    [sym__special_character] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_raw_string] = ACTIONS(445),
    [sym_ansi_c_string] = ACTIONS(445),
    [aux_sym_number_token1] = ACTIONS(447),
    [aux_sym_number_token2] = ACTIONS(449),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(451),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(453),
    [anon_sym_BQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(457),
    [anon_sym_LT_LPAREN] = ACTIONS(459),
    [anon_sym_GT_LPAREN] = ACTIONS(459),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(461),
    [sym_variable_name] = ACTIONS(463),
    [sym_test_operator] = ACTIONS(465),
    [sym__brace_start] = ACTIONS(467),
  },
  [19] = {
    [sym__statements] = STATE(5158),
    [sym_redirected_statement] = STATE(3551),
    [sym_for_statement] = STATE(3551),
    [sym_c_style_for_statement] = STATE(3551),
    [sym_while_statement] = STATE(3527),
    [sym_if_statement] = STATE(3527),
    [sym_case_statement] = STATE(3551),
    [sym_function_definition] = STATE(3551),
    [sym_compound_statement] = STATE(3551),
    [sym_subshell] = STATE(3551),
    [sym_pipeline] = STATE(3551),
    [sym_list] = STATE(3551),
    [sym_negated_command] = STATE(3551),
    [sym_test_command] = STATE(3551),
    [sym_declaration_command] = STATE(3551),
    [sym_unset_command] = STATE(3551),
    [sym_command] = STATE(3551),
    [sym_command_name] = STATE(426),
    [sym_variable_assignment] = STATE(663),
    [sym_variable_assignments] = STATE(3551),
    [sym_subscript] = STATE(5388),
    [sym_file_redirect] = STATE(1328),
    [sym_herestring_redirect] = STATE(1399),
    [sym_arithmetic_expansion] = STATE(665),
    [sym_brace_expression] = STATE(665),
    [sym_concatenation] = STATE(932),
    [sym_string] = STATE(665),
    [sym_translated_string] = STATE(665),
    [sym_number] = STATE(665),
    [sym_simple_expansion] = STATE(665),
    [sym_expansion] = STATE(665),
    [sym_command_substitution] = STATE(665),
    [sym_process_substitution] = STATE(665),
    [aux_sym__statements_repeat1] = STATE(329),
    [aux_sym_redirected_statement_repeat2] = STATE(3737),
    [aux_sym_command_repeat1] = STATE(768),
    [aux_sym__literal_repeat1] = STATE(769),
    [sym_word] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(395),
    [anon_sym_LT] = ACTIONS(397),
    [anon_sym_GT] = ACTIONS(397),
    [anon_sym_GT_GT] = ACTIONS(399),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_esac] = ACTIONS(491),
    [anon_sym_SEMI_SEMI] = ACTIONS(493),
    [anon_sym_SEMI_AMP] = ACTIONS(495),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_typeset] = ACTIONS(427),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_local] = ACTIONS(427),
    [anon_sym_unset] = ACTIONS(429),
    [anon_sym_unsetenv] = ACTIONS(429),
    [anon_sym_AMP_GT] = ACTIONS(397),
    [anon_sym_AMP_GT_GT] = ACTIONS(399),
    [anon_sym_LT_AMP] = ACTIONS(397),
    [anon_sym_GT_AMP] = ACTIONS(397),
    [anon_sym_GT_PIPE] = ACTIONS(399),
    [anon_sym_LT_AMP_DASH] = ACTIONS(431),
    [anon_sym_GT_AMP_DASH] = ACTIONS(431),
    [anon_sym_LT_LT_LT] = ACTIONS(433),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(435),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(437),
    [anon_sym_DOLLAR] = ACTIONS(439),
    [sym__special_character] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_raw_string] = ACTIONS(445),
    [sym_ansi_c_string] = ACTIONS(445),
    [aux_sym_number_token1] = ACTIONS(447),
    [aux_sym_number_token2] = ACTIONS(449),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(451),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(453),
    [anon_sym_BQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(457),
    [anon_sym_LT_LPAREN] = ACTIONS(459),
    [anon_sym_GT_LPAREN] = ACTIONS(459),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(461),
    [sym_variable_name] = ACTIONS(463),
    [sym_test_operator] = ACTIONS(465),
    [sym__brace_start] = ACTIONS(467),
  },
  [20] = {
    [sym__statements] = STATE(5136),
    [sym_redirected_statement] = STATE(3551),
    [sym_for_statement] = STATE(3551),
    [sym_c_style_for_statement] = STATE(3551),
    [sym_while_statement] = STATE(3527),
    [sym_if_statement] = STATE(3527),
    [sym_case_statement] = STATE(3551),
    [sym_function_definition] = STATE(3551),
    [sym_compound_statement] = STATE(3551),
    [sym_subshell] = STATE(3551),
    [sym_pipeline] = STATE(3551),
    [sym_list] = STATE(3551),
    [sym_negated_command] = STATE(3551),
    [sym_test_command] = STATE(3551),
    [sym_declaration_command] = STATE(3551),
    [sym_unset_command] = STATE(3551),
    [sym_command] = STATE(3551),
    [sym_command_name] = STATE(426),
    [sym_variable_assignment] = STATE(663),
    [sym_variable_assignments] = STATE(3551),
    [sym_subscript] = STATE(5388),
    [sym_file_redirect] = STATE(1328),
    [sym_herestring_redirect] = STATE(1399),
    [sym_arithmetic_expansion] = STATE(665),
    [sym_brace_expression] = STATE(665),
    [sym_concatenation] = STATE(932),
    [sym_string] = STATE(665),
    [sym_translated_string] = STATE(665),
    [sym_number] = STATE(665),
    [sym_simple_expansion] = STATE(665),
    [sym_expansion] = STATE(665),
    [sym_command_substitution] = STATE(665),
    [sym_process_substitution] = STATE(665),
    [aux_sym__statements_repeat1] = STATE(329),
    [aux_sym_redirected_statement_repeat2] = STATE(3737),
    [aux_sym_command_repeat1] = STATE(768),
    [aux_sym__literal_repeat1] = STATE(769),
    [sym_word] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(395),
    [anon_sym_LT] = ACTIONS(397),
    [anon_sym_GT] = ACTIONS(397),
    [anon_sym_GT_GT] = ACTIONS(399),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_esac] = ACTIONS(491),
    [anon_sym_SEMI_SEMI] = ACTIONS(499),
    [anon_sym_SEMI_AMP] = ACTIONS(501),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(503),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_typeset] = ACTIONS(427),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_local] = ACTIONS(427),
    [anon_sym_unset] = ACTIONS(429),
    [anon_sym_unsetenv] = ACTIONS(429),
    [anon_sym_AMP_GT] = ACTIONS(397),
    [anon_sym_AMP_GT_GT] = ACTIONS(399),
    [anon_sym_LT_AMP] = ACTIONS(397),
    [anon_sym_GT_AMP] = ACTIONS(397),
    [anon_sym_GT_PIPE] = ACTIONS(399),
    [anon_sym_LT_AMP_DASH] = ACTIONS(431),
    [anon_sym_GT_AMP_DASH] = ACTIONS(431),
    [anon_sym_LT_LT_LT] = ACTIONS(433),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(435),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(437),
    [anon_sym_DOLLAR] = ACTIONS(439),
    [sym__special_character] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_raw_string] = ACTIONS(445),
    [sym_ansi_c_string] = ACTIONS(445),
    [aux_sym_number_token1] = ACTIONS(447),
    [aux_sym_number_token2] = ACTIONS(449),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(451),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(453),
    [anon_sym_BQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(457),
    [anon_sym_LT_LPAREN] = ACTIONS(459),
    [anon_sym_GT_LPAREN] = ACTIONS(459),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(461),
    [sym_variable_name] = ACTIONS(463),
    [sym_test_operator] = ACTIONS(465),
    [sym__brace_start] = ACTIONS(467),
  },
  [21] = {
    [sym__statements] = STATE(5134),
    [sym_redirected_statement] = STATE(3551),
    [sym_for_statement] = STATE(3551),
    [sym_c_style_for_statement] = STATE(3551),
    [sym_while_statement] = STATE(3527),
    [sym_if_statement] = STATE(3527),
    [sym_case_statement] = STATE(3551),
    [sym_function_definition] = STATE(3551),
    [sym_compound_statement] = STATE(3551),
    [sym_subshell] = STATE(3551),
    [sym_pipeline] = STATE(3551),
    [sym_list] = STATE(3551),
    [sym_negated_command] = STATE(3551),
    [sym_test_command] = STATE(3551),
    [sym_declaration_command] = STATE(3551),
    [sym_unset_command] = STATE(3551),
    [sym_command] = STATE(3551),
    [sym_command_name] = STATE(426),
    [sym_variable_assignment] = STATE(663),
    [sym_variable_assignments] = STATE(3551),
    [sym_subscript] = STATE(5388),
    [sym_file_redirect] = STATE(1328),
    [sym_herestring_redirect] = STATE(1399),
    [sym_arithmetic_expansion] = STATE(665),
    [sym_brace_expression] = STATE(665),
    [sym_concatenation] = STATE(932),
    [sym_string] = STATE(665),
    [sym_translated_string] = STATE(665),
    [sym_number] = STATE(665),
    [sym_simple_expansion] = STATE(665),
    [sym_expansion] = STATE(665),
    [sym_command_substitution] = STATE(665),
    [sym_process_substitution] = STATE(665),
    [aux_sym__statements_repeat1] = STATE(329),
    [aux_sym_redirected_statement_repeat2] = STATE(3737),
    [aux_sym_command_repeat1] = STATE(768),
    [aux_sym__literal_repeat1] = STATE(769),
    [sym_word] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(395),
    [anon_sym_LT] = ACTIONS(397),
    [anon_sym_GT] = ACTIONS(397),
    [anon_sym_GT_GT] = ACTIONS(399),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_esac] = ACTIONS(483),
    [anon_sym_SEMI_SEMI] = ACTIONS(505),
    [anon_sym_SEMI_AMP] = ACTIONS(507),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(509),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_typeset] = ACTIONS(427),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_local] = ACTIONS(427),
    [anon_sym_unset] = ACTIONS(429),
    [anon_sym_unsetenv] = ACTIONS(429),
    [anon_sym_AMP_GT] = ACTIONS(397),
    [anon_sym_AMP_GT_GT] = ACTIONS(399),
    [anon_sym_LT_AMP] = ACTIONS(397),
    [anon_sym_GT_AMP] = ACTIONS(397),
    [anon_sym_GT_PIPE] = ACTIONS(399),
    [anon_sym_LT_AMP_DASH] = ACTIONS(431),
    [anon_sym_GT_AMP_DASH] = ACTIONS(431),
    [anon_sym_LT_LT_LT] = ACTIONS(433),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(435),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(437),
    [anon_sym_DOLLAR] = ACTIONS(439),
    [sym__special_character] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_raw_string] = ACTIONS(445),
    [sym_ansi_c_string] = ACTIONS(445),
    [aux_sym_number_token1] = ACTIONS(447),
    [aux_sym_number_token2] = ACTIONS(449),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(451),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(453),
    [anon_sym_BQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(457),
    [anon_sym_LT_LPAREN] = ACTIONS(459),
    [anon_sym_GT_LPAREN] = ACTIONS(459),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(461),
    [sym_variable_name] = ACTIONS(463),
    [sym_test_operator] = ACTIONS(465),
    [sym__brace_start] = ACTIONS(467),
  },
  [22] = {
    [sym__statements] = STATE(5115),
    [sym_redirected_statement] = STATE(3551),
    [sym_for_statement] = STATE(3551),
    [sym_c_style_for_statement] = STATE(3551),
    [sym_while_statement] = STATE(3527),
    [sym_if_statement] = STATE(3527),
    [sym_case_statement] = STATE(3551),
    [sym_function_definition] = STATE(3551),
    [sym_compound_statement] = STATE(3551),
    [sym_subshell] = STATE(3551),
    [sym_pipeline] = STATE(3551),
    [sym_list] = STATE(3551),
    [sym_negated_command] = STATE(3551),
    [sym_test_command] = STATE(3551),
    [sym_declaration_command] = STATE(3551),
    [sym_unset_command] = STATE(3551),
    [sym_command] = STATE(3551),
    [sym_command_name] = STATE(426),
    [sym_variable_assignment] = STATE(663),
    [sym_variable_assignments] = STATE(3551),
    [sym_subscript] = STATE(5388),
    [sym_file_redirect] = STATE(1328),
    [sym_herestring_redirect] = STATE(1399),
    [sym_arithmetic_expansion] = STATE(665),
    [sym_brace_expression] = STATE(665),
    [sym_concatenation] = STATE(932),
    [sym_string] = STATE(665),
    [sym_translated_string] = STATE(665),
    [sym_number] = STATE(665),
    [sym_simple_expansion] = STATE(665),
    [sym_expansion] = STATE(665),
    [sym_command_substitution] = STATE(665),
    [sym_process_substitution] = STATE(665),
    [aux_sym__statements_repeat1] = STATE(329),
    [aux_sym_redirected_statement_repeat2] = STATE(3737),
    [aux_sym_command_repeat1] = STATE(768),
    [aux_sym__literal_repeat1] = STATE(769),
    [sym_word] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(395),
    [anon_sym_LT] = ACTIONS(397),
    [anon_sym_GT] = ACTIONS(397),
    [anon_sym_GT_GT] = ACTIONS(399),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_esac] = ACTIONS(511),
    [anon_sym_SEMI_SEMI] = ACTIONS(513),
    [anon_sym_SEMI_AMP] = ACTIONS(515),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_typeset] = ACTIONS(427),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_local] = ACTIONS(427),
    [anon_sym_unset] = ACTIONS(429),
    [anon_sym_unsetenv] = ACTIONS(429),
    [anon_sym_AMP_GT] = ACTIONS(397),
    [anon_sym_AMP_GT_GT] = ACTIONS(399),
    [anon_sym_LT_AMP] = ACTIONS(397),
    [anon_sym_GT_AMP] = ACTIONS(397),
    [anon_sym_GT_PIPE] = ACTIONS(399),
    [anon_sym_LT_AMP_DASH] = ACTIONS(431),
    [anon_sym_GT_AMP_DASH] = ACTIONS(431),
    [anon_sym_LT_LT_LT] = ACTIONS(433),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(435),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(437),
    [anon_sym_DOLLAR] = ACTIONS(439),
    [sym__special_character] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_raw_string] = ACTIONS(445),
    [sym_ansi_c_string] = ACTIONS(445),
    [aux_sym_number_token1] = ACTIONS(447),
    [aux_sym_number_token2] = ACTIONS(449),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(451),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(453),
    [anon_sym_BQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(457),
    [anon_sym_LT_LPAREN] = ACTIONS(459),
    [anon_sym_GT_LPAREN] = ACTIONS(459),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(461),
    [sym_variable_name] = ACTIONS(463),
    [sym_test_operator] = ACTIONS(465),
    [sym__brace_start] = ACTIONS(467),
  },
  [23] = {
    [aux_sym__terminated_statement] = STATE(23),
    [sym_redirected_statement] = STATE(4031),
    [sym_for_statement] = STATE(4031),
    [sym_c_style_for_statement] = STATE(4031),
    [sym_while_statement] = STATE(3724),
    [sym_if_statement] = STATE(3724),
    [sym_case_statement] = STATE(4031),
    [sym_function_definition] = STATE(4031),
    [sym_compound_statement] = STATE(4031),
    [sym_subshell] = STATE(4031),
    [sym_pipeline] = STATE(4031),
    [sym_list] = STATE(4031),
    [sym_negated_command] = STATE(4031),
    [sym_test_command] = STATE(4031),
    [sym_declaration_command] = STATE(4031),
    [sym_unset_command] = STATE(4031),
    [sym_command] = STATE(4031),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(895),
    [sym_variable_assignments] = STATE(4031),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(520),
    [anon_sym_select] = ACTIONS(523),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(526),
    [anon_sym_LT] = ACTIONS(529),
    [anon_sym_GT] = ACTIONS(529),
    [anon_sym_GT_GT] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(535),
    [anon_sym_while] = ACTIONS(538),
    [anon_sym_until] = ACTIONS(538),
    [anon_sym_do] = ACTIONS(541),
    [anon_sym_if] = ACTIONS(543),
    [anon_sym_then] = ACTIONS(541),
    [anon_sym_fi] = ACTIONS(541),
    [anon_sym_elif] = ACTIONS(541),
    [anon_sym_else] = ACTIONS(541),
    [anon_sym_case] = ACTIONS(546),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(561),
    [anon_sym_declare] = ACTIONS(564),
    [anon_sym_typeset] = ACTIONS(564),
    [anon_sym_export] = ACTIONS(564),
    [anon_sym_readonly] = ACTIONS(564),
    [anon_sym_local] = ACTIONS(564),
    [anon_sym_unset] = ACTIONS(567),
    [anon_sym_unsetenv] = ACTIONS(567),
    [anon_sym_AMP_GT] = ACTIONS(529),
    [anon_sym_AMP_GT_GT] = ACTIONS(532),
    [anon_sym_LT_AMP] = ACTIONS(529),
    [anon_sym_GT_AMP] = ACTIONS(529),
    [anon_sym_GT_PIPE] = ACTIONS(532),
    [anon_sym_LT_AMP_DASH] = ACTIONS(570),
    [anon_sym_GT_AMP_DASH] = ACTIONS(570),
    [anon_sym_LT_LT_LT] = ACTIONS(573),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(576),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(579),
    [anon_sym_DOLLAR] = ACTIONS(582),
    [sym__special_character] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(588),
    [sym_raw_string] = ACTIONS(591),
    [sym_ansi_c_string] = ACTIONS(591),
    [aux_sym_number_token1] = ACTIONS(594),
    [aux_sym_number_token2] = ACTIONS(597),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(600),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(606),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(609),
    [anon_sym_LT_LPAREN] = ACTIONS(612),
    [anon_sym_GT_LPAREN] = ACTIONS(612),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(615),
    [sym_variable_name] = ACTIONS(618),
    [sym_test_operator] = ACTIONS(621),
    [sym__brace_start] = ACTIONS(624),
  },
  [24] = {
    [sym__statements] = STATE(5118),
    [sym_redirected_statement] = STATE(3551),
    [sym_for_statement] = STATE(3551),
    [sym_c_style_for_statement] = STATE(3551),
    [sym_while_statement] = STATE(3527),
    [sym_if_statement] = STATE(3527),
    [sym_case_statement] = STATE(3551),
    [sym_function_definition] = STATE(3551),
    [sym_compound_statement] = STATE(3551),
    [sym_subshell] = STATE(3551),
    [sym_pipeline] = STATE(3551),
    [sym_list] = STATE(3551),
    [sym_negated_command] = STATE(3551),
    [sym_test_command] = STATE(3551),
    [sym_declaration_command] = STATE(3551),
    [sym_unset_command] = STATE(3551),
    [sym_command] = STATE(3551),
    [sym_command_name] = STATE(426),
    [sym_variable_assignment] = STATE(663),
    [sym_variable_assignments] = STATE(3551),
    [sym_subscript] = STATE(5388),
    [sym_file_redirect] = STATE(1328),
    [sym_herestring_redirect] = STATE(1399),
    [sym_arithmetic_expansion] = STATE(665),
    [sym_brace_expression] = STATE(665),
    [sym_concatenation] = STATE(932),
    [sym_string] = STATE(665),
    [sym_translated_string] = STATE(665),
    [sym_number] = STATE(665),
    [sym_simple_expansion] = STATE(665),
    [sym_expansion] = STATE(665),
    [sym_command_substitution] = STATE(665),
    [sym_process_substitution] = STATE(665),
    [aux_sym__statements_repeat1] = STATE(329),
    [aux_sym_redirected_statement_repeat2] = STATE(3737),
    [aux_sym_command_repeat1] = STATE(768),
    [aux_sym__literal_repeat1] = STATE(769),
    [sym_word] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(395),
    [anon_sym_LT] = ACTIONS(397),
    [anon_sym_GT] = ACTIONS(397),
    [anon_sym_GT_GT] = ACTIONS(399),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_esac] = ACTIONS(475),
    [anon_sym_SEMI_SEMI] = ACTIONS(627),
    [anon_sym_SEMI_AMP] = ACTIONS(629),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(631),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_typeset] = ACTIONS(427),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_local] = ACTIONS(427),
    [anon_sym_unset] = ACTIONS(429),
    [anon_sym_unsetenv] = ACTIONS(429),
    [anon_sym_AMP_GT] = ACTIONS(397),
    [anon_sym_AMP_GT_GT] = ACTIONS(399),
    [anon_sym_LT_AMP] = ACTIONS(397),
    [anon_sym_GT_AMP] = ACTIONS(397),
    [anon_sym_GT_PIPE] = ACTIONS(399),
    [anon_sym_LT_AMP_DASH] = ACTIONS(431),
    [anon_sym_GT_AMP_DASH] = ACTIONS(431),
    [anon_sym_LT_LT_LT] = ACTIONS(433),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(435),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(437),
    [anon_sym_DOLLAR] = ACTIONS(439),
    [sym__special_character] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_raw_string] = ACTIONS(445),
    [sym_ansi_c_string] = ACTIONS(445),
    [aux_sym_number_token1] = ACTIONS(447),
    [aux_sym_number_token2] = ACTIONS(449),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(451),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(453),
    [anon_sym_BQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(457),
    [anon_sym_LT_LPAREN] = ACTIONS(459),
    [anon_sym_GT_LPAREN] = ACTIONS(459),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(461),
    [sym_variable_name] = ACTIONS(463),
    [sym_test_operator] = ACTIONS(465),
    [sym__brace_start] = ACTIONS(467),
  },
  [25] = {
    [sym__statements] = STATE(5123),
    [sym_redirected_statement] = STATE(3551),
    [sym_for_statement] = STATE(3551),
    [sym_c_style_for_statement] = STATE(3551),
    [sym_while_statement] = STATE(3527),
    [sym_if_statement] = STATE(3527),
    [sym_case_statement] = STATE(3551),
    [sym_function_definition] = STATE(3551),
    [sym_compound_statement] = STATE(3551),
    [sym_subshell] = STATE(3551),
    [sym_pipeline] = STATE(3551),
    [sym_list] = STATE(3551),
    [sym_negated_command] = STATE(3551),
    [sym_test_command] = STATE(3551),
    [sym_declaration_command] = STATE(3551),
    [sym_unset_command] = STATE(3551),
    [sym_command] = STATE(3551),
    [sym_command_name] = STATE(426),
    [sym_variable_assignment] = STATE(663),
    [sym_variable_assignments] = STATE(3551),
    [sym_subscript] = STATE(5388),
    [sym_file_redirect] = STATE(1328),
    [sym_herestring_redirect] = STATE(1399),
    [sym_arithmetic_expansion] = STATE(665),
    [sym_brace_expression] = STATE(665),
    [sym_concatenation] = STATE(932),
    [sym_string] = STATE(665),
    [sym_translated_string] = STATE(665),
    [sym_number] = STATE(665),
    [sym_simple_expansion] = STATE(665),
    [sym_expansion] = STATE(665),
    [sym_command_substitution] = STATE(665),
    [sym_process_substitution] = STATE(665),
    [aux_sym__statements_repeat1] = STATE(329),
    [aux_sym_redirected_statement_repeat2] = STATE(3737),
    [aux_sym_command_repeat1] = STATE(768),
    [aux_sym__literal_repeat1] = STATE(769),
    [sym_word] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(395),
    [anon_sym_LT] = ACTIONS(397),
    [anon_sym_GT] = ACTIONS(397),
    [anon_sym_GT_GT] = ACTIONS(399),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_esac] = ACTIONS(409),
    [anon_sym_SEMI_SEMI] = ACTIONS(633),
    [anon_sym_SEMI_AMP] = ACTIONS(635),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_typeset] = ACTIONS(427),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_local] = ACTIONS(427),
    [anon_sym_unset] = ACTIONS(429),
    [anon_sym_unsetenv] = ACTIONS(429),
    [anon_sym_AMP_GT] = ACTIONS(397),
    [anon_sym_AMP_GT_GT] = ACTIONS(399),
    [anon_sym_LT_AMP] = ACTIONS(397),
    [anon_sym_GT_AMP] = ACTIONS(397),
    [anon_sym_GT_PIPE] = ACTIONS(399),
    [anon_sym_LT_AMP_DASH] = ACTIONS(431),
    [anon_sym_GT_AMP_DASH] = ACTIONS(431),
    [anon_sym_LT_LT_LT] = ACTIONS(433),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(435),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(437),
    [anon_sym_DOLLAR] = ACTIONS(439),
    [sym__special_character] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_raw_string] = ACTIONS(445),
    [sym_ansi_c_string] = ACTIONS(445),
    [aux_sym_number_token1] = ACTIONS(447),
    [aux_sym_number_token2] = ACTIONS(449),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(451),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(453),
    [anon_sym_BQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(457),
    [anon_sym_LT_LPAREN] = ACTIONS(459),
    [anon_sym_GT_LPAREN] = ACTIONS(459),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(461),
    [sym_variable_name] = ACTIONS(463),
    [sym_test_operator] = ACTIONS(465),
    [sym__brace_start] = ACTIONS(467),
  },
  [26] = {
    [sym__statements] = STATE(5106),
    [sym_redirected_statement] = STATE(3551),
    [sym_for_statement] = STATE(3551),
    [sym_c_style_for_statement] = STATE(3551),
    [sym_while_statement] = STATE(3527),
    [sym_if_statement] = STATE(3527),
    [sym_case_statement] = STATE(3551),
    [sym_function_definition] = STATE(3551),
    [sym_compound_statement] = STATE(3551),
    [sym_subshell] = STATE(3551),
    [sym_pipeline] = STATE(3551),
    [sym_list] = STATE(3551),
    [sym_negated_command] = STATE(3551),
    [sym_test_command] = STATE(3551),
    [sym_declaration_command] = STATE(3551),
    [sym_unset_command] = STATE(3551),
    [sym_command] = STATE(3551),
    [sym_command_name] = STATE(426),
    [sym_variable_assignment] = STATE(663),
    [sym_variable_assignments] = STATE(3551),
    [sym_subscript] = STATE(5388),
    [sym_file_redirect] = STATE(1328),
    [sym_herestring_redirect] = STATE(1399),
    [sym_arithmetic_expansion] = STATE(665),
    [sym_brace_expression] = STATE(665),
    [sym_concatenation] = STATE(932),
    [sym_string] = STATE(665),
    [sym_translated_string] = STATE(665),
    [sym_number] = STATE(665),
    [sym_simple_expansion] = STATE(665),
    [sym_expansion] = STATE(665),
    [sym_command_substitution] = STATE(665),
    [sym_process_substitution] = STATE(665),
    [aux_sym__statements_repeat1] = STATE(329),
    [aux_sym_redirected_statement_repeat2] = STATE(3737),
    [aux_sym_command_repeat1] = STATE(768),
    [aux_sym__literal_repeat1] = STATE(769),
    [sym_word] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(395),
    [anon_sym_LT] = ACTIONS(397),
    [anon_sym_GT] = ACTIONS(397),
    [anon_sym_GT_GT] = ACTIONS(399),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_esac] = ACTIONS(639),
    [anon_sym_SEMI_SEMI] = ACTIONS(641),
    [anon_sym_SEMI_AMP] = ACTIONS(643),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(643),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_typeset] = ACTIONS(427),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_local] = ACTIONS(427),
    [anon_sym_unset] = ACTIONS(429),
    [anon_sym_unsetenv] = ACTIONS(429),
    [anon_sym_AMP_GT] = ACTIONS(397),
    [anon_sym_AMP_GT_GT] = ACTIONS(399),
    [anon_sym_LT_AMP] = ACTIONS(397),
    [anon_sym_GT_AMP] = ACTIONS(397),
    [anon_sym_GT_PIPE] = ACTIONS(399),
    [anon_sym_LT_AMP_DASH] = ACTIONS(431),
    [anon_sym_GT_AMP_DASH] = ACTIONS(431),
    [anon_sym_LT_LT_LT] = ACTIONS(433),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(435),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(437),
    [anon_sym_DOLLAR] = ACTIONS(439),
    [sym__special_character] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_raw_string] = ACTIONS(445),
    [sym_ansi_c_string] = ACTIONS(445),
    [aux_sym_number_token1] = ACTIONS(447),
    [aux_sym_number_token2] = ACTIONS(449),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(451),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(453),
    [anon_sym_BQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(457),
    [anon_sym_LT_LPAREN] = ACTIONS(459),
    [anon_sym_GT_LPAREN] = ACTIONS(459),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(461),
    [sym_variable_name] = ACTIONS(463),
    [sym_test_operator] = ACTIONS(465),
    [sym__brace_start] = ACTIONS(467),
  },
  [27] = {
    [sym__statements] = STATE(5111),
    [sym_redirected_statement] = STATE(3551),
    [sym_for_statement] = STATE(3551),
    [sym_c_style_for_statement] = STATE(3551),
    [sym_while_statement] = STATE(3527),
    [sym_if_statement] = STATE(3527),
    [sym_case_statement] = STATE(3551),
    [sym_function_definition] = STATE(3551),
    [sym_compound_statement] = STATE(3551),
    [sym_subshell] = STATE(3551),
    [sym_pipeline] = STATE(3551),
    [sym_list] = STATE(3551),
    [sym_negated_command] = STATE(3551),
    [sym_test_command] = STATE(3551),
    [sym_declaration_command] = STATE(3551),
    [sym_unset_command] = STATE(3551),
    [sym_command] = STATE(3551),
    [sym_command_name] = STATE(426),
    [sym_variable_assignment] = STATE(663),
    [sym_variable_assignments] = STATE(3551),
    [sym_subscript] = STATE(5388),
    [sym_file_redirect] = STATE(1328),
    [sym_herestring_redirect] = STATE(1399),
    [sym_arithmetic_expansion] = STATE(665),
    [sym_brace_expression] = STATE(665),
    [sym_concatenation] = STATE(932),
    [sym_string] = STATE(665),
    [sym_translated_string] = STATE(665),
    [sym_number] = STATE(665),
    [sym_simple_expansion] = STATE(665),
    [sym_expansion] = STATE(665),
    [sym_command_substitution] = STATE(665),
    [sym_process_substitution] = STATE(665),
    [aux_sym__statements_repeat1] = STATE(329),
    [aux_sym_redirected_statement_repeat2] = STATE(3737),
    [aux_sym_command_repeat1] = STATE(768),
    [aux_sym__literal_repeat1] = STATE(769),
    [sym_word] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(395),
    [anon_sym_LT] = ACTIONS(397),
    [anon_sym_GT] = ACTIONS(397),
    [anon_sym_GT_GT] = ACTIONS(399),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_esac] = ACTIONS(645),
    [anon_sym_SEMI_SEMI] = ACTIONS(647),
    [anon_sym_SEMI_AMP] = ACTIONS(649),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(649),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_typeset] = ACTIONS(427),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_local] = ACTIONS(427),
    [anon_sym_unset] = ACTIONS(429),
    [anon_sym_unsetenv] = ACTIONS(429),
    [anon_sym_AMP_GT] = ACTIONS(397),
    [anon_sym_AMP_GT_GT] = ACTIONS(399),
    [anon_sym_LT_AMP] = ACTIONS(397),
    [anon_sym_GT_AMP] = ACTIONS(397),
    [anon_sym_GT_PIPE] = ACTIONS(399),
    [anon_sym_LT_AMP_DASH] = ACTIONS(431),
    [anon_sym_GT_AMP_DASH] = ACTIONS(431),
    [anon_sym_LT_LT_LT] = ACTIONS(433),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(435),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(437),
    [anon_sym_DOLLAR] = ACTIONS(439),
    [sym__special_character] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_raw_string] = ACTIONS(445),
    [sym_ansi_c_string] = ACTIONS(445),
    [aux_sym_number_token1] = ACTIONS(447),
    [aux_sym_number_token2] = ACTIONS(449),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(451),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(453),
    [anon_sym_BQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(457),
    [anon_sym_LT_LPAREN] = ACTIONS(459),
    [anon_sym_GT_LPAREN] = ACTIONS(459),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(461),
    [sym_variable_name] = ACTIONS(463),
    [sym_test_operator] = ACTIONS(465),
    [sym__brace_start] = ACTIONS(467),
  },
  [28] = {
    [sym__statements] = STATE(5245),
    [sym_redirected_statement] = STATE(3686),
    [sym_for_statement] = STATE(3686),
    [sym_c_style_for_statement] = STATE(3686),
    [sym_while_statement] = STATE(3534),
    [sym_if_statement] = STATE(3534),
    [sym_case_statement] = STATE(3686),
    [sym_function_definition] = STATE(3686),
    [sym_compound_statement] = STATE(3686),
    [sym_subshell] = STATE(3686),
    [sym_pipeline] = STATE(3686),
    [sym_list] = STATE(3686),
    [sym_negated_command] = STATE(3686),
    [sym_test_command] = STATE(3686),
    [sym_declaration_command] = STATE(3686),
    [sym_unset_command] = STATE(3686),
    [sym_command] = STATE(3686),
    [sym_command_name] = STATE(429),
    [sym_variable_assignment] = STATE(709),
    [sym_variable_assignments] = STATE(3686),
    [sym_subscript] = STATE(5364),
    [sym_file_redirect] = STATE(1535),
    [sym_herestring_redirect] = STATE(1455),
    [sym_arithmetic_expansion] = STATE(707),
    [sym_brace_expression] = STATE(707),
    [sym_concatenation] = STATE(1025),
    [sym_string] = STATE(707),
    [sym_translated_string] = STATE(707),
    [sym_number] = STATE(707),
    [sym_simple_expansion] = STATE(707),
    [sym_expansion] = STATE(707),
    [sym_command_substitution] = STATE(707),
    [sym_process_substitution] = STATE(707),
    [aux_sym__statements_repeat1] = STATE(325),
    [aux_sym_redirected_statement_repeat2] = STATE(3795),
    [aux_sym_command_repeat1] = STATE(790),
    [aux_sym__literal_repeat1] = STATE(885),
    [sym_word] = ACTIONS(651),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_GT_GT] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(659),
    [anon_sym_SEMI_AMP] = ACTIONS(649),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(649),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(665),
    [anon_sym_typeset] = ACTIONS(665),
    [anon_sym_export] = ACTIONS(665),
    [anon_sym_readonly] = ACTIONS(665),
    [anon_sym_local] = ACTIONS(665),
    [anon_sym_unset] = ACTIONS(667),
    [anon_sym_unsetenv] = ACTIONS(667),
    [anon_sym_AMP_GT] = ACTIONS(655),
    [anon_sym_AMP_GT_GT] = ACTIONS(657),
    [anon_sym_LT_AMP] = ACTIONS(655),
    [anon_sym_GT_AMP] = ACTIONS(655),
    [anon_sym_GT_PIPE] = ACTIONS(657),
    [anon_sym_LT_AMP_DASH] = ACTIONS(669),
    [anon_sym_GT_AMP_DASH] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(673),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [sym__special_character] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_raw_string] = ACTIONS(683),
    [sym_ansi_c_string] = ACTIONS(683),
    [aux_sym_number_token1] = ACTIONS(685),
    [aux_sym_number_token2] = ACTIONS(687),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(689),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(695),
    [anon_sym_LT_LPAREN] = ACTIONS(697),
    [anon_sym_GT_LPAREN] = ACTIONS(697),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(699),
    [sym_variable_name] = ACTIONS(701),
    [sym_test_operator] = ACTIONS(703),
    [sym__brace_start] = ACTIONS(705),
  },
  [29] = {
    [sym__statements] = STATE(5240),
    [sym_redirected_statement] = STATE(3686),
    [sym_for_statement] = STATE(3686),
    [sym_c_style_for_statement] = STATE(3686),
    [sym_while_statement] = STATE(3534),
    [sym_if_statement] = STATE(3534),
    [sym_case_statement] = STATE(3686),
    [sym_function_definition] = STATE(3686),
    [sym_compound_statement] = STATE(3686),
    [sym_subshell] = STATE(3686),
    [sym_pipeline] = STATE(3686),
    [sym_list] = STATE(3686),
    [sym_negated_command] = STATE(3686),
    [sym_test_command] = STATE(3686),
    [sym_declaration_command] = STATE(3686),
    [sym_unset_command] = STATE(3686),
    [sym_command] = STATE(3686),
    [sym_command_name] = STATE(429),
    [sym_variable_assignment] = STATE(709),
    [sym_variable_assignments] = STATE(3686),
    [sym_subscript] = STATE(5364),
    [sym_file_redirect] = STATE(1535),
    [sym_herestring_redirect] = STATE(1455),
    [sym_arithmetic_expansion] = STATE(707),
    [sym_brace_expression] = STATE(707),
    [sym_concatenation] = STATE(1025),
    [sym_string] = STATE(707),
    [sym_translated_string] = STATE(707),
    [sym_number] = STATE(707),
    [sym_simple_expansion] = STATE(707),
    [sym_expansion] = STATE(707),
    [sym_command_substitution] = STATE(707),
    [sym_process_substitution] = STATE(707),
    [aux_sym__statements_repeat1] = STATE(325),
    [aux_sym_redirected_statement_repeat2] = STATE(3795),
    [aux_sym_command_repeat1] = STATE(790),
    [aux_sym__literal_repeat1] = STATE(885),
    [sym_word] = ACTIONS(651),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_GT_GT] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(707),
    [anon_sym_SEMI_AMP] = ACTIONS(479),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(481),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(665),
    [anon_sym_typeset] = ACTIONS(665),
    [anon_sym_export] = ACTIONS(665),
    [anon_sym_readonly] = ACTIONS(665),
    [anon_sym_local] = ACTIONS(665),
    [anon_sym_unset] = ACTIONS(667),
    [anon_sym_unsetenv] = ACTIONS(667),
    [anon_sym_AMP_GT] = ACTIONS(655),
    [anon_sym_AMP_GT_GT] = ACTIONS(657),
    [anon_sym_LT_AMP] = ACTIONS(655),
    [anon_sym_GT_AMP] = ACTIONS(655),
    [anon_sym_GT_PIPE] = ACTIONS(657),
    [anon_sym_LT_AMP_DASH] = ACTIONS(669),
    [anon_sym_GT_AMP_DASH] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(673),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [sym__special_character] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_raw_string] = ACTIONS(683),
    [sym_ansi_c_string] = ACTIONS(683),
    [aux_sym_number_token1] = ACTIONS(685),
    [aux_sym_number_token2] = ACTIONS(687),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(689),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(695),
    [anon_sym_LT_LPAREN] = ACTIONS(697),
    [anon_sym_GT_LPAREN] = ACTIONS(697),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(699),
    [sym_variable_name] = ACTIONS(701),
    [sym_test_operator] = ACTIONS(703),
    [sym__brace_start] = ACTIONS(705),
  },
  [30] = {
    [sym__statements] = STATE(5268),
    [sym_redirected_statement] = STATE(3686),
    [sym_for_statement] = STATE(3686),
    [sym_c_style_for_statement] = STATE(3686),
    [sym_while_statement] = STATE(3534),
    [sym_if_statement] = STATE(3534),
    [sym_case_statement] = STATE(3686),
    [sym_function_definition] = STATE(3686),
    [sym_compound_statement] = STATE(3686),
    [sym_subshell] = STATE(3686),
    [sym_pipeline] = STATE(3686),
    [sym_list] = STATE(3686),
    [sym_negated_command] = STATE(3686),
    [sym_test_command] = STATE(3686),
    [sym_declaration_command] = STATE(3686),
    [sym_unset_command] = STATE(3686),
    [sym_command] = STATE(3686),
    [sym_command_name] = STATE(429),
    [sym_variable_assignment] = STATE(709),
    [sym_variable_assignments] = STATE(3686),
    [sym_subscript] = STATE(5364),
    [sym_file_redirect] = STATE(1535),
    [sym_herestring_redirect] = STATE(1455),
    [sym_arithmetic_expansion] = STATE(707),
    [sym_brace_expression] = STATE(707),
    [sym_concatenation] = STATE(1025),
    [sym_string] = STATE(707),
    [sym_translated_string] = STATE(707),
    [sym_number] = STATE(707),
    [sym_simple_expansion] = STATE(707),
    [sym_expansion] = STATE(707),
    [sym_command_substitution] = STATE(707),
    [sym_process_substitution] = STATE(707),
    [aux_sym__statements_repeat1] = STATE(325),
    [aux_sym_redirected_statement_repeat2] = STATE(3795),
    [aux_sym_command_repeat1] = STATE(790),
    [aux_sym__literal_repeat1] = STATE(885),
    [sym_word] = ACTIONS(651),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_GT_GT] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(709),
    [anon_sym_SEMI_AMP] = ACTIONS(515),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(665),
    [anon_sym_typeset] = ACTIONS(665),
    [anon_sym_export] = ACTIONS(665),
    [anon_sym_readonly] = ACTIONS(665),
    [anon_sym_local] = ACTIONS(665),
    [anon_sym_unset] = ACTIONS(667),
    [anon_sym_unsetenv] = ACTIONS(667),
    [anon_sym_AMP_GT] = ACTIONS(655),
    [anon_sym_AMP_GT_GT] = ACTIONS(657),
    [anon_sym_LT_AMP] = ACTIONS(655),
    [anon_sym_GT_AMP] = ACTIONS(655),
    [anon_sym_GT_PIPE] = ACTIONS(657),
    [anon_sym_LT_AMP_DASH] = ACTIONS(669),
    [anon_sym_GT_AMP_DASH] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(673),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [sym__special_character] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_raw_string] = ACTIONS(683),
    [sym_ansi_c_string] = ACTIONS(683),
    [aux_sym_number_token1] = ACTIONS(685),
    [aux_sym_number_token2] = ACTIONS(687),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(689),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(695),
    [anon_sym_LT_LPAREN] = ACTIONS(697),
    [anon_sym_GT_LPAREN] = ACTIONS(697),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(699),
    [sym_variable_name] = ACTIONS(701),
    [sym_test_operator] = ACTIONS(703),
    [sym__brace_start] = ACTIONS(705),
  },
  [31] = {
    [sym__statements] = STATE(5257),
    [sym_redirected_statement] = STATE(3686),
    [sym_for_statement] = STATE(3686),
    [sym_c_style_for_statement] = STATE(3686),
    [sym_while_statement] = STATE(3534),
    [sym_if_statement] = STATE(3534),
    [sym_case_statement] = STATE(3686),
    [sym_function_definition] = STATE(3686),
    [sym_compound_statement] = STATE(3686),
    [sym_subshell] = STATE(3686),
    [sym_pipeline] = STATE(3686),
    [sym_list] = STATE(3686),
    [sym_negated_command] = STATE(3686),
    [sym_test_command] = STATE(3686),
    [sym_declaration_command] = STATE(3686),
    [sym_unset_command] = STATE(3686),
    [sym_command] = STATE(3686),
    [sym_command_name] = STATE(429),
    [sym_variable_assignment] = STATE(709),
    [sym_variable_assignments] = STATE(3686),
    [sym_subscript] = STATE(5364),
    [sym_file_redirect] = STATE(1535),
    [sym_herestring_redirect] = STATE(1455),
    [sym_arithmetic_expansion] = STATE(707),
    [sym_brace_expression] = STATE(707),
    [sym_concatenation] = STATE(1025),
    [sym_string] = STATE(707),
    [sym_translated_string] = STATE(707),
    [sym_number] = STATE(707),
    [sym_simple_expansion] = STATE(707),
    [sym_expansion] = STATE(707),
    [sym_command_substitution] = STATE(707),
    [sym_process_substitution] = STATE(707),
    [aux_sym__statements_repeat1] = STATE(325),
    [aux_sym_redirected_statement_repeat2] = STATE(3795),
    [aux_sym_command_repeat1] = STATE(790),
    [aux_sym__literal_repeat1] = STATE(885),
    [sym_word] = ACTIONS(651),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_GT_GT] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(711),
    [anon_sym_SEMI_AMP] = ACTIONS(635),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(665),
    [anon_sym_typeset] = ACTIONS(665),
    [anon_sym_export] = ACTIONS(665),
    [anon_sym_readonly] = ACTIONS(665),
    [anon_sym_local] = ACTIONS(665),
    [anon_sym_unset] = ACTIONS(667),
    [anon_sym_unsetenv] = ACTIONS(667),
    [anon_sym_AMP_GT] = ACTIONS(655),
    [anon_sym_AMP_GT_GT] = ACTIONS(657),
    [anon_sym_LT_AMP] = ACTIONS(655),
    [anon_sym_GT_AMP] = ACTIONS(655),
    [anon_sym_GT_PIPE] = ACTIONS(657),
    [anon_sym_LT_AMP_DASH] = ACTIONS(669),
    [anon_sym_GT_AMP_DASH] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(673),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [sym__special_character] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_raw_string] = ACTIONS(683),
    [sym_ansi_c_string] = ACTIONS(683),
    [aux_sym_number_token1] = ACTIONS(685),
    [aux_sym_number_token2] = ACTIONS(687),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(689),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(695),
    [anon_sym_LT_LPAREN] = ACTIONS(697),
    [anon_sym_GT_LPAREN] = ACTIONS(697),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(699),
    [sym_variable_name] = ACTIONS(701),
    [sym_test_operator] = ACTIONS(703),
    [sym__brace_start] = ACTIONS(705),
  },
  [32] = {
    [sym__statements] = STATE(5165),
    [sym_redirected_statement] = STATE(3686),
    [sym_for_statement] = STATE(3686),
    [sym_c_style_for_statement] = STATE(3686),
    [sym_while_statement] = STATE(3534),
    [sym_if_statement] = STATE(3534),
    [sym_case_statement] = STATE(3686),
    [sym_function_definition] = STATE(3686),
    [sym_compound_statement] = STATE(3686),
    [sym_subshell] = STATE(3686),
    [sym_pipeline] = STATE(3686),
    [sym_list] = STATE(3686),
    [sym_negated_command] = STATE(3686),
    [sym_test_command] = STATE(3686),
    [sym_declaration_command] = STATE(3686),
    [sym_unset_command] = STATE(3686),
    [sym_command] = STATE(3686),
    [sym_command_name] = STATE(429),
    [sym_variable_assignment] = STATE(709),
    [sym_variable_assignments] = STATE(3686),
    [sym_subscript] = STATE(5364),
    [sym_file_redirect] = STATE(1535),
    [sym_herestring_redirect] = STATE(1455),
    [sym_arithmetic_expansion] = STATE(707),
    [sym_brace_expression] = STATE(707),
    [sym_concatenation] = STATE(1025),
    [sym_string] = STATE(707),
    [sym_translated_string] = STATE(707),
    [sym_number] = STATE(707),
    [sym_simple_expansion] = STATE(707),
    [sym_expansion] = STATE(707),
    [sym_command_substitution] = STATE(707),
    [sym_process_substitution] = STATE(707),
    [aux_sym__statements_repeat1] = STATE(325),
    [aux_sym_redirected_statement_repeat2] = STATE(3795),
    [aux_sym_command_repeat1] = STATE(790),
    [aux_sym__literal_repeat1] = STATE(885),
    [sym_word] = ACTIONS(651),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_GT_GT] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(713),
    [anon_sym_SEMI_AMP] = ACTIONS(629),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(631),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(665),
    [anon_sym_typeset] = ACTIONS(665),
    [anon_sym_export] = ACTIONS(665),
    [anon_sym_readonly] = ACTIONS(665),
    [anon_sym_local] = ACTIONS(665),
    [anon_sym_unset] = ACTIONS(667),
    [anon_sym_unsetenv] = ACTIONS(667),
    [anon_sym_AMP_GT] = ACTIONS(655),
    [anon_sym_AMP_GT_GT] = ACTIONS(657),
    [anon_sym_LT_AMP] = ACTIONS(655),
    [anon_sym_GT_AMP] = ACTIONS(655),
    [anon_sym_GT_PIPE] = ACTIONS(657),
    [anon_sym_LT_AMP_DASH] = ACTIONS(669),
    [anon_sym_GT_AMP_DASH] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(673),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [sym__special_character] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_raw_string] = ACTIONS(683),
    [sym_ansi_c_string] = ACTIONS(683),
    [aux_sym_number_token1] = ACTIONS(685),
    [aux_sym_number_token2] = ACTIONS(687),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(689),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(695),
    [anon_sym_LT_LPAREN] = ACTIONS(697),
    [anon_sym_GT_LPAREN] = ACTIONS(697),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(699),
    [sym_variable_name] = ACTIONS(701),
    [sym_test_operator] = ACTIONS(703),
    [sym__brace_start] = ACTIONS(705),
  },
  [33] = {
    [sym__statements] = STATE(5306),
    [sym_redirected_statement] = STATE(3686),
    [sym_for_statement] = STATE(3686),
    [sym_c_style_for_statement] = STATE(3686),
    [sym_while_statement] = STATE(3534),
    [sym_if_statement] = STATE(3534),
    [sym_case_statement] = STATE(3686),
    [sym_function_definition] = STATE(3686),
    [sym_compound_statement] = STATE(3686),
    [sym_subshell] = STATE(3686),
    [sym_pipeline] = STATE(3686),
    [sym_list] = STATE(3686),
    [sym_negated_command] = STATE(3686),
    [sym_test_command] = STATE(3686),
    [sym_declaration_command] = STATE(3686),
    [sym_unset_command] = STATE(3686),
    [sym_command] = STATE(3686),
    [sym_command_name] = STATE(429),
    [sym_variable_assignment] = STATE(709),
    [sym_variable_assignments] = STATE(3686),
    [sym_subscript] = STATE(5364),
    [sym_file_redirect] = STATE(1535),
    [sym_herestring_redirect] = STATE(1455),
    [sym_arithmetic_expansion] = STATE(707),
    [sym_brace_expression] = STATE(707),
    [sym_concatenation] = STATE(1025),
    [sym_string] = STATE(707),
    [sym_translated_string] = STATE(707),
    [sym_number] = STATE(707),
    [sym_simple_expansion] = STATE(707),
    [sym_expansion] = STATE(707),
    [sym_command_substitution] = STATE(707),
    [sym_process_substitution] = STATE(707),
    [aux_sym__statements_repeat1] = STATE(325),
    [aux_sym_redirected_statement_repeat2] = STATE(3795),
    [aux_sym_command_repeat1] = STATE(790),
    [aux_sym__literal_repeat1] = STATE(885),
    [sym_word] = ACTIONS(651),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_GT_GT] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(715),
    [anon_sym_SEMI_AMP] = ACTIONS(487),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(665),
    [anon_sym_typeset] = ACTIONS(665),
    [anon_sym_export] = ACTIONS(665),
    [anon_sym_readonly] = ACTIONS(665),
    [anon_sym_local] = ACTIONS(665),
    [anon_sym_unset] = ACTIONS(667),
    [anon_sym_unsetenv] = ACTIONS(667),
    [anon_sym_AMP_GT] = ACTIONS(655),
    [anon_sym_AMP_GT_GT] = ACTIONS(657),
    [anon_sym_LT_AMP] = ACTIONS(655),
    [anon_sym_GT_AMP] = ACTIONS(655),
    [anon_sym_GT_PIPE] = ACTIONS(657),
    [anon_sym_LT_AMP_DASH] = ACTIONS(669),
    [anon_sym_GT_AMP_DASH] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(673),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [sym__special_character] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_raw_string] = ACTIONS(683),
    [sym_ansi_c_string] = ACTIONS(683),
    [aux_sym_number_token1] = ACTIONS(685),
    [aux_sym_number_token2] = ACTIONS(687),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(689),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(695),
    [anon_sym_LT_LPAREN] = ACTIONS(697),
    [anon_sym_GT_LPAREN] = ACTIONS(697),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(699),
    [sym_variable_name] = ACTIONS(701),
    [sym_test_operator] = ACTIONS(703),
    [sym__brace_start] = ACTIONS(705),
  },
  [34] = {
    [sym__statements] = STATE(5278),
    [sym_redirected_statement] = STATE(3686),
    [sym_for_statement] = STATE(3686),
    [sym_c_style_for_statement] = STATE(3686),
    [sym_while_statement] = STATE(3534),
    [sym_if_statement] = STATE(3534),
    [sym_case_statement] = STATE(3686),
    [sym_function_definition] = STATE(3686),
    [sym_compound_statement] = STATE(3686),
    [sym_subshell] = STATE(3686),
    [sym_pipeline] = STATE(3686),
    [sym_list] = STATE(3686),
    [sym_negated_command] = STATE(3686),
    [sym_test_command] = STATE(3686),
    [sym_declaration_command] = STATE(3686),
    [sym_unset_command] = STATE(3686),
    [sym_command] = STATE(3686),
    [sym_command_name] = STATE(429),
    [sym_variable_assignment] = STATE(709),
    [sym_variable_assignments] = STATE(3686),
    [sym_subscript] = STATE(5364),
    [sym_file_redirect] = STATE(1535),
    [sym_herestring_redirect] = STATE(1455),
    [sym_arithmetic_expansion] = STATE(707),
    [sym_brace_expression] = STATE(707),
    [sym_concatenation] = STATE(1025),
    [sym_string] = STATE(707),
    [sym_translated_string] = STATE(707),
    [sym_number] = STATE(707),
    [sym_simple_expansion] = STATE(707),
    [sym_expansion] = STATE(707),
    [sym_command_substitution] = STATE(707),
    [sym_process_substitution] = STATE(707),
    [aux_sym__statements_repeat1] = STATE(325),
    [aux_sym_redirected_statement_repeat2] = STATE(3795),
    [aux_sym_command_repeat1] = STATE(790),
    [aux_sym__literal_repeat1] = STATE(885),
    [sym_word] = ACTIONS(651),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_GT_GT] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(717),
    [anon_sym_SEMI_AMP] = ACTIONS(495),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(497),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(665),
    [anon_sym_typeset] = ACTIONS(665),
    [anon_sym_export] = ACTIONS(665),
    [anon_sym_readonly] = ACTIONS(665),
    [anon_sym_local] = ACTIONS(665),
    [anon_sym_unset] = ACTIONS(667),
    [anon_sym_unsetenv] = ACTIONS(667),
    [anon_sym_AMP_GT] = ACTIONS(655),
    [anon_sym_AMP_GT_GT] = ACTIONS(657),
    [anon_sym_LT_AMP] = ACTIONS(655),
    [anon_sym_GT_AMP] = ACTIONS(655),
    [anon_sym_GT_PIPE] = ACTIONS(657),
    [anon_sym_LT_AMP_DASH] = ACTIONS(669),
    [anon_sym_GT_AMP_DASH] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(673),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [sym__special_character] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_raw_string] = ACTIONS(683),
    [sym_ansi_c_string] = ACTIONS(683),
    [aux_sym_number_token1] = ACTIONS(685),
    [aux_sym_number_token2] = ACTIONS(687),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(689),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(695),
    [anon_sym_LT_LPAREN] = ACTIONS(697),
    [anon_sym_GT_LPAREN] = ACTIONS(697),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(699),
    [sym_variable_name] = ACTIONS(701),
    [sym_test_operator] = ACTIONS(703),
    [sym__brace_start] = ACTIONS(705),
  },
  [35] = {
    [sym__statements] = STATE(5171),
    [sym_redirected_statement] = STATE(3686),
    [sym_for_statement] = STATE(3686),
    [sym_c_style_for_statement] = STATE(3686),
    [sym_while_statement] = STATE(3534),
    [sym_if_statement] = STATE(3534),
    [sym_case_statement] = STATE(3686),
    [sym_function_definition] = STATE(3686),
    [sym_compound_statement] = STATE(3686),
    [sym_subshell] = STATE(3686),
    [sym_pipeline] = STATE(3686),
    [sym_list] = STATE(3686),
    [sym_negated_command] = STATE(3686),
    [sym_test_command] = STATE(3686),
    [sym_declaration_command] = STATE(3686),
    [sym_unset_command] = STATE(3686),
    [sym_command] = STATE(3686),
    [sym_command_name] = STATE(429),
    [sym_variable_assignment] = STATE(709),
    [sym_variable_assignments] = STATE(3686),
    [sym_subscript] = STATE(5364),
    [sym_file_redirect] = STATE(1535),
    [sym_herestring_redirect] = STATE(1455),
    [sym_arithmetic_expansion] = STATE(707),
    [sym_brace_expression] = STATE(707),
    [sym_concatenation] = STATE(1025),
    [sym_string] = STATE(707),
    [sym_translated_string] = STATE(707),
    [sym_number] = STATE(707),
    [sym_simple_expansion] = STATE(707),
    [sym_expansion] = STATE(707),
    [sym_command_substitution] = STATE(707),
    [sym_process_substitution] = STATE(707),
    [aux_sym__statements_repeat1] = STATE(325),
    [aux_sym_redirected_statement_repeat2] = STATE(3795),
    [aux_sym_command_repeat1] = STATE(790),
    [aux_sym__literal_repeat1] = STATE(885),
    [sym_word] = ACTIONS(651),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_GT_GT] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(719),
    [anon_sym_SEMI_AMP] = ACTIONS(501),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(503),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(665),
    [anon_sym_typeset] = ACTIONS(665),
    [anon_sym_export] = ACTIONS(665),
    [anon_sym_readonly] = ACTIONS(665),
    [anon_sym_local] = ACTIONS(665),
    [anon_sym_unset] = ACTIONS(667),
    [anon_sym_unsetenv] = ACTIONS(667),
    [anon_sym_AMP_GT] = ACTIONS(655),
    [anon_sym_AMP_GT_GT] = ACTIONS(657),
    [anon_sym_LT_AMP] = ACTIONS(655),
    [anon_sym_GT_AMP] = ACTIONS(655),
    [anon_sym_GT_PIPE] = ACTIONS(657),
    [anon_sym_LT_AMP_DASH] = ACTIONS(669),
    [anon_sym_GT_AMP_DASH] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(673),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [sym__special_character] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_raw_string] = ACTIONS(683),
    [sym_ansi_c_string] = ACTIONS(683),
    [aux_sym_number_token1] = ACTIONS(685),
    [aux_sym_number_token2] = ACTIONS(687),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(689),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(695),
    [anon_sym_LT_LPAREN] = ACTIONS(697),
    [anon_sym_GT_LPAREN] = ACTIONS(697),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(699),
    [sym_variable_name] = ACTIONS(701),
    [sym_test_operator] = ACTIONS(703),
    [sym__brace_start] = ACTIONS(705),
  },
  [36] = {
    [sym__statements] = STATE(5212),
    [sym_redirected_statement] = STATE(3686),
    [sym_for_statement] = STATE(3686),
    [sym_c_style_for_statement] = STATE(3686),
    [sym_while_statement] = STATE(3534),
    [sym_if_statement] = STATE(3534),
    [sym_case_statement] = STATE(3686),
    [sym_function_definition] = STATE(3686),
    [sym_compound_statement] = STATE(3686),
    [sym_subshell] = STATE(3686),
    [sym_pipeline] = STATE(3686),
    [sym_list] = STATE(3686),
    [sym_negated_command] = STATE(3686),
    [sym_test_command] = STATE(3686),
    [sym_declaration_command] = STATE(3686),
    [sym_unset_command] = STATE(3686),
    [sym_command] = STATE(3686),
    [sym_command_name] = STATE(429),
    [sym_variable_assignment] = STATE(709),
    [sym_variable_assignments] = STATE(3686),
    [sym_subscript] = STATE(5364),
    [sym_file_redirect] = STATE(1535),
    [sym_herestring_redirect] = STATE(1455),
    [sym_arithmetic_expansion] = STATE(707),
    [sym_brace_expression] = STATE(707),
    [sym_concatenation] = STATE(1025),
    [sym_string] = STATE(707),
    [sym_translated_string] = STATE(707),
    [sym_number] = STATE(707),
    [sym_simple_expansion] = STATE(707),
    [sym_expansion] = STATE(707),
    [sym_command_substitution] = STATE(707),
    [sym_process_substitution] = STATE(707),
    [aux_sym__statements_repeat1] = STATE(325),
    [aux_sym_redirected_statement_repeat2] = STATE(3795),
    [aux_sym_command_repeat1] = STATE(790),
    [aux_sym__literal_repeat1] = STATE(885),
    [sym_word] = ACTIONS(651),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_GT_GT] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(721),
    [anon_sym_SEMI_AMP] = ACTIONS(507),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(509),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(665),
    [anon_sym_typeset] = ACTIONS(665),
    [anon_sym_export] = ACTIONS(665),
    [anon_sym_readonly] = ACTIONS(665),
    [anon_sym_local] = ACTIONS(665),
    [anon_sym_unset] = ACTIONS(667),
    [anon_sym_unsetenv] = ACTIONS(667),
    [anon_sym_AMP_GT] = ACTIONS(655),
    [anon_sym_AMP_GT_GT] = ACTIONS(657),
    [anon_sym_LT_AMP] = ACTIONS(655),
    [anon_sym_GT_AMP] = ACTIONS(655),
    [anon_sym_GT_PIPE] = ACTIONS(657),
    [anon_sym_LT_AMP_DASH] = ACTIONS(669),
    [anon_sym_GT_AMP_DASH] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(673),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [sym__special_character] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_raw_string] = ACTIONS(683),
    [sym_ansi_c_string] = ACTIONS(683),
    [aux_sym_number_token1] = ACTIONS(685),
    [aux_sym_number_token2] = ACTIONS(687),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(689),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(695),
    [anon_sym_LT_LPAREN] = ACTIONS(697),
    [anon_sym_GT_LPAREN] = ACTIONS(697),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(699),
    [sym_variable_name] = ACTIONS(701),
    [sym_test_operator] = ACTIONS(703),
    [sym__brace_start] = ACTIONS(705),
  },
  [37] = {
    [sym__statements] = STATE(5274),
    [sym_redirected_statement] = STATE(3686),
    [sym_for_statement] = STATE(3686),
    [sym_c_style_for_statement] = STATE(3686),
    [sym_while_statement] = STATE(3534),
    [sym_if_statement] = STATE(3534),
    [sym_case_statement] = STATE(3686),
    [sym_function_definition] = STATE(3686),
    [sym_compound_statement] = STATE(3686),
    [sym_subshell] = STATE(3686),
    [sym_pipeline] = STATE(3686),
    [sym_list] = STATE(3686),
    [sym_negated_command] = STATE(3686),
    [sym_test_command] = STATE(3686),
    [sym_declaration_command] = STATE(3686),
    [sym_unset_command] = STATE(3686),
    [sym_command] = STATE(3686),
    [sym_command_name] = STATE(429),
    [sym_variable_assignment] = STATE(709),
    [sym_variable_assignments] = STATE(3686),
    [sym_subscript] = STATE(5364),
    [sym_file_redirect] = STATE(1535),
    [sym_herestring_redirect] = STATE(1455),
    [sym_arithmetic_expansion] = STATE(707),
    [sym_brace_expression] = STATE(707),
    [sym_concatenation] = STATE(1025),
    [sym_string] = STATE(707),
    [sym_translated_string] = STATE(707),
    [sym_number] = STATE(707),
    [sym_simple_expansion] = STATE(707),
    [sym_expansion] = STATE(707),
    [sym_command_substitution] = STATE(707),
    [sym_process_substitution] = STATE(707),
    [aux_sym__statements_repeat1] = STATE(325),
    [aux_sym_redirected_statement_repeat2] = STATE(3795),
    [aux_sym_command_repeat1] = STATE(790),
    [aux_sym__literal_repeat1] = STATE(885),
    [sym_word] = ACTIONS(651),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_GT_GT] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(723),
    [anon_sym_SEMI_AMP] = ACTIONS(643),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(643),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(665),
    [anon_sym_typeset] = ACTIONS(665),
    [anon_sym_export] = ACTIONS(665),
    [anon_sym_readonly] = ACTIONS(665),
    [anon_sym_local] = ACTIONS(665),
    [anon_sym_unset] = ACTIONS(667),
    [anon_sym_unsetenv] = ACTIONS(667),
    [anon_sym_AMP_GT] = ACTIONS(655),
    [anon_sym_AMP_GT_GT] = ACTIONS(657),
    [anon_sym_LT_AMP] = ACTIONS(655),
    [anon_sym_GT_AMP] = ACTIONS(655),
    [anon_sym_GT_PIPE] = ACTIONS(657),
    [anon_sym_LT_AMP_DASH] = ACTIONS(669),
    [anon_sym_GT_AMP_DASH] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(673),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [sym__special_character] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_raw_string] = ACTIONS(683),
    [sym_ansi_c_string] = ACTIONS(683),
    [aux_sym_number_token1] = ACTIONS(685),
    [aux_sym_number_token2] = ACTIONS(687),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(689),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(695),
    [anon_sym_LT_LPAREN] = ACTIONS(697),
    [anon_sym_GT_LPAREN] = ACTIONS(697),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(699),
    [sym_variable_name] = ACTIONS(701),
    [sym_test_operator] = ACTIONS(703),
    [sym__brace_start] = ACTIONS(705),
  },
  [38] = {
    [sym__statements] = STATE(5248),
    [sym_redirected_statement] = STATE(3686),
    [sym_for_statement] = STATE(3686),
    [sym_c_style_for_statement] = STATE(3686),
    [sym_while_statement] = STATE(3534),
    [sym_if_statement] = STATE(3534),
    [sym_case_statement] = STATE(3686),
    [sym_function_definition] = STATE(3686),
    [sym_compound_statement] = STATE(3686),
    [sym_subshell] = STATE(3686),
    [sym_pipeline] = STATE(3686),
    [sym_list] = STATE(3686),
    [sym_negated_command] = STATE(3686),
    [sym_test_command] = STATE(3686),
    [sym_declaration_command] = STATE(3686),
    [sym_unset_command] = STATE(3686),
    [sym_command] = STATE(3686),
    [sym_command_name] = STATE(429),
    [sym_variable_assignment] = STATE(709),
    [sym_variable_assignments] = STATE(3686),
    [sym_subscript] = STATE(5364),
    [sym_file_redirect] = STATE(1535),
    [sym_herestring_redirect] = STATE(1455),
    [sym_arithmetic_expansion] = STATE(707),
    [sym_brace_expression] = STATE(707),
    [sym_concatenation] = STATE(1025),
    [sym_string] = STATE(707),
    [sym_translated_string] = STATE(707),
    [sym_number] = STATE(707),
    [sym_simple_expansion] = STATE(707),
    [sym_expansion] = STATE(707),
    [sym_command_substitution] = STATE(707),
    [sym_process_substitution] = STATE(707),
    [aux_sym__statements_repeat1] = STATE(325),
    [aux_sym_redirected_statement_repeat2] = STATE(3795),
    [aux_sym_command_repeat1] = STATE(790),
    [aux_sym__literal_repeat1] = STATE(885),
    [sym_word] = ACTIONS(651),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_GT_GT] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(725),
    [anon_sym_SEMI_AMP] = ACTIONS(473),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(473),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(665),
    [anon_sym_typeset] = ACTIONS(665),
    [anon_sym_export] = ACTIONS(665),
    [anon_sym_readonly] = ACTIONS(665),
    [anon_sym_local] = ACTIONS(665),
    [anon_sym_unset] = ACTIONS(667),
    [anon_sym_unsetenv] = ACTIONS(667),
    [anon_sym_AMP_GT] = ACTIONS(655),
    [anon_sym_AMP_GT_GT] = ACTIONS(657),
    [anon_sym_LT_AMP] = ACTIONS(655),
    [anon_sym_GT_AMP] = ACTIONS(655),
    [anon_sym_GT_PIPE] = ACTIONS(657),
    [anon_sym_LT_AMP_DASH] = ACTIONS(669),
    [anon_sym_GT_AMP_DASH] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(673),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [sym__special_character] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_raw_string] = ACTIONS(683),
    [sym_ansi_c_string] = ACTIONS(683),
    [aux_sym_number_token1] = ACTIONS(685),
    [aux_sym_number_token2] = ACTIONS(687),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(689),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(695),
    [anon_sym_LT_LPAREN] = ACTIONS(697),
    [anon_sym_GT_LPAREN] = ACTIONS(697),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(699),
    [sym_variable_name] = ACTIONS(701),
    [sym_test_operator] = ACTIONS(703),
    [sym__brace_start] = ACTIONS(705),
  },
  [39] = {
    [sym__statements] = STATE(5247),
    [sym_redirected_statement] = STATE(3686),
    [sym_for_statement] = STATE(3686),
    [sym_c_style_for_statement] = STATE(3686),
    [sym_while_statement] = STATE(3534),
    [sym_if_statement] = STATE(3534),
    [sym_case_statement] = STATE(3686),
    [sym_function_definition] = STATE(3686),
    [sym_compound_statement] = STATE(3686),
    [sym_subshell] = STATE(3686),
    [sym_pipeline] = STATE(3686),
    [sym_list] = STATE(3686),
    [sym_negated_command] = STATE(3686),
    [sym_test_command] = STATE(3686),
    [sym_declaration_command] = STATE(3686),
    [sym_unset_command] = STATE(3686),
    [sym_command] = STATE(3686),
    [sym_command_name] = STATE(429),
    [sym_variable_assignment] = STATE(709),
    [sym_variable_assignments] = STATE(3686),
    [sym_subscript] = STATE(5364),
    [sym_file_redirect] = STATE(1535),
    [sym_herestring_redirect] = STATE(1455),
    [sym_arithmetic_expansion] = STATE(707),
    [sym_brace_expression] = STATE(707),
    [sym_concatenation] = STATE(1025),
    [sym_string] = STATE(707),
    [sym_translated_string] = STATE(707),
    [sym_number] = STATE(707),
    [sym_simple_expansion] = STATE(707),
    [sym_expansion] = STATE(707),
    [sym_command_substitution] = STATE(707),
    [sym_process_substitution] = STATE(707),
    [aux_sym__statements_repeat1] = STATE(325),
    [aux_sym_redirected_statement_repeat2] = STATE(3795),
    [aux_sym_command_repeat1] = STATE(790),
    [aux_sym__literal_repeat1] = STATE(885),
    [sym_word] = ACTIONS(651),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_GT_GT] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(727),
    [anon_sym_SEMI_AMP] = ACTIONS(413),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(665),
    [anon_sym_typeset] = ACTIONS(665),
    [anon_sym_export] = ACTIONS(665),
    [anon_sym_readonly] = ACTIONS(665),
    [anon_sym_local] = ACTIONS(665),
    [anon_sym_unset] = ACTIONS(667),
    [anon_sym_unsetenv] = ACTIONS(667),
    [anon_sym_AMP_GT] = ACTIONS(655),
    [anon_sym_AMP_GT_GT] = ACTIONS(657),
    [anon_sym_LT_AMP] = ACTIONS(655),
    [anon_sym_GT_AMP] = ACTIONS(655),
    [anon_sym_GT_PIPE] = ACTIONS(657),
    [anon_sym_LT_AMP_DASH] = ACTIONS(669),
    [anon_sym_GT_AMP_DASH] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(673),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [sym__special_character] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_raw_string] = ACTIONS(683),
    [sym_ansi_c_string] = ACTIONS(683),
    [aux_sym_number_token1] = ACTIONS(685),
    [aux_sym_number_token2] = ACTIONS(687),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(689),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(695),
    [anon_sym_LT_LPAREN] = ACTIONS(697),
    [anon_sym_GT_LPAREN] = ACTIONS(697),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(699),
    [sym_variable_name] = ACTIONS(701),
    [sym_test_operator] = ACTIONS(703),
    [sym__brace_start] = ACTIONS(705),
  },
  [40] = {
    [aux_sym__terminated_statement] = STATE(41),
    [sym_redirected_statement] = STATE(4031),
    [sym_for_statement] = STATE(4031),
    [sym_c_style_for_statement] = STATE(4031),
    [sym_while_statement] = STATE(3724),
    [sym_if_statement] = STATE(3724),
    [sym_case_statement] = STATE(4031),
    [sym_function_definition] = STATE(4031),
    [sym_compound_statement] = STATE(4031),
    [sym_subshell] = STATE(4031),
    [sym_pipeline] = STATE(4031),
    [sym_list] = STATE(4031),
    [sym_negated_command] = STATE(4031),
    [sym_test_command] = STATE(4031),
    [sym_declaration_command] = STATE(4031),
    [sym_unset_command] = STATE(4031),
    [sym_command] = STATE(4031),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(895),
    [sym_variable_assignments] = STATE(4031),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_fi] = ACTIONS(729),
    [anon_sym_elif] = ACTIONS(729),
    [anon_sym_else] = ACTIONS(729),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [41] = {
    [aux_sym__terminated_statement] = STATE(23),
    [sym_redirected_statement] = STATE(4031),
    [sym_for_statement] = STATE(4031),
    [sym_c_style_for_statement] = STATE(4031),
    [sym_while_statement] = STATE(3724),
    [sym_if_statement] = STATE(3724),
    [sym_case_statement] = STATE(4031),
    [sym_function_definition] = STATE(4031),
    [sym_compound_statement] = STATE(4031),
    [sym_subshell] = STATE(4031),
    [sym_pipeline] = STATE(4031),
    [sym_list] = STATE(4031),
    [sym_negated_command] = STATE(4031),
    [sym_test_command] = STATE(4031),
    [sym_declaration_command] = STATE(4031),
    [sym_unset_command] = STATE(4031),
    [sym_command] = STATE(4031),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(895),
    [sym_variable_assignments] = STATE(4031),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_fi] = ACTIONS(731),
    [anon_sym_elif] = ACTIONS(731),
    [anon_sym_else] = ACTIONS(731),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [42] = {
    [sym__statements] = STATE(5943),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_RPAREN] = ACTIONS(735),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [43] = {
    [sym__statements] = STATE(5943),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_RPAREN] = ACTIONS(745),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [44] = {
    [aux_sym__terminated_statement] = STATE(23),
    [sym_redirected_statement] = STATE(4031),
    [sym_for_statement] = STATE(4031),
    [sym_c_style_for_statement] = STATE(4031),
    [sym_while_statement] = STATE(3724),
    [sym_do_group] = STATE(4412),
    [sym_if_statement] = STATE(3724),
    [sym_case_statement] = STATE(4031),
    [sym_function_definition] = STATE(4031),
    [sym_compound_statement] = STATE(4031),
    [sym_subshell] = STATE(4031),
    [sym_pipeline] = STATE(4031),
    [sym_list] = STATE(4031),
    [sym_negated_command] = STATE(4031),
    [sym_test_command] = STATE(4031),
    [sym_declaration_command] = STATE(4031),
    [sym_unset_command] = STATE(4031),
    [sym_command] = STATE(4031),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(895),
    [sym_variable_assignments] = STATE(4031),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(747),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [45] = {
    [sym__statements] = STATE(5984),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_RPAREN] = ACTIONS(749),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [46] = {
    [sym__statements] = STATE(5943),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_RPAREN] = ACTIONS(751),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [47] = {
    [aux_sym__terminated_statement] = STATE(23),
    [sym_redirected_statement] = STATE(4031),
    [sym_for_statement] = STATE(4031),
    [sym_c_style_for_statement] = STATE(4031),
    [sym_while_statement] = STATE(3724),
    [sym_do_group] = STATE(3865),
    [sym_if_statement] = STATE(3724),
    [sym_case_statement] = STATE(4031),
    [sym_function_definition] = STATE(4031),
    [sym_compound_statement] = STATE(4031),
    [sym_subshell] = STATE(4031),
    [sym_pipeline] = STATE(4031),
    [sym_list] = STATE(4031),
    [sym_negated_command] = STATE(4031),
    [sym_test_command] = STATE(4031),
    [sym_declaration_command] = STATE(4031),
    [sym_unset_command] = STATE(4031),
    [sym_command] = STATE(4031),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(895),
    [sym_variable_assignments] = STATE(4031),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [48] = {
    [aux_sym__terminated_statement] = STATE(23),
    [sym_redirected_statement] = STATE(4031),
    [sym_for_statement] = STATE(4031),
    [sym_c_style_for_statement] = STATE(4031),
    [sym_while_statement] = STATE(3724),
    [sym_do_group] = STATE(3858),
    [sym_if_statement] = STATE(3724),
    [sym_case_statement] = STATE(4031),
    [sym_function_definition] = STATE(4031),
    [sym_compound_statement] = STATE(4031),
    [sym_subshell] = STATE(4031),
    [sym_pipeline] = STATE(4031),
    [sym_list] = STATE(4031),
    [sym_negated_command] = STATE(4031),
    [sym_test_command] = STATE(4031),
    [sym_declaration_command] = STATE(4031),
    [sym_unset_command] = STATE(4031),
    [sym_command] = STATE(4031),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(895),
    [sym_variable_assignments] = STATE(4031),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(755),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [49] = {
    [sym__statements] = STATE(5996),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_RPAREN] = ACTIONS(757),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [50] = {
    [sym__statements] = STATE(5984),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_RPAREN] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [51] = {
    [sym__statements] = STATE(5943),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_RPAREN] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [52] = {
    [sym__statements] = STATE(5943),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_RPAREN] = ACTIONS(763),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [53] = {
    [sym__statements] = STATE(5762),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1742),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [54] = {
    [sym__statements] = STATE(5567),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [55] = {
    [sym__statements] = STATE(5835),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [56] = {
    [sym__statements] = STATE(5719),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [57] = {
    [sym__statements] = STATE(5718),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [58] = {
    [sym__statements] = STATE(5715),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1756),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [59] = {
    [sym__statements] = STATE(5714),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [60] = {
    [sym__statements] = STATE(5713),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [61] = {
    [sym__statements] = STATE(5834),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [62] = {
    [aux_sym__terminated_statement] = STATE(76),
    [sym_redirected_statement] = STATE(3988),
    [sym_for_statement] = STATE(3988),
    [sym_c_style_for_statement] = STATE(3988),
    [sym_while_statement] = STATE(3666),
    [sym_if_statement] = STATE(3666),
    [sym_case_statement] = STATE(3988),
    [sym_function_definition] = STATE(3988),
    [sym_compound_statement] = STATE(3988),
    [sym_subshell] = STATE(3988),
    [sym_pipeline] = STATE(3988),
    [sym_list] = STATE(3988),
    [sym_negated_command] = STATE(3988),
    [sym_test_command] = STATE(3988),
    [sym_declaration_command] = STATE(3988),
    [sym_unset_command] = STATE(3988),
    [sym_command] = STATE(3988),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(941),
    [sym_variable_assignments] = STATE(3988),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [63] = {
    [sym__statements] = STATE(5833),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [64] = {
    [sym__statements] = STATE(5830),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1713),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [65] = {
    [sym__statements] = STATE(5711),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [66] = {
    [sym__statements] = STATE(5829),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [67] = {
    [sym__statements] = STATE(5828),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [68] = {
    [aux_sym__terminated_statement] = STATE(23),
    [sym_redirected_statement] = STATE(4031),
    [sym_for_statement] = STATE(4031),
    [sym_c_style_for_statement] = STATE(4031),
    [sym_while_statement] = STATE(3724),
    [sym_if_statement] = STATE(3724),
    [sym_case_statement] = STATE(4031),
    [sym_function_definition] = STATE(4031),
    [sym_compound_statement] = STATE(4031),
    [sym_subshell] = STATE(4031),
    [sym_pipeline] = STATE(4031),
    [sym_list] = STATE(4031),
    [sym_negated_command] = STATE(4031),
    [sym_test_command] = STATE(4031),
    [sym_declaration_command] = STATE(4031),
    [sym_unset_command] = STATE(4031),
    [sym_command] = STATE(4031),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(895),
    [sym_variable_assignments] = STATE(4031),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_fi] = ACTIONS(777),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [69] = {
    [aux_sym__terminated_statement] = STATE(23),
    [sym_redirected_statement] = STATE(4031),
    [sym_for_statement] = STATE(4031),
    [sym_c_style_for_statement] = STATE(4031),
    [sym_while_statement] = STATE(3724),
    [sym_if_statement] = STATE(3724),
    [sym_case_statement] = STATE(4031),
    [sym_function_definition] = STATE(4031),
    [sym_compound_statement] = STATE(4031),
    [sym_subshell] = STATE(4031),
    [sym_pipeline] = STATE(4031),
    [sym_list] = STATE(4031),
    [sym_negated_command] = STATE(4031),
    [sym_test_command] = STATE(4031),
    [sym_declaration_command] = STATE(4031),
    [sym_unset_command] = STATE(4031),
    [sym_command] = STATE(4031),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(895),
    [sym_variable_assignments] = STATE(4031),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_then] = ACTIONS(779),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [70] = {
    [sym__statements] = STATE(5708),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1758),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [71] = {
    [sym__statements] = STATE(5827),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [72] = {
    [sym__statements] = STATE(5707),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [73] = {
    [sym__statements] = STATE(5706),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [74] = {
    [sym__statements] = STATE(5704),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [75] = {
    [sym__statements] = STATE(5701),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1765),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [76] = {
    [aux_sym__terminated_statement] = STATE(106),
    [sym_redirected_statement] = STATE(3988),
    [sym_for_statement] = STATE(3988),
    [sym_c_style_for_statement] = STATE(3988),
    [sym_while_statement] = STATE(3666),
    [sym_if_statement] = STATE(3666),
    [sym_case_statement] = STATE(3988),
    [sym_function_definition] = STATE(3988),
    [sym_compound_statement] = STATE(3988),
    [sym_subshell] = STATE(3988),
    [sym_pipeline] = STATE(3988),
    [sym_list] = STATE(3988),
    [sym_negated_command] = STATE(3988),
    [sym_test_command] = STATE(3988),
    [sym_declaration_command] = STATE(3988),
    [sym_unset_command] = STATE(3988),
    [sym_command] = STATE(3988),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(941),
    [sym_variable_assignments] = STATE(3988),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(781),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [77] = {
    [sym__statements] = STATE(5700),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [78] = {
    [sym__statements] = STATE(5699),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [79] = {
    [sym__statements] = STATE(5697),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [80] = {
    [sym__statements] = STATE(5693),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1769),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [81] = {
    [sym__statements] = STATE(5824),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1717),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [82] = {
    [sym__statements] = STATE(5692),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [83] = {
    [sym__statements] = STATE(5690),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [84] = {
    [sym__statements] = STATE(5689),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [85] = {
    [sym__statements] = STATE(5686),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1772),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [86] = {
    [aux_sym__terminated_statement] = STATE(92),
    [sym_redirected_statement] = STATE(3959),
    [sym_for_statement] = STATE(3959),
    [sym_c_style_for_statement] = STATE(3959),
    [sym_while_statement] = STATE(3636),
    [sym_if_statement] = STATE(3636),
    [sym_case_statement] = STATE(3959),
    [sym_function_definition] = STATE(3959),
    [sym_compound_statement] = STATE(3959),
    [sym_subshell] = STATE(3959),
    [sym_pipeline] = STATE(3959),
    [sym_list] = STATE(3959),
    [sym_negated_command] = STATE(3959),
    [sym_test_command] = STATE(3959),
    [sym_declaration_command] = STATE(3959),
    [sym_unset_command] = STATE(3959),
    [sym_command] = STATE(3959),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(919),
    [sym_variable_assignments] = STATE(3959),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_done] = ACTIONS(783),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [87] = {
    [sym__statements] = STATE(5685),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [88] = {
    [sym__statements] = STATE(5683),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [89] = {
    [sym__statements] = STATE(5681),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [90] = {
    [sym__statements] = STATE(5678),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1774),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [91] = {
    [sym__statements] = STATE(5676),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [92] = {
    [aux_sym__terminated_statement] = STATE(113),
    [sym_redirected_statement] = STATE(3959),
    [sym_for_statement] = STATE(3959),
    [sym_c_style_for_statement] = STATE(3959),
    [sym_while_statement] = STATE(3636),
    [sym_if_statement] = STATE(3636),
    [sym_case_statement] = STATE(3959),
    [sym_function_definition] = STATE(3959),
    [sym_compound_statement] = STATE(3959),
    [sym_subshell] = STATE(3959),
    [sym_pipeline] = STATE(3959),
    [sym_list] = STATE(3959),
    [sym_negated_command] = STATE(3959),
    [sym_test_command] = STATE(3959),
    [sym_declaration_command] = STATE(3959),
    [sym_unset_command] = STATE(3959),
    [sym_command] = STATE(3959),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(919),
    [sym_variable_assignments] = STATE(3959),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_done] = ACTIONS(785),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [93] = {
    [aux_sym__terminated_statement] = STATE(23),
    [sym_redirected_statement] = STATE(4031),
    [sym_for_statement] = STATE(4031),
    [sym_c_style_for_statement] = STATE(4031),
    [sym_while_statement] = STATE(3724),
    [sym_if_statement] = STATE(3724),
    [sym_case_statement] = STATE(4031),
    [sym_function_definition] = STATE(4031),
    [sym_compound_statement] = STATE(4031),
    [sym_subshell] = STATE(4031),
    [sym_pipeline] = STATE(4031),
    [sym_list] = STATE(4031),
    [sym_negated_command] = STATE(4031),
    [sym_test_command] = STATE(4031),
    [sym_declaration_command] = STATE(4031),
    [sym_unset_command] = STATE(4031),
    [sym_command] = STATE(4031),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(895),
    [sym_variable_assignments] = STATE(4031),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_then] = ACTIONS(787),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [94] = {
    [sym__statements] = STATE(5675),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [95] = {
    [sym__statements] = STATE(5673),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [96] = {
    [sym__statements] = STATE(5823),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [97] = {
    [sym__statements] = STATE(5877),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [98] = {
    [sym__statements] = STATE(5669),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1777),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [99] = {
    [aux_sym__terminated_statement] = STATE(106),
    [sym_redirected_statement] = STATE(3988),
    [sym_for_statement] = STATE(3988),
    [sym_c_style_for_statement] = STATE(3988),
    [sym_while_statement] = STATE(3666),
    [sym_if_statement] = STATE(3666),
    [sym_case_statement] = STATE(3988),
    [sym_function_definition] = STATE(3988),
    [sym_compound_statement] = STATE(3988),
    [sym_subshell] = STATE(3988),
    [sym_pipeline] = STATE(3988),
    [sym_list] = STATE(3988),
    [sym_negated_command] = STATE(3988),
    [sym_test_command] = STATE(3988),
    [sym_declaration_command] = STATE(3988),
    [sym_unset_command] = STATE(3988),
    [sym_command] = STATE(3988),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(941),
    [sym_variable_assignments] = STATE(3988),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(789),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [100] = {
    [sym__statements] = STATE(5822),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [101] = {
    [sym__statements] = STATE(5821),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [102] = {
    [sym__statements] = STATE(5668),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [103] = {
    [sym__statements] = STATE(5816),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1723),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [104] = {
    [sym__statements] = STATE(5667),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [105] = {
    [sym__statements] = STATE(5666),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [106] = {
    [aux_sym__terminated_statement] = STATE(106),
    [sym_redirected_statement] = STATE(3988),
    [sym_for_statement] = STATE(3988),
    [sym_c_style_for_statement] = STATE(3988),
    [sym_while_statement] = STATE(3666),
    [sym_if_statement] = STATE(3666),
    [sym_case_statement] = STATE(3988),
    [sym_function_definition] = STATE(3988),
    [sym_compound_statement] = STATE(3988),
    [sym_subshell] = STATE(3988),
    [sym_pipeline] = STATE(3988),
    [sym_list] = STATE(3988),
    [sym_negated_command] = STATE(3988),
    [sym_test_command] = STATE(3988),
    [sym_declaration_command] = STATE(3988),
    [sym_unset_command] = STATE(3988),
    [sym_command] = STATE(3988),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(941),
    [sym_variable_assignments] = STATE(3988),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(520),
    [anon_sym_select] = ACTIONS(523),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(526),
    [anon_sym_LT] = ACTIONS(529),
    [anon_sym_GT] = ACTIONS(529),
    [anon_sym_GT_GT] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(535),
    [anon_sym_while] = ACTIONS(538),
    [anon_sym_until] = ACTIONS(538),
    [anon_sym_if] = ACTIONS(543),
    [anon_sym_case] = ACTIONS(546),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_RBRACE] = ACTIONS(791),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(561),
    [anon_sym_declare] = ACTIONS(564),
    [anon_sym_typeset] = ACTIONS(564),
    [anon_sym_export] = ACTIONS(564),
    [anon_sym_readonly] = ACTIONS(564),
    [anon_sym_local] = ACTIONS(564),
    [anon_sym_unset] = ACTIONS(567),
    [anon_sym_unsetenv] = ACTIONS(567),
    [anon_sym_AMP_GT] = ACTIONS(529),
    [anon_sym_AMP_GT_GT] = ACTIONS(532),
    [anon_sym_LT_AMP] = ACTIONS(529),
    [anon_sym_GT_AMP] = ACTIONS(529),
    [anon_sym_GT_PIPE] = ACTIONS(532),
    [anon_sym_LT_AMP_DASH] = ACTIONS(570),
    [anon_sym_GT_AMP_DASH] = ACTIONS(570),
    [anon_sym_LT_LT_LT] = ACTIONS(573),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(576),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(579),
    [anon_sym_DOLLAR] = ACTIONS(582),
    [sym__special_character] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(588),
    [sym_raw_string] = ACTIONS(591),
    [sym_ansi_c_string] = ACTIONS(591),
    [aux_sym_number_token1] = ACTIONS(594),
    [aux_sym_number_token2] = ACTIONS(597),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(600),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(606),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(609),
    [anon_sym_LT_LPAREN] = ACTIONS(612),
    [anon_sym_GT_LPAREN] = ACTIONS(612),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(615),
    [sym_variable_name] = ACTIONS(618),
    [sym_test_operator] = ACTIONS(621),
    [sym__brace_start] = ACTIONS(624),
  },
  [107] = {
    [sym__statements] = STATE(5658),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1783),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [108] = {
    [sym__statements] = STATE(5657),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [109] = {
    [sym__statements] = STATE(5655),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [110] = {
    [sym__statements] = STATE(5654),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [111] = {
    [sym__statements] = STATE(5651),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1786),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [112] = {
    [sym__statements] = STATE(5650),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [113] = {
    [aux_sym__terminated_statement] = STATE(113),
    [sym_redirected_statement] = STATE(3959),
    [sym_for_statement] = STATE(3959),
    [sym_c_style_for_statement] = STATE(3959),
    [sym_while_statement] = STATE(3636),
    [sym_if_statement] = STATE(3636),
    [sym_case_statement] = STATE(3959),
    [sym_function_definition] = STATE(3959),
    [sym_compound_statement] = STATE(3959),
    [sym_subshell] = STATE(3959),
    [sym_pipeline] = STATE(3959),
    [sym_list] = STATE(3959),
    [sym_negated_command] = STATE(3959),
    [sym_test_command] = STATE(3959),
    [sym_declaration_command] = STATE(3959),
    [sym_unset_command] = STATE(3959),
    [sym_command] = STATE(3959),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(919),
    [sym_variable_assignments] = STATE(3959),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(517),
    [anon_sym_for] = ACTIONS(520),
    [anon_sym_select] = ACTIONS(523),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(526),
    [anon_sym_LT] = ACTIONS(529),
    [anon_sym_GT] = ACTIONS(529),
    [anon_sym_GT_GT] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(535),
    [anon_sym_while] = ACTIONS(538),
    [anon_sym_until] = ACTIONS(538),
    [anon_sym_done] = ACTIONS(541),
    [anon_sym_if] = ACTIONS(543),
    [anon_sym_case] = ACTIONS(546),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(561),
    [anon_sym_declare] = ACTIONS(564),
    [anon_sym_typeset] = ACTIONS(564),
    [anon_sym_export] = ACTIONS(564),
    [anon_sym_readonly] = ACTIONS(564),
    [anon_sym_local] = ACTIONS(564),
    [anon_sym_unset] = ACTIONS(567),
    [anon_sym_unsetenv] = ACTIONS(567),
    [anon_sym_AMP_GT] = ACTIONS(529),
    [anon_sym_AMP_GT_GT] = ACTIONS(532),
    [anon_sym_LT_AMP] = ACTIONS(529),
    [anon_sym_GT_AMP] = ACTIONS(529),
    [anon_sym_GT_PIPE] = ACTIONS(532),
    [anon_sym_LT_AMP_DASH] = ACTIONS(570),
    [anon_sym_GT_AMP_DASH] = ACTIONS(570),
    [anon_sym_LT_LT_LT] = ACTIONS(573),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(576),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(579),
    [anon_sym_DOLLAR] = ACTIONS(582),
    [sym__special_character] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(588),
    [sym_raw_string] = ACTIONS(591),
    [sym_ansi_c_string] = ACTIONS(591),
    [aux_sym_number_token1] = ACTIONS(594),
    [aux_sym_number_token2] = ACTIONS(597),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(600),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(606),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(609),
    [anon_sym_LT_LPAREN] = ACTIONS(612),
    [anon_sym_GT_LPAREN] = ACTIONS(612),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(615),
    [sym_variable_name] = ACTIONS(618),
    [sym_test_operator] = ACTIONS(621),
    [sym__brace_start] = ACTIONS(624),
  },
  [114] = {
    [sym__statements] = STATE(5648),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [115] = {
    [sym__statements] = STATE(5647),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [116] = {
    [sym__statements] = STATE(5860),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [117] = {
    [sym__statements] = STATE(5861),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [118] = {
    [sym__statements] = STATE(5862),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1681),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [119] = {
    [sym__statements] = STATE(5864),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [120] = {
    [sym__statements] = STATE(5643),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1788),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [121] = {
    [sym__statements] = STATE(5641),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [122] = {
    [sym__statements] = STATE(5865),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [123] = {
    [aux_sym__terminated_statement] = STATE(127),
    [sym_redirected_statement] = STATE(3988),
    [sym_for_statement] = STATE(3988),
    [sym_c_style_for_statement] = STATE(3988),
    [sym_while_statement] = STATE(3666),
    [sym_if_statement] = STATE(3666),
    [sym_case_statement] = STATE(3988),
    [sym_function_definition] = STATE(3988),
    [sym_compound_statement] = STATE(3988),
    [sym_subshell] = STATE(3988),
    [sym_pipeline] = STATE(3988),
    [sym_list] = STATE(3988),
    [sym_negated_command] = STATE(3988),
    [sym_test_command] = STATE(3988),
    [sym_declaration_command] = STATE(3988),
    [sym_unset_command] = STATE(3988),
    [sym_command] = STATE(3988),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(941),
    [sym_variable_assignments] = STATE(3988),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(793),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [124] = {
    [sym__statements] = STATE(5866),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [125] = {
    [sym__statements] = STATE(5867),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1679),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [126] = {
    [sym__statements] = STATE(5640),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [127] = {
    [aux_sym__terminated_statement] = STATE(106),
    [sym_redirected_statement] = STATE(3988),
    [sym_for_statement] = STATE(3988),
    [sym_c_style_for_statement] = STATE(3988),
    [sym_while_statement] = STATE(3666),
    [sym_if_statement] = STATE(3666),
    [sym_case_statement] = STATE(3988),
    [sym_function_definition] = STATE(3988),
    [sym_compound_statement] = STATE(3988),
    [sym_subshell] = STATE(3988),
    [sym_pipeline] = STATE(3988),
    [sym_list] = STATE(3988),
    [sym_negated_command] = STATE(3988),
    [sym_test_command] = STATE(3988),
    [sym_declaration_command] = STATE(3988),
    [sym_unset_command] = STATE(3988),
    [sym_command] = STATE(3988),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(941),
    [sym_variable_assignments] = STATE(3988),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(795),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [128] = {
    [sym__statements] = STATE(5638),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [129] = {
    [sym__statements] = STATE(5838),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1684),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [130] = {
    [aux_sym__terminated_statement] = STATE(68),
    [sym_redirected_statement] = STATE(4031),
    [sym_for_statement] = STATE(4031),
    [sym_c_style_for_statement] = STATE(4031),
    [sym_while_statement] = STATE(3724),
    [sym_if_statement] = STATE(3724),
    [sym_case_statement] = STATE(4031),
    [sym_function_definition] = STATE(4031),
    [sym_compound_statement] = STATE(4031),
    [sym_subshell] = STATE(4031),
    [sym_pipeline] = STATE(4031),
    [sym_list] = STATE(4031),
    [sym_negated_command] = STATE(4031),
    [sym_test_command] = STATE(4031),
    [sym_declaration_command] = STATE(4031),
    [sym_unset_command] = STATE(4031),
    [sym_command] = STATE(4031),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(895),
    [sym_variable_assignments] = STATE(4031),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_fi] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [131] = {
    [sym__statements] = STATE(5630),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1790),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [132] = {
    [aux_sym__terminated_statement] = STATE(113),
    [sym_redirected_statement] = STATE(3959),
    [sym_for_statement] = STATE(3959),
    [sym_c_style_for_statement] = STATE(3959),
    [sym_while_statement] = STATE(3636),
    [sym_if_statement] = STATE(3636),
    [sym_case_statement] = STATE(3959),
    [sym_function_definition] = STATE(3959),
    [sym_compound_statement] = STATE(3959),
    [sym_subshell] = STATE(3959),
    [sym_pipeline] = STATE(3959),
    [sym_list] = STATE(3959),
    [sym_negated_command] = STATE(3959),
    [sym_test_command] = STATE(3959),
    [sym_declaration_command] = STATE(3959),
    [sym_unset_command] = STATE(3959),
    [sym_command] = STATE(3959),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(919),
    [sym_variable_assignments] = STATE(3959),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_done] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [133] = {
    [sym__statements] = STATE(5815),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [134] = {
    [sym__statements] = STATE(5814),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [135] = {
    [sym__statements] = STATE(5813),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [136] = {
    [sym__statements] = STATE(5623),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [137] = {
    [sym__statements] = STATE(5622),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [138] = {
    [sym__statements] = STATE(5878),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [139] = {
    [sym__statements] = STATE(5616),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [140] = {
    [sym__statements] = STATE(5879),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [141] = {
    [sym__statements] = STATE(5881),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1675),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [142] = {
    [sym__statements] = STATE(5885),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [143] = {
    [sym__statements] = STATE(5886),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [144] = {
    [sym__statements] = STATE(5810),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1725),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [145] = {
    [sym__statements] = STATE(5859),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [146] = {
    [sym__statements] = STATE(5809),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [147] = {
    [sym__statements] = STATE(5887),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [148] = {
    [sym__statements] = STATE(5889),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1673),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [149] = {
    [sym__statements] = STATE(5896),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [150] = {
    [aux_sym__terminated_statement] = STATE(170),
    [sym_redirected_statement] = STATE(3959),
    [sym_for_statement] = STATE(3959),
    [sym_c_style_for_statement] = STATE(3959),
    [sym_while_statement] = STATE(3636),
    [sym_if_statement] = STATE(3636),
    [sym_case_statement] = STATE(3959),
    [sym_function_definition] = STATE(3959),
    [sym_compound_statement] = STATE(3959),
    [sym_subshell] = STATE(3959),
    [sym_pipeline] = STATE(3959),
    [sym_list] = STATE(3959),
    [sym_negated_command] = STATE(3959),
    [sym_test_command] = STATE(3959),
    [sym_declaration_command] = STATE(3959),
    [sym_unset_command] = STATE(3959),
    [sym_command] = STATE(3959),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(919),
    [sym_variable_assignments] = STATE(3959),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_done] = ACTIONS(801),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [151] = {
    [sym__statements] = STATE(5808),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [152] = {
    [sym__statements] = STATE(5807),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [153] = {
    [sym__statements] = STATE(5897),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [154] = {
    [sym__statements] = STATE(5900),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [155] = {
    [sym__statements] = STATE(5901),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1669),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [156] = {
    [sym__statements] = STATE(5910),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [157] = {
    [sym__statements] = STATE(5804),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1731),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [158] = {
    [sym__statements] = STATE(5803),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [159] = {
    [sym__statements] = STATE(5802),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [160] = {
    [sym__statements] = STATE(5870),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [161] = {
    [sym__statements] = STATE(5912),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [162] = {
    [sym__statements] = STATE(5871),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [163] = {
    [sym__statements] = STATE(5913),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [164] = {
    [sym__statements] = STATE(5914),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1667),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [165] = {
    [sym__statements] = STATE(5917),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [166] = {
    [sym__statements] = STATE(5918),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [167] = {
    [sym__statements] = STATE(5801),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [168] = {
    [sym__statements] = STATE(5798),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1735),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [169] = {
    [sym__statements] = STATE(5919),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [170] = {
    [aux_sym__terminated_statement] = STATE(113),
    [sym_redirected_statement] = STATE(3959),
    [sym_for_statement] = STATE(3959),
    [sym_c_style_for_statement] = STATE(3959),
    [sym_while_statement] = STATE(3636),
    [sym_if_statement] = STATE(3636),
    [sym_case_statement] = STATE(3959),
    [sym_function_definition] = STATE(3959),
    [sym_compound_statement] = STATE(3959),
    [sym_subshell] = STATE(3959),
    [sym_pipeline] = STATE(3959),
    [sym_list] = STATE(3959),
    [sym_negated_command] = STATE(3959),
    [sym_test_command] = STATE(3959),
    [sym_declaration_command] = STATE(3959),
    [sym_unset_command] = STATE(3959),
    [sym_command] = STATE(3959),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(919),
    [sym_variable_assignments] = STATE(3959),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_done] = ACTIONS(803),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [171] = {
    [sym__statements] = STATE(5920),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1665),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [172] = {
    [sym__statements] = STATE(5797),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [173] = {
    [sym__statements] = STATE(5796),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [174] = {
    [sym__statements] = STATE(5923),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [175] = {
    [sym__statements] = STATE(5876),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [176] = {
    [sym__statements] = STATE(5925),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [177] = {
    [aux_sym__terminated_statement] = STATE(179),
    [sym_redirected_statement] = STATE(3959),
    [sym_for_statement] = STATE(3959),
    [sym_c_style_for_statement] = STATE(3959),
    [sym_while_statement] = STATE(3636),
    [sym_if_statement] = STATE(3636),
    [sym_case_statement] = STATE(3959),
    [sym_function_definition] = STATE(3959),
    [sym_compound_statement] = STATE(3959),
    [sym_subshell] = STATE(3959),
    [sym_pipeline] = STATE(3959),
    [sym_list] = STATE(3959),
    [sym_negated_command] = STATE(3959),
    [sym_test_command] = STATE(3959),
    [sym_declaration_command] = STATE(3959),
    [sym_unset_command] = STATE(3959),
    [sym_command] = STATE(3959),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(919),
    [sym_variable_assignments] = STATE(3959),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_done] = ACTIONS(805),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [178] = {
    [sym__statements] = STATE(5926),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1662),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [179] = {
    [aux_sym__terminated_statement] = STATE(113),
    [sym_redirected_statement] = STATE(3959),
    [sym_for_statement] = STATE(3959),
    [sym_c_style_for_statement] = STATE(3959),
    [sym_while_statement] = STATE(3636),
    [sym_if_statement] = STATE(3636),
    [sym_case_statement] = STATE(3959),
    [sym_function_definition] = STATE(3959),
    [sym_compound_statement] = STATE(3959),
    [sym_subshell] = STATE(3959),
    [sym_pipeline] = STATE(3959),
    [sym_list] = STATE(3959),
    [sym_negated_command] = STATE(3959),
    [sym_test_command] = STATE(3959),
    [sym_declaration_command] = STATE(3959),
    [sym_unset_command] = STATE(3959),
    [sym_command] = STATE(3959),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(919),
    [sym_variable_assignments] = STATE(3959),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_done] = ACTIONS(807),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [180] = {
    [sym__statements] = STATE(5929),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [181] = {
    [sym__statements] = STATE(5609),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1792),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [182] = {
    [sym__statements] = STATE(5854),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [183] = {
    [sym__statements] = STATE(5839),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [184] = {
    [sym__statements] = STATE(5608),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [185] = {
    [sym__statements] = STATE(5603),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [186] = {
    [sym__statements] = STATE(5602),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [187] = {
    [sym__statements] = STATE(5594),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1794),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [188] = {
    [sym__statements] = STATE(5588),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [189] = {
    [sym__statements] = STATE(5905),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [190] = {
    [sym__statements] = STATE(5906),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [191] = {
    [sym__statements] = STATE(5587),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [192] = {
    [sym__statements] = STATE(5585),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [193] = {
    [sym__statements] = STATE(5582),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1796),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [194] = {
    [aux_sym__terminated_statement] = STATE(195),
    [sym_redirected_statement] = STATE(3959),
    [sym_for_statement] = STATE(3959),
    [sym_c_style_for_statement] = STATE(3959),
    [sym_while_statement] = STATE(3636),
    [sym_if_statement] = STATE(3636),
    [sym_case_statement] = STATE(3959),
    [sym_function_definition] = STATE(3959),
    [sym_compound_statement] = STATE(3959),
    [sym_subshell] = STATE(3959),
    [sym_pipeline] = STATE(3959),
    [sym_list] = STATE(3959),
    [sym_negated_command] = STATE(3959),
    [sym_test_command] = STATE(3959),
    [sym_declaration_command] = STATE(3959),
    [sym_unset_command] = STATE(3959),
    [sym_command] = STATE(3959),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(919),
    [sym_variable_assignments] = STATE(3959),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_done] = ACTIONS(809),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [195] = {
    [aux_sym__terminated_statement] = STATE(113),
    [sym_redirected_statement] = STATE(3959),
    [sym_for_statement] = STATE(3959),
    [sym_c_style_for_statement] = STATE(3959),
    [sym_while_statement] = STATE(3636),
    [sym_if_statement] = STATE(3636),
    [sym_case_statement] = STATE(3959),
    [sym_function_definition] = STATE(3959),
    [sym_compound_statement] = STATE(3959),
    [sym_subshell] = STATE(3959),
    [sym_pipeline] = STATE(3959),
    [sym_list] = STATE(3959),
    [sym_negated_command] = STATE(3959),
    [sym_test_command] = STATE(3959),
    [sym_declaration_command] = STATE(3959),
    [sym_unset_command] = STATE(3959),
    [sym_command] = STATE(3959),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(919),
    [sym_variable_assignments] = STATE(3959),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_done] = ACTIONS(811),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [196] = {
    [sym__statements] = STATE(5580),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [197] = {
    [aux_sym__terminated_statement] = STATE(200),
    [sym_redirected_statement] = STATE(3959),
    [sym_for_statement] = STATE(3959),
    [sym_c_style_for_statement] = STATE(3959),
    [sym_while_statement] = STATE(3636),
    [sym_if_statement] = STATE(3636),
    [sym_case_statement] = STATE(3959),
    [sym_function_definition] = STATE(3959),
    [sym_compound_statement] = STATE(3959),
    [sym_subshell] = STATE(3959),
    [sym_pipeline] = STATE(3959),
    [sym_list] = STATE(3959),
    [sym_negated_command] = STATE(3959),
    [sym_test_command] = STATE(3959),
    [sym_declaration_command] = STATE(3959),
    [sym_unset_command] = STATE(3959),
    [sym_command] = STATE(3959),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(919),
    [sym_variable_assignments] = STATE(3959),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_done] = ACTIONS(813),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [198] = {
    [sym__statements] = STATE(5872),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [199] = {
    [sym__statements] = STATE(5795),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [200] = {
    [aux_sym__terminated_statement] = STATE(113),
    [sym_redirected_statement] = STATE(3959),
    [sym_for_statement] = STATE(3959),
    [sym_c_style_for_statement] = STATE(3959),
    [sym_while_statement] = STATE(3636),
    [sym_if_statement] = STATE(3636),
    [sym_case_statement] = STATE(3959),
    [sym_function_definition] = STATE(3959),
    [sym_compound_statement] = STATE(3959),
    [sym_subshell] = STATE(3959),
    [sym_pipeline] = STATE(3959),
    [sym_list] = STATE(3959),
    [sym_negated_command] = STATE(3959),
    [sym_test_command] = STATE(3959),
    [sym_declaration_command] = STATE(3959),
    [sym_unset_command] = STATE(3959),
    [sym_command] = STATE(3959),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(919),
    [sym_variable_assignments] = STATE(3959),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_done] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [201] = {
    [sym__statements] = STATE(5578),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [202] = {
    [sym__statements] = STATE(5574),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1797),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [203] = {
    [sym__statements] = STATE(5791),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1737),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [204] = {
    [sym__statements] = STATE(5573),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [205] = {
    [sym__statements] = STATE(5790),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [206] = {
    [sym__statements] = STATE(5571),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [207] = {
    [sym__statements] = STATE(5789),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [208] = {
    [sym__statements] = STATE(5907),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [209] = {
    [sym__statements] = STATE(5908),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1574),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [210] = {
    [sym__statements] = STATE(5568),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1798),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [211] = {
    [sym__statements] = STATE(5836),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1711),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [212] = {
    [sym__statements] = STATE(5788),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [213] = {
    [sym__statements] = STATE(5930),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [214] = {
    [sym__statements] = STATE(5566),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [215] = {
    [sym__statements] = STATE(5563),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1799),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [216] = {
    [sym__statements] = STATE(5840),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [217] = {
    [sym__statements] = STATE(5841),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [218] = {
    [sym__statements] = STATE(5771),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1740),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [219] = {
    [sym__statements] = STATE(5770),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [220] = {
    [sym__statements] = STATE(5768),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [221] = {
    [sym__statements] = STATE(5562),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [222] = {
    [sym__statements] = STATE(5561),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [223] = {
    [sym__statements] = STATE(5842),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1706),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [224] = {
    [sym__statements] = STATE(5559),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1800),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [225] = {
    [sym__statements] = STATE(5557),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [226] = {
    [sym__statements] = STATE(5766),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [227] = {
    [sym__statements] = STATE(5931),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [228] = {
    [sym__statements] = STATE(5556),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [229] = {
    [sym__statements] = STATE(5741),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [230] = {
    [sym__statements] = STATE(5554),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1801),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [231] = {
    [sym__statements] = STATE(5553),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [232] = {
    [sym__statements] = STATE(5874),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1677),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [233] = {
    [sym__statements] = STATE(5552),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [234] = {
    [sym__statements] = STATE(5549),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1802),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [235] = {
    [sym__statements] = STATE(5548),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [236] = {
    [sym__statements] = STATE(5547),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [237] = {
    [sym__statements] = STATE(5545),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1803),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [238] = {
    [sym__statements] = STATE(5932),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1660),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [239] = {
    [sym__statements] = STATE(5720),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [240] = {
    [sym__statements] = STATE(5984),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [241] = {
    [sym__statements] = STATE(5761),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [242] = {
    [sym__statements] = STATE(5760),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [243] = {
    [sym__statements] = STATE(5758),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [244] = {
    [sym__statements] = STATE(5749),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1744),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [245] = {
    [sym__statements] = STATE(5996),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [246] = {
    [sym__statements] = STATE(5543),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [247] = {
    [sym__statements] = STATE(6066),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1645),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [248] = {
    [sym__statements] = STATE(6063),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [249] = {
    [sym__statements] = STATE(5542),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [250] = {
    [sym__statements] = STATE(5845),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [251] = {
    [sym__statements] = STATE(5846),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [252] = {
    [sym__statements] = STATE(6060),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [253] = {
    [sym__statements] = STATE(6059),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [254] = {
    [sym__statements] = STATE(5540),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1804),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [255] = {
    [sym__statements] = STATE(5748),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [256] = {
    [sym__statements] = STATE(5539),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [257] = {
    [aux_sym__terminated_statement] = STATE(23),
    [sym_redirected_statement] = STATE(4031),
    [sym_for_statement] = STATE(4031),
    [sym_c_style_for_statement] = STATE(4031),
    [sym_while_statement] = STATE(3724),
    [sym_if_statement] = STATE(3724),
    [sym_case_statement] = STATE(4031),
    [sym_function_definition] = STATE(4031),
    [sym_compound_statement] = STATE(4031),
    [sym_subshell] = STATE(4031),
    [sym_pipeline] = STATE(4031),
    [sym_list] = STATE(4031),
    [sym_negated_command] = STATE(4031),
    [sym_test_command] = STATE(4031),
    [sym_declaration_command] = STATE(4031),
    [sym_unset_command] = STATE(4031),
    [sym_command] = STATE(4031),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(895),
    [sym_variable_assignments] = STATE(4031),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_then] = ACTIONS(817),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [258] = {
    [sym__statements] = STATE(5937),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [259] = {
    [sym__statements] = STATE(5538),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [260] = {
    [sym__statements] = STATE(5938),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [261] = {
    [sym__statements] = STATE(5939),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [262] = {
    [sym__statements] = STATE(5536),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1805),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [263] = {
    [sym__statements] = STATE(5746),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [264] = {
    [sym__statements] = STATE(5745),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [265] = {
    [sym__statements] = STATE(5742),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1746),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [266] = {
    [aux_sym__terminated_statement] = STATE(99),
    [sym_redirected_statement] = STATE(3988),
    [sym_for_statement] = STATE(3988),
    [sym_c_style_for_statement] = STATE(3988),
    [sym_while_statement] = STATE(3666),
    [sym_if_statement] = STATE(3666),
    [sym_case_statement] = STATE(3988),
    [sym_function_definition] = STATE(3988),
    [sym_compound_statement] = STATE(3988),
    [sym_subshell] = STATE(3988),
    [sym_pipeline] = STATE(3988),
    [sym_list] = STATE(3988),
    [sym_negated_command] = STATE(3988),
    [sym_test_command] = STATE(3988),
    [sym_declaration_command] = STATE(3988),
    [sym_unset_command] = STATE(3988),
    [sym_command] = STATE(3988),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(941),
    [sym_variable_assignments] = STATE(3988),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [267] = {
    [sym__statements] = STATE(5534),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [268] = {
    [sym__statements] = STATE(5940),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1632),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [269] = {
    [sym__statements] = STATE(5740),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [270] = {
    [sym__statements] = STATE(5533),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [271] = {
    [sym__statements] = STATE(5531),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1806),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [272] = {
    [sym__statements] = STATE(5739),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [273] = {
    [sym__statements] = STATE(5736),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1748),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [274] = {
    [aux_sym__terminated_statement] = STATE(132),
    [sym_redirected_statement] = STATE(3959),
    [sym_for_statement] = STATE(3959),
    [sym_c_style_for_statement] = STATE(3959),
    [sym_while_statement] = STATE(3636),
    [sym_if_statement] = STATE(3636),
    [sym_case_statement] = STATE(3959),
    [sym_function_definition] = STATE(3959),
    [sym_compound_statement] = STATE(3959),
    [sym_subshell] = STATE(3959),
    [sym_pipeline] = STATE(3959),
    [sym_list] = STATE(3959),
    [sym_negated_command] = STATE(3959),
    [sym_test_command] = STATE(3959),
    [sym_declaration_command] = STATE(3959),
    [sym_unset_command] = STATE(3959),
    [sym_command] = STATE(3959),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(919),
    [sym_variable_assignments] = STATE(3959),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_done] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [275] = {
    [sym__statements] = STATE(5530),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [276] = {
    [sym__statements] = STATE(5993),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1562),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [277] = {
    [sym__statements] = STATE(5735),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [278] = {
    [sym__statements] = STATE(5529),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [279] = {
    [sym__statements] = STATE(5989),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [280] = {
    [sym__statements] = STATE(5988),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [281] = {
    [sym__statements] = STATE(5987),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [282] = {
    [aux_sym__terminated_statement] = STATE(23),
    [sym_redirected_statement] = STATE(4031),
    [sym_for_statement] = STATE(4031),
    [sym_c_style_for_statement] = STATE(4031),
    [sym_while_statement] = STATE(3724),
    [sym_if_statement] = STATE(3724),
    [sym_case_statement] = STATE(4031),
    [sym_function_definition] = STATE(4031),
    [sym_compound_statement] = STATE(4031),
    [sym_subshell] = STATE(4031),
    [sym_pipeline] = STATE(4031),
    [sym_list] = STATE(4031),
    [sym_negated_command] = STATE(4031),
    [sym_test_command] = STATE(4031),
    [sym_declaration_command] = STATE(4031),
    [sym_unset_command] = STATE(4031),
    [sym_command] = STATE(4031),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(895),
    [sym_variable_assignments] = STATE(4031),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_then] = ACTIONS(823),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [283] = {
    [sym__statements] = STATE(5721),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1754),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [284] = {
    [sym__statements] = STATE(5855),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [285] = {
    [sym__statements] = STATE(5527),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1807),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [286] = {
    [sym__statements] = STATE(5734),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [287] = {
    [sym__statements] = STATE(5525),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [288] = {
    [sym__statements] = STATE(5733),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [289] = {
    [sym__statements] = STATE(5727),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1750),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [290] = {
    [sym__statements] = STATE(5946),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [291] = {
    [sym__statements] = STATE(5524),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [292] = {
    [sym__statements] = STATE(5726),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [293] = {
    [sym__statements] = STATE(5725),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [294] = {
    [sym__statements] = STATE(5521),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1808),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [295] = {
    [sym__statements] = STATE(5724),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [296] = {
    [sym__statements] = STATE(5943),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [297] = {
    [sym__statements] = STATE(5848),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [298] = {
    [sym__statements] = STATE(5849),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1695),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [299] = {
    [sym__statements] = STATE(5961),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1606),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [300] = {
    [sym__statements] = STATE(5960),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [301] = {
    [sym__statements] = STATE(5959),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [302] = {
    [sym__statements] = STATE(5958),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [303] = {
    [sym__statements] = STATE(5520),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [304] = {
    [sym__statements] = STATE(5853),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [305] = {
    [sym__statements] = STATE(5519),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [306] = {
    [sym__statements] = STATE(5491),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1809),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [307] = {
    [sym__statements] = STATE(5515),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [308] = {
    [sym__statements] = STATE(5514),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [309] = {
    [sym__statements] = STATE(5513),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1810),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [310] = {
    [sym__statements] = STATE(5950),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1615),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [311] = {
    [sym__statements] = STATE(5949),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [312] = {
    [sym__statements] = STATE(5511),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [313] = {
    [sym__statements] = STATE(5948),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [314] = {
    [sym__statements] = STATE(5510),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [315] = {
    [sym__statements] = STATE(5506),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [316] = {
    [sym__statements] = STATE(5507),
    [sym_redirected_statement] = STATE(3843),
    [sym_for_statement] = STATE(3843),
    [sym_c_style_for_statement] = STATE(3843),
    [sym_while_statement] = STATE(3603),
    [sym_if_statement] = STATE(3603),
    [sym_case_statement] = STATE(3843),
    [sym_function_definition] = STATE(3843),
    [sym_compound_statement] = STATE(3843),
    [sym_subshell] = STATE(3843),
    [sym_pipeline] = STATE(3843),
    [sym_list] = STATE(3843),
    [sym_negated_command] = STATE(3843),
    [sym_test_command] = STATE(3843),
    [sym_declaration_command] = STATE(3843),
    [sym_unset_command] = STATE(3843),
    [sym_command] = STATE(3843),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(914),
    [sym_variable_assignments] = STATE(3843),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [317] = {
    [sym__statements] = STATE(5509),
    [sym_redirected_statement] = STATE(3804),
    [sym_for_statement] = STATE(3804),
    [sym_c_style_for_statement] = STATE(3804),
    [sym_while_statement] = STATE(3624),
    [sym_if_statement] = STATE(3624),
    [sym_case_statement] = STATE(3804),
    [sym_function_definition] = STATE(3804),
    [sym_compound_statement] = STATE(3804),
    [sym_subshell] = STATE(3804),
    [sym_pipeline] = STATE(3804),
    [sym_list] = STATE(3804),
    [sym_negated_command] = STATE(3804),
    [sym_test_command] = STATE(3804),
    [sym_declaration_command] = STATE(3804),
    [sym_unset_command] = STATE(3804),
    [sym_command] = STATE(3804),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3804),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1811),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(330),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [318] = {
    [aux_sym__terminated_statement] = STATE(93),
    [sym_redirected_statement] = STATE(4031),
    [sym_for_statement] = STATE(4031),
    [sym_c_style_for_statement] = STATE(4031),
    [sym_while_statement] = STATE(3724),
    [sym_if_statement] = STATE(3724),
    [sym_case_statement] = STATE(4031),
    [sym_function_definition] = STATE(4031),
    [sym_compound_statement] = STATE(4031),
    [sym_subshell] = STATE(4031),
    [sym_pipeline] = STATE(4031),
    [sym_list] = STATE(4031),
    [sym_negated_command] = STATE(4031),
    [sym_test_command] = STATE(4031),
    [sym_declaration_command] = STATE(4031),
    [sym_unset_command] = STATE(4031),
    [sym_command] = STATE(4031),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(895),
    [sym_variable_assignments] = STATE(4031),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [319] = {
    [sym_redirected_statement] = STATE(3919),
    [sym_for_statement] = STATE(3919),
    [sym_c_style_for_statement] = STATE(3919),
    [sym_while_statement] = STATE(3709),
    [sym_if_statement] = STATE(3709),
    [sym_case_statement] = STATE(3919),
    [sym_function_definition] = STATE(3919),
    [sym_compound_statement] = STATE(3919),
    [sym_subshell] = STATE(3919),
    [sym_pipeline] = STATE(3919),
    [sym_list] = STATE(3919),
    [sym_negated_command] = STATE(3919),
    [sym_test_command] = STATE(3919),
    [sym_declaration_command] = STATE(3919),
    [sym_unset_command] = STATE(3919),
    [sym_command] = STATE(3919),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(881),
    [sym_variable_assignments] = STATE(3919),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(319),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(825),
    [anon_sym_for] = ACTIONS(828),
    [anon_sym_select] = ACTIONS(831),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(834),
    [anon_sym_LT] = ACTIONS(837),
    [anon_sym_GT] = ACTIONS(837),
    [anon_sym_GT_GT] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(846),
    [anon_sym_until] = ACTIONS(846),
    [anon_sym_if] = ACTIONS(849),
    [anon_sym_case] = ACTIONS(852),
    [anon_sym_function] = ACTIONS(855),
    [anon_sym_LBRACE] = ACTIONS(858),
    [anon_sym_BANG] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(864),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(867),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_typeset] = ACTIONS(870),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_local] = ACTIONS(870),
    [anon_sym_unset] = ACTIONS(873),
    [anon_sym_unsetenv] = ACTIONS(873),
    [anon_sym_AMP_GT] = ACTIONS(837),
    [anon_sym_AMP_GT_GT] = ACTIONS(840),
    [anon_sym_LT_AMP] = ACTIONS(837),
    [anon_sym_GT_AMP] = ACTIONS(837),
    [anon_sym_GT_PIPE] = ACTIONS(840),
    [anon_sym_LT_AMP_DASH] = ACTIONS(876),
    [anon_sym_GT_AMP_DASH] = ACTIONS(876),
    [anon_sym_LT_LT_LT] = ACTIONS(879),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(882),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(885),
    [anon_sym_DOLLAR] = ACTIONS(888),
    [sym__special_character] = ACTIONS(891),
    [anon_sym_DQUOTE] = ACTIONS(894),
    [sym_raw_string] = ACTIONS(897),
    [sym_ansi_c_string] = ACTIONS(897),
    [aux_sym_number_token1] = ACTIONS(900),
    [aux_sym_number_token2] = ACTIONS(903),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(906),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(909),
    [anon_sym_BQUOTE] = ACTIONS(912),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(915),
    [anon_sym_LT_LPAREN] = ACTIONS(918),
    [anon_sym_GT_LPAREN] = ACTIONS(918),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(921),
    [sym_variable_name] = ACTIONS(924),
    [sym_test_operator] = ACTIONS(927),
    [sym__brace_start] = ACTIONS(930),
  },
  [320] = {
    [aux_sym__terminated_statement] = STATE(69),
    [sym_redirected_statement] = STATE(4031),
    [sym_for_statement] = STATE(4031),
    [sym_c_style_for_statement] = STATE(4031),
    [sym_while_statement] = STATE(3724),
    [sym_if_statement] = STATE(3724),
    [sym_case_statement] = STATE(4031),
    [sym_function_definition] = STATE(4031),
    [sym_compound_statement] = STATE(4031),
    [sym_subshell] = STATE(4031),
    [sym_pipeline] = STATE(4031),
    [sym_list] = STATE(4031),
    [sym_negated_command] = STATE(4031),
    [sym_test_command] = STATE(4031),
    [sym_declaration_command] = STATE(4031),
    [sym_unset_command] = STATE(4031),
    [sym_command] = STATE(4031),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(895),
    [sym_variable_assignments] = STATE(4031),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [321] = {
    [aux_sym__terminated_statement] = STATE(257),
    [sym_redirected_statement] = STATE(4031),
    [sym_for_statement] = STATE(4031),
    [sym_c_style_for_statement] = STATE(4031),
    [sym_while_statement] = STATE(3724),
    [sym_if_statement] = STATE(3724),
    [sym_case_statement] = STATE(4031),
    [sym_function_definition] = STATE(4031),
    [sym_compound_statement] = STATE(4031),
    [sym_subshell] = STATE(4031),
    [sym_pipeline] = STATE(4031),
    [sym_list] = STATE(4031),
    [sym_negated_command] = STATE(4031),
    [sym_test_command] = STATE(4031),
    [sym_declaration_command] = STATE(4031),
    [sym_unset_command] = STATE(4031),
    [sym_command] = STATE(4031),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(895),
    [sym_variable_assignments] = STATE(4031),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [322] = {
    [aux_sym__terminated_statement] = STATE(282),
    [sym_redirected_statement] = STATE(4031),
    [sym_for_statement] = STATE(4031),
    [sym_c_style_for_statement] = STATE(4031),
    [sym_while_statement] = STATE(3724),
    [sym_if_statement] = STATE(3724),
    [sym_case_statement] = STATE(4031),
    [sym_function_definition] = STATE(4031),
    [sym_compound_statement] = STATE(4031),
    [sym_subshell] = STATE(4031),
    [sym_pipeline] = STATE(4031),
    [sym_list] = STATE(4031),
    [sym_negated_command] = STATE(4031),
    [sym_test_command] = STATE(4031),
    [sym_declaration_command] = STATE(4031),
    [sym_unset_command] = STATE(4031),
    [sym_command] = STATE(4031),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(895),
    [sym_variable_assignments] = STATE(4031),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [323] = {
    [aux_sym__terminated_statement] = STATE(44),
    [sym_redirected_statement] = STATE(4031),
    [sym_for_statement] = STATE(4031),
    [sym_c_style_for_statement] = STATE(4031),
    [sym_while_statement] = STATE(3724),
    [sym_if_statement] = STATE(3724),
    [sym_case_statement] = STATE(4031),
    [sym_function_definition] = STATE(4031),
    [sym_compound_statement] = STATE(4031),
    [sym_subshell] = STATE(4031),
    [sym_pipeline] = STATE(4031),
    [sym_list] = STATE(4031),
    [sym_negated_command] = STATE(4031),
    [sym_test_command] = STATE(4031),
    [sym_declaration_command] = STATE(4031),
    [sym_unset_command] = STATE(4031),
    [sym_command] = STATE(4031),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(895),
    [sym_variable_assignments] = STATE(4031),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [324] = {
    [sym_redirected_statement] = STATE(3911),
    [sym_for_statement] = STATE(3911),
    [sym_c_style_for_statement] = STATE(3911),
    [sym_while_statement] = STATE(3597),
    [sym_if_statement] = STATE(3597),
    [sym_case_statement] = STATE(3911),
    [sym_function_definition] = STATE(3911),
    [sym_compound_statement] = STATE(3911),
    [sym_subshell] = STATE(3911),
    [sym_pipeline] = STATE(3911),
    [sym_list] = STATE(3911),
    [sym_negated_command] = STATE(3911),
    [sym_test_command] = STATE(3911),
    [sym_declaration_command] = STATE(3911),
    [sym_unset_command] = STATE(3911),
    [sym_command] = STATE(3911),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(890),
    [sym_variable_assignments] = STATE(3911),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym__statements_repeat1] = STATE(319),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [325] = {
    [sym_redirected_statement] = STATE(3652),
    [sym_for_statement] = STATE(3652),
    [sym_c_style_for_statement] = STATE(3652),
    [sym_while_statement] = STATE(3544),
    [sym_if_statement] = STATE(3544),
    [sym_case_statement] = STATE(3652),
    [sym_function_definition] = STATE(3652),
    [sym_compound_statement] = STATE(3652),
    [sym_subshell] = STATE(3652),
    [sym_pipeline] = STATE(3652),
    [sym_list] = STATE(3652),
    [sym_negated_command] = STATE(3652),
    [sym_test_command] = STATE(3652),
    [sym_declaration_command] = STATE(3652),
    [sym_unset_command] = STATE(3652),
    [sym_command] = STATE(3652),
    [sym_command_name] = STATE(429),
    [sym_variable_assignment] = STATE(733),
    [sym_variable_assignments] = STATE(3652),
    [sym_subscript] = STATE(5364),
    [sym_file_redirect] = STATE(1535),
    [sym_herestring_redirect] = STATE(1455),
    [sym_arithmetic_expansion] = STATE(707),
    [sym_brace_expression] = STATE(707),
    [sym_concatenation] = STATE(1025),
    [sym_string] = STATE(707),
    [sym_translated_string] = STATE(707),
    [sym_number] = STATE(707),
    [sym_simple_expansion] = STATE(707),
    [sym_expansion] = STATE(707),
    [sym_command_substitution] = STATE(707),
    [sym_process_substitution] = STATE(707),
    [aux_sym__statements_repeat1] = STATE(319),
    [aux_sym_redirected_statement_repeat2] = STATE(3795),
    [aux_sym_command_repeat1] = STATE(790),
    [aux_sym__literal_repeat1] = STATE(885),
    [sym_word] = ACTIONS(651),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_GT_GT] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(665),
    [anon_sym_typeset] = ACTIONS(665),
    [anon_sym_export] = ACTIONS(665),
    [anon_sym_readonly] = ACTIONS(665),
    [anon_sym_local] = ACTIONS(665),
    [anon_sym_unset] = ACTIONS(667),
    [anon_sym_unsetenv] = ACTIONS(667),
    [anon_sym_AMP_GT] = ACTIONS(655),
    [anon_sym_AMP_GT_GT] = ACTIONS(657),
    [anon_sym_LT_AMP] = ACTIONS(655),
    [anon_sym_GT_AMP] = ACTIONS(655),
    [anon_sym_GT_PIPE] = ACTIONS(657),
    [anon_sym_LT_AMP_DASH] = ACTIONS(669),
    [anon_sym_GT_AMP_DASH] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(673),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [sym__special_character] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_raw_string] = ACTIONS(683),
    [sym_ansi_c_string] = ACTIONS(683),
    [aux_sym_number_token1] = ACTIONS(685),
    [aux_sym_number_token2] = ACTIONS(687),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(689),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(695),
    [anon_sym_LT_LPAREN] = ACTIONS(697),
    [anon_sym_GT_LPAREN] = ACTIONS(697),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(699),
    [sym_variable_name] = ACTIONS(701),
    [sym_test_operator] = ACTIONS(703),
    [sym__brace_start] = ACTIONS(705),
  },
  [326] = {
    [sym_redirected_statement] = STATE(3801),
    [sym_for_statement] = STATE(3801),
    [sym_c_style_for_statement] = STATE(3801),
    [sym_while_statement] = STATE(3604),
    [sym_if_statement] = STATE(3604),
    [sym_case_statement] = STATE(3801),
    [sym_function_definition] = STATE(3801),
    [sym_compound_statement] = STATE(3801),
    [sym_subshell] = STATE(3801),
    [sym_pipeline] = STATE(3801),
    [sym_list] = STATE(3801),
    [sym_negated_command] = STATE(3801),
    [sym_test_command] = STATE(3801),
    [sym_declaration_command] = STATE(3801),
    [sym_unset_command] = STATE(3801),
    [sym_command] = STATE(3801),
    [sym_command_name] = STATE(435),
    [sym_variable_assignment] = STATE(794),
    [sym_variable_assignments] = STATE(3801),
    [sym_subscript] = STATE(5372),
    [sym_file_redirect] = STATE(1599),
    [sym_herestring_redirect] = STATE(1602),
    [sym_arithmetic_expansion] = STATE(746),
    [sym_brace_expression] = STATE(746),
    [sym_concatenation] = STATE(1154),
    [sym_string] = STATE(746),
    [sym_translated_string] = STATE(746),
    [sym_number] = STATE(746),
    [sym_simple_expansion] = STATE(746),
    [sym_expansion] = STATE(746),
    [sym_command_substitution] = STATE(746),
    [sym_process_substitution] = STATE(746),
    [aux_sym__statements_repeat1] = STATE(319),
    [aux_sym_redirected_statement_repeat2] = STATE(3950),
    [aux_sym_command_repeat1] = STATE(766),
    [aux_sym__literal_repeat1] = STATE(1031),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(13),
    [anon_sym_LT] = ACTIONS(15),
    [anon_sym_GT] = ACTIONS(15),
    [anon_sym_GT_GT] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(37),
    [anon_sym_typeset] = ACTIONS(37),
    [anon_sym_export] = ACTIONS(37),
    [anon_sym_readonly] = ACTIONS(37),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_unset] = ACTIONS(39),
    [anon_sym_unsetenv] = ACTIONS(39),
    [anon_sym_AMP_GT] = ACTIONS(15),
    [anon_sym_AMP_GT_GT] = ACTIONS(17),
    [anon_sym_LT_AMP] = ACTIONS(15),
    [anon_sym_GT_AMP] = ACTIONS(15),
    [anon_sym_GT_PIPE] = ACTIONS(17),
    [anon_sym_LT_AMP_DASH] = ACTIONS(41),
    [anon_sym_GT_AMP_DASH] = ACTIONS(41),
    [anon_sym_LT_LT_LT] = ACTIONS(43),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(47),
    [anon_sym_DOLLAR] = ACTIONS(49),
    [sym__special_character] = ACTIONS(51),
    [anon_sym_DQUOTE] = ACTIONS(53),
    [sym_raw_string] = ACTIONS(55),
    [sym_ansi_c_string] = ACTIONS(55),
    [aux_sym_number_token1] = ACTIONS(57),
    [aux_sym_number_token2] = ACTIONS(59),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(67),
    [anon_sym_LT_LPAREN] = ACTIONS(69),
    [anon_sym_GT_LPAREN] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(73),
    [sym_variable_name] = ACTIONS(75),
    [sym_test_operator] = ACTIONS(77),
    [sym__brace_start] = ACTIONS(79),
  },
  [327] = {
    [aux_sym__terminated_statement] = STATE(47),
    [sym_redirected_statement] = STATE(4031),
    [sym_for_statement] = STATE(4031),
    [sym_c_style_for_statement] = STATE(4031),
    [sym_while_statement] = STATE(3724),
    [sym_if_statement] = STATE(3724),
    [sym_case_statement] = STATE(4031),
    [sym_function_definition] = STATE(4031),
    [sym_compound_statement] = STATE(4031),
    [sym_subshell] = STATE(4031),
    [sym_pipeline] = STATE(4031),
    [sym_list] = STATE(4031),
    [sym_negated_command] = STATE(4031),
    [sym_test_command] = STATE(4031),
    [sym_declaration_command] = STATE(4031),
    [sym_unset_command] = STATE(4031),
    [sym_command] = STATE(4031),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(895),
    [sym_variable_assignments] = STATE(4031),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [328] = {
    [aux_sym__terminated_statement] = STATE(48),
    [sym_redirected_statement] = STATE(4031),
    [sym_for_statement] = STATE(4031),
    [sym_c_style_for_statement] = STATE(4031),
    [sym_while_statement] = STATE(3724),
    [sym_if_statement] = STATE(3724),
    [sym_case_statement] = STATE(4031),
    [sym_function_definition] = STATE(4031),
    [sym_compound_statement] = STATE(4031),
    [sym_subshell] = STATE(4031),
    [sym_pipeline] = STATE(4031),
    [sym_list] = STATE(4031),
    [sym_negated_command] = STATE(4031),
    [sym_test_command] = STATE(4031),
    [sym_declaration_command] = STATE(4031),
    [sym_unset_command] = STATE(4031),
    [sym_command] = STATE(4031),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(895),
    [sym_variable_assignments] = STATE(4031),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [329] = {
    [sym_redirected_statement] = STATE(3569),
    [sym_for_statement] = STATE(3569),
    [sym_c_style_for_statement] = STATE(3569),
    [sym_while_statement] = STATE(3523),
    [sym_if_statement] = STATE(3523),
    [sym_case_statement] = STATE(3569),
    [sym_function_definition] = STATE(3569),
    [sym_compound_statement] = STATE(3569),
    [sym_subshell] = STATE(3569),
    [sym_pipeline] = STATE(3569),
    [sym_list] = STATE(3569),
    [sym_negated_command] = STATE(3569),
    [sym_test_command] = STATE(3569),
    [sym_declaration_command] = STATE(3569),
    [sym_unset_command] = STATE(3569),
    [sym_command] = STATE(3569),
    [sym_command_name] = STATE(426),
    [sym_variable_assignment] = STATE(653),
    [sym_variable_assignments] = STATE(3569),
    [sym_subscript] = STATE(5388),
    [sym_file_redirect] = STATE(1328),
    [sym_herestring_redirect] = STATE(1399),
    [sym_arithmetic_expansion] = STATE(665),
    [sym_brace_expression] = STATE(665),
    [sym_concatenation] = STATE(932),
    [sym_string] = STATE(665),
    [sym_translated_string] = STATE(665),
    [sym_number] = STATE(665),
    [sym_simple_expansion] = STATE(665),
    [sym_expansion] = STATE(665),
    [sym_command_substitution] = STATE(665),
    [sym_process_substitution] = STATE(665),
    [aux_sym__statements_repeat1] = STATE(319),
    [aux_sym_redirected_statement_repeat2] = STATE(3737),
    [aux_sym_command_repeat1] = STATE(768),
    [aux_sym__literal_repeat1] = STATE(769),
    [sym_word] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(395),
    [anon_sym_LT] = ACTIONS(397),
    [anon_sym_GT] = ACTIONS(397),
    [anon_sym_GT_GT] = ACTIONS(399),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_typeset] = ACTIONS(427),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_local] = ACTIONS(427),
    [anon_sym_unset] = ACTIONS(429),
    [anon_sym_unsetenv] = ACTIONS(429),
    [anon_sym_AMP_GT] = ACTIONS(397),
    [anon_sym_AMP_GT_GT] = ACTIONS(399),
    [anon_sym_LT_AMP] = ACTIONS(397),
    [anon_sym_GT_AMP] = ACTIONS(397),
    [anon_sym_GT_PIPE] = ACTIONS(399),
    [anon_sym_LT_AMP_DASH] = ACTIONS(431),
    [anon_sym_GT_AMP_DASH] = ACTIONS(431),
    [anon_sym_LT_LT_LT] = ACTIONS(433),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(435),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(437),
    [anon_sym_DOLLAR] = ACTIONS(439),
    [sym__special_character] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_raw_string] = ACTIONS(445),
    [sym_ansi_c_string] = ACTIONS(445),
    [aux_sym_number_token1] = ACTIONS(447),
    [aux_sym_number_token2] = ACTIONS(449),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(451),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(453),
    [anon_sym_BQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(457),
    [anon_sym_LT_LPAREN] = ACTIONS(459),
    [anon_sym_GT_LPAREN] = ACTIONS(459),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(461),
    [sym_variable_name] = ACTIONS(463),
    [sym_test_operator] = ACTIONS(465),
    [sym__brace_start] = ACTIONS(467),
  },
  [330] = {
    [sym_redirected_statement] = STATE(3849),
    [sym_for_statement] = STATE(3849),
    [sym_c_style_for_statement] = STATE(3849),
    [sym_while_statement] = STATE(3608),
    [sym_if_statement] = STATE(3608),
    [sym_case_statement] = STATE(3849),
    [sym_function_definition] = STATE(3849),
    [sym_compound_statement] = STATE(3849),
    [sym_subshell] = STATE(3849),
    [sym_pipeline] = STATE(3849),
    [sym_list] = STATE(3849),
    [sym_negated_command] = STATE(3849),
    [sym_test_command] = STATE(3849),
    [sym_declaration_command] = STATE(3849),
    [sym_unset_command] = STATE(3849),
    [sym_command] = STATE(3849),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(781),
    [sym_variable_assignments] = STATE(3849),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym__statements_repeat1] = STATE(319),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [331] = {
    [sym_redirected_statement] = STATE(4333),
    [sym_for_statement] = STATE(4333),
    [sym_c_style_for_statement] = STATE(4333),
    [sym_while_statement] = STATE(4119),
    [sym_if_statement] = STATE(4119),
    [sym_case_statement] = STATE(4333),
    [sym_function_definition] = STATE(4333),
    [sym_compound_statement] = STATE(4333),
    [sym_subshell] = STATE(4333),
    [sym_pipeline] = STATE(4333),
    [sym_list] = STATE(4333),
    [sym_negated_command] = STATE(4333),
    [sym_test_command] = STATE(4333),
    [sym_declaration_command] = STATE(4333),
    [sym_unset_command] = STATE(4333),
    [sym_command] = STATE(4333),
    [sym_command_name] = STATE(526),
    [sym_variable_assignment] = STATE(1411),
    [sym_variable_assignments] = STATE(4333),
    [sym_subscript] = STATE(5322),
    [sym_file_redirect] = STATE(2259),
    [sym_herestring_redirect] = STATE(2418),
    [sym_arithmetic_expansion] = STATE(1531),
    [sym_brace_expression] = STATE(1531),
    [sym_concatenation] = STATE(1981),
    [sym_string] = STATE(1531),
    [sym_translated_string] = STATE(1531),
    [sym_number] = STATE(1531),
    [sym_simple_expansion] = STATE(1531),
    [sym_expansion] = STATE(1531),
    [sym_command_substitution] = STATE(1531),
    [sym_process_substitution] = STATE(1531),
    [aux_sym_redirected_statement_repeat2] = STATE(4395),
    [aux_sym_command_repeat1] = STATE(763),
    [aux_sym__literal_repeat1] = STATE(1901),
    [sym_word] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_select] = ACTIONS(147),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(935),
    [anon_sym_LT] = ACTIONS(937),
    [anon_sym_GT] = ACTIONS(937),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_until] = ACTIONS(157),
    [anon_sym_if] = ACTIONS(159),
    [anon_sym_case] = ACTIONS(161),
    [anon_sym_function] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(173),
    [anon_sym_declare] = ACTIONS(175),
    [anon_sym_typeset] = ACTIONS(175),
    [anon_sym_export] = ACTIONS(175),
    [anon_sym_readonly] = ACTIONS(175),
    [anon_sym_local] = ACTIONS(175),
    [anon_sym_unset] = ACTIONS(177),
    [anon_sym_unsetenv] = ACTIONS(177),
    [anon_sym_AMP_GT] = ACTIONS(937),
    [anon_sym_AMP_GT_GT] = ACTIONS(939),
    [anon_sym_LT_AMP] = ACTIONS(937),
    [anon_sym_GT_AMP] = ACTIONS(937),
    [anon_sym_GT_PIPE] = ACTIONS(939),
    [anon_sym_LT_AMP_DASH] = ACTIONS(945),
    [anon_sym_GT_AMP_DASH] = ACTIONS(945),
    [anon_sym_LT_LT_LT] = ACTIONS(947),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(949),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(951),
    [anon_sym_DOLLAR] = ACTIONS(953),
    [sym__special_character] = ACTIONS(955),
    [anon_sym_DQUOTE] = ACTIONS(957),
    [sym_raw_string] = ACTIONS(959),
    [sym_ansi_c_string] = ACTIONS(959),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_number_token2] = ACTIONS(963),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(965),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(967),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(971),
    [anon_sym_LT_LPAREN] = ACTIONS(973),
    [anon_sym_GT_LPAREN] = ACTIONS(973),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(975),
    [sym_variable_name] = ACTIONS(217),
    [sym_test_operator] = ACTIONS(977),
    [sym__brace_start] = ACTIONS(979),
  },
  [332] = {
    [sym_redirected_statement] = STATE(3766),
    [sym_for_statement] = STATE(3766),
    [sym_c_style_for_statement] = STATE(3766),
    [sym_while_statement] = STATE(3564),
    [sym_if_statement] = STATE(3564),
    [sym_case_statement] = STATE(3766),
    [sym_function_definition] = STATE(3766),
    [sym_compound_statement] = STATE(3766),
    [sym_subshell] = STATE(3766),
    [sym_pipeline] = STATE(3766),
    [sym_list] = STATE(3766),
    [sym_negated_command] = STATE(3766),
    [sym_test_command] = STATE(3766),
    [sym_declaration_command] = STATE(3766),
    [sym_unset_command] = STATE(3766),
    [sym_command] = STATE(3766),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(812),
    [sym_variable_assignments] = STATE(3766),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [333] = {
    [sym_redirected_statement] = STATE(3602),
    [sym_for_statement] = STATE(3602),
    [sym_c_style_for_statement] = STATE(3602),
    [sym_while_statement] = STATE(3530),
    [sym_if_statement] = STATE(3530),
    [sym_case_statement] = STATE(3602),
    [sym_function_definition] = STATE(3602),
    [sym_compound_statement] = STATE(3602),
    [sym_subshell] = STATE(3602),
    [sym_pipeline] = STATE(3602),
    [sym_list] = STATE(3602),
    [sym_negated_command] = STATE(3602),
    [sym_test_command] = STATE(3602),
    [sym_declaration_command] = STATE(3602),
    [sym_unset_command] = STATE(3602),
    [sym_command] = STATE(3602),
    [sym_command_name] = STATE(426),
    [sym_variable_assignment] = STATE(674),
    [sym_variable_assignments] = STATE(3602),
    [sym_subscript] = STATE(5388),
    [sym_file_redirect] = STATE(1328),
    [sym_herestring_redirect] = STATE(1399),
    [sym_arithmetic_expansion] = STATE(665),
    [sym_brace_expression] = STATE(665),
    [sym_concatenation] = STATE(932),
    [sym_string] = STATE(665),
    [sym_translated_string] = STATE(665),
    [sym_number] = STATE(665),
    [sym_simple_expansion] = STATE(665),
    [sym_expansion] = STATE(665),
    [sym_command_substitution] = STATE(665),
    [sym_process_substitution] = STATE(665),
    [aux_sym_redirected_statement_repeat2] = STATE(3737),
    [aux_sym_command_repeat1] = STATE(768),
    [aux_sym__literal_repeat1] = STATE(769),
    [sym_word] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(395),
    [anon_sym_LT] = ACTIONS(397),
    [anon_sym_GT] = ACTIONS(397),
    [anon_sym_GT_GT] = ACTIONS(399),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_typeset] = ACTIONS(427),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_local] = ACTIONS(427),
    [anon_sym_unset] = ACTIONS(429),
    [anon_sym_unsetenv] = ACTIONS(429),
    [anon_sym_AMP_GT] = ACTIONS(397),
    [anon_sym_AMP_GT_GT] = ACTIONS(399),
    [anon_sym_LT_AMP] = ACTIONS(397),
    [anon_sym_GT_AMP] = ACTIONS(397),
    [anon_sym_GT_PIPE] = ACTIONS(399),
    [anon_sym_LT_AMP_DASH] = ACTIONS(431),
    [anon_sym_GT_AMP_DASH] = ACTIONS(431),
    [anon_sym_LT_LT_LT] = ACTIONS(433),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(435),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(437),
    [anon_sym_DOLLAR] = ACTIONS(439),
    [sym__special_character] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_raw_string] = ACTIONS(445),
    [sym_ansi_c_string] = ACTIONS(445),
    [aux_sym_number_token1] = ACTIONS(447),
    [aux_sym_number_token2] = ACTIONS(449),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(451),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(453),
    [anon_sym_BQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(457),
    [anon_sym_LT_LPAREN] = ACTIONS(459),
    [anon_sym_GT_LPAREN] = ACTIONS(459),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(461),
    [sym_variable_name] = ACTIONS(463),
    [sym_test_operator] = ACTIONS(465),
    [sym__brace_start] = ACTIONS(467),
  },
  [334] = {
    [sym_redirected_statement] = STATE(3805),
    [sym_for_statement] = STATE(3805),
    [sym_c_style_for_statement] = STATE(3805),
    [sym_while_statement] = STATE(3635),
    [sym_if_statement] = STATE(3635),
    [sym_case_statement] = STATE(3805),
    [sym_function_definition] = STATE(3805),
    [sym_compound_statement] = STATE(3805),
    [sym_subshell] = STATE(3805),
    [sym_pipeline] = STATE(3805),
    [sym_list] = STATE(3805),
    [sym_negated_command] = STATE(3805),
    [sym_test_command] = STATE(3805),
    [sym_declaration_command] = STATE(3805),
    [sym_unset_command] = STATE(3805),
    [sym_command] = STATE(3805),
    [sym_command_name] = STATE(435),
    [sym_variable_assignment] = STATE(789),
    [sym_variable_assignments] = STATE(3805),
    [sym_subscript] = STATE(5372),
    [sym_file_redirect] = STATE(1599),
    [sym_herestring_redirect] = STATE(1602),
    [sym_arithmetic_expansion] = STATE(746),
    [sym_brace_expression] = STATE(746),
    [sym_concatenation] = STATE(1154),
    [sym_string] = STATE(746),
    [sym_translated_string] = STATE(746),
    [sym_number] = STATE(746),
    [sym_simple_expansion] = STATE(746),
    [sym_expansion] = STATE(746),
    [sym_command_substitution] = STATE(746),
    [sym_process_substitution] = STATE(746),
    [aux_sym_redirected_statement_repeat2] = STATE(3950),
    [aux_sym_command_repeat1] = STATE(766),
    [aux_sym__literal_repeat1] = STATE(1031),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(13),
    [anon_sym_LT] = ACTIONS(15),
    [anon_sym_GT] = ACTIONS(15),
    [anon_sym_GT_GT] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(37),
    [anon_sym_typeset] = ACTIONS(37),
    [anon_sym_export] = ACTIONS(37),
    [anon_sym_readonly] = ACTIONS(37),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_unset] = ACTIONS(39),
    [anon_sym_unsetenv] = ACTIONS(39),
    [anon_sym_AMP_GT] = ACTIONS(15),
    [anon_sym_AMP_GT_GT] = ACTIONS(17),
    [anon_sym_LT_AMP] = ACTIONS(15),
    [anon_sym_GT_AMP] = ACTIONS(15),
    [anon_sym_GT_PIPE] = ACTIONS(17),
    [anon_sym_LT_AMP_DASH] = ACTIONS(41),
    [anon_sym_GT_AMP_DASH] = ACTIONS(41),
    [anon_sym_LT_LT_LT] = ACTIONS(43),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(47),
    [anon_sym_DOLLAR] = ACTIONS(49),
    [sym__special_character] = ACTIONS(51),
    [anon_sym_DQUOTE] = ACTIONS(53),
    [sym_raw_string] = ACTIONS(55),
    [sym_ansi_c_string] = ACTIONS(55),
    [aux_sym_number_token1] = ACTIONS(57),
    [aux_sym_number_token2] = ACTIONS(59),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(67),
    [anon_sym_LT_LPAREN] = ACTIONS(69),
    [anon_sym_GT_LPAREN] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(73),
    [sym_variable_name] = ACTIONS(75),
    [sym_test_operator] = ACTIONS(77),
    [sym__brace_start] = ACTIONS(79),
  },
  [335] = {
    [sym_redirected_statement] = STATE(4338),
    [sym_for_statement] = STATE(4338),
    [sym_c_style_for_statement] = STATE(4338),
    [sym_while_statement] = STATE(4170),
    [sym_if_statement] = STATE(4170),
    [sym_case_statement] = STATE(4338),
    [sym_function_definition] = STATE(4338),
    [sym_compound_statement] = STATE(4338),
    [sym_subshell] = STATE(4338),
    [sym_pipeline] = STATE(4338),
    [sym_list] = STATE(4338),
    [sym_negated_command] = STATE(4338),
    [sym_test_command] = STATE(4338),
    [sym_declaration_command] = STATE(4338),
    [sym_unset_command] = STATE(4338),
    [sym_command] = STATE(4338),
    [sym_command_name] = STATE(526),
    [sym_variable_assignment] = STATE(1407),
    [sym_variable_assignments] = STATE(4338),
    [sym_subscript] = STATE(5322),
    [sym_file_redirect] = STATE(2259),
    [sym_herestring_redirect] = STATE(2418),
    [sym_arithmetic_expansion] = STATE(1531),
    [sym_brace_expression] = STATE(1531),
    [sym_concatenation] = STATE(1981),
    [sym_string] = STATE(1531),
    [sym_translated_string] = STATE(1531),
    [sym_number] = STATE(1531),
    [sym_simple_expansion] = STATE(1531),
    [sym_expansion] = STATE(1531),
    [sym_command_substitution] = STATE(1531),
    [sym_process_substitution] = STATE(1531),
    [aux_sym_redirected_statement_repeat2] = STATE(4395),
    [aux_sym_command_repeat1] = STATE(763),
    [aux_sym__literal_repeat1] = STATE(1901),
    [sym_word] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_select] = ACTIONS(147),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(935),
    [anon_sym_LT] = ACTIONS(937),
    [anon_sym_GT] = ACTIONS(937),
    [anon_sym_GT_GT] = ACTIONS(939),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_until] = ACTIONS(157),
    [anon_sym_if] = ACTIONS(159),
    [anon_sym_case] = ACTIONS(161),
    [anon_sym_function] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(173),
    [anon_sym_declare] = ACTIONS(175),
    [anon_sym_typeset] = ACTIONS(175),
    [anon_sym_export] = ACTIONS(175),
    [anon_sym_readonly] = ACTIONS(175),
    [anon_sym_local] = ACTIONS(175),
    [anon_sym_unset] = ACTIONS(177),
    [anon_sym_unsetenv] = ACTIONS(177),
    [anon_sym_AMP_GT] = ACTIONS(937),
    [anon_sym_AMP_GT_GT] = ACTIONS(939),
    [anon_sym_LT_AMP] = ACTIONS(937),
    [anon_sym_GT_AMP] = ACTIONS(937),
    [anon_sym_GT_PIPE] = ACTIONS(939),
    [anon_sym_LT_AMP_DASH] = ACTIONS(945),
    [anon_sym_GT_AMP_DASH] = ACTIONS(945),
    [anon_sym_LT_LT_LT] = ACTIONS(947),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(949),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(951),
    [anon_sym_DOLLAR] = ACTIONS(953),
    [sym__special_character] = ACTIONS(955),
    [anon_sym_DQUOTE] = ACTIONS(957),
    [sym_raw_string] = ACTIONS(959),
    [sym_ansi_c_string] = ACTIONS(959),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_number_token2] = ACTIONS(963),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(965),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(967),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(971),
    [anon_sym_LT_LPAREN] = ACTIONS(973),
    [anon_sym_GT_LPAREN] = ACTIONS(973),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(975),
    [sym_variable_name] = ACTIONS(217),
    [sym_test_operator] = ACTIONS(977),
    [sym__brace_start] = ACTIONS(979),
  },
  [336] = {
    [sym_redirected_statement] = STATE(3609),
    [sym_for_statement] = STATE(3609),
    [sym_c_style_for_statement] = STATE(3609),
    [sym_while_statement] = STATE(3525),
    [sym_if_statement] = STATE(3525),
    [sym_case_statement] = STATE(3609),
    [sym_function_definition] = STATE(3609),
    [sym_compound_statement] = STATE(3609),
    [sym_subshell] = STATE(3609),
    [sym_pipeline] = STATE(3609),
    [sym_list] = STATE(3609),
    [sym_negated_command] = STATE(3609),
    [sym_test_command] = STATE(3609),
    [sym_declaration_command] = STATE(3609),
    [sym_unset_command] = STATE(3609),
    [sym_command] = STATE(3609),
    [sym_command_name] = STATE(426),
    [sym_variable_assignment] = STATE(675),
    [sym_variable_assignments] = STATE(3609),
    [sym_subscript] = STATE(5388),
    [sym_file_redirect] = STATE(1328),
    [sym_herestring_redirect] = STATE(1399),
    [sym_arithmetic_expansion] = STATE(665),
    [sym_brace_expression] = STATE(665),
    [sym_concatenation] = STATE(932),
    [sym_string] = STATE(665),
    [sym_translated_string] = STATE(665),
    [sym_number] = STATE(665),
    [sym_simple_expansion] = STATE(665),
    [sym_expansion] = STATE(665),
    [sym_command_substitution] = STATE(665),
    [sym_process_substitution] = STATE(665),
    [aux_sym_redirected_statement_repeat2] = STATE(3737),
    [aux_sym_command_repeat1] = STATE(768),
    [aux_sym__literal_repeat1] = STATE(769),
    [sym_word] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(395),
    [anon_sym_LT] = ACTIONS(397),
    [anon_sym_GT] = ACTIONS(397),
    [anon_sym_GT_GT] = ACTIONS(399),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_typeset] = ACTIONS(427),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_local] = ACTIONS(427),
    [anon_sym_unset] = ACTIONS(429),
    [anon_sym_unsetenv] = ACTIONS(429),
    [anon_sym_AMP_GT] = ACTIONS(397),
    [anon_sym_AMP_GT_GT] = ACTIONS(399),
    [anon_sym_LT_AMP] = ACTIONS(397),
    [anon_sym_GT_AMP] = ACTIONS(397),
    [anon_sym_GT_PIPE] = ACTIONS(399),
    [anon_sym_LT_AMP_DASH] = ACTIONS(431),
    [anon_sym_GT_AMP_DASH] = ACTIONS(431),
    [anon_sym_LT_LT_LT] = ACTIONS(433),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(435),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(437),
    [anon_sym_DOLLAR] = ACTIONS(439),
    [sym__special_character] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_raw_string] = ACTIONS(445),
    [sym_ansi_c_string] = ACTIONS(445),
    [aux_sym_number_token1] = ACTIONS(447),
    [aux_sym_number_token2] = ACTIONS(449),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(451),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(453),
    [anon_sym_BQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(457),
    [anon_sym_LT_LPAREN] = ACTIONS(459),
    [anon_sym_GT_LPAREN] = ACTIONS(459),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(461),
    [sym_variable_name] = ACTIONS(463),
    [sym_test_operator] = ACTIONS(465),
    [sym__brace_start] = ACTIONS(467),
  },
  [337] = {
    [sym_redirected_statement] = STATE(4241),
    [sym_for_statement] = STATE(4241),
    [sym_c_style_for_statement] = STATE(4241),
    [sym_while_statement] = STATE(4087),
    [sym_if_statement] = STATE(4087),
    [sym_case_statement] = STATE(4241),
    [sym_function_definition] = STATE(4241),
    [sym_compound_statement] = STATE(4241),
    [sym_subshell] = STATE(4241),
    [sym_pipeline] = STATE(4241),
    [sym_list] = STATE(4241),
    [sym_negated_command] = STATE(4241),
    [sym_test_command] = STATE(4241),
    [sym_declaration_command] = STATE(4241),
    [sym_unset_command] = STATE(4241),
    [sym_command] = STATE(4241),
    [sym_command_name] = STATE(484),
    [sym_variable_assignment] = STATE(1272),
    [sym_variable_assignments] = STATE(4241),
    [sym_subscript] = STATE(5378),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(1207),
    [sym_brace_expression] = STATE(1207),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(1207),
    [sym_translated_string] = STATE(1207),
    [sym_number] = STATE(1207),
    [sym_simple_expansion] = STATE(1207),
    [sym_expansion] = STATE(1207),
    [sym_command_substitution] = STATE(1207),
    [sym_process_substitution] = STATE(1207),
    [aux_sym_redirected_statement_repeat2] = STATE(4320),
    [aux_sym_command_repeat1] = STATE(771),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(981),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(983),
    [anon_sym_GT] = ACTIONS(983),
    [anon_sym_GT_GT] = ACTIONS(985),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(989),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(991),
    [anon_sym_typeset] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(991),
    [anon_sym_readonly] = ACTIONS(991),
    [anon_sym_local] = ACTIONS(991),
    [anon_sym_unset] = ACTIONS(993),
    [anon_sym_unsetenv] = ACTIONS(993),
    [anon_sym_AMP_GT] = ACTIONS(983),
    [anon_sym_AMP_GT_GT] = ACTIONS(985),
    [anon_sym_LT_AMP] = ACTIONS(983),
    [anon_sym_GT_AMP] = ACTIONS(983),
    [anon_sym_GT_PIPE] = ACTIONS(985),
    [anon_sym_LT_AMP_DASH] = ACTIONS(995),
    [anon_sym_GT_AMP_DASH] = ACTIONS(995),
    [anon_sym_LT_LT_LT] = ACTIONS(997),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(999),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(1001),
    [sym_ansi_c_string] = ACTIONS(1001),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1003),
    [sym_variable_name] = ACTIONS(1005),
    [sym_test_operator] = ACTIONS(1007),
    [sym__brace_start] = ACTIONS(377),
  },
  [338] = {
    [sym_redirected_statement] = STATE(3727),
    [sym_for_statement] = STATE(3727),
    [sym_c_style_for_statement] = STATE(3727),
    [sym_while_statement] = STATE(3533),
    [sym_if_statement] = STATE(3533),
    [sym_case_statement] = STATE(3727),
    [sym_function_definition] = STATE(3727),
    [sym_compound_statement] = STATE(3727),
    [sym_subshell] = STATE(3727),
    [sym_pipeline] = STATE(3727),
    [sym_list] = STATE(3727),
    [sym_negated_command] = STATE(3727),
    [sym_test_command] = STATE(3727),
    [sym_declaration_command] = STATE(3727),
    [sym_unset_command] = STATE(3727),
    [sym_command] = STATE(3727),
    [sym_command_name] = STATE(429),
    [sym_variable_assignment] = STATE(729),
    [sym_variable_assignments] = STATE(3727),
    [sym_subscript] = STATE(5364),
    [sym_file_redirect] = STATE(1535),
    [sym_herestring_redirect] = STATE(1455),
    [sym_arithmetic_expansion] = STATE(707),
    [sym_brace_expression] = STATE(707),
    [sym_concatenation] = STATE(1025),
    [sym_string] = STATE(707),
    [sym_translated_string] = STATE(707),
    [sym_number] = STATE(707),
    [sym_simple_expansion] = STATE(707),
    [sym_expansion] = STATE(707),
    [sym_command_substitution] = STATE(707),
    [sym_process_substitution] = STATE(707),
    [aux_sym_redirected_statement_repeat2] = STATE(3795),
    [aux_sym_command_repeat1] = STATE(790),
    [aux_sym__literal_repeat1] = STATE(885),
    [sym_word] = ACTIONS(651),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_GT_GT] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(665),
    [anon_sym_typeset] = ACTIONS(665),
    [anon_sym_export] = ACTIONS(665),
    [anon_sym_readonly] = ACTIONS(665),
    [anon_sym_local] = ACTIONS(665),
    [anon_sym_unset] = ACTIONS(667),
    [anon_sym_unsetenv] = ACTIONS(667),
    [anon_sym_AMP_GT] = ACTIONS(655),
    [anon_sym_AMP_GT_GT] = ACTIONS(657),
    [anon_sym_LT_AMP] = ACTIONS(655),
    [anon_sym_GT_AMP] = ACTIONS(655),
    [anon_sym_GT_PIPE] = ACTIONS(657),
    [anon_sym_LT_AMP_DASH] = ACTIONS(669),
    [anon_sym_GT_AMP_DASH] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(673),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [sym__special_character] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_raw_string] = ACTIONS(683),
    [sym_ansi_c_string] = ACTIONS(683),
    [aux_sym_number_token1] = ACTIONS(685),
    [aux_sym_number_token2] = ACTIONS(687),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(689),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(695),
    [anon_sym_LT_LPAREN] = ACTIONS(697),
    [anon_sym_GT_LPAREN] = ACTIONS(697),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(699),
    [sym_variable_name] = ACTIONS(701),
    [sym_test_operator] = ACTIONS(703),
    [sym__brace_start] = ACTIONS(705),
  },
  [339] = {
    [sym_redirected_statement] = STATE(4196),
    [sym_for_statement] = STATE(4196),
    [sym_c_style_for_statement] = STATE(4196),
    [sym_while_statement] = STATE(4070),
    [sym_if_statement] = STATE(4070),
    [sym_case_statement] = STATE(4196),
    [sym_function_definition] = STATE(4196),
    [sym_compound_statement] = STATE(4196),
    [sym_subshell] = STATE(4196),
    [sym_pipeline] = STATE(4196),
    [sym_list] = STATE(4196),
    [sym_negated_command] = STATE(4196),
    [sym_test_command] = STATE(4196),
    [sym_declaration_command] = STATE(4196),
    [sym_unset_command] = STATE(4196),
    [sym_command] = STATE(4196),
    [sym_command_name] = STATE(484),
    [sym_variable_assignment] = STATE(1309),
    [sym_variable_assignments] = STATE(4196),
    [sym_subscript] = STATE(5378),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(1207),
    [sym_brace_expression] = STATE(1207),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(1207),
    [sym_translated_string] = STATE(1207),
    [sym_number] = STATE(1207),
    [sym_simple_expansion] = STATE(1207),
    [sym_expansion] = STATE(1207),
    [sym_command_substitution] = STATE(1207),
    [sym_process_substitution] = STATE(1207),
    [aux_sym_redirected_statement_repeat2] = STATE(4320),
    [aux_sym_command_repeat1] = STATE(771),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(981),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(983),
    [anon_sym_GT] = ACTIONS(983),
    [anon_sym_GT_GT] = ACTIONS(985),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(989),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(991),
    [anon_sym_typeset] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(991),
    [anon_sym_readonly] = ACTIONS(991),
    [anon_sym_local] = ACTIONS(991),
    [anon_sym_unset] = ACTIONS(993),
    [anon_sym_unsetenv] = ACTIONS(993),
    [anon_sym_AMP_GT] = ACTIONS(983),
    [anon_sym_AMP_GT_GT] = ACTIONS(985),
    [anon_sym_LT_AMP] = ACTIONS(983),
    [anon_sym_GT_AMP] = ACTIONS(983),
    [anon_sym_GT_PIPE] = ACTIONS(985),
    [anon_sym_LT_AMP_DASH] = ACTIONS(995),
    [anon_sym_GT_AMP_DASH] = ACTIONS(995),
    [anon_sym_LT_LT_LT] = ACTIONS(997),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(999),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(1001),
    [sym_ansi_c_string] = ACTIONS(1001),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1003),
    [sym_variable_name] = ACTIONS(1005),
    [sym_test_operator] = ACTIONS(1007),
    [sym__brace_start] = ACTIONS(377),
  },
  [340] = {
    [sym_redirected_statement] = STATE(3852),
    [sym_for_statement] = STATE(3852),
    [sym_c_style_for_statement] = STATE(3852),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3852),
    [sym_function_definition] = STATE(3852),
    [sym_compound_statement] = STATE(3852),
    [sym_subshell] = STATE(3852),
    [sym_pipeline] = STATE(3852),
    [sym_list] = STATE(3852),
    [sym_negated_command] = STATE(3852),
    [sym_test_command] = STATE(3852),
    [sym_declaration_command] = STATE(3852),
    [sym_unset_command] = STATE(3852),
    [sym_command] = STATE(3852),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(844),
    [sym_variable_assignments] = STATE(3852),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [341] = {
    [sym_redirected_statement] = STATE(4045),
    [sym_for_statement] = STATE(4045),
    [sym_c_style_for_statement] = STATE(4045),
    [sym_while_statement] = STATE(3672),
    [sym_if_statement] = STATE(3672),
    [sym_case_statement] = STATE(4045),
    [sym_function_definition] = STATE(4045),
    [sym_compound_statement] = STATE(4045),
    [sym_subshell] = STATE(4045),
    [sym_pipeline] = STATE(4045),
    [sym_list] = STATE(4045),
    [sym_negated_command] = STATE(4045),
    [sym_test_command] = STATE(4045),
    [sym_declaration_command] = STATE(4045),
    [sym_unset_command] = STATE(4045),
    [sym_command] = STATE(4045),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(833),
    [sym_variable_assignments] = STATE(4045),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [342] = {
    [sym_redirected_statement] = STATE(3972),
    [sym_for_statement] = STATE(3972),
    [sym_c_style_for_statement] = STATE(3972),
    [sym_while_statement] = STATE(3690),
    [sym_if_statement] = STATE(3690),
    [sym_case_statement] = STATE(3972),
    [sym_function_definition] = STATE(3972),
    [sym_compound_statement] = STATE(3972),
    [sym_subshell] = STATE(3972),
    [sym_pipeline] = STATE(3972),
    [sym_list] = STATE(3972),
    [sym_negated_command] = STATE(3972),
    [sym_test_command] = STATE(3972),
    [sym_declaration_command] = STATE(3972),
    [sym_unset_command] = STATE(3972),
    [sym_command] = STATE(3972),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(834),
    [sym_variable_assignments] = STATE(3972),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4061),
    [aux_sym_command_repeat1] = STATE(808),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(337),
    [anon_sym_typeset] = ACTIONS(337),
    [anon_sym_export] = ACTIONS(337),
    [anon_sym_readonly] = ACTIONS(337),
    [anon_sym_local] = ACTIONS(337),
    [anon_sym_unset] = ACTIONS(339),
    [anon_sym_unsetenv] = ACTIONS(339),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [343] = {
    [sym_redirected_statement] = STATE(3899),
    [sym_for_statement] = STATE(3899),
    [sym_c_style_for_statement] = STATE(3899),
    [sym_while_statement] = STATE(3600),
    [sym_if_statement] = STATE(3600),
    [sym_case_statement] = STATE(3899),
    [sym_function_definition] = STATE(3899),
    [sym_compound_statement] = STATE(3899),
    [sym_subshell] = STATE(3899),
    [sym_pipeline] = STATE(3899),
    [sym_list] = STATE(3899),
    [sym_negated_command] = STATE(3899),
    [sym_test_command] = STATE(3899),
    [sym_declaration_command] = STATE(3899),
    [sym_unset_command] = STATE(3899),
    [sym_command] = STATE(3899),
    [sym_command_name] = STATE(448),
    [sym_variable_assignment] = STATE(843),
    [sym_variable_assignments] = STATE(3899),
    [sym_subscript] = STATE(5405),
    [sym_file_redirect] = STATE(1888),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(884),
    [sym_brace_expression] = STATE(884),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(884),
    [sym_translated_string] = STATE(884),
    [sym_number] = STATE(884),
    [sym_simple_expansion] = STATE(884),
    [sym_expansion] = STATE(884),
    [sym_command_substitution] = STATE(884),
    [sym_process_substitution] = STATE(884),
    [aux_sym_redirected_statement_repeat2] = STATE(4032),
    [aux_sym_command_repeat1] = STATE(807),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(771),
    [anon_sym_typeset] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(771),
    [anon_sym_readonly] = ACTIONS(771),
    [anon_sym_local] = ACTIONS(771),
    [anon_sym_unset] = ACTIONS(773),
    [anon_sym_unsetenv] = ACTIONS(773),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(325),
    [anon_sym_LT_AMP] = ACTIONS(323),
    [anon_sym_GT_AMP] = ACTIONS(323),
    [anon_sym_GT_PIPE] = ACTIONS(325),
    [anon_sym_LT_AMP_DASH] = ACTIONS(341),
    [anon_sym_GT_AMP_DASH] = ACTIONS(341),
    [anon_sym_LT_LT_LT] = ACTIONS(343),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(355),
    [sym_ansi_c_string] = ACTIONS(355),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(371),
    [sym_variable_name] = ACTIONS(373),
    [sym_test_operator] = ACTIONS(375),
    [sym__brace_start] = ACTIONS(377),
  },
  [344] = {
    [sym_redirected_statement] = STATE(4198),
    [sym_for_statement] = STATE(4198),
    [sym_c_style_for_statement] = STATE(4198),
    [sym_while_statement] = STATE(4071),
    [sym_if_statement] = STATE(4071),
    [sym_case_statement] = STATE(4198),
    [sym_function_definition] = STATE(4198),
    [sym_compound_statement] = STATE(4198),
    [sym_subshell] = STATE(4198),
    [sym_pipeline] = STATE(4198),
    [sym_list] = STATE(4198),
    [sym_negated_command] = STATE(4198),
    [sym_test_command] = STATE(4198),
    [sym_declaration_command] = STATE(4198),
    [sym_unset_command] = STATE(4198),
    [sym_command] = STATE(4198),
    [sym_command_name] = STATE(484),
    [sym_variable_assignment] = STATE(1310),
    [sym_variable_assignments] = STATE(4198),
    [sym_subscript] = STATE(5378),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(1207),
    [sym_brace_expression] = STATE(1207),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(1207),
    [sym_translated_string] = STATE(1207),
    [sym_number] = STATE(1207),
    [sym_simple_expansion] = STATE(1207),
    [sym_expansion] = STATE(1207),
    [sym_command_substitution] = STATE(1207),
    [sym_process_substitution] = STATE(1207),
    [aux_sym_redirected_statement_repeat2] = STATE(4320),
    [aux_sym_command_repeat1] = STATE(771),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(981),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(983),
    [anon_sym_GT] = ACTIONS(983),
    [anon_sym_GT_GT] = ACTIONS(985),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(989),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(991),
    [anon_sym_typeset] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(991),
    [anon_sym_readonly] = ACTIONS(991),
    [anon_sym_local] = ACTIONS(991),
    [anon_sym_unset] = ACTIONS(993),
    [anon_sym_unsetenv] = ACTIONS(993),
    [anon_sym_AMP_GT] = ACTIONS(983),
    [anon_sym_AMP_GT_GT] = ACTIONS(985),
    [anon_sym_LT_AMP] = ACTIONS(983),
    [anon_sym_GT_AMP] = ACTIONS(983),
    [anon_sym_GT_PIPE] = ACTIONS(985),
    [anon_sym_LT_AMP_DASH] = ACTIONS(995),
    [anon_sym_GT_AMP_DASH] = ACTIONS(995),
    [anon_sym_LT_LT_LT] = ACTIONS(997),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(999),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(1001),
    [sym_ansi_c_string] = ACTIONS(1001),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1003),
    [sym_variable_name] = ACTIONS(1005),
    [sym_test_operator] = ACTIONS(1007),
    [sym__brace_start] = ACTIONS(377),
  },
  [345] = {
    [sym_redirected_statement] = STATE(4281),
    [sym_for_statement] = STATE(4281),
    [sym_c_style_for_statement] = STATE(4281),
    [sym_while_statement] = STATE(4074),
    [sym_if_statement] = STATE(4074),
    [sym_case_statement] = STATE(4281),
    [sym_function_definition] = STATE(4281),
    [sym_compound_statement] = STATE(4281),
    [sym_subshell] = STATE(4281),
    [sym_pipeline] = STATE(4281),
    [sym_list] = STATE(4281),
    [sym_negated_command] = STATE(4281),
    [sym_test_command] = STATE(4281),
    [sym_declaration_command] = STATE(4281),
    [sym_unset_command] = STATE(4281),
    [sym_command] = STATE(4281),
    [sym_command_name] = STATE(484),
    [sym_variable_assignment] = STATE(1353),
    [sym_variable_assignments] = STATE(4281),
    [sym_subscript] = STATE(5378),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(1207),
    [sym_brace_expression] = STATE(1207),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(1207),
    [sym_translated_string] = STATE(1207),
    [sym_number] = STATE(1207),
    [sym_simple_expansion] = STATE(1207),
    [sym_expansion] = STATE(1207),
    [sym_command_substitution] = STATE(1207),
    [sym_process_substitution] = STATE(1207),
    [aux_sym_redirected_statement_repeat2] = STATE(4320),
    [aux_sym_command_repeat1] = STATE(771),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(981),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(983),
    [anon_sym_GT] = ACTIONS(983),
    [anon_sym_GT_GT] = ACTIONS(985),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(989),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(991),
    [anon_sym_typeset] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(991),
    [anon_sym_readonly] = ACTIONS(991),
    [anon_sym_local] = ACTIONS(991),
    [anon_sym_unset] = ACTIONS(993),
    [anon_sym_unsetenv] = ACTIONS(993),
    [anon_sym_AMP_GT] = ACTIONS(983),
    [anon_sym_AMP_GT_GT] = ACTIONS(985),
    [anon_sym_LT_AMP] = ACTIONS(983),
    [anon_sym_GT_AMP] = ACTIONS(983),
    [anon_sym_GT_PIPE] = ACTIONS(985),
    [anon_sym_LT_AMP_DASH] = ACTIONS(995),
    [anon_sym_GT_AMP_DASH] = ACTIONS(995),
    [anon_sym_LT_LT_LT] = ACTIONS(997),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(999),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(1001),
    [sym_ansi_c_string] = ACTIONS(1001),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1003),
    [sym_variable_name] = ACTIONS(1005),
    [sym_test_operator] = ACTIONS(1007),
    [sym__brace_start] = ACTIONS(377),
  },
  [346] = {
    [sym_redirected_statement] = STATE(3912),
    [sym_for_statement] = STATE(3912),
    [sym_c_style_for_statement] = STATE(3912),
    [sym_while_statement] = STATE(3559),
    [sym_if_statement] = STATE(3559),
    [sym_case_statement] = STATE(3912),
    [sym_function_definition] = STATE(3912),
    [sym_compound_statement] = STATE(3912),
    [sym_subshell] = STATE(3912),
    [sym_pipeline] = STATE(3912),
    [sym_list] = STATE(3912),
    [sym_negated_command] = STATE(3912),
    [sym_test_command] = STATE(3912),
    [sym_declaration_command] = STATE(3912),
    [sym_unset_command] = STATE(3912),
    [sym_command] = STATE(3912),
    [sym_command_name] = STATE(435),
    [sym_variable_assignment] = STATE(799),
    [sym_variable_assignments] = STATE(3912),
    [sym_subscript] = STATE(5372),
    [sym_file_redirect] = STATE(1599),
    [sym_herestring_redirect] = STATE(1602),
    [sym_arithmetic_expansion] = STATE(746),
    [sym_brace_expression] = STATE(746),
    [sym_concatenation] = STATE(1154),
    [sym_string] = STATE(746),
    [sym_translated_string] = STATE(746),
    [sym_number] = STATE(746),
    [sym_simple_expansion] = STATE(746),
    [sym_expansion] = STATE(746),
    [sym_command_substitution] = STATE(746),
    [sym_process_substitution] = STATE(746),
    [aux_sym_redirected_statement_repeat2] = STATE(3950),
    [aux_sym_command_repeat1] = STATE(766),
    [aux_sym__literal_repeat1] = STATE(1031),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(13),
    [anon_sym_LT] = ACTIONS(15),
    [anon_sym_GT] = ACTIONS(15),
    [anon_sym_GT_GT] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(37),
    [anon_sym_typeset] = ACTIONS(37),
    [anon_sym_export] = ACTIONS(37),
    [anon_sym_readonly] = ACTIONS(37),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_unset] = ACTIONS(39),
    [anon_sym_unsetenv] = ACTIONS(39),
    [anon_sym_AMP_GT] = ACTIONS(15),
    [anon_sym_AMP_GT_GT] = ACTIONS(17),
    [anon_sym_LT_AMP] = ACTIONS(15),
    [anon_sym_GT_AMP] = ACTIONS(15),
    [anon_sym_GT_PIPE] = ACTIONS(17),
    [anon_sym_LT_AMP_DASH] = ACTIONS(41),
    [anon_sym_GT_AMP_DASH] = ACTIONS(41),
    [anon_sym_LT_LT_LT] = ACTIONS(43),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(47),
    [anon_sym_DOLLAR] = ACTIONS(49),
    [sym__special_character] = ACTIONS(51),
    [anon_sym_DQUOTE] = ACTIONS(53),
    [sym_raw_string] = ACTIONS(55),
    [sym_ansi_c_string] = ACTIONS(55),
    [aux_sym_number_token1] = ACTIONS(57),
    [aux_sym_number_token2] = ACTIONS(59),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(67),
    [anon_sym_LT_LPAREN] = ACTIONS(69),
    [anon_sym_GT_LPAREN] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(73),
    [sym_variable_name] = ACTIONS(75),
    [sym_test_operator] = ACTIONS(77),
    [sym__brace_start] = ACTIONS(79),
  },
  [347] = {
    [sym_redirected_statement] = STATE(3702),
    [sym_for_statement] = STATE(3702),
    [sym_c_style_for_statement] = STATE(3702),
    [sym_while_statement] = STATE(3532),
    [sym_if_statement] = STATE(3532),
    [sym_case_statement] = STATE(3702),
    [sym_function_definition] = STATE(3702),
    [sym_compound_statement] = STATE(3702),
    [sym_subshell] = STATE(3702),
    [sym_pipeline] = STATE(3702),
    [sym_list] = STATE(3702),
    [sym_negated_command] = STATE(3702),
    [sym_test_command] = STATE(3702),
    [sym_declaration_command] = STATE(3702),
    [sym_unset_command] = STATE(3702),
    [sym_command] = STATE(3702),
    [sym_command_name] = STATE(429),
    [sym_variable_assignment] = STATE(739),
    [sym_variable_assignments] = STATE(3702),
    [sym_subscript] = STATE(5364),
    [sym_file_redirect] = STATE(1535),
    [sym_herestring_redirect] = STATE(1455),
    [sym_arithmetic_expansion] = STATE(707),
    [sym_brace_expression] = STATE(707),
    [sym_concatenation] = STATE(1025),
    [sym_string] = STATE(707),
    [sym_translated_string] = STATE(707),
    [sym_number] = STATE(707),
    [sym_simple_expansion] = STATE(707),
    [sym_expansion] = STATE(707),
    [sym_command_substitution] = STATE(707),
    [sym_process_substitution] = STATE(707),
    [aux_sym_redirected_statement_repeat2] = STATE(3795),
    [aux_sym_command_repeat1] = STATE(790),
    [aux_sym__literal_repeat1] = STATE(885),
    [sym_word] = ACTIONS(651),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_GT_GT] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(665),
    [anon_sym_typeset] = ACTIONS(665),
    [anon_sym_export] = ACTIONS(665),
    [anon_sym_readonly] = ACTIONS(665),
    [anon_sym_local] = ACTIONS(665),
    [anon_sym_unset] = ACTIONS(667),
    [anon_sym_unsetenv] = ACTIONS(667),
    [anon_sym_AMP_GT] = ACTIONS(655),
    [anon_sym_AMP_GT_GT] = ACTIONS(657),
    [anon_sym_LT_AMP] = ACTIONS(655),
    [anon_sym_GT_AMP] = ACTIONS(655),
    [anon_sym_GT_PIPE] = ACTIONS(657),
    [anon_sym_LT_AMP_DASH] = ACTIONS(669),
    [anon_sym_GT_AMP_DASH] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(673),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [sym__special_character] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_raw_string] = ACTIONS(683),
    [sym_ansi_c_string] = ACTIONS(683),
    [aux_sym_number_token1] = ACTIONS(685),
    [aux_sym_number_token2] = ACTIONS(687),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(689),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(695),
    [anon_sym_LT_LPAREN] = ACTIONS(697),
    [anon_sym_GT_LPAREN] = ACTIONS(697),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(699),
    [sym_variable_name] = ACTIONS(701),
    [sym_test_operator] = ACTIONS(703),
    [sym__brace_start] = ACTIONS(705),
  },
  [348] = {
    [sym_redirected_statement] = STATE(3754),
    [sym_for_statement] = STATE(3754),
    [sym_c_style_for_statement] = STATE(3754),
    [sym_while_statement] = STATE(3578),
    [sym_if_statement] = STATE(3578),
    [sym_case_statement] = STATE(3754),
    [sym_function_definition] = STATE(3754),
    [sym_compound_statement] = STATE(3754),
    [sym_subshell] = STATE(3754),
    [sym_pipeline] = STATE(3754),
    [sym_list] = STATE(3754),
    [sym_negated_command] = STATE(3754),
    [sym_test_command] = STATE(3754),
    [sym_declaration_command] = STATE(3754),
    [sym_unset_command] = STATE(3754),
    [sym_command] = STATE(3754),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(818),
    [sym_variable_assignments] = STATE(3754),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(1578),
    [sym_herestring_redirect] = STATE(1575),
    [sym_arithmetic_expansion] = STATE(780),
    [sym_brace_expression] = STATE(780),
    [sym_concatenation] = STATE(1133),
    [sym_string] = STATE(780),
    [sym_translated_string] = STATE(780),
    [sym_number] = STATE(780),
    [sym_simple_expansion] = STATE(780),
    [sym_expansion] = STATE(780),
    [sym_command_substitution] = STATE(780),
    [sym_process_substitution] = STATE(780),
    [aux_sym_redirected_statement_repeat2] = STATE(3991),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(988),
    [sym_word] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(321),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(345),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(347),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym__special_character] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(353),
    [sym_raw_string] = ACTIONS(741),
    [sym_ansi_c_string] = ACTIONS(741),
    [aux_sym_number_token1] = ACTIONS(357),
    [aux_sym_number_token2] = ACTIONS(359),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(361),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(363),
    [anon_sym_BQUOTE] = ACTIONS(365),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(367),
    [anon_sym_LT_LPAREN] = ACTIONS(369),
    [anon_sym_GT_LPAREN] = ACTIONS(369),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(743),
    [sym__brace_start] = ACTIONS(377),
  },
  [349] = {
    [sym__expression] = STATE(2578),
    [sym_binary_expression] = STATE(2583),
    [sym_ternary_expression] = STATE(2583),
    [sym_unary_expression] = STATE(2583),
    [sym_postfix_expression] = STATE(2583),
    [sym_parenthesized_expression] = STATE(2583),
    [sym_arithmetic_expansion] = STATE(2106),
    [sym_brace_expression] = STATE(2106),
    [sym_concatenation] = STATE(2583),
    [sym_string] = STATE(2106),
    [sym_translated_string] = STATE(2106),
    [sym_number] = STATE(2106),
    [sym_simple_expansion] = STATE(2106),
    [sym_expansion] = STATE(2106),
    [sym_command_substitution] = STATE(2106),
    [sym_process_substitution] = STATE(2106),
    [aux_sym__literal_repeat1] = STATE(2206),
    [aux_sym_concatenation_repeat1] = STATE(2078),
    [sym_word] = ACTIONS(227),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1009),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(280),
    [anon_sym_GT_GT_EQ] = ACTIONS(280),
    [anon_sym_AMP_EQ] = ACTIONS(280),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(280),
    [anon_sym_PIPE_PIPE] = ACTIONS(280),
    [anon_sym_AMP_AMP] = ACTIONS(280),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_EQ_EQ] = ACTIONS(233),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(280),
    [anon_sym_GT_EQ] = ACTIONS(280),
    [anon_sym_LT_LT] = ACTIONS(233),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_RPAREN] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_EQ_TILDE] = ACTIONS(233),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_PLUS_PLUS2] = ACTIONS(103),
    [anon_sym_DASH_DASH2] = ACTIONS(103),
    [anon_sym_DASH2] = ACTIONS(105),
    [anon_sym_PLUS2] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1009),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1011),
    [aux_sym_concatenation_token1] = ACTIONS(1013),
    [anon_sym_DOLLAR] = ACTIONS(248),
    [sym__special_character] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_raw_string] = ACTIONS(1019),
    [sym_ansi_c_string] = ACTIONS(1019),
    [aux_sym_number_token1] = ACTIONS(254),
    [aux_sym_number_token2] = ACTIONS(256),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1021),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(260),
    [anon_sym_BQUOTE] = ACTIONS(262),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1023),
    [anon_sym_LT_LPAREN] = ACTIONS(1025),
    [anon_sym_GT_LPAREN] = ACTIONS(1025),
    [sym_comment] = ACTIONS(71),
    [sym__concat] = ACTIONS(1013),
    [sym_test_operator] = ACTIONS(272),
    [sym__brace_start] = ACTIONS(274),
  },
  [350] = {
    [sym__expression] = STATE(2362),
    [sym_binary_expression] = STATE(2408),
    [sym_ternary_expression] = STATE(2408),
    [sym_unary_expression] = STATE(2408),
    [sym_postfix_expression] = STATE(2408),
    [sym_parenthesized_expression] = STATE(2408),
    [sym_arithmetic_expansion] = STATE(2099),
    [sym_brace_expression] = STATE(2099),
    [sym_concatenation] = STATE(2408),
    [sym_string] = STATE(2099),
    [sym_translated_string] = STATE(2099),
    [sym_number] = STATE(2099),
    [sym_simple_expansion] = STATE(2099),
    [sym_expansion] = STATE(2099),
    [sym_command_substitution] = STATE(2099),
    [sym_process_substitution] = STATE(2099),
    [aux_sym__literal_repeat1] = STATE(2043),
    [aux_sym_concatenation_repeat1] = STATE(2123),
    [sym_word] = ACTIONS(1027),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(280),
    [anon_sym_GT_GT_EQ] = ACTIONS(280),
    [anon_sym_AMP_EQ] = ACTIONS(280),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(280),
    [anon_sym_PIPE_PIPE] = ACTIONS(280),
    [anon_sym_AMP_AMP] = ACTIONS(280),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_EQ_EQ] = ACTIONS(233),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(280),
    [anon_sym_GT_EQ] = ACTIONS(280),
    [anon_sym_LT_LT] = ACTIONS(233),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_BANG] = ACTIONS(1031),
    [anon_sym_RBRACK] = ACTIONS(1033),
    [anon_sym_EQ_TILDE] = ACTIONS(233),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_PLUS_PLUS2] = ACTIONS(1035),
    [anon_sym_DASH_DASH2] = ACTIONS(1035),
    [anon_sym_DASH2] = ACTIONS(1037),
    [anon_sym_PLUS2] = ACTIONS(1037),
    [anon_sym_TILDE] = ACTIONS(1039),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(289),
    [aux_sym_concatenation_token1] = ACTIONS(1041),
    [anon_sym_DOLLAR] = ACTIONS(293),
    [sym__special_character] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [sym_raw_string] = ACTIONS(1045),
    [sym_ansi_c_string] = ACTIONS(1045),
    [aux_sym_number_token1] = ACTIONS(301),
    [aux_sym_number_token2] = ACTIONS(303),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(305),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(307),
    [anon_sym_BQUOTE] = ACTIONS(309),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(311),
    [anon_sym_LT_LPAREN] = ACTIONS(313),
    [anon_sym_GT_LPAREN] = ACTIONS(313),
    [sym_comment] = ACTIONS(71),
    [sym__concat] = ACTIONS(1047),
    [sym_test_operator] = ACTIONS(1049),
    [sym__brace_start] = ACTIONS(317),
  },
  [351] = {
    [sym__expression] = STATE(2362),
    [sym_binary_expression] = STATE(2408),
    [sym_ternary_expression] = STATE(2408),
    [sym_unary_expression] = STATE(2408),
    [sym_postfix_expression] = STATE(2408),
    [sym_parenthesized_expression] = STATE(2408),
    [sym_arithmetic_expansion] = STATE(2099),
    [sym_brace_expression] = STATE(2099),
    [sym_concatenation] = STATE(2408),
    [sym_string] = STATE(2099),
    [sym_translated_string] = STATE(2099),
    [sym_number] = STATE(2099),
    [sym_simple_expansion] = STATE(2099),
    [sym_expansion] = STATE(2099),
    [sym_command_substitution] = STATE(2099),
    [sym_process_substitution] = STATE(2099),
    [aux_sym__literal_repeat1] = STATE(2043),
    [aux_sym_concatenation_repeat1] = STATE(2123),
    [sym_word] = ACTIONS(1027),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(280),
    [anon_sym_GT_GT_EQ] = ACTIONS(280),
    [anon_sym_AMP_EQ] = ACTIONS(280),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(280),
    [anon_sym_PIPE_PIPE] = ACTIONS(280),
    [anon_sym_AMP_AMP] = ACTIONS(280),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_EQ_EQ] = ACTIONS(233),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(280),
    [anon_sym_GT_EQ] = ACTIONS(280),
    [anon_sym_LT_LT] = ACTIONS(233),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_BANG] = ACTIONS(1031),
    [anon_sym_RBRACK] = ACTIONS(1051),
    [anon_sym_EQ_TILDE] = ACTIONS(233),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_PLUS_PLUS2] = ACTIONS(1035),
    [anon_sym_DASH_DASH2] = ACTIONS(1035),
    [anon_sym_DASH2] = ACTIONS(1037),
    [anon_sym_PLUS2] = ACTIONS(1037),
    [anon_sym_TILDE] = ACTIONS(1039),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(289),
    [aux_sym_concatenation_token1] = ACTIONS(1041),
    [anon_sym_DOLLAR] = ACTIONS(293),
    [sym__special_character] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [sym_raw_string] = ACTIONS(1045),
    [sym_ansi_c_string] = ACTIONS(1045),
    [aux_sym_number_token1] = ACTIONS(301),
    [aux_sym_number_token2] = ACTIONS(303),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(305),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(307),
    [anon_sym_BQUOTE] = ACTIONS(309),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(311),
    [anon_sym_LT_LPAREN] = ACTIONS(313),
    [anon_sym_GT_LPAREN] = ACTIONS(313),
    [sym_comment] = ACTIONS(71),
    [sym__concat] = ACTIONS(1053),
    [sym_test_operator] = ACTIONS(1049),
    [sym__brace_start] = ACTIONS(317),
  },
  [352] = {
    [sym__expression] = STATE(2362),
    [sym_binary_expression] = STATE(2408),
    [sym_ternary_expression] = STATE(2408),
    [sym_unary_expression] = STATE(2408),
    [sym_postfix_expression] = STATE(2408),
    [sym_parenthesized_expression] = STATE(2408),
    [sym_arithmetic_expansion] = STATE(2099),
    [sym_brace_expression] = STATE(2099),
    [sym_concatenation] = STATE(2408),
    [sym_string] = STATE(2099),
    [sym_translated_string] = STATE(2099),
    [sym_number] = STATE(2099),
    [sym_simple_expansion] = STATE(2099),
    [sym_expansion] = STATE(2099),
    [sym_command_substitution] = STATE(2099),
    [sym_process_substitution] = STATE(2099),
    [aux_sym__literal_repeat1] = STATE(2043),
    [aux_sym_concatenation_repeat1] = STATE(2123),
    [sym_word] = ACTIONS(1027),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(280),
    [anon_sym_GT_GT_EQ] = ACTIONS(280),
    [anon_sym_AMP_EQ] = ACTIONS(280),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(280),
    [anon_sym_PIPE_PIPE] = ACTIONS(280),
    [anon_sym_AMP_AMP] = ACTIONS(280),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_EQ_EQ] = ACTIONS(233),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(280),
    [anon_sym_GT_EQ] = ACTIONS(280),
    [anon_sym_LT_LT] = ACTIONS(233),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_BANG] = ACTIONS(1031),
    [anon_sym_RBRACK] = ACTIONS(1055),
    [anon_sym_EQ_TILDE] = ACTIONS(233),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_PLUS_PLUS2] = ACTIONS(1035),
    [anon_sym_DASH_DASH2] = ACTIONS(1035),
    [anon_sym_DASH2] = ACTIONS(1037),
    [anon_sym_PLUS2] = ACTIONS(1037),
    [anon_sym_TILDE] = ACTIONS(1039),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(289),
    [aux_sym_concatenation_token1] = ACTIONS(1041),
    [anon_sym_DOLLAR] = ACTIONS(293),
    [sym__special_character] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [sym_raw_string] = ACTIONS(1045),
    [sym_ansi_c_string] = ACTIONS(1045),
    [aux_sym_number_token1] = ACTIONS(301),
    [aux_sym_number_token2] = ACTIONS(303),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(305),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(307),
    [anon_sym_BQUOTE] = ACTIONS(309),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(311),
    [anon_sym_LT_LPAREN] = ACTIONS(313),
    [anon_sym_GT_LPAREN] = ACTIONS(313),
    [sym_comment] = ACTIONS(71),
    [sym__concat] = ACTIONS(1057),
    [sym_test_operator] = ACTIONS(1049),
    [sym__brace_start] = ACTIONS(317),
  },
  [353] = {
    [sym__expression] = STATE(2362),
    [sym_binary_expression] = STATE(2408),
    [sym_ternary_expression] = STATE(2408),
    [sym_unary_expression] = STATE(2408),
    [sym_postfix_expression] = STATE(2408),
    [sym_parenthesized_expression] = STATE(2408),
    [sym_arithmetic_expansion] = STATE(2099),
    [sym_brace_expression] = STATE(2099),
    [sym_concatenation] = STATE(2408),
    [sym_string] = STATE(2099),
    [sym_translated_string] = STATE(2099),
    [sym_number] = STATE(2099),
    [sym_simple_expansion] = STATE(2099),
    [sym_expansion] = STATE(2099),
    [sym_command_substitution] = STATE(2099),
    [sym_process_substitution] = STATE(2099),
    [aux_sym__literal_repeat1] = STATE(2043),
    [aux_sym_concatenation_repeat1] = STATE(2123),
    [sym_word] = ACTIONS(1027),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(280),
    [anon_sym_GT_GT_EQ] = ACTIONS(280),
    [anon_sym_AMP_EQ] = ACTIONS(280),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(280),
    [anon_sym_PIPE_PIPE] = ACTIONS(280),
    [anon_sym_AMP_AMP] = ACTIONS(280),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_EQ_EQ] = ACTIONS(233),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(280),
    [anon_sym_GT_EQ] = ACTIONS(280),
    [anon_sym_LT_LT] = ACTIONS(233),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_BANG] = ACTIONS(1031),
    [anon_sym_RBRACK] = ACTIONS(1059),
    [anon_sym_EQ_TILDE] = ACTIONS(233),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_PLUS_PLUS2] = ACTIONS(1035),
    [anon_sym_DASH_DASH2] = ACTIONS(1035),
    [anon_sym_DASH2] = ACTIONS(1037),
    [anon_sym_PLUS2] = ACTIONS(1037),
    [anon_sym_TILDE] = ACTIONS(1039),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(289),
    [aux_sym_concatenation_token1] = ACTIONS(1041),
    [anon_sym_DOLLAR] = ACTIONS(293),
    [sym__special_character] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [sym_raw_string] = ACTIONS(1045),
    [sym_ansi_c_string] = ACTIONS(1045),
    [aux_sym_number_token1] = ACTIONS(301),
    [aux_sym_number_token2] = ACTIONS(303),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(305),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(307),
    [anon_sym_BQUOTE] = ACTIONS(309),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(311),
    [anon_sym_LT_LPAREN] = ACTIONS(313),
    [anon_sym_GT_LPAREN] = ACTIONS(313),
    [sym_comment] = ACTIONS(71),
    [sym__concat] = ACTIONS(1061),
    [sym_test_operator] = ACTIONS(1049),
    [sym__brace_start] = ACTIONS(317),
  },
  [354] = {
    [sym__expression] = STATE(2472),
    [sym_binary_expression] = STATE(2479),
    [sym_ternary_expression] = STATE(2479),
    [sym_unary_expression] = STATE(2479),
    [sym_postfix_expression] = STATE(2479),
    [sym_parenthesized_expression] = STATE(2479),
    [sym_arithmetic_expansion] = STATE(2039),
    [sym_brace_expression] = STATE(2039),
    [sym_concatenation] = STATE(2479),
    [sym_string] = STATE(2039),
    [sym_translated_string] = STATE(2039),
    [sym_number] = STATE(2039),
    [sym_simple_expansion] = STATE(2039),
    [sym_expansion] = STATE(2039),
    [sym_command_substitution] = STATE(2039),
    [sym_process_substitution] = STATE(2039),
    [aux_sym__literal_repeat1] = STATE(2151),
    [aux_sym_concatenation_repeat1] = STATE(2114),
    [sym_word] = ACTIONS(276),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(280),
    [anon_sym_GT_GT_EQ] = ACTIONS(280),
    [anon_sym_AMP_EQ] = ACTIONS(280),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(280),
    [anon_sym_PIPE_PIPE] = ACTIONS(280),
    [anon_sym_AMP_AMP] = ACTIONS(280),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_EQ_EQ] = ACTIONS(233),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(280),
    [anon_sym_GT_EQ] = ACTIONS(280),
    [anon_sym_LT_LT] = ACTIONS(233),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(287),
    [anon_sym_RBRACK] = ACTIONS(280),
    [anon_sym_EQ_TILDE] = ACTIONS(233),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_PLUS_PLUS2] = ACTIONS(183),
    [anon_sym_DASH_DASH2] = ACTIONS(183),
    [anon_sym_DASH2] = ACTIONS(185),
    [anon_sym_PLUS2] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(187),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(289),
    [aux_sym_concatenation_token1] = ACTIONS(1041),
    [anon_sym_DOLLAR] = ACTIONS(293),
    [sym__special_character] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [sym_raw_string] = ACTIONS(299),
    [sym_ansi_c_string] = ACTIONS(299),
    [aux_sym_number_token1] = ACTIONS(301),
    [aux_sym_number_token2] = ACTIONS(303),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(305),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(307),
    [anon_sym_BQUOTE] = ACTIONS(309),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(311),
    [anon_sym_LT_LPAREN] = ACTIONS(313),
    [anon_sym_GT_LPAREN] = ACTIONS(313),
    [sym_comment] = ACTIONS(71),
    [sym__concat] = ACTIONS(1041),
    [sym_test_operator] = ACTIONS(315),
    [sym__brace_start] = ACTIONS(317),
  },
  [355] = {
    [sym__expression] = STATE(2362),
    [sym_binary_expression] = STATE(2408),
    [sym_ternary_expression] = STATE(2408),
    [sym_unary_expression] = STATE(2408),
    [sym_postfix_expression] = STATE(2408),
    [sym_parenthesized_expression] = STATE(2408),
    [sym_arithmetic_expansion] = STATE(2099),
    [sym_brace_expression] = STATE(2099),
    [sym_concatenation] = STATE(2408),
    [sym_string] = STATE(2099),
    [sym_translated_string] = STATE(2099),
    [sym_number] = STATE(2099),
    [sym_simple_expansion] = STATE(2099),
    [sym_expansion] = STATE(2099),
    [sym_command_substitution] = STATE(2099),
    [sym_process_substitution] = STATE(2099),
    [aux_sym__literal_repeat1] = STATE(2043),
    [aux_sym_concatenation_repeat1] = STATE(2123),
    [sym_word] = ACTIONS(1027),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(280),
    [anon_sym_GT_GT_EQ] = ACTIONS(280),
    [anon_sym_AMP_EQ] = ACTIONS(280),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(280),
    [anon_sym_PIPE_PIPE] = ACTIONS(280),
    [anon_sym_AMP_AMP] = ACTIONS(280),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_EQ_EQ] = ACTIONS(233),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(280),
    [anon_sym_GT_EQ] = ACTIONS(280),
    [anon_sym_LT_LT] = ACTIONS(233),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_BANG] = ACTIONS(1031),
    [anon_sym_RBRACK] = ACTIONS(1063),
    [anon_sym_EQ_TILDE] = ACTIONS(233),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_PLUS_PLUS2] = ACTIONS(1035),
    [anon_sym_DASH_DASH2] = ACTIONS(1035),
    [anon_sym_DASH2] = ACTIONS(1037),
    [anon_sym_PLUS2] = ACTIONS(1037),
    [anon_sym_TILDE] = ACTIONS(1039),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(289),
    [aux_sym_concatenation_token1] = ACTIONS(1041),
    [anon_sym_DOLLAR] = ACTIONS(293),
    [sym__special_character] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [sym_raw_string] = ACTIONS(1045),
    [sym_ansi_c_string] = ACTIONS(1045),
    [aux_sym_number_token1] = ACTIONS(301),
    [aux_sym_number_token2] = ACTIONS(303),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(305),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(307),
    [anon_sym_BQUOTE] = ACTIONS(309),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(311),
    [anon_sym_LT_LPAREN] = ACTIONS(313),
    [anon_sym_GT_LPAREN] = ACTIONS(313),
    [sym_comment] = ACTIONS(71),
    [sym__concat] = ACTIONS(1065),
    [sym_test_operator] = ACTIONS(1049),
    [sym__brace_start] = ACTIONS(317),
  },
  [356] = {
    [sym__expression] = STATE(2362),
    [sym_binary_expression] = STATE(2408),
    [sym_ternary_expression] = STATE(2408),
    [sym_unary_expression] = STATE(2408),
    [sym_postfix_expression] = STATE(2408),
    [sym_parenthesized_expression] = STATE(2408),
    [sym_arithmetic_expansion] = STATE(2099),
    [sym_brace_expression] = STATE(2099),
    [sym_concatenation] = STATE(2408),
    [sym_string] = STATE(2099),
    [sym_translated_string] = STATE(2099),
    [sym_number] = STATE(2099),
    [sym_simple_expansion] = STATE(2099),
    [sym_expansion] = STATE(2099),
    [sym_command_substitution] = STATE(2099),
    [sym_process_substitution] = STATE(2099),
    [aux_sym__literal_repeat1] = STATE(2043),
    [aux_sym_concatenation_repeat1] = STATE(2123),
    [sym_word] = ACTIONS(1027),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(280),
    [anon_sym_GT_GT_EQ] = ACTIONS(280),
    [anon_sym_AMP_EQ] = ACTIONS(280),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(280),
    [anon_sym_PIPE_PIPE] = ACTIONS(280),
    [anon_sym_AMP_AMP] = ACTIONS(280),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_EQ_EQ] = ACTIONS(233),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(280),
    [anon_sym_GT_EQ] = ACTIONS(280),
    [anon_sym_LT_LT] = ACTIONS(233),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_BANG] = ACTIONS(1031),
    [anon_sym_RBRACK] = ACTIONS(1067),
    [anon_sym_EQ_TILDE] = ACTIONS(233),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_PLUS_PLUS2] = ACTIONS(1035),
    [anon_sym_DASH_DASH2] = ACTIONS(1035),
    [anon_sym_DASH2] = ACTIONS(1037),
    [anon_sym_PLUS2] = ACTIONS(1037),
    [anon_sym_TILDE] = ACTIONS(1039),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(289),
    [aux_sym_concatenation_token1] = ACTIONS(1041),
    [anon_sym_DOLLAR] = ACTIONS(293),
    [sym__special_character] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [sym_raw_string] = ACTIONS(1045),
    [sym_ansi_c_string] = ACTIONS(1045),
    [aux_sym_number_token1] = ACTIONS(301),
    [aux_sym_number_token2] = ACTIONS(303),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(305),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(307),
    [anon_sym_BQUOTE] = ACTIONS(309),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(311),
    [anon_sym_LT_LPAREN] = ACTIONS(313),
    [anon_sym_GT_LPAREN] = ACTIONS(313),
    [sym_comment] = ACTIONS(71),
    [sym__concat] = ACTIONS(1069),
    [sym_test_operator] = ACTIONS(1049),
    [sym__brace_start] = ACTIONS(317),
  },
  [357] = {
    [sym__expression] = STATE(2362),
    [sym_binary_expression] = STATE(2408),
    [sym_ternary_expression] = STATE(2408),
    [sym_unary_expression] = STATE(2408),
    [sym_postfix_expression] = STATE(2408),
    [sym_parenthesized_expression] = STATE(2408),
    [sym_arithmetic_expansion] = STATE(2099),
    [sym_brace_expression] = STATE(2099),
    [sym_concatenation] = STATE(2408),
    [sym_string] = STATE(2099),
    [sym_translated_string] = STATE(2099),
    [sym_number] = STATE(2099),
    [sym_simple_expansion] = STATE(2099),
    [sym_expansion] = STATE(2099),
    [sym_command_substitution] = STATE(2099),
    [sym_process_substitution] = STATE(2099),
    [aux_sym__literal_repeat1] = STATE(2043),
    [aux_sym_concatenation_repeat1] = STATE(2123),
    [sym_word] = ACTIONS(1027),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(280),
    [anon_sym_GT_GT_EQ] = ACTIONS(280),
    [anon_sym_AMP_EQ] = ACTIONS(280),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(280),
    [anon_sym_PIPE_PIPE] = ACTIONS(280),
    [anon_sym_AMP_AMP] = ACTIONS(280),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_EQ_EQ] = ACTIONS(233),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(280),
    [anon_sym_GT_EQ] = ACTIONS(280),
    [anon_sym_LT_LT] = ACTIONS(233),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_BANG] = ACTIONS(1031),
    [anon_sym_RBRACK] = ACTIONS(280),
    [anon_sym_EQ_TILDE] = ACTIONS(233),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_PLUS_PLUS2] = ACTIONS(1035),
    [anon_sym_DASH_DASH2] = ACTIONS(1035),
    [anon_sym_DASH2] = ACTIONS(1037),
    [anon_sym_PLUS2] = ACTIONS(1037),
    [anon_sym_TILDE] = ACTIONS(1039),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(289),
    [aux_sym_concatenation_token1] = ACTIONS(1041),
    [anon_sym_DOLLAR] = ACTIONS(293),
    [sym__special_character] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [sym_raw_string] = ACTIONS(1045),
    [sym_ansi_c_string] = ACTIONS(1045),
    [aux_sym_number_token1] = ACTIONS(301),
    [aux_sym_number_token2] = ACTIONS(303),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(305),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(307),
    [anon_sym_BQUOTE] = ACTIONS(309),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(311),
    [anon_sym_LT_LPAREN] = ACTIONS(313),
    [anon_sym_GT_LPAREN] = ACTIONS(313),
    [sym_comment] = ACTIONS(71),
    [sym__concat] = ACTIONS(280),
    [sym_test_operator] = ACTIONS(1049),
    [sym__brace_start] = ACTIONS(317),
  },
  [358] = {
    [sym__expression] = STATE(2602),
    [sym_binary_expression] = STATE(2192),
    [sym_ternary_expression] = STATE(2192),
    [sym_unary_expression] = STATE(2192),
    [sym_postfix_expression] = STATE(2192),
    [sym_parenthesized_expression] = STATE(2192),
    [sym_arithmetic_expansion] = STATE(2057),
    [sym_brace_expression] = STATE(2057),
    [sym_concatenation] = STATE(2192),
    [sym_string] = STATE(2057),
    [sym_translated_string] = STATE(2057),
    [sym_number] = STATE(2057),
    [sym_simple_expansion] = STATE(2057),
    [sym_expansion] = STATE(2057),
    [sym_command_substitution] = STATE(2057),
    [sym_process_substitution] = STATE(2057),
    [aux_sym__literal_repeat1] = STATE(2075),
    [aux_sym_concatenation_repeat1] = STATE(2103),
    [sym_word] = ACTIONS(1071),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1073),
    [anon_sym_RPAREN_RPAREN] = ACTIONS(280),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(280),
    [anon_sym_GT_GT_EQ] = ACTIONS(280),
    [anon_sym_AMP_EQ] = ACTIONS(280),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(280),
    [anon_sym_PIPE_PIPE] = ACTIONS(280),
    [anon_sym_AMP_AMP] = ACTIONS(280),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_EQ_EQ] = ACTIONS(233),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(280),
    [anon_sym_GT_EQ] = ACTIONS(280),
    [anon_sym_LT_LT] = ACTIONS(233),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_EQ_TILDE] = ACTIONS(233),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_PLUS_PLUS2] = ACTIONS(1079),
    [anon_sym_DASH_DASH2] = ACTIONS(1079),
    [anon_sym_DASH2] = ACTIONS(1081),
    [anon_sym_PLUS2] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1073),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1085),
    [aux_sym_concatenation_token1] = ACTIONS(1087),
    [anon_sym_DOLLAR] = ACTIONS(1089),
    [sym__special_character] = ACTIONS(1091),
    [anon_sym_DQUOTE] = ACTIONS(1093),
    [sym_raw_string] = ACTIONS(1095),
    [sym_ansi_c_string] = ACTIONS(1095),
    [aux_sym_number_token1] = ACTIONS(1097),
    [aux_sym_number_token2] = ACTIONS(1099),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1101),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1103),
    [anon_sym_BQUOTE] = ACTIONS(1105),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1107),
    [anon_sym_LT_LPAREN] = ACTIONS(1109),
    [anon_sym_GT_LPAREN] = ACTIONS(1109),
    [sym_comment] = ACTIONS(71),
    [sym__concat] = ACTIONS(1087),
    [sym_test_operator] = ACTIONS(1111),
    [sym__brace_start] = ACTIONS(1113),
  },
  [359] = {
    [sym__expression] = STATE(2550),
    [sym_binary_expression] = STATE(2192),
    [sym_ternary_expression] = STATE(2192),
    [sym_unary_expression] = STATE(2192),
    [sym_postfix_expression] = STATE(2192),
    [sym_parenthesized_expression] = STATE(2192),
    [sym_arithmetic_expansion] = STATE(2093),
    [sym_brace_expression] = STATE(2093),
    [sym_concatenation] = STATE(2192),
    [sym_string] = STATE(2093),
    [sym_translated_string] = STATE(2093),
    [sym_number] = STATE(2093),
    [sym_simple_expansion] = STATE(2093),
    [sym_expansion] = STATE(2093),
    [sym_command_substitution] = STATE(2093),
    [sym_process_substitution] = STATE(2093),
    [aux_sym__literal_repeat1] = STATE(2126),
    [aux_sym_concatenation_repeat1] = STATE(2033),
    [sym_word] = ACTIONS(1115),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1073),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(280),
    [anon_sym_GT_GT_EQ] = ACTIONS(280),
    [anon_sym_AMP_EQ] = ACTIONS(280),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(280),
    [anon_sym_PIPE_PIPE] = ACTIONS(280),
    [anon_sym_AMP_AMP] = ACTIONS(280),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_EQ_EQ] = ACTIONS(233),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(280),
    [anon_sym_GT_EQ] = ACTIONS(280),
    [anon_sym_LT_LT] = ACTIONS(233),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_BANG] = ACTIONS(1117),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(280),
    [anon_sym_EQ_TILDE] = ACTIONS(233),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_PLUS_PLUS2] = ACTIONS(1119),
    [anon_sym_DASH_DASH2] = ACTIONS(1119),
    [anon_sym_DASH2] = ACTIONS(1121),
    [anon_sym_PLUS2] = ACTIONS(1121),
    [anon_sym_TILDE] = ACTIONS(1123),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1073),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1085),
    [aux_sym_concatenation_token1] = ACTIONS(1087),
    [anon_sym_DOLLAR] = ACTIONS(1089),
    [sym__special_character] = ACTIONS(1125),
    [anon_sym_DQUOTE] = ACTIONS(1093),
    [sym_raw_string] = ACTIONS(1127),
    [sym_ansi_c_string] = ACTIONS(1127),
    [aux_sym_number_token1] = ACTIONS(1097),
    [aux_sym_number_token2] = ACTIONS(1099),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1101),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1103),
    [anon_sym_BQUOTE] = ACTIONS(1105),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1107),
    [anon_sym_LT_LPAREN] = ACTIONS(1109),
    [anon_sym_GT_LPAREN] = ACTIONS(1109),
    [sym_comment] = ACTIONS(71),
    [sym__concat] = ACTIONS(1087),
    [sym_test_operator] = ACTIONS(1129),
    [sym__brace_start] = ACTIONS(1113),
  },
  [360] = {
    [sym__expression] = STATE(2442),
    [sym_binary_expression] = STATE(2192),
    [sym_ternary_expression] = STATE(2192),
    [sym_unary_expression] = STATE(2192),
    [sym_postfix_expression] = STATE(2192),
    [sym_parenthesized_expression] = STATE(2192),
    [sym_arithmetic_expansion] = STATE(2097),
    [sym_brace_expression] = STATE(2097),
    [sym_concatenation] = STATE(2192),
    [sym_string] = STATE(2097),
    [sym_translated_string] = STATE(2097),
    [sym_number] = STATE(2097),
    [sym_simple_expansion] = STATE(2097),
    [sym_expansion] = STATE(2097),
    [sym_command_substitution] = STATE(2097),
    [sym_process_substitution] = STATE(2097),
    [aux_sym__literal_repeat1] = STATE(2075),
    [aux_sym_concatenation_repeat1] = STATE(2030),
    [sym_word] = ACTIONS(1131),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1073),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(280),
    [anon_sym_GT_GT_EQ] = ACTIONS(280),
    [anon_sym_AMP_EQ] = ACTIONS(280),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(280),
    [anon_sym_PIPE_PIPE] = ACTIONS(280),
    [anon_sym_AMP_AMP] = ACTIONS(280),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_EQ_EQ] = ACTIONS(233),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(280),
    [anon_sym_GT_EQ] = ACTIONS(280),
    [anon_sym_LT_LT] = ACTIONS(233),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_BANG] = ACTIONS(1133),
    [anon_sym_EQ_TILDE] = ACTIONS(233),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_COLON] = ACTIONS(233),
    [anon_sym_PLUS_PLUS2] = ACTIONS(1135),
    [anon_sym_DASH_DASH2] = ACTIONS(1135),
    [anon_sym_DASH2] = ACTIONS(1137),
    [anon_sym_PLUS2] = ACTIONS(1137),
    [anon_sym_TILDE] = ACTIONS(1139),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1073),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1085),
    [aux_sym_concatenation_token1] = ACTIONS(1087),
    [anon_sym_DOLLAR] = ACTIONS(1089),
    [sym__special_character] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1093),
    [sym_raw_string] = ACTIONS(1143),
    [sym_ansi_c_string] = ACTIONS(1143),
    [aux_sym_number_token1] = ACTIONS(1097),
    [aux_sym_number_token2] = ACTIONS(1099),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1101),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1103),
    [anon_sym_BQUOTE] = ACTIONS(1105),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1107),
    [anon_sym_LT_LPAREN] = ACTIONS(1109),
    [anon_sym_GT_LPAREN] = ACTIONS(1109),
    [sym_comment] = ACTIONS(71),
    [sym__concat] = ACTIONS(1087),
    [sym_test_operator] = ACTIONS(1145),
    [sym__brace_start] = ACTIONS(1113),
  },
  [361] = {
    [sym__expression] = STATE(2676),
    [sym_binary_expression] = STATE(2192),
    [sym_ternary_expression] = STATE(2192),
    [sym_unary_expression] = STATE(2192),
    [sym_postfix_expression] = STATE(2192),
    [sym_parenthesized_expression] = STATE(2192),
    [sym_arithmetic_expansion] = STATE(2246),
    [sym_brace_expression] = STATE(2246),
    [sym_concatenation] = STATE(2192),
    [sym_string] = STATE(2246),
    [sym_translated_string] = STATE(2246),
    [sym_number] = STATE(2246),
    [sym_simple_expansion] = STATE(2246),
    [sym_expansion] = STATE(2246),
    [sym_command_substitution] = STATE(2246),
    [sym_process_substitution] = STATE(2246),
    [aux_sym__literal_repeat1] = STATE(2075),
    [aux_sym_concatenation_repeat1] = STATE(2150),
    [sym_word] = ACTIONS(1147),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1073),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(280),
    [anon_sym_GT_GT_EQ] = ACTIONS(280),
    [anon_sym_AMP_EQ] = ACTIONS(280),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(280),
    [anon_sym_PIPE_PIPE] = ACTIONS(280),
    [anon_sym_AMP_AMP] = ACTIONS(280),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_EQ_EQ] = ACTIONS(233),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(280),
    [anon_sym_GT_EQ] = ACTIONS(280),
    [anon_sym_LT_LT] = ACTIONS(233),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_BANG] = ACTIONS(1149),
    [anon_sym_EQ_TILDE] = ACTIONS(233),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_PLUS_PLUS2] = ACTIONS(1151),
    [anon_sym_DASH_DASH2] = ACTIONS(1151),
    [anon_sym_DASH2] = ACTIONS(1153),
    [anon_sym_PLUS2] = ACTIONS(1153),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1073),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1085),
    [aux_sym_concatenation_token1] = ACTIONS(1087),
    [anon_sym_DOLLAR] = ACTIONS(1089),
    [sym__special_character] = ACTIONS(1157),
    [anon_sym_DQUOTE] = ACTIONS(1093),
    [sym_raw_string] = ACTIONS(1159),
    [sym_ansi_c_string] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1097),
    [aux_sym_number_token2] = ACTIONS(1099),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1101),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1103),
    [anon_sym_BQUOTE] = ACTIONS(1105),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1107),
    [anon_sym_LT_LPAREN] = ACTIONS(1109),
    [anon_sym_GT_LPAREN] = ACTIONS(1109),
    [sym_comment] = ACTIONS(71),
    [sym__concat] = ACTIONS(1087),
    [sym_test_operator] = ACTIONS(1161),
    [sym__brace_start] = ACTIONS(1113),
  },
  [362] = {
    [sym_string] = STATE(381),
    [sym_word] = ACTIONS(1163),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1163),
    [anon_sym_SEMI] = ACTIONS(1163),
    [anon_sym_EQ] = ACTIONS(1163),
    [anon_sym_PLUS_PLUS] = ACTIONS(1163),
    [anon_sym_DASH_DASH] = ACTIONS(1163),
    [anon_sym_PLUS_EQ] = ACTIONS(1163),
    [anon_sym_DASH_EQ] = ACTIONS(1163),
    [anon_sym_STAR_EQ] = ACTIONS(1163),
    [anon_sym_SLASH_EQ] = ACTIONS(1163),
    [anon_sym_PERCENT_EQ] = ACTIONS(1163),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1163),
    [anon_sym_LT_LT_EQ] = ACTIONS(1163),
    [anon_sym_GT_GT_EQ] = ACTIONS(1163),
    [anon_sym_AMP_EQ] = ACTIONS(1163),
    [anon_sym_CARET_EQ] = ACTIONS(1163),
    [anon_sym_PIPE_EQ] = ACTIONS(1163),
    [anon_sym_PIPE_PIPE] = ACTIONS(1163),
    [anon_sym_AMP_AMP] = ACTIONS(1163),
    [anon_sym_PIPE] = ACTIONS(1163),
    [anon_sym_CARET] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_EQ_EQ] = ACTIONS(1163),
    [anon_sym_BANG_EQ] = ACTIONS(1163),
    [anon_sym_LT] = ACTIONS(1163),
    [anon_sym_GT] = ACTIONS(1163),
    [anon_sym_LT_EQ] = ACTIONS(1163),
    [anon_sym_GT_EQ] = ACTIONS(1163),
    [anon_sym_LT_LT] = ACTIONS(1163),
    [anon_sym_GT_GT] = ACTIONS(1163),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1165),
    [anon_sym_STAR] = ACTIONS(1165),
    [anon_sym_SLASH] = ACTIONS(1163),
    [anon_sym_PERCENT] = ACTIONS(1163),
    [anon_sym_STAR_STAR] = ACTIONS(1163),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_RPAREN] = ACTIONS(1163),
    [anon_sym_SEMI_SEMI] = ACTIONS(1163),
    [anon_sym_PIPE_AMP] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1165),
    [anon_sym_EQ_TILDE] = ACTIONS(1163),
    [anon_sym_AMP_GT] = ACTIONS(1163),
    [anon_sym_AMP_GT_GT] = ACTIONS(1163),
    [anon_sym_LT_AMP] = ACTIONS(1163),
    [anon_sym_GT_AMP] = ACTIONS(1163),
    [anon_sym_GT_PIPE] = ACTIONS(1163),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1163),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1163),
    [anon_sym_LT_LT_DASH] = ACTIONS(1163),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1163),
    [anon_sym_LT_LT_LT] = ACTIONS(1163),
    [anon_sym_QMARK] = ACTIONS(1165),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1163),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1163),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [sym__special_character] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1167),
    [sym_raw_string] = ACTIONS(1163),
    [sym_ansi_c_string] = ACTIONS(1163),
    [aux_sym_number_token1] = ACTIONS(1163),
    [aux_sym_number_token2] = ACTIONS(1163),
    [anon_sym_POUND] = ACTIONS(1165),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1163),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1163),
    [anon_sym_BQUOTE] = ACTIONS(1163),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1163),
    [anon_sym_LT_LPAREN] = ACTIONS(1163),
    [anon_sym_GT_LPAREN] = ACTIONS(1163),
    [sym_comment] = ACTIONS(3),
    [aux_sym__simple_variable_name_token1] = ACTIONS(1169),
    [aux_sym__multiline_variable_name_token1] = ACTIONS(1169),
    [anon_sym_AT2] = ACTIONS(1165),
    [anon_sym_0] = ACTIONS(1165),
    [anon_sym__] = ACTIONS(1165),
    [sym_file_descriptor] = ACTIONS(1171),
    [sym_test_operator] = ACTIONS(1171),
    [sym__bare_dollar] = ACTIONS(1171),
    [sym__brace_start] = ACTIONS(1171),
  },
  [363] = {
    [sym_string] = STATE(381),
    [sym_word] = ACTIONS(1173),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1173),
    [anon_sym_SEMI] = ACTIONS(1173),
    [anon_sym_EQ] = ACTIONS(1173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1173),
    [anon_sym_DASH_DASH] = ACTIONS(1173),
    [anon_sym_PLUS_EQ] = ACTIONS(1173),
    [anon_sym_DASH_EQ] = ACTIONS(1173),
    [anon_sym_STAR_EQ] = ACTIONS(1173),
    [anon_sym_SLASH_EQ] = ACTIONS(1173),
    [anon_sym_PERCENT_EQ] = ACTIONS(1173),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1173),
    [anon_sym_LT_LT_EQ] = ACTIONS(1173),
    [anon_sym_GT_GT_EQ] = ACTIONS(1173),
    [anon_sym_AMP_EQ] = ACTIONS(1173),
    [anon_sym_CARET_EQ] = ACTIONS(1173),
    [anon_sym_PIPE_EQ] = ACTIONS(1173),
    [anon_sym_PIPE_PIPE] = ACTIONS(1173),
    [anon_sym_AMP_AMP] = ACTIONS(1173),
    [anon_sym_PIPE] = ACTIONS(1173),
    [anon_sym_CARET] = ACTIONS(1173),
    [anon_sym_AMP] = ACTIONS(1173),
    [anon_sym_EQ_EQ] = ACTIONS(1173),
    [anon_sym_BANG_EQ] = ACTIONS(1173),
    [anon_sym_LT] = ACTIONS(1173),
    [anon_sym_GT] = ACTIONS(1173),
    [anon_sym_LT_EQ] = ACTIONS(1173),
    [anon_sym_GT_EQ] = ACTIONS(1173),
    [anon_sym_LT_LT] = ACTIONS(1173),
    [anon_sym_GT_GT] = ACTIONS(1173),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1165),
    [anon_sym_STAR] = ACTIONS(1165),
    [anon_sym_SLASH] = ACTIONS(1173),
    [anon_sym_PERCENT] = ACTIONS(1173),
    [anon_sym_STAR_STAR] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_RPAREN] = ACTIONS(1173),
    [anon_sym_SEMI_SEMI] = ACTIONS(1173),
    [anon_sym_PIPE_AMP] = ACTIONS(1173),
    [anon_sym_BANG] = ACTIONS(1165),
    [anon_sym_EQ_TILDE] = ACTIONS(1173),
    [anon_sym_AMP_GT] = ACTIONS(1173),
    [anon_sym_AMP_GT_GT] = ACTIONS(1173),
    [anon_sym_LT_AMP] = ACTIONS(1173),
    [anon_sym_GT_AMP] = ACTIONS(1173),
    [anon_sym_GT_PIPE] = ACTIONS(1173),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1173),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1173),
    [anon_sym_LT_LT_DASH] = ACTIONS(1173),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1173),
    [anon_sym_LT_LT_LT] = ACTIONS(1173),
    [anon_sym_QMARK] = ACTIONS(1165),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1173),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1173),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [sym__special_character] = ACTIONS(1173),
    [anon_sym_DQUOTE] = ACTIONS(1167),
    [sym_raw_string] = ACTIONS(1173),
    [sym_ansi_c_string] = ACTIONS(1173),
    [aux_sym_number_token1] = ACTIONS(1173),
    [aux_sym_number_token2] = ACTIONS(1173),
    [anon_sym_POUND] = ACTIONS(1165),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1173),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1173),
    [anon_sym_BQUOTE] = ACTIONS(1173),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1173),
    [anon_sym_LT_LPAREN] = ACTIONS(1173),
    [anon_sym_GT_LPAREN] = ACTIONS(1173),
    [sym_comment] = ACTIONS(3),
    [aux_sym__simple_variable_name_token1] = ACTIONS(1169),
    [aux_sym__multiline_variable_name_token1] = ACTIONS(1169),
    [anon_sym_AT2] = ACTIONS(1165),
    [anon_sym_0] = ACTIONS(1165),
    [anon_sym__] = ACTIONS(1165),
    [sym_file_descriptor] = ACTIONS(1175),
    [sym_test_operator] = ACTIONS(1175),
    [sym__bare_dollar] = ACTIONS(1175),
    [sym__brace_start] = ACTIONS(1175),
  },
  [364] = {
    [sym_string] = STATE(406),
    [sym_word] = ACTIONS(1163),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1163),
    [anon_sym_EQ] = ACTIONS(1163),
    [anon_sym_PLUS_PLUS] = ACTIONS(1163),
    [anon_sym_DASH_DASH] = ACTIONS(1163),
    [anon_sym_PLUS_EQ] = ACTIONS(1163),
    [anon_sym_DASH_EQ] = ACTIONS(1163),
    [anon_sym_STAR_EQ] = ACTIONS(1163),
    [anon_sym_SLASH_EQ] = ACTIONS(1163),
    [anon_sym_PERCENT_EQ] = ACTIONS(1163),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1163),
    [anon_sym_LT_LT_EQ] = ACTIONS(1163),
    [anon_sym_GT_GT_EQ] = ACTIONS(1163),
    [anon_sym_AMP_EQ] = ACTIONS(1163),
    [anon_sym_CARET_EQ] = ACTIONS(1163),
    [anon_sym_PIPE_EQ] = ACTIONS(1163),
    [anon_sym_PIPE_PIPE] = ACTIONS(1163),
    [anon_sym_AMP_AMP] = ACTIONS(1163),
    [anon_sym_PIPE] = ACTIONS(1163),
    [anon_sym_CARET] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_EQ_EQ] = ACTIONS(1163),
    [anon_sym_BANG_EQ] = ACTIONS(1163),
    [anon_sym_LT] = ACTIONS(1163),
    [anon_sym_GT] = ACTIONS(1163),
    [anon_sym_LT_EQ] = ACTIONS(1163),
    [anon_sym_GT_EQ] = ACTIONS(1163),
    [anon_sym_LT_LT] = ACTIONS(1163),
    [anon_sym_GT_GT] = ACTIONS(1163),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1177),
    [anon_sym_STAR] = ACTIONS(1177),
    [anon_sym_SLASH] = ACTIONS(1163),
    [anon_sym_PERCENT] = ACTIONS(1163),
    [anon_sym_STAR_STAR] = ACTIONS(1163),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_PIPE_AMP] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_RBRACK] = ACTIONS(1163),
    [anon_sym_EQ_TILDE] = ACTIONS(1163),
    [anon_sym_AMP_GT] = ACTIONS(1163),
    [anon_sym_AMP_GT_GT] = ACTIONS(1163),
    [anon_sym_LT_AMP] = ACTIONS(1163),
    [anon_sym_GT_AMP] = ACTIONS(1163),
    [anon_sym_GT_PIPE] = ACTIONS(1163),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1163),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1163),
    [anon_sym_LT_LT_DASH] = ACTIONS(1163),
    [anon_sym_LT_LT_LT] = ACTIONS(1163),
    [anon_sym_QMARK] = ACTIONS(1177),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1163),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1163),
    [anon_sym_DOLLAR] = ACTIONS(1177),
    [sym__special_character] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1179),
    [sym_raw_string] = ACTIONS(1163),
    [sym_ansi_c_string] = ACTIONS(1163),
    [aux_sym_number_token1] = ACTIONS(1163),
    [aux_sym_number_token2] = ACTIONS(1163),
    [anon_sym_POUND] = ACTIONS(1177),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1163),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1163),
    [anon_sym_BQUOTE] = ACTIONS(1163),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1163),
    [anon_sym_LT_LPAREN] = ACTIONS(1163),
    [anon_sym_GT_LPAREN] = ACTIONS(1163),
    [sym_comment] = ACTIONS(3),
    [aux_sym__simple_variable_name_token1] = ACTIONS(1181),
    [aux_sym__multiline_variable_name_token1] = ACTIONS(1181),
    [anon_sym_AT2] = ACTIONS(1177),
    [anon_sym_0] = ACTIONS(1177),
    [anon_sym__] = ACTIONS(1177),
    [sym_file_descriptor] = ACTIONS(1171),
    [sym_test_operator] = ACTIONS(1171),
    [sym__bare_dollar] = ACTIONS(1171),
    [sym__brace_start] = ACTIONS(1171),
  },
  [365] = {
    [sym_string] = STATE(406),
    [sym_word] = ACTIONS(1173),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1173),
    [anon_sym_EQ] = ACTIONS(1173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1173),
    [anon_sym_DASH_DASH] = ACTIONS(1173),
    [anon_sym_PLUS_EQ] = ACTIONS(1173),
    [anon_sym_DASH_EQ] = ACTIONS(1173),
    [anon_sym_STAR_EQ] = ACTIONS(1173),
    [anon_sym_SLASH_EQ] = ACTIONS(1173),
    [anon_sym_PERCENT_EQ] = ACTIONS(1173),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1173),
    [anon_sym_LT_LT_EQ] = ACTIONS(1173),
    [anon_sym_GT_GT_EQ] = ACTIONS(1173),
    [anon_sym_AMP_EQ] = ACTIONS(1173),
    [anon_sym_CARET_EQ] = ACTIONS(1173),
    [anon_sym_PIPE_EQ] = ACTIONS(1173),
    [anon_sym_PIPE_PIPE] = ACTIONS(1173),
    [anon_sym_AMP_AMP] = ACTIONS(1173),
    [anon_sym_PIPE] = ACTIONS(1173),
    [anon_sym_CARET] = ACTIONS(1173),
    [anon_sym_AMP] = ACTIONS(1173),
    [anon_sym_EQ_EQ] = ACTIONS(1173),
    [anon_sym_BANG_EQ] = ACTIONS(1173),
    [anon_sym_LT] = ACTIONS(1173),
    [anon_sym_GT] = ACTIONS(1173),
    [anon_sym_LT_EQ] = ACTIONS(1173),
    [anon_sym_GT_EQ] = ACTIONS(1173),
    [anon_sym_LT_LT] = ACTIONS(1173),
    [anon_sym_GT_GT] = ACTIONS(1173),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1177),
    [anon_sym_STAR] = ACTIONS(1177),
    [anon_sym_SLASH] = ACTIONS(1173),
    [anon_sym_PERCENT] = ACTIONS(1173),
    [anon_sym_STAR_STAR] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_PIPE_AMP] = ACTIONS(1173),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_RBRACK] = ACTIONS(1173),
    [anon_sym_EQ_TILDE] = ACTIONS(1173),
    [anon_sym_AMP_GT] = ACTIONS(1173),
    [anon_sym_AMP_GT_GT] = ACTIONS(1173),
    [anon_sym_LT_AMP] = ACTIONS(1173),
    [anon_sym_GT_AMP] = ACTIONS(1173),
    [anon_sym_GT_PIPE] = ACTIONS(1173),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1173),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1173),
    [anon_sym_LT_LT_DASH] = ACTIONS(1173),
    [anon_sym_LT_LT_LT] = ACTIONS(1173),
    [anon_sym_QMARK] = ACTIONS(1177),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1173),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1173),
    [anon_sym_DOLLAR] = ACTIONS(1177),
    [sym__special_character] = ACTIONS(1173),
    [anon_sym_DQUOTE] = ACTIONS(1179),
    [sym_raw_string] = ACTIONS(1173),
    [sym_ansi_c_string] = ACTIONS(1173),
    [aux_sym_number_token1] = ACTIONS(1173),
    [aux_sym_number_token2] = ACTIONS(1173),
    [anon_sym_POUND] = ACTIONS(1177),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1173),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1173),
    [anon_sym_BQUOTE] = ACTIONS(1173),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1173),
    [anon_sym_LT_LPAREN] = ACTIONS(1173),
    [anon_sym_GT_LPAREN] = ACTIONS(1173),
    [sym_comment] = ACTIONS(3),
    [aux_sym__simple_variable_name_token1] = ACTIONS(1181),
    [aux_sym__multiline_variable_name_token1] = ACTIONS(1181),
    [anon_sym_AT2] = ACTIONS(1177),
    [anon_sym_0] = ACTIONS(1177),
    [anon_sym__] = ACTIONS(1177),
    [sym_file_descriptor] = ACTIONS(1175),
    [sym_test_operator] = ACTIONS(1175),
    [sym__bare_dollar] = ACTIONS(1175),
    [sym__brace_start] = ACTIONS(1175),
  },
  [366] = {
    [aux_sym_concatenation_repeat1] = STATE(368),
    [sym_word] = ACTIONS(1183),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1183),
    [anon_sym_SEMI] = ACTIONS(1183),
    [anon_sym_EQ] = ACTIONS(1185),
    [anon_sym_PLUS_PLUS] = ACTIONS(1185),
    [anon_sym_DASH_DASH] = ACTIONS(1185),
    [anon_sym_PLUS_EQ] = ACTIONS(1185),
    [anon_sym_DASH_EQ] = ACTIONS(1185),
    [anon_sym_STAR_EQ] = ACTIONS(1185),
    [anon_sym_SLASH_EQ] = ACTIONS(1185),
    [anon_sym_PERCENT_EQ] = ACTIONS(1185),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1185),
    [anon_sym_LT_LT_EQ] = ACTIONS(1185),
    [anon_sym_GT_GT_EQ] = ACTIONS(1185),
    [anon_sym_AMP_EQ] = ACTIONS(1185),
    [anon_sym_CARET_EQ] = ACTIONS(1185),
    [anon_sym_PIPE_EQ] = ACTIONS(1185),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [anon_sym_AMP_AMP] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_EQ_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1185),
    [anon_sym_LT] = ACTIONS(1187),
    [anon_sym_GT] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1185),
    [anon_sym_GT_EQ] = ACTIONS(1185),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(1185),
    [anon_sym_SLASH] = ACTIONS(1185),
    [anon_sym_PERCENT] = ACTIONS(1185),
    [anon_sym_STAR_STAR] = ACTIONS(1185),
    [anon_sym_LPAREN] = ACTIONS(1190),
    [anon_sym_RPAREN] = ACTIONS(1187),
    [anon_sym_SEMI_SEMI] = ACTIONS(1183),
    [anon_sym_PIPE_AMP] = ACTIONS(1183),
    [anon_sym_EQ_TILDE] = ACTIONS(1187),
    [anon_sym_AMP_GT] = ACTIONS(1183),
    [anon_sym_AMP_GT_GT] = ACTIONS(1183),
    [anon_sym_LT_AMP] = ACTIONS(1183),
    [anon_sym_GT_AMP] = ACTIONS(1183),
    [anon_sym_GT_PIPE] = ACTIONS(1183),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1183),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1183),
    [anon_sym_LT_LT_DASH] = ACTIONS(1183),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1193),
    [anon_sym_LT_LT_LT] = ACTIONS(1183),
    [anon_sym_QMARK] = ACTIONS(1185),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1183),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1183),
    [aux_sym_concatenation_token1] = ACTIONS(246),
    [anon_sym_DOLLAR] = ACTIONS(1183),
    [sym__special_character] = ACTIONS(1183),
    [anon_sym_DQUOTE] = ACTIONS(1183),
    [sym_raw_string] = ACTIONS(1183),
    [sym_ansi_c_string] = ACTIONS(1183),
    [aux_sym_number_token1] = ACTIONS(1183),
    [aux_sym_number_token2] = ACTIONS(1183),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1183),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1183),
    [anon_sym_BQUOTE] = ACTIONS(1183),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1183),
    [anon_sym_LT_LPAREN] = ACTIONS(1183),
    [anon_sym_GT_LPAREN] = ACTIONS(1183),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1193),
    [sym__concat] = ACTIONS(270),
    [sym_test_operator] = ACTIONS(1195),
    [sym__bare_dollar] = ACTIONS(1193),
    [sym__brace_start] = ACTIONS(1193),
  },
  [367] = {
    [aux_sym_concatenation_repeat1] = STATE(371),
    [sym_word] = ACTIONS(1198),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1198),
    [anon_sym_SEMI] = ACTIONS(1198),
    [anon_sym_EQ] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_EQ] = ACTIONS(1198),
    [anon_sym_DASH_EQ] = ACTIONS(1198),
    [anon_sym_STAR_EQ] = ACTIONS(1198),
    [anon_sym_SLASH_EQ] = ACTIONS(1198),
    [anon_sym_PERCENT_EQ] = ACTIONS(1198),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1198),
    [anon_sym_LT_LT_EQ] = ACTIONS(1198),
    [anon_sym_GT_GT_EQ] = ACTIONS(1198),
    [anon_sym_AMP_EQ] = ACTIONS(1198),
    [anon_sym_CARET_EQ] = ACTIONS(1198),
    [anon_sym_PIPE_EQ] = ACTIONS(1198),
    [anon_sym_PIPE_PIPE] = ACTIONS(1198),
    [anon_sym_AMP_AMP] = ACTIONS(1198),
    [anon_sym_PIPE] = ACTIONS(1198),
    [anon_sym_CARET] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_EQ_EQ] = ACTIONS(1198),
    [anon_sym_BANG_EQ] = ACTIONS(1198),
    [anon_sym_LT] = ACTIONS(1198),
    [anon_sym_GT] = ACTIONS(1198),
    [anon_sym_LT_EQ] = ACTIONS(1198),
    [anon_sym_GT_EQ] = ACTIONS(1198),
    [anon_sym_LT_LT] = ACTIONS(1198),
    [anon_sym_GT_GT] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_SLASH] = ACTIONS(1198),
    [anon_sym_PERCENT] = ACTIONS(1198),
    [anon_sym_STAR_STAR] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1198),
    [anon_sym_RPAREN] = ACTIONS(1198),
    [anon_sym_SEMI_SEMI] = ACTIONS(1198),
    [anon_sym_PIPE_AMP] = ACTIONS(1198),
    [anon_sym_EQ_TILDE] = ACTIONS(1198),
    [anon_sym_AMP_GT] = ACTIONS(1198),
    [anon_sym_AMP_GT_GT] = ACTIONS(1198),
    [anon_sym_LT_AMP] = ACTIONS(1198),
    [anon_sym_GT_AMP] = ACTIONS(1198),
    [anon_sym_GT_PIPE] = ACTIONS(1198),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1198),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1198),
    [anon_sym_LT_LT_DASH] = ACTIONS(1198),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1200),
    [anon_sym_LT_LT_LT] = ACTIONS(1198),
    [anon_sym_QMARK] = ACTIONS(1198),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1198),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1198),
    [aux_sym_concatenation_token1] = ACTIONS(246),
    [anon_sym_DOLLAR] = ACTIONS(1198),
    [sym__special_character] = ACTIONS(1198),
    [anon_sym_DQUOTE] = ACTIONS(1198),
    [sym_raw_string] = ACTIONS(1198),
    [sym_ansi_c_string] = ACTIONS(1198),
    [aux_sym_number_token1] = ACTIONS(1198),
    [aux_sym_number_token2] = ACTIONS(1198),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1198),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1198),
    [anon_sym_BQUOTE] = ACTIONS(1198),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1198),
    [anon_sym_LT_LPAREN] = ACTIONS(1198),
    [anon_sym_GT_LPAREN] = ACTIONS(1198),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1200),
    [sym__concat] = ACTIONS(270),
    [sym_test_operator] = ACTIONS(1200),
    [sym__bare_dollar] = ACTIONS(1200),
    [sym__brace_start] = ACTIONS(1200),
  },
  [368] = {
    [aux_sym_concatenation_repeat1] = STATE(369),
    [sym_word] = ACTIONS(1202),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [anon_sym_EQ] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_PLUS_EQ] = ACTIONS(1202),
    [anon_sym_DASH_EQ] = ACTIONS(1202),
    [anon_sym_STAR_EQ] = ACTIONS(1202),
    [anon_sym_SLASH_EQ] = ACTIONS(1202),
    [anon_sym_PERCENT_EQ] = ACTIONS(1202),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1202),
    [anon_sym_LT_LT_EQ] = ACTIONS(1202),
    [anon_sym_GT_GT_EQ] = ACTIONS(1202),
    [anon_sym_AMP_EQ] = ACTIONS(1202),
    [anon_sym_CARET_EQ] = ACTIONS(1202),
    [anon_sym_PIPE_EQ] = ACTIONS(1202),
    [anon_sym_PIPE_PIPE] = ACTIONS(1202),
    [anon_sym_AMP_AMP] = ACTIONS(1202),
    [anon_sym_PIPE] = ACTIONS(1202),
    [anon_sym_CARET] = ACTIONS(1202),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_EQ_EQ] = ACTIONS(1202),
    [anon_sym_BANG_EQ] = ACTIONS(1202),
    [anon_sym_LT] = ACTIONS(1202),
    [anon_sym_GT] = ACTIONS(1202),
    [anon_sym_LT_EQ] = ACTIONS(1202),
    [anon_sym_GT_EQ] = ACTIONS(1202),
    [anon_sym_LT_LT] = ACTIONS(1202),
    [anon_sym_GT_GT] = ACTIONS(1202),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_SLASH] = ACTIONS(1202),
    [anon_sym_PERCENT] = ACTIONS(1202),
    [anon_sym_STAR_STAR] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1202),
    [anon_sym_RPAREN] = ACTIONS(1202),
    [anon_sym_SEMI_SEMI] = ACTIONS(1202),
    [anon_sym_PIPE_AMP] = ACTIONS(1202),
    [anon_sym_EQ_TILDE] = ACTIONS(1202),
    [anon_sym_AMP_GT] = ACTIONS(1202),
    [anon_sym_AMP_GT_GT] = ACTIONS(1202),
    [anon_sym_LT_AMP] = ACTIONS(1202),
    [anon_sym_GT_AMP] = ACTIONS(1202),
    [anon_sym_GT_PIPE] = ACTIONS(1202),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1202),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1202),
    [anon_sym_LT_LT_DASH] = ACTIONS(1202),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1204),
    [anon_sym_LT_LT_LT] = ACTIONS(1202),
    [anon_sym_QMARK] = ACTIONS(1202),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1202),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1202),
    [aux_sym_concatenation_token1] = ACTIONS(246),
    [anon_sym_DOLLAR] = ACTIONS(1202),
    [sym__special_character] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [sym_raw_string] = ACTIONS(1202),
    [sym_ansi_c_string] = ACTIONS(1202),
    [aux_sym_number_token1] = ACTIONS(1202),
    [aux_sym_number_token2] = ACTIONS(1202),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1202),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1202),
    [anon_sym_BQUOTE] = ACTIONS(1202),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1202),
    [anon_sym_LT_LPAREN] = ACTIONS(1202),
    [anon_sym_GT_LPAREN] = ACTIONS(1202),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1204),
    [sym__concat] = ACTIONS(1206),
    [sym_test_operator] = ACTIONS(1204),
    [sym__bare_dollar] = ACTIONS(1204),
    [sym__brace_start] = ACTIONS(1204),
  },
  [369] = {
    [aux_sym_concatenation_repeat1] = STATE(369),
    [sym_word] = ACTIONS(1208),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1208),
    [anon_sym_SEMI] = ACTIONS(1208),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [anon_sym_PLUS_EQ] = ACTIONS(1208),
    [anon_sym_DASH_EQ] = ACTIONS(1208),
    [anon_sym_STAR_EQ] = ACTIONS(1208),
    [anon_sym_SLASH_EQ] = ACTIONS(1208),
    [anon_sym_PERCENT_EQ] = ACTIONS(1208),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1208),
    [anon_sym_LT_LT_EQ] = ACTIONS(1208),
    [anon_sym_GT_GT_EQ] = ACTIONS(1208),
    [anon_sym_AMP_EQ] = ACTIONS(1208),
    [anon_sym_CARET_EQ] = ACTIONS(1208),
    [anon_sym_PIPE_EQ] = ACTIONS(1208),
    [anon_sym_PIPE_PIPE] = ACTIONS(1208),
    [anon_sym_AMP_AMP] = ACTIONS(1208),
    [anon_sym_PIPE] = ACTIONS(1208),
    [anon_sym_CARET] = ACTIONS(1208),
    [anon_sym_AMP] = ACTIONS(1208),
    [anon_sym_EQ_EQ] = ACTIONS(1208),
    [anon_sym_BANG_EQ] = ACTIONS(1208),
    [anon_sym_LT] = ACTIONS(1208),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_LT_EQ] = ACTIONS(1208),
    [anon_sym_GT_EQ] = ACTIONS(1208),
    [anon_sym_LT_LT] = ACTIONS(1208),
    [anon_sym_GT_GT] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1208),
    [anon_sym_SLASH] = ACTIONS(1208),
    [anon_sym_PERCENT] = ACTIONS(1208),
    [anon_sym_STAR_STAR] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(1208),
    [anon_sym_RPAREN] = ACTIONS(1208),
    [anon_sym_SEMI_SEMI] = ACTIONS(1208),
    [anon_sym_PIPE_AMP] = ACTIONS(1208),
    [anon_sym_EQ_TILDE] = ACTIONS(1208),
    [anon_sym_AMP_GT] = ACTIONS(1208),
    [anon_sym_AMP_GT_GT] = ACTIONS(1208),
    [anon_sym_LT_AMP] = ACTIONS(1208),
    [anon_sym_GT_AMP] = ACTIONS(1208),
    [anon_sym_GT_PIPE] = ACTIONS(1208),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1208),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1208),
    [anon_sym_LT_LT_DASH] = ACTIONS(1208),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1210),
    [anon_sym_LT_LT_LT] = ACTIONS(1208),
    [anon_sym_QMARK] = ACTIONS(1208),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1208),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1208),
    [aux_sym_concatenation_token1] = ACTIONS(1212),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [sym__special_character] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1208),
    [sym_raw_string] = ACTIONS(1208),
    [sym_ansi_c_string] = ACTIONS(1208),
    [aux_sym_number_token1] = ACTIONS(1208),
    [aux_sym_number_token2] = ACTIONS(1208),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1208),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1208),
    [anon_sym_BQUOTE] = ACTIONS(1208),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1208),
    [anon_sym_LT_LPAREN] = ACTIONS(1208),
    [anon_sym_GT_LPAREN] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1210),
    [sym__concat] = ACTIONS(1215),
    [sym_test_operator] = ACTIONS(1210),
    [sym__bare_dollar] = ACTIONS(1210),
    [sym__brace_start] = ACTIONS(1210),
  },
  [370] = {
    [aux_sym_concatenation_repeat1] = STATE(368),
    [sym_word] = ACTIONS(1183),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1183),
    [anon_sym_SEMI] = ACTIONS(1183),
    [anon_sym_EQ] = ACTIONS(1185),
    [anon_sym_PLUS_PLUS] = ACTIONS(1185),
    [anon_sym_DASH_DASH] = ACTIONS(1185),
    [anon_sym_PLUS_EQ] = ACTIONS(1185),
    [anon_sym_DASH_EQ] = ACTIONS(1185),
    [anon_sym_STAR_EQ] = ACTIONS(1185),
    [anon_sym_SLASH_EQ] = ACTIONS(1185),
    [anon_sym_PERCENT_EQ] = ACTIONS(1185),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1185),
    [anon_sym_LT_LT_EQ] = ACTIONS(1185),
    [anon_sym_GT_GT_EQ] = ACTIONS(1185),
    [anon_sym_AMP_EQ] = ACTIONS(1185),
    [anon_sym_CARET_EQ] = ACTIONS(1185),
    [anon_sym_PIPE_EQ] = ACTIONS(1185),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [anon_sym_AMP_AMP] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_EQ_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1185),
    [anon_sym_LT] = ACTIONS(1187),
    [anon_sym_GT] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1185),
    [anon_sym_GT_EQ] = ACTIONS(1185),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(1185),
    [anon_sym_SLASH] = ACTIONS(1185),
    [anon_sym_PERCENT] = ACTIONS(1185),
    [anon_sym_STAR_STAR] = ACTIONS(1185),
    [anon_sym_LPAREN] = ACTIONS(1183),
    [anon_sym_RPAREN] = ACTIONS(1187),
    [anon_sym_SEMI_SEMI] = ACTIONS(1183),
    [anon_sym_PIPE_AMP] = ACTIONS(1183),
    [anon_sym_EQ_TILDE] = ACTIONS(1187),
    [anon_sym_AMP_GT] = ACTIONS(1183),
    [anon_sym_AMP_GT_GT] = ACTIONS(1183),
    [anon_sym_LT_AMP] = ACTIONS(1183),
    [anon_sym_GT_AMP] = ACTIONS(1183),
    [anon_sym_GT_PIPE] = ACTIONS(1183),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1183),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1183),
    [anon_sym_LT_LT_DASH] = ACTIONS(1183),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1193),
    [anon_sym_LT_LT_LT] = ACTIONS(1183),
    [anon_sym_QMARK] = ACTIONS(1185),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1183),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1183),
    [aux_sym_concatenation_token1] = ACTIONS(246),
    [anon_sym_DOLLAR] = ACTIONS(1183),
    [sym__special_character] = ACTIONS(1183),
    [anon_sym_DQUOTE] = ACTIONS(1183),
    [sym_raw_string] = ACTIONS(1183),
    [sym_ansi_c_string] = ACTIONS(1183),
    [aux_sym_number_token1] = ACTIONS(1183),
    [aux_sym_number_token2] = ACTIONS(1183),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1183),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1183),
    [anon_sym_BQUOTE] = ACTIONS(1183),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1183),
    [anon_sym_LT_LPAREN] = ACTIONS(1183),
    [anon_sym_GT_LPAREN] = ACTIONS(1183),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1193),
    [sym__concat] = ACTIONS(270),
    [sym_test_operator] = ACTIONS(1195),
    [sym__bare_dollar] = ACTIONS(1193),
    [sym__brace_start] = ACTIONS(1193),
  },
  [371] = {
    [aux_sym_concatenation_repeat1] = STATE(369),
    [sym_word] = ACTIONS(1218),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(1218),
    [anon_sym_EQ] = ACTIONS(1218),
    [anon_sym_PLUS_PLUS] = ACTIONS(1218),
    [anon_sym_DASH_DASH] = ACTIONS(1218),
    [anon_sym_PLUS_EQ] = ACTIONS(1218),
    [anon_sym_DASH_EQ] = ACTIONS(1218),
    [anon_sym_STAR_EQ] = ACTIONS(1218),
    [anon_sym_SLASH_EQ] = ACTIONS(1218),
    [anon_sym_PERCENT_EQ] = ACTIONS(1218),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1218),
    [anon_sym_LT_LT_EQ] = ACTIONS(1218),
    [anon_sym_GT_GT_EQ] = ACTIONS(1218),
    [anon_sym_AMP_EQ] = ACTIONS(1218),
    [anon_sym_CARET_EQ] = ACTIONS(1218),
    [anon_sym_PIPE_EQ] = ACTIONS(1218),
    [anon_sym_PIPE_PIPE] = ACTIONS(1218),
    [anon_sym_AMP_AMP] = ACTIONS(1218),
    [anon_sym_PIPE] = ACTIONS(1218),
    [anon_sym_CARET] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1218),
    [anon_sym_EQ_EQ] = ACTIONS(1218),
    [anon_sym_BANG_EQ] = ACTIONS(1218),
    [anon_sym_LT] = ACTIONS(1218),
    [anon_sym_GT] = ACTIONS(1218),
    [anon_sym_LT_EQ] = ACTIONS(1218),
    [anon_sym_GT_EQ] = ACTIONS(1218),
    [anon_sym_LT_LT] = ACTIONS(1218),
    [anon_sym_GT_GT] = ACTIONS(1218),
    [anon_sym_PLUS] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1218),
    [anon_sym_STAR] = ACTIONS(1218),
    [anon_sym_SLASH] = ACTIONS(1218),
    [anon_sym_PERCENT] = ACTIONS(1218),
    [anon_sym_STAR_STAR] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1218),
    [anon_sym_RPAREN] = ACTIONS(1218),
    [anon_sym_SEMI_SEMI] = ACTIONS(1218),
    [anon_sym_PIPE_AMP] = ACTIONS(1218),
    [anon_sym_EQ_TILDE] = ACTIONS(1218),
    [anon_sym_AMP_GT] = ACTIONS(1218),
    [anon_sym_AMP_GT_GT] = ACTIONS(1218),
    [anon_sym_LT_AMP] = ACTIONS(1218),
    [anon_sym_GT_AMP] = ACTIONS(1218),
    [anon_sym_GT_PIPE] = ACTIONS(1218),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1218),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1218),
    [anon_sym_LT_LT_DASH] = ACTIONS(1218),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1220),
    [anon_sym_LT_LT_LT] = ACTIONS(1218),
    [anon_sym_QMARK] = ACTIONS(1218),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1218),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1218),
    [aux_sym_concatenation_token1] = ACTIONS(246),
    [anon_sym_DOLLAR] = ACTIONS(1218),
    [sym__special_character] = ACTIONS(1218),
    [anon_sym_DQUOTE] = ACTIONS(1218),
    [sym_raw_string] = ACTIONS(1218),
    [sym_ansi_c_string] = ACTIONS(1218),
    [aux_sym_number_token1] = ACTIONS(1218),
    [aux_sym_number_token2] = ACTIONS(1218),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1218),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1218),
    [anon_sym_BQUOTE] = ACTIONS(1218),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1218),
    [anon_sym_LT_LPAREN] = ACTIONS(1218),
    [anon_sym_GT_LPAREN] = ACTIONS(1218),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1220),
    [sym__concat] = ACTIONS(1222),
    [sym_test_operator] = ACTIONS(1220),
    [sym__bare_dollar] = ACTIONS(1220),
    [sym__brace_start] = ACTIONS(1220),
  },
  [372] = {
    [sym_word] = ACTIONS(1224),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1224),
    [anon_sym_SEMI] = ACTIONS(1224),
    [anon_sym_EQ] = ACTIONS(1224),
    [anon_sym_PLUS_PLUS] = ACTIONS(1224),
    [anon_sym_DASH_DASH] = ACTIONS(1224),
    [anon_sym_PLUS_EQ] = ACTIONS(1224),
    [anon_sym_DASH_EQ] = ACTIONS(1224),
    [anon_sym_STAR_EQ] = ACTIONS(1224),
    [anon_sym_SLASH_EQ] = ACTIONS(1224),
    [anon_sym_PERCENT_EQ] = ACTIONS(1224),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1224),
    [anon_sym_LT_LT_EQ] = ACTIONS(1224),
    [anon_sym_GT_GT_EQ] = ACTIONS(1224),
    [anon_sym_AMP_EQ] = ACTIONS(1224),
    [anon_sym_CARET_EQ] = ACTIONS(1224),
    [anon_sym_PIPE_EQ] = ACTIONS(1224),
    [anon_sym_PIPE_PIPE] = ACTIONS(1224),
    [anon_sym_AMP_AMP] = ACTIONS(1224),
    [anon_sym_PIPE] = ACTIONS(1224),
    [anon_sym_CARET] = ACTIONS(1224),
    [anon_sym_AMP] = ACTIONS(1224),
    [anon_sym_EQ_EQ] = ACTIONS(1224),
    [anon_sym_BANG_EQ] = ACTIONS(1224),
    [anon_sym_LT] = ACTIONS(1224),
    [anon_sym_GT] = ACTIONS(1224),
    [anon_sym_LT_EQ] = ACTIONS(1224),
    [anon_sym_GT_EQ] = ACTIONS(1224),
    [anon_sym_LT_LT] = ACTIONS(1224),
    [anon_sym_GT_GT] = ACTIONS(1224),
    [anon_sym_PLUS] = ACTIONS(1224),
    [anon_sym_DASH] = ACTIONS(1224),
    [anon_sym_STAR] = ACTIONS(1224),
    [anon_sym_SLASH] = ACTIONS(1224),
    [anon_sym_PERCENT] = ACTIONS(1224),
    [anon_sym_STAR_STAR] = ACTIONS(1224),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_RPAREN] = ACTIONS(1224),
    [anon_sym_SEMI_SEMI] = ACTIONS(1224),
    [anon_sym_PIPE_AMP] = ACTIONS(1224),
    [anon_sym_EQ_TILDE] = ACTIONS(1224),
    [anon_sym_AMP_GT] = ACTIONS(1224),
    [anon_sym_AMP_GT_GT] = ACTIONS(1224),
    [anon_sym_LT_AMP] = ACTIONS(1224),
    [anon_sym_GT_AMP] = ACTIONS(1224),
    [anon_sym_GT_PIPE] = ACTIONS(1224),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1224),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1224),
    [anon_sym_LT_LT_DASH] = ACTIONS(1224),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1226),
    [anon_sym_LT_LT_LT] = ACTIONS(1224),
    [anon_sym_QMARK] = ACTIONS(1224),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1224),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1224),
    [aux_sym_concatenation_token1] = ACTIONS(1224),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [sym__special_character] = ACTIONS(1224),
    [anon_sym_DQUOTE] = ACTIONS(1224),
    [sym_raw_string] = ACTIONS(1224),
    [sym_ansi_c_string] = ACTIONS(1224),
    [aux_sym_number_token1] = ACTIONS(1224),
    [aux_sym_number_token2] = ACTIONS(1224),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1224),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1224),
    [anon_sym_BQUOTE] = ACTIONS(1224),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1224),
    [anon_sym_LT_LPAREN] = ACTIONS(1224),
    [anon_sym_GT_LPAREN] = ACTIONS(1224),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1226),
    [sym__concat] = ACTIONS(1226),
    [sym_test_operator] = ACTIONS(1226),
    [sym__bare_dollar] = ACTIONS(1226),
    [sym__brace_start] = ACTIONS(1226),
  },
  [373] = {
    [sym_word] = ACTIONS(1228),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1228),
    [anon_sym_SEMI] = ACTIONS(1228),
    [anon_sym_EQ] = ACTIONS(1228),
    [anon_sym_PLUS_PLUS] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1228),
    [anon_sym_PLUS_EQ] = ACTIONS(1228),
    [anon_sym_DASH_EQ] = ACTIONS(1228),
    [anon_sym_STAR_EQ] = ACTIONS(1228),
    [anon_sym_SLASH_EQ] = ACTIONS(1228),
    [anon_sym_PERCENT_EQ] = ACTIONS(1228),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1228),
    [anon_sym_LT_LT_EQ] = ACTIONS(1228),
    [anon_sym_GT_GT_EQ] = ACTIONS(1228),
    [anon_sym_AMP_EQ] = ACTIONS(1228),
    [anon_sym_CARET_EQ] = ACTIONS(1228),
    [anon_sym_PIPE_EQ] = ACTIONS(1228),
    [anon_sym_PIPE_PIPE] = ACTIONS(1228),
    [anon_sym_AMP_AMP] = ACTIONS(1228),
    [anon_sym_PIPE] = ACTIONS(1228),
    [anon_sym_CARET] = ACTIONS(1228),
    [anon_sym_AMP] = ACTIONS(1228),
    [anon_sym_EQ_EQ] = ACTIONS(1228),
    [anon_sym_BANG_EQ] = ACTIONS(1228),
    [anon_sym_LT] = ACTIONS(1228),
    [anon_sym_GT] = ACTIONS(1228),
    [anon_sym_LT_EQ] = ACTIONS(1228),
    [anon_sym_GT_EQ] = ACTIONS(1228),
    [anon_sym_LT_LT] = ACTIONS(1228),
    [anon_sym_GT_GT] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_STAR] = ACTIONS(1228),
    [anon_sym_SLASH] = ACTIONS(1228),
    [anon_sym_PERCENT] = ACTIONS(1228),
    [anon_sym_STAR_STAR] = ACTIONS(1228),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_RPAREN] = ACTIONS(1228),
    [anon_sym_SEMI_SEMI] = ACTIONS(1228),
    [anon_sym_PIPE_AMP] = ACTIONS(1228),
    [anon_sym_EQ_TILDE] = ACTIONS(1228),
    [anon_sym_AMP_GT] = ACTIONS(1228),
    [anon_sym_AMP_GT_GT] = ACTIONS(1228),
    [anon_sym_LT_AMP] = ACTIONS(1228),
    [anon_sym_GT_AMP] = ACTIONS(1228),
    [anon_sym_GT_PIPE] = ACTIONS(1228),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1228),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1228),
    [anon_sym_LT_LT_DASH] = ACTIONS(1228),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1230),
    [anon_sym_LT_LT_LT] = ACTIONS(1228),
    [anon_sym_QMARK] = ACTIONS(1228),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1228),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1228),
    [aux_sym_concatenation_token1] = ACTIONS(1228),
    [anon_sym_DOLLAR] = ACTIONS(1228),
    [sym__special_character] = ACTIONS(1228),
    [anon_sym_DQUOTE] = ACTIONS(1228),
    [sym_raw_string] = ACTIONS(1228),
    [sym_ansi_c_string] = ACTIONS(1228),
    [aux_sym_number_token1] = ACTIONS(1228),
    [aux_sym_number_token2] = ACTIONS(1228),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1228),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1228),
    [anon_sym_BQUOTE] = ACTIONS(1228),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1228),
    [anon_sym_LT_LPAREN] = ACTIONS(1228),
    [anon_sym_GT_LPAREN] = ACTIONS(1228),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1230),
    [sym__concat] = ACTIONS(1230),
    [sym_test_operator] = ACTIONS(1230),
    [sym__bare_dollar] = ACTIONS(1230),
    [sym__brace_start] = ACTIONS(1230),
  },
  [374] = {
    [sym_word] = ACTIONS(1232),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1232),
    [anon_sym_SEMI] = ACTIONS(1232),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_PLUS_PLUS] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1232),
    [anon_sym_PLUS_EQ] = ACTIONS(1232),
    [anon_sym_DASH_EQ] = ACTIONS(1232),
    [anon_sym_STAR_EQ] = ACTIONS(1232),
    [anon_sym_SLASH_EQ] = ACTIONS(1232),
    [anon_sym_PERCENT_EQ] = ACTIONS(1232),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1232),
    [anon_sym_LT_LT_EQ] = ACTIONS(1232),
    [anon_sym_GT_GT_EQ] = ACTIONS(1232),
    [anon_sym_AMP_EQ] = ACTIONS(1232),
    [anon_sym_CARET_EQ] = ACTIONS(1232),
    [anon_sym_PIPE_EQ] = ACTIONS(1232),
    [anon_sym_PIPE_PIPE] = ACTIONS(1232),
    [anon_sym_AMP_AMP] = ACTIONS(1232),
    [anon_sym_PIPE] = ACTIONS(1232),
    [anon_sym_CARET] = ACTIONS(1232),
    [anon_sym_AMP] = ACTIONS(1232),
    [anon_sym_EQ_EQ] = ACTIONS(1232),
    [anon_sym_BANG_EQ] = ACTIONS(1232),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(1232),
    [anon_sym_LT_EQ] = ACTIONS(1232),
    [anon_sym_GT_EQ] = ACTIONS(1232),
    [anon_sym_LT_LT] = ACTIONS(1232),
    [anon_sym_GT_GT] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_STAR] = ACTIONS(1232),
    [anon_sym_SLASH] = ACTIONS(1232),
    [anon_sym_PERCENT] = ACTIONS(1232),
    [anon_sym_STAR_STAR] = ACTIONS(1232),
    [anon_sym_LPAREN] = ACTIONS(1232),
    [anon_sym_RPAREN] = ACTIONS(1232),
    [anon_sym_SEMI_SEMI] = ACTIONS(1232),
    [anon_sym_PIPE_AMP] = ACTIONS(1232),
    [anon_sym_EQ_TILDE] = ACTIONS(1232),
    [anon_sym_AMP_GT] = ACTIONS(1232),
    [anon_sym_AMP_GT_GT] = ACTIONS(1232),
    [anon_sym_LT_AMP] = ACTIONS(1232),
    [anon_sym_GT_AMP] = ACTIONS(1232),
    [anon_sym_GT_PIPE] = ACTIONS(1232),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1232),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1232),
    [anon_sym_LT_LT_DASH] = ACTIONS(1232),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1234),
    [anon_sym_LT_LT_LT] = ACTIONS(1232),
    [anon_sym_QMARK] = ACTIONS(1232),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1232),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1232),
    [aux_sym_concatenation_token1] = ACTIONS(1232),
    [anon_sym_DOLLAR] = ACTIONS(1232),
    [sym__special_character] = ACTIONS(1232),
    [anon_sym_DQUOTE] = ACTIONS(1232),
    [sym_raw_string] = ACTIONS(1232),
    [sym_ansi_c_string] = ACTIONS(1232),
    [aux_sym_number_token1] = ACTIONS(1232),
    [aux_sym_number_token2] = ACTIONS(1232),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1232),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1232),
    [anon_sym_BQUOTE] = ACTIONS(1232),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1232),
    [anon_sym_LT_LPAREN] = ACTIONS(1232),
    [anon_sym_GT_LPAREN] = ACTIONS(1232),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1234),
    [sym__concat] = ACTIONS(1234),
    [sym_test_operator] = ACTIONS(1234),
    [sym__bare_dollar] = ACTIONS(1234),
    [sym__brace_start] = ACTIONS(1234),
  },
  [375] = {
    [sym_word] = ACTIONS(1236),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1236),
    [anon_sym_SEMI] = ACTIONS(1236),
    [anon_sym_EQ] = ACTIONS(1236),
    [anon_sym_PLUS_PLUS] = ACTIONS(1236),
    [anon_sym_DASH_DASH] = ACTIONS(1236),
    [anon_sym_PLUS_EQ] = ACTIONS(1236),
    [anon_sym_DASH_EQ] = ACTIONS(1236),
    [anon_sym_STAR_EQ] = ACTIONS(1236),
    [anon_sym_SLASH_EQ] = ACTIONS(1236),
    [anon_sym_PERCENT_EQ] = ACTIONS(1236),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1236),
    [anon_sym_LT_LT_EQ] = ACTIONS(1236),
    [anon_sym_GT_GT_EQ] = ACTIONS(1236),
    [anon_sym_AMP_EQ] = ACTIONS(1236),
    [anon_sym_CARET_EQ] = ACTIONS(1236),
    [anon_sym_PIPE_EQ] = ACTIONS(1236),
    [anon_sym_PIPE_PIPE] = ACTIONS(1236),
    [anon_sym_AMP_AMP] = ACTIONS(1236),
    [anon_sym_PIPE] = ACTIONS(1236),
    [anon_sym_CARET] = ACTIONS(1236),
    [anon_sym_AMP] = ACTIONS(1236),
    [anon_sym_EQ_EQ] = ACTIONS(1236),
    [anon_sym_BANG_EQ] = ACTIONS(1236),
    [anon_sym_LT] = ACTIONS(1236),
    [anon_sym_GT] = ACTIONS(1236),
    [anon_sym_LT_EQ] = ACTIONS(1236),
    [anon_sym_GT_EQ] = ACTIONS(1236),
    [anon_sym_LT_LT] = ACTIONS(1236),
    [anon_sym_GT_GT] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_STAR] = ACTIONS(1236),
    [anon_sym_SLASH] = ACTIONS(1236),
    [anon_sym_PERCENT] = ACTIONS(1236),
    [anon_sym_STAR_STAR] = ACTIONS(1236),
    [anon_sym_LPAREN] = ACTIONS(1236),
    [anon_sym_RPAREN] = ACTIONS(1236),
    [anon_sym_SEMI_SEMI] = ACTIONS(1236),
    [anon_sym_PIPE_AMP] = ACTIONS(1236),
    [anon_sym_EQ_TILDE] = ACTIONS(1236),
    [anon_sym_AMP_GT] = ACTIONS(1236),
    [anon_sym_AMP_GT_GT] = ACTIONS(1236),
    [anon_sym_LT_AMP] = ACTIONS(1236),
    [anon_sym_GT_AMP] = ACTIONS(1236),
    [anon_sym_GT_PIPE] = ACTIONS(1236),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1236),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1236),
    [anon_sym_LT_LT_DASH] = ACTIONS(1236),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1238),
    [anon_sym_LT_LT_LT] = ACTIONS(1236),
    [anon_sym_QMARK] = ACTIONS(1236),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1236),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1236),
    [aux_sym_concatenation_token1] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1236),
    [sym__special_character] = ACTIONS(1236),
    [anon_sym_DQUOTE] = ACTIONS(1236),
    [sym_raw_string] = ACTIONS(1236),
    [sym_ansi_c_string] = ACTIONS(1236),
    [aux_sym_number_token1] = ACTIONS(1236),
    [aux_sym_number_token2] = ACTIONS(1236),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1236),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1236),
    [anon_sym_BQUOTE] = ACTIONS(1236),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1236),
    [anon_sym_LT_LPAREN] = ACTIONS(1236),
    [anon_sym_GT_LPAREN] = ACTIONS(1236),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1238),
    [sym__concat] = ACTIONS(1238),
    [sym_test_operator] = ACTIONS(1238),
    [sym__bare_dollar] = ACTIONS(1238),
    [sym__brace_start] = ACTIONS(1238),
  },
  [376] = {
    [sym_word] = ACTIONS(1240),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1240),
    [anon_sym_SEMI] = ACTIONS(1240),
    [anon_sym_EQ] = ACTIONS(1240),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [anon_sym_PLUS_EQ] = ACTIONS(1240),
    [anon_sym_DASH_EQ] = ACTIONS(1240),
    [anon_sym_STAR_EQ] = ACTIONS(1240),
    [anon_sym_SLASH_EQ] = ACTIONS(1240),
    [anon_sym_PERCENT_EQ] = ACTIONS(1240),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1240),
    [anon_sym_LT_LT_EQ] = ACTIONS(1240),
    [anon_sym_GT_GT_EQ] = ACTIONS(1240),
    [anon_sym_AMP_EQ] = ACTIONS(1240),
    [anon_sym_CARET_EQ] = ACTIONS(1240),
    [anon_sym_PIPE_EQ] = ACTIONS(1240),
    [anon_sym_PIPE_PIPE] = ACTIONS(1240),
    [anon_sym_AMP_AMP] = ACTIONS(1240),
    [anon_sym_PIPE] = ACTIONS(1240),
    [anon_sym_CARET] = ACTIONS(1240),
    [anon_sym_AMP] = ACTIONS(1240),
    [anon_sym_EQ_EQ] = ACTIONS(1240),
    [anon_sym_BANG_EQ] = ACTIONS(1240),
    [anon_sym_LT] = ACTIONS(1240),
    [anon_sym_GT] = ACTIONS(1240),
    [anon_sym_LT_EQ] = ACTIONS(1240),
    [anon_sym_GT_EQ] = ACTIONS(1240),
    [anon_sym_LT_LT] = ACTIONS(1240),
    [anon_sym_GT_GT] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_STAR] = ACTIONS(1240),
    [anon_sym_SLASH] = ACTIONS(1240),
    [anon_sym_PERCENT] = ACTIONS(1240),
    [anon_sym_STAR_STAR] = ACTIONS(1240),
    [anon_sym_LPAREN] = ACTIONS(1240),
    [anon_sym_RPAREN] = ACTIONS(1240),
    [anon_sym_SEMI_SEMI] = ACTIONS(1240),
    [anon_sym_PIPE_AMP] = ACTIONS(1240),
    [anon_sym_EQ_TILDE] = ACTIONS(1240),
    [anon_sym_AMP_GT] = ACTIONS(1240),
    [anon_sym_AMP_GT_GT] = ACTIONS(1240),
    [anon_sym_LT_AMP] = ACTIONS(1240),
    [anon_sym_GT_AMP] = ACTIONS(1240),
    [anon_sym_GT_PIPE] = ACTIONS(1240),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1240),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1240),
    [anon_sym_LT_LT_DASH] = ACTIONS(1240),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1242),
    [anon_sym_LT_LT_LT] = ACTIONS(1240),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1240),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1240),
    [aux_sym_concatenation_token1] = ACTIONS(1240),
    [anon_sym_DOLLAR] = ACTIONS(1240),
    [sym__special_character] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [sym_raw_string] = ACTIONS(1240),
    [sym_ansi_c_string] = ACTIONS(1240),
    [aux_sym_number_token1] = ACTIONS(1240),
    [aux_sym_number_token2] = ACTIONS(1240),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1240),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1240),
    [anon_sym_BQUOTE] = ACTIONS(1240),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1240),
    [anon_sym_LT_LPAREN] = ACTIONS(1240),
    [anon_sym_GT_LPAREN] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1242),
    [sym__concat] = ACTIONS(1242),
    [sym_test_operator] = ACTIONS(1242),
    [sym__bare_dollar] = ACTIONS(1242),
    [sym__brace_start] = ACTIONS(1242),
  },
  [377] = {
    [sym_word] = ACTIONS(1244),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1244),
    [anon_sym_SEMI] = ACTIONS(1244),
    [anon_sym_EQ] = ACTIONS(1244),
    [anon_sym_PLUS_PLUS] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1244),
    [anon_sym_PLUS_EQ] = ACTIONS(1244),
    [anon_sym_DASH_EQ] = ACTIONS(1244),
    [anon_sym_STAR_EQ] = ACTIONS(1244),
    [anon_sym_SLASH_EQ] = ACTIONS(1244),
    [anon_sym_PERCENT_EQ] = ACTIONS(1244),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1244),
    [anon_sym_LT_LT_EQ] = ACTIONS(1244),
    [anon_sym_GT_GT_EQ] = ACTIONS(1244),
    [anon_sym_AMP_EQ] = ACTIONS(1244),
    [anon_sym_CARET_EQ] = ACTIONS(1244),
    [anon_sym_PIPE_EQ] = ACTIONS(1244),
    [anon_sym_PIPE_PIPE] = ACTIONS(1244),
    [anon_sym_AMP_AMP] = ACTIONS(1244),
    [anon_sym_PIPE] = ACTIONS(1244),
    [anon_sym_CARET] = ACTIONS(1244),
    [anon_sym_AMP] = ACTIONS(1244),
    [anon_sym_EQ_EQ] = ACTIONS(1244),
    [anon_sym_BANG_EQ] = ACTIONS(1244),
    [anon_sym_LT] = ACTIONS(1244),
    [anon_sym_GT] = ACTIONS(1244),
    [anon_sym_LT_EQ] = ACTIONS(1244),
    [anon_sym_GT_EQ] = ACTIONS(1244),
    [anon_sym_LT_LT] = ACTIONS(1244),
    [anon_sym_GT_GT] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_STAR] = ACTIONS(1244),
    [anon_sym_SLASH] = ACTIONS(1244),
    [anon_sym_PERCENT] = ACTIONS(1244),
    [anon_sym_STAR_STAR] = ACTIONS(1244),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_RPAREN] = ACTIONS(1244),
    [anon_sym_SEMI_SEMI] = ACTIONS(1244),
    [anon_sym_PIPE_AMP] = ACTIONS(1244),
    [anon_sym_EQ_TILDE] = ACTIONS(1244),
    [anon_sym_AMP_GT] = ACTIONS(1244),
    [anon_sym_AMP_GT_GT] = ACTIONS(1244),
    [anon_sym_LT_AMP] = ACTIONS(1244),
    [anon_sym_GT_AMP] = ACTIONS(1244),
    [anon_sym_GT_PIPE] = ACTIONS(1244),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1244),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1244),
    [anon_sym_LT_LT_DASH] = ACTIONS(1244),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1246),
    [anon_sym_LT_LT_LT] = ACTIONS(1244),
    [anon_sym_QMARK] = ACTIONS(1244),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1244),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1244),
    [aux_sym_concatenation_token1] = ACTIONS(1244),
    [anon_sym_DOLLAR] = ACTIONS(1244),
    [sym__special_character] = ACTIONS(1244),
    [anon_sym_DQUOTE] = ACTIONS(1244),
    [sym_raw_string] = ACTIONS(1244),
    [sym_ansi_c_string] = ACTIONS(1244),
    [aux_sym_number_token1] = ACTIONS(1244),
    [aux_sym_number_token2] = ACTIONS(1244),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1244),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1244),
    [anon_sym_BQUOTE] = ACTIONS(1244),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1244),
    [anon_sym_LT_LPAREN] = ACTIONS(1244),
    [anon_sym_GT_LPAREN] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1246),
    [sym__concat] = ACTIONS(1246),
    [sym_test_operator] = ACTIONS(1246),
    [sym__bare_dollar] = ACTIONS(1246),
    [sym__brace_start] = ACTIONS(1246),
  },
  [378] = {
    [sym_word] = ACTIONS(1248),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1248),
    [anon_sym_SEMI] = ACTIONS(1248),
    [anon_sym_EQ] = ACTIONS(1248),
    [anon_sym_PLUS_PLUS] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1248),
    [anon_sym_PLUS_EQ] = ACTIONS(1248),
    [anon_sym_DASH_EQ] = ACTIONS(1248),
    [anon_sym_STAR_EQ] = ACTIONS(1248),
    [anon_sym_SLASH_EQ] = ACTIONS(1248),
    [anon_sym_PERCENT_EQ] = ACTIONS(1248),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1248),
    [anon_sym_LT_LT_EQ] = ACTIONS(1248),
    [anon_sym_GT_GT_EQ] = ACTIONS(1248),
    [anon_sym_AMP_EQ] = ACTIONS(1248),
    [anon_sym_CARET_EQ] = ACTIONS(1248),
    [anon_sym_PIPE_EQ] = ACTIONS(1248),
    [anon_sym_PIPE_PIPE] = ACTIONS(1248),
    [anon_sym_AMP_AMP] = ACTIONS(1248),
    [anon_sym_PIPE] = ACTIONS(1248),
    [anon_sym_CARET] = ACTIONS(1248),
    [anon_sym_AMP] = ACTIONS(1248),
    [anon_sym_EQ_EQ] = ACTIONS(1248),
    [anon_sym_BANG_EQ] = ACTIONS(1248),
    [anon_sym_LT] = ACTIONS(1248),
    [anon_sym_GT] = ACTIONS(1248),
    [anon_sym_LT_EQ] = ACTIONS(1248),
    [anon_sym_GT_EQ] = ACTIONS(1248),
    [anon_sym_LT_LT] = ACTIONS(1248),
    [anon_sym_GT_GT] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(1248),
    [anon_sym_SLASH] = ACTIONS(1248),
    [anon_sym_PERCENT] = ACTIONS(1248),
    [anon_sym_STAR_STAR] = ACTIONS(1248),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [anon_sym_RPAREN] = ACTIONS(1248),
    [anon_sym_SEMI_SEMI] = ACTIONS(1248),
    [anon_sym_PIPE_AMP] = ACTIONS(1248),
    [anon_sym_EQ_TILDE] = ACTIONS(1248),
    [anon_sym_AMP_GT] = ACTIONS(1248),
    [anon_sym_AMP_GT_GT] = ACTIONS(1248),
    [anon_sym_LT_AMP] = ACTIONS(1248),
    [anon_sym_GT_AMP] = ACTIONS(1248),
    [anon_sym_GT_PIPE] = ACTIONS(1248),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1248),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1248),
    [anon_sym_LT_LT_DASH] = ACTIONS(1248),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1250),
    [anon_sym_LT_LT_LT] = ACTIONS(1248),
    [anon_sym_QMARK] = ACTIONS(1248),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1248),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1248),
    [aux_sym_concatenation_token1] = ACTIONS(1248),
    [anon_sym_DOLLAR] = ACTIONS(1248),
    [sym__special_character] = ACTIONS(1248),
    [anon_sym_DQUOTE] = ACTIONS(1248),
    [sym_raw_string] = ACTIONS(1248),
    [sym_ansi_c_string] = ACTIONS(1248),
    [aux_sym_number_token1] = ACTIONS(1248),
    [aux_sym_number_token2] = ACTIONS(1248),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1248),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1248),
    [anon_sym_BQUOTE] = ACTIONS(1248),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1248),
    [anon_sym_LT_LPAREN] = ACTIONS(1248),
    [anon_sym_GT_LPAREN] = ACTIONS(1248),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1250),
    [sym__concat] = ACTIONS(1250),
    [sym_test_operator] = ACTIONS(1250),
    [sym__bare_dollar] = ACTIONS(1250),
    [sym__brace_start] = ACTIONS(1250),
  },
  [379] = {
    [sym_word] = ACTIONS(1252),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1252),
    [anon_sym_SEMI] = ACTIONS(1252),
    [anon_sym_EQ] = ACTIONS(1252),
    [anon_sym_PLUS_PLUS] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1252),
    [anon_sym_PLUS_EQ] = ACTIONS(1252),
    [anon_sym_DASH_EQ] = ACTIONS(1252),
    [anon_sym_STAR_EQ] = ACTIONS(1252),
    [anon_sym_SLASH_EQ] = ACTIONS(1252),
    [anon_sym_PERCENT_EQ] = ACTIONS(1252),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1252),
    [anon_sym_LT_LT_EQ] = ACTIONS(1252),
    [anon_sym_GT_GT_EQ] = ACTIONS(1252),
    [anon_sym_AMP_EQ] = ACTIONS(1252),
    [anon_sym_CARET_EQ] = ACTIONS(1252),
    [anon_sym_PIPE_EQ] = ACTIONS(1252),
    [anon_sym_PIPE_PIPE] = ACTIONS(1252),
    [anon_sym_AMP_AMP] = ACTIONS(1252),
    [anon_sym_PIPE] = ACTIONS(1252),
    [anon_sym_CARET] = ACTIONS(1252),
    [anon_sym_AMP] = ACTIONS(1252),
    [anon_sym_EQ_EQ] = ACTIONS(1252),
    [anon_sym_BANG_EQ] = ACTIONS(1252),
    [anon_sym_LT] = ACTIONS(1252),
    [anon_sym_GT] = ACTIONS(1252),
    [anon_sym_LT_EQ] = ACTIONS(1252),
    [anon_sym_GT_EQ] = ACTIONS(1252),
    [anon_sym_LT_LT] = ACTIONS(1252),
    [anon_sym_GT_GT] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_STAR] = ACTIONS(1252),
    [anon_sym_SLASH] = ACTIONS(1252),
    [anon_sym_PERCENT] = ACTIONS(1252),
    [anon_sym_STAR_STAR] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1252),
    [anon_sym_RPAREN] = ACTIONS(1252),
    [anon_sym_SEMI_SEMI] = ACTIONS(1252),
    [anon_sym_PIPE_AMP] = ACTIONS(1252),
    [anon_sym_EQ_TILDE] = ACTIONS(1252),
    [anon_sym_AMP_GT] = ACTIONS(1252),
    [anon_sym_AMP_GT_GT] = ACTIONS(1252),
    [anon_sym_LT_AMP] = ACTIONS(1252),
    [anon_sym_GT_AMP] = ACTIONS(1252),
    [anon_sym_GT_PIPE] = ACTIONS(1252),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1252),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1252),
    [anon_sym_LT_LT_DASH] = ACTIONS(1252),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1254),
    [anon_sym_LT_LT_LT] = ACTIONS(1252),
    [anon_sym_QMARK] = ACTIONS(1252),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1252),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1252),
    [aux_sym_concatenation_token1] = ACTIONS(1252),
    [anon_sym_DOLLAR] = ACTIONS(1252),
    [sym__special_character] = ACTIONS(1252),
    [anon_sym_DQUOTE] = ACTIONS(1252),
    [sym_raw_string] = ACTIONS(1252),
    [sym_ansi_c_string] = ACTIONS(1252),
    [aux_sym_number_token1] = ACTIONS(1252),
    [aux_sym_number_token2] = ACTIONS(1252),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1252),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1252),
    [anon_sym_BQUOTE] = ACTIONS(1252),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1252),
    [anon_sym_LT_LPAREN] = ACTIONS(1252),
    [anon_sym_GT_LPAREN] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1254),
    [sym__concat] = ACTIONS(1254),
    [sym_test_operator] = ACTIONS(1254),
    [sym__bare_dollar] = ACTIONS(1254),
    [sym__brace_start] = ACTIONS(1254),
  },
  [380] = {
    [sym_word] = ACTIONS(1256),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1256),
    [anon_sym_SEMI] = ACTIONS(1256),
    [anon_sym_EQ] = ACTIONS(1256),
    [anon_sym_PLUS_PLUS] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1256),
    [anon_sym_PLUS_EQ] = ACTIONS(1256),
    [anon_sym_DASH_EQ] = ACTIONS(1256),
    [anon_sym_STAR_EQ] = ACTIONS(1256),
    [anon_sym_SLASH_EQ] = ACTIONS(1256),
    [anon_sym_PERCENT_EQ] = ACTIONS(1256),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1256),
    [anon_sym_LT_LT_EQ] = ACTIONS(1256),
    [anon_sym_GT_GT_EQ] = ACTIONS(1256),
    [anon_sym_AMP_EQ] = ACTIONS(1256),
    [anon_sym_CARET_EQ] = ACTIONS(1256),
    [anon_sym_PIPE_EQ] = ACTIONS(1256),
    [anon_sym_PIPE_PIPE] = ACTIONS(1256),
    [anon_sym_AMP_AMP] = ACTIONS(1256),
    [anon_sym_PIPE] = ACTIONS(1256),
    [anon_sym_CARET] = ACTIONS(1256),
    [anon_sym_AMP] = ACTIONS(1256),
    [anon_sym_EQ_EQ] = ACTIONS(1256),
    [anon_sym_BANG_EQ] = ACTIONS(1256),
    [anon_sym_LT] = ACTIONS(1256),
    [anon_sym_GT] = ACTIONS(1256),
    [anon_sym_LT_EQ] = ACTIONS(1256),
    [anon_sym_GT_EQ] = ACTIONS(1256),
    [anon_sym_LT_LT] = ACTIONS(1256),
    [anon_sym_GT_GT] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_SLASH] = ACTIONS(1256),
    [anon_sym_PERCENT] = ACTIONS(1256),
    [anon_sym_STAR_STAR] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1256),
    [anon_sym_RPAREN] = ACTIONS(1256),
    [anon_sym_SEMI_SEMI] = ACTIONS(1256),
    [anon_sym_PIPE_AMP] = ACTIONS(1256),
    [anon_sym_EQ_TILDE] = ACTIONS(1256),
    [anon_sym_AMP_GT] = ACTIONS(1256),
    [anon_sym_AMP_GT_GT] = ACTIONS(1256),
    [anon_sym_LT_AMP] = ACTIONS(1256),
    [anon_sym_GT_AMP] = ACTIONS(1256),
    [anon_sym_GT_PIPE] = ACTIONS(1256),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1256),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1256),
    [anon_sym_LT_LT_DASH] = ACTIONS(1256),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1258),
    [anon_sym_LT_LT_LT] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1256),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1256),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1256),
    [aux_sym_concatenation_token1] = ACTIONS(1256),
    [anon_sym_DOLLAR] = ACTIONS(1256),
    [sym__special_character] = ACTIONS(1256),
    [anon_sym_DQUOTE] = ACTIONS(1256),
    [sym_raw_string] = ACTIONS(1256),
    [sym_ansi_c_string] = ACTIONS(1256),
    [aux_sym_number_token1] = ACTIONS(1256),
    [aux_sym_number_token2] = ACTIONS(1256),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1256),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1256),
    [anon_sym_BQUOTE] = ACTIONS(1256),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1256),
    [anon_sym_LT_LPAREN] = ACTIONS(1256),
    [anon_sym_GT_LPAREN] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1258),
    [sym__concat] = ACTIONS(1258),
    [sym_test_operator] = ACTIONS(1258),
    [sym__bare_dollar] = ACTIONS(1258),
    [sym__brace_start] = ACTIONS(1258),
  },
  [381] = {
    [sym_word] = ACTIONS(1260),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1260),
    [anon_sym_SEMI] = ACTIONS(1260),
    [anon_sym_EQ] = ACTIONS(1260),
    [anon_sym_PLUS_PLUS] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1260),
    [anon_sym_PLUS_EQ] = ACTIONS(1260),
    [anon_sym_DASH_EQ] = ACTIONS(1260),
    [anon_sym_STAR_EQ] = ACTIONS(1260),
    [anon_sym_SLASH_EQ] = ACTIONS(1260),
    [anon_sym_PERCENT_EQ] = ACTIONS(1260),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1260),
    [anon_sym_LT_LT_EQ] = ACTIONS(1260),
    [anon_sym_GT_GT_EQ] = ACTIONS(1260),
    [anon_sym_AMP_EQ] = ACTIONS(1260),
    [anon_sym_CARET_EQ] = ACTIONS(1260),
    [anon_sym_PIPE_EQ] = ACTIONS(1260),
    [anon_sym_PIPE_PIPE] = ACTIONS(1260),
    [anon_sym_AMP_AMP] = ACTIONS(1260),
    [anon_sym_PIPE] = ACTIONS(1260),
    [anon_sym_CARET] = ACTIONS(1260),
    [anon_sym_AMP] = ACTIONS(1260),
    [anon_sym_EQ_EQ] = ACTIONS(1260),
    [anon_sym_BANG_EQ] = ACTIONS(1260),
    [anon_sym_LT] = ACTIONS(1260),
    [anon_sym_GT] = ACTIONS(1260),
    [anon_sym_LT_EQ] = ACTIONS(1260),
    [anon_sym_GT_EQ] = ACTIONS(1260),
    [anon_sym_LT_LT] = ACTIONS(1260),
    [anon_sym_GT_GT] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1260),
    [anon_sym_DASH] = ACTIONS(1260),
    [anon_sym_STAR] = ACTIONS(1260),
    [anon_sym_SLASH] = ACTIONS(1260),
    [anon_sym_PERCENT] = ACTIONS(1260),
    [anon_sym_STAR_STAR] = ACTIONS(1260),
    [anon_sym_LPAREN] = ACTIONS(1260),
    [anon_sym_RPAREN] = ACTIONS(1260),
    [anon_sym_SEMI_SEMI] = ACTIONS(1260),
    [anon_sym_PIPE_AMP] = ACTIONS(1260),
    [anon_sym_EQ_TILDE] = ACTIONS(1260),
    [anon_sym_AMP_GT] = ACTIONS(1260),
    [anon_sym_AMP_GT_GT] = ACTIONS(1260),
    [anon_sym_LT_AMP] = ACTIONS(1260),
    [anon_sym_GT_AMP] = ACTIONS(1260),
    [anon_sym_GT_PIPE] = ACTIONS(1260),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1260),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1260),
    [anon_sym_LT_LT_DASH] = ACTIONS(1260),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1262),
    [anon_sym_LT_LT_LT] = ACTIONS(1260),
    [anon_sym_QMARK] = ACTIONS(1260),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1260),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1260),
    [aux_sym_concatenation_token1] = ACTIONS(1260),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [sym__special_character] = ACTIONS(1260),
    [anon_sym_DQUOTE] = ACTIONS(1260),
    [sym_raw_string] = ACTIONS(1260),
    [sym_ansi_c_string] = ACTIONS(1260),
    [aux_sym_number_token1] = ACTIONS(1260),
    [aux_sym_number_token2] = ACTIONS(1260),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1260),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1260),
    [anon_sym_BQUOTE] = ACTIONS(1260),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1260),
    [anon_sym_LT_LPAREN] = ACTIONS(1260),
    [anon_sym_GT_LPAREN] = ACTIONS(1260),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1262),
    [sym__concat] = ACTIONS(1262),
    [sym_test_operator] = ACTIONS(1262),
    [sym__bare_dollar] = ACTIONS(1262),
    [sym__brace_start] = ACTIONS(1262),
  },
  [382] = {
    [sym_word] = ACTIONS(1264),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1264),
    [anon_sym_SEMI] = ACTIONS(1264),
    [anon_sym_EQ] = ACTIONS(1264),
    [anon_sym_PLUS_PLUS] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1264),
    [anon_sym_PLUS_EQ] = ACTIONS(1264),
    [anon_sym_DASH_EQ] = ACTIONS(1264),
    [anon_sym_STAR_EQ] = ACTIONS(1264),
    [anon_sym_SLASH_EQ] = ACTIONS(1264),
    [anon_sym_PERCENT_EQ] = ACTIONS(1264),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1264),
    [anon_sym_LT_LT_EQ] = ACTIONS(1264),
    [anon_sym_GT_GT_EQ] = ACTIONS(1264),
    [anon_sym_AMP_EQ] = ACTIONS(1264),
    [anon_sym_CARET_EQ] = ACTIONS(1264),
    [anon_sym_PIPE_EQ] = ACTIONS(1264),
    [anon_sym_PIPE_PIPE] = ACTIONS(1264),
    [anon_sym_AMP_AMP] = ACTIONS(1264),
    [anon_sym_PIPE] = ACTIONS(1264),
    [anon_sym_CARET] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1264),
    [anon_sym_EQ_EQ] = ACTIONS(1264),
    [anon_sym_BANG_EQ] = ACTIONS(1264),
    [anon_sym_LT] = ACTIONS(1264),
    [anon_sym_GT] = ACTIONS(1264),
    [anon_sym_LT_EQ] = ACTIONS(1264),
    [anon_sym_GT_EQ] = ACTIONS(1264),
    [anon_sym_LT_LT] = ACTIONS(1264),
    [anon_sym_GT_GT] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_STAR] = ACTIONS(1264),
    [anon_sym_SLASH] = ACTIONS(1264),
    [anon_sym_PERCENT] = ACTIONS(1264),
    [anon_sym_STAR_STAR] = ACTIONS(1264),
    [anon_sym_LPAREN] = ACTIONS(1264),
    [anon_sym_RPAREN] = ACTIONS(1264),
    [anon_sym_SEMI_SEMI] = ACTIONS(1264),
    [anon_sym_PIPE_AMP] = ACTIONS(1264),
    [anon_sym_EQ_TILDE] = ACTIONS(1264),
    [anon_sym_AMP_GT] = ACTIONS(1264),
    [anon_sym_AMP_GT_GT] = ACTIONS(1264),
    [anon_sym_LT_AMP] = ACTIONS(1264),
    [anon_sym_GT_AMP] = ACTIONS(1264),
    [anon_sym_GT_PIPE] = ACTIONS(1264),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1264),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1264),
    [anon_sym_LT_LT_DASH] = ACTIONS(1264),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1266),
    [anon_sym_LT_LT_LT] = ACTIONS(1264),
    [anon_sym_QMARK] = ACTIONS(1264),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1264),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1264),
    [aux_sym_concatenation_token1] = ACTIONS(1264),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [sym__special_character] = ACTIONS(1264),
    [anon_sym_DQUOTE] = ACTIONS(1264),
    [sym_raw_string] = ACTIONS(1264),
    [sym_ansi_c_string] = ACTIONS(1264),
    [aux_sym_number_token1] = ACTIONS(1264),
    [aux_sym_number_token2] = ACTIONS(1264),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1264),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1264),
    [anon_sym_BQUOTE] = ACTIONS(1264),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1264),
    [anon_sym_LT_LPAREN] = ACTIONS(1264),
    [anon_sym_GT_LPAREN] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1266),
    [sym__concat] = ACTIONS(1266),
    [sym_test_operator] = ACTIONS(1266),
    [sym__bare_dollar] = ACTIONS(1266),
    [sym__brace_start] = ACTIONS(1266),
  },
  [383] = {
    [sym_word] = ACTIONS(1268),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1268),
    [anon_sym_SEMI] = ACTIONS(1268),
    [anon_sym_EQ] = ACTIONS(1268),
    [anon_sym_PLUS_PLUS] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1268),
    [anon_sym_PLUS_EQ] = ACTIONS(1268),
    [anon_sym_DASH_EQ] = ACTIONS(1268),
    [anon_sym_STAR_EQ] = ACTIONS(1268),
    [anon_sym_SLASH_EQ] = ACTIONS(1268),
    [anon_sym_PERCENT_EQ] = ACTIONS(1268),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1268),
    [anon_sym_LT_LT_EQ] = ACTIONS(1268),
    [anon_sym_GT_GT_EQ] = ACTIONS(1268),
    [anon_sym_AMP_EQ] = ACTIONS(1268),
    [anon_sym_CARET_EQ] = ACTIONS(1268),
    [anon_sym_PIPE_EQ] = ACTIONS(1268),
    [anon_sym_PIPE_PIPE] = ACTIONS(1268),
    [anon_sym_AMP_AMP] = ACTIONS(1268),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_CARET] = ACTIONS(1268),
    [anon_sym_AMP] = ACTIONS(1268),
    [anon_sym_EQ_EQ] = ACTIONS(1268),
    [anon_sym_BANG_EQ] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(1268),
    [anon_sym_GT] = ACTIONS(1268),
    [anon_sym_LT_EQ] = ACTIONS(1268),
    [anon_sym_GT_EQ] = ACTIONS(1268),
    [anon_sym_LT_LT] = ACTIONS(1268),
    [anon_sym_GT_GT] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1268),
    [anon_sym_DASH] = ACTIONS(1268),
    [anon_sym_STAR] = ACTIONS(1268),
    [anon_sym_SLASH] = ACTIONS(1268),
    [anon_sym_PERCENT] = ACTIONS(1268),
    [anon_sym_STAR_STAR] = ACTIONS(1268),
    [anon_sym_LPAREN] = ACTIONS(1268),
    [anon_sym_RPAREN] = ACTIONS(1268),
    [anon_sym_SEMI_SEMI] = ACTIONS(1268),
    [anon_sym_PIPE_AMP] = ACTIONS(1268),
    [anon_sym_EQ_TILDE] = ACTIONS(1268),
    [anon_sym_AMP_GT] = ACTIONS(1268),
    [anon_sym_AMP_GT_GT] = ACTIONS(1268),
    [anon_sym_LT_AMP] = ACTIONS(1268),
    [anon_sym_GT_AMP] = ACTIONS(1268),
    [anon_sym_GT_PIPE] = ACTIONS(1268),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1268),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1268),
    [anon_sym_LT_LT_DASH] = ACTIONS(1268),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1270),
    [anon_sym_LT_LT_LT] = ACTIONS(1268),
    [anon_sym_QMARK] = ACTIONS(1268),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1268),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1268),
    [aux_sym_concatenation_token1] = ACTIONS(1268),
    [anon_sym_DOLLAR] = ACTIONS(1268),
    [sym__special_character] = ACTIONS(1268),
    [anon_sym_DQUOTE] = ACTIONS(1268),
    [sym_raw_string] = ACTIONS(1268),
    [sym_ansi_c_string] = ACTIONS(1268),
    [aux_sym_number_token1] = ACTIONS(1268),
    [aux_sym_number_token2] = ACTIONS(1268),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1268),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1268),
    [anon_sym_BQUOTE] = ACTIONS(1268),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1268),
    [anon_sym_LT_LPAREN] = ACTIONS(1268),
    [anon_sym_GT_LPAREN] = ACTIONS(1268),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1270),
    [sym__concat] = ACTIONS(1270),
    [sym_test_operator] = ACTIONS(1270),
    [sym__bare_dollar] = ACTIONS(1270),
    [sym__brace_start] = ACTIONS(1270),
  },
  [384] = {
    [sym_word] = ACTIONS(1208),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1208),
    [anon_sym_SEMI] = ACTIONS(1208),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [anon_sym_PLUS_EQ] = ACTIONS(1208),
    [anon_sym_DASH_EQ] = ACTIONS(1208),
    [anon_sym_STAR_EQ] = ACTIONS(1208),
    [anon_sym_SLASH_EQ] = ACTIONS(1208),
    [anon_sym_PERCENT_EQ] = ACTIONS(1208),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1208),
    [anon_sym_LT_LT_EQ] = ACTIONS(1208),
    [anon_sym_GT_GT_EQ] = ACTIONS(1208),
    [anon_sym_AMP_EQ] = ACTIONS(1208),
    [anon_sym_CARET_EQ] = ACTIONS(1208),
    [anon_sym_PIPE_EQ] = ACTIONS(1208),
    [anon_sym_PIPE_PIPE] = ACTIONS(1208),
    [anon_sym_AMP_AMP] = ACTIONS(1208),
    [anon_sym_PIPE] = ACTIONS(1208),
    [anon_sym_CARET] = ACTIONS(1208),
    [anon_sym_AMP] = ACTIONS(1208),
    [anon_sym_EQ_EQ] = ACTIONS(1208),
    [anon_sym_BANG_EQ] = ACTIONS(1208),
    [anon_sym_LT] = ACTIONS(1208),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_LT_EQ] = ACTIONS(1208),
    [anon_sym_GT_EQ] = ACTIONS(1208),
    [anon_sym_LT_LT] = ACTIONS(1208),
    [anon_sym_GT_GT] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1208),
    [anon_sym_SLASH] = ACTIONS(1208),
    [anon_sym_PERCENT] = ACTIONS(1208),
    [anon_sym_STAR_STAR] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(1208),
    [anon_sym_RPAREN] = ACTIONS(1208),
    [anon_sym_SEMI_SEMI] = ACTIONS(1208),
    [anon_sym_PIPE_AMP] = ACTIONS(1208),
    [anon_sym_EQ_TILDE] = ACTIONS(1208),
    [anon_sym_AMP_GT] = ACTIONS(1208),
    [anon_sym_AMP_GT_GT] = ACTIONS(1208),
    [anon_sym_LT_AMP] = ACTIONS(1208),
    [anon_sym_GT_AMP] = ACTIONS(1208),
    [anon_sym_GT_PIPE] = ACTIONS(1208),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1208),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1208),
    [anon_sym_LT_LT_DASH] = ACTIONS(1208),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1210),
    [anon_sym_LT_LT_LT] = ACTIONS(1208),
    [anon_sym_QMARK] = ACTIONS(1208),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1208),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1208),
    [aux_sym_concatenation_token1] = ACTIONS(1208),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [sym__special_character] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1208),
    [sym_raw_string] = ACTIONS(1208),
    [sym_ansi_c_string] = ACTIONS(1208),
    [aux_sym_number_token1] = ACTIONS(1208),
    [aux_sym_number_token2] = ACTIONS(1208),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1208),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1208),
    [anon_sym_BQUOTE] = ACTIONS(1208),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1208),
    [anon_sym_LT_LPAREN] = ACTIONS(1208),
    [anon_sym_GT_LPAREN] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1210),
    [sym__concat] = ACTIONS(1210),
    [sym_test_operator] = ACTIONS(1210),
    [sym__bare_dollar] = ACTIONS(1210),
    [sym__brace_start] = ACTIONS(1210),
  },
  [385] = {
    [sym_word] = ACTIONS(1272),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1272),
    [anon_sym_SEMI] = ACTIONS(1272),
    [anon_sym_EQ] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1272),
    [anon_sym_PLUS_EQ] = ACTIONS(1272),
    [anon_sym_DASH_EQ] = ACTIONS(1272),
    [anon_sym_STAR_EQ] = ACTIONS(1272),
    [anon_sym_SLASH_EQ] = ACTIONS(1272),
    [anon_sym_PERCENT_EQ] = ACTIONS(1272),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1272),
    [anon_sym_LT_LT_EQ] = ACTIONS(1272),
    [anon_sym_GT_GT_EQ] = ACTIONS(1272),
    [anon_sym_AMP_EQ] = ACTIONS(1272),
    [anon_sym_CARET_EQ] = ACTIONS(1272),
    [anon_sym_PIPE_EQ] = ACTIONS(1272),
    [anon_sym_PIPE_PIPE] = ACTIONS(1272),
    [anon_sym_AMP_AMP] = ACTIONS(1272),
    [anon_sym_PIPE] = ACTIONS(1272),
    [anon_sym_CARET] = ACTIONS(1272),
    [anon_sym_AMP] = ACTIONS(1272),
    [anon_sym_EQ_EQ] = ACTIONS(1272),
    [anon_sym_BANG_EQ] = ACTIONS(1272),
    [anon_sym_LT] = ACTIONS(1272),
    [anon_sym_GT] = ACTIONS(1272),
    [anon_sym_LT_EQ] = ACTIONS(1272),
    [anon_sym_GT_EQ] = ACTIONS(1272),
    [anon_sym_LT_LT] = ACTIONS(1272),
    [anon_sym_GT_GT] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_STAR] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(1272),
    [anon_sym_PERCENT] = ACTIONS(1272),
    [anon_sym_STAR_STAR] = ACTIONS(1272),
    [anon_sym_LPAREN] = ACTIONS(1272),
    [anon_sym_RPAREN] = ACTIONS(1272),
    [anon_sym_SEMI_SEMI] = ACTIONS(1272),
    [anon_sym_PIPE_AMP] = ACTIONS(1272),
    [anon_sym_EQ_TILDE] = ACTIONS(1272),
    [anon_sym_AMP_GT] = ACTIONS(1272),
    [anon_sym_AMP_GT_GT] = ACTIONS(1272),
    [anon_sym_LT_AMP] = ACTIONS(1272),
    [anon_sym_GT_AMP] = ACTIONS(1272),
    [anon_sym_GT_PIPE] = ACTIONS(1272),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1272),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1272),
    [anon_sym_LT_LT_DASH] = ACTIONS(1272),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1274),
    [anon_sym_LT_LT_LT] = ACTIONS(1272),
    [anon_sym_QMARK] = ACTIONS(1272),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1272),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1272),
    [aux_sym_concatenation_token1] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1272),
    [sym__special_character] = ACTIONS(1272),
    [anon_sym_DQUOTE] = ACTIONS(1272),
    [sym_raw_string] = ACTIONS(1272),
    [sym_ansi_c_string] = ACTIONS(1272),
    [aux_sym_number_token1] = ACTIONS(1272),
    [aux_sym_number_token2] = ACTIONS(1272),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1272),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1272),
    [anon_sym_BQUOTE] = ACTIONS(1272),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1272),
    [anon_sym_LT_LPAREN] = ACTIONS(1272),
    [anon_sym_GT_LPAREN] = ACTIONS(1272),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1274),
    [sym__concat] = ACTIONS(1274),
    [sym_test_operator] = ACTIONS(1274),
    [sym__bare_dollar] = ACTIONS(1274),
    [sym__brace_start] = ACTIONS(1274),
  },
  [386] = {
    [sym_word] = ACTIONS(1276),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1276),
    [anon_sym_SEMI] = ACTIONS(1276),
    [anon_sym_EQ] = ACTIONS(1276),
    [anon_sym_PLUS_PLUS] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1276),
    [anon_sym_PLUS_EQ] = ACTIONS(1276),
    [anon_sym_DASH_EQ] = ACTIONS(1276),
    [anon_sym_STAR_EQ] = ACTIONS(1276),
    [anon_sym_SLASH_EQ] = ACTIONS(1276),
    [anon_sym_PERCENT_EQ] = ACTIONS(1276),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1276),
    [anon_sym_LT_LT_EQ] = ACTIONS(1276),
    [anon_sym_GT_GT_EQ] = ACTIONS(1276),
    [anon_sym_AMP_EQ] = ACTIONS(1276),
    [anon_sym_CARET_EQ] = ACTIONS(1276),
    [anon_sym_PIPE_EQ] = ACTIONS(1276),
    [anon_sym_PIPE_PIPE] = ACTIONS(1276),
    [anon_sym_AMP_AMP] = ACTIONS(1276),
    [anon_sym_PIPE] = ACTIONS(1276),
    [anon_sym_CARET] = ACTIONS(1276),
    [anon_sym_AMP] = ACTIONS(1276),
    [anon_sym_EQ_EQ] = ACTIONS(1276),
    [anon_sym_BANG_EQ] = ACTIONS(1276),
    [anon_sym_LT] = ACTIONS(1276),
    [anon_sym_GT] = ACTIONS(1276),
    [anon_sym_LT_EQ] = ACTIONS(1276),
    [anon_sym_GT_EQ] = ACTIONS(1276),
    [anon_sym_LT_LT] = ACTIONS(1276),
    [anon_sym_GT_GT] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_STAR] = ACTIONS(1276),
    [anon_sym_SLASH] = ACTIONS(1276),
    [anon_sym_PERCENT] = ACTIONS(1276),
    [anon_sym_STAR_STAR] = ACTIONS(1276),
    [anon_sym_LPAREN] = ACTIONS(1276),
    [anon_sym_RPAREN] = ACTIONS(1276),
    [anon_sym_SEMI_SEMI] = ACTIONS(1276),
    [anon_sym_PIPE_AMP] = ACTIONS(1276),
    [anon_sym_EQ_TILDE] = ACTIONS(1276),
    [anon_sym_AMP_GT] = ACTIONS(1276),
    [anon_sym_AMP_GT_GT] = ACTIONS(1276),
    [anon_sym_LT_AMP] = ACTIONS(1276),
    [anon_sym_GT_AMP] = ACTIONS(1276),
    [anon_sym_GT_PIPE] = ACTIONS(1276),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1276),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1276),
    [anon_sym_LT_LT_DASH] = ACTIONS(1276),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1278),
    [anon_sym_LT_LT_LT] = ACTIONS(1276),
    [anon_sym_QMARK] = ACTIONS(1276),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1276),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1276),
    [aux_sym_concatenation_token1] = ACTIONS(1276),
    [anon_sym_DOLLAR] = ACTIONS(1276),
    [sym__special_character] = ACTIONS(1276),
    [anon_sym_DQUOTE] = ACTIONS(1276),
    [sym_raw_string] = ACTIONS(1276),
    [sym_ansi_c_string] = ACTIONS(1276),
    [aux_sym_number_token1] = ACTIONS(1276),
    [aux_sym_number_token2] = ACTIONS(1276),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1276),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1276),
    [anon_sym_BQUOTE] = ACTIONS(1276),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1276),
    [anon_sym_LT_LPAREN] = ACTIONS(1276),
    [anon_sym_GT_LPAREN] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1278),
    [sym__concat] = ACTIONS(1278),
    [sym_test_operator] = ACTIONS(1278),
    [sym__bare_dollar] = ACTIONS(1278),
    [sym__brace_start] = ACTIONS(1278),
  },
  [387] = {
    [sym_word] = ACTIONS(1280),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1280),
    [anon_sym_SEMI] = ACTIONS(1280),
    [anon_sym_EQ] = ACTIONS(1280),
    [anon_sym_PLUS_PLUS] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1280),
    [anon_sym_PLUS_EQ] = ACTIONS(1280),
    [anon_sym_DASH_EQ] = ACTIONS(1280),
    [anon_sym_STAR_EQ] = ACTIONS(1280),
    [anon_sym_SLASH_EQ] = ACTIONS(1280),
    [anon_sym_PERCENT_EQ] = ACTIONS(1280),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1280),
    [anon_sym_LT_LT_EQ] = ACTIONS(1280),
    [anon_sym_GT_GT_EQ] = ACTIONS(1280),
    [anon_sym_AMP_EQ] = ACTIONS(1280),
    [anon_sym_CARET_EQ] = ACTIONS(1280),
    [anon_sym_PIPE_EQ] = ACTIONS(1280),
    [anon_sym_PIPE_PIPE] = ACTIONS(1280),
    [anon_sym_AMP_AMP] = ACTIONS(1280),
    [anon_sym_PIPE] = ACTIONS(1280),
    [anon_sym_CARET] = ACTIONS(1280),
    [anon_sym_AMP] = ACTIONS(1280),
    [anon_sym_EQ_EQ] = ACTIONS(1280),
    [anon_sym_BANG_EQ] = ACTIONS(1280),
    [anon_sym_LT] = ACTIONS(1280),
    [anon_sym_GT] = ACTIONS(1280),
    [anon_sym_LT_EQ] = ACTIONS(1280),
    [anon_sym_GT_EQ] = ACTIONS(1280),
    [anon_sym_LT_LT] = ACTIONS(1280),
    [anon_sym_GT_GT] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(1280),
    [anon_sym_SLASH] = ACTIONS(1280),
    [anon_sym_PERCENT] = ACTIONS(1280),
    [anon_sym_STAR_STAR] = ACTIONS(1280),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_RPAREN] = ACTIONS(1280),
    [anon_sym_SEMI_SEMI] = ACTIONS(1280),
    [anon_sym_PIPE_AMP] = ACTIONS(1280),
    [anon_sym_EQ_TILDE] = ACTIONS(1280),
    [anon_sym_AMP_GT] = ACTIONS(1280),
    [anon_sym_AMP_GT_GT] = ACTIONS(1280),
    [anon_sym_LT_AMP] = ACTIONS(1280),
    [anon_sym_GT_AMP] = ACTIONS(1280),
    [anon_sym_GT_PIPE] = ACTIONS(1280),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1280),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1280),
    [anon_sym_LT_LT_DASH] = ACTIONS(1280),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1282),
    [anon_sym_LT_LT_LT] = ACTIONS(1280),
    [anon_sym_QMARK] = ACTIONS(1280),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1280),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1280),
    [aux_sym_concatenation_token1] = ACTIONS(1280),
    [anon_sym_DOLLAR] = ACTIONS(1280),
    [sym__special_character] = ACTIONS(1280),
    [anon_sym_DQUOTE] = ACTIONS(1280),
    [sym_raw_string] = ACTIONS(1280),
    [sym_ansi_c_string] = ACTIONS(1280),
    [aux_sym_number_token1] = ACTIONS(1280),
    [aux_sym_number_token2] = ACTIONS(1280),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1280),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1280),
    [anon_sym_BQUOTE] = ACTIONS(1280),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1280),
    [anon_sym_LT_LPAREN] = ACTIONS(1280),
    [anon_sym_GT_LPAREN] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1282),
    [sym__concat] = ACTIONS(1282),
    [sym_test_operator] = ACTIONS(1282),
    [sym__bare_dollar] = ACTIONS(1282),
    [sym__brace_start] = ACTIONS(1282),
  },
  [388] = {
    [sym_word] = ACTIONS(1264),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1264),
    [anon_sym_SEMI] = ACTIONS(1264),
    [anon_sym_EQ] = ACTIONS(1264),
    [anon_sym_PLUS_PLUS] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1264),
    [anon_sym_PLUS_EQ] = ACTIONS(1264),
    [anon_sym_DASH_EQ] = ACTIONS(1264),
    [anon_sym_STAR_EQ] = ACTIONS(1264),
    [anon_sym_SLASH_EQ] = ACTIONS(1264),
    [anon_sym_PERCENT_EQ] = ACTIONS(1264),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1264),
    [anon_sym_LT_LT_EQ] = ACTIONS(1264),
    [anon_sym_GT_GT_EQ] = ACTIONS(1264),
    [anon_sym_AMP_EQ] = ACTIONS(1264),
    [anon_sym_CARET_EQ] = ACTIONS(1264),
    [anon_sym_PIPE_EQ] = ACTIONS(1264),
    [anon_sym_PIPE_PIPE] = ACTIONS(1264),
    [anon_sym_AMP_AMP] = ACTIONS(1264),
    [anon_sym_PIPE] = ACTIONS(1264),
    [anon_sym_CARET] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1264),
    [anon_sym_EQ_EQ] = ACTIONS(1264),
    [anon_sym_BANG_EQ] = ACTIONS(1264),
    [anon_sym_LT] = ACTIONS(1264),
    [anon_sym_GT] = ACTIONS(1264),
    [anon_sym_LT_EQ] = ACTIONS(1264),
    [anon_sym_GT_EQ] = ACTIONS(1264),
    [anon_sym_LT_LT] = ACTIONS(1264),
    [anon_sym_GT_GT] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_STAR] = ACTIONS(1264),
    [anon_sym_SLASH] = ACTIONS(1264),
    [anon_sym_PERCENT] = ACTIONS(1264),
    [anon_sym_STAR_STAR] = ACTIONS(1264),
    [anon_sym_LPAREN] = ACTIONS(1264),
    [anon_sym_RPAREN] = ACTIONS(1264),
    [anon_sym_SEMI_SEMI] = ACTIONS(1264),
    [anon_sym_PIPE_AMP] = ACTIONS(1264),
    [anon_sym_EQ_TILDE] = ACTIONS(1264),
    [anon_sym_AMP_GT] = ACTIONS(1264),
    [anon_sym_AMP_GT_GT] = ACTIONS(1264),
    [anon_sym_LT_AMP] = ACTIONS(1264),
    [anon_sym_GT_AMP] = ACTIONS(1264),
    [anon_sym_GT_PIPE] = ACTIONS(1264),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1264),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1264),
    [anon_sym_LT_LT_DASH] = ACTIONS(1264),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1266),
    [anon_sym_LT_LT_LT] = ACTIONS(1264),
    [anon_sym_QMARK] = ACTIONS(1264),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1264),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1264),
    [aux_sym_concatenation_token1] = ACTIONS(1264),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [sym__special_character] = ACTIONS(1264),
    [anon_sym_DQUOTE] = ACTIONS(1264),
    [sym_raw_string] = ACTIONS(1264),
    [sym_ansi_c_string] = ACTIONS(1264),
    [aux_sym_number_token1] = ACTIONS(1264),
    [aux_sym_number_token2] = ACTIONS(1264),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1264),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1264),
    [anon_sym_BQUOTE] = ACTIONS(1264),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1264),
    [anon_sym_LT_LPAREN] = ACTIONS(1264),
    [anon_sym_GT_LPAREN] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1266),
    [sym__concat] = ACTIONS(1266),
    [sym_test_operator] = ACTIONS(1266),
    [sym__bare_dollar] = ACTIONS(1266),
    [sym__brace_start] = ACTIONS(1266),
  },
  [389] = {
    [sym_word] = ACTIONS(1284),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1284),
    [anon_sym_SEMI] = ACTIONS(1284),
    [anon_sym_EQ] = ACTIONS(1284),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [anon_sym_PLUS_EQ] = ACTIONS(1284),
    [anon_sym_DASH_EQ] = ACTIONS(1284),
    [anon_sym_STAR_EQ] = ACTIONS(1284),
    [anon_sym_SLASH_EQ] = ACTIONS(1284),
    [anon_sym_PERCENT_EQ] = ACTIONS(1284),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1284),
    [anon_sym_LT_LT_EQ] = ACTIONS(1284),
    [anon_sym_GT_GT_EQ] = ACTIONS(1284),
    [anon_sym_AMP_EQ] = ACTIONS(1284),
    [anon_sym_CARET_EQ] = ACTIONS(1284),
    [anon_sym_PIPE_EQ] = ACTIONS(1284),
    [anon_sym_PIPE_PIPE] = ACTIONS(1284),
    [anon_sym_AMP_AMP] = ACTIONS(1284),
    [anon_sym_PIPE] = ACTIONS(1284),
    [anon_sym_CARET] = ACTIONS(1284),
    [anon_sym_AMP] = ACTIONS(1284),
    [anon_sym_EQ_EQ] = ACTIONS(1284),
    [anon_sym_BANG_EQ] = ACTIONS(1284),
    [anon_sym_LT] = ACTIONS(1284),
    [anon_sym_GT] = ACTIONS(1284),
    [anon_sym_LT_EQ] = ACTIONS(1284),
    [anon_sym_GT_EQ] = ACTIONS(1284),
    [anon_sym_LT_LT] = ACTIONS(1284),
    [anon_sym_GT_GT] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_STAR] = ACTIONS(1284),
    [anon_sym_SLASH] = ACTIONS(1284),
    [anon_sym_PERCENT] = ACTIONS(1284),
    [anon_sym_STAR_STAR] = ACTIONS(1284),
    [anon_sym_LPAREN] = ACTIONS(1284),
    [anon_sym_RPAREN] = ACTIONS(1284),
    [anon_sym_SEMI_SEMI] = ACTIONS(1284),
    [anon_sym_PIPE_AMP] = ACTIONS(1284),
    [anon_sym_EQ_TILDE] = ACTIONS(1284),
    [anon_sym_AMP_GT] = ACTIONS(1284),
    [anon_sym_AMP_GT_GT] = ACTIONS(1284),
    [anon_sym_LT_AMP] = ACTIONS(1284),
    [anon_sym_GT_AMP] = ACTIONS(1284),
    [anon_sym_GT_PIPE] = ACTIONS(1284),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1284),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1284),
    [anon_sym_LT_LT_DASH] = ACTIONS(1284),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1286),
    [anon_sym_LT_LT_LT] = ACTIONS(1284),
    [anon_sym_QMARK] = ACTIONS(1284),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1284),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1284),
    [aux_sym_concatenation_token1] = ACTIONS(1284),
    [anon_sym_DOLLAR] = ACTIONS(1284),
    [sym__special_character] = ACTIONS(1284),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [sym_raw_string] = ACTIONS(1284),
    [sym_ansi_c_string] = ACTIONS(1284),
    [aux_sym_number_token1] = ACTIONS(1284),
    [aux_sym_number_token2] = ACTIONS(1284),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1284),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1284),
    [anon_sym_BQUOTE] = ACTIONS(1284),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1284),
    [anon_sym_LT_LPAREN] = ACTIONS(1284),
    [anon_sym_GT_LPAREN] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1286),
    [sym__concat] = ACTIONS(1286),
    [sym_test_operator] = ACTIONS(1286),
    [sym__bare_dollar] = ACTIONS(1286),
    [sym__brace_start] = ACTIONS(1286),
  },
  [390] = {
    [sym_word] = ACTIONS(1288),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1288),
    [anon_sym_SEMI] = ACTIONS(1288),
    [anon_sym_EQ] = ACTIONS(1288),
    [anon_sym_PLUS_PLUS] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1288),
    [anon_sym_PLUS_EQ] = ACTIONS(1288),
    [anon_sym_DASH_EQ] = ACTIONS(1288),
    [anon_sym_STAR_EQ] = ACTIONS(1288),
    [anon_sym_SLASH_EQ] = ACTIONS(1288),
    [anon_sym_PERCENT_EQ] = ACTIONS(1288),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1288),
    [anon_sym_LT_LT_EQ] = ACTIONS(1288),
    [anon_sym_GT_GT_EQ] = ACTIONS(1288),
    [anon_sym_AMP_EQ] = ACTIONS(1288),
    [anon_sym_CARET_EQ] = ACTIONS(1288),
    [anon_sym_PIPE_EQ] = ACTIONS(1288),
    [anon_sym_PIPE_PIPE] = ACTIONS(1288),
    [anon_sym_AMP_AMP] = ACTIONS(1288),
    [anon_sym_PIPE] = ACTIONS(1288),
    [anon_sym_CARET] = ACTIONS(1288),
    [anon_sym_AMP] = ACTIONS(1288),
    [anon_sym_EQ_EQ] = ACTIONS(1288),
    [anon_sym_BANG_EQ] = ACTIONS(1288),
    [anon_sym_LT] = ACTIONS(1288),
    [anon_sym_GT] = ACTIONS(1288),
    [anon_sym_LT_EQ] = ACTIONS(1288),
    [anon_sym_GT_EQ] = ACTIONS(1288),
    [anon_sym_LT_LT] = ACTIONS(1288),
    [anon_sym_GT_GT] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_STAR] = ACTIONS(1288),
    [anon_sym_SLASH] = ACTIONS(1288),
    [anon_sym_PERCENT] = ACTIONS(1288),
    [anon_sym_STAR_STAR] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1288),
    [anon_sym_RPAREN] = ACTIONS(1288),
    [anon_sym_SEMI_SEMI] = ACTIONS(1288),
    [anon_sym_PIPE_AMP] = ACTIONS(1288),
    [anon_sym_EQ_TILDE] = ACTIONS(1288),
    [anon_sym_AMP_GT] = ACTIONS(1288),
    [anon_sym_AMP_GT_GT] = ACTIONS(1288),
    [anon_sym_LT_AMP] = ACTIONS(1288),
    [anon_sym_GT_AMP] = ACTIONS(1288),
    [anon_sym_GT_PIPE] = ACTIONS(1288),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1288),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1288),
    [anon_sym_LT_LT_DASH] = ACTIONS(1288),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1290),
    [anon_sym_LT_LT_LT] = ACTIONS(1288),
    [anon_sym_QMARK] = ACTIONS(1288),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1288),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1288),
    [aux_sym_concatenation_token1] = ACTIONS(1288),
    [anon_sym_DOLLAR] = ACTIONS(1288),
    [sym__special_character] = ACTIONS(1288),
    [anon_sym_DQUOTE] = ACTIONS(1288),
    [sym_raw_string] = ACTIONS(1288),
    [sym_ansi_c_string] = ACTIONS(1288),
    [aux_sym_number_token1] = ACTIONS(1288),
    [aux_sym_number_token2] = ACTIONS(1288),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1288),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1288),
    [anon_sym_BQUOTE] = ACTIONS(1288),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1288),
    [anon_sym_LT_LPAREN] = ACTIONS(1288),
    [anon_sym_GT_LPAREN] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1290),
    [sym__concat] = ACTIONS(1290),
    [sym_test_operator] = ACTIONS(1290),
    [sym__bare_dollar] = ACTIONS(1290),
    [sym__brace_start] = ACTIONS(1290),
  },
  [391] = {
    [aux_sym__literal_repeat1] = STATE(392),
    [sym_word] = ACTIONS(231),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(231),
    [anon_sym_SEMI] = ACTIONS(231),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(233),
    [anon_sym_GT_GT_EQ] = ACTIONS(233),
    [anon_sym_AMP_EQ] = ACTIONS(233),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(233),
    [anon_sym_PIPE_PIPE] = ACTIONS(235),
    [anon_sym_AMP_AMP] = ACTIONS(235),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(233),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(235),
    [anon_sym_SEMI_SEMI] = ACTIONS(231),
    [anon_sym_PIPE_AMP] = ACTIONS(231),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_AMP_GT] = ACTIONS(231),
    [anon_sym_AMP_GT_GT] = ACTIONS(231),
    [anon_sym_LT_AMP] = ACTIONS(231),
    [anon_sym_GT_AMP] = ACTIONS(231),
    [anon_sym_GT_PIPE] = ACTIONS(231),
    [anon_sym_LT_AMP_DASH] = ACTIONS(231),
    [anon_sym_GT_AMP_DASH] = ACTIONS(231),
    [anon_sym_LT_LT_DASH] = ACTIONS(231),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(268),
    [anon_sym_LT_LT_LT] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(231),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(231),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [sym__special_character] = ACTIONS(1292),
    [anon_sym_DQUOTE] = ACTIONS(231),
    [sym_raw_string] = ACTIONS(231),
    [sym_ansi_c_string] = ACTIONS(231),
    [aux_sym_number_token1] = ACTIONS(231),
    [aux_sym_number_token2] = ACTIONS(231),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(231),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(231),
    [anon_sym_BQUOTE] = ACTIONS(231),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(231),
    [anon_sym_LT_LPAREN] = ACTIONS(231),
    [anon_sym_GT_LPAREN] = ACTIONS(231),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(268),
    [sym_test_operator] = ACTIONS(282),
    [sym__bare_dollar] = ACTIONS(268),
    [sym__brace_start] = ACTIONS(268),
  },
  [392] = {
    [aux_sym__literal_repeat1] = STATE(392),
    [sym_word] = ACTIONS(1294),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym_EQ] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_EQ] = ACTIONS(1294),
    [anon_sym_DASH_EQ] = ACTIONS(1294),
    [anon_sym_STAR_EQ] = ACTIONS(1294),
    [anon_sym_SLASH_EQ] = ACTIONS(1294),
    [anon_sym_PERCENT_EQ] = ACTIONS(1294),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1294),
    [anon_sym_LT_LT_EQ] = ACTIONS(1294),
    [anon_sym_GT_GT_EQ] = ACTIONS(1294),
    [anon_sym_AMP_EQ] = ACTIONS(1294),
    [anon_sym_CARET_EQ] = ACTIONS(1294),
    [anon_sym_PIPE_EQ] = ACTIONS(1294),
    [anon_sym_PIPE_PIPE] = ACTIONS(1294),
    [anon_sym_AMP_AMP] = ACTIONS(1294),
    [anon_sym_PIPE] = ACTIONS(1294),
    [anon_sym_CARET] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_EQ_EQ] = ACTIONS(1294),
    [anon_sym_BANG_EQ] = ACTIONS(1294),
    [anon_sym_LT] = ACTIONS(1294),
    [anon_sym_GT] = ACTIONS(1294),
    [anon_sym_LT_EQ] = ACTIONS(1294),
    [anon_sym_GT_EQ] = ACTIONS(1294),
    [anon_sym_LT_LT] = ACTIONS(1294),
    [anon_sym_GT_GT] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1294),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(1294),
    [anon_sym_PERCENT] = ACTIONS(1294),
    [anon_sym_STAR_STAR] = ACTIONS(1294),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_RPAREN] = ACTIONS(1294),
    [anon_sym_SEMI_SEMI] = ACTIONS(1294),
    [anon_sym_PIPE_AMP] = ACTIONS(1294),
    [anon_sym_EQ_TILDE] = ACTIONS(1294),
    [anon_sym_AMP_GT] = ACTIONS(1294),
    [anon_sym_AMP_GT_GT] = ACTIONS(1294),
    [anon_sym_LT_AMP] = ACTIONS(1294),
    [anon_sym_GT_AMP] = ACTIONS(1294),
    [anon_sym_GT_PIPE] = ACTIONS(1294),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1294),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1294),
    [anon_sym_LT_LT_DASH] = ACTIONS(1294),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1296),
    [anon_sym_LT_LT_LT] = ACTIONS(1294),
    [anon_sym_QMARK] = ACTIONS(1294),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1294),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1294),
    [anon_sym_DOLLAR] = ACTIONS(1294),
    [sym__special_character] = ACTIONS(1298),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_raw_string] = ACTIONS(1294),
    [sym_ansi_c_string] = ACTIONS(1294),
    [aux_sym_number_token1] = ACTIONS(1294),
    [aux_sym_number_token2] = ACTIONS(1294),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1294),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1294),
    [anon_sym_BQUOTE] = ACTIONS(1294),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1294),
    [anon_sym_LT_LPAREN] = ACTIONS(1294),
    [anon_sym_GT_LPAREN] = ACTIONS(1294),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1296),
    [sym_test_operator] = ACTIONS(1296),
    [sym__bare_dollar] = ACTIONS(1296),
    [sym__brace_start] = ACTIONS(1296),
  },
  [393] = {
    [sym_word] = ACTIONS(1198),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1198),
    [anon_sym_SEMI] = ACTIONS(1198),
    [anon_sym_EQ] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_EQ] = ACTIONS(1198),
    [anon_sym_DASH_EQ] = ACTIONS(1198),
    [anon_sym_STAR_EQ] = ACTIONS(1198),
    [anon_sym_SLASH_EQ] = ACTIONS(1198),
    [anon_sym_PERCENT_EQ] = ACTIONS(1198),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1198),
    [anon_sym_LT_LT_EQ] = ACTIONS(1198),
    [anon_sym_GT_GT_EQ] = ACTIONS(1198),
    [anon_sym_AMP_EQ] = ACTIONS(1198),
    [anon_sym_CARET_EQ] = ACTIONS(1198),
    [anon_sym_PIPE_EQ] = ACTIONS(1198),
    [anon_sym_PIPE_PIPE] = ACTIONS(1198),
    [anon_sym_AMP_AMP] = ACTIONS(1198),
    [anon_sym_PIPE] = ACTIONS(1198),
    [anon_sym_CARET] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_EQ_EQ] = ACTIONS(1198),
    [anon_sym_BANG_EQ] = ACTIONS(1198),
    [anon_sym_LT] = ACTIONS(1198),
    [anon_sym_GT] = ACTIONS(1198),
    [anon_sym_LT_EQ] = ACTIONS(1198),
    [anon_sym_GT_EQ] = ACTIONS(1198),
    [anon_sym_LT_LT] = ACTIONS(1198),
    [anon_sym_GT_GT] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_SLASH] = ACTIONS(1198),
    [anon_sym_PERCENT] = ACTIONS(1198),
    [anon_sym_STAR_STAR] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1198),
    [anon_sym_RPAREN] = ACTIONS(1198),
    [anon_sym_SEMI_SEMI] = ACTIONS(1198),
    [anon_sym_PIPE_AMP] = ACTIONS(1198),
    [anon_sym_EQ_TILDE] = ACTIONS(1198),
    [anon_sym_AMP_GT] = ACTIONS(1198),
    [anon_sym_AMP_GT_GT] = ACTIONS(1198),
    [anon_sym_LT_AMP] = ACTIONS(1198),
    [anon_sym_GT_AMP] = ACTIONS(1198),
    [anon_sym_GT_PIPE] = ACTIONS(1198),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1198),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1198),
    [anon_sym_LT_LT_DASH] = ACTIONS(1198),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1200),
    [anon_sym_LT_LT_LT] = ACTIONS(1198),
    [anon_sym_QMARK] = ACTIONS(1198),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1198),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1198),
    [sym__special_character] = ACTIONS(1198),
    [anon_sym_DQUOTE] = ACTIONS(1198),
    [sym_raw_string] = ACTIONS(1198),
    [sym_ansi_c_string] = ACTIONS(1198),
    [aux_sym_number_token1] = ACTIONS(1198),
    [aux_sym_number_token2] = ACTIONS(1198),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1198),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1198),
    [anon_sym_BQUOTE] = ACTIONS(1198),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1198),
    [anon_sym_LT_LPAREN] = ACTIONS(1198),
    [anon_sym_GT_LPAREN] = ACTIONS(1198),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1200),
    [sym_test_operator] = ACTIONS(1200),
    [sym__bare_dollar] = ACTIONS(1200),
    [sym__brace_start] = ACTIONS(1200),
  },
  [394] = {
    [aux_sym_concatenation_repeat1] = STATE(398),
    [sym_word] = ACTIONS(1198),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1200),
    [anon_sym_EQ] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_EQ] = ACTIONS(1198),
    [anon_sym_DASH_EQ] = ACTIONS(1198),
    [anon_sym_STAR_EQ] = ACTIONS(1198),
    [anon_sym_SLASH_EQ] = ACTIONS(1198),
    [anon_sym_PERCENT_EQ] = ACTIONS(1198),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1198),
    [anon_sym_LT_LT_EQ] = ACTIONS(1200),
    [anon_sym_GT_GT_EQ] = ACTIONS(1200),
    [anon_sym_AMP_EQ] = ACTIONS(1200),
    [anon_sym_CARET_EQ] = ACTIONS(1198),
    [anon_sym_PIPE_EQ] = ACTIONS(1200),
    [anon_sym_PIPE_PIPE] = ACTIONS(1200),
    [anon_sym_AMP_AMP] = ACTIONS(1200),
    [anon_sym_PIPE] = ACTIONS(1198),
    [anon_sym_CARET] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_EQ_EQ] = ACTIONS(1198),
    [anon_sym_BANG_EQ] = ACTIONS(1198),
    [anon_sym_LT] = ACTIONS(1198),
    [anon_sym_GT] = ACTIONS(1198),
    [anon_sym_LT_EQ] = ACTIONS(1200),
    [anon_sym_GT_EQ] = ACTIONS(1200),
    [anon_sym_LT_LT] = ACTIONS(1198),
    [anon_sym_GT_GT] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_SLASH] = ACTIONS(1198),
    [anon_sym_PERCENT] = ACTIONS(1198),
    [anon_sym_STAR_STAR] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1198),
    [anon_sym_PIPE_AMP] = ACTIONS(1200),
    [anon_sym_RBRACK] = ACTIONS(1200),
    [anon_sym_EQ_TILDE] = ACTIONS(1198),
    [anon_sym_AMP_GT] = ACTIONS(1198),
    [anon_sym_AMP_GT_GT] = ACTIONS(1200),
    [anon_sym_LT_AMP] = ACTIONS(1198),
    [anon_sym_GT_AMP] = ACTIONS(1198),
    [anon_sym_GT_PIPE] = ACTIONS(1200),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1200),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1200),
    [anon_sym_LT_LT_DASH] = ACTIONS(1200),
    [anon_sym_LT_LT_LT] = ACTIONS(1200),
    [anon_sym_QMARK] = ACTIONS(1198),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1200),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1200),
    [aux_sym_concatenation_token1] = ACTIONS(291),
    [anon_sym_DOLLAR] = ACTIONS(1198),
    [sym__special_character] = ACTIONS(1198),
    [anon_sym_DQUOTE] = ACTIONS(1200),
    [sym_raw_string] = ACTIONS(1200),
    [sym_ansi_c_string] = ACTIONS(1200),
    [aux_sym_number_token1] = ACTIONS(1198),
    [aux_sym_number_token2] = ACTIONS(1198),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1200),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1198),
    [anon_sym_BQUOTE] = ACTIONS(1198),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1200),
    [anon_sym_LT_LPAREN] = ACTIONS(1200),
    [anon_sym_GT_LPAREN] = ACTIONS(1200),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1200),
    [sym__concat] = ACTIONS(291),
    [sym_test_operator] = ACTIONS(1200),
    [sym__bare_dollar] = ACTIONS(1200),
    [sym__brace_start] = ACTIONS(1200),
  },
  [395] = {
    [aux_sym_concatenation_repeat1] = STATE(395),
    [sym_word] = ACTIONS(1208),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1210),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [anon_sym_PLUS_EQ] = ACTIONS(1208),
    [anon_sym_DASH_EQ] = ACTIONS(1208),
    [anon_sym_STAR_EQ] = ACTIONS(1208),
    [anon_sym_SLASH_EQ] = ACTIONS(1208),
    [anon_sym_PERCENT_EQ] = ACTIONS(1208),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1208),
    [anon_sym_LT_LT_EQ] = ACTIONS(1210),
    [anon_sym_GT_GT_EQ] = ACTIONS(1210),
    [anon_sym_AMP_EQ] = ACTIONS(1210),
    [anon_sym_CARET_EQ] = ACTIONS(1208),
    [anon_sym_PIPE_EQ] = ACTIONS(1210),
    [anon_sym_PIPE_PIPE] = ACTIONS(1210),
    [anon_sym_AMP_AMP] = ACTIONS(1210),
    [anon_sym_PIPE] = ACTIONS(1208),
    [anon_sym_CARET] = ACTIONS(1208),
    [anon_sym_AMP] = ACTIONS(1208),
    [anon_sym_EQ_EQ] = ACTIONS(1208),
    [anon_sym_BANG_EQ] = ACTIONS(1208),
    [anon_sym_LT] = ACTIONS(1208),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_LT_EQ] = ACTIONS(1210),
    [anon_sym_GT_EQ] = ACTIONS(1210),
    [anon_sym_LT_LT] = ACTIONS(1208),
    [anon_sym_GT_GT] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1208),
    [anon_sym_SLASH] = ACTIONS(1208),
    [anon_sym_PERCENT] = ACTIONS(1208),
    [anon_sym_STAR_STAR] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(1208),
    [anon_sym_PIPE_AMP] = ACTIONS(1210),
    [anon_sym_RBRACK] = ACTIONS(1210),
    [anon_sym_EQ_TILDE] = ACTIONS(1208),
    [anon_sym_AMP_GT] = ACTIONS(1208),
    [anon_sym_AMP_GT_GT] = ACTIONS(1210),
    [anon_sym_LT_AMP] = ACTIONS(1208),
    [anon_sym_GT_AMP] = ACTIONS(1208),
    [anon_sym_GT_PIPE] = ACTIONS(1210),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1210),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1210),
    [anon_sym_LT_LT_DASH] = ACTIONS(1210),
    [anon_sym_LT_LT_LT] = ACTIONS(1210),
    [anon_sym_QMARK] = ACTIONS(1208),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1210),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1210),
    [aux_sym_concatenation_token1] = ACTIONS(1301),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [sym__special_character] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1210),
    [sym_raw_string] = ACTIONS(1210),
    [sym_ansi_c_string] = ACTIONS(1210),
    [aux_sym_number_token1] = ACTIONS(1208),
    [aux_sym_number_token2] = ACTIONS(1208),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1210),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1208),
    [anon_sym_BQUOTE] = ACTIONS(1208),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1210),
    [anon_sym_LT_LPAREN] = ACTIONS(1210),
    [anon_sym_GT_LPAREN] = ACTIONS(1210),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1210),
    [sym__concat] = ACTIONS(1301),
    [sym_test_operator] = ACTIONS(1210),
    [sym__bare_dollar] = ACTIONS(1210),
    [sym__brace_start] = ACTIONS(1210),
  },
  [396] = {
    [sym_word] = ACTIONS(1183),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1183),
    [anon_sym_SEMI] = ACTIONS(1183),
    [anon_sym_EQ] = ACTIONS(1185),
    [anon_sym_PLUS_PLUS] = ACTIONS(1185),
    [anon_sym_DASH_DASH] = ACTIONS(1185),
    [anon_sym_PLUS_EQ] = ACTIONS(1185),
    [anon_sym_DASH_EQ] = ACTIONS(1185),
    [anon_sym_STAR_EQ] = ACTIONS(1185),
    [anon_sym_SLASH_EQ] = ACTIONS(1185),
    [anon_sym_PERCENT_EQ] = ACTIONS(1185),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1185),
    [anon_sym_LT_LT_EQ] = ACTIONS(1185),
    [anon_sym_GT_GT_EQ] = ACTIONS(1185),
    [anon_sym_AMP_EQ] = ACTIONS(1185),
    [anon_sym_CARET_EQ] = ACTIONS(1185),
    [anon_sym_PIPE_EQ] = ACTIONS(1185),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [anon_sym_AMP_AMP] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_EQ_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1185),
    [anon_sym_LT] = ACTIONS(1187),
    [anon_sym_GT] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1185),
    [anon_sym_GT_EQ] = ACTIONS(1185),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(1185),
    [anon_sym_SLASH] = ACTIONS(1185),
    [anon_sym_PERCENT] = ACTIONS(1185),
    [anon_sym_STAR_STAR] = ACTIONS(1185),
    [anon_sym_LPAREN] = ACTIONS(1183),
    [anon_sym_RPAREN] = ACTIONS(1187),
    [anon_sym_SEMI_SEMI] = ACTIONS(1183),
    [anon_sym_PIPE_AMP] = ACTIONS(1183),
    [anon_sym_EQ_TILDE] = ACTIONS(1187),
    [anon_sym_AMP_GT] = ACTIONS(1183),
    [anon_sym_AMP_GT_GT] = ACTIONS(1183),
    [anon_sym_LT_AMP] = ACTIONS(1183),
    [anon_sym_GT_AMP] = ACTIONS(1183),
    [anon_sym_GT_PIPE] = ACTIONS(1183),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1183),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1183),
    [anon_sym_LT_LT_DASH] = ACTIONS(1183),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1193),
    [anon_sym_LT_LT_LT] = ACTIONS(1183),
    [anon_sym_QMARK] = ACTIONS(1185),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1183),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1183),
    [anon_sym_DOLLAR] = ACTIONS(1183),
    [sym__special_character] = ACTIONS(1183),
    [anon_sym_DQUOTE] = ACTIONS(1183),
    [sym_raw_string] = ACTIONS(1183),
    [sym_ansi_c_string] = ACTIONS(1183),
    [aux_sym_number_token1] = ACTIONS(1183),
    [aux_sym_number_token2] = ACTIONS(1183),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1183),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1183),
    [anon_sym_BQUOTE] = ACTIONS(1183),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1183),
    [anon_sym_LT_LPAREN] = ACTIONS(1183),
    [anon_sym_GT_LPAREN] = ACTIONS(1183),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1193),
    [sym_test_operator] = ACTIONS(1195),
    [sym__bare_dollar] = ACTIONS(1193),
    [sym__brace_start] = ACTIONS(1193),
  },
  [397] = {
    [aux_sym_concatenation_repeat1] = STATE(395),
    [sym_word] = ACTIONS(1202),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1204),
    [anon_sym_EQ] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_PLUS_EQ] = ACTIONS(1202),
    [anon_sym_DASH_EQ] = ACTIONS(1202),
    [anon_sym_STAR_EQ] = ACTIONS(1202),
    [anon_sym_SLASH_EQ] = ACTIONS(1202),
    [anon_sym_PERCENT_EQ] = ACTIONS(1202),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1202),
    [anon_sym_LT_LT_EQ] = ACTIONS(1204),
    [anon_sym_GT_GT_EQ] = ACTIONS(1204),
    [anon_sym_AMP_EQ] = ACTIONS(1204),
    [anon_sym_CARET_EQ] = ACTIONS(1202),
    [anon_sym_PIPE_EQ] = ACTIONS(1204),
    [anon_sym_PIPE_PIPE] = ACTIONS(1204),
    [anon_sym_AMP_AMP] = ACTIONS(1204),
    [anon_sym_PIPE] = ACTIONS(1202),
    [anon_sym_CARET] = ACTIONS(1202),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_EQ_EQ] = ACTIONS(1202),
    [anon_sym_BANG_EQ] = ACTIONS(1202),
    [anon_sym_LT] = ACTIONS(1202),
    [anon_sym_GT] = ACTIONS(1202),
    [anon_sym_LT_EQ] = ACTIONS(1204),
    [anon_sym_GT_EQ] = ACTIONS(1204),
    [anon_sym_LT_LT] = ACTIONS(1202),
    [anon_sym_GT_GT] = ACTIONS(1202),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_SLASH] = ACTIONS(1202),
    [anon_sym_PERCENT] = ACTIONS(1202),
    [anon_sym_STAR_STAR] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1202),
    [anon_sym_PIPE_AMP] = ACTIONS(1204),
    [anon_sym_RBRACK] = ACTIONS(1204),
    [anon_sym_EQ_TILDE] = ACTIONS(1202),
    [anon_sym_AMP_GT] = ACTIONS(1202),
    [anon_sym_AMP_GT_GT] = ACTIONS(1204),
    [anon_sym_LT_AMP] = ACTIONS(1202),
    [anon_sym_GT_AMP] = ACTIONS(1202),
    [anon_sym_GT_PIPE] = ACTIONS(1204),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1204),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1204),
    [anon_sym_LT_LT_DASH] = ACTIONS(1204),
    [anon_sym_LT_LT_LT] = ACTIONS(1204),
    [anon_sym_QMARK] = ACTIONS(1202),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1204),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1204),
    [aux_sym_concatenation_token1] = ACTIONS(291),
    [anon_sym_DOLLAR] = ACTIONS(1202),
    [sym__special_character] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1204),
    [sym_raw_string] = ACTIONS(1204),
    [sym_ansi_c_string] = ACTIONS(1204),
    [aux_sym_number_token1] = ACTIONS(1202),
    [aux_sym_number_token2] = ACTIONS(1202),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1204),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1202),
    [anon_sym_BQUOTE] = ACTIONS(1202),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1204),
    [anon_sym_LT_LPAREN] = ACTIONS(1204),
    [anon_sym_GT_LPAREN] = ACTIONS(1204),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1204),
    [sym__concat] = ACTIONS(1304),
    [sym_test_operator] = ACTIONS(1204),
    [sym__bare_dollar] = ACTIONS(1204),
    [sym__brace_start] = ACTIONS(1204),
  },
  [398] = {
    [aux_sym_concatenation_repeat1] = STATE(395),
    [sym_word] = ACTIONS(1218),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1220),
    [anon_sym_EQ] = ACTIONS(1218),
    [anon_sym_PLUS_PLUS] = ACTIONS(1218),
    [anon_sym_DASH_DASH] = ACTIONS(1218),
    [anon_sym_PLUS_EQ] = ACTIONS(1218),
    [anon_sym_DASH_EQ] = ACTIONS(1218),
    [anon_sym_STAR_EQ] = ACTIONS(1218),
    [anon_sym_SLASH_EQ] = ACTIONS(1218),
    [anon_sym_PERCENT_EQ] = ACTIONS(1218),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1218),
    [anon_sym_LT_LT_EQ] = ACTIONS(1220),
    [anon_sym_GT_GT_EQ] = ACTIONS(1220),
    [anon_sym_AMP_EQ] = ACTIONS(1220),
    [anon_sym_CARET_EQ] = ACTIONS(1218),
    [anon_sym_PIPE_EQ] = ACTIONS(1220),
    [anon_sym_PIPE_PIPE] = ACTIONS(1220),
    [anon_sym_AMP_AMP] = ACTIONS(1220),
    [anon_sym_PIPE] = ACTIONS(1218),
    [anon_sym_CARET] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1218),
    [anon_sym_EQ_EQ] = ACTIONS(1218),
    [anon_sym_BANG_EQ] = ACTIONS(1218),
    [anon_sym_LT] = ACTIONS(1218),
    [anon_sym_GT] = ACTIONS(1218),
    [anon_sym_LT_EQ] = ACTIONS(1220),
    [anon_sym_GT_EQ] = ACTIONS(1220),
    [anon_sym_LT_LT] = ACTIONS(1218),
    [anon_sym_GT_GT] = ACTIONS(1218),
    [anon_sym_PLUS] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1218),
    [anon_sym_STAR] = ACTIONS(1218),
    [anon_sym_SLASH] = ACTIONS(1218),
    [anon_sym_PERCENT] = ACTIONS(1218),
    [anon_sym_STAR_STAR] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1218),
    [anon_sym_PIPE_AMP] = ACTIONS(1220),
    [anon_sym_RBRACK] = ACTIONS(1220),
    [anon_sym_EQ_TILDE] = ACTIONS(1218),
    [anon_sym_AMP_GT] = ACTIONS(1218),
    [anon_sym_AMP_GT_GT] = ACTIONS(1220),
    [anon_sym_LT_AMP] = ACTIONS(1218),
    [anon_sym_GT_AMP] = ACTIONS(1218),
    [anon_sym_GT_PIPE] = ACTIONS(1220),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1220),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1220),
    [anon_sym_LT_LT_DASH] = ACTIONS(1220),
    [anon_sym_LT_LT_LT] = ACTIONS(1220),
    [anon_sym_QMARK] = ACTIONS(1218),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1220),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1220),
    [aux_sym_concatenation_token1] = ACTIONS(291),
    [anon_sym_DOLLAR] = ACTIONS(1218),
    [sym__special_character] = ACTIONS(1218),
    [anon_sym_DQUOTE] = ACTIONS(1220),
    [sym_raw_string] = ACTIONS(1220),
    [sym_ansi_c_string] = ACTIONS(1220),
    [aux_sym_number_token1] = ACTIONS(1218),
    [aux_sym_number_token2] = ACTIONS(1218),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1220),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1218),
    [anon_sym_BQUOTE] = ACTIONS(1218),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1220),
    [anon_sym_LT_LPAREN] = ACTIONS(1220),
    [anon_sym_GT_LPAREN] = ACTIONS(1220),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1220),
    [sym__concat] = ACTIONS(1306),
    [sym_test_operator] = ACTIONS(1220),
    [sym__bare_dollar] = ACTIONS(1220),
    [sym__brace_start] = ACTIONS(1220),
  },
  [399] = {
    [aux_sym_concatenation_repeat1] = STATE(397),
    [sym_word] = ACTIONS(1183),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1193),
    [anon_sym_EQ] = ACTIONS(1185),
    [anon_sym_PLUS_PLUS] = ACTIONS(1185),
    [anon_sym_DASH_DASH] = ACTIONS(1185),
    [anon_sym_PLUS_EQ] = ACTIONS(1185),
    [anon_sym_DASH_EQ] = ACTIONS(1185),
    [anon_sym_STAR_EQ] = ACTIONS(1185),
    [anon_sym_SLASH_EQ] = ACTIONS(1185),
    [anon_sym_PERCENT_EQ] = ACTIONS(1185),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1185),
    [anon_sym_LT_LT_EQ] = ACTIONS(1308),
    [anon_sym_GT_GT_EQ] = ACTIONS(1308),
    [anon_sym_AMP_EQ] = ACTIONS(1308),
    [anon_sym_CARET_EQ] = ACTIONS(1185),
    [anon_sym_PIPE_EQ] = ACTIONS(1308),
    [anon_sym_PIPE_PIPE] = ACTIONS(1195),
    [anon_sym_AMP_AMP] = ACTIONS(1195),
    [anon_sym_PIPE] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1185),
    [anon_sym_EQ_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1185),
    [anon_sym_LT] = ACTIONS(1187),
    [anon_sym_GT] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1308),
    [anon_sym_GT_EQ] = ACTIONS(1308),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(1185),
    [anon_sym_SLASH] = ACTIONS(1185),
    [anon_sym_PERCENT] = ACTIONS(1185),
    [anon_sym_STAR_STAR] = ACTIONS(1185),
    [anon_sym_LPAREN] = ACTIONS(1310),
    [anon_sym_PIPE_AMP] = ACTIONS(1193),
    [anon_sym_RBRACK] = ACTIONS(1308),
    [anon_sym_EQ_TILDE] = ACTIONS(1187),
    [anon_sym_AMP_GT] = ACTIONS(1183),
    [anon_sym_AMP_GT_GT] = ACTIONS(1193),
    [anon_sym_LT_AMP] = ACTIONS(1183),
    [anon_sym_GT_AMP] = ACTIONS(1183),
    [anon_sym_GT_PIPE] = ACTIONS(1193),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1193),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1193),
    [anon_sym_LT_LT_DASH] = ACTIONS(1193),
    [anon_sym_LT_LT_LT] = ACTIONS(1193),
    [anon_sym_QMARK] = ACTIONS(1185),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1193),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1193),
    [aux_sym_concatenation_token1] = ACTIONS(291),
    [anon_sym_DOLLAR] = ACTIONS(1183),
    [sym__special_character] = ACTIONS(1183),
    [anon_sym_DQUOTE] = ACTIONS(1193),
    [sym_raw_string] = ACTIONS(1193),
    [sym_ansi_c_string] = ACTIONS(1193),
    [aux_sym_number_token1] = ACTIONS(1183),
    [aux_sym_number_token2] = ACTIONS(1183),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1193),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1183),
    [anon_sym_BQUOTE] = ACTIONS(1183),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1193),
    [anon_sym_LT_LPAREN] = ACTIONS(1193),
    [anon_sym_GT_LPAREN] = ACTIONS(1193),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1193),
    [sym__concat] = ACTIONS(291),
    [sym_test_operator] = ACTIONS(1195),
    [sym__bare_dollar] = ACTIONS(1193),
    [sym__brace_start] = ACTIONS(1193),
  },
  [400] = {
    [aux_sym_concatenation_repeat1] = STATE(397),
    [sym_word] = ACTIONS(1183),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1193),
    [anon_sym_EQ] = ACTIONS(1185),
    [anon_sym_PLUS_PLUS] = ACTIONS(1185),
    [anon_sym_DASH_DASH] = ACTIONS(1185),
    [anon_sym_PLUS_EQ] = ACTIONS(1185),
    [anon_sym_DASH_EQ] = ACTIONS(1185),
    [anon_sym_STAR_EQ] = ACTIONS(1185),
    [anon_sym_SLASH_EQ] = ACTIONS(1185),
    [anon_sym_PERCENT_EQ] = ACTIONS(1185),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1185),
    [anon_sym_LT_LT_EQ] = ACTIONS(1308),
    [anon_sym_GT_GT_EQ] = ACTIONS(1308),
    [anon_sym_AMP_EQ] = ACTIONS(1308),
    [anon_sym_CARET_EQ] = ACTIONS(1185),
    [anon_sym_PIPE_EQ] = ACTIONS(1308),
    [anon_sym_PIPE_PIPE] = ACTIONS(1195),
    [anon_sym_AMP_AMP] = ACTIONS(1195),
    [anon_sym_PIPE] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1185),
    [anon_sym_EQ_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1185),
    [anon_sym_LT] = ACTIONS(1187),
    [anon_sym_GT] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1308),
    [anon_sym_GT_EQ] = ACTIONS(1308),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(1185),
    [anon_sym_SLASH] = ACTIONS(1185),
    [anon_sym_PERCENT] = ACTIONS(1185),
    [anon_sym_STAR_STAR] = ACTIONS(1185),
    [anon_sym_LPAREN] = ACTIONS(1183),
    [anon_sym_PIPE_AMP] = ACTIONS(1193),
    [anon_sym_RBRACK] = ACTIONS(1308),
    [anon_sym_EQ_TILDE] = ACTIONS(1187),
    [anon_sym_AMP_GT] = ACTIONS(1183),
    [anon_sym_AMP_GT_GT] = ACTIONS(1193),
    [anon_sym_LT_AMP] = ACTIONS(1183),
    [anon_sym_GT_AMP] = ACTIONS(1183),
    [anon_sym_GT_PIPE] = ACTIONS(1193),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1193),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1193),
    [anon_sym_LT_LT_DASH] = ACTIONS(1193),
    [anon_sym_LT_LT_LT] = ACTIONS(1193),
    [anon_sym_QMARK] = ACTIONS(1185),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1193),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1193),
    [aux_sym_concatenation_token1] = ACTIONS(291),
    [anon_sym_DOLLAR] = ACTIONS(1183),
    [sym__special_character] = ACTIONS(1183),
    [anon_sym_DQUOTE] = ACTIONS(1193),
    [sym_raw_string] = ACTIONS(1193),
    [sym_ansi_c_string] = ACTIONS(1193),
    [aux_sym_number_token1] = ACTIONS(1183),
    [aux_sym_number_token2] = ACTIONS(1183),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1193),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1183),
    [anon_sym_BQUOTE] = ACTIONS(1183),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1193),
    [anon_sym_LT_LPAREN] = ACTIONS(1193),
    [anon_sym_GT_LPAREN] = ACTIONS(1193),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1193),
    [sym__concat] = ACTIONS(291),
    [sym_test_operator] = ACTIONS(1195),
    [sym__bare_dollar] = ACTIONS(1193),
    [sym__brace_start] = ACTIONS(1193),
  },
  [401] = {
    [sym_word] = ACTIONS(1232),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1234),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_PLUS_PLUS] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1232),
    [anon_sym_PLUS_EQ] = ACTIONS(1232),
    [anon_sym_DASH_EQ] = ACTIONS(1232),
    [anon_sym_STAR_EQ] = ACTIONS(1232),
    [anon_sym_SLASH_EQ] = ACTIONS(1232),
    [anon_sym_PERCENT_EQ] = ACTIONS(1232),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1232),
    [anon_sym_LT_LT_EQ] = ACTIONS(1234),
    [anon_sym_GT_GT_EQ] = ACTIONS(1234),
    [anon_sym_AMP_EQ] = ACTIONS(1234),
    [anon_sym_CARET_EQ] = ACTIONS(1232),
    [anon_sym_PIPE_EQ] = ACTIONS(1234),
    [anon_sym_PIPE_PIPE] = ACTIONS(1234),
    [anon_sym_AMP_AMP] = ACTIONS(1234),
    [anon_sym_PIPE] = ACTIONS(1232),
    [anon_sym_CARET] = ACTIONS(1232),
    [anon_sym_AMP] = ACTIONS(1232),
    [anon_sym_EQ_EQ] = ACTIONS(1232),
    [anon_sym_BANG_EQ] = ACTIONS(1232),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(1232),
    [anon_sym_LT_EQ] = ACTIONS(1234),
    [anon_sym_GT_EQ] = ACTIONS(1234),
    [anon_sym_LT_LT] = ACTIONS(1232),
    [anon_sym_GT_GT] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_STAR] = ACTIONS(1232),
    [anon_sym_SLASH] = ACTIONS(1232),
    [anon_sym_PERCENT] = ACTIONS(1232),
    [anon_sym_STAR_STAR] = ACTIONS(1232),
    [anon_sym_LPAREN] = ACTIONS(1232),
    [anon_sym_PIPE_AMP] = ACTIONS(1234),
    [anon_sym_RBRACK] = ACTIONS(1234),
    [anon_sym_EQ_TILDE] = ACTIONS(1232),
    [anon_sym_AMP_GT] = ACTIONS(1232),
    [anon_sym_AMP_GT_GT] = ACTIONS(1234),
    [anon_sym_LT_AMP] = ACTIONS(1232),
    [anon_sym_GT_AMP] = ACTIONS(1232),
    [anon_sym_GT_PIPE] = ACTIONS(1234),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1234),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1234),
    [anon_sym_LT_LT_DASH] = ACTIONS(1234),
    [anon_sym_LT_LT_LT] = ACTIONS(1234),
    [anon_sym_QMARK] = ACTIONS(1232),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1234),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1234),
    [aux_sym_concatenation_token1] = ACTIONS(1234),
    [anon_sym_DOLLAR] = ACTIONS(1232),
    [sym__special_character] = ACTIONS(1232),
    [anon_sym_DQUOTE] = ACTIONS(1234),
    [sym_raw_string] = ACTIONS(1234),
    [sym_ansi_c_string] = ACTIONS(1234),
    [aux_sym_number_token1] = ACTIONS(1232),
    [aux_sym_number_token2] = ACTIONS(1232),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1234),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1232),
    [anon_sym_BQUOTE] = ACTIONS(1232),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1234),
    [anon_sym_LT_LPAREN] = ACTIONS(1234),
    [anon_sym_GT_LPAREN] = ACTIONS(1234),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1234),
    [sym__concat] = ACTIONS(1234),
    [sym_test_operator] = ACTIONS(1234),
    [sym__bare_dollar] = ACTIONS(1234),
    [sym__brace_start] = ACTIONS(1234),
  },
  [402] = {
    [sym_word] = ACTIONS(1272),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1274),
    [anon_sym_EQ] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1272),
    [anon_sym_PLUS_EQ] = ACTIONS(1272),
    [anon_sym_DASH_EQ] = ACTIONS(1272),
    [anon_sym_STAR_EQ] = ACTIONS(1272),
    [anon_sym_SLASH_EQ] = ACTIONS(1272),
    [anon_sym_PERCENT_EQ] = ACTIONS(1272),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1272),
    [anon_sym_LT_LT_EQ] = ACTIONS(1274),
    [anon_sym_GT_GT_EQ] = ACTIONS(1274),
    [anon_sym_AMP_EQ] = ACTIONS(1274),
    [anon_sym_CARET_EQ] = ACTIONS(1272),
    [anon_sym_PIPE_EQ] = ACTIONS(1274),
    [anon_sym_PIPE_PIPE] = ACTIONS(1274),
    [anon_sym_AMP_AMP] = ACTIONS(1274),
    [anon_sym_PIPE] = ACTIONS(1272),
    [anon_sym_CARET] = ACTIONS(1272),
    [anon_sym_AMP] = ACTIONS(1272),
    [anon_sym_EQ_EQ] = ACTIONS(1272),
    [anon_sym_BANG_EQ] = ACTIONS(1272),
    [anon_sym_LT] = ACTIONS(1272),
    [anon_sym_GT] = ACTIONS(1272),
    [anon_sym_LT_EQ] = ACTIONS(1274),
    [anon_sym_GT_EQ] = ACTIONS(1274),
    [anon_sym_LT_LT] = ACTIONS(1272),
    [anon_sym_GT_GT] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_STAR] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(1272),
    [anon_sym_PERCENT] = ACTIONS(1272),
    [anon_sym_STAR_STAR] = ACTIONS(1272),
    [anon_sym_LPAREN] = ACTIONS(1272),
    [anon_sym_PIPE_AMP] = ACTIONS(1274),
    [anon_sym_RBRACK] = ACTIONS(1274),
    [anon_sym_EQ_TILDE] = ACTIONS(1272),
    [anon_sym_AMP_GT] = ACTIONS(1272),
    [anon_sym_AMP_GT_GT] = ACTIONS(1274),
    [anon_sym_LT_AMP] = ACTIONS(1272),
    [anon_sym_GT_AMP] = ACTIONS(1272),
    [anon_sym_GT_PIPE] = ACTIONS(1274),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1274),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1274),
    [anon_sym_LT_LT_DASH] = ACTIONS(1274),
    [anon_sym_LT_LT_LT] = ACTIONS(1274),
    [anon_sym_QMARK] = ACTIONS(1272),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1274),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1274),
    [aux_sym_concatenation_token1] = ACTIONS(1274),
    [anon_sym_DOLLAR] = ACTIONS(1272),
    [sym__special_character] = ACTIONS(1272),
    [anon_sym_DQUOTE] = ACTIONS(1274),
    [sym_raw_string] = ACTIONS(1274),
    [sym_ansi_c_string] = ACTIONS(1274),
    [aux_sym_number_token1] = ACTIONS(1272),
    [aux_sym_number_token2] = ACTIONS(1272),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1274),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1272),
    [anon_sym_BQUOTE] = ACTIONS(1272),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1274),
    [anon_sym_LT_LPAREN] = ACTIONS(1274),
    [anon_sym_GT_LPAREN] = ACTIONS(1274),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1274),
    [sym__concat] = ACTIONS(1274),
    [sym_test_operator] = ACTIONS(1274),
    [sym__bare_dollar] = ACTIONS(1274),
    [sym__brace_start] = ACTIONS(1274),
  },
  [403] = {
    [sym_word] = ACTIONS(1252),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1254),
    [anon_sym_EQ] = ACTIONS(1252),
    [anon_sym_PLUS_PLUS] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1252),
    [anon_sym_PLUS_EQ] = ACTIONS(1252),
    [anon_sym_DASH_EQ] = ACTIONS(1252),
    [anon_sym_STAR_EQ] = ACTIONS(1252),
    [anon_sym_SLASH_EQ] = ACTIONS(1252),
    [anon_sym_PERCENT_EQ] = ACTIONS(1252),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1252),
    [anon_sym_LT_LT_EQ] = ACTIONS(1254),
    [anon_sym_GT_GT_EQ] = ACTIONS(1254),
    [anon_sym_AMP_EQ] = ACTIONS(1254),
    [anon_sym_CARET_EQ] = ACTIONS(1252),
    [anon_sym_PIPE_EQ] = ACTIONS(1254),
    [anon_sym_PIPE_PIPE] = ACTIONS(1254),
    [anon_sym_AMP_AMP] = ACTIONS(1254),
    [anon_sym_PIPE] = ACTIONS(1252),
    [anon_sym_CARET] = ACTIONS(1252),
    [anon_sym_AMP] = ACTIONS(1252),
    [anon_sym_EQ_EQ] = ACTIONS(1252),
    [anon_sym_BANG_EQ] = ACTIONS(1252),
    [anon_sym_LT] = ACTIONS(1252),
    [anon_sym_GT] = ACTIONS(1252),
    [anon_sym_LT_EQ] = ACTIONS(1254),
    [anon_sym_GT_EQ] = ACTIONS(1254),
    [anon_sym_LT_LT] = ACTIONS(1252),
    [anon_sym_GT_GT] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_STAR] = ACTIONS(1252),
    [anon_sym_SLASH] = ACTIONS(1252),
    [anon_sym_PERCENT] = ACTIONS(1252),
    [anon_sym_STAR_STAR] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1252),
    [anon_sym_PIPE_AMP] = ACTIONS(1254),
    [anon_sym_RBRACK] = ACTIONS(1254),
    [anon_sym_EQ_TILDE] = ACTIONS(1252),
    [anon_sym_AMP_GT] = ACTIONS(1252),
    [anon_sym_AMP_GT_GT] = ACTIONS(1254),
    [anon_sym_LT_AMP] = ACTIONS(1252),
    [anon_sym_GT_AMP] = ACTIONS(1252),
    [anon_sym_GT_PIPE] = ACTIONS(1254),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1254),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1254),
    [anon_sym_LT_LT_DASH] = ACTIONS(1254),
    [anon_sym_LT_LT_LT] = ACTIONS(1254),
    [anon_sym_QMARK] = ACTIONS(1252),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1254),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1254),
    [aux_sym_concatenation_token1] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1252),
    [sym__special_character] = ACTIONS(1252),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [sym_raw_string] = ACTIONS(1254),
    [sym_ansi_c_string] = ACTIONS(1254),
    [aux_sym_number_token1] = ACTIONS(1252),
    [aux_sym_number_token2] = ACTIONS(1252),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1254),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1252),
    [anon_sym_BQUOTE] = ACTIONS(1252),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1254),
    [anon_sym_LT_LPAREN] = ACTIONS(1254),
    [anon_sym_GT_LPAREN] = ACTIONS(1254),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1254),
    [sym__concat] = ACTIONS(1254),
    [sym_test_operator] = ACTIONS(1254),
    [sym__bare_dollar] = ACTIONS(1254),
    [sym__brace_start] = ACTIONS(1254),
  },
  [404] = {
    [sym_word] = ACTIONS(1256),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1258),
    [anon_sym_EQ] = ACTIONS(1256),
    [anon_sym_PLUS_PLUS] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1256),
    [anon_sym_PLUS_EQ] = ACTIONS(1256),
    [anon_sym_DASH_EQ] = ACTIONS(1256),
    [anon_sym_STAR_EQ] = ACTIONS(1256),
    [anon_sym_SLASH_EQ] = ACTIONS(1256),
    [anon_sym_PERCENT_EQ] = ACTIONS(1256),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1256),
    [anon_sym_LT_LT_EQ] = ACTIONS(1258),
    [anon_sym_GT_GT_EQ] = ACTIONS(1258),
    [anon_sym_AMP_EQ] = ACTIONS(1258),
    [anon_sym_CARET_EQ] = ACTIONS(1256),
    [anon_sym_PIPE_EQ] = ACTIONS(1258),
    [anon_sym_PIPE_PIPE] = ACTIONS(1258),
    [anon_sym_AMP_AMP] = ACTIONS(1258),
    [anon_sym_PIPE] = ACTIONS(1256),
    [anon_sym_CARET] = ACTIONS(1256),
    [anon_sym_AMP] = ACTIONS(1256),
    [anon_sym_EQ_EQ] = ACTIONS(1256),
    [anon_sym_BANG_EQ] = ACTIONS(1256),
    [anon_sym_LT] = ACTIONS(1256),
    [anon_sym_GT] = ACTIONS(1256),
    [anon_sym_LT_EQ] = ACTIONS(1258),
    [anon_sym_GT_EQ] = ACTIONS(1258),
    [anon_sym_LT_LT] = ACTIONS(1256),
    [anon_sym_GT_GT] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_SLASH] = ACTIONS(1256),
    [anon_sym_PERCENT] = ACTIONS(1256),
    [anon_sym_STAR_STAR] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1256),
    [anon_sym_PIPE_AMP] = ACTIONS(1258),
    [anon_sym_RBRACK] = ACTIONS(1258),
    [anon_sym_EQ_TILDE] = ACTIONS(1256),
    [anon_sym_AMP_GT] = ACTIONS(1256),
    [anon_sym_AMP_GT_GT] = ACTIONS(1258),
    [anon_sym_LT_AMP] = ACTIONS(1256),
    [anon_sym_GT_AMP] = ACTIONS(1256),
    [anon_sym_GT_PIPE] = ACTIONS(1258),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1258),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1258),
    [anon_sym_LT_LT_DASH] = ACTIONS(1258),
    [anon_sym_LT_LT_LT] = ACTIONS(1258),
    [anon_sym_QMARK] = ACTIONS(1256),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1258),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1258),
    [aux_sym_concatenation_token1] = ACTIONS(1258),
    [anon_sym_DOLLAR] = ACTIONS(1256),
    [sym__special_character] = ACTIONS(1256),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [sym_raw_string] = ACTIONS(1258),
    [sym_ansi_c_string] = ACTIONS(1258),
    [aux_sym_number_token1] = ACTIONS(1256),
    [aux_sym_number_token2] = ACTIONS(1256),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1258),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1256),
    [anon_sym_BQUOTE] = ACTIONS(1256),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1258),
    [anon_sym_LT_LPAREN] = ACTIONS(1258),
    [anon_sym_GT_LPAREN] = ACTIONS(1258),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1258),
    [sym__concat] = ACTIONS(1258),
    [sym_test_operator] = ACTIONS(1258),
    [sym__bare_dollar] = ACTIONS(1258),
    [sym__brace_start] = ACTIONS(1258),
  },
  [405] = {
    [sym_word] = ACTIONS(1276),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1276),
    [anon_sym_PLUS_PLUS] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1276),
    [anon_sym_PLUS_EQ] = ACTIONS(1276),
    [anon_sym_DASH_EQ] = ACTIONS(1276),
    [anon_sym_STAR_EQ] = ACTIONS(1276),
    [anon_sym_SLASH_EQ] = ACTIONS(1276),
    [anon_sym_PERCENT_EQ] = ACTIONS(1276),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1276),
    [anon_sym_LT_LT_EQ] = ACTIONS(1278),
    [anon_sym_GT_GT_EQ] = ACTIONS(1278),
    [anon_sym_AMP_EQ] = ACTIONS(1278),
    [anon_sym_CARET_EQ] = ACTIONS(1276),
    [anon_sym_PIPE_EQ] = ACTIONS(1278),
    [anon_sym_PIPE_PIPE] = ACTIONS(1278),
    [anon_sym_AMP_AMP] = ACTIONS(1278),
    [anon_sym_PIPE] = ACTIONS(1276),
    [anon_sym_CARET] = ACTIONS(1276),
    [anon_sym_AMP] = ACTIONS(1276),
    [anon_sym_EQ_EQ] = ACTIONS(1276),
    [anon_sym_BANG_EQ] = ACTIONS(1276),
    [anon_sym_LT] = ACTIONS(1276),
    [anon_sym_GT] = ACTIONS(1276),
    [anon_sym_LT_EQ] = ACTIONS(1278),
    [anon_sym_GT_EQ] = ACTIONS(1278),
    [anon_sym_LT_LT] = ACTIONS(1276),
    [anon_sym_GT_GT] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_STAR] = ACTIONS(1276),
    [anon_sym_SLASH] = ACTIONS(1276),
    [anon_sym_PERCENT] = ACTIONS(1276),
    [anon_sym_STAR_STAR] = ACTIONS(1276),
    [anon_sym_LPAREN] = ACTIONS(1276),
    [anon_sym_PIPE_AMP] = ACTIONS(1278),
    [anon_sym_RBRACK] = ACTIONS(1278),
    [anon_sym_EQ_TILDE] = ACTIONS(1276),
    [anon_sym_AMP_GT] = ACTIONS(1276),
    [anon_sym_AMP_GT_GT] = ACTIONS(1278),
    [anon_sym_LT_AMP] = ACTIONS(1276),
    [anon_sym_GT_AMP] = ACTIONS(1276),
    [anon_sym_GT_PIPE] = ACTIONS(1278),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1278),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1278),
    [anon_sym_LT_LT_DASH] = ACTIONS(1278),
    [anon_sym_LT_LT_LT] = ACTIONS(1278),
    [anon_sym_QMARK] = ACTIONS(1276),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1278),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1278),
    [aux_sym_concatenation_token1] = ACTIONS(1278),
    [anon_sym_DOLLAR] = ACTIONS(1276),
    [sym__special_character] = ACTIONS(1276),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [sym_raw_string] = ACTIONS(1278),
    [sym_ansi_c_string] = ACTIONS(1278),
    [aux_sym_number_token1] = ACTIONS(1276),
    [aux_sym_number_token2] = ACTIONS(1276),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1278),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1276),
    [anon_sym_BQUOTE] = ACTIONS(1276),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1278),
    [anon_sym_LT_LPAREN] = ACTIONS(1278),
    [anon_sym_GT_LPAREN] = ACTIONS(1278),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1278),
    [sym__concat] = ACTIONS(1278),
    [sym_test_operator] = ACTIONS(1278),
    [sym__bare_dollar] = ACTIONS(1278),
    [sym__brace_start] = ACTIONS(1278),
  },
  [406] = {
    [sym_word] = ACTIONS(1260),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1262),
    [anon_sym_EQ] = ACTIONS(1260),
    [anon_sym_PLUS_PLUS] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1260),
    [anon_sym_PLUS_EQ] = ACTIONS(1260),
    [anon_sym_DASH_EQ] = ACTIONS(1260),
    [anon_sym_STAR_EQ] = ACTIONS(1260),
    [anon_sym_SLASH_EQ] = ACTIONS(1260),
    [anon_sym_PERCENT_EQ] = ACTIONS(1260),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1260),
    [anon_sym_LT_LT_EQ] = ACTIONS(1262),
    [anon_sym_GT_GT_EQ] = ACTIONS(1262),
    [anon_sym_AMP_EQ] = ACTIONS(1262),
    [anon_sym_CARET_EQ] = ACTIONS(1260),
    [anon_sym_PIPE_EQ] = ACTIONS(1262),
    [anon_sym_PIPE_PIPE] = ACTIONS(1262),
    [anon_sym_AMP_AMP] = ACTIONS(1262),
    [anon_sym_PIPE] = ACTIONS(1260),
    [anon_sym_CARET] = ACTIONS(1260),
    [anon_sym_AMP] = ACTIONS(1260),
    [anon_sym_EQ_EQ] = ACTIONS(1260),
    [anon_sym_BANG_EQ] = ACTIONS(1260),
    [anon_sym_LT] = ACTIONS(1260),
    [anon_sym_GT] = ACTIONS(1260),
    [anon_sym_LT_EQ] = ACTIONS(1262),
    [anon_sym_GT_EQ] = ACTIONS(1262),
    [anon_sym_LT_LT] = ACTIONS(1260),
    [anon_sym_GT_GT] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1260),
    [anon_sym_DASH] = ACTIONS(1260),
    [anon_sym_STAR] = ACTIONS(1260),
    [anon_sym_SLASH] = ACTIONS(1260),
    [anon_sym_PERCENT] = ACTIONS(1260),
    [anon_sym_STAR_STAR] = ACTIONS(1260),
    [anon_sym_LPAREN] = ACTIONS(1260),
    [anon_sym_PIPE_AMP] = ACTIONS(1262),
    [anon_sym_RBRACK] = ACTIONS(1262),
    [anon_sym_EQ_TILDE] = ACTIONS(1260),
    [anon_sym_AMP_GT] = ACTIONS(1260),
    [anon_sym_AMP_GT_GT] = ACTIONS(1262),
    [anon_sym_LT_AMP] = ACTIONS(1260),
    [anon_sym_GT_AMP] = ACTIONS(1260),
    [anon_sym_GT_PIPE] = ACTIONS(1262),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1262),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1262),
    [anon_sym_LT_LT_DASH] = ACTIONS(1262),
    [anon_sym_LT_LT_LT] = ACTIONS(1262),
    [anon_sym_QMARK] = ACTIONS(1260),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1262),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1262),
    [aux_sym_concatenation_token1] = ACTIONS(1262),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [sym__special_character] = ACTIONS(1260),
    [anon_sym_DQUOTE] = ACTIONS(1262),
    [sym_raw_string] = ACTIONS(1262),
    [sym_ansi_c_string] = ACTIONS(1262),
    [aux_sym_number_token1] = ACTIONS(1260),
    [aux_sym_number_token2] = ACTIONS(1260),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1262),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1260),
    [anon_sym_BQUOTE] = ACTIONS(1260),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1262),
    [anon_sym_LT_LPAREN] = ACTIONS(1262),
    [anon_sym_GT_LPAREN] = ACTIONS(1262),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1262),
    [sym__concat] = ACTIONS(1262),
    [sym_test_operator] = ACTIONS(1262),
    [sym__bare_dollar] = ACTIONS(1262),
    [sym__brace_start] = ACTIONS(1262),
  },
  [407] = {
    [sym_word] = ACTIONS(1264),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1266),
    [anon_sym_EQ] = ACTIONS(1264),
    [anon_sym_PLUS_PLUS] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1264),
    [anon_sym_PLUS_EQ] = ACTIONS(1264),
    [anon_sym_DASH_EQ] = ACTIONS(1264),
    [anon_sym_STAR_EQ] = ACTIONS(1264),
    [anon_sym_SLASH_EQ] = ACTIONS(1264),
    [anon_sym_PERCENT_EQ] = ACTIONS(1264),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1264),
    [anon_sym_LT_LT_EQ] = ACTIONS(1266),
    [anon_sym_GT_GT_EQ] = ACTIONS(1266),
    [anon_sym_AMP_EQ] = ACTIONS(1266),
    [anon_sym_CARET_EQ] = ACTIONS(1264),
    [anon_sym_PIPE_EQ] = ACTIONS(1266),
    [anon_sym_PIPE_PIPE] = ACTIONS(1266),
    [anon_sym_AMP_AMP] = ACTIONS(1266),
    [anon_sym_PIPE] = ACTIONS(1264),
    [anon_sym_CARET] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1264),
    [anon_sym_EQ_EQ] = ACTIONS(1264),
    [anon_sym_BANG_EQ] = ACTIONS(1264),
    [anon_sym_LT] = ACTIONS(1264),
    [anon_sym_GT] = ACTIONS(1264),
    [anon_sym_LT_EQ] = ACTIONS(1266),
    [anon_sym_GT_EQ] = ACTIONS(1266),
    [anon_sym_LT_LT] = ACTIONS(1264),
    [anon_sym_GT_GT] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_STAR] = ACTIONS(1264),
    [anon_sym_SLASH] = ACTIONS(1264),
    [anon_sym_PERCENT] = ACTIONS(1264),
    [anon_sym_STAR_STAR] = ACTIONS(1264),
    [anon_sym_LPAREN] = ACTIONS(1264),
    [anon_sym_PIPE_AMP] = ACTIONS(1266),
    [anon_sym_RBRACK] = ACTIONS(1266),
    [anon_sym_EQ_TILDE] = ACTIONS(1264),
    [anon_sym_AMP_GT] = ACTIONS(1264),
    [anon_sym_AMP_GT_GT] = ACTIONS(1266),
    [anon_sym_LT_AMP] = ACTIONS(1264),
    [anon_sym_GT_AMP] = ACTIONS(1264),
    [anon_sym_GT_PIPE] = ACTIONS(1266),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1266),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1266),
    [anon_sym_LT_LT_DASH] = ACTIONS(1266),
    [anon_sym_LT_LT_LT] = ACTIONS(1266),
    [anon_sym_QMARK] = ACTIONS(1264),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1266),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1266),
    [aux_sym_concatenation_token1] = ACTIONS(1266),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [sym__special_character] = ACTIONS(1264),
    [anon_sym_DQUOTE] = ACTIONS(1266),
    [sym_raw_string] = ACTIONS(1266),
    [sym_ansi_c_string] = ACTIONS(1266),
    [aux_sym_number_token1] = ACTIONS(1264),
    [aux_sym_number_token2] = ACTIONS(1264),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1266),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1264),
    [anon_sym_BQUOTE] = ACTIONS(1264),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1266),
    [anon_sym_LT_LPAREN] = ACTIONS(1266),
    [anon_sym_GT_LPAREN] = ACTIONS(1266),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1266),
    [sym__concat] = ACTIONS(1266),
    [sym_test_operator] = ACTIONS(1266),
    [sym__bare_dollar] = ACTIONS(1266),
    [sym__brace_start] = ACTIONS(1266),
  },
  [408] = {
    [sym_word] = ACTIONS(1228),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1230),
    [anon_sym_EQ] = ACTIONS(1228),
    [anon_sym_PLUS_PLUS] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1228),
    [anon_sym_PLUS_EQ] = ACTIONS(1228),
    [anon_sym_DASH_EQ] = ACTIONS(1228),
    [anon_sym_STAR_EQ] = ACTIONS(1228),
    [anon_sym_SLASH_EQ] = ACTIONS(1228),
    [anon_sym_PERCENT_EQ] = ACTIONS(1228),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1228),
    [anon_sym_LT_LT_EQ] = ACTIONS(1230),
    [anon_sym_GT_GT_EQ] = ACTIONS(1230),
    [anon_sym_AMP_EQ] = ACTIONS(1230),
    [anon_sym_CARET_EQ] = ACTIONS(1228),
    [anon_sym_PIPE_EQ] = ACTIONS(1230),
    [anon_sym_PIPE_PIPE] = ACTIONS(1230),
    [anon_sym_AMP_AMP] = ACTIONS(1230),
    [anon_sym_PIPE] = ACTIONS(1228),
    [anon_sym_CARET] = ACTIONS(1228),
    [anon_sym_AMP] = ACTIONS(1228),
    [anon_sym_EQ_EQ] = ACTIONS(1228),
    [anon_sym_BANG_EQ] = ACTIONS(1228),
    [anon_sym_LT] = ACTIONS(1228),
    [anon_sym_GT] = ACTIONS(1228),
    [anon_sym_LT_EQ] = ACTIONS(1230),
    [anon_sym_GT_EQ] = ACTIONS(1230),
    [anon_sym_LT_LT] = ACTIONS(1228),
    [anon_sym_GT_GT] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_STAR] = ACTIONS(1228),
    [anon_sym_SLASH] = ACTIONS(1228),
    [anon_sym_PERCENT] = ACTIONS(1228),
    [anon_sym_STAR_STAR] = ACTIONS(1228),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_PIPE_AMP] = ACTIONS(1230),
    [anon_sym_RBRACK] = ACTIONS(1230),
    [anon_sym_EQ_TILDE] = ACTIONS(1228),
    [anon_sym_AMP_GT] = ACTIONS(1228),
    [anon_sym_AMP_GT_GT] = ACTIONS(1230),
    [anon_sym_LT_AMP] = ACTIONS(1228),
    [anon_sym_GT_AMP] = ACTIONS(1228),
    [anon_sym_GT_PIPE] = ACTIONS(1230),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1230),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1230),
    [anon_sym_LT_LT_DASH] = ACTIONS(1230),
    [anon_sym_LT_LT_LT] = ACTIONS(1230),
    [anon_sym_QMARK] = ACTIONS(1228),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1230),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1230),
    [aux_sym_concatenation_token1] = ACTIONS(1230),
    [anon_sym_DOLLAR] = ACTIONS(1228),
    [sym__special_character] = ACTIONS(1228),
    [anon_sym_DQUOTE] = ACTIONS(1230),
    [sym_raw_string] = ACTIONS(1230),
    [sym_ansi_c_string] = ACTIONS(1230),
    [aux_sym_number_token1] = ACTIONS(1228),
    [aux_sym_number_token2] = ACTIONS(1228),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1230),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1228),
    [anon_sym_BQUOTE] = ACTIONS(1228),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1230),
    [anon_sym_LT_LPAREN] = ACTIONS(1230),
    [anon_sym_GT_LPAREN] = ACTIONS(1230),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1230),
    [sym__concat] = ACTIONS(1230),
    [sym_test_operator] = ACTIONS(1230),
    [sym__bare_dollar] = ACTIONS(1230),
    [sym__brace_start] = ACTIONS(1230),
  },
  [409] = {
    [sym_word] = ACTIONS(1284),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1286),
    [anon_sym_EQ] = ACTIONS(1284),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [anon_sym_PLUS_EQ] = ACTIONS(1284),
    [anon_sym_DASH_EQ] = ACTIONS(1284),
    [anon_sym_STAR_EQ] = ACTIONS(1284),
    [anon_sym_SLASH_EQ] = ACTIONS(1284),
    [anon_sym_PERCENT_EQ] = ACTIONS(1284),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1284),
    [anon_sym_LT_LT_EQ] = ACTIONS(1286),
    [anon_sym_GT_GT_EQ] = ACTIONS(1286),
    [anon_sym_AMP_EQ] = ACTIONS(1286),
    [anon_sym_CARET_EQ] = ACTIONS(1284),
    [anon_sym_PIPE_EQ] = ACTIONS(1286),
    [anon_sym_PIPE_PIPE] = ACTIONS(1286),
    [anon_sym_AMP_AMP] = ACTIONS(1286),
    [anon_sym_PIPE] = ACTIONS(1284),
    [anon_sym_CARET] = ACTIONS(1284),
    [anon_sym_AMP] = ACTIONS(1284),
    [anon_sym_EQ_EQ] = ACTIONS(1284),
    [anon_sym_BANG_EQ] = ACTIONS(1284),
    [anon_sym_LT] = ACTIONS(1284),
    [anon_sym_GT] = ACTIONS(1284),
    [anon_sym_LT_EQ] = ACTIONS(1286),
    [anon_sym_GT_EQ] = ACTIONS(1286),
    [anon_sym_LT_LT] = ACTIONS(1284),
    [anon_sym_GT_GT] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_STAR] = ACTIONS(1284),
    [anon_sym_SLASH] = ACTIONS(1284),
    [anon_sym_PERCENT] = ACTIONS(1284),
    [anon_sym_STAR_STAR] = ACTIONS(1284),
    [anon_sym_LPAREN] = ACTIONS(1284),
    [anon_sym_PIPE_AMP] = ACTIONS(1286),
    [anon_sym_RBRACK] = ACTIONS(1286),
    [anon_sym_EQ_TILDE] = ACTIONS(1284),
    [anon_sym_AMP_GT] = ACTIONS(1284),
    [anon_sym_AMP_GT_GT] = ACTIONS(1286),
    [anon_sym_LT_AMP] = ACTIONS(1284),
    [anon_sym_GT_AMP] = ACTIONS(1284),
    [anon_sym_GT_PIPE] = ACTIONS(1286),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1286),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1286),
    [anon_sym_LT_LT_DASH] = ACTIONS(1286),
    [anon_sym_LT_LT_LT] = ACTIONS(1286),
    [anon_sym_QMARK] = ACTIONS(1284),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1286),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1286),
    [aux_sym_concatenation_token1] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1284),
    [sym__special_character] = ACTIONS(1284),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [sym_raw_string] = ACTIONS(1286),
    [sym_ansi_c_string] = ACTIONS(1286),
    [aux_sym_number_token1] = ACTIONS(1284),
    [aux_sym_number_token2] = ACTIONS(1284),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1286),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1284),
    [anon_sym_BQUOTE] = ACTIONS(1284),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1286),
    [anon_sym_LT_LPAREN] = ACTIONS(1286),
    [anon_sym_GT_LPAREN] = ACTIONS(1286),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1286),
    [sym__concat] = ACTIONS(1286),
    [sym_test_operator] = ACTIONS(1286),
    [sym__bare_dollar] = ACTIONS(1286),
    [sym__brace_start] = ACTIONS(1286),
  },
  [410] = {
    [sym_word] = ACTIONS(1236),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1238),
    [anon_sym_EQ] = ACTIONS(1236),
    [anon_sym_PLUS_PLUS] = ACTIONS(1236),
    [anon_sym_DASH_DASH] = ACTIONS(1236),
    [anon_sym_PLUS_EQ] = ACTIONS(1236),
    [anon_sym_DASH_EQ] = ACTIONS(1236),
    [anon_sym_STAR_EQ] = ACTIONS(1236),
    [anon_sym_SLASH_EQ] = ACTIONS(1236),
    [anon_sym_PERCENT_EQ] = ACTIONS(1236),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1236),
    [anon_sym_LT_LT_EQ] = ACTIONS(1238),
    [anon_sym_GT_GT_EQ] = ACTIONS(1238),
    [anon_sym_AMP_EQ] = ACTIONS(1238),
    [anon_sym_CARET_EQ] = ACTIONS(1236),
    [anon_sym_PIPE_EQ] = ACTIONS(1238),
    [anon_sym_PIPE_PIPE] = ACTIONS(1238),
    [anon_sym_AMP_AMP] = ACTIONS(1238),
    [anon_sym_PIPE] = ACTIONS(1236),
    [anon_sym_CARET] = ACTIONS(1236),
    [anon_sym_AMP] = ACTIONS(1236),
    [anon_sym_EQ_EQ] = ACTIONS(1236),
    [anon_sym_BANG_EQ] = ACTIONS(1236),
    [anon_sym_LT] = ACTIONS(1236),
    [anon_sym_GT] = ACTIONS(1236),
    [anon_sym_LT_EQ] = ACTIONS(1238),
    [anon_sym_GT_EQ] = ACTIONS(1238),
    [anon_sym_LT_LT] = ACTIONS(1236),
    [anon_sym_GT_GT] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_STAR] = ACTIONS(1236),
    [anon_sym_SLASH] = ACTIONS(1236),
    [anon_sym_PERCENT] = ACTIONS(1236),
    [anon_sym_STAR_STAR] = ACTIONS(1236),
    [anon_sym_LPAREN] = ACTIONS(1236),
    [anon_sym_PIPE_AMP] = ACTIONS(1238),
    [anon_sym_RBRACK] = ACTIONS(1238),
    [anon_sym_EQ_TILDE] = ACTIONS(1236),
    [anon_sym_AMP_GT] = ACTIONS(1236),
    [anon_sym_AMP_GT_GT] = ACTIONS(1238),
    [anon_sym_LT_AMP] = ACTIONS(1236),
    [anon_sym_GT_AMP] = ACTIONS(1236),
    [anon_sym_GT_PIPE] = ACTIONS(1238),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1238),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1238),
    [anon_sym_LT_LT_DASH] = ACTIONS(1238),
    [anon_sym_LT_LT_LT] = ACTIONS(1238),
    [anon_sym_QMARK] = ACTIONS(1236),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1238),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1238),
    [aux_sym_concatenation_token1] = ACTIONS(1238),
    [anon_sym_DOLLAR] = ACTIONS(1236),
    [sym__special_character] = ACTIONS(1236),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [sym_raw_string] = ACTIONS(1238),
    [sym_ansi_c_string] = ACTIONS(1238),
    [aux_sym_number_token1] = ACTIONS(1236),
    [aux_sym_number_token2] = ACTIONS(1236),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1238),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1236),
    [anon_sym_BQUOTE] = ACTIONS(1236),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1238),
    [anon_sym_LT_LPAREN] = ACTIONS(1238),
    [anon_sym_GT_LPAREN] = ACTIONS(1238),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1238),
    [sym__concat] = ACTIONS(1238),
    [sym_test_operator] = ACTIONS(1238),
    [sym__bare_dollar] = ACTIONS(1238),
    [sym__brace_start] = ACTIONS(1238),
  },
  [411] = {
    [sym_word] = ACTIONS(1208),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1210),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [anon_sym_PLUS_EQ] = ACTIONS(1208),
    [anon_sym_DASH_EQ] = ACTIONS(1208),
    [anon_sym_STAR_EQ] = ACTIONS(1208),
    [anon_sym_SLASH_EQ] = ACTIONS(1208),
    [anon_sym_PERCENT_EQ] = ACTIONS(1208),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1208),
    [anon_sym_LT_LT_EQ] = ACTIONS(1210),
    [anon_sym_GT_GT_EQ] = ACTIONS(1210),
    [anon_sym_AMP_EQ] = ACTIONS(1210),
    [anon_sym_CARET_EQ] = ACTIONS(1208),
    [anon_sym_PIPE_EQ] = ACTIONS(1210),
    [anon_sym_PIPE_PIPE] = ACTIONS(1210),
    [anon_sym_AMP_AMP] = ACTIONS(1210),
    [anon_sym_PIPE] = ACTIONS(1208),
    [anon_sym_CARET] = ACTIONS(1208),
    [anon_sym_AMP] = ACTIONS(1208),
    [anon_sym_EQ_EQ] = ACTIONS(1208),
    [anon_sym_BANG_EQ] = ACTIONS(1208),
    [anon_sym_LT] = ACTIONS(1208),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_LT_EQ] = ACTIONS(1210),
    [anon_sym_GT_EQ] = ACTIONS(1210),
    [anon_sym_LT_LT] = ACTIONS(1208),
    [anon_sym_GT_GT] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1208),
    [anon_sym_SLASH] = ACTIONS(1208),
    [anon_sym_PERCENT] = ACTIONS(1208),
    [anon_sym_STAR_STAR] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(1208),
    [anon_sym_PIPE_AMP] = ACTIONS(1210),
    [anon_sym_RBRACK] = ACTIONS(1210),
    [anon_sym_EQ_TILDE] = ACTIONS(1208),
    [anon_sym_AMP_GT] = ACTIONS(1208),
    [anon_sym_AMP_GT_GT] = ACTIONS(1210),
    [anon_sym_LT_AMP] = ACTIONS(1208),
    [anon_sym_GT_AMP] = ACTIONS(1208),
    [anon_sym_GT_PIPE] = ACTIONS(1210),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1210),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1210),
    [anon_sym_LT_LT_DASH] = ACTIONS(1210),
    [anon_sym_LT_LT_LT] = ACTIONS(1210),
    [anon_sym_QMARK] = ACTIONS(1208),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1210),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1210),
    [aux_sym_concatenation_token1] = ACTIONS(1210),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [sym__special_character] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1210),
    [sym_raw_string] = ACTIONS(1210),
    [sym_ansi_c_string] = ACTIONS(1210),
    [aux_sym_number_token1] = ACTIONS(1208),
    [aux_sym_number_token2] = ACTIONS(1208),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1210),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1208),
    [anon_sym_BQUOTE] = ACTIONS(1208),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1210),
    [anon_sym_LT_LPAREN] = ACTIONS(1210),
    [anon_sym_GT_LPAREN] = ACTIONS(1210),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1210),
    [sym__concat] = ACTIONS(1210),
    [sym_test_operator] = ACTIONS(1210),
    [sym__bare_dollar] = ACTIONS(1210),
    [sym__brace_start] = ACTIONS(1210),
  },
  [412] = {
    [sym_word] = ACTIONS(1240),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1242),
    [anon_sym_EQ] = ACTIONS(1240),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [anon_sym_PLUS_EQ] = ACTIONS(1240),
    [anon_sym_DASH_EQ] = ACTIONS(1240),
    [anon_sym_STAR_EQ] = ACTIONS(1240),
    [anon_sym_SLASH_EQ] = ACTIONS(1240),
    [anon_sym_PERCENT_EQ] = ACTIONS(1240),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1240),
    [anon_sym_LT_LT_EQ] = ACTIONS(1242),
    [anon_sym_GT_GT_EQ] = ACTIONS(1242),
    [anon_sym_AMP_EQ] = ACTIONS(1242),
    [anon_sym_CARET_EQ] = ACTIONS(1240),
    [anon_sym_PIPE_EQ] = ACTIONS(1242),
    [anon_sym_PIPE_PIPE] = ACTIONS(1242),
    [anon_sym_AMP_AMP] = ACTIONS(1242),
    [anon_sym_PIPE] = ACTIONS(1240),
    [anon_sym_CARET] = ACTIONS(1240),
    [anon_sym_AMP] = ACTIONS(1240),
    [anon_sym_EQ_EQ] = ACTIONS(1240),
    [anon_sym_BANG_EQ] = ACTIONS(1240),
    [anon_sym_LT] = ACTIONS(1240),
    [anon_sym_GT] = ACTIONS(1240),
    [anon_sym_LT_EQ] = ACTIONS(1242),
    [anon_sym_GT_EQ] = ACTIONS(1242),
    [anon_sym_LT_LT] = ACTIONS(1240),
    [anon_sym_GT_GT] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_STAR] = ACTIONS(1240),
    [anon_sym_SLASH] = ACTIONS(1240),
    [anon_sym_PERCENT] = ACTIONS(1240),
    [anon_sym_STAR_STAR] = ACTIONS(1240),
    [anon_sym_LPAREN] = ACTIONS(1240),
    [anon_sym_PIPE_AMP] = ACTIONS(1242),
    [anon_sym_RBRACK] = ACTIONS(1242),
    [anon_sym_EQ_TILDE] = ACTIONS(1240),
    [anon_sym_AMP_GT] = ACTIONS(1240),
    [anon_sym_AMP_GT_GT] = ACTIONS(1242),
    [anon_sym_LT_AMP] = ACTIONS(1240),
    [anon_sym_GT_AMP] = ACTIONS(1240),
    [anon_sym_GT_PIPE] = ACTIONS(1242),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1242),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1242),
    [anon_sym_LT_LT_DASH] = ACTIONS(1242),
    [anon_sym_LT_LT_LT] = ACTIONS(1242),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1242),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1242),
    [aux_sym_concatenation_token1] = ACTIONS(1242),
    [anon_sym_DOLLAR] = ACTIONS(1240),
    [sym__special_character] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1242),
    [sym_raw_string] = ACTIONS(1242),
    [sym_ansi_c_string] = ACTIONS(1242),
    [aux_sym_number_token1] = ACTIONS(1240),
    [aux_sym_number_token2] = ACTIONS(1240),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1242),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1240),
    [anon_sym_BQUOTE] = ACTIONS(1240),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1242),
    [anon_sym_LT_LPAREN] = ACTIONS(1242),
    [anon_sym_GT_LPAREN] = ACTIONS(1242),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1242),
    [sym__concat] = ACTIONS(1242),
    [sym_test_operator] = ACTIONS(1242),
    [sym__bare_dollar] = ACTIONS(1242),
    [sym__brace_start] = ACTIONS(1242),
  },
  [413] = {
    [sym_word] = ACTIONS(1288),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1290),
    [anon_sym_EQ] = ACTIONS(1288),
    [anon_sym_PLUS_PLUS] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1288),
    [anon_sym_PLUS_EQ] = ACTIONS(1288),
    [anon_sym_DASH_EQ] = ACTIONS(1288),
    [anon_sym_STAR_EQ] = ACTIONS(1288),
    [anon_sym_SLASH_EQ] = ACTIONS(1288),
    [anon_sym_PERCENT_EQ] = ACTIONS(1288),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1288),
    [anon_sym_LT_LT_EQ] = ACTIONS(1290),
    [anon_sym_GT_GT_EQ] = ACTIONS(1290),
    [anon_sym_AMP_EQ] = ACTIONS(1290),
    [anon_sym_CARET_EQ] = ACTIONS(1288),
    [anon_sym_PIPE_EQ] = ACTIONS(1290),
    [anon_sym_PIPE_PIPE] = ACTIONS(1290),
    [anon_sym_AMP_AMP] = ACTIONS(1290),
    [anon_sym_PIPE] = ACTIONS(1288),
    [anon_sym_CARET] = ACTIONS(1288),
    [anon_sym_AMP] = ACTIONS(1288),
    [anon_sym_EQ_EQ] = ACTIONS(1288),
    [anon_sym_BANG_EQ] = ACTIONS(1288),
    [anon_sym_LT] = ACTIONS(1288),
    [anon_sym_GT] = ACTIONS(1288),
    [anon_sym_LT_EQ] = ACTIONS(1290),
    [anon_sym_GT_EQ] = ACTIONS(1290),
    [anon_sym_LT_LT] = ACTIONS(1288),
    [anon_sym_GT_GT] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_STAR] = ACTIONS(1288),
    [anon_sym_SLASH] = ACTIONS(1288),
    [anon_sym_PERCENT] = ACTIONS(1288),
    [anon_sym_STAR_STAR] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1288),
    [anon_sym_PIPE_AMP] = ACTIONS(1290),
    [anon_sym_RBRACK] = ACTIONS(1290),
    [anon_sym_EQ_TILDE] = ACTIONS(1288),
    [anon_sym_AMP_GT] = ACTIONS(1288),
    [anon_sym_AMP_GT_GT] = ACTIONS(1290),
    [anon_sym_LT_AMP] = ACTIONS(1288),
    [anon_sym_GT_AMP] = ACTIONS(1288),
    [anon_sym_GT_PIPE] = ACTIONS(1290),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1290),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1290),
    [anon_sym_LT_LT_DASH] = ACTIONS(1290),
    [anon_sym_LT_LT_LT] = ACTIONS(1290),
    [anon_sym_QMARK] = ACTIONS(1288),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1290),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1290),
    [aux_sym_concatenation_token1] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1288),
    [sym__special_character] = ACTIONS(1288),
    [anon_sym_DQUOTE] = ACTIONS(1290),
    [sym_raw_string] = ACTIONS(1290),
    [sym_ansi_c_string] = ACTIONS(1290),
    [aux_sym_number_token1] = ACTIONS(1288),
    [aux_sym_number_token2] = ACTIONS(1288),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1290),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1288),
    [anon_sym_BQUOTE] = ACTIONS(1288),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1290),
    [anon_sym_LT_LPAREN] = ACTIONS(1290),
    [anon_sym_GT_LPAREN] = ACTIONS(1290),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1290),
    [sym__concat] = ACTIONS(1290),
    [sym_test_operator] = ACTIONS(1290),
    [sym__bare_dollar] = ACTIONS(1290),
    [sym__brace_start] = ACTIONS(1290),
  },
  [414] = {
    [sym_word] = ACTIONS(1244),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1246),
    [anon_sym_EQ] = ACTIONS(1244),
    [anon_sym_PLUS_PLUS] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1244),
    [anon_sym_PLUS_EQ] = ACTIONS(1244),
    [anon_sym_DASH_EQ] = ACTIONS(1244),
    [anon_sym_STAR_EQ] = ACTIONS(1244),
    [anon_sym_SLASH_EQ] = ACTIONS(1244),
    [anon_sym_PERCENT_EQ] = ACTIONS(1244),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1244),
    [anon_sym_LT_LT_EQ] = ACTIONS(1246),
    [anon_sym_GT_GT_EQ] = ACTIONS(1246),
    [anon_sym_AMP_EQ] = ACTIONS(1246),
    [anon_sym_CARET_EQ] = ACTIONS(1244),
    [anon_sym_PIPE_EQ] = ACTIONS(1246),
    [anon_sym_PIPE_PIPE] = ACTIONS(1246),
    [anon_sym_AMP_AMP] = ACTIONS(1246),
    [anon_sym_PIPE] = ACTIONS(1244),
    [anon_sym_CARET] = ACTIONS(1244),
    [anon_sym_AMP] = ACTIONS(1244),
    [anon_sym_EQ_EQ] = ACTIONS(1244),
    [anon_sym_BANG_EQ] = ACTIONS(1244),
    [anon_sym_LT] = ACTIONS(1244),
    [anon_sym_GT] = ACTIONS(1244),
    [anon_sym_LT_EQ] = ACTIONS(1246),
    [anon_sym_GT_EQ] = ACTIONS(1246),
    [anon_sym_LT_LT] = ACTIONS(1244),
    [anon_sym_GT_GT] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_STAR] = ACTIONS(1244),
    [anon_sym_SLASH] = ACTIONS(1244),
    [anon_sym_PERCENT] = ACTIONS(1244),
    [anon_sym_STAR_STAR] = ACTIONS(1244),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_PIPE_AMP] = ACTIONS(1246),
    [anon_sym_RBRACK] = ACTIONS(1246),
    [anon_sym_EQ_TILDE] = ACTIONS(1244),
    [anon_sym_AMP_GT] = ACTIONS(1244),
    [anon_sym_AMP_GT_GT] = ACTIONS(1246),
    [anon_sym_LT_AMP] = ACTIONS(1244),
    [anon_sym_GT_AMP] = ACTIONS(1244),
    [anon_sym_GT_PIPE] = ACTIONS(1246),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1246),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1246),
    [anon_sym_LT_LT_DASH] = ACTIONS(1246),
    [anon_sym_LT_LT_LT] = ACTIONS(1246),
    [anon_sym_QMARK] = ACTIONS(1244),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1246),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1246),
    [aux_sym_concatenation_token1] = ACTIONS(1246),
    [anon_sym_DOLLAR] = ACTIONS(1244),
    [sym__special_character] = ACTIONS(1244),
    [anon_sym_DQUOTE] = ACTIONS(1246),
    [sym_raw_string] = ACTIONS(1246),
    [sym_ansi_c_string] = ACTIONS(1246),
    [aux_sym_number_token1] = ACTIONS(1244),
    [aux_sym_number_token2] = ACTIONS(1244),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1246),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1244),
    [anon_sym_BQUOTE] = ACTIONS(1244),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1246),
    [anon_sym_LT_LPAREN] = ACTIONS(1246),
    [anon_sym_GT_LPAREN] = ACTIONS(1246),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1246),
    [sym__concat] = ACTIONS(1246),
    [sym_test_operator] = ACTIONS(1246),
    [sym__bare_dollar] = ACTIONS(1246),
    [sym__brace_start] = ACTIONS(1246),
  },
  [415] = {
    [sym_word] = ACTIONS(1268),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1270),
    [anon_sym_EQ] = ACTIONS(1268),
    [anon_sym_PLUS_PLUS] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1268),
    [anon_sym_PLUS_EQ] = ACTIONS(1268),
    [anon_sym_DASH_EQ] = ACTIONS(1268),
    [anon_sym_STAR_EQ] = ACTIONS(1268),
    [anon_sym_SLASH_EQ] = ACTIONS(1268),
    [anon_sym_PERCENT_EQ] = ACTIONS(1268),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1268),
    [anon_sym_LT_LT_EQ] = ACTIONS(1270),
    [anon_sym_GT_GT_EQ] = ACTIONS(1270),
    [anon_sym_AMP_EQ] = ACTIONS(1270),
    [anon_sym_CARET_EQ] = ACTIONS(1268),
    [anon_sym_PIPE_EQ] = ACTIONS(1270),
    [anon_sym_PIPE_PIPE] = ACTIONS(1270),
    [anon_sym_AMP_AMP] = ACTIONS(1270),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_CARET] = ACTIONS(1268),
    [anon_sym_AMP] = ACTIONS(1268),
    [anon_sym_EQ_EQ] = ACTIONS(1268),
    [anon_sym_BANG_EQ] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(1268),
    [anon_sym_GT] = ACTIONS(1268),
    [anon_sym_LT_EQ] = ACTIONS(1270),
    [anon_sym_GT_EQ] = ACTIONS(1270),
    [anon_sym_LT_LT] = ACTIONS(1268),
    [anon_sym_GT_GT] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1268),
    [anon_sym_DASH] = ACTIONS(1268),
    [anon_sym_STAR] = ACTIONS(1268),
    [anon_sym_SLASH] = ACTIONS(1268),
    [anon_sym_PERCENT] = ACTIONS(1268),
    [anon_sym_STAR_STAR] = ACTIONS(1268),
    [anon_sym_LPAREN] = ACTIONS(1268),
    [anon_sym_PIPE_AMP] = ACTIONS(1270),
    [anon_sym_RBRACK] = ACTIONS(1270),
    [anon_sym_EQ_TILDE] = ACTIONS(1268),
    [anon_sym_AMP_GT] = ACTIONS(1268),
    [anon_sym_AMP_GT_GT] = ACTIONS(1270),
    [anon_sym_LT_AMP] = ACTIONS(1268),
    [anon_sym_GT_AMP] = ACTIONS(1268),
    [anon_sym_GT_PIPE] = ACTIONS(1270),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1270),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1270),
    [anon_sym_LT_LT_DASH] = ACTIONS(1270),
    [anon_sym_LT_LT_LT] = ACTIONS(1270),
    [anon_sym_QMARK] = ACTIONS(1268),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1270),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1270),
    [aux_sym_concatenation_token1] = ACTIONS(1270),
    [anon_sym_DOLLAR] = ACTIONS(1268),
    [sym__special_character] = ACTIONS(1268),
    [anon_sym_DQUOTE] = ACTIONS(1270),
    [sym_raw_string] = ACTIONS(1270),
    [sym_ansi_c_string] = ACTIONS(1270),
    [aux_sym_number_token1] = ACTIONS(1268),
    [aux_sym_number_token2] = ACTIONS(1268),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1270),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1268),
    [anon_sym_BQUOTE] = ACTIONS(1268),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1270),
    [anon_sym_LT_LPAREN] = ACTIONS(1270),
    [anon_sym_GT_LPAREN] = ACTIONS(1270),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1270),
    [sym__concat] = ACTIONS(1270),
    [sym_test_operator] = ACTIONS(1270),
    [sym__bare_dollar] = ACTIONS(1270),
    [sym__brace_start] = ACTIONS(1270),
  },
  [416] = {
    [sym_word] = ACTIONS(1224),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1226),
    [anon_sym_EQ] = ACTIONS(1224),
    [anon_sym_PLUS_PLUS] = ACTIONS(1224),
    [anon_sym_DASH_DASH] = ACTIONS(1224),
    [anon_sym_PLUS_EQ] = ACTIONS(1224),
    [anon_sym_DASH_EQ] = ACTIONS(1224),
    [anon_sym_STAR_EQ] = ACTIONS(1224),
    [anon_sym_SLASH_EQ] = ACTIONS(1224),
    [anon_sym_PERCENT_EQ] = ACTIONS(1224),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1224),
    [anon_sym_LT_LT_EQ] = ACTIONS(1226),
    [anon_sym_GT_GT_EQ] = ACTIONS(1226),
    [anon_sym_AMP_EQ] = ACTIONS(1226),
    [anon_sym_CARET_EQ] = ACTIONS(1224),
    [anon_sym_PIPE_EQ] = ACTIONS(1226),
    [anon_sym_PIPE_PIPE] = ACTIONS(1226),
    [anon_sym_AMP_AMP] = ACTIONS(1226),
    [anon_sym_PIPE] = ACTIONS(1224),
    [anon_sym_CARET] = ACTIONS(1224),
    [anon_sym_AMP] = ACTIONS(1224),
    [anon_sym_EQ_EQ] = ACTIONS(1224),
    [anon_sym_BANG_EQ] = ACTIONS(1224),
    [anon_sym_LT] = ACTIONS(1224),
    [anon_sym_GT] = ACTIONS(1224),
    [anon_sym_LT_EQ] = ACTIONS(1226),
    [anon_sym_GT_EQ] = ACTIONS(1226),
    [anon_sym_LT_LT] = ACTIONS(1224),
    [anon_sym_GT_GT] = ACTIONS(1224),
    [anon_sym_PLUS] = ACTIONS(1224),
    [anon_sym_DASH] = ACTIONS(1224),
    [anon_sym_STAR] = ACTIONS(1224),
    [anon_sym_SLASH] = ACTIONS(1224),
    [anon_sym_PERCENT] = ACTIONS(1224),
    [anon_sym_STAR_STAR] = ACTIONS(1224),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_PIPE_AMP] = ACTIONS(1226),
    [anon_sym_RBRACK] = ACTIONS(1226),
    [anon_sym_EQ_TILDE] = ACTIONS(1224),
    [anon_sym_AMP_GT] = ACTIONS(1224),
    [anon_sym_AMP_GT_GT] = ACTIONS(1226),
    [anon_sym_LT_AMP] = ACTIONS(1224),
    [anon_sym_GT_AMP] = ACTIONS(1224),
    [anon_sym_GT_PIPE] = ACTIONS(1226),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1226),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1226),
    [anon_sym_LT_LT_DASH] = ACTIONS(1226),
    [anon_sym_LT_LT_LT] = ACTIONS(1226),
    [anon_sym_QMARK] = ACTIONS(1224),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1226),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1226),
    [aux_sym_concatenation_token1] = ACTIONS(1226),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [sym__special_character] = ACTIONS(1224),
    [anon_sym_DQUOTE] = ACTIONS(1226),
    [sym_raw_string] = ACTIONS(1226),
    [sym_ansi_c_string] = ACTIONS(1226),
    [aux_sym_number_token1] = ACTIONS(1224),
    [aux_sym_number_token2] = ACTIONS(1224),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1226),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1224),
    [anon_sym_BQUOTE] = ACTIONS(1224),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1226),
    [anon_sym_LT_LPAREN] = ACTIONS(1226),
    [anon_sym_GT_LPAREN] = ACTIONS(1226),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1226),
    [sym__concat] = ACTIONS(1226),
    [sym_test_operator] = ACTIONS(1226),
    [sym__bare_dollar] = ACTIONS(1226),
    [sym__brace_start] = ACTIONS(1226),
  },
  [417] = {
    [sym_word] = ACTIONS(1248),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1250),
    [anon_sym_EQ] = ACTIONS(1248),
    [anon_sym_PLUS_PLUS] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1248),
    [anon_sym_PLUS_EQ] = ACTIONS(1248),
    [anon_sym_DASH_EQ] = ACTIONS(1248),
    [anon_sym_STAR_EQ] = ACTIONS(1248),
    [anon_sym_SLASH_EQ] = ACTIONS(1248),
    [anon_sym_PERCENT_EQ] = ACTIONS(1248),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1248),
    [anon_sym_LT_LT_EQ] = ACTIONS(1250),
    [anon_sym_GT_GT_EQ] = ACTIONS(1250),
    [anon_sym_AMP_EQ] = ACTIONS(1250),
    [anon_sym_CARET_EQ] = ACTIONS(1248),
    [anon_sym_PIPE_EQ] = ACTIONS(1250),
    [anon_sym_PIPE_PIPE] = ACTIONS(1250),
    [anon_sym_AMP_AMP] = ACTIONS(1250),
    [anon_sym_PIPE] = ACTIONS(1248),
    [anon_sym_CARET] = ACTIONS(1248),
    [anon_sym_AMP] = ACTIONS(1248),
    [anon_sym_EQ_EQ] = ACTIONS(1248),
    [anon_sym_BANG_EQ] = ACTIONS(1248),
    [anon_sym_LT] = ACTIONS(1248),
    [anon_sym_GT] = ACTIONS(1248),
    [anon_sym_LT_EQ] = ACTIONS(1250),
    [anon_sym_GT_EQ] = ACTIONS(1250),
    [anon_sym_LT_LT] = ACTIONS(1248),
    [anon_sym_GT_GT] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(1248),
    [anon_sym_SLASH] = ACTIONS(1248),
    [anon_sym_PERCENT] = ACTIONS(1248),
    [anon_sym_STAR_STAR] = ACTIONS(1248),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [anon_sym_PIPE_AMP] = ACTIONS(1250),
    [anon_sym_RBRACK] = ACTIONS(1250),
    [anon_sym_EQ_TILDE] = ACTIONS(1248),
    [anon_sym_AMP_GT] = ACTIONS(1248),
    [anon_sym_AMP_GT_GT] = ACTIONS(1250),
    [anon_sym_LT_AMP] = ACTIONS(1248),
    [anon_sym_GT_AMP] = ACTIONS(1248),
    [anon_sym_GT_PIPE] = ACTIONS(1250),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1250),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1250),
    [anon_sym_LT_LT_DASH] = ACTIONS(1250),
    [anon_sym_LT_LT_LT] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(1248),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1250),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1250),
    [aux_sym_concatenation_token1] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1248),
    [sym__special_character] = ACTIONS(1248),
    [anon_sym_DQUOTE] = ACTIONS(1250),
    [sym_raw_string] = ACTIONS(1250),
    [sym_ansi_c_string] = ACTIONS(1250),
    [aux_sym_number_token1] = ACTIONS(1248),
    [aux_sym_number_token2] = ACTIONS(1248),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1250),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1248),
    [anon_sym_BQUOTE] = ACTIONS(1248),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1250),
    [anon_sym_LT_LPAREN] = ACTIONS(1250),
    [anon_sym_GT_LPAREN] = ACTIONS(1250),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1250),
    [sym__concat] = ACTIONS(1250),
    [sym_test_operator] = ACTIONS(1250),
    [sym__bare_dollar] = ACTIONS(1250),
    [sym__brace_start] = ACTIONS(1250),
  },
  [418] = {
    [sym_word] = ACTIONS(1264),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1266),
    [anon_sym_EQ] = ACTIONS(1264),
    [anon_sym_PLUS_PLUS] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1264),
    [anon_sym_PLUS_EQ] = ACTIONS(1264),
    [anon_sym_DASH_EQ] = ACTIONS(1264),
    [anon_sym_STAR_EQ] = ACTIONS(1264),
    [anon_sym_SLASH_EQ] = ACTIONS(1264),
    [anon_sym_PERCENT_EQ] = ACTIONS(1264),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1264),
    [anon_sym_LT_LT_EQ] = ACTIONS(1266),
    [anon_sym_GT_GT_EQ] = ACTIONS(1266),
    [anon_sym_AMP_EQ] = ACTIONS(1266),
    [anon_sym_CARET_EQ] = ACTIONS(1264),
    [anon_sym_PIPE_EQ] = ACTIONS(1266),
    [anon_sym_PIPE_PIPE] = ACTIONS(1266),
    [anon_sym_AMP_AMP] = ACTIONS(1266),
    [anon_sym_PIPE] = ACTIONS(1264),
    [anon_sym_CARET] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1264),
    [anon_sym_EQ_EQ] = ACTIONS(1264),
    [anon_sym_BANG_EQ] = ACTIONS(1264),
    [anon_sym_LT] = ACTIONS(1264),
    [anon_sym_GT] = ACTIONS(1264),
    [anon_sym_LT_EQ] = ACTIONS(1266),
    [anon_sym_GT_EQ] = ACTIONS(1266),
    [anon_sym_LT_LT] = ACTIONS(1264),
    [anon_sym_GT_GT] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_STAR] = ACTIONS(1264),
    [anon_sym_SLASH] = ACTIONS(1264),
    [anon_sym_PERCENT] = ACTIONS(1264),
    [anon_sym_STAR_STAR] = ACTIONS(1264),
    [anon_sym_LPAREN] = ACTIONS(1264),
    [anon_sym_PIPE_AMP] = ACTIONS(1266),
    [anon_sym_RBRACK] = ACTIONS(1266),
    [anon_sym_EQ_TILDE] = ACTIONS(1264),
    [anon_sym_AMP_GT] = ACTIONS(1264),
    [anon_sym_AMP_GT_GT] = ACTIONS(1266),
    [anon_sym_LT_AMP] = ACTIONS(1264),
    [anon_sym_GT_AMP] = ACTIONS(1264),
    [anon_sym_GT_PIPE] = ACTIONS(1266),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1266),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1266),
    [anon_sym_LT_LT_DASH] = ACTIONS(1266),
    [anon_sym_LT_LT_LT] = ACTIONS(1266),
    [anon_sym_QMARK] = ACTIONS(1264),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1266),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1266),
    [aux_sym_concatenation_token1] = ACTIONS(1266),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [sym__special_character] = ACTIONS(1264),
    [anon_sym_DQUOTE] = ACTIONS(1266),
    [sym_raw_string] = ACTIONS(1266),
    [sym_ansi_c_string] = ACTIONS(1266),
    [aux_sym_number_token1] = ACTIONS(1264),
    [aux_sym_number_token2] = ACTIONS(1264),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1266),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1264),
    [anon_sym_BQUOTE] = ACTIONS(1264),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1266),
    [anon_sym_LT_LPAREN] = ACTIONS(1266),
    [anon_sym_GT_LPAREN] = ACTIONS(1266),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1266),
    [sym__concat] = ACTIONS(1266),
    [sym_test_operator] = ACTIONS(1266),
    [sym__bare_dollar] = ACTIONS(1266),
    [sym__brace_start] = ACTIONS(1266),
  },
  [419] = {
    [sym_word] = ACTIONS(1280),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1282),
    [anon_sym_EQ] = ACTIONS(1280),
    [anon_sym_PLUS_PLUS] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1280),
    [anon_sym_PLUS_EQ] = ACTIONS(1280),
    [anon_sym_DASH_EQ] = ACTIONS(1280),
    [anon_sym_STAR_EQ] = ACTIONS(1280),
    [anon_sym_SLASH_EQ] = ACTIONS(1280),
    [anon_sym_PERCENT_EQ] = ACTIONS(1280),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1280),
    [anon_sym_LT_LT_EQ] = ACTIONS(1282),
    [anon_sym_GT_GT_EQ] = ACTIONS(1282),
    [anon_sym_AMP_EQ] = ACTIONS(1282),
    [anon_sym_CARET_EQ] = ACTIONS(1280),
    [anon_sym_PIPE_EQ] = ACTIONS(1282),
    [anon_sym_PIPE_PIPE] = ACTIONS(1282),
    [anon_sym_AMP_AMP] = ACTIONS(1282),
    [anon_sym_PIPE] = ACTIONS(1280),
    [anon_sym_CARET] = ACTIONS(1280),
    [anon_sym_AMP] = ACTIONS(1280),
    [anon_sym_EQ_EQ] = ACTIONS(1280),
    [anon_sym_BANG_EQ] = ACTIONS(1280),
    [anon_sym_LT] = ACTIONS(1280),
    [anon_sym_GT] = ACTIONS(1280),
    [anon_sym_LT_EQ] = ACTIONS(1282),
    [anon_sym_GT_EQ] = ACTIONS(1282),
    [anon_sym_LT_LT] = ACTIONS(1280),
    [anon_sym_GT_GT] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(1280),
    [anon_sym_SLASH] = ACTIONS(1280),
    [anon_sym_PERCENT] = ACTIONS(1280),
    [anon_sym_STAR_STAR] = ACTIONS(1280),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_PIPE_AMP] = ACTIONS(1282),
    [anon_sym_RBRACK] = ACTIONS(1282),
    [anon_sym_EQ_TILDE] = ACTIONS(1280),
    [anon_sym_AMP_GT] = ACTIONS(1280),
    [anon_sym_AMP_GT_GT] = ACTIONS(1282),
    [anon_sym_LT_AMP] = ACTIONS(1280),
    [anon_sym_GT_AMP] = ACTIONS(1280),
    [anon_sym_GT_PIPE] = ACTIONS(1282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1282),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1282),
    [anon_sym_LT_LT_DASH] = ACTIONS(1282),
    [anon_sym_LT_LT_LT] = ACTIONS(1282),
    [anon_sym_QMARK] = ACTIONS(1280),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1282),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1282),
    [aux_sym_concatenation_token1] = ACTIONS(1282),
    [anon_sym_DOLLAR] = ACTIONS(1280),
    [sym__special_character] = ACTIONS(1280),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [sym_raw_string] = ACTIONS(1282),
    [sym_ansi_c_string] = ACTIONS(1282),
    [aux_sym_number_token1] = ACTIONS(1280),
    [aux_sym_number_token2] = ACTIONS(1280),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1282),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1280),
    [anon_sym_BQUOTE] = ACTIONS(1280),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1282),
    [anon_sym_LT_LPAREN] = ACTIONS(1282),
    [anon_sym_GT_LPAREN] = ACTIONS(1282),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1282),
    [sym__concat] = ACTIONS(1282),
    [sym_test_operator] = ACTIONS(1282),
    [sym__bare_dollar] = ACTIONS(1282),
    [sym__brace_start] = ACTIONS(1282),
  },
  [420] = {
    [aux_sym__literal_repeat1] = STATE(420),
    [sym_word] = ACTIONS(1294),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1296),
    [anon_sym_EQ] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_EQ] = ACTIONS(1294),
    [anon_sym_DASH_EQ] = ACTIONS(1294),
    [anon_sym_STAR_EQ] = ACTIONS(1294),
    [anon_sym_SLASH_EQ] = ACTIONS(1294),
    [anon_sym_PERCENT_EQ] = ACTIONS(1294),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1294),
    [anon_sym_LT_LT_EQ] = ACTIONS(1296),
    [anon_sym_GT_GT_EQ] = ACTIONS(1296),
    [anon_sym_AMP_EQ] = ACTIONS(1296),
    [anon_sym_CARET_EQ] = ACTIONS(1294),
    [anon_sym_PIPE_EQ] = ACTIONS(1296),
    [anon_sym_PIPE_PIPE] = ACTIONS(1296),
    [anon_sym_AMP_AMP] = ACTIONS(1296),
    [anon_sym_PIPE] = ACTIONS(1294),
    [anon_sym_CARET] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_EQ_EQ] = ACTIONS(1294),
    [anon_sym_BANG_EQ] = ACTIONS(1294),
    [anon_sym_LT] = ACTIONS(1294),
    [anon_sym_GT] = ACTIONS(1294),
    [anon_sym_LT_EQ] = ACTIONS(1296),
    [anon_sym_GT_EQ] = ACTIONS(1296),
    [anon_sym_LT_LT] = ACTIONS(1294),
    [anon_sym_GT_GT] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1294),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(1294),
    [anon_sym_PERCENT] = ACTIONS(1294),
    [anon_sym_STAR_STAR] = ACTIONS(1294),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_PIPE_AMP] = ACTIONS(1296),
    [anon_sym_RBRACK] = ACTIONS(1296),
    [anon_sym_EQ_TILDE] = ACTIONS(1294),
    [anon_sym_AMP_GT] = ACTIONS(1294),
    [anon_sym_AMP_GT_GT] = ACTIONS(1296),
    [anon_sym_LT_AMP] = ACTIONS(1294),
    [anon_sym_GT_AMP] = ACTIONS(1294),
    [anon_sym_GT_PIPE] = ACTIONS(1296),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1296),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1296),
    [anon_sym_LT_LT_DASH] = ACTIONS(1296),
    [anon_sym_LT_LT_LT] = ACTIONS(1296),
    [anon_sym_QMARK] = ACTIONS(1294),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1296),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1296),
    [anon_sym_DOLLAR] = ACTIONS(1294),
    [sym__special_character] = ACTIONS(1313),
    [anon_sym_DQUOTE] = ACTIONS(1296),
    [sym_raw_string] = ACTIONS(1296),
    [sym_ansi_c_string] = ACTIONS(1296),
    [aux_sym_number_token1] = ACTIONS(1294),
    [aux_sym_number_token2] = ACTIONS(1294),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1296),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1294),
    [anon_sym_BQUOTE] = ACTIONS(1296),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1296),
    [anon_sym_LT_LPAREN] = ACTIONS(1296),
    [anon_sym_GT_LPAREN] = ACTIONS(1296),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1296),
    [sym_test_operator] = ACTIONS(1296),
    [sym__bare_dollar] = ACTIONS(1296),
    [sym__brace_start] = ACTIONS(1296),
  },
  [421] = {
    [aux_sym__literal_repeat1] = STATE(420),
    [sym_word] = ACTIONS(231),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(268),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(280),
    [anon_sym_GT_GT_EQ] = ACTIONS(280),
    [anon_sym_AMP_EQ] = ACTIONS(280),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(280),
    [anon_sym_PIPE_PIPE] = ACTIONS(282),
    [anon_sym_AMP_AMP] = ACTIONS(282),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(280),
    [anon_sym_GT_EQ] = ACTIONS(280),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_PIPE_AMP] = ACTIONS(268),
    [anon_sym_RBRACK] = ACTIONS(280),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_AMP_GT] = ACTIONS(231),
    [anon_sym_AMP_GT_GT] = ACTIONS(268),
    [anon_sym_LT_AMP] = ACTIONS(231),
    [anon_sym_GT_AMP] = ACTIONS(231),
    [anon_sym_GT_PIPE] = ACTIONS(268),
    [anon_sym_LT_AMP_DASH] = ACTIONS(268),
    [anon_sym_GT_AMP_DASH] = ACTIONS(268),
    [anon_sym_LT_LT_DASH] = ACTIONS(268),
    [anon_sym_LT_LT_LT] = ACTIONS(268),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(268),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(268),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [sym__special_character] = ACTIONS(1316),
    [anon_sym_DQUOTE] = ACTIONS(268),
    [sym_raw_string] = ACTIONS(268),
    [sym_ansi_c_string] = ACTIONS(268),
    [aux_sym_number_token1] = ACTIONS(231),
    [aux_sym_number_token2] = ACTIONS(231),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(268),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(231),
    [anon_sym_BQUOTE] = ACTIONS(268),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(268),
    [anon_sym_LT_LPAREN] = ACTIONS(268),
    [anon_sym_GT_LPAREN] = ACTIONS(268),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(268),
    [sym_test_operator] = ACTIONS(282),
    [sym__bare_dollar] = ACTIONS(268),
    [sym__brace_start] = ACTIONS(268),
  },
  [422] = {
    [sym_word] = ACTIONS(1198),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1200),
    [anon_sym_EQ] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_EQ] = ACTIONS(1198),
    [anon_sym_DASH_EQ] = ACTIONS(1198),
    [anon_sym_STAR_EQ] = ACTIONS(1198),
    [anon_sym_SLASH_EQ] = ACTIONS(1198),
    [anon_sym_PERCENT_EQ] = ACTIONS(1198),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1198),
    [anon_sym_LT_LT_EQ] = ACTIONS(1200),
    [anon_sym_GT_GT_EQ] = ACTIONS(1200),
    [anon_sym_AMP_EQ] = ACTIONS(1200),
    [anon_sym_CARET_EQ] = ACTIONS(1198),
    [anon_sym_PIPE_EQ] = ACTIONS(1200),
    [anon_sym_PIPE_PIPE] = ACTIONS(1200),
    [anon_sym_AMP_AMP] = ACTIONS(1200),
    [anon_sym_PIPE] = ACTIONS(1198),
    [anon_sym_CARET] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_EQ_EQ] = ACTIONS(1198),
    [anon_sym_BANG_EQ] = ACTIONS(1198),
    [anon_sym_LT] = ACTIONS(1198),
    [anon_sym_GT] = ACTIONS(1198),
    [anon_sym_LT_EQ] = ACTIONS(1200),
    [anon_sym_GT_EQ] = ACTIONS(1200),
    [anon_sym_LT_LT] = ACTIONS(1198),
    [anon_sym_GT_GT] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_SLASH] = ACTIONS(1198),
    [anon_sym_PERCENT] = ACTIONS(1198),
    [anon_sym_STAR_STAR] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1198),
    [anon_sym_PIPE_AMP] = ACTIONS(1200),
    [anon_sym_RBRACK] = ACTIONS(1200),
    [anon_sym_EQ_TILDE] = ACTIONS(1198),
    [anon_sym_AMP_GT] = ACTIONS(1198),
    [anon_sym_AMP_GT_GT] = ACTIONS(1200),
    [anon_sym_LT_AMP] = ACTIONS(1198),
    [anon_sym_GT_AMP] = ACTIONS(1198),
    [anon_sym_GT_PIPE] = ACTIONS(1200),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1200),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1200),
    [anon_sym_LT_LT_DASH] = ACTIONS(1200),
    [anon_sym_LT_LT_LT] = ACTIONS(1200),
    [anon_sym_QMARK] = ACTIONS(1198),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1200),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1200),
    [anon_sym_DOLLAR] = ACTIONS(1198),
    [sym__special_character] = ACTIONS(1198),
    [anon_sym_DQUOTE] = ACTIONS(1200),
    [sym_raw_string] = ACTIONS(1200),
    [sym_ansi_c_string] = ACTIONS(1200),
    [aux_sym_number_token1] = ACTIONS(1198),
    [aux_sym_number_token2] = ACTIONS(1198),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1200),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1198),
    [anon_sym_BQUOTE] = ACTIONS(1200),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1200),
    [anon_sym_LT_LPAREN] = ACTIONS(1200),
    [anon_sym_GT_LPAREN] = ACTIONS(1200),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1200),
    [sym_test_operator] = ACTIONS(1200),
    [sym__bare_dollar] = ACTIONS(1200),
    [sym__brace_start] = ACTIONS(1200),
  },
  [423] = {
    [sym_word] = ACTIONS(1183),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1193),
    [anon_sym_EQ] = ACTIONS(1185),
    [anon_sym_PLUS_PLUS] = ACTIONS(1185),
    [anon_sym_DASH_DASH] = ACTIONS(1185),
    [anon_sym_PLUS_EQ] = ACTIONS(1185),
    [anon_sym_DASH_EQ] = ACTIONS(1185),
    [anon_sym_STAR_EQ] = ACTIONS(1185),
    [anon_sym_SLASH_EQ] = ACTIONS(1185),
    [anon_sym_PERCENT_EQ] = ACTIONS(1185),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1185),
    [anon_sym_LT_LT_EQ] = ACTIONS(1308),
    [anon_sym_GT_GT_EQ] = ACTIONS(1308),
    [anon_sym_AMP_EQ] = ACTIONS(1308),
    [anon_sym_CARET_EQ] = ACTIONS(1185),
    [anon_sym_PIPE_EQ] = ACTIONS(1308),
    [anon_sym_PIPE_PIPE] = ACTIONS(1195),
    [anon_sym_AMP_AMP] = ACTIONS(1195),
    [anon_sym_PIPE] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1185),
    [anon_sym_EQ_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1185),
    [anon_sym_LT] = ACTIONS(1187),
    [anon_sym_GT] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1308),
    [anon_sym_GT_EQ] = ACTIONS(1308),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(1185),
    [anon_sym_SLASH] = ACTIONS(1185),
    [anon_sym_PERCENT] = ACTIONS(1185),
    [anon_sym_STAR_STAR] = ACTIONS(1185),
    [anon_sym_LPAREN] = ACTIONS(1183),
    [anon_sym_PIPE_AMP] = ACTIONS(1193),
    [anon_sym_RBRACK] = ACTIONS(1308),
    [anon_sym_EQ_TILDE] = ACTIONS(1187),
    [anon_sym_AMP_GT] = ACTIONS(1183),
    [anon_sym_AMP_GT_GT] = ACTIONS(1193),
    [anon_sym_LT_AMP] = ACTIONS(1183),
    [anon_sym_GT_AMP] = ACTIONS(1183),
    [anon_sym_GT_PIPE] = ACTIONS(1193),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1193),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1193),
    [anon_sym_LT_LT_DASH] = ACTIONS(1193),
    [anon_sym_LT_LT_LT] = ACTIONS(1193),
    [anon_sym_QMARK] = ACTIONS(1185),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1193),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1193),
    [anon_sym_DOLLAR] = ACTIONS(1183),
    [sym__special_character] = ACTIONS(1183),
    [anon_sym_DQUOTE] = ACTIONS(1193),
    [sym_raw_string] = ACTIONS(1193),
    [sym_ansi_c_string] = ACTIONS(1193),
    [aux_sym_number_token1] = ACTIONS(1183),
    [aux_sym_number_token2] = ACTIONS(1183),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1193),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1183),
    [anon_sym_BQUOTE] = ACTIONS(1193),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1193),
    [anon_sym_LT_LPAREN] = ACTIONS(1193),
    [anon_sym_GT_LPAREN] = ACTIONS(1193),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1193),
    [sym_test_operator] = ACTIONS(1195),
    [sym__bare_dollar] = ACTIONS(1193),
    [sym__brace_start] = ACTIONS(1193),
  },
  [424] = {
    [sym_subshell] = STATE(3947),
    [sym_test_command] = STATE(3947),
    [sym_command] = STATE(3946),
    [sym_command_name] = STATE(432),
    [sym_variable_assignment] = STATE(1561),
    [sym_subscript] = STATE(5407),
    [sym_file_redirect] = STATE(2990),
    [sym_herestring_redirect] = STATE(2990),
    [sym__expression] = STATE(2579),
    [sym_binary_expression] = STATE(2583),
    [sym_ternary_expression] = STATE(2583),
    [sym_unary_expression] = STATE(2583),
    [sym_postfix_expression] = STATE(2583),
    [sym_parenthesized_expression] = STATE(2583),
    [sym_arithmetic_expansion] = STATE(370),
    [sym_brace_expression] = STATE(370),
    [sym_concatenation] = STATE(396),
    [sym_string] = STATE(370),
    [sym_translated_string] = STATE(370),
    [sym_number] = STATE(370),
    [sym_simple_expansion] = STATE(370),
    [sym_expansion] = STATE(370),
    [sym_command_substitution] = STATE(370),
    [sym_process_substitution] = STATE(370),
    [aux_sym_command_repeat1] = STATE(772),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(1318),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(1320),
    [anon_sym_GT] = ACTIONS(1320),
    [anon_sym_GT_GT] = ACTIONS(1322),
    [anon_sym_LPAREN] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(1320),
    [anon_sym_AMP_GT_GT] = ACTIONS(1322),
    [anon_sym_LT_AMP] = ACTIONS(1320),
    [anon_sym_GT_AMP] = ACTIONS(1320),
    [anon_sym_GT_PIPE] = ACTIONS(1322),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1324),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1324),
    [anon_sym_LT_LT_LT] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS2] = ACTIONS(103),
    [anon_sym_DASH_DASH2] = ACTIONS(103),
    [anon_sym_DASH2] = ACTIONS(105),
    [anon_sym_PLUS2] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(109),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(111),
    [anon_sym_DOLLAR] = ACTIONS(113),
    [sym__special_character] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_raw_string] = ACTIONS(119),
    [sym_ansi_c_string] = ACTIONS(119),
    [aux_sym_number_token1] = ACTIONS(121),
    [aux_sym_number_token2] = ACTIONS(123),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(125),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(127),
    [anon_sym_BQUOTE] = ACTIONS(129),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(131),
    [anon_sym_LT_LPAREN] = ACTIONS(133),
    [anon_sym_GT_LPAREN] = ACTIONS(133),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1328),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(139),
    [sym__brace_start] = ACTIONS(141),
  },
  [425] = {
    [sym_subshell] = STATE(4499),
    [sym_test_command] = STATE(4499),
    [sym_command] = STATE(4480),
    [sym_command_name] = STATE(526),
    [sym_variable_assignment] = STATE(2346),
    [sym_subscript] = STATE(5322),
    [sym_file_redirect] = STATE(2990),
    [sym_herestring_redirect] = STATE(2990),
    [sym__expression] = STATE(2474),
    [sym_binary_expression] = STATE(2479),
    [sym_ternary_expression] = STATE(2479),
    [sym_unary_expression] = STATE(2479),
    [sym_postfix_expression] = STATE(2479),
    [sym_parenthesized_expression] = STATE(2479),
    [sym_arithmetic_expansion] = STATE(400),
    [sym_brace_expression] = STATE(400),
    [sym_concatenation] = STATE(423),
    [sym_string] = STATE(400),
    [sym_translated_string] = STATE(400),
    [sym_number] = STATE(400),
    [sym_simple_expansion] = STATE(400),
    [sym_expansion] = STATE(400),
    [sym_command_substitution] = STATE(400),
    [sym_process_substitution] = STATE(400),
    [aux_sym_command_repeat1] = STATE(763),
    [aux_sym__literal_repeat1] = STATE(421),
    [sym_word] = ACTIONS(1330),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(149),
    [anon_sym_LT] = ACTIONS(1320),
    [anon_sym_GT] = ACTIONS(1320),
    [anon_sym_GT_GT] = ACTIONS(1322),
    [anon_sym_LPAREN] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(173),
    [anon_sym_AMP_GT] = ACTIONS(1320),
    [anon_sym_AMP_GT_GT] = ACTIONS(1322),
    [anon_sym_LT_AMP] = ACTIONS(1320),
    [anon_sym_GT_AMP] = ACTIONS(1320),
    [anon_sym_GT_PIPE] = ACTIONS(1322),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1324),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1324),
    [anon_sym_LT_LT_LT] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS2] = ACTIONS(183),
    [anon_sym_DASH_DASH2] = ACTIONS(183),
    [anon_sym_DASH2] = ACTIONS(185),
    [anon_sym_PLUS2] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(187),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(189),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(191),
    [anon_sym_DOLLAR] = ACTIONS(193),
    [sym__special_character] = ACTIONS(195),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [sym_raw_string] = ACTIONS(199),
    [sym_ansi_c_string] = ACTIONS(199),
    [aux_sym_number_token1] = ACTIONS(201),
    [aux_sym_number_token2] = ACTIONS(203),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(205),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(207),
    [anon_sym_BQUOTE] = ACTIONS(209),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(211),
    [anon_sym_LT_LPAREN] = ACTIONS(213),
    [anon_sym_GT_LPAREN] = ACTIONS(213),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1328),
    [sym_variable_name] = ACTIONS(217),
    [sym_test_operator] = ACTIONS(219),
    [sym__brace_start] = ACTIONS(221),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(401), 1,
      anon_sym_LPAREN,
    ACTIONS(439), 1,
      anon_sym_DOLLAR,
    ACTIONS(447), 1,
      aux_sym_number_token1,
    ACTIONS(449), 1,
      aux_sym_number_token2,
    ACTIONS(453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(467), 1,
      sym__brace_start,
    ACTIONS(1342), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1344), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1346), 1,
      sym__special_character,
    ACTIONS(1348), 1,
      anon_sym_DQUOTE,
    ACTIONS(1350), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1352), 1,
      anon_sym_BQUOTE,
    ACTIONS(1354), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1358), 1,
      sym_test_operator,
    ACTIONS(1360), 1,
      sym__bare_dollar,
    STATE(430), 1,
      aux_sym_command_repeat2,
    STATE(875), 1,
      aux_sym__literal_repeat1,
    STATE(1017), 1,
      sym_concatenation,
    STATE(1026), 1,
      sym_herestring_redirect,
    STATE(3924), 1,
      sym_subshell,
    ACTIONS(1334), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1338), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1340), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1356), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1332), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(715), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1336), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [120] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(401), 1,
      anon_sym_LPAREN,
    ACTIONS(439), 1,
      anon_sym_DOLLAR,
    ACTIONS(447), 1,
      aux_sym_number_token1,
    ACTIONS(449), 1,
      aux_sym_number_token2,
    ACTIONS(453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(467), 1,
      sym__brace_start,
    ACTIONS(1342), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1344), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1346), 1,
      sym__special_character,
    ACTIONS(1348), 1,
      anon_sym_DQUOTE,
    ACTIONS(1350), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1352), 1,
      anon_sym_BQUOTE,
    ACTIONS(1354), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1358), 1,
      sym_test_operator,
    ACTIONS(1360), 1,
      sym__bare_dollar,
    STATE(434), 1,
      aux_sym_command_repeat2,
    STATE(875), 1,
      aux_sym__literal_repeat1,
    STATE(1017), 1,
      sym_concatenation,
    STATE(1026), 1,
      sym_herestring_redirect,
    STATE(3976), 1,
      sym_subshell,
    ACTIONS(1334), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1338), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1356), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1364), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1332), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(715), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1362), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [240] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(401), 1,
      anon_sym_LPAREN,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(685), 1,
      aux_sym_number_token1,
    ACTIONS(687), 1,
      aux_sym_number_token2,
    ACTIONS(691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(705), 1,
      sym__brace_start,
    ACTIONS(1372), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1374), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1376), 1,
      sym__special_character,
    ACTIONS(1378), 1,
      anon_sym_DQUOTE,
    ACTIONS(1380), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1382), 1,
      anon_sym_BQUOTE,
    ACTIONS(1384), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1388), 1,
      sym_test_operator,
    ACTIONS(1390), 1,
      sym__bare_dollar,
    STATE(438), 1,
      aux_sym_command_repeat2,
    STATE(965), 1,
      aux_sym__literal_repeat1,
    STATE(1130), 1,
      sym_herestring_redirect,
    STATE(1131), 1,
      sym_concatenation,
    STATE(3976), 1,
      sym_subshell,
    ACTIONS(1364), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1368), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1370), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1386), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1366), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(765), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1362), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [359] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(401), 1,
      anon_sym_LPAREN,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(685), 1,
      aux_sym_number_token1,
    ACTIONS(687), 1,
      aux_sym_number_token2,
    ACTIONS(691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(705), 1,
      sym__brace_start,
    ACTIONS(1372), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1374), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1376), 1,
      sym__special_character,
    ACTIONS(1378), 1,
      anon_sym_DQUOTE,
    ACTIONS(1380), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1382), 1,
      anon_sym_BQUOTE,
    ACTIONS(1384), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1388), 1,
      sym_test_operator,
    ACTIONS(1390), 1,
      sym__bare_dollar,
    STATE(440), 1,
      aux_sym_command_repeat2,
    STATE(965), 1,
      aux_sym__literal_repeat1,
    STATE(1130), 1,
      sym_herestring_redirect,
    STATE(1131), 1,
      sym_concatenation,
    STATE(3924), 1,
      sym_subshell,
    ACTIONS(1340), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1368), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1370), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1386), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1366), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(765), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1336), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [478] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      anon_sym_DOLLAR,
    ACTIONS(447), 1,
      aux_sym_number_token1,
    ACTIONS(449), 1,
      aux_sym_number_token2,
    ACTIONS(453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(467), 1,
      sym__brace_start,
    ACTIONS(1342), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1344), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1346), 1,
      sym__special_character,
    ACTIONS(1348), 1,
      anon_sym_DQUOTE,
    ACTIONS(1350), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1352), 1,
      anon_sym_BQUOTE,
    ACTIONS(1354), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1358), 1,
      sym_test_operator,
    ACTIONS(1360), 1,
      sym__bare_dollar,
    STATE(431), 1,
      aux_sym_command_repeat2,
    STATE(875), 1,
      aux_sym__literal_repeat1,
    STATE(1017), 1,
      sym_concatenation,
    STATE(1026), 1,
      sym_herestring_redirect,
    ACTIONS(1334), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1338), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1356), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1394), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1332), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(715), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1392), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [592] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1409), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1412), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1415), 1,
      anon_sym_DOLLAR,
    ACTIONS(1418), 1,
      sym__special_character,
    ACTIONS(1421), 1,
      anon_sym_DQUOTE,
    ACTIONS(1424), 1,
      aux_sym_number_token1,
    ACTIONS(1427), 1,
      aux_sym_number_token2,
    ACTIONS(1430), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1433), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1436), 1,
      anon_sym_BQUOTE,
    ACTIONS(1439), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1445), 1,
      sym_file_descriptor,
    ACTIONS(1448), 1,
      sym_test_operator,
    ACTIONS(1451), 1,
      sym__bare_dollar,
    ACTIONS(1454), 1,
      sym__brace_start,
    STATE(431), 1,
      aux_sym_command_repeat2,
    STATE(875), 1,
      aux_sym__literal_repeat1,
    STATE(1017), 1,
      sym_concatenation,
    STATE(1026), 1,
      sym_herestring_redirect,
    ACTIONS(1399), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1404), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1442), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1396), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(715), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1402), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [708] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(1463), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1473), 1,
      anon_sym_BQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1479), 1,
      sym_test_operator,
    ACTIONS(1481), 1,
      sym__bare_dollar,
    STATE(450), 1,
      aux_sym_command_repeat2,
    STATE(1097), 1,
      aux_sym__literal_repeat1,
    STATE(1249), 1,
      sym_concatenation,
    STATE(1253), 1,
      sym_herestring_redirect,
    STATE(3984), 1,
      sym_subshell,
    ACTIONS(1340), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1459), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1461), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1477), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1457), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(912), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1336), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [826] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(1463), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1473), 1,
      anon_sym_BQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1479), 1,
      sym_test_operator,
    ACTIONS(1481), 1,
      sym__bare_dollar,
    STATE(459), 1,
      aux_sym_command_repeat2,
    STATE(1097), 1,
      aux_sym__literal_repeat1,
    STATE(1249), 1,
      sym_concatenation,
    STATE(1253), 1,
      sym_herestring_redirect,
    STATE(3916), 1,
      sym_subshell,
    ACTIONS(1364), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1459), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1461), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1477), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1457), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(912), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1362), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [944] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      anon_sym_DOLLAR,
    ACTIONS(447), 1,
      aux_sym_number_token1,
    ACTIONS(449), 1,
      aux_sym_number_token2,
    ACTIONS(453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(467), 1,
      sym__brace_start,
    ACTIONS(1342), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1344), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1346), 1,
      sym__special_character,
    ACTIONS(1348), 1,
      anon_sym_DQUOTE,
    ACTIONS(1350), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1352), 1,
      anon_sym_BQUOTE,
    ACTIONS(1354), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1358), 1,
      sym_test_operator,
    ACTIONS(1360), 1,
      sym__bare_dollar,
    STATE(431), 1,
      aux_sym_command_repeat2,
    STATE(875), 1,
      aux_sym__literal_repeat1,
    STATE(1017), 1,
      sym_concatenation,
    STATE(1026), 1,
      sym_herestring_redirect,
    ACTIONS(1334), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1338), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1356), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1485), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1332), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(715), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1483), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [1058] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      anon_sym_DOLLAR,
    ACTIONS(57), 1,
      aux_sym_number_token1,
    ACTIONS(59), 1,
      aux_sym_number_token2,
    ACTIONS(63), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(79), 1,
      sym__brace_start,
    ACTIONS(1493), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1495), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1497), 1,
      sym__special_character,
    ACTIONS(1499), 1,
      anon_sym_DQUOTE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1509), 1,
      sym_test_operator,
    ACTIONS(1511), 1,
      sym__bare_dollar,
    STATE(457), 1,
      aux_sym_command_repeat2,
    STATE(1148), 1,
      aux_sym__literal_repeat1,
    STATE(1211), 1,
      sym_concatenation,
    STATE(1234), 1,
      sym_herestring_redirect,
    STATE(3984), 1,
      sym_subshell,
    ACTIONS(1489), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1491), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1507), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1340), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1487), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(886), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1336), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [1176] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      anon_sym_DOLLAR,
    ACTIONS(57), 1,
      aux_sym_number_token1,
    ACTIONS(59), 1,
      aux_sym_number_token2,
    ACTIONS(63), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(79), 1,
      sym__brace_start,
    ACTIONS(1493), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1495), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1497), 1,
      sym__special_character,
    ACTIONS(1499), 1,
      anon_sym_DQUOTE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1509), 1,
      sym_test_operator,
    ACTIONS(1511), 1,
      sym__bare_dollar,
    STATE(455), 1,
      aux_sym_command_repeat2,
    STATE(1148), 1,
      aux_sym__literal_repeat1,
    STATE(1211), 1,
      sym_concatenation,
    STATE(1234), 1,
      sym_herestring_redirect,
    STATE(3916), 1,
      sym_subshell,
    ACTIONS(1489), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1491), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1507), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1364), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1487), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(886), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1362), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [1294] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1473), 1,
      anon_sym_BQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1481), 1,
      sym__bare_dollar,
    ACTIONS(1517), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1519), 1,
      sym__special_character,
    ACTIONS(1521), 1,
      sym_test_operator,
    STATE(471), 1,
      aux_sym_command_repeat2,
    STATE(1097), 1,
      aux_sym__literal_repeat1,
    STATE(1249), 1,
      sym_concatenation,
    STATE(1253), 1,
      sym_herestring_redirect,
    STATE(3984), 1,
      sym_subshell,
    ACTIONS(1340), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1459), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1477), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1515), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1513), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1015), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1336), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [1411] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(685), 1,
      aux_sym_number_token1,
    ACTIONS(687), 1,
      aux_sym_number_token2,
    ACTIONS(691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(705), 1,
      sym__brace_start,
    ACTIONS(1372), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1374), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1376), 1,
      sym__special_character,
    ACTIONS(1378), 1,
      anon_sym_DQUOTE,
    ACTIONS(1380), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1382), 1,
      anon_sym_BQUOTE,
    ACTIONS(1384), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1388), 1,
      sym_test_operator,
    ACTIONS(1390), 1,
      sym__bare_dollar,
    STATE(443), 1,
      aux_sym_command_repeat2,
    STATE(965), 1,
      aux_sym__literal_repeat1,
    STATE(1130), 1,
      sym_herestring_redirect,
    STATE(1131), 1,
      sym_concatenation,
    ACTIONS(1368), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1370), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1386), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1485), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1366), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(765), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1483), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [1524] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1531), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1533), 1,
      anon_sym_DOLLAR,
    ACTIONS(1535), 1,
      sym__special_character,
    ACTIONS(1537), 1,
      anon_sym_DQUOTE,
    ACTIONS(1539), 1,
      aux_sym_number_token1,
    ACTIONS(1541), 1,
      aux_sym_number_token2,
    ACTIONS(1543), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1545), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1547), 1,
      anon_sym_BQUOTE,
    ACTIONS(1549), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1553), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(1555), 1,
      sym_variable_name,
    ACTIONS(1557), 1,
      sym_test_operator,
    ACTIONS(1559), 1,
      sym__brace_start,
    STATE(1147), 1,
      aux_sym__literal_repeat1,
    STATE(5396), 1,
      sym_subscript,
    ACTIONS(1525), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1529), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1551), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1523), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(446), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(909), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1527), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [1633] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(685), 1,
      aux_sym_number_token1,
    ACTIONS(687), 1,
      aux_sym_number_token2,
    ACTIONS(691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(705), 1,
      sym__brace_start,
    ACTIONS(1372), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1374), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1376), 1,
      sym__special_character,
    ACTIONS(1378), 1,
      anon_sym_DQUOTE,
    ACTIONS(1380), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1382), 1,
      anon_sym_BQUOTE,
    ACTIONS(1384), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1388), 1,
      sym_test_operator,
    ACTIONS(1390), 1,
      sym__bare_dollar,
    STATE(443), 1,
      aux_sym_command_repeat2,
    STATE(965), 1,
      aux_sym__literal_repeat1,
    STATE(1130), 1,
      sym_herestring_redirect,
    STATE(1131), 1,
      sym_concatenation,
    ACTIONS(1368), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1370), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1386), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1394), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1366), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(765), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1392), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [1746] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1531), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1533), 1,
      anon_sym_DOLLAR,
    ACTIONS(1535), 1,
      sym__special_character,
    ACTIONS(1537), 1,
      anon_sym_DQUOTE,
    ACTIONS(1539), 1,
      aux_sym_number_token1,
    ACTIONS(1541), 1,
      aux_sym_number_token2,
    ACTIONS(1543), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1545), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1547), 1,
      anon_sym_BQUOTE,
    ACTIONS(1549), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1555), 1,
      sym_variable_name,
    ACTIONS(1557), 1,
      sym_test_operator,
    ACTIONS(1559), 1,
      sym__brace_start,
    ACTIONS(1565), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1147), 1,
      aux_sym__literal_repeat1,
    STATE(5396), 1,
      sym_subscript,
    ACTIONS(1525), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1551), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1563), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1523), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(439), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(909), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1561), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [1855] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1473), 1,
      anon_sym_BQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1481), 1,
      sym__bare_dollar,
    ACTIONS(1517), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1519), 1,
      sym__special_character,
    ACTIONS(1521), 1,
      sym_test_operator,
    STATE(475), 1,
      aux_sym_command_repeat2,
    STATE(1097), 1,
      aux_sym__literal_repeat1,
    STATE(1249), 1,
      sym_concatenation,
    STATE(1253), 1,
      sym_herestring_redirect,
    STATE(3916), 1,
      sym_subshell,
    ACTIONS(1364), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1459), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1477), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1515), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1513), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1015), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1362), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [1972] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1576), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1579), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1582), 1,
      anon_sym_DOLLAR,
    ACTIONS(1585), 1,
      sym__special_character,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      aux_sym_number_token1,
    ACTIONS(1594), 1,
      aux_sym_number_token2,
    ACTIONS(1597), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1600), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1603), 1,
      anon_sym_BQUOTE,
    ACTIONS(1606), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1612), 1,
      sym_file_descriptor,
    ACTIONS(1615), 1,
      sym_test_operator,
    ACTIONS(1618), 1,
      sym__bare_dollar,
    ACTIONS(1621), 1,
      sym__brace_start,
    STATE(443), 1,
      aux_sym_command_repeat2,
    STATE(965), 1,
      aux_sym__literal_repeat1,
    STATE(1130), 1,
      sym_herestring_redirect,
    STATE(1131), 1,
      sym_concatenation,
    ACTIONS(1570), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1573), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1609), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1567), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(765), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1402), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [2087] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1481), 1,
      sym__bare_dollar,
    ACTIONS(1517), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1519), 1,
      sym__special_character,
    ACTIONS(1521), 1,
      sym_test_operator,
    STATE(473), 1,
      aux_sym_command_repeat2,
    STATE(1097), 1,
      aux_sym__literal_repeat1,
    STATE(1249), 1,
      sym_concatenation,
    STATE(1253), 1,
      sym_herestring_redirect,
    STATE(3916), 1,
      sym_subshell,
    ACTIONS(1364), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1459), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1477), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1515), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1513), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1015), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1362), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [2202] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1348), 1,
      anon_sym_DQUOTE,
    STATE(735), 1,
      sym_string,
    ACTIONS(1626), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(1624), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [2277] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1641), 1,
      anon_sym_DOLLAR,
    ACTIONS(1644), 1,
      sym__special_character,
    ACTIONS(1647), 1,
      anon_sym_DQUOTE,
    ACTIONS(1650), 1,
      aux_sym_number_token1,
    ACTIONS(1653), 1,
      aux_sym_number_token2,
    ACTIONS(1656), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1662), 1,
      anon_sym_BQUOTE,
    ACTIONS(1665), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1671), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(1674), 1,
      sym_variable_name,
    ACTIONS(1677), 1,
      sym_test_operator,
    ACTIONS(1680), 1,
      sym__brace_start,
    STATE(1147), 1,
      aux_sym__literal_repeat1,
    STATE(5396), 1,
      sym_subscript,
    ACTIONS(1631), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1636), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1668), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1628), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(446), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(909), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1634), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [2386] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1348), 1,
      anon_sym_DQUOTE,
    STATE(735), 1,
      sym_string,
    ACTIONS(1626), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(1624), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [2461] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1481), 1,
      sym__bare_dollar,
    ACTIONS(1517), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1519), 1,
      sym__special_character,
    ACTIONS(1521), 1,
      sym_test_operator,
    STATE(462), 1,
      aux_sym_command_repeat2,
    STATE(1097), 1,
      aux_sym__literal_repeat1,
    STATE(1249), 1,
      sym_concatenation,
    STATE(1253), 1,
      sym_herestring_redirect,
    STATE(3984), 1,
      sym_subshell,
    ACTIONS(1340), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1459), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1477), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1515), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1513), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1015), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1336), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [2576] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1689), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1692), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      sym__special_character,
    ACTIONS(1698), 1,
      anon_sym_DQUOTE,
    ACTIONS(1701), 1,
      aux_sym_number_token1,
    ACTIONS(1704), 1,
      aux_sym_number_token2,
    ACTIONS(1707), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1710), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1713), 1,
      anon_sym_BQUOTE,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1722), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(1725), 1,
      sym_variable_name,
    ACTIONS(1728), 1,
      sym_test_operator,
    ACTIONS(1731), 1,
      sym__brace_start,
    STATE(1384), 1,
      aux_sym__literal_repeat1,
    STATE(5342), 1,
      sym_subscript,
    ACTIONS(1636), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1686), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1719), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1683), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(449), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(998), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1634), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [2684] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(1463), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1473), 1,
      anon_sym_BQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1479), 1,
      sym_test_operator,
    ACTIONS(1481), 1,
      sym__bare_dollar,
    STATE(456), 1,
      aux_sym_command_repeat2,
    STATE(1097), 1,
      aux_sym__literal_repeat1,
    STATE(1249), 1,
      sym_concatenation,
    STATE(1253), 1,
      sym_herestring_redirect,
    ACTIONS(1394), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1459), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1461), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1477), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1457), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(912), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1392), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [2796] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 1,
      anon_sym_DQUOTE,
    STATE(800), 1,
      sym_string,
    ACTIONS(1736), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(1734), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [2870] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1750), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR,
    ACTIONS(1756), 1,
      sym__special_character,
    ACTIONS(1759), 1,
      anon_sym_DQUOTE,
    ACTIONS(1762), 1,
      aux_sym_number_token1,
    ACTIONS(1765), 1,
      aux_sym_number_token2,
    ACTIONS(1768), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1771), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1774), 1,
      anon_sym_BQUOTE,
    ACTIONS(1777), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1783), 1,
      sym_file_descriptor,
    ACTIONS(1786), 1,
      sym_test_operator,
    ACTIONS(1789), 1,
      sym__bare_dollar,
    ACTIONS(1792), 1,
      sym__brace_start,
    STATE(452), 1,
      aux_sym_command_repeat2,
    STATE(1148), 1,
      aux_sym__literal_repeat1,
    STATE(1211), 1,
      sym_concatenation,
    STATE(1234), 1,
      sym_herestring_redirect,
    ACTIONS(1407), 2,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1741), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1744), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1780), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1738), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(886), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1402), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [2984] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 1,
      anon_sym_DQUOTE,
    STATE(800), 1,
      sym_string,
    ACTIONS(1736), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(1734), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [3058] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1348), 1,
      anon_sym_DQUOTE,
    STATE(735), 1,
      sym_string,
    ACTIONS(1626), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(1624), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [3132] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym_DOLLAR,
    ACTIONS(57), 1,
      aux_sym_number_token1,
    ACTIONS(59), 1,
      aux_sym_number_token2,
    ACTIONS(63), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(79), 1,
      sym__brace_start,
    ACTIONS(1493), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1495), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1497), 1,
      sym__special_character,
    ACTIONS(1499), 1,
      anon_sym_DQUOTE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1509), 1,
      sym_test_operator,
    ACTIONS(1511), 1,
      sym__bare_dollar,
    STATE(452), 1,
      aux_sym_command_repeat2,
    STATE(1148), 1,
      aux_sym__literal_repeat1,
    STATE(1211), 1,
      sym_concatenation,
    STATE(1234), 1,
      sym_herestring_redirect,
    ACTIONS(1489), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1491), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1507), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1485), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1487), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(886), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1483), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [3244] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1804), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1807), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1810), 1,
      anon_sym_DOLLAR,
    ACTIONS(1813), 1,
      sym__special_character,
    ACTIONS(1816), 1,
      anon_sym_DQUOTE,
    ACTIONS(1819), 1,
      aux_sym_number_token1,
    ACTIONS(1822), 1,
      aux_sym_number_token2,
    ACTIONS(1825), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1828), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1831), 1,
      anon_sym_BQUOTE,
    ACTIONS(1834), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1840), 1,
      sym_file_descriptor,
    ACTIONS(1843), 1,
      sym_test_operator,
    ACTIONS(1846), 1,
      sym__bare_dollar,
    ACTIONS(1849), 1,
      sym__brace_start,
    STATE(456), 1,
      aux_sym_command_repeat2,
    STATE(1097), 1,
      aux_sym__literal_repeat1,
    STATE(1249), 1,
      sym_concatenation,
    STATE(1253), 1,
      sym_herestring_redirect,
    ACTIONS(1798), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1801), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1837), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1795), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(912), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1402), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [3358] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym_DOLLAR,
    ACTIONS(57), 1,
      aux_sym_number_token1,
    ACTIONS(59), 1,
      aux_sym_number_token2,
    ACTIONS(63), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(79), 1,
      sym__brace_start,
    ACTIONS(1493), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1495), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1497), 1,
      sym__special_character,
    ACTIONS(1499), 1,
      anon_sym_DQUOTE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1503), 1,
      anon_sym_BQUOTE,
    ACTIONS(1505), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1509), 1,
      sym_test_operator,
    ACTIONS(1511), 1,
      sym__bare_dollar,
    STATE(452), 1,
      aux_sym_command_repeat2,
    STATE(1148), 1,
      aux_sym__literal_repeat1,
    STATE(1211), 1,
      sym_concatenation,
    STATE(1234), 1,
      sym_herestring_redirect,
    ACTIONS(1489), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1491), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1507), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1394), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1487), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(886), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1392), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [3470] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1348), 1,
      anon_sym_DQUOTE,
    STATE(735), 1,
      sym_string,
    ACTIONS(1626), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(1624), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [3544] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(1463), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1473), 1,
      anon_sym_BQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1479), 1,
      sym_test_operator,
    ACTIONS(1481), 1,
      sym__bare_dollar,
    STATE(456), 1,
      aux_sym_command_repeat2,
    STATE(1097), 1,
      aux_sym__literal_repeat1,
    STATE(1249), 1,
      sym_concatenation,
    STATE(1253), 1,
      sym_herestring_redirect,
    ACTIONS(1459), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1461), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1477), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1485), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1457), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(912), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1483), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [3656] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1858), 1,
      anon_sym_DOLLAR,
    ACTIONS(1860), 1,
      sym__special_character,
    ACTIONS(1862), 1,
      anon_sym_DQUOTE,
    ACTIONS(1864), 1,
      aux_sym_number_token1,
    ACTIONS(1866), 1,
      aux_sym_number_token2,
    ACTIONS(1868), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1870), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_BQUOTE,
    ACTIONS(1874), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1878), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(1880), 1,
      sym_variable_name,
    ACTIONS(1882), 1,
      sym_test_operator,
    ACTIONS(1884), 1,
      sym__brace_start,
    STATE(1384), 1,
      aux_sym__literal_repeat1,
    STATE(5342), 1,
      sym_subscript,
    ACTIONS(1529), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1854), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1876), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1852), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(449), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(998), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1527), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [3764] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1858), 1,
      anon_sym_DOLLAR,
    ACTIONS(1860), 1,
      sym__special_character,
    ACTIONS(1862), 1,
      anon_sym_DQUOTE,
    ACTIONS(1864), 1,
      aux_sym_number_token1,
    ACTIONS(1866), 1,
      aux_sym_number_token2,
    ACTIONS(1868), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1870), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1872), 1,
      anon_sym_BQUOTE,
    ACTIONS(1874), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1880), 1,
      sym_variable_name,
    ACTIONS(1882), 1,
      sym_test_operator,
    ACTIONS(1884), 1,
      sym__brace_start,
    ACTIONS(1886), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1384), 1,
      aux_sym__literal_repeat1,
    STATE(5342), 1,
      sym_subscript,
    ACTIONS(1563), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1854), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1876), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1852), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(460), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(998), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1561), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [3872] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1481), 1,
      sym__bare_dollar,
    ACTIONS(1517), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1519), 1,
      sym__special_character,
    ACTIONS(1521), 1,
      sym_test_operator,
    STATE(474), 1,
      aux_sym_command_repeat2,
    STATE(1097), 1,
      aux_sym__literal_repeat1,
    STATE(1249), 1,
      sym_concatenation,
    STATE(1253), 1,
      sym_herestring_redirect,
    ACTIONS(1394), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1459), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1477), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1515), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1513), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1015), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1392), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [3981] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_DQUOTE,
    STATE(938), 1,
      sym_string,
    ACTIONS(1890), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
    ACTIONS(1888), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [4054] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1176), 1,
      aux_sym__literal_repeat1,
    STATE(476), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1894), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(851), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1892), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [4125] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    STATE(892), 1,
      sym_string,
    ACTIONS(1898), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(1896), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [4198] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1176), 1,
      aux_sym__literal_repeat1,
    STATE(476), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1902), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(851), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1900), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [4269] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_DQUOTE,
    STATE(938), 1,
      sym_string,
    ACTIONS(1890), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
    ACTIONS(1888), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [4342] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1908), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1910), 1,
      anon_sym_DOLLAR,
    ACTIONS(1912), 1,
      sym__special_character,
    ACTIONS(1914), 1,
      anon_sym_DQUOTE,
    ACTIONS(1916), 1,
      aux_sym_number_token1,
    ACTIONS(1918), 1,
      aux_sym_number_token2,
    ACTIONS(1920), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1922), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1924), 1,
      anon_sym_BQUOTE,
    ACTIONS(1926), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1930), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(1932), 1,
      sym_variable_name,
    ACTIONS(1934), 1,
      sym_test_operator,
    ACTIONS(1936), 1,
      sym__brace_start,
    STATE(1466), 1,
      aux_sym__literal_repeat1,
    STATE(5360), 1,
      sym_subscript,
    ACTIONS(1906), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1928), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1563), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1904), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(478), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(1092), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1561), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [4449] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1942), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1944), 1,
      anon_sym_DOLLAR,
    ACTIONS(1946), 1,
      sym__special_character,
    ACTIONS(1948), 1,
      anon_sym_DQUOTE,
    ACTIONS(1950), 1,
      aux_sym_number_token1,
    ACTIONS(1952), 1,
      aux_sym_number_token2,
    ACTIONS(1954), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1956), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1958), 1,
      anon_sym_BQUOTE,
    ACTIONS(1960), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1964), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(1966), 1,
      sym_variable_name,
    ACTIONS(1968), 1,
      sym_test_operator,
    ACTIONS(1970), 1,
      sym__brace_start,
    STATE(1545), 1,
      aux_sym__literal_repeat1,
    STATE(5403), 1,
      sym_subscript,
    ACTIONS(1563), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1940), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1962), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1938), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(481), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(1118), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1561), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [4556] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    STATE(892), 1,
      sym_string,
    ACTIONS(1898), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(1896), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [4629] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1473), 1,
      anon_sym_BQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1481), 1,
      sym__bare_dollar,
    ACTIONS(1517), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1519), 1,
      sym__special_character,
    ACTIONS(1521), 1,
      sym_test_operator,
    STATE(474), 1,
      aux_sym_command_repeat2,
    STATE(1097), 1,
      aux_sym__literal_repeat1,
    STATE(1249), 1,
      sym_concatenation,
    STATE(1253), 1,
      sym_herestring_redirect,
    ACTIONS(1394), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1459), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1477), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1515), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1513), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1015), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1392), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [4740] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1978), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOLLAR,
    ACTIONS(1984), 1,
      sym__special_character,
    ACTIONS(1987), 1,
      anon_sym_DQUOTE,
    ACTIONS(1990), 1,
      aux_sym_number_token1,
    ACTIONS(1993), 1,
      aux_sym_number_token2,
    ACTIONS(1996), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1999), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2002), 1,
      anon_sym_BQUOTE,
    ACTIONS(2005), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2011), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(2014), 1,
      sym_variable_name,
    ACTIONS(2017), 1,
      sym_test_operator,
    ACTIONS(2020), 1,
      sym__brace_start,
    STATE(1545), 1,
      aux_sym__literal_repeat1,
    STATE(5403), 1,
      sym_subscript,
    ACTIONS(1636), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1975), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2008), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1972), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(472), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(1118), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1634), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [4847] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1481), 1,
      sym__bare_dollar,
    ACTIONS(1517), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1519), 1,
      sym__special_character,
    ACTIONS(1521), 1,
      sym_test_operator,
    STATE(474), 1,
      aux_sym_command_repeat2,
    STATE(1097), 1,
      aux_sym__literal_repeat1,
    STATE(1249), 1,
      sym_concatenation,
    STATE(1253), 1,
      sym_herestring_redirect,
    ACTIONS(1459), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1477), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1485), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1515), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1513), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1015), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1483), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [4956] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1807), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1810), 1,
      anon_sym_DOLLAR,
    ACTIONS(1816), 1,
      anon_sym_DQUOTE,
    ACTIONS(1819), 1,
      aux_sym_number_token1,
    ACTIONS(1822), 1,
      aux_sym_number_token2,
    ACTIONS(1825), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1828), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1831), 1,
      anon_sym_BQUOTE,
    ACTIONS(1834), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1846), 1,
      sym__bare_dollar,
    ACTIONS(1849), 1,
      sym__brace_start,
    ACTIONS(2029), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(2032), 1,
      sym__special_character,
    ACTIONS(2035), 1,
      sym_file_descriptor,
    ACTIONS(2038), 1,
      sym_test_operator,
    STATE(474), 1,
      aux_sym_command_repeat2,
    STATE(1097), 1,
      aux_sym__literal_repeat1,
    STATE(1249), 1,
      sym_concatenation,
    STATE(1253), 1,
      sym_herestring_redirect,
    ACTIONS(1798), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1837), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2026), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(2023), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1015), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1402), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [5069] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1473), 1,
      anon_sym_BQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1481), 1,
      sym__bare_dollar,
    ACTIONS(1517), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1519), 1,
      sym__special_character,
    ACTIONS(1521), 1,
      sym_test_operator,
    STATE(474), 1,
      aux_sym_command_repeat2,
    STATE(1097), 1,
      aux_sym__literal_repeat1,
    STATE(1249), 1,
      sym_concatenation,
    STATE(1253), 1,
      sym_herestring_redirect,
    ACTIONS(1459), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1477), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1485), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1515), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1513), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1015), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1483), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [5180] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2054), 1,
      anon_sym_DOLLAR,
    ACTIONS(2057), 1,
      sym__special_character,
    ACTIONS(2060), 1,
      anon_sym_DQUOTE,
    ACTIONS(2063), 1,
      aux_sym_number_token1,
    ACTIONS(2066), 1,
      aux_sym_number_token2,
    ACTIONS(2069), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2072), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2075), 1,
      anon_sym_BQUOTE,
    ACTIONS(2078), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2084), 1,
      sym_test_operator,
    ACTIONS(2087), 1,
      sym__brace_start,
    STATE(1176), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2081), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(476), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(2041), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(2049), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    STATE(851), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2047), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [5281] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 1,
      anon_sym_DQUOTE,
    STATE(800), 1,
      sym_string,
    ACTIONS(1736), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(1734), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [5354] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1908), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1910), 1,
      anon_sym_DOLLAR,
    ACTIONS(1912), 1,
      sym__special_character,
    ACTIONS(1914), 1,
      anon_sym_DQUOTE,
    ACTIONS(1916), 1,
      aux_sym_number_token1,
    ACTIONS(1918), 1,
      aux_sym_number_token2,
    ACTIONS(1920), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1922), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1924), 1,
      anon_sym_BQUOTE,
    ACTIONS(1926), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1932), 1,
      sym_variable_name,
    ACTIONS(1934), 1,
      sym_test_operator,
    ACTIONS(1936), 1,
      sym__brace_start,
    ACTIONS(2090), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1466), 1,
      aux_sym__literal_repeat1,
    STATE(5360), 1,
      sym_subscript,
    ACTIONS(1906), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1928), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1529), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1904), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(479), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(1092), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1527), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [5461] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2098), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2101), 1,
      anon_sym_DOLLAR,
    ACTIONS(2104), 1,
      sym__special_character,
    ACTIONS(2107), 1,
      anon_sym_DQUOTE,
    ACTIONS(2110), 1,
      aux_sym_number_token1,
    ACTIONS(2113), 1,
      aux_sym_number_token2,
    ACTIONS(2116), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2119), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2122), 1,
      anon_sym_BQUOTE,
    ACTIONS(2125), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2131), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(2134), 1,
      sym_variable_name,
    ACTIONS(2137), 1,
      sym_test_operator,
    ACTIONS(2140), 1,
      sym__brace_start,
    STATE(1466), 1,
      aux_sym__literal_repeat1,
    STATE(5360), 1,
      sym_subscript,
    ACTIONS(2095), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2128), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1636), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2092), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(479), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(1092), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1634), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [5568] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 1,
      anon_sym_DQUOTE,
    STATE(800), 1,
      sym_string,
    ACTIONS(1736), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(1734), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [5641] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1942), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1944), 1,
      anon_sym_DOLLAR,
    ACTIONS(1946), 1,
      sym__special_character,
    ACTIONS(1948), 1,
      anon_sym_DQUOTE,
    ACTIONS(1950), 1,
      aux_sym_number_token1,
    ACTIONS(1952), 1,
      aux_sym_number_token2,
    ACTIONS(1954), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1956), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1958), 1,
      anon_sym_BQUOTE,
    ACTIONS(1960), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1966), 1,
      sym_variable_name,
    ACTIONS(1968), 1,
      sym_test_operator,
    ACTIONS(1970), 1,
      sym__brace_start,
    ACTIONS(2143), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1545), 1,
      aux_sym__literal_repeat1,
    STATE(5403), 1,
      sym_subscript,
    ACTIONS(1529), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1940), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1962), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1938), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(472), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(1118), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1527), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [5748] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1942), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1944), 1,
      anon_sym_DOLLAR,
    ACTIONS(1948), 1,
      anon_sym_DQUOTE,
    ACTIONS(1950), 1,
      aux_sym_number_token1,
    ACTIONS(1952), 1,
      aux_sym_number_token2,
    ACTIONS(1954), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1956), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1960), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1970), 1,
      sym__brace_start,
    ACTIONS(2147), 1,
      sym__special_character,
    ACTIONS(2149), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(2151), 1,
      sym_variable_name,
    ACTIONS(2153), 1,
      sym_test_operator,
    STATE(1545), 1,
      aux_sym__literal_repeat1,
    STATE(5417), 1,
      sym_subscript,
    ACTIONS(1563), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1940), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1962), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2145), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(496), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(1370), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1561), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [5852] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2165), 1,
      anon_sym_DOLLAR,
    ACTIONS(2167), 1,
      sym__special_character,
    ACTIONS(2169), 1,
      anon_sym_DQUOTE,
    ACTIONS(2171), 1,
      aux_sym_number_token1,
    ACTIONS(2173), 1,
      aux_sym_number_token2,
    ACTIONS(2175), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2177), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2179), 1,
      anon_sym_BQUOTE,
    ACTIONS(2181), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2185), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(2187), 1,
      sym_test_operator,
    ACTIONS(2189), 1,
      sym__brace_start,
    STATE(1220), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2157), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2161), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2183), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(505), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(2155), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1007), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2159), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [5954] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1473), 1,
      anon_sym_BQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1481), 1,
      sym__bare_dollar,
    ACTIONS(2195), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(2197), 1,
      sym__special_character,
    ACTIONS(2199), 1,
      sym_test_operator,
    STATE(547), 1,
      aux_sym_command_repeat2,
    STATE(1097), 1,
      aux_sym__literal_repeat1,
    STATE(1249), 1,
      sym_concatenation,
    STATE(1253), 1,
      sym_herestring_redirect,
    STATE(3984), 1,
      sym_subshell,
    ACTIONS(1340), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1459), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1477), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2193), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(2191), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1441), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1336), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [6068] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2203), 1,
      anon_sym_DQUOTE,
    STATE(1038), 1,
      sym_string,
    ACTIONS(2205), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2201), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6140] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    STATE(892), 1,
      sym_string,
    ACTIONS(1898), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(1896), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6212] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1942), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1944), 1,
      anon_sym_DOLLAR,
    ACTIONS(1948), 1,
      anon_sym_DQUOTE,
    ACTIONS(1950), 1,
      aux_sym_number_token1,
    ACTIONS(1952), 1,
      aux_sym_number_token2,
    ACTIONS(1954), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1956), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1958), 1,
      anon_sym_BQUOTE,
    ACTIONS(1960), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1970), 1,
      sym__brace_start,
    ACTIONS(2147), 1,
      sym__special_character,
    ACTIONS(2151), 1,
      sym_variable_name,
    ACTIONS(2153), 1,
      sym_test_operator,
    ACTIONS(2207), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1545), 1,
      aux_sym__literal_repeat1,
    STATE(5417), 1,
      sym_subscript,
    ACTIONS(1563), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1940), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1962), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2145), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(494), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(1370), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1561), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [6318] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    STATE(892), 1,
      sym_string,
    ACTIONS(1898), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(1896), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6390] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    STATE(892), 1,
      sym_string,
    ACTIONS(1898), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(1896), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6462] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    STATE(892), 1,
      sym_string,
    ACTIONS(1898), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(1896), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6534] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(791), 23,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(541), 33,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_if,
      anon_sym_then,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
  [6598] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1473), 1,
      anon_sym_BQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1481), 1,
      sym__bare_dollar,
    ACTIONS(2195), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(2197), 1,
      sym__special_character,
    ACTIONS(2199), 1,
      sym_test_operator,
    STATE(540), 1,
      aux_sym_command_repeat2,
    STATE(1097), 1,
      aux_sym__literal_repeat1,
    STATE(1249), 1,
      sym_concatenation,
    STATE(1253), 1,
      sym_herestring_redirect,
    STATE(3916), 1,
      sym_subshell,
    ACTIONS(1364), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1459), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1477), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2193), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(2191), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1441), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1362), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [6712] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2215), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2218), 1,
      anon_sym_DOLLAR,
    ACTIONS(2221), 1,
      sym__special_character,
    ACTIONS(2224), 1,
      anon_sym_DQUOTE,
    ACTIONS(2227), 1,
      aux_sym_number_token1,
    ACTIONS(2230), 1,
      aux_sym_number_token2,
    ACTIONS(2233), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2236), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2239), 1,
      anon_sym_BQUOTE,
    ACTIONS(2242), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2248), 1,
      sym_test_operator,
    ACTIONS(2251), 1,
      sym__brace_start,
    STATE(1262), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2212), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2245), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(493), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(2049), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2209), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(999), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2047), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [6812] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1942), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1944), 1,
      anon_sym_DOLLAR,
    ACTIONS(1948), 1,
      anon_sym_DQUOTE,
    ACTIONS(1950), 1,
      aux_sym_number_token1,
    ACTIONS(1952), 1,
      aux_sym_number_token2,
    ACTIONS(1954), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1956), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1958), 1,
      anon_sym_BQUOTE,
    ACTIONS(1960), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1970), 1,
      sym__brace_start,
    ACTIONS(2147), 1,
      sym__special_character,
    ACTIONS(2151), 1,
      sym_variable_name,
    ACTIONS(2153), 1,
      sym_test_operator,
    ACTIONS(2254), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1545), 1,
      aux_sym__literal_repeat1,
    STATE(5417), 1,
      sym_subscript,
    ACTIONS(1529), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1940), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1962), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2145), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(500), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(1370), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1527), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [6918] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2203), 1,
      anon_sym_DQUOTE,
    STATE(1038), 1,
      sym_string,
    ACTIONS(2205), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2201), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6990] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1942), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1944), 1,
      anon_sym_DOLLAR,
    ACTIONS(1948), 1,
      anon_sym_DQUOTE,
    ACTIONS(1950), 1,
      aux_sym_number_token1,
    ACTIONS(1952), 1,
      aux_sym_number_token2,
    ACTIONS(1954), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1956), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1960), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1970), 1,
      sym__brace_start,
    ACTIONS(2147), 1,
      sym__special_character,
    ACTIONS(2151), 1,
      sym_variable_name,
    ACTIONS(2153), 1,
      sym_test_operator,
    ACTIONS(2254), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1545), 1,
      aux_sym__literal_repeat1,
    STATE(5417), 1,
      sym_subscript,
    ACTIONS(1529), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1940), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1962), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2145), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(500), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(1370), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1527), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [7094] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1262), 1,
      aux_sym__literal_repeat1,
    STATE(493), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1894), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(999), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1892), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7164] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2269), 1,
      anon_sym_DOLLAR,
    ACTIONS(2272), 1,
      sym__special_character,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2278), 1,
      aux_sym_number_token1,
    ACTIONS(2281), 1,
      aux_sym_number_token2,
    ACTIONS(2284), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2287), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2290), 1,
      anon_sym_BQUOTE,
    ACTIONS(2293), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2299), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(2302), 1,
      sym_test_operator,
    ACTIONS(2305), 1,
      sym__brace_start,
    STATE(1220), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2259), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2264), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2296), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(498), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(2256), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1007), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2262), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [7266] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1262), 1,
      aux_sym__literal_repeat1,
    STATE(493), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1902), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(999), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1900), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7336] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1978), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOLLAR,
    ACTIONS(1987), 1,
      anon_sym_DQUOTE,
    ACTIONS(1990), 1,
      aux_sym_number_token1,
    ACTIONS(1993), 1,
      aux_sym_number_token2,
    ACTIONS(1996), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1999), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2002), 1,
      anon_sym_BQUOTE,
    ACTIONS(2005), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2020), 1,
      sym__brace_start,
    ACTIONS(2311), 1,
      sym__special_character,
    ACTIONS(2314), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(2317), 1,
      sym_variable_name,
    ACTIONS(2320), 1,
      sym_test_operator,
    STATE(1545), 1,
      aux_sym__literal_repeat1,
    STATE(5417), 1,
      sym_subscript,
    ACTIONS(1636), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1975), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2008), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2308), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(500), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(1370), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1634), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [7442] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_DQUOTE,
    STATE(938), 1,
      sym_string,
    ACTIONS(1890), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
    ACTIONS(1888), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7514] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_DQUOTE,
    STATE(938), 1,
      sym_string,
    ACTIONS(1890), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
    ACTIONS(1888), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7586] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1099), 1,
      aux_sym__literal_repeat1,
    STATE(1337), 1,
      sym_concatenation,
    ACTIONS(2325), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(921), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2323), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7656] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1070), 1,
      aux_sym__literal_repeat1,
    STATE(1344), 1,
      sym_concatenation,
    ACTIONS(2329), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(874), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2327), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7726] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2165), 1,
      anon_sym_DOLLAR,
    ACTIONS(2167), 1,
      sym__special_character,
    ACTIONS(2169), 1,
      anon_sym_DQUOTE,
    ACTIONS(2171), 1,
      aux_sym_number_token1,
    ACTIONS(2173), 1,
      aux_sym_number_token2,
    ACTIONS(2175), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2177), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2179), 1,
      anon_sym_BQUOTE,
    ACTIONS(2181), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2187), 1,
      sym_test_operator,
    ACTIONS(2189), 1,
      sym__brace_start,
    ACTIONS(2335), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1220), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2157), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2183), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2333), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(498), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(2155), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1007), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2331), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [7828] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1553), 1,
      aux_sym__literal_repeat1,
    STATE(537), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1902), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(1122), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1900), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7897] = 37,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(169), 1,
      anon_sym_LBRACK,
    ACTIONS(173), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(217), 1,
      sym_variable_name,
    ACTIONS(935), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(941), 1,
      anon_sym_LPAREN,
    ACTIONS(949), 1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(951), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(953), 1,
      anon_sym_DOLLAR,
    ACTIONS(955), 1,
      sym__special_character,
    ACTIONS(957), 1,
      anon_sym_DQUOTE,
    ACTIONS(961), 1,
      aux_sym_number_token1,
    ACTIONS(963), 1,
      aux_sym_number_token2,
    ACTIONS(965), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(967), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(971), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(977), 1,
      sym_test_operator,
    ACTIONS(979), 1,
      sym__brace_start,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2337), 1,
      sym_word,
    STATE(526), 1,
      sym_command_name,
    STATE(763), 1,
      aux_sym_command_repeat1,
    STATE(1901), 1,
      aux_sym__literal_repeat1,
    STATE(1981), 1,
      sym_concatenation,
    STATE(2346), 1,
      sym_variable_assignment,
    STATE(4480), 1,
      sym_command,
    STATE(5322), 1,
      sym_subscript,
    ACTIONS(959), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(973), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(2990), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    STATE(4499), 2,
      sym_subshell,
      sym_test_command,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(1531), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [8028] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_DQUOTE,
    STATE(948), 1,
      sym_string,
    ACTIONS(2341), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2339), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8099] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2349), 1,
      anon_sym_DOLLAR,
    ACTIONS(2351), 1,
      sym__special_character,
    ACTIONS(2353), 1,
      anon_sym_DQUOTE,
    ACTIONS(2355), 1,
      aux_sym_number_token1,
    ACTIONS(2357), 1,
      aux_sym_number_token2,
    ACTIONS(2359), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2361), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2363), 1,
      anon_sym_BQUOTE,
    ACTIONS(2365), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2369), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(2371), 1,
      sym_test_operator,
    ACTIONS(2373), 1,
      sym__brace_start,
    STATE(1418), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2161), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2345), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2367), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(535), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(2343), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1140), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2159), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [8200] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_DQUOTE,
    STATE(948), 1,
      sym_string,
    ACTIONS(2341), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2339), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8271] = 37,
    ACTIONS(13), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(45), 1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(49), 1,
      anon_sym_DOLLAR,
    ACTIONS(51), 1,
      sym__special_character,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(57), 1,
      aux_sym_number_token1,
    ACTIONS(59), 1,
      aux_sym_number_token2,
    ACTIONS(61), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(63), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(75), 1,
      sym_variable_name,
    ACTIONS(77), 1,
      sym_test_operator,
    ACTIONS(79), 1,
      sym__brace_start,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2375), 1,
      sym_word,
    STATE(435), 1,
      sym_command_name,
    STATE(766), 1,
      aux_sym_command_repeat1,
    STATE(1031), 1,
      aux_sym__literal_repeat1,
    STATE(1154), 1,
      sym_concatenation,
    STATE(1709), 1,
      sym_variable_assignment,
    STATE(3946), 1,
      sym_command,
    STATE(5372), 1,
      sym_subscript,
    ACTIONS(55), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(69), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(2990), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    STATE(3947), 2,
      sym_subshell,
      sym_test_command,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(746), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [8402] = 37,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(401), 1,
      anon_sym_LPAREN,
    ACTIONS(423), 1,
      anon_sym_LBRACK,
    ACTIONS(425), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(653), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(673), 1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(675), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(679), 1,
      sym__special_character,
    ACTIONS(681), 1,
      anon_sym_DQUOTE,
    ACTIONS(685), 1,
      aux_sym_number_token1,
    ACTIONS(687), 1,
      aux_sym_number_token2,
    ACTIONS(689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(693), 1,
      anon_sym_BQUOTE,
    ACTIONS(695), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(701), 1,
      sym_variable_name,
    ACTIONS(703), 1,
      sym_test_operator,
    ACTIONS(705), 1,
      sym__brace_start,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2377), 1,
      sym_word,
    STATE(429), 1,
      sym_command_name,
    STATE(790), 1,
      aux_sym_command_repeat1,
    STATE(885), 1,
      aux_sym__literal_repeat1,
    STATE(1025), 1,
      sym_concatenation,
    STATE(1457), 1,
      sym_variable_assignment,
    STATE(3931), 1,
      sym_command,
    STATE(5364), 1,
      sym_subscript,
    ACTIONS(683), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(697), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(2990), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    STATE(3935), 2,
      sym_subshell,
      sym_test_command,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(707), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [8533] = 37,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(321), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(345), 1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(351), 1,
      sym__special_character,
    ACTIONS(353), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(361), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(365), 1,
      anon_sym_BQUOTE,
    ACTIONS(367), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(373), 1,
      sym_variable_name,
    ACTIONS(375), 1,
      sym_test_operator,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2379), 1,
      sym_word,
    STATE(437), 1,
      sym_command_name,
    STATE(808), 1,
      aux_sym_command_repeat1,
    STATE(988), 1,
      aux_sym__literal_repeat1,
    STATE(1133), 1,
      sym_concatenation,
    STATE(1561), 1,
      sym_variable_assignment,
    STATE(3946), 1,
      sym_command,
    STATE(5405), 1,
      sym_subscript,
    ACTIONS(355), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(369), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(2990), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    STATE(3947), 2,
      sym_subshell,
      sym_test_command,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(884), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [8664] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2383), 1,
      anon_sym_DQUOTE,
    STATE(1110), 1,
      sym_string,
    ACTIONS(2385), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2381), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8735] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2383), 1,
      anon_sym_DQUOTE,
    STATE(1110), 1,
      sym_string,
    ACTIONS(2385), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2381), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8806] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2391), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(2393), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(2389), 23,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2387), 28,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
  [8873] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2399), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2401), 1,
      anon_sym_DOLLAR,
    ACTIONS(2403), 1,
      sym__special_character,
    ACTIONS(2405), 1,
      anon_sym_DQUOTE,
    ACTIONS(2407), 1,
      aux_sym_number_token1,
    ACTIONS(2409), 1,
      aux_sym_number_token2,
    ACTIONS(2411), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2413), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2415), 1,
      anon_sym_BQUOTE,
    ACTIONS(2417), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2421), 1,
      sym_test_operator,
    ACTIONS(2423), 1,
      sym__brace_start,
    STATE(1549), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1902), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2397), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2419), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(533), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(2395), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1142), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1900), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [8972] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2399), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2401), 1,
      anon_sym_DOLLAR,
    ACTIONS(2403), 1,
      sym__special_character,
    ACTIONS(2405), 1,
      anon_sym_DQUOTE,
    ACTIONS(2407), 1,
      aux_sym_number_token1,
    ACTIONS(2409), 1,
      aux_sym_number_token2,
    ACTIONS(2411), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2413), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2415), 1,
      anon_sym_BQUOTE,
    ACTIONS(2417), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2421), 1,
      sym_test_operator,
    ACTIONS(2423), 1,
      sym__brace_start,
    STATE(1549), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1894), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2397), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2419), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(533), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(2395), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1142), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1892), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [9071] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    STATE(892), 1,
      sym_string,
    ACTIONS(1898), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(1896), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [9142] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    STATE(892), 1,
      sym_string,
    ACTIONS(1898), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(1896), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [9213] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1439), 1,
      aux_sym__literal_repeat1,
    STATE(534), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1894), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    STATE(1102), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1892), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [9282] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1349), 1,
      aux_sym__literal_repeat1,
    STATE(1434), 1,
      sym_concatenation,
    ACTIONS(2325), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(971), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2323), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [9351] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2425), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(2427), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(2389), 23,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2387), 28,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
  [9418] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1338), 1,
      aux_sym__literal_repeat1,
    STATE(1451), 1,
      sym_concatenation,
    ACTIONS(2329), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(1009), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2327), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [9487] = 37,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(137), 1,
      sym_variable_name,
    ACTIONS(321), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(345), 1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(353), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(361), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(365), 1,
      anon_sym_BQUOTE,
    ACTIONS(367), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(739), 1,
      sym__special_character,
    ACTIONS(743), 1,
      sym_test_operator,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2429), 1,
      sym_word,
    STATE(432), 1,
      sym_command_name,
    STATE(772), 1,
      aux_sym_command_repeat1,
    STATE(988), 1,
      aux_sym__literal_repeat1,
    STATE(1133), 1,
      sym_concatenation,
    STATE(1561), 1,
      sym_variable_assignment,
    STATE(3946), 1,
      sym_command,
    STATE(5407), 1,
      sym_subscript,
    ACTIONS(369), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(741), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(2990), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    STATE(3947), 2,
      sym_subshell,
      sym_test_command,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(780), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [9618] = 29,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(941), 1,
      anon_sym_LPAREN,
    ACTIONS(951), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(953), 1,
      anon_sym_DOLLAR,
    ACTIONS(957), 1,
      anon_sym_DQUOTE,
    ACTIONS(961), 1,
      aux_sym_number_token1,
    ACTIONS(963), 1,
      aux_sym_number_token2,
    ACTIONS(965), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(967), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(971), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(979), 1,
      sym__brace_start,
    ACTIONS(2431), 1,
      sym_word,
    ACTIONS(2435), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(2437), 1,
      sym__special_character,
    ACTIONS(2441), 1,
      sym_test_operator,
    ACTIONS(2443), 1,
      sym__bare_dollar,
    STATE(585), 1,
      aux_sym_command_repeat2,
    STATE(1933), 1,
      aux_sym__literal_repeat1,
    STATE(2067), 1,
      sym_concatenation,
    STATE(2069), 1,
      sym_herestring_redirect,
    STATE(4445), 1,
      sym_subshell,
    ACTIONS(949), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(973), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2433), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(2439), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1336), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(1678), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1340), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [9733] = 37,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(321), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(345), 1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(353), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(361), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(365), 1,
      anon_sym_BQUOTE,
    ACTIONS(367), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(999), 1,
      sym__special_character,
    ACTIONS(1005), 1,
      sym_variable_name,
    ACTIONS(1007), 1,
      sym_test_operator,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2445), 1,
      sym_word,
    STATE(484), 1,
      sym_command_name,
    STATE(771), 1,
      aux_sym_command_repeat1,
    STATE(988), 1,
      aux_sym__literal_repeat1,
    STATE(1133), 1,
      sym_concatenation,
    STATE(1561), 1,
      sym_variable_assignment,
    STATE(3946), 1,
      sym_command,
    STATE(5378), 1,
      sym_subscript,
    ACTIONS(369), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1001), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(2990), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    STATE(3947), 2,
      sym_subshell,
      sym_test_command,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(1207), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [9864] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1439), 1,
      aux_sym__literal_repeat1,
    STATE(534), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1902), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    STATE(1102), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1900), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [9933] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2391), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(2393), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(2389), 23,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2387), 28,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
  [10000] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2453), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2456), 1,
      anon_sym_DOLLAR,
    ACTIONS(2459), 1,
      sym__special_character,
    ACTIONS(2462), 1,
      anon_sym_DQUOTE,
    ACTIONS(2465), 1,
      aux_sym_number_token1,
    ACTIONS(2468), 1,
      aux_sym_number_token2,
    ACTIONS(2471), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2474), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2477), 1,
      anon_sym_BQUOTE,
    ACTIONS(2480), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2486), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(2489), 1,
      sym_test_operator,
    ACTIONS(2492), 1,
      sym__brace_start,
    STATE(1418), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2264), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2450), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(530), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(2447), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1140), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2262), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [10101] = 37,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(395), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(401), 1,
      anon_sym_LPAREN,
    ACTIONS(423), 1,
      anon_sym_LBRACK,
    ACTIONS(425), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(435), 1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(437), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(439), 1,
      anon_sym_DOLLAR,
    ACTIONS(441), 1,
      sym__special_character,
    ACTIONS(443), 1,
      anon_sym_DQUOTE,
    ACTIONS(447), 1,
      aux_sym_number_token1,
    ACTIONS(449), 1,
      aux_sym_number_token2,
    ACTIONS(451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(455), 1,
      anon_sym_BQUOTE,
    ACTIONS(457), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(463), 1,
      sym_variable_name,
    ACTIONS(465), 1,
      sym_test_operator,
    ACTIONS(467), 1,
      sym__brace_start,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2495), 1,
      sym_word,
    STATE(426), 1,
      sym_command_name,
    STATE(768), 1,
      aux_sym_command_repeat1,
    STATE(769), 1,
      aux_sym__literal_repeat1,
    STATE(932), 1,
      sym_concatenation,
    STATE(1388), 1,
      sym_variable_assignment,
    STATE(3931), 1,
      sym_command,
    STATE(5388), 1,
      sym_subscript,
    ACTIONS(445), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(459), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(2990), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    STATE(3935), 2,
      sym_subshell,
      sym_test_command,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(665), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [10232] = 29,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(941), 1,
      anon_sym_LPAREN,
    ACTIONS(951), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(953), 1,
      anon_sym_DOLLAR,
    ACTIONS(957), 1,
      anon_sym_DQUOTE,
    ACTIONS(961), 1,
      aux_sym_number_token1,
    ACTIONS(963), 1,
      aux_sym_number_token2,
    ACTIONS(965), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(967), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(971), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(979), 1,
      sym__brace_start,
    ACTIONS(2431), 1,
      sym_word,
    ACTIONS(2435), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(2437), 1,
      sym__special_character,
    ACTIONS(2441), 1,
      sym_test_operator,
    ACTIONS(2443), 1,
      sym__bare_dollar,
    STATE(608), 1,
      aux_sym_command_repeat2,
    STATE(1933), 1,
      aux_sym__literal_repeat1,
    STATE(2067), 1,
      sym_concatenation,
    STATE(2069), 1,
      sym_herestring_redirect,
    STATE(4442), 1,
      sym_subshell,
    ACTIONS(949), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(973), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2433), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(2439), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1362), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(1678), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1364), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [10347] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2503), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2506), 1,
      anon_sym_DOLLAR,
    ACTIONS(2509), 1,
      sym__special_character,
    ACTIONS(2512), 1,
      anon_sym_DQUOTE,
    ACTIONS(2515), 1,
      aux_sym_number_token1,
    ACTIONS(2518), 1,
      aux_sym_number_token2,
    ACTIONS(2521), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2524), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2527), 1,
      anon_sym_BQUOTE,
    ACTIONS(2530), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2536), 1,
      sym_test_operator,
    ACTIONS(2539), 1,
      sym__brace_start,
    STATE(1549), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2049), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2500), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2533), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(533), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(2497), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1142), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2047), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [10446] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2548), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2551), 1,
      anon_sym_DOLLAR,
    ACTIONS(2554), 1,
      sym__special_character,
    ACTIONS(2557), 1,
      anon_sym_DQUOTE,
    ACTIONS(2560), 1,
      aux_sym_number_token1,
    ACTIONS(2563), 1,
      aux_sym_number_token2,
    ACTIONS(2566), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2569), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2572), 1,
      anon_sym_BQUOTE,
    ACTIONS(2575), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2581), 1,
      sym_test_operator,
    ACTIONS(2584), 1,
      sym__brace_start,
    STATE(1439), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2545), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2578), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(534), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(2542), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(2049), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    STATE(1102), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2047), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [10545] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2349), 1,
      anon_sym_DOLLAR,
    ACTIONS(2351), 1,
      sym__special_character,
    ACTIONS(2353), 1,
      anon_sym_DQUOTE,
    ACTIONS(2355), 1,
      aux_sym_number_token1,
    ACTIONS(2357), 1,
      aux_sym_number_token2,
    ACTIONS(2359), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2361), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2363), 1,
      anon_sym_BQUOTE,
    ACTIONS(2365), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2371), 1,
      sym_test_operator,
    ACTIONS(2373), 1,
      sym__brace_start,
    ACTIONS(2587), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1418), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2333), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2345), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2367), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(530), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(2343), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1140), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2331), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [10646] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(2427), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(2389), 23,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2387), 28,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
  [10713] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2595), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2598), 1,
      anon_sym_DOLLAR,
    ACTIONS(2601), 1,
      sym__special_character,
    ACTIONS(2604), 1,
      anon_sym_DQUOTE,
    ACTIONS(2607), 1,
      aux_sym_number_token1,
    ACTIONS(2610), 1,
      aux_sym_number_token2,
    ACTIONS(2613), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2616), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_BQUOTE,
    ACTIONS(2622), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2628), 1,
      sym_test_operator,
    ACTIONS(2631), 1,
      sym__brace_start,
    STATE(1553), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2592), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2625), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(537), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(2049), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2589), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1122), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2047), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [10812] = 37,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(321), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(345), 1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(351), 1,
      sym__special_character,
    ACTIONS(353), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(361), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(365), 1,
      anon_sym_BQUOTE,
    ACTIONS(367), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(373), 1,
      sym_variable_name,
    ACTIONS(375), 1,
      sym_test_operator,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2379), 1,
      sym_word,
    STATE(448), 1,
      sym_command_name,
    STATE(807), 1,
      aux_sym_command_repeat1,
    STATE(988), 1,
      aux_sym__literal_repeat1,
    STATE(1133), 1,
      sym_concatenation,
    STATE(1895), 1,
      sym_variable_assignment,
    STATE(3946), 1,
      sym_command,
    STATE(5405), 1,
      sym_subscript,
    ACTIONS(355), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(369), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(2990), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    STATE(3947), 2,
      sym_subshell,
      sym_test_command,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(884), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [10943] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1553), 1,
      aux_sym__literal_repeat1,
    STATE(537), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1894), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(1122), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1892), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [11012] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1473), 1,
      anon_sym_BQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1481), 1,
      sym__bare_dollar,
    ACTIONS(2195), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(2197), 1,
      sym__special_character,
    ACTIONS(2199), 1,
      sym_test_operator,
    STATE(556), 1,
      aux_sym_command_repeat2,
    STATE(1097), 1,
      aux_sym__literal_repeat1,
    STATE(1249), 1,
      sym_concatenation,
    STATE(1253), 1,
      sym_herestring_redirect,
    ACTIONS(1459), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1477), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1485), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2193), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(2191), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1441), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1483), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [11120] = 36,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(171), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    ACTIONS(2636), 1,
      anon_sym_BANG,
    ACTIONS(2642), 1,
      anon_sym_TILDE,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(2646), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(2648), 1,
      sym_variable_name,
    STATE(1973), 1,
      sym_command_substitution,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    STATE(2454), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2638), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(2640), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(1977), 4,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
    STATE(2057), 4,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_process_substitution,
    STATE(2311), 4,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [11248] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2654), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2656), 1,
      anon_sym_DOLLAR,
    ACTIONS(2658), 1,
      sym__special_character,
    ACTIONS(2660), 1,
      anon_sym_DQUOTE,
    ACTIONS(2662), 1,
      aux_sym_number_token1,
    ACTIONS(2664), 1,
      aux_sym_number_token2,
    ACTIONS(2666), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2668), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2670), 1,
      anon_sym_BQUOTE,
    ACTIONS(2672), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2676), 1,
      sym_test_operator,
    ACTIONS(2678), 1,
      sym__brace_start,
    STATE(1701), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1894), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2652), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2674), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(553), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(2650), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1372), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1892), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [11346] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2682), 1,
      anon_sym_DQUOTE,
    STATE(1296), 1,
      sym_string,
    ACTIONS(2684), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
    ACTIONS(2680), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [11416] = 36,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    ACTIONS(2636), 1,
      anon_sym_BANG,
    ACTIONS(2642), 1,
      anon_sym_TILDE,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(2686), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1973), 1,
      sym_command_substitution,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    STATE(2547), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2638), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(2640), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(1977), 4,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
    STATE(2057), 4,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_process_substitution,
    STATE(2257), 4,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [11544] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2654), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2656), 1,
      anon_sym_DOLLAR,
    ACTIONS(2658), 1,
      sym__special_character,
    ACTIONS(2660), 1,
      anon_sym_DQUOTE,
    ACTIONS(2662), 1,
      aux_sym_number_token1,
    ACTIONS(2664), 1,
      aux_sym_number_token2,
    ACTIONS(2666), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2668), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2670), 1,
      anon_sym_BQUOTE,
    ACTIONS(2672), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2676), 1,
      sym_test_operator,
    ACTIONS(2678), 1,
      sym__brace_start,
    STATE(1701), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1902), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2652), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2674), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(553), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(2650), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1372), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1900), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [11642] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2694), 1,
      anon_sym_DOLLAR,
    ACTIONS(2696), 1,
      sym__special_character,
    ACTIONS(2698), 1,
      anon_sym_DQUOTE,
    ACTIONS(2700), 1,
      aux_sym_number_token1,
    ACTIONS(2702), 1,
      aux_sym_number_token2,
    ACTIONS(2704), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2706), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2708), 1,
      anon_sym_BQUOTE,
    ACTIONS(2710), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2714), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(2716), 1,
      sym_test_operator,
    ACTIONS(2718), 1,
      sym__brace_start,
    STATE(1635), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2690), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(555), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(2333), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2688), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1268), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2331), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [11742] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1473), 1,
      anon_sym_BQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1481), 1,
      sym__bare_dollar,
    ACTIONS(2195), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(2197), 1,
      sym__special_character,
    ACTIONS(2199), 1,
      sym_test_operator,
    STATE(556), 1,
      aux_sym_command_repeat2,
    STATE(1097), 1,
      aux_sym__literal_repeat1,
    STATE(1249), 1,
      sym_concatenation,
    STATE(1253), 1,
      sym_herestring_redirect,
    ACTIONS(1394), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1459), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1477), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2193), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(2191), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1441), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1392), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [11850] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2722), 1,
      anon_sym_DQUOTE,
    STATE(1401), 1,
      sym_string,
    ACTIONS(2724), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2720), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [11920] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1529), 1,
      aux_sym__literal_repeat1,
    STATE(1603), 1,
      sym_concatenation,
    ACTIONS(2329), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    STATE(1161), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2327), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [11988] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2730), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2732), 1,
      anon_sym_DOLLAR,
    ACTIONS(2734), 1,
      sym__special_character,
    ACTIONS(2736), 1,
      anon_sym_DQUOTE,
    ACTIONS(2738), 1,
      aux_sym_number_token1,
    ACTIONS(2740), 1,
      aux_sym_number_token2,
    ACTIONS(2742), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2744), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2746), 1,
      anon_sym_BQUOTE,
    ACTIONS(2748), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2752), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(2754), 1,
      sym_test_operator,
    ACTIONS(2756), 1,
      sym__brace_start,
    STATE(1592), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2333), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2728), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2750), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(560), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(2726), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1218), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2331), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [12088] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1514), 1,
      aux_sym__literal_repeat1,
    STATE(1621), 1,
      sym_concatenation,
    ACTIONS(2329), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(1091), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2327), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [12156] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1540), 1,
      aux_sym__literal_repeat1,
    STATE(1593), 1,
      sym_concatenation,
    ACTIONS(2325), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(1115), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2323), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [12224] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2764), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_DOLLAR,
    ACTIONS(2770), 1,
      sym__special_character,
    ACTIONS(2773), 1,
      anon_sym_DQUOTE,
    ACTIONS(2776), 1,
      aux_sym_number_token1,
    ACTIONS(2779), 1,
      aux_sym_number_token2,
    ACTIONS(2782), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2785), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2788), 1,
      anon_sym_BQUOTE,
    ACTIONS(2791), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2797), 1,
      sym_test_operator,
    ACTIONS(2800), 1,
      sym__brace_start,
    STATE(1701), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2049), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2761), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2794), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(553), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(2758), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1372), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2047), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [12322] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1553), 1,
      aux_sym__literal_repeat1,
    STATE(565), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1902), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(1368), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1900), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [12390] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2809), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2812), 1,
      anon_sym_DOLLAR,
    ACTIONS(2815), 1,
      sym__special_character,
    ACTIONS(2818), 1,
      anon_sym_DQUOTE,
    ACTIONS(2821), 1,
      aux_sym_number_token1,
    ACTIONS(2824), 1,
      aux_sym_number_token2,
    ACTIONS(2827), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2830), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2833), 1,
      anon_sym_BQUOTE,
    ACTIONS(2836), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2842), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(2845), 1,
      sym_test_operator,
    ACTIONS(2848), 1,
      sym__brace_start,
    STATE(1635), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2806), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2839), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(555), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(2264), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2803), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1268), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2262), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [12490] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1807), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1810), 1,
      anon_sym_DOLLAR,
    ACTIONS(1816), 1,
      anon_sym_DQUOTE,
    ACTIONS(1819), 1,
      aux_sym_number_token1,
    ACTIONS(1822), 1,
      aux_sym_number_token2,
    ACTIONS(1825), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1828), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1831), 1,
      anon_sym_BQUOTE,
    ACTIONS(1834), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1846), 1,
      sym__bare_dollar,
    ACTIONS(1849), 1,
      sym__brace_start,
    ACTIONS(2857), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(2860), 1,
      sym__special_character,
    ACTIONS(2863), 1,
      sym_file_descriptor,
    ACTIONS(2866), 1,
      sym_test_operator,
    STATE(556), 1,
      aux_sym_command_repeat2,
    STATE(1097), 1,
      aux_sym__literal_repeat1,
    STATE(1249), 1,
      sym_concatenation,
    STATE(1253), 1,
      sym_herestring_redirect,
    ACTIONS(1798), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1837), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2854), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(2851), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1441), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1402), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [12600] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2730), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2732), 1,
      anon_sym_DOLLAR,
    ACTIONS(2734), 1,
      sym__special_character,
    ACTIONS(2736), 1,
      anon_sym_DQUOTE,
    ACTIONS(2738), 1,
      aux_sym_number_token1,
    ACTIONS(2740), 1,
      aux_sym_number_token2,
    ACTIONS(2742), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2744), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2746), 1,
      anon_sym_BQUOTE,
    ACTIONS(2748), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2754), 1,
      sym_test_operator,
    ACTIONS(2756), 1,
      sym__brace_start,
    ACTIONS(2869), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1592), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2161), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2728), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2750), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(550), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(2726), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1218), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2159), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [12700] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2682), 1,
      anon_sym_DQUOTE,
    STATE(1296), 1,
      sym_string,
    ACTIONS(2684), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
    ACTIONS(2680), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [12770] = 36,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(171), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    ACTIONS(2636), 1,
      anon_sym_BANG,
    ACTIONS(2642), 1,
      anon_sym_TILDE,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(2871), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1973), 1,
      sym_command_substitution,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    STATE(2454), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2638), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(2640), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(1977), 4,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
    STATE(2057), 4,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_process_substitution,
    STATE(2427), 4,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [12898] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2879), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2882), 1,
      anon_sym_DOLLAR,
    ACTIONS(2885), 1,
      sym__special_character,
    ACTIONS(2888), 1,
      anon_sym_DQUOTE,
    ACTIONS(2891), 1,
      aux_sym_number_token1,
    ACTIONS(2894), 1,
      aux_sym_number_token2,
    ACTIONS(2897), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2900), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2903), 1,
      anon_sym_BQUOTE,
    ACTIONS(2906), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2912), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(2915), 1,
      sym_test_operator,
    ACTIONS(2918), 1,
      sym__brace_start,
    STATE(1592), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2264), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2876), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2909), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(560), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(2873), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1218), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2262), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [12998] = 36,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(223), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    ACTIONS(2636), 1,
      anon_sym_BANG,
    ACTIONS(2642), 1,
      anon_sym_TILDE,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(2921), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1973), 1,
      sym_command_substitution,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    STATE(2605), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2638), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(2640), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(1977), 4,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
    STATE(2057), 4,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_process_substitution,
    STATE(2281), 4,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [13126] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1862), 1,
      anon_sym_DQUOTE,
    STATE(1089), 1,
      sym_string,
    ACTIONS(2925), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2923), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [13196] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1862), 1,
      anon_sym_DQUOTE,
    STATE(1089), 1,
      sym_string,
    ACTIONS(2925), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2923), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [13266] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2931), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2933), 1,
      anon_sym_DOLLAR,
    ACTIONS(2935), 1,
      sym__special_character,
    ACTIONS(2937), 1,
      anon_sym_DQUOTE,
    ACTIONS(2939), 1,
      aux_sym_number_token1,
    ACTIONS(2941), 1,
      aux_sym_number_token2,
    ACTIONS(2943), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2945), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2947), 1,
      anon_sym_BQUOTE,
    ACTIONS(2949), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2953), 1,
      sym_test_operator,
    ACTIONS(2955), 1,
      sym__brace_start,
    STATE(3733), 1,
      aux_sym__literal_repeat1,
    STATE(3974), 1,
      sym_concatenation,
    ACTIONS(2329), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2929), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2951), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2927), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(3567), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2327), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [13364] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2595), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2598), 1,
      anon_sym_DOLLAR,
    ACTIONS(2604), 1,
      anon_sym_DQUOTE,
    ACTIONS(2607), 1,
      aux_sym_number_token1,
    ACTIONS(2610), 1,
      aux_sym_number_token2,
    ACTIONS(2613), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2616), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_BQUOTE,
    ACTIONS(2622), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2631), 1,
      sym__brace_start,
    ACTIONS(2960), 1,
      sym__special_character,
    ACTIONS(2963), 1,
      sym_test_operator,
    STATE(1553), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2592), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2625), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(565), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(2049), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2957), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1368), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2047), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [13462] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2931), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2933), 1,
      anon_sym_DOLLAR,
    ACTIONS(2935), 1,
      sym__special_character,
    ACTIONS(2937), 1,
      anon_sym_DQUOTE,
    ACTIONS(2939), 1,
      aux_sym_number_token1,
    ACTIONS(2941), 1,
      aux_sym_number_token2,
    ACTIONS(2943), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2945), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2947), 1,
      anon_sym_BQUOTE,
    ACTIONS(2949), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2955), 1,
      sym__brace_start,
    ACTIONS(2968), 1,
      sym_test_operator,
    STATE(3716), 1,
      aux_sym__literal_repeat1,
    STATE(3998), 1,
      sym_concatenation,
    ACTIONS(2325), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2929), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2951), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2966), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(3589), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2323), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [13560] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2405), 1,
      anon_sym_DQUOTE,
    STATE(1405), 1,
      sym_string,
    ACTIONS(2972), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2970), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [13630] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2405), 1,
      anon_sym_DQUOTE,
    STATE(1405), 1,
      sym_string,
    ACTIONS(2972), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2970), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [13700] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1505), 1,
      aux_sym__literal_repeat1,
    STATE(1634), 1,
      sym_concatenation,
    ACTIONS(2325), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    STATE(1093), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2323), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [13768] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2694), 1,
      anon_sym_DOLLAR,
    ACTIONS(2696), 1,
      sym__special_character,
    ACTIONS(2698), 1,
      anon_sym_DQUOTE,
    ACTIONS(2700), 1,
      aux_sym_number_token1,
    ACTIONS(2702), 1,
      aux_sym_number_token2,
    ACTIONS(2704), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2706), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2708), 1,
      anon_sym_BQUOTE,
    ACTIONS(2710), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2716), 1,
      sym_test_operator,
    ACTIONS(2718), 1,
      sym__brace_start,
    ACTIONS(2974), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1635), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2690), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2712), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(546), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(2161), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2688), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1268), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2159), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [13868] = 36,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    ACTIONS(2636), 1,
      anon_sym_BANG,
    ACTIONS(2642), 1,
      anon_sym_TILDE,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(2976), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1973), 1,
      sym_command_substitution,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    STATE(2547), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2638), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(2640), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(1977), 4,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
    STATE(2057), 4,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_process_substitution,
    STATE(2386), 4,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [13996] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_DQUOTE,
    STATE(1134), 1,
      sym_string,
    ACTIONS(2980), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2978), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [14066] = 36,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    ACTIONS(2636), 1,
      anon_sym_BANG,
    ACTIONS(2642), 1,
      anon_sym_TILDE,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(2982), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1973), 1,
      sym_command_substitution,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    STATE(2547), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2638), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(2640), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(1977), 4,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
    STATE(2057), 4,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_process_substitution,
    STATE(2356), 4,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [14194] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_DQUOTE,
    STATE(1134), 1,
      sym_string,
    ACTIONS(2980), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2978), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [14264] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1553), 1,
      aux_sym__literal_repeat1,
    STATE(565), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1894), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(1368), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1892), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [14332] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2722), 1,
      anon_sym_DQUOTE,
    STATE(1401), 1,
      sym_string,
    ACTIONS(2724), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2720), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [14402] = 36,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(223), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    ACTIONS(2636), 1,
      anon_sym_BANG,
    ACTIONS(2642), 1,
      anon_sym_TILDE,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(2984), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1973), 1,
      sym_command_substitution,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    STATE(2605), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2638), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(2640), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(1977), 4,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
    STATE(2057), 4,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_process_substitution,
    STATE(2282), 4,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [14530] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1914), 1,
      anon_sym_DQUOTE,
    STATE(1226), 1,
      sym_string,
    ACTIONS(2988), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
    ACTIONS(2986), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [14599] = 28,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2990), 1,
      sym_word,
    ACTIONS(2999), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3002), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3005), 1,
      anon_sym_DOLLAR,
    ACTIONS(3008), 1,
      sym__special_character,
    ACTIONS(3011), 1,
      anon_sym_DQUOTE,
    ACTIONS(3017), 1,
      aux_sym_number_token1,
    ACTIONS(3020), 1,
      aux_sym_number_token2,
    ACTIONS(3023), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3026), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3029), 1,
      anon_sym_BQUOTE,
    ACTIONS(3032), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3038), 1,
      sym_file_descriptor,
    ACTIONS(3041), 1,
      sym_test_operator,
    ACTIONS(3044), 1,
      sym__bare_dollar,
    ACTIONS(3047), 1,
      sym__brace_start,
    STATE(579), 1,
      aux_sym_command_repeat2,
    STATE(1933), 1,
      aux_sym__literal_repeat1,
    STATE(2067), 1,
      sym_concatenation,
    STATE(2069), 1,
      sym_herestring_redirect,
    ACTIONS(2993), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2996), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(3014), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(3035), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1402), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1407), 9,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
    STATE(1678), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [14710] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3054), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3056), 1,
      anon_sym_DOLLAR,
    ACTIONS(3058), 1,
      sym__special_character,
    ACTIONS(3060), 1,
      anon_sym_DQUOTE,
    ACTIONS(3062), 1,
      aux_sym_number_token1,
    ACTIONS(3064), 1,
      aux_sym_number_token2,
    ACTIONS(3066), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3068), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3070), 1,
      anon_sym_BQUOTE,
    ACTIONS(3072), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3076), 1,
      sym_test_operator,
    ACTIONS(3078), 1,
      sym__brace_start,
    STATE(1907), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1894), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3052), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3074), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(581), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3050), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1516), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1892), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [14807] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3086), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3089), 1,
      anon_sym_DOLLAR,
    ACTIONS(3092), 1,
      sym__special_character,
    ACTIONS(3095), 1,
      anon_sym_DQUOTE,
    ACTIONS(3098), 1,
      aux_sym_number_token1,
    ACTIONS(3101), 1,
      aux_sym_number_token2,
    ACTIONS(3104), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3110), 1,
      anon_sym_BQUOTE,
    ACTIONS(3113), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3119), 1,
      sym_test_operator,
    ACTIONS(3122), 1,
      sym__brace_start,
    STATE(1907), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2049), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3083), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3116), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(581), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3080), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1516), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2047), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [14904] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2730), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2732), 1,
      anon_sym_DOLLAR,
    ACTIONS(2736), 1,
      anon_sym_DQUOTE,
    ACTIONS(2738), 1,
      aux_sym_number_token1,
    ACTIONS(2740), 1,
      aux_sym_number_token2,
    ACTIONS(2742), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2744), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2746), 1,
      anon_sym_BQUOTE,
    ACTIONS(2748), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2756), 1,
      sym__brace_start,
    ACTIONS(3127), 1,
      sym__special_character,
    ACTIONS(3129), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(3131), 1,
      sym_test_operator,
    STATE(1592), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2161), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2728), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2750), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(605), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(3125), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1425), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2159), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [15003] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3137), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3139), 1,
      anon_sym_DOLLAR,
    ACTIONS(3141), 1,
      sym__special_character,
    ACTIONS(3143), 1,
      anon_sym_DQUOTE,
    ACTIONS(3145), 1,
      aux_sym_number_token1,
    ACTIONS(3147), 1,
      aux_sym_number_token2,
    ACTIONS(3149), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3151), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3153), 1,
      anon_sym_BQUOTE,
    ACTIONS(3155), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3159), 1,
      sym_test_operator,
    ACTIONS(3161), 1,
      sym__brace_start,
    STATE(1919), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3135), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3157), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(616), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1902), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3133), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1415), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1900), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [15100] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2730), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2732), 1,
      anon_sym_DOLLAR,
    ACTIONS(2736), 1,
      anon_sym_DQUOTE,
    ACTIONS(2738), 1,
      aux_sym_number_token1,
    ACTIONS(2740), 1,
      aux_sym_number_token2,
    ACTIONS(2742), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2744), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2748), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2756), 1,
      sym__brace_start,
    ACTIONS(3127), 1,
      sym__special_character,
    ACTIONS(3131), 1,
      sym_test_operator,
    ACTIONS(3163), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1592), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2333), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2728), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2750), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(591), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(3125), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1425), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2331), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [15197] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(951), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(953), 1,
      anon_sym_DOLLAR,
    ACTIONS(957), 1,
      anon_sym_DQUOTE,
    ACTIONS(961), 1,
      aux_sym_number_token1,
    ACTIONS(963), 1,
      aux_sym_number_token2,
    ACTIONS(965), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(967), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(971), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(979), 1,
      sym__brace_start,
    ACTIONS(2431), 1,
      sym_word,
    ACTIONS(2435), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(2437), 1,
      sym__special_character,
    ACTIONS(2441), 1,
      sym_test_operator,
    ACTIONS(2443), 1,
      sym__bare_dollar,
    STATE(579), 1,
      aux_sym_command_repeat2,
    STATE(1933), 1,
      aux_sym__literal_repeat1,
    STATE(2067), 1,
      sym_concatenation,
    STATE(2069), 1,
      sym_herestring_redirect,
    ACTIONS(949), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(973), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2433), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(2439), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1392), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(1678), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1394), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [15306] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1914), 1,
      anon_sym_DQUOTE,
    STATE(1226), 1,
      sym_string,
    ACTIONS(2988), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
    ACTIONS(2986), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [15375] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1942), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1944), 1,
      anon_sym_DOLLAR,
    ACTIONS(1948), 1,
      anon_sym_DQUOTE,
    ACTIONS(1950), 1,
      aux_sym_number_token1,
    ACTIONS(1952), 1,
      aux_sym_number_token2,
    ACTIONS(1954), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1956), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1958), 1,
      anon_sym_BQUOTE,
    ACTIONS(1960), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1970), 1,
      sym__brace_start,
    ACTIONS(3167), 1,
      sym__special_character,
    ACTIONS(3169), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(3171), 1,
      sym_variable_name,
    ACTIONS(3173), 1,
      sym_test_operator,
    STATE(1545), 1,
      aux_sym__literal_repeat1,
    STATE(5421), 1,
      sym_subscript,
    ACTIONS(1563), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1940), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1962), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3165), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(600), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(1876), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1561), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [15478] = 35,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1015), 1,
      sym__special_character,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3175), 1,
      anon_sym_LPAREN,
    ACTIONS(3177), 1,
      anon_sym_BANG,
    ACTIONS(3183), 1,
      anon_sym_TILDE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    ACTIONS(3187), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(3189), 1,
      sym_variable_name,
    STATE(2012), 1,
      sym_command_substitution,
    STATE(2206), 1,
      aux_sym__literal_repeat1,
    STATE(2579), 1,
      sym__expression,
    STATE(2843), 1,
      sym__arithmetic_postfix_expression,
    STATE(2844), 1,
      sym__arithmetic_unary_expression,
    STATE(2846), 1,
      sym__arithmetic_ternary_expression,
    STATE(2847), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1019), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3179), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(3181), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2106), 4,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_process_substitution,
    STATE(2118), 4,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
    STATE(2820), 4,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
    STATE(2583), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [15603] = 35,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1015), 1,
      sym__special_character,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3175), 1,
      anon_sym_LPAREN,
    ACTIONS(3177), 1,
      anon_sym_BANG,
    ACTIONS(3183), 1,
      anon_sym_TILDE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    ACTIONS(3189), 1,
      sym_variable_name,
    ACTIONS(3191), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2012), 1,
      sym_command_substitution,
    STATE(2206), 1,
      aux_sym__literal_repeat1,
    STATE(2584), 1,
      sym__expression,
    STATE(2843), 1,
      sym__arithmetic_postfix_expression,
    STATE(2844), 1,
      sym__arithmetic_unary_expression,
    STATE(2846), 1,
      sym__arithmetic_ternary_expression,
    STATE(2847), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1019), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3179), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(3181), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2106), 4,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_process_substitution,
    STATE(2118), 4,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
    STATE(2819), 4,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
    STATE(2583), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [15728] = 35,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1015), 1,
      sym__special_character,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3175), 1,
      anon_sym_LPAREN,
    ACTIONS(3177), 1,
      anon_sym_BANG,
    ACTIONS(3183), 1,
      anon_sym_TILDE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    ACTIONS(3189), 1,
      sym_variable_name,
    ACTIONS(3193), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2012), 1,
      sym_command_substitution,
    STATE(2206), 1,
      aux_sym__literal_repeat1,
    STATE(2596), 1,
      sym__expression,
    STATE(2843), 1,
      sym__arithmetic_postfix_expression,
    STATE(2844), 1,
      sym__arithmetic_unary_expression,
    STATE(2846), 1,
      sym__arithmetic_ternary_expression,
    STATE(2847), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1019), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3179), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(3181), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2106), 4,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_process_substitution,
    STATE(2118), 4,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
    STATE(2818), 4,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
    STATE(2583), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [15853] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2879), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2882), 1,
      anon_sym_DOLLAR,
    ACTIONS(2888), 1,
      anon_sym_DQUOTE,
    ACTIONS(2891), 1,
      aux_sym_number_token1,
    ACTIONS(2894), 1,
      aux_sym_number_token2,
    ACTIONS(2897), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2900), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2903), 1,
      anon_sym_BQUOTE,
    ACTIONS(2906), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2918), 1,
      sym__brace_start,
    ACTIONS(3198), 1,
      sym__special_character,
    ACTIONS(3201), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(3204), 1,
      sym_test_operator,
    STATE(1592), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2264), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2876), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2909), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(591), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(3195), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1425), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2262), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [15952] = 35,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    ACTIONS(2636), 1,
      anon_sym_BANG,
    ACTIONS(2642), 1,
      anon_sym_TILDE,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(3207), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1973), 1,
      sym_command_substitution,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    STATE(2618), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2638), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(2640), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(1977), 4,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
    STATE(2057), 4,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_process_substitution,
    STATE(2307), 4,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [16077] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1514), 1,
      aux_sym__literal_repeat1,
    STATE(1621), 1,
      sym_concatenation,
    ACTIONS(2329), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(1354), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2327), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [16144] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2730), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2732), 1,
      anon_sym_DOLLAR,
    ACTIONS(2736), 1,
      anon_sym_DQUOTE,
    ACTIONS(2738), 1,
      aux_sym_number_token1,
    ACTIONS(2740), 1,
      aux_sym_number_token2,
    ACTIONS(2742), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2744), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2748), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2756), 1,
      sym__brace_start,
    ACTIONS(3127), 1,
      sym__special_character,
    ACTIONS(3131), 1,
      sym_test_operator,
    ACTIONS(3209), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1592), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2161), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2728), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2750), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(584), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(3125), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1425), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2159), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [16241] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3137), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3139), 1,
      anon_sym_DOLLAR,
    ACTIONS(3141), 1,
      sym__special_character,
    ACTIONS(3143), 1,
      anon_sym_DQUOTE,
    ACTIONS(3145), 1,
      aux_sym_number_token1,
    ACTIONS(3147), 1,
      aux_sym_number_token2,
    ACTIONS(3149), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3151), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3153), 1,
      anon_sym_BQUOTE,
    ACTIONS(3155), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3159), 1,
      sym_test_operator,
    ACTIONS(3161), 1,
      sym__brace_start,
    STATE(1919), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3135), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3157), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(616), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1894), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3133), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1415), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1892), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [16338] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1978), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1981), 1,
      anon_sym_DOLLAR,
    ACTIONS(1987), 1,
      anon_sym_DQUOTE,
    ACTIONS(1990), 1,
      aux_sym_number_token1,
    ACTIONS(1993), 1,
      aux_sym_number_token2,
    ACTIONS(1996), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1999), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2002), 1,
      anon_sym_BQUOTE,
    ACTIONS(2005), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2020), 1,
      sym__brace_start,
    ACTIONS(3214), 1,
      sym__special_character,
    ACTIONS(3217), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(3220), 1,
      sym_variable_name,
    ACTIONS(3223), 1,
      sym_test_operator,
    STATE(1545), 1,
      aux_sym__literal_repeat1,
    STATE(5421), 1,
      sym_subscript,
    ACTIONS(1636), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1975), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2008), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3211), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(596), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(1876), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1634), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [16441] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1540), 1,
      aux_sym__literal_repeat1,
    STATE(1593), 1,
      sym_concatenation,
    ACTIONS(2325), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(1381), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2323), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [16508] = 35,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    ACTIONS(2636), 1,
      anon_sym_BANG,
    ACTIONS(2642), 1,
      anon_sym_TILDE,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(3226), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1973), 1,
      sym_command_substitution,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2225), 1,
      sym__expression,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2638), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(2640), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(1977), 4,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
    STATE(2057), 4,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_process_substitution,
    STATE(2314), 4,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [16633] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3054), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3056), 1,
      anon_sym_DOLLAR,
    ACTIONS(3058), 1,
      sym__special_character,
    ACTIONS(3060), 1,
      anon_sym_DQUOTE,
    ACTIONS(3062), 1,
      aux_sym_number_token1,
    ACTIONS(3064), 1,
      aux_sym_number_token2,
    ACTIONS(3066), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3068), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3070), 1,
      anon_sym_BQUOTE,
    ACTIONS(3072), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3076), 1,
      sym_test_operator,
    ACTIONS(3078), 1,
      sym__brace_start,
    STATE(1907), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1902), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3052), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3074), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(581), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3050), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1516), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1900), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [16730] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1942), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1944), 1,
      anon_sym_DOLLAR,
    ACTIONS(1948), 1,
      anon_sym_DQUOTE,
    ACTIONS(1950), 1,
      aux_sym_number_token1,
    ACTIONS(1952), 1,
      aux_sym_number_token2,
    ACTIONS(1954), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1956), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1958), 1,
      anon_sym_BQUOTE,
    ACTIONS(1960), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1970), 1,
      sym__brace_start,
    ACTIONS(3167), 1,
      sym__special_character,
    ACTIONS(3171), 1,
      sym_variable_name,
    ACTIONS(3173), 1,
      sym_test_operator,
    ACTIONS(3228), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1545), 1,
      aux_sym__literal_repeat1,
    STATE(5421), 1,
      sym_subscript,
    ACTIONS(1529), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1940), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1962), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3165), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(596), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(1876), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1527), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [16833] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1948), 1,
      anon_sym_DQUOTE,
    STATE(1346), 1,
      sym_string,
    ACTIONS(3232), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3230), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [16902] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2931), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2933), 1,
      anon_sym_DOLLAR,
    ACTIONS(2937), 1,
      anon_sym_DQUOTE,
    ACTIONS(2939), 1,
      aux_sym_number_token1,
    ACTIONS(2941), 1,
      aux_sym_number_token2,
    ACTIONS(2943), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2945), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2947), 1,
      anon_sym_BQUOTE,
    ACTIONS(2949), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2955), 1,
      sym__brace_start,
    ACTIONS(3236), 1,
      sym__special_character,
    ACTIONS(3238), 1,
      sym_test_operator,
    STATE(3716), 1,
      aux_sym__literal_repeat1,
    STATE(3998), 1,
      sym_concatenation,
    ACTIONS(2325), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2929), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2951), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3234), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(3679), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2323), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [16999] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1948), 1,
      anon_sym_DQUOTE,
    STATE(1346), 1,
      sym_string,
    ACTIONS(3232), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3230), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [17068] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2931), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2933), 1,
      anon_sym_DOLLAR,
    ACTIONS(2937), 1,
      anon_sym_DQUOTE,
    ACTIONS(2939), 1,
      aux_sym_number_token1,
    ACTIONS(2941), 1,
      aux_sym_number_token2,
    ACTIONS(2943), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2945), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2947), 1,
      anon_sym_BQUOTE,
    ACTIONS(2949), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2955), 1,
      sym__brace_start,
    ACTIONS(3236), 1,
      sym__special_character,
    ACTIONS(3242), 1,
      sym_test_operator,
    STATE(3733), 1,
      aux_sym__literal_repeat1,
    STATE(3974), 1,
      sym_concatenation,
    ACTIONS(2329), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2929), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2951), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3240), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(3682), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2327), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [17165] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2730), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2732), 1,
      anon_sym_DOLLAR,
    ACTIONS(2736), 1,
      anon_sym_DQUOTE,
    ACTIONS(2738), 1,
      aux_sym_number_token1,
    ACTIONS(2740), 1,
      aux_sym_number_token2,
    ACTIONS(2742), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2744), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2746), 1,
      anon_sym_BQUOTE,
    ACTIONS(2748), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2756), 1,
      sym__brace_start,
    ACTIONS(3127), 1,
      sym__special_character,
    ACTIONS(3131), 1,
      sym_test_operator,
    ACTIONS(3163), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1592), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2333), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2728), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2750), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(591), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(3125), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1425), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2331), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [17264] = 35,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2634), 1,
      anon_sym_LPAREN,
    ACTIONS(2636), 1,
      anon_sym_BANG,
    ACTIONS(2642), 1,
      anon_sym_TILDE,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(3244), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1973), 1,
      sym_command_substitution,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    STATE(2611), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2638), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(2640), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(1977), 4,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
    STATE(2057), 4,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_process_substitution,
    STATE(2320), 4,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [17389] = 35,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1015), 1,
      sym__special_character,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3175), 1,
      anon_sym_LPAREN,
    ACTIONS(3177), 1,
      anon_sym_BANG,
    ACTIONS(3183), 1,
      anon_sym_TILDE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    ACTIONS(3189), 1,
      sym_variable_name,
    ACTIONS(3246), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2012), 1,
      sym_command_substitution,
    STATE(2206), 1,
      aux_sym__literal_repeat1,
    STATE(2512), 1,
      sym__expression,
    STATE(2843), 1,
      sym__arithmetic_postfix_expression,
    STATE(2844), 1,
      sym__arithmetic_unary_expression,
    STATE(2846), 1,
      sym__arithmetic_ternary_expression,
    STATE(2847), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1019), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3179), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(3181), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2106), 4,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_process_substitution,
    STATE(2118), 4,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
    STATE(2829), 4,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
    STATE(2583), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [17514] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(951), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(953), 1,
      anon_sym_DOLLAR,
    ACTIONS(957), 1,
      anon_sym_DQUOTE,
    ACTIONS(961), 1,
      aux_sym_number_token1,
    ACTIONS(963), 1,
      aux_sym_number_token2,
    ACTIONS(965), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(967), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(971), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(979), 1,
      sym__brace_start,
    ACTIONS(2431), 1,
      sym_word,
    ACTIONS(2435), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(2437), 1,
      sym__special_character,
    ACTIONS(2441), 1,
      sym_test_operator,
    ACTIONS(2443), 1,
      sym__bare_dollar,
    STATE(579), 1,
      aux_sym_command_repeat2,
    STATE(1933), 1,
      aux_sym__literal_repeat1,
    STATE(2067), 1,
      sym_concatenation,
    STATE(2069), 1,
      sym_herestring_redirect,
    ACTIONS(949), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(973), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2433), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(2439), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1483), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(1678), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1485), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [17623] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2722), 1,
      anon_sym_DQUOTE,
    STATE(1401), 1,
      sym_string,
    ACTIONS(2724), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2720), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [17692] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2722), 1,
      anon_sym_DQUOTE,
    STATE(1401), 1,
      sym_string,
    ACTIONS(2724), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2720), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [17761] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2353), 1,
      anon_sym_DQUOTE,
    STATE(1270), 1,
      sym_string,
    ACTIONS(3250), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3248), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [17830] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2353), 1,
      anon_sym_DQUOTE,
    STATE(1270), 1,
      sym_string,
    ACTIONS(3250), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3248), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [17899] = 35,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1015), 1,
      sym__special_character,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3175), 1,
      anon_sym_LPAREN,
    ACTIONS(3177), 1,
      anon_sym_BANG,
    ACTIONS(3183), 1,
      anon_sym_TILDE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    ACTIONS(3189), 1,
      sym_variable_name,
    ACTIONS(3252), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2012), 1,
      sym_command_substitution,
    STATE(2206), 1,
      aux_sym__literal_repeat1,
    STATE(2610), 1,
      sym__expression,
    STATE(2843), 1,
      sym__arithmetic_postfix_expression,
    STATE(2844), 1,
      sym__arithmetic_unary_expression,
    STATE(2846), 1,
      sym__arithmetic_ternary_expression,
    STATE(2847), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1019), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3179), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(3181), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2106), 4,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_process_substitution,
    STATE(2118), 4,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
    STATE(2769), 4,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
    STATE(2583), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [18024] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    STATE(892), 1,
      sym_string,
    ACTIONS(1898), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(1896), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [18093] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    STATE(892), 1,
      sym_string,
    ACTIONS(1898), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(1896), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [18162] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3260), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3263), 1,
      anon_sym_DOLLAR,
    ACTIONS(3266), 1,
      sym__special_character,
    ACTIONS(3269), 1,
      anon_sym_DQUOTE,
    ACTIONS(3272), 1,
      aux_sym_number_token1,
    ACTIONS(3275), 1,
      aux_sym_number_token2,
    ACTIONS(3278), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3281), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3284), 1,
      anon_sym_BQUOTE,
    ACTIONS(3287), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3293), 1,
      sym_test_operator,
    ACTIONS(3296), 1,
      sym__brace_start,
    STATE(1919), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3257), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3290), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(616), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(2049), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3254), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1415), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2047), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [18259] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2660), 1,
      anon_sym_DQUOTE,
    STATE(1465), 1,
      sym_string,
    ACTIONS(3301), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3299), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [18328] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2660), 1,
      anon_sym_DQUOTE,
    STATE(1465), 1,
      sym_string,
    ACTIONS(3301), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3299), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [18397] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3054), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3056), 1,
      anon_sym_DOLLAR,
    ACTIONS(3060), 1,
      anon_sym_DQUOTE,
    ACTIONS(3062), 1,
      aux_sym_number_token1,
    ACTIONS(3064), 1,
      aux_sym_number_token2,
    ACTIONS(3066), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3068), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3072), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3078), 1,
      sym__brace_start,
    ACTIONS(3305), 1,
      sym__special_character,
    ACTIONS(3307), 1,
      sym_test_operator,
    STATE(1907), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1902), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3052), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3074), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(621), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3303), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1821), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1900), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [18491] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3054), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3056), 1,
      anon_sym_DOLLAR,
    ACTIONS(3060), 1,
      anon_sym_DQUOTE,
    ACTIONS(3062), 1,
      aux_sym_number_token1,
    ACTIONS(3064), 1,
      aux_sym_number_token2,
    ACTIONS(3066), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3068), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3070), 1,
      anon_sym_BQUOTE,
    ACTIONS(3072), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3078), 1,
      sym__brace_start,
    ACTIONS(3305), 1,
      sym__special_character,
    ACTIONS(3307), 1,
      sym_test_operator,
    STATE(1907), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1894), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3052), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3074), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(621), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3303), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1821), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1892), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [18587] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3086), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3089), 1,
      anon_sym_DOLLAR,
    ACTIONS(3095), 1,
      anon_sym_DQUOTE,
    ACTIONS(3098), 1,
      aux_sym_number_token1,
    ACTIONS(3101), 1,
      aux_sym_number_token2,
    ACTIONS(3104), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3110), 1,
      anon_sym_BQUOTE,
    ACTIONS(3113), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3122), 1,
      sym__brace_start,
    ACTIONS(3312), 1,
      sym__special_character,
    ACTIONS(3315), 1,
      sym_test_operator,
    STATE(1907), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2049), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3083), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3116), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(621), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3309), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1821), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2047), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [18683] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3054), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3056), 1,
      anon_sym_DOLLAR,
    ACTIONS(3060), 1,
      anon_sym_DQUOTE,
    ACTIONS(3062), 1,
      aux_sym_number_token1,
    ACTIONS(3064), 1,
      aux_sym_number_token2,
    ACTIONS(3066), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3068), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3070), 1,
      anon_sym_BQUOTE,
    ACTIONS(3072), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3078), 1,
      sym__brace_start,
    ACTIONS(3305), 1,
      sym__special_character,
    ACTIONS(3307), 1,
      sym_test_operator,
    STATE(1907), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1902), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3052), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3074), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(621), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3303), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1821), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1900), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [18779] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2393), 1,
      ts_builtin_sym_end,
    ACTIONS(2389), 23,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2387), 28,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
  [18841] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3318), 1,
      sym_word,
    ACTIONS(3324), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3327), 1,
      anon_sym_DOLLAR,
    ACTIONS(3330), 1,
      sym__special_character,
    ACTIONS(3333), 1,
      anon_sym_DQUOTE,
    ACTIONS(3339), 1,
      aux_sym_number_token1,
    ACTIONS(3342), 1,
      aux_sym_number_token2,
    ACTIONS(3345), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3348), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3351), 1,
      anon_sym_BQUOTE,
    ACTIONS(3354), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3360), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(3363), 1,
      sym_variable_name,
    ACTIONS(3366), 1,
      sym_test_operator,
    ACTIONS(3369), 1,
      sym__brace_start,
    STATE(2203), 1,
      aux_sym__literal_repeat1,
    STATE(5431), 1,
      sym_subscript,
    ACTIONS(3321), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3336), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(3357), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(624), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    ACTIONS(1634), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(1949), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1636), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [18945] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3374), 1,
      anon_sym_DQUOTE,
    STATE(1591), 1,
      sym_string,
    ACTIONS(3376), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(3372), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [19013] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3054), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3056), 1,
      anon_sym_DOLLAR,
    ACTIONS(3060), 1,
      anon_sym_DQUOTE,
    ACTIONS(3062), 1,
      aux_sym_number_token1,
    ACTIONS(3064), 1,
      aux_sym_number_token2,
    ACTIONS(3066), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3068), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3072), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3078), 1,
      sym__brace_start,
    ACTIONS(3305), 1,
      sym__special_character,
    ACTIONS(3307), 1,
      sym_test_operator,
    STATE(1907), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1894), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3052), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3074), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(621), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3303), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1821), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1892), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [19107] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3378), 1,
      sym_word,
    ACTIONS(3382), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3384), 1,
      anon_sym_DOLLAR,
    ACTIONS(3386), 1,
      sym__special_character,
    ACTIONS(3388), 1,
      anon_sym_DQUOTE,
    ACTIONS(3392), 1,
      aux_sym_number_token1,
    ACTIONS(3394), 1,
      aux_sym_number_token2,
    ACTIONS(3396), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3398), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3400), 1,
      anon_sym_BQUOTE,
    ACTIONS(3402), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3406), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(3408), 1,
      sym_variable_name,
    ACTIONS(3410), 1,
      sym_test_operator,
    ACTIONS(3412), 1,
      sym__brace_start,
    STATE(2203), 1,
      aux_sym__literal_repeat1,
    STATE(5431), 1,
      sym_subscript,
    ACTIONS(3380), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3390), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(3404), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(648), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    ACTIONS(1561), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(1949), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1563), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [19211] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3374), 1,
      anon_sym_DQUOTE,
    STATE(1591), 1,
      sym_string,
    ACTIONS(3376), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(3372), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [19279] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(791), 23,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(541), 29,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_done,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
  [19339] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2698), 1,
      anon_sym_DQUOTE,
    STATE(1500), 1,
      sym_string,
    ACTIONS(3416), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
    ACTIONS(3414), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [19407] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(791), 24,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(541), 28,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
  [19467] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3060), 1,
      anon_sym_DQUOTE,
    STATE(1743), 1,
      sym_string,
    ACTIONS(3420), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3418), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [19535] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3060), 1,
      anon_sym_DQUOTE,
    STATE(1743), 1,
      sym_string,
    ACTIONS(3420), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3418), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [19603] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2698), 1,
      anon_sym_DQUOTE,
    STATE(1500), 1,
      sym_string,
    ACTIONS(3416), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
    ACTIONS(3414), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [19671] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1948), 1,
      anon_sym_DQUOTE,
    STATE(1346), 1,
      sym_string,
    ACTIONS(3232), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3230), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [19739] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3143), 1,
      anon_sym_DQUOTE,
    STATE(1564), 1,
      sym_string,
    ACTIONS(3424), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
    ACTIONS(3422), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [19807] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3430), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_DOLLAR,
    ACTIONS(3434), 1,
      sym__special_character,
    ACTIONS(3436), 1,
      anon_sym_DQUOTE,
    ACTIONS(3438), 1,
      aux_sym_number_token1,
    ACTIONS(3440), 1,
      aux_sym_number_token2,
    ACTIONS(3442), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3444), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3446), 1,
      anon_sym_BQUOTE,
    ACTIONS(3448), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3452), 1,
      sym_test_operator,
    ACTIONS(3454), 1,
      sym__brace_start,
    STATE(3684), 1,
      aux_sym__literal_repeat1,
    STATE(3997), 1,
      sym_concatenation,
    ACTIONS(2325), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3428), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3450), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3426), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(3820), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2323), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [19903] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1948), 1,
      anon_sym_DQUOTE,
    STATE(1346), 1,
      sym_string,
    ACTIONS(3232), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3230), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [19971] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3143), 1,
      anon_sym_DQUOTE,
    STATE(1564), 1,
      sym_string,
    ACTIONS(3424), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
    ACTIONS(3422), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [20039] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    STATE(892), 1,
      sym_string,
    ACTIONS(1898), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(1896), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [20107] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2427), 1,
      ts_builtin_sym_end,
    ACTIONS(2389), 23,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2387), 28,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
  [20169] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    STATE(892), 1,
      sym_string,
    ACTIONS(1898), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(1896), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [20237] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3430), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_DOLLAR,
    ACTIONS(3436), 1,
      anon_sym_DQUOTE,
    ACTIONS(3438), 1,
      aux_sym_number_token1,
    ACTIONS(3440), 1,
      aux_sym_number_token2,
    ACTIONS(3442), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3444), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3446), 1,
      anon_sym_BQUOTE,
    ACTIONS(3448), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3454), 1,
      sym__brace_start,
    ACTIONS(3458), 1,
      sym__special_character,
    ACTIONS(3460), 1,
      sym_test_operator,
    STATE(3723), 1,
      aux_sym__literal_repeat1,
    STATE(3945), 1,
      sym_concatenation,
    ACTIONS(3428), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3450), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2329), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3456), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(3869), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2327), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [20333] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_DQUOTE,
    STATE(1510), 1,
      sym_string,
    ACTIONS(3464), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3462), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [20401] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_DQUOTE,
    STATE(1510), 1,
      sym_string,
    ACTIONS(3464), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3462), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [20469] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3430), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_DOLLAR,
    ACTIONS(3434), 1,
      sym__special_character,
    ACTIONS(3436), 1,
      anon_sym_DQUOTE,
    ACTIONS(3438), 1,
      aux_sym_number_token1,
    ACTIONS(3440), 1,
      aux_sym_number_token2,
    ACTIONS(3442), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3444), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3446), 1,
      anon_sym_BQUOTE,
    ACTIONS(3448), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3454), 1,
      sym__brace_start,
    ACTIONS(3468), 1,
      sym_test_operator,
    STATE(3723), 1,
      aux_sym__literal_repeat1,
    STATE(3945), 1,
      sym_concatenation,
    ACTIONS(2329), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3428), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3450), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3466), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(3810), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2327), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [20565] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3430), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_DOLLAR,
    ACTIONS(3436), 1,
      anon_sym_DQUOTE,
    ACTIONS(3438), 1,
      aux_sym_number_token1,
    ACTIONS(3440), 1,
      aux_sym_number_token2,
    ACTIONS(3442), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3444), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3446), 1,
      anon_sym_BQUOTE,
    ACTIONS(3448), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3454), 1,
      sym__brace_start,
    ACTIONS(3458), 1,
      sym__special_character,
    ACTIONS(3472), 1,
      sym_test_operator,
    STATE(3684), 1,
      aux_sym__literal_repeat1,
    STATE(3997), 1,
      sym_concatenation,
    ACTIONS(3428), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3450), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2325), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3470), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(3839), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2323), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [20661] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3378), 1,
      sym_word,
    ACTIONS(3382), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3384), 1,
      anon_sym_DOLLAR,
    ACTIONS(3386), 1,
      sym__special_character,
    ACTIONS(3388), 1,
      anon_sym_DQUOTE,
    ACTIONS(3392), 1,
      aux_sym_number_token1,
    ACTIONS(3394), 1,
      aux_sym_number_token2,
    ACTIONS(3396), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3398), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3400), 1,
      anon_sym_BQUOTE,
    ACTIONS(3402), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3408), 1,
      sym_variable_name,
    ACTIONS(3410), 1,
      sym_test_operator,
    ACTIONS(3412), 1,
      sym__brace_start,
    ACTIONS(3474), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2203), 1,
      aux_sym__literal_repeat1,
    STATE(5431), 1,
      sym_subscript,
    ACTIONS(3380), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3390), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(3404), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(624), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    ACTIONS(1527), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(1949), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1529), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [20765] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1553), 1,
      aux_sym__literal_repeat1,
    STATE(679), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1902), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(1879), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1900), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [20830] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_DQUOTE,
    STATE(1510), 1,
      sym_string,
    ACTIONS(3464), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3462), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [20897] = 22,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3476), 1,
      sym_word,
    ACTIONS(3482), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3485), 1,
      anon_sym_DOLLAR,
    ACTIONS(3488), 1,
      sym__special_character,
    ACTIONS(3491), 1,
      anon_sym_DQUOTE,
    ACTIONS(3497), 1,
      aux_sym_number_token1,
    ACTIONS(3500), 1,
      aux_sym_number_token2,
    ACTIONS(3503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3506), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3512), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3518), 1,
      sym_test_operator,
    ACTIONS(3521), 1,
      sym__brace_start,
    STATE(2095), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3479), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3494), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(3515), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(651), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(2047), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(1894), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2049), 13,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [20994] = 6,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2095), 1,
      aux_sym__literal_repeat1,
    STATE(651), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1894), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1892), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1894), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [21059] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3534), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3538), 1,
      sym_variable_name,
    STATE(5387), 1,
      sym_subscript,
    ACTIONS(3526), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(3528), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3532), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(3545), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3536), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    STATE(3579), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(2425), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(3524), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [21138] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3430), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_DOLLAR,
    ACTIONS(3436), 1,
      anon_sym_DQUOTE,
    ACTIONS(3438), 1,
      aux_sym_number_token1,
    ACTIONS(3440), 1,
      aux_sym_number_token2,
    ACTIONS(3442), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3444), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3446), 1,
      anon_sym_BQUOTE,
    ACTIONS(3448), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3454), 1,
      sym__brace_start,
    ACTIONS(3543), 1,
      sym__special_character,
    ACTIONS(3545), 1,
      sym_test_operator,
    STATE(3684), 1,
      aux_sym__literal_repeat1,
    STATE(3997), 1,
      sym_concatenation,
    ACTIONS(2325), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3428), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3450), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3541), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(4052), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2323), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [21233] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3430), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_DOLLAR,
    ACTIONS(3436), 1,
      anon_sym_DQUOTE,
    ACTIONS(3438), 1,
      aux_sym_number_token1,
    ACTIONS(3440), 1,
      aux_sym_number_token2,
    ACTIONS(3442), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3444), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3446), 1,
      anon_sym_BQUOTE,
    ACTIONS(3448), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3454), 1,
      sym__brace_start,
    ACTIONS(3543), 1,
      sym__special_character,
    ACTIONS(3549), 1,
      sym_test_operator,
    STATE(3723), 1,
      aux_sym__literal_repeat1,
    STATE(3945), 1,
      sym_concatenation,
    ACTIONS(2329), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3428), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3450), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3547), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(4009), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2327), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [21328] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3563), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3567), 1,
      anon_sym_DOLLAR,
    ACTIONS(3569), 1,
      sym__special_character,
    ACTIONS(3571), 1,
      anon_sym_DQUOTE,
    ACTIONS(3573), 1,
      aux_sym_number_token1,
    ACTIONS(3575), 1,
      aux_sym_number_token2,
    ACTIONS(3577), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3579), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3581), 1,
      anon_sym_BQUOTE,
    ACTIONS(3583), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3587), 1,
      sym_file_descriptor,
    ACTIONS(3589), 1,
      sym_test_operator,
    ACTIONS(3591), 1,
      sym__brace_start,
    STATE(2998), 1,
      aux_sym__heredoc_command,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    STATE(4359), 1,
      sym_concatenation,
    STATE(5458), 1,
      sym__heredoc_expression,
    STATE(5460), 1,
      sym__heredoc_pipeline,
    ACTIONS(3553), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3555), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3557), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3561), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(4473), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3551), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(3559), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(4075), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [21439] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3567), 1,
      anon_sym_DOLLAR,
    ACTIONS(3569), 1,
      sym__special_character,
    ACTIONS(3571), 1,
      anon_sym_DQUOTE,
    ACTIONS(3573), 1,
      aux_sym_number_token1,
    ACTIONS(3575), 1,
      aux_sym_number_token2,
    ACTIONS(3577), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3579), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3581), 1,
      anon_sym_BQUOTE,
    ACTIONS(3583), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3587), 1,
      sym_file_descriptor,
    ACTIONS(3589), 1,
      sym_test_operator,
    ACTIONS(3591), 1,
      sym__brace_start,
    ACTIONS(3593), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3004), 1,
      aux_sym__heredoc_command,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    STATE(4359), 1,
      sym_concatenation,
    STATE(5453), 1,
      sym__heredoc_pipeline,
    STATE(5461), 1,
      sym__heredoc_expression,
    ACTIONS(3553), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3555), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3557), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3561), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(4459), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3551), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(3559), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(4075), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [21550] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3595), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3597), 1,
      sym__concat,
    STATE(676), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [21615] = 6,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2095), 1,
      aux_sym__literal_repeat1,
    STATE(651), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1894), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1900), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1902), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [21680] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3595), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3599), 1,
      sym__concat,
    STATE(676), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [21745] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3430), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_DOLLAR,
    ACTIONS(3436), 1,
      anon_sym_DQUOTE,
    ACTIONS(3438), 1,
      aux_sym_number_token1,
    ACTIONS(3440), 1,
      aux_sym_number_token2,
    ACTIONS(3442), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3444), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3448), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3454), 1,
      sym__brace_start,
    ACTIONS(3603), 1,
      sym__special_character,
    ACTIONS(3605), 1,
      sym_test_operator,
    STATE(3723), 1,
      aux_sym__literal_repeat1,
    STATE(3945), 1,
      sym_concatenation,
    ACTIONS(2329), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3428), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3450), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3601), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(3873), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2327), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [21838] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3567), 1,
      anon_sym_DOLLAR,
    ACTIONS(3569), 1,
      sym__special_character,
    ACTIONS(3571), 1,
      anon_sym_DQUOTE,
    ACTIONS(3573), 1,
      aux_sym_number_token1,
    ACTIONS(3575), 1,
      aux_sym_number_token2,
    ACTIONS(3577), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3579), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3581), 1,
      anon_sym_BQUOTE,
    ACTIONS(3583), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3587), 1,
      sym_file_descriptor,
    ACTIONS(3589), 1,
      sym_test_operator,
    ACTIONS(3591), 1,
      sym__brace_start,
    ACTIONS(3607), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3035), 1,
      aux_sym__heredoc_command,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    STATE(4359), 1,
      sym_concatenation,
    STATE(5447), 1,
      sym__heredoc_expression,
    STATE(5448), 1,
      sym__heredoc_pipeline,
    ACTIONS(3553), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3555), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3557), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3561), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(4471), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3551), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(3559), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(4075), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [21949] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3538), 1,
      sym_variable_name,
    ACTIONS(3613), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5387), 1,
      sym_subscript,
    ACTIONS(3528), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3532), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(3609), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(3545), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3536), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    STATE(3579), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3611), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(3524), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [22028] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3595), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3615), 1,
      anon_sym_LPAREN,
    ACTIONS(3618), 1,
      sym__concat,
    STATE(658), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1193), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [22095] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3595), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3618), 1,
      sym__concat,
    STATE(658), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1193), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [22160] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2427), 1,
      anon_sym_BQUOTE,
    ACTIONS(2389), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2387), 28,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
  [22221] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3595), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3618), 1,
      sym__concat,
    STATE(660), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(268), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(231), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [22286] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2389), 23,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2387), 28,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
  [22345] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3567), 1,
      anon_sym_DOLLAR,
    ACTIONS(3569), 1,
      sym__special_character,
    ACTIONS(3571), 1,
      anon_sym_DQUOTE,
    ACTIONS(3573), 1,
      aux_sym_number_token1,
    ACTIONS(3575), 1,
      aux_sym_number_token2,
    ACTIONS(3577), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3579), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3581), 1,
      anon_sym_BQUOTE,
    ACTIONS(3583), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3587), 1,
      sym_file_descriptor,
    ACTIONS(3589), 1,
      sym_test_operator,
    ACTIONS(3591), 1,
      sym__brace_start,
    ACTIONS(3620), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3025), 1,
      aux_sym__heredoc_command,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    STATE(4359), 1,
      sym_concatenation,
    STATE(5498), 1,
      sym__heredoc_expression,
    STATE(5500), 1,
      sym__heredoc_pipeline,
    ACTIONS(3553), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3555), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3557), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3561), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(4502), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3551), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(3559), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(4075), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [22456] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_DQUOTE,
    STATE(1510), 1,
      sym_string,
    ACTIONS(3464), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3462), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [22523] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3374), 1,
      anon_sym_DQUOTE,
    STATE(1591), 1,
      sym_string,
    ACTIONS(3376), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(3372), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [22590] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3595), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3618), 1,
      sym__concat,
    STATE(660), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [22655] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3374), 1,
      anon_sym_DQUOTE,
    STATE(1591), 1,
      sym_string,
    ACTIONS(3376), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(3372), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [22722] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3538), 1,
      sym_variable_name,
    STATE(5387), 1,
      sym_subscript,
    ACTIONS(3536), 2,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3624), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3545), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    STATE(3579), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3524), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(3622), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [22793] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3538), 1,
      sym_variable_name,
    ACTIONS(3628), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5387), 1,
      sym_subscript,
    ACTIONS(3530), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(3545), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3536), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    STATE(3579), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3626), 10,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(3524), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [22866] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3630), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3633), 1,
      sym__concat,
    STATE(676), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [22931] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3430), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_DOLLAR,
    ACTIONS(3436), 1,
      anon_sym_DQUOTE,
    ACTIONS(3438), 1,
      aux_sym_number_token1,
    ACTIONS(3440), 1,
      aux_sym_number_token2,
    ACTIONS(3442), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3444), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3448), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3454), 1,
      sym__brace_start,
    ACTIONS(3603), 1,
      sym__special_character,
    ACTIONS(3638), 1,
      sym_test_operator,
    STATE(3684), 1,
      aux_sym__literal_repeat1,
    STATE(3997), 1,
      sym_concatenation,
    ACTIONS(2325), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3428), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3450), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3636), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(3907), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2323), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [23024] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2393), 1,
      anon_sym_BQUOTE,
    ACTIONS(2389), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2387), 28,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
  [23085] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2595), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2598), 1,
      anon_sym_DOLLAR,
    ACTIONS(2604), 1,
      anon_sym_DQUOTE,
    ACTIONS(2607), 1,
      aux_sym_number_token1,
    ACTIONS(2610), 1,
      aux_sym_number_token2,
    ACTIONS(2613), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2616), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_BQUOTE,
    ACTIONS(2622), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2631), 1,
      sym__brace_start,
    ACTIONS(3643), 1,
      sym__special_character,
    ACTIONS(3646), 1,
      sym_test_operator,
    STATE(1553), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2592), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2625), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(679), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(2049), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3640), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1879), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2047), 17,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [23180] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3060), 1,
      anon_sym_DQUOTE,
    STATE(1743), 1,
      sym_string,
    ACTIONS(3420), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3418), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [23247] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1553), 1,
      aux_sym__literal_repeat1,
    STATE(679), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1894), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(1879), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1892), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [23312] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3567), 1,
      anon_sym_DOLLAR,
    ACTIONS(3569), 1,
      sym__special_character,
    ACTIONS(3571), 1,
      anon_sym_DQUOTE,
    ACTIONS(3573), 1,
      aux_sym_number_token1,
    ACTIONS(3575), 1,
      aux_sym_number_token2,
    ACTIONS(3577), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3579), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3581), 1,
      anon_sym_BQUOTE,
    ACTIONS(3583), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3587), 1,
      sym_file_descriptor,
    ACTIONS(3589), 1,
      sym_test_operator,
    ACTIONS(3591), 1,
      sym__brace_start,
    ACTIONS(3649), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3013), 1,
      aux_sym__heredoc_command,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    STATE(4359), 1,
      sym_concatenation,
    STATE(5474), 1,
      sym__heredoc_expression,
    STATE(5475), 1,
      sym__heredoc_pipeline,
    ACTIONS(3553), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3555), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3557), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3561), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(4469), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3551), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(3559), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(4075), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [23423] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3567), 1,
      anon_sym_DOLLAR,
    ACTIONS(3569), 1,
      sym__special_character,
    ACTIONS(3571), 1,
      anon_sym_DQUOTE,
    ACTIONS(3573), 1,
      aux_sym_number_token1,
    ACTIONS(3575), 1,
      aux_sym_number_token2,
    ACTIONS(3577), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3579), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3581), 1,
      anon_sym_BQUOTE,
    ACTIONS(3583), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3587), 1,
      sym_file_descriptor,
    ACTIONS(3589), 1,
      sym_test_operator,
    ACTIONS(3591), 1,
      sym__brace_start,
    ACTIONS(3651), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3018), 1,
      aux_sym__heredoc_command,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    STATE(4359), 1,
      sym_concatenation,
    STATE(5476), 1,
      sym__heredoc_expression,
    STATE(5477), 1,
      sym__heredoc_pipeline,
    ACTIONS(3553), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3555), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3557), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3561), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(4496), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3551), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(3559), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(4075), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [23534] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3567), 1,
      anon_sym_DOLLAR,
    ACTIONS(3569), 1,
      sym__special_character,
    ACTIONS(3571), 1,
      anon_sym_DQUOTE,
    ACTIONS(3573), 1,
      aux_sym_number_token1,
    ACTIONS(3575), 1,
      aux_sym_number_token2,
    ACTIONS(3577), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3579), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3581), 1,
      anon_sym_BQUOTE,
    ACTIONS(3583), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3587), 1,
      sym_file_descriptor,
    ACTIONS(3589), 1,
      sym_test_operator,
    ACTIONS(3591), 1,
      sym__brace_start,
    ACTIONS(3653), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(2986), 1,
      aux_sym__heredoc_command,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    STATE(4359), 1,
      sym_concatenation,
    STATE(5496), 1,
      sym__heredoc_expression,
    STATE(5497), 1,
      sym__heredoc_pipeline,
    ACTIONS(3553), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3555), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3557), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3561), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(4455), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3551), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(3559), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(4075), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [23645] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3060), 1,
      anon_sym_DQUOTE,
    STATE(1743), 1,
      sym_string,
    ACTIONS(3420), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3418), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [23712] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3567), 1,
      anon_sym_DOLLAR,
    ACTIONS(3569), 1,
      sym__special_character,
    ACTIONS(3571), 1,
      anon_sym_DQUOTE,
    ACTIONS(3573), 1,
      aux_sym_number_token1,
    ACTIONS(3575), 1,
      aux_sym_number_token2,
    ACTIONS(3577), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3579), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3581), 1,
      anon_sym_BQUOTE,
    ACTIONS(3583), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3587), 1,
      sym_file_descriptor,
    ACTIONS(3589), 1,
      sym_test_operator,
    ACTIONS(3591), 1,
      sym__brace_start,
    ACTIONS(3655), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3027), 1,
      aux_sym__heredoc_command,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    STATE(4359), 1,
      sym_concatenation,
    STATE(5575), 1,
      sym__heredoc_expression,
    STATE(5576), 1,
      sym__heredoc_pipeline,
    ACTIONS(3553), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3555), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3557), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3561), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(4506), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3551), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(3559), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(4075), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [23823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [23881] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2879), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2882), 1,
      anon_sym_DOLLAR,
    ACTIONS(2888), 1,
      anon_sym_DQUOTE,
    ACTIONS(2891), 1,
      aux_sym_number_token1,
    ACTIONS(2894), 1,
      aux_sym_number_token2,
    ACTIONS(2897), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2900), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2903), 1,
      anon_sym_BQUOTE,
    ACTIONS(2906), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2918), 1,
      sym__brace_start,
    ACTIONS(3660), 1,
      sym__special_character,
    ACTIONS(3663), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(3666), 1,
      sym_test_operator,
    STATE(1592), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2264), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2876), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2909), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(688), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(3657), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2011), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2262), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [23977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [24035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [24093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [24151] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3669), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3671), 1,
      sym__concat,
    STATE(701), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [24215] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3595), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3618), 1,
      sym__concat,
    STATE(712), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3675), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3673), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [24279] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3595), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3618), 1,
      sym__concat,
    STATE(712), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3679), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3677), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [24343] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3669), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3681), 1,
      sym__concat,
    STATE(701), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [24407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [24465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [24523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [24581] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3595), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3618), 1,
      sym__concat,
    STATE(713), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3685), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3683), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [24645] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1514), 1,
      aux_sym__literal_repeat1,
    STATE(1621), 1,
      sym_concatenation,
    ACTIONS(2329), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(1875), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2327), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [24709] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3690), 1,
      sym__concat,
    STATE(701), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [24773] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3669), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3693), 1,
      sym__concat,
    STATE(692), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(268), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(231), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [24837] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2722), 1,
      anon_sym_DQUOTE,
    STATE(1401), 1,
      sym_string,
    ACTIONS(2724), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2720), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 33,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [24903] = 22,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3695), 1,
      sym_word,
    ACTIONS(3701), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3704), 1,
      anon_sym_DOLLAR,
    ACTIONS(3707), 1,
      sym__special_character,
    ACTIONS(3710), 1,
      anon_sym_DQUOTE,
    ACTIONS(3716), 1,
      aux_sym_number_token1,
    ACTIONS(3719), 1,
      aux_sym_number_token2,
    ACTIONS(3722), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3725), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3728), 1,
      anon_sym_BQUOTE,
    ACTIONS(3731), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3737), 1,
      sym_test_operator,
    ACTIONS(3740), 1,
      sym__brace_start,
    STATE(2186), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3698), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3713), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(3734), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(704), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(2047), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(2005), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2049), 12,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [24999] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3745), 1,
      anon_sym_DQUOTE,
    STATE(1943), 1,
      sym_string,
    ACTIONS(3747), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3743), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 33,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [25065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [25123] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3669), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3693), 1,
      sym__concat,
    STATE(695), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1193), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [25187] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3669), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3693), 1,
      sym__concat,
    ACTIONS(3749), 1,
      anon_sym_LPAREN,
    STATE(695), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1193), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [25253] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3758), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3760), 1,
      sym_variable_name,
    STATE(5330), 1,
      sym_subscript,
    ACTIONS(3532), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(3752), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(3754), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3756), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(3623), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3536), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3611), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(3669), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3524), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [25331] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2722), 1,
      anon_sym_DQUOTE,
    STATE(1401), 1,
      sym_string,
    ACTIONS(2724), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2720), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 33,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [25397] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3595), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3618), 1,
      sym__concat,
    STATE(713), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [25461] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3595), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3763), 1,
      sym__concat,
    STATE(676), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [25525] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3595), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3765), 1,
      sym__concat,
    STATE(676), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [25589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [25647] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3595), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3618), 1,
      sym__concat,
    STATE(712), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3769), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [25711] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3595), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3618), 1,
      sym__concat,
    STATE(713), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3773), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3771), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [25775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [25833] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3595), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3618), 1,
      sym__concat,
    STATE(713), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3777), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [25897] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2730), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2732), 1,
      anon_sym_DOLLAR,
    ACTIONS(2736), 1,
      anon_sym_DQUOTE,
    ACTIONS(2738), 1,
      aux_sym_number_token1,
    ACTIONS(2740), 1,
      aux_sym_number_token2,
    ACTIONS(2742), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2744), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2746), 1,
      anon_sym_BQUOTE,
    ACTIONS(2748), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2756), 1,
      sym__brace_start,
    ACTIONS(3781), 1,
      sym__special_character,
    ACTIONS(3783), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(3785), 1,
      sym_test_operator,
    STATE(1592), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2161), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2728), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2750), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(740), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(3779), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2011), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2159), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [25993] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3595), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3618), 1,
      sym__concat,
    STATE(712), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3789), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [26057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [26115] = 6,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2068), 1,
      aux_sym__literal_repeat1,
    STATE(2190), 1,
      sym_concatenation,
    STATE(1917), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2327), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(2329), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [26179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [26237] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3595), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3618), 1,
      sym__concat,
    STATE(713), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3793), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3791), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [26301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [26359] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1540), 1,
      aux_sym__literal_repeat1,
    STATE(1593), 1,
      sym_concatenation,
    ACTIONS(2325), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(1904), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2323), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [26423] = 6,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2186), 1,
      aux_sym__literal_repeat1,
    STATE(704), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2005), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1900), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1902), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [26487] = 6,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2186), 1,
      aux_sym__literal_repeat1,
    STATE(704), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2005), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1892), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1894), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [26551] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3628), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3760), 1,
      sym_variable_name,
    STATE(5330), 1,
      sym_subscript,
    ACTIONS(3756), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(3623), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3536), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    STATE(3669), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3626), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(3524), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [26623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [26681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [26739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [26797] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3760), 1,
      sym_variable_name,
    ACTIONS(3797), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5330), 1,
      sym_subscript,
    ACTIONS(3532), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(3754), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3756), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3795), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(3623), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(2425), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(3536), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    STATE(3669), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3524), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [26875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [26933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [26991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [27049] = 6,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2087), 1,
      aux_sym__literal_repeat1,
    STATE(2164), 1,
      sym_concatenation,
    STATE(1898), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2323), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(2325), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [27113] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3745), 1,
      anon_sym_DQUOTE,
    STATE(1943), 1,
      sym_string,
    ACTIONS(3747), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3743), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 33,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [27179] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3760), 1,
      sym_variable_name,
    STATE(5330), 1,
      sym_subscript,
    ACTIONS(3536), 2,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3624), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3623), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    STATE(3669), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3524), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(3622), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [27249] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2730), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2732), 1,
      anon_sym_DOLLAR,
    ACTIONS(2736), 1,
      anon_sym_DQUOTE,
    ACTIONS(2738), 1,
      aux_sym_number_token1,
    ACTIONS(2740), 1,
      aux_sym_number_token2,
    ACTIONS(2742), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2744), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2746), 1,
      anon_sym_BQUOTE,
    ACTIONS(2748), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2756), 1,
      sym__brace_start,
    ACTIONS(3781), 1,
      sym__special_character,
    ACTIONS(3785), 1,
      sym_test_operator,
    ACTIONS(3799), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1592), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2333), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2728), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2750), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(688), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(3779), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2011), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2331), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [27345] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3669), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3693), 1,
      sym__concat,
    STATE(692), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [27409] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3801), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3803), 1,
      sym__concat,
    STATE(813), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [27472] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3801), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3805), 1,
      sym__concat,
    STATE(813), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [27535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [27592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [27649] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3801), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3807), 1,
      sym__concat,
    STATE(742), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1193), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [27712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [27769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [27826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [27883] = 22,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3809), 1,
      sym_word,
    ACTIONS(3813), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_DOLLAR,
    ACTIONS(3817), 1,
      sym__special_character,
    ACTIONS(3819), 1,
      anon_sym_DQUOTE,
    ACTIONS(3823), 1,
      aux_sym_number_token1,
    ACTIONS(3825), 1,
      aux_sym_number_token2,
    ACTIONS(3827), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3829), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_BQUOTE,
    ACTIONS(3833), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3837), 1,
      sym_test_operator,
    ACTIONS(3839), 1,
      sym__brace_start,
    STATE(2422), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3811), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3821), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(3835), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(758), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1900), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(2125), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1902), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [27978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [28035] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3669), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3693), 1,
      sym__concat,
    STATE(793), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3793), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3791), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [28098] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3801), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3807), 1,
      sym__concat,
    STATE(743), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [28161] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3086), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3089), 1,
      anon_sym_DOLLAR,
    ACTIONS(3095), 1,
      anon_sym_DQUOTE,
    ACTIONS(3098), 1,
      aux_sym_number_token1,
    ACTIONS(3101), 1,
      aux_sym_number_token2,
    ACTIONS(3104), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3107), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3110), 1,
      anon_sym_BQUOTE,
    ACTIONS(3113), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3122), 1,
      sym__brace_start,
    ACTIONS(3844), 1,
      sym__special_character,
    ACTIONS(3847), 1,
      sym_test_operator,
    STATE(1907), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2049), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3083), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3116), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(754), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3841), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2083), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2047), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [28254] = 22,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3809), 1,
      sym_word,
    ACTIONS(3813), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_DOLLAR,
    ACTIONS(3817), 1,
      sym__special_character,
    ACTIONS(3819), 1,
      anon_sym_DQUOTE,
    ACTIONS(3823), 1,
      aux_sym_number_token1,
    ACTIONS(3825), 1,
      aux_sym_number_token2,
    ACTIONS(3827), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3829), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_BQUOTE,
    ACTIONS(3833), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3837), 1,
      sym_test_operator,
    ACTIONS(3839), 1,
      sym__brace_start,
    STATE(2422), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3811), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3821), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(3835), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(758), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1892), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(2125), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1894), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [28349] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(774), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [28412] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3669), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3693), 1,
      sym__concat,
    STATE(795), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3679), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3677), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [28475] = 22,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3854), 1,
      sym_word,
    ACTIONS(3860), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3863), 1,
      anon_sym_DOLLAR,
    ACTIONS(3866), 1,
      sym__special_character,
    ACTIONS(3869), 1,
      anon_sym_DQUOTE,
    ACTIONS(3875), 1,
      aux_sym_number_token1,
    ACTIONS(3878), 1,
      aux_sym_number_token2,
    ACTIONS(3881), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3884), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3887), 1,
      anon_sym_BQUOTE,
    ACTIONS(3890), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3896), 1,
      sym_test_operator,
    ACTIONS(3899), 1,
      sym__brace_start,
    STATE(2422), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3857), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3872), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(3893), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(758), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(2047), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(2125), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2049), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [28570] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3801), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3807), 1,
      sym__concat,
    ACTIONS(3902), 1,
      anon_sym_LPAREN,
    STATE(742), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1193), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [28635] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3905), 1,
      ts_builtin_sym_end,
    ACTIONS(3915), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3917), 1,
      sym_variable_name,
    STATE(5384), 1,
      sym_subscript,
    ACTIONS(3909), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3911), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(3665), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3536), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3907), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3790), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3524), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [28712] = 23,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3920), 1,
      sym_word,
    ACTIONS(3924), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3926), 1,
      anon_sym_DOLLAR,
    ACTIONS(3928), 1,
      sym__special_character,
    ACTIONS(3930), 1,
      anon_sym_DQUOTE,
    ACTIONS(3934), 1,
      aux_sym_number_token1,
    ACTIONS(3936), 1,
      aux_sym_number_token2,
    ACTIONS(3938), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3940), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3942), 1,
      anon_sym_BQUOTE,
    ACTIONS(3944), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3948), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(3950), 1,
      sym_test_operator,
    ACTIONS(3952), 1,
      sym__brace_start,
    STATE(2347), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3922), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3932), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(3946), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(775), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(2331), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(2055), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2333), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [28809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [28866] = 30,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(951), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(953), 1,
      anon_sym_DOLLAR,
    ACTIONS(957), 1,
      anon_sym_DQUOTE,
    ACTIONS(961), 1,
      aux_sym_number_token1,
    ACTIONS(963), 1,
      aux_sym_number_token2,
    ACTIONS(965), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(967), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(971), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(977), 1,
      sym_test_operator,
    ACTIONS(979), 1,
      sym__brace_start,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2337), 1,
      sym_word,
    ACTIONS(3954), 1,
      sym__special_character,
    ACTIONS(3956), 1,
      sym_variable_name,
    STATE(532), 1,
      sym_command_name,
    STATE(1901), 1,
      aux_sym__literal_repeat1,
    STATE(1981), 1,
      sym_concatenation,
    STATE(5395), 1,
      sym_subscript,
    ACTIONS(949), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(959), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(973), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(2505), 2,
      sym_variable_assignment,
      aux_sym_command_repeat1,
    STATE(2990), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(1531), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [29034] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3669), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3693), 1,
      sym__concat,
    STATE(795), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3769), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [29097] = 30,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(49), 1,
      anon_sym_DOLLAR,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(57), 1,
      aux_sym_number_token1,
    ACTIONS(59), 1,
      aux_sym_number_token2,
    ACTIONS(61), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(63), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(77), 1,
      sym_test_operator,
    ACTIONS(79), 1,
      sym__brace_start,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2375), 1,
      sym_word,
    ACTIONS(3956), 1,
      sym_variable_name,
    ACTIONS(3958), 1,
      sym__special_character,
    STATE(436), 1,
      sym_command_name,
    STATE(1031), 1,
      aux_sym__literal_repeat1,
    STATE(1154), 1,
      sym_concatenation,
    STATE(5395), 1,
      sym_subscript,
    ACTIONS(45), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(55), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(69), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(2505), 2,
      sym_variable_assignment,
      aux_sym_command_repeat1,
    STATE(2990), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(746), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29208] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3669), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3693), 1,
      sym__concat,
    STATE(793), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3773), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3771), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [29271] = 30,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(437), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(439), 1,
      anon_sym_DOLLAR,
    ACTIONS(443), 1,
      anon_sym_DQUOTE,
    ACTIONS(447), 1,
      aux_sym_number_token1,
    ACTIONS(449), 1,
      aux_sym_number_token2,
    ACTIONS(451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(455), 1,
      anon_sym_BQUOTE,
    ACTIONS(457), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(465), 1,
      sym_test_operator,
    ACTIONS(467), 1,
      sym__brace_start,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2495), 1,
      sym_word,
    ACTIONS(3956), 1,
      sym_variable_name,
    ACTIONS(3960), 1,
      sym__special_character,
    STATE(427), 1,
      sym_command_name,
    STATE(769), 1,
      aux_sym__literal_repeat1,
    STATE(932), 1,
      sym_concatenation,
    STATE(5395), 1,
      sym_subscript,
    ACTIONS(435), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(445), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(459), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(2505), 2,
      sym_variable_assignment,
      aux_sym_command_repeat1,
    STATE(2990), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(665), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3962), 1,
      sym__special_character,
    STATE(788), 1,
      aux_sym__literal_repeat1,
    ACTIONS(268), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(231), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [29443] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1948), 1,
      anon_sym_DQUOTE,
    STATE(1346), 1,
      sym_string,
    ACTIONS(3232), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3230), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 32,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [29508] = 30,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(353), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(361), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(365), 1,
      anon_sym_BQUOTE,
    ACTIONS(367), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(1007), 1,
      sym_test_operator,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2445), 1,
      sym_word,
    ACTIONS(3956), 1,
      sym_variable_name,
    ACTIONS(3964), 1,
      sym__special_character,
    STATE(492), 1,
      sym_command_name,
    STATE(988), 1,
      aux_sym__literal_repeat1,
    STATE(1133), 1,
      sym_concatenation,
    STATE(5395), 1,
      sym_subscript,
    ACTIONS(345), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(369), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1001), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(2505), 2,
      sym_variable_assignment,
      aux_sym_command_repeat1,
    STATE(2990), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(1207), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29619] = 30,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(353), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(361), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(365), 1,
      anon_sym_BQUOTE,
    ACTIONS(367), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(743), 1,
      sym_test_operator,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2429), 1,
      sym_word,
    ACTIONS(3956), 1,
      sym_variable_name,
    ACTIONS(3966), 1,
      sym__special_character,
    STATE(433), 1,
      sym_command_name,
    STATE(988), 1,
      aux_sym__literal_repeat1,
    STATE(1133), 1,
      sym_concatenation,
    STATE(5395), 1,
      sym_subscript,
    ACTIONS(345), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(369), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(741), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(2505), 2,
      sym_variable_assignment,
      aux_sym_command_repeat1,
    STATE(2990), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(780), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29730] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1948), 1,
      anon_sym_DQUOTE,
    STATE(1346), 1,
      sym_string,
    ACTIONS(3232), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3230), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 32,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [29795] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3968), 1,
      sym__concat,
    STATE(802), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [29858] = 23,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3970), 1,
      sym_word,
    ACTIONS(3976), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3979), 1,
      anon_sym_DOLLAR,
    ACTIONS(3982), 1,
      sym__special_character,
    ACTIONS(3985), 1,
      anon_sym_DQUOTE,
    ACTIONS(3991), 1,
      aux_sym_number_token1,
    ACTIONS(3994), 1,
      aux_sym_number_token2,
    ACTIONS(3997), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4000), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4003), 1,
      anon_sym_BQUOTE,
    ACTIONS(4006), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4012), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(4015), 1,
      sym_test_operator,
    ACTIONS(4018), 1,
      sym__brace_start,
    STATE(2347), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3973), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3988), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4009), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(775), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(2262), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(2055), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2264), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [29955] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3611), 1,
      anon_sym_RPAREN,
    ACTIONS(3758), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4025), 1,
      sym_variable_name,
    STATE(5409), 1,
      sym_subscript,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4021), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(4023), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(3735), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3536), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3752), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3787), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3524), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [30032] = 6,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2232), 1,
      aux_sym__literal_repeat1,
    STATE(2318), 1,
      sym_concatenation,
    STATE(2003), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2327), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(2329), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [30095] = 6,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2209), 1,
      aux_sym__literal_repeat1,
    STATE(2343), 1,
      sym_concatenation,
    STATE(1995), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2323), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(2325), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [30158] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1190), 1,
      anon_sym_LPAREN,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(785), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1193), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [30223] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(785), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1193), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [30286] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_RPAREN,
    ACTIONS(3797), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4025), 1,
      sym_variable_name,
    STATE(5409), 1,
      sym_subscript,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4021), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(4023), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(3735), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3536), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3795), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3787), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3524), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [30363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [30420] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(774), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(268), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(231), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [30483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [30540] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4028), 1,
      sym__concat,
    STATE(802), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [30603] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3801), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3807), 1,
      sym__concat,
    STATE(743), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(268), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(231), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [30666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [30723] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4030), 1,
      sym__special_character,
    STATE(788), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1296), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1294), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [30784] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3917), 1,
      sym_variable_name,
    STATE(5384), 1,
      sym_subscript,
    ACTIONS(3536), 2,
      sym_test_operator,
      sym__brace_start,
    STATE(3665), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3624), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    STATE(3790), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3524), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(3622), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [30853] = 30,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(681), 1,
      anon_sym_DQUOTE,
    ACTIONS(685), 1,
      aux_sym_number_token1,
    ACTIONS(687), 1,
      aux_sym_number_token2,
    ACTIONS(689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(693), 1,
      anon_sym_BQUOTE,
    ACTIONS(695), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(703), 1,
      sym_test_operator,
    ACTIONS(705), 1,
      sym__brace_start,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2377), 1,
      sym_word,
    ACTIONS(3956), 1,
      sym_variable_name,
    ACTIONS(4033), 1,
      sym__special_character,
    STATE(428), 1,
      sym_command_name,
    STATE(885), 1,
      aux_sym__literal_repeat1,
    STATE(1025), 1,
      sym_concatenation,
    STATE(5395), 1,
      sym_subscript,
    ACTIONS(673), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(683), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(697), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(2505), 2,
      sym_variable_assignment,
      aux_sym_command_repeat1,
    STATE(2990), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(707), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30964] = 23,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3920), 1,
      sym_word,
    ACTIONS(3924), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3926), 1,
      anon_sym_DOLLAR,
    ACTIONS(3928), 1,
      sym__special_character,
    ACTIONS(3930), 1,
      anon_sym_DQUOTE,
    ACTIONS(3934), 1,
      aux_sym_number_token1,
    ACTIONS(3936), 1,
      aux_sym_number_token2,
    ACTIONS(3938), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3940), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3942), 1,
      anon_sym_BQUOTE,
    ACTIONS(3944), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3950), 1,
      sym_test_operator,
    ACTIONS(3952), 1,
      sym__brace_start,
    ACTIONS(4035), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2347), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3922), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3932), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(3946), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(761), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(2159), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(2055), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2161), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [31061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [31118] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3669), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4037), 1,
      sym__concat,
    STATE(701), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [31181] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2427), 1,
      ts_builtin_sym_end,
    ACTIONS(3917), 1,
      sym_variable_name,
    ACTIONS(4041), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5384), 1,
      sym_subscript,
    ACTIONS(3909), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3911), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(3665), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3536), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4039), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3790), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3524), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [31258] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3669), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4043), 1,
      sym__concat,
    STATE(701), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [31321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [31378] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3669), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3693), 1,
      sym__concat,
    STATE(793), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [31441] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4047), 1,
      anon_sym_DQUOTE,
    STATE(2066), 1,
      sym_string,
    ACTIONS(4049), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4045), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 32,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [31506] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3917), 1,
      sym_variable_name,
    STATE(5384), 1,
      sym_subscript,
    ACTIONS(3628), 2,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3911), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(3665), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3536), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    STATE(3790), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3626), 7,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_LT_LT_DASH,
    ACTIONS(3524), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [31577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [31634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [31691] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4051), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4054), 1,
      sym__concat,
    STATE(802), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [31754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [31811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [31868] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4047), 1,
      anon_sym_DQUOTE,
    STATE(2066), 1,
      sym_string,
    ACTIONS(4049), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4045), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 32,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [31933] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3669), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3693), 1,
      sym__concat,
    STATE(793), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3685), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3683), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [31996] = 30,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(353), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(361), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(365), 1,
      anon_sym_BQUOTE,
    ACTIONS(367), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(375), 1,
      sym_test_operator,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2379), 1,
      sym_word,
    ACTIONS(3956), 1,
      sym_variable_name,
    ACTIONS(4057), 1,
      sym__special_character,
    STATE(444), 1,
      sym_command_name,
    STATE(988), 1,
      aux_sym__literal_repeat1,
    STATE(1133), 1,
      sym_concatenation,
    STATE(5395), 1,
      sym_subscript,
    ACTIONS(345), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(355), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(369), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(2505), 2,
      sym_variable_assignment,
      aux_sym_command_repeat1,
    STATE(2990), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(884), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32107] = 30,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(353), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(361), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(365), 1,
      anon_sym_BQUOTE,
    ACTIONS(367), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(375), 1,
      sym_test_operator,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2379), 1,
      sym_word,
    ACTIONS(3956), 1,
      sym_variable_name,
    ACTIONS(4057), 1,
      sym__special_character,
    STATE(442), 1,
      sym_command_name,
    STATE(988), 1,
      aux_sym__literal_repeat1,
    STATE(1133), 1,
      sym_concatenation,
    STATE(5395), 1,
      sym_subscript,
    ACTIONS(345), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(355), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(369), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(2505), 2,
      sym_variable_assignment,
      aux_sym_command_repeat1,
    STATE(2990), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(884), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32218] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3669), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3693), 1,
      sym__concat,
    STATE(795), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3675), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3673), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [32281] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3669), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3693), 1,
      sym__concat,
    STATE(793), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3777), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [32344] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3669), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3693), 1,
      sym__concat,
    STATE(795), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3789), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [32407] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3628), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4025), 1,
      sym_variable_name,
    STATE(5409), 1,
      sym_subscript,
    ACTIONS(4023), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(3735), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3536), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    STATE(3787), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3626), 8,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_LT_LT_DASH,
    ACTIONS(3524), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [32478] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4059), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4062), 1,
      sym__concat,
    STATE(813), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [32541] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3054), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3056), 1,
      anon_sym_DOLLAR,
    ACTIONS(3060), 1,
      anon_sym_DQUOTE,
    ACTIONS(3062), 1,
      aux_sym_number_token1,
    ACTIONS(3064), 1,
      aux_sym_number_token2,
    ACTIONS(3066), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3068), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3070), 1,
      anon_sym_BQUOTE,
    ACTIONS(3072), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3078), 1,
      sym__brace_start,
    ACTIONS(4067), 1,
      sym__special_character,
    ACTIONS(4069), 1,
      sym_test_operator,
    STATE(1907), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1902), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3052), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3074), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(754), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4065), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2083), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1900), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [32634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [32691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [32748] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3054), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3056), 1,
      anon_sym_DOLLAR,
    ACTIONS(3060), 1,
      anon_sym_DQUOTE,
    ACTIONS(3062), 1,
      aux_sym_number_token1,
    ACTIONS(3064), 1,
      aux_sym_number_token2,
    ACTIONS(3066), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3068), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3070), 1,
      anon_sym_BQUOTE,
    ACTIONS(3072), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3078), 1,
      sym__brace_start,
    ACTIONS(4067), 1,
      sym__special_character,
    ACTIONS(4069), 1,
      sym_test_operator,
    STATE(1907), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1894), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3052), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3074), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(754), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4065), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2083), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1892), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [32841] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 1,
      sym_variable_name,
    STATE(5409), 1,
      sym_subscript,
    ACTIONS(3536), 2,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3624), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3735), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    STATE(3787), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3524), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(3622), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [32910] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4073), 1,
      anon_sym_DQUOTE,
    STATE(2138), 1,
      sym_string,
    ACTIONS(1175), 2,
      sym__concat,
      sym_test_operator,
    ACTIONS(4075), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4071), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 33,
      anon_sym_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
  [32974] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3801), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3807), 1,
      sym__concat,
    STATE(871), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3793), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3791), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [33036] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3801), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3807), 1,
      sym__concat,
    STATE(868), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3679), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3677), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [33098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [33154] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4079), 1,
      anon_sym_DQUOTE,
    STATE(2131), 1,
      sym_string,
    ACTIONS(4081), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4077), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 32,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [33218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [33274] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4079), 1,
      anon_sym_DQUOTE,
    STATE(2131), 1,
      sym_string,
    ACTIONS(4081), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4077), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 32,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [33338] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    ACTIONS(4083), 1,
      anon_sym_LPAREN,
    STATE(862), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1193), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [33402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [33458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [33514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [33570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [33626] = 22,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4086), 1,
      sym_word,
    ACTIONS(4090), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4092), 1,
      anon_sym_DOLLAR,
    ACTIONS(4094), 1,
      sym__special_character,
    ACTIONS(4096), 1,
      anon_sym_DQUOTE,
    ACTIONS(4100), 1,
      aux_sym_number_token1,
    ACTIONS(4102), 1,
      aux_sym_number_token2,
    ACTIONS(4104), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4106), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4108), 1,
      anon_sym_BQUOTE,
    ACTIONS(4110), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4114), 1,
      sym_test_operator,
    ACTIONS(4116), 1,
      sym__brace_start,
    STATE(4306), 1,
      aux_sym__literal_repeat1,
    STATE(4398), 1,
      sym_concatenation,
    ACTIONS(4088), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4098), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4112), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2323), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(4253), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2325), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [33720] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4122), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4124), 1,
      sym__concat,
    STATE(935), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4120), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4118), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [33782] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3628), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4128), 1,
      sym_variable_name,
    STATE(5423), 1,
      sym_subscript,
    ACTIONS(4126), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(3752), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3536), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    STATE(3970), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3626), 7,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_LT_LT_DASH,
    ACTIONS(3524), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [33852] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      sym_variable_name,
    STATE(5423), 1,
      sym_subscript,
    ACTIONS(3536), 2,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3624), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3752), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    STATE(3970), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3524), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(3622), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [33920] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4122), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4131), 1,
      sym__concat,
    STATE(855), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [33982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [34038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [34094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [34150] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3962), 1,
      sym__special_character,
    STATE(788), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3685), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3683), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [34210] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4122), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4124), 1,
      sym__concat,
    STATE(935), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4135), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4133), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [34272] = 22,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4090), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4092), 1,
      anon_sym_DOLLAR,
    ACTIONS(4094), 1,
      sym__special_character,
    ACTIONS(4096), 1,
      anon_sym_DQUOTE,
    ACTIONS(4100), 1,
      aux_sym_number_token1,
    ACTIONS(4102), 1,
      aux_sym_number_token2,
    ACTIONS(4104), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4106), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4108), 1,
      anon_sym_BQUOTE,
    ACTIONS(4110), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4116), 1,
      sym__brace_start,
    ACTIONS(4137), 1,
      sym_word,
    ACTIONS(4141), 1,
      sym_test_operator,
    STATE(4322), 1,
      aux_sym__literal_repeat1,
    STATE(4429), 1,
      sym_concatenation,
    ACTIONS(4088), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4112), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4139), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(2327), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(4215), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2329), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [34366] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(887), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3777), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [34428] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      sym_variable_name,
    STATE(5326), 1,
      sym_subscript,
    ACTIONS(3536), 2,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3624), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3705), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    STATE(3875), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3524), 17,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(3622), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [34496] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3628), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4143), 1,
      sym_variable_name,
    STATE(5326), 1,
      sym_subscript,
    ACTIONS(4146), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(3705), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3536), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    STATE(3875), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3626), 7,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_LT_LT_DASH,
    ACTIONS(3524), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [34566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [34622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [34678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [34734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [34790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [34846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [34902] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4122), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4124), 1,
      sym__concat,
    STATE(835), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4150), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4148), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [34964] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3060), 1,
      anon_sym_DQUOTE,
    STATE(1743), 1,
      sym_string,
    ACTIONS(3420), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3418), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 32,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [35028] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4073), 1,
      anon_sym_DQUOTE,
    STATE(2138), 1,
      sym_string,
    ACTIONS(1171), 2,
      sym__concat,
      sym_test_operator,
    ACTIONS(4075), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4071), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 33,
      anon_sym_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
  [35092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [35148] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4152), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4155), 1,
      sym__concat,
    STATE(855), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [35210] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3060), 1,
      anon_sym_DQUOTE,
    STATE(1743), 1,
      sym_string,
    ACTIONS(3420), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3418), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 32,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [35274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [35330] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4160), 1,
      sym__concat,
    STATE(872), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [35392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [35448] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(896), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3789), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [35510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [35566] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4162), 1,
      sym__concat,
    STATE(802), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [35628] = 22,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4164), 1,
      sym_word,
    ACTIONS(4170), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4173), 1,
      anon_sym_DOLLAR,
    ACTIONS(4176), 1,
      sym__special_character,
    ACTIONS(4179), 1,
      anon_sym_DQUOTE,
    ACTIONS(4185), 1,
      aux_sym_number_token1,
    ACTIONS(4188), 1,
      aux_sym_number_token2,
    ACTIONS(4191), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4194), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4197), 1,
      anon_sym_BQUOTE,
    ACTIONS(4200), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4206), 1,
      sym_test_operator,
    ACTIONS(4209), 1,
      sym__brace_start,
    STATE(2619), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4167), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4182), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(863), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(2047), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(2235), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2049), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [35722] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4212), 1,
      sym__concat,
    STATE(802), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [35784] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(887), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3793), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3791), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [35846] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(896), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3679), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3677), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [35908] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4214), 1,
      sym__concat,
    STATE(872), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [35970] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3801), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4216), 1,
      sym__concat,
    STATE(813), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [36032] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_DQUOTE,
    STATE(1510), 1,
      sym_string,
    ACTIONS(3464), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3462), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 32,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [36096] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_DQUOTE,
    STATE(1510), 1,
      sym_string,
    ACTIONS(3464), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3462), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 32,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [36160] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3801), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4218), 1,
      sym__concat,
    STATE(813), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [36222] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4220), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4223), 1,
      sym__concat,
    STATE(872), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [36284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [36340] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4122), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4124), 1,
      sym__concat,
    STATE(835), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1894), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1892), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [36402] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3962), 1,
      sym__special_character,
    STATE(788), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3773), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3771), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [36462] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4122), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4124), 1,
      sym__concat,
    STATE(835), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4228), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4226), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [36524] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(864), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [36586] = 22,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4230), 1,
      sym_word,
    ACTIONS(4234), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4236), 1,
      anon_sym_DOLLAR,
    ACTIONS(4238), 1,
      sym__special_character,
    ACTIONS(4240), 1,
      anon_sym_DQUOTE,
    ACTIONS(4244), 1,
      aux_sym_number_token1,
    ACTIONS(4246), 1,
      aux_sym_number_token2,
    ACTIONS(4248), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4250), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4252), 1,
      anon_sym_BQUOTE,
    ACTIONS(4254), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4258), 1,
      sym_test_operator,
    ACTIONS(4260), 1,
      sym__brace_start,
    STATE(2619), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4232), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4242), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4256), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(863), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1900), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(2235), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1902), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [36680] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4122), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4124), 1,
      sym__concat,
    STATE(835), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3679), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3677), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [36742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [36798] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      sym_variable_name,
    ACTIONS(4266), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5423), 1,
      sym_subscript,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4126), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4264), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    STATE(3752), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3536), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4262), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3970), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3524), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [36872] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    ACTIONS(4268), 1,
      anon_sym_LPAREN,
    STATE(862), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1193), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [36936] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4122), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4124), 1,
      sym__concat,
    STATE(935), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3793), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3791), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [36998] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(862), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1193), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37060] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4271), 1,
      sym__special_character,
    STATE(923), 1,
      aux_sym__literal_repeat1,
    ACTIONS(268), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(231), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37120] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3801), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3807), 1,
      sym__concat,
    STATE(868), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3769), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37182] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4273), 1,
      sym__concat,
    STATE(802), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37356] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_BQUOTE,
    ACTIONS(4143), 1,
      sym_variable_name,
    ACTIONS(4279), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5326), 1,
      sym_subscript,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4146), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4277), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    STATE(3705), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3536), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4275), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3875), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3524), 27,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37656] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      sym_variable_name,
    ACTIONS(4283), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5423), 1,
      sym_subscript,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4126), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4264), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    STATE(3752), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3536), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4281), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3970), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3524), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37730] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4285), 1,
      sym__concat,
    STATE(802), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37792] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(887), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3685), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3683), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37854] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3801), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3807), 1,
      sym__concat,
    STATE(871), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3773), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3771), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37916] = 22,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4230), 1,
      sym_word,
    ACTIONS(4234), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4236), 1,
      anon_sym_DOLLAR,
    ACTIONS(4238), 1,
      sym__special_character,
    ACTIONS(4240), 1,
      anon_sym_DQUOTE,
    ACTIONS(4244), 1,
      aux_sym_number_token1,
    ACTIONS(4246), 1,
      aux_sym_number_token2,
    ACTIONS(4248), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4250), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4252), 1,
      anon_sym_BQUOTE,
    ACTIONS(4254), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4258), 1,
      sym_test_operator,
    ACTIONS(4260), 1,
      sym__brace_start,
    STATE(2619), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4232), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4242), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4256), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(863), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1892), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(2235), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1894), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [38010] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3430), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_DOLLAR,
    ACTIONS(3436), 1,
      anon_sym_DQUOTE,
    ACTIONS(3438), 1,
      aux_sym_number_token1,
    ACTIONS(3440), 1,
      aux_sym_number_token2,
    ACTIONS(3442), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3444), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3446), 1,
      anon_sym_BQUOTE,
    ACTIONS(3448), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3454), 1,
      sym__brace_start,
    ACTIONS(4289), 1,
      sym__special_character,
    ACTIONS(4291), 1,
      sym_test_operator,
    STATE(3723), 1,
      aux_sym__literal_repeat1,
    STATE(3945), 1,
      sym_concatenation,
    ACTIONS(2329), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3428), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3450), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4287), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(4234), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2327), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [38102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [38158] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(896), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3675), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3673), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [38220] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(864), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(268), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(231), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [38282] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3430), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_DOLLAR,
    ACTIONS(3436), 1,
      anon_sym_DQUOTE,
    ACTIONS(3438), 1,
      aux_sym_number_token1,
    ACTIONS(3440), 1,
      aux_sym_number_token2,
    ACTIONS(3442), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3444), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3446), 1,
      anon_sym_BQUOTE,
    ACTIONS(3448), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3454), 1,
      sym__brace_start,
    ACTIONS(4289), 1,
      sym__special_character,
    ACTIONS(4295), 1,
      sym_test_operator,
    STATE(3684), 1,
      aux_sym__literal_repeat1,
    STATE(3997), 1,
      sym_concatenation,
    ACTIONS(2325), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3428), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3450), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4293), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(4287), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2323), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [38374] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(887), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [38436] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3801), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3807), 1,
      sym__concat,
    STATE(868), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3675), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3673), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [38498] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3801), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3807), 1,
      sym__concat,
    STATE(871), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3685), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3683), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [38560] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3801), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3807), 1,
      sym__concat,
    STATE(868), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3789), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [38622] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4301), 1,
      sym__concat,
    STATE(867), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4299), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4297), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [38684] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3801), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3807), 1,
      sym__concat,
    STATE(871), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3777), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [38746] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4301), 1,
      sym__concat,
    STATE(858), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4305), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4303), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [38808] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(896), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3769), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [38870] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(887), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3773), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3771), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [38932] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3611), 1,
      anon_sym_BQUOTE,
    ACTIONS(4143), 1,
      sym_variable_name,
    ACTIONS(4309), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5326), 1,
      sym_subscript,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4146), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4277), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    STATE(3705), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3536), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4307), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3875), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3524), 27,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [39008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [39064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [39120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [39176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [39232] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      sym_variable_name,
    ACTIONS(4313), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5423), 1,
      sym_subscript,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4126), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4264), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    STATE(3752), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3536), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4311), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3970), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3524), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [39306] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4301), 1,
      sym__concat,
    STATE(858), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [39368] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4122), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4124), 1,
      sym__concat,
    STATE(835), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1902), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1900), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [39430] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3962), 1,
      sym__special_character,
    STATE(788), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3777), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [39490] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4315), 1,
      sym__special_character,
    STATE(923), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1296), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1294), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [39550] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4301), 1,
      sym__concat,
    STATE(858), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4135), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4133), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [39612] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4158), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4301), 1,
      sym__concat,
    STATE(867), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4228), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4226), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [39674] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4122), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4124), 1,
      sym__concat,
    STATE(835), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3789), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [39736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [39792] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4122), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4124), 1,
      sym__concat,
    STATE(935), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3777), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [39854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [39910] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3801), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3807), 1,
      sym__concat,
    STATE(871), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [39972] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4320), 1,
      anon_sym_DQUOTE,
    STATE(2064), 1,
      sym_string,
    ACTIONS(4322), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4318), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 31,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [40036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [40092] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4320), 1,
      anon_sym_DQUOTE,
    STATE(2064), 1,
      sym_string,
    ACTIONS(4322), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4318), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 31,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [40156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [40212] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4122), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4324), 1,
      sym__concat,
    STATE(855), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [40274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [40330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [40386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [40442] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3962), 1,
      sym__special_character,
    STATE(788), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3793), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3791), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [40502] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4122), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4124), 1,
      sym__concat,
    STATE(935), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [40564] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      sym_variable_name,
    ACTIONS(4328), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5423), 1,
      sym_subscript,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4126), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4264), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    STATE(3752), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3536), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4326), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3970), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3524), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [40638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [40694] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4330), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4333), 1,
      sym__concat,
    STATE(943), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [40755] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4336), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4338), 1,
      sym__concat,
    STATE(976), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4228), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4226), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [40816] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4340), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4342), 1,
      sym__concat,
    STATE(943), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [40877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3679), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3677), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [40932] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      sym_test_operator,
    ACTIONS(4346), 1,
      anon_sym_DQUOTE,
    STATE(1969), 1,
      sym_string,
    ACTIONS(4348), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4344), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 33,
      anon_sym_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
  [40995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [41050] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4340), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4350), 1,
      sym__concat,
    STATE(943), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [41111] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(953), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3685), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3683), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [41172] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4354), 1,
      anon_sym_DQUOTE,
    STATE(2205), 1,
      sym_string,
    ACTIONS(4356), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4352), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 31,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [41235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [41290] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4358), 1,
      sym__concat,
    STATE(802), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [41351] = 22,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4360), 1,
      sym_word,
    ACTIONS(4364), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_DOLLAR,
    ACTIONS(4368), 1,
      sym__special_character,
    ACTIONS(4370), 1,
      anon_sym_DQUOTE,
    ACTIONS(4374), 1,
      aux_sym_number_token1,
    ACTIONS(4376), 1,
      aux_sym_number_token2,
    ACTIONS(4378), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4380), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4382), 1,
      anon_sym_BQUOTE,
    ACTIONS(4384), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4388), 1,
      sym_test_operator,
    ACTIONS(4390), 1,
      sym__brace_start,
    STATE(4391), 1,
      aux_sym__literal_repeat1,
    STATE(4494), 1,
      sym_concatenation,
    ACTIONS(4362), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4372), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4386), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2323), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(4299), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2325), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [41444] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4392), 1,
      sym__concat,
    STATE(802), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [41505] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4354), 1,
      anon_sym_DQUOTE,
    STATE(2205), 1,
      sym_string,
    ACTIONS(4356), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4352), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 31,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [41568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [41623] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym_test_operator,
    ACTIONS(4346), 1,
      anon_sym_DQUOTE,
    STATE(1969), 1,
      sym_string,
    ACTIONS(4348), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4344), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 33,
      anon_sym_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
  [41686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [41741] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4336), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4338), 1,
      sym__concat,
    STATE(974), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4135), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4133), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [41802] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4394), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4396), 1,
      sym__concat,
    STATE(968), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [41863] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4394), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4398), 1,
      sym__concat,
    STATE(968), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [41924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [41979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [42034] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4271), 1,
      sym__special_character,
    STATE(923), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3773), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3771), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [42093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [42148] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4271), 1,
      sym__special_character,
    STATE(923), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3793), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3791), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [42207] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4400), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4403), 1,
      sym__concat,
    STATE(968), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [42268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [42323] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4408), 1,
      anon_sym_DQUOTE,
    STATE(2391), 1,
      sym_string,
    ACTIONS(4410), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4406), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 31,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [42386] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4394), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4412), 1,
      sym__concat,
    STATE(962), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1902), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1900), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [42447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [42502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [42557] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4336), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4414), 1,
      sym__concat,
    STATE(982), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [42618] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4408), 1,
      anon_sym_DQUOTE,
    STATE(2391), 1,
      sym_string,
    ACTIONS(4410), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4406), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 31,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [42681] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4336), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4416), 1,
      sym__concat,
    STATE(982), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [42742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [42797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [42852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [42907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [42962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [43017] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4418), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4421), 1,
      sym__concat,
    STATE(982), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [43078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [43133] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      sym_test_operator,
    ACTIONS(4073), 1,
      anon_sym_DQUOTE,
    STATE(2138), 1,
      sym_string,
    ACTIONS(4075), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4071), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 33,
      anon_sym_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
  [43196] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      sym_test_operator,
    ACTIONS(4346), 1,
      anon_sym_DQUOTE,
    STATE(1969), 1,
      sym_string,
    ACTIONS(4348), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4344), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 33,
      anon_sym_RPAREN_RPAREN,
      anon_sym_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_TILDE,
  [43259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [43314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [43369] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4424), 1,
      sym__special_character,
    STATE(1041), 1,
      aux_sym__literal_repeat1,
    ACTIONS(268), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(231), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [43428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [43483] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      sym_test_operator,
    ACTIONS(4346), 1,
      anon_sym_DQUOTE,
    STATE(1969), 1,
      sym_string,
    ACTIONS(4348), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4344), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 33,
      anon_sym_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_TILDE,
      anon_sym_COLON,
  [43546] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym_test_operator,
    ACTIONS(4073), 1,
      anon_sym_DQUOTE,
    STATE(2138), 1,
      sym_string,
    ACTIONS(4075), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4071), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 33,
      anon_sym_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
  [43609] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4340), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4426), 1,
      sym__concat,
    STATE(949), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [43670] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4394), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4412), 1,
      sym__concat,
    STATE(961), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [43731] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym_test_operator,
    ACTIONS(4346), 1,
      anon_sym_DQUOTE,
    STATE(1969), 1,
      sym_string,
    ACTIONS(4348), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4344), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 33,
      anon_sym_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_TILDE,
      anon_sym_COLON,
  [43794] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4394), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4412), 1,
      sym__concat,
    STATE(961), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4120), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4118), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [43855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [43910] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(955), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3679), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3677), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [43971] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4336), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4338), 1,
      sym__concat,
    STATE(976), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4299), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4297), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [44032] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4394), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4412), 1,
      sym__concat,
    STATE(962), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4150), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4148), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [44093] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(953), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3793), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3791), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [44154] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4394), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4412), 1,
      sym__concat,
    STATE(961), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3777), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [44215] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4394), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4412), 1,
      sym__concat,
    STATE(962), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3789), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [44276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [44331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [44386] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(955), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3789), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [44447] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4340), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4426), 1,
      sym__concat,
    STATE(949), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4430), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4428), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [44508] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4340), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4426), 1,
      sym__concat,
    STATE(945), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4434), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4432), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [44569] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4336), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4338), 1,
      sym__concat,
    STATE(974), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4305), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4303), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [44630] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4394), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4412), 1,
      sym__concat,
    STATE(962), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1894), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1892), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [44691] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(953), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3777), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [44752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4271), 1,
      sym__special_character,
    STATE(923), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3777), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [44811] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 1,
      anon_sym_DQUOTE,
    ACTIONS(1175), 1,
      sym_test_operator,
    STATE(2196), 1,
      sym_string,
    ACTIONS(4438), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4436), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 33,
      anon_sym_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
  [44874] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4271), 1,
      sym__special_character,
    STATE(923), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3685), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3683), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [44933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [44988] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(955), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3769), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [45049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [45104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3769), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [45159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [45214] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4336), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4338), 1,
      sym__concat,
    STATE(974), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [45275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [45330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [45385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [45440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [45495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [45550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [45605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4442), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4440), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [45660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [45715] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4394), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4412), 1,
      sym__concat,
    STATE(962), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3679), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3677), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [45776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [45831] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 1,
      anon_sym_DQUOTE,
    ACTIONS(1171), 1,
      sym_test_operator,
    STATE(2196), 1,
      sym_string,
    ACTIONS(4438), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4436), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 33,
      anon_sym_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
  [45894] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4444), 1,
      sym__special_character,
    STATE(1033), 1,
      aux_sym__literal_repeat1,
    ACTIONS(268), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(231), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [45953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [46008] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4446), 1,
      sym__special_character,
    STATE(1033), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1296), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1294), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [46067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [46122] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4453), 1,
      anon_sym_DQUOTE,
    ACTIONS(4455), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4457), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4459), 1,
      anon_sym_BQUOTE,
    ACTIONS(4461), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2117), 3,
      sym_string,
      sym_expansion,
      sym_command_substitution,
    ACTIONS(4451), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(4449), 25,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [46189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [46244] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4394), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4412), 1,
      sym__concat,
    STATE(962), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4228), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4226), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [46305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [46360] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym_test_operator,
    ACTIONS(4346), 1,
      anon_sym_DQUOTE,
    STATE(1969), 1,
      sym_string,
    ACTIONS(4348), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4344), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 33,
      anon_sym_RPAREN_RPAREN,
      anon_sym_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_TILDE,
  [46423] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(953), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3773), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3771), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [46484] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4463), 1,
      sym__special_character,
    STATE(1041), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1296), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1294), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [46543] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4394), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4412), 1,
      sym__concat,
    STATE(961), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4135), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4133), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [46604] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(953), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [46665] = 22,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4364), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_DOLLAR,
    ACTIONS(4368), 1,
      sym__special_character,
    ACTIONS(4370), 1,
      anon_sym_DQUOTE,
    ACTIONS(4374), 1,
      aux_sym_number_token1,
    ACTIONS(4376), 1,
      aux_sym_number_token2,
    ACTIONS(4378), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4380), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4382), 1,
      anon_sym_BQUOTE,
    ACTIONS(4384), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4390), 1,
      sym__brace_start,
    ACTIONS(4466), 1,
      sym_word,
    ACTIONS(4470), 1,
      sym_test_operator,
    STATE(4369), 1,
      aux_sym__literal_repeat1,
    STATE(4489), 1,
      sym_concatenation,
    ACTIONS(4362), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4386), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4468), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(2327), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(4308), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2329), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [46758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [46813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [46868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [46923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3675), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3673), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [46978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [47033] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4394), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4412), 1,
      sym__concat,
    STATE(961), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3793), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3791), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [47094] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(955), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3675), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3673), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [47155] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4472), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4475), 1,
      sym__concat,
    STATE(1052), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [47215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [47269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [47323] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4478), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4480), 1,
      sym__concat,
    STATE(1177), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4305), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4303), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [47383] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4484), 1,
      sym__concat,
    STATE(1120), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [47443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [47497] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4486), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4488), 1,
      sym__concat,
    STATE(1095), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [47557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [47611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [47665] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4490), 1,
      sym__concat,
    STATE(1120), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [47725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [47779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [47833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [47887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [47941] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4492), 1,
      sym__special_character,
    STATE(1136), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4135), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4133), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [47999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [48053] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4496), 1,
      sym__concat,
    STATE(1128), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4305), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4303), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [48113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [48167] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4492), 1,
      sym__special_character,
    STATE(1136), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4500), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4498), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [48225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [48279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [48333] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4505), 1,
      sym__concat,
    STATE(1073), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [48393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3675), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3673), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [48447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [48501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [48555] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1056), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4228), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4226), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [48615] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1061), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4135), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4133), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [48675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [48729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [48783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [48837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [48891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [48945] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4510), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1084), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [49005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [49059] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1056), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3679), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3677), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [49119] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1061), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3793), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3791), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [49179] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4486), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4516), 1,
      sym__concat,
    STATE(1084), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [49239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [49293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [49347] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1056), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1894), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1892), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [49407] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4478), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4480), 1,
      sym__concat,
    STATE(1168), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4299), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4297), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [49467] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4518), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4520), 1,
      sym__concat,
    STATE(1107), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1902), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1900), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [49527] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4424), 1,
      sym__special_character,
    STATE(1041), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3685), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3683), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [49585] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4486), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4522), 1,
      sym__concat,
    STATE(1084), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [49645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [49699] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4424), 1,
      sym__special_character,
    STATE(1041), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3773), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3771), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [49757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [49811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4492), 1,
      sym__special_character,
    STATE(1136), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4526), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4524), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [49869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [49923] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4518), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4520), 1,
      sym__concat,
    STATE(1129), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3777), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [49983] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4518), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4520), 1,
      sym__concat,
    STATE(1107), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4150), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4148), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [50043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [50097] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4518), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4520), 1,
      sym__concat,
    STATE(1129), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4120), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4118), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [50157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3679), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3677), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [50211] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4518), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4520), 1,
      sym__concat,
    STATE(1107), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3789), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [50271] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4518), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4528), 1,
      sym__concat,
    STATE(1073), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [50331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [50385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [50439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [50493] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1056), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3789), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [50553] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1061), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3777), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [50613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [50667] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym_test_operator,
    ACTIONS(4346), 1,
      anon_sym_DQUOTE,
    STATE(1969), 1,
      sym_string,
    ACTIONS(4348), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4344), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 32,
      anon_sym_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_TILDE,
  [50729] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1056), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1902), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1900), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [50789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [50843] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4530), 1,
      sym__special_character,
    STATE(1119), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4135), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4133), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [50901] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4496), 1,
      sym__concat,
    STATE(1143), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4299), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4297), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [50961] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4532), 1,
      sym__special_character,
    STATE(1119), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1296), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1294), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [51019] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4535), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4538), 1,
      sym__concat,
    STATE(1120), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [51079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [51133] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1056), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4150), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4148), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [51193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [51247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [51301] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1061), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4120), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4118), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [51361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [51415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [51469] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4541), 1,
      sym__concat,
    STATE(1160), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [51529] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4518), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4543), 1,
      sym__concat,
    STATE(1073), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [51589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4442), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4440), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [51643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3769), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [51697] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4545), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4547), 1,
      sym__concat,
    STATE(1052), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [51757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [51811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [51865] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4545), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4549), 1,
      sym__concat,
    STATE(1052), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [51925] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 1,
      sym__special_character,
    STATE(1136), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1296), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1294), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [51983] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4518), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4520), 1,
      sym__concat,
    STATE(1129), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [52043] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4492), 1,
      sym__special_character,
    STATE(1136), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3777), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [52101] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4444), 1,
      sym__special_character,
    STATE(1033), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3777), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [52159] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4486), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4488), 1,
      sym__concat,
    STATE(1088), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4434), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4432), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [52219] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4486), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4488), 1,
      sym__concat,
    STATE(1095), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4430), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4428), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [52279] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4545), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4554), 1,
      sym__concat,
    STATE(1135), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4150), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4148), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [52339] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4556), 1,
      sym__concat,
    STATE(1160), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [52399] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4545), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4554), 1,
      sym__concat,
    STATE(1132), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4120), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4118), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [52459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4444), 1,
      sym__special_character,
    STATE(1033), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3685), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3683), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [52517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [52571] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4530), 1,
      sym__special_character,
    STATE(1119), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4305), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4303), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [52629] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4444), 1,
      sym__special_character,
    STATE(1033), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3773), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3771), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [52687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [52741] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4478), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4480), 1,
      sym__concat,
    STATE(1177), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [52801] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4561), 1,
      sym__concat,
    STATE(1151), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [52861] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4496), 1,
      sym__concat,
    STATE(1143), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4228), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4226), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [52921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [52975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [53029] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4496), 1,
      sym__concat,
    STATE(1128), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4135), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4133), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [53089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [53143] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4424), 1,
      sym__special_character,
    STATE(1041), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3793), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3791), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [53201] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4492), 1,
      sym__special_character,
    STATE(1136), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3793), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3791), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [53259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [53313] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4564), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4567), 1,
      sym__concat,
    STATE(1160), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [53373] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4518), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4520), 1,
      sym__concat,
    STATE(1107), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1894), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1892), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [53433] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4518), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4520), 1,
      sym__concat,
    STATE(1129), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3793), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3791), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [53493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [53547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [53601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [53655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [53709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [53763] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4478), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4570), 1,
      sym__concat,
    STATE(1151), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [53823] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4424), 1,
      sym__special_character,
    STATE(1041), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3777), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [53881] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4518), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4520), 1,
      sym__concat,
    STATE(1107), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3679), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3677), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [53941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [53995] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4478), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4480), 1,
      sym__concat,
    STATE(1177), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4135), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4133), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [54055] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4478), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4480), 1,
      sym__concat,
    STATE(1168), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4228), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4226), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [54115] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4518), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4520), 1,
      sym__concat,
    STATE(1129), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4135), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4133), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [54175] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4518), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4520), 1,
      sym__concat,
    STATE(1107), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4228), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4226), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [54235] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4492), 1,
      sym__special_character,
    STATE(1136), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4120), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4118), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [54293] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4478), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4572), 1,
      sym__concat,
    STATE(1151), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [54353] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      sym_test_operator,
    ACTIONS(4346), 1,
      anon_sym_DQUOTE,
    STATE(1969), 1,
      sym_string,
    ACTIONS(4348), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4344), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 32,
      anon_sym_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_TILDE,
  [54415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [54469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [54523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [54577] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1061), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [54637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [54691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [54745] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4496), 1,
      sym__concat,
    STATE(1128), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [54805] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4574), 1,
      anon_sym_DQUOTE,
    ACTIONS(4576), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4578), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4580), 1,
      anon_sym_BQUOTE,
    ACTIONS(4582), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2247), 3,
      sym_string,
      sym_expansion,
      sym_command_substitution,
    ACTIONS(4451), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(4449), 24,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [54871] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4545), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4554), 1,
      sym__concat,
    STATE(1132), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [54931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [54985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [55039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [55093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [55147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [55201] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4444), 1,
      sym__special_character,
    STATE(1033), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3793), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3791), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [55259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [55313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [55366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [55419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [55472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [55525] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4496), 1,
      sym__concat,
    STATE(1358), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4135), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4133), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [55584] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4496), 1,
      sym__concat,
    STATE(1357), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4228), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4226), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [55643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [55696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [55749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [55802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [55855] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4584), 1,
      sym__special_character,
    STATE(1315), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4135), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4133), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [55912] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    ACTIONS(4586), 1,
      anon_sym_LPAREN,
    STATE(1316), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1193), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [55973] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(1316), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1193), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [56032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [56085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [56138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [56191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3769), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [56244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [56297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [56350] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4589), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4591), 1,
      sym__concat,
    STATE(1258), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4430), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4428), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [56409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [56462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [56515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [56568] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4589), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4591), 1,
      sym__concat,
    STATE(1255), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4434), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4432), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [56627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [56680] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4593), 1,
      sym__special_character,
    STATE(1382), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4430), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4428), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [56737] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(1319), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [56796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3679), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3677), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [56849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [56902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [56955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [57008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [57061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [57114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [57167] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4589), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4591), 1,
      sym__concat,
    STATE(1258), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [57226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [57279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [57332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [57385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [57438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4442), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4440), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [57491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [57544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [57597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [57650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [57703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [57756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [57809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [57862] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4595), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4598), 1,
      sym__concat,
    STATE(1242), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [57921] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4601), 1,
      sym__special_character,
    STATE(1277), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4135), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4133), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [57978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [58031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [58084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [58137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [58190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [58243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3769), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [58296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [58349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [58402] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4603), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4605), 1,
      sym__concat,
    STATE(1276), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [58461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4442), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4440), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [58514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [58567] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4589), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4607), 1,
      sym__concat,
    STATE(1242), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [58626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [58679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [58732] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4589), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4609), 1,
      sym__concat,
    STATE(1242), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [58791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [58844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4613), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4611), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [58897] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1361), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4228), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4226), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [58956] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4601), 1,
      sym__special_character,
    STATE(1277), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4120), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4118), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [59013] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4603), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4615), 1,
      sym__concat,
    STATE(1276), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [59072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [59125] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1362), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4135), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4133), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [59184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [59237] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4617), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4619), 1,
      sym__concat,
    STATE(1283), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [59296] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4603), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4621), 1,
      sym__concat,
    STATE(1263), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4434), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4432), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [59355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4625), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4623), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [59408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [59461] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4603), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4621), 1,
      sym__concat,
    STATE(1252), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4430), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4428), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [59520] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4627), 1,
      sym_variable_name,
    STATE(5418), 1,
      sym_subscript,
    ACTIONS(3536), 2,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3624), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(4116), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    STATE(4246), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3622), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
    ACTIONS(3524), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [59585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3675), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3673), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [59638] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4617), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4630), 1,
      sym__concat,
    STATE(1283), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [59697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [59750] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4632), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4635), 1,
      sym__concat,
    STATE(1276), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [59809] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4638), 1,
      sym__special_character,
    STATE(1277), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1296), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1294), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [59866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [59919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [59972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [60025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [60078] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4601), 1,
      sym__special_character,
    STATE(1277), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3777), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [60135] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4641), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4644), 1,
      sym__concat,
    STATE(1283), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [60194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [60247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [60300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [60353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [60406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [60459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [60512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3679), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3677), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [60565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [60618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [60671] = 28,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1015), 1,
      sym__special_character,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    ACTIONS(4647), 1,
      sym_extglob_pattern,
    STATE(2206), 1,
      aux_sym__literal_repeat1,
    STATE(2515), 1,
      sym__expression,
    STATE(2624), 1,
      sym__extglob_blob,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1019), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2583), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2106), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [60827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [60880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [60933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [60986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [61039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [61092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [61145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [61198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [61251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [61304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [61357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [61410] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1361), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3789), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [61469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [61522] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1361), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3679), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3677), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [61581] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4627), 1,
      sym_variable_name,
    ACTIONS(4653), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5418), 1,
      sym_subscript,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4649), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(4651), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(4116), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3536), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    STATE(4246), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3524), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [61650] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4627), 1,
      sym_variable_name,
    ACTIONS(4655), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5418), 1,
      sym_subscript,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4649), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(4651), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(4116), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3536), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    STATE(4246), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3524), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [61719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [61772] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4603), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4621), 1,
      sym__concat,
    STATE(1252), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [61831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [61884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3675), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3673), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [61937] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4657), 1,
      sym__special_character,
    STATE(1315), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1296), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1294), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [61994] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4660), 1,
      sym__concat,
    STATE(802), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [62053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [62106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [62159] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4662), 1,
      sym__concat,
    STATE(802), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [62218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [62271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [62324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [62377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [62430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [62483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [62536] = 28,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(4664), 1,
      sym_extglob_pattern,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2222), 1,
      sym__extglob_blob,
    STATE(2752), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2246), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62639] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4601), 1,
      sym__special_character,
    STATE(1277), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3793), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3791), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [62696] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4668), 12,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [62757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [62810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3679), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3677), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [62863] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1362), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3793), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3791), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [62922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [62975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [63028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [63081] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4684), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4686), 1,
      anon_sym_DOLLAR,
    ACTIONS(4688), 1,
      sym__special_character,
    ACTIONS(4690), 1,
      anon_sym_DQUOTE,
    ACTIONS(4692), 1,
      aux_sym_number_token1,
    ACTIONS(4694), 1,
      aux_sym_number_token2,
    ACTIONS(4696), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4700), 1,
      anon_sym_BQUOTE,
    ACTIONS(4702), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4706), 1,
      sym_test_operator,
    ACTIONS(4708), 1,
      sym__brace_start,
    STATE(2940), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1902), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4682), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4704), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1383), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4680), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2768), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1900), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [63170] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4710), 1,
      anon_sym_DQUOTE,
    ACTIONS(4712), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4714), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4716), 1,
      anon_sym_BQUOTE,
    ACTIONS(4718), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2406), 3,
      sym_string,
      sym_expansion,
      sym_command_substitution,
    ACTIONS(4451), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(4449), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [63235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1902), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1900), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [63288] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4601), 1,
      sym__special_character,
    STATE(1277), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4500), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4498), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [63345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [63398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [63451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [63504] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4720), 1,
      anon_sym_DQUOTE,
    ACTIONS(4722), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4724), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4726), 1,
      anon_sym_BQUOTE,
    ACTIONS(4728), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2430), 3,
      sym_string,
      sym_expansion,
      sym_command_substitution,
    ACTIONS(4451), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(4449), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [63569] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4684), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4686), 1,
      anon_sym_DOLLAR,
    ACTIONS(4688), 1,
      sym__special_character,
    ACTIONS(4690), 1,
      anon_sym_DQUOTE,
    ACTIONS(4692), 1,
      aux_sym_number_token1,
    ACTIONS(4694), 1,
      aux_sym_number_token2,
    ACTIONS(4696), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4700), 1,
      anon_sym_BQUOTE,
    ACTIONS(4702), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4706), 1,
      sym_test_operator,
    ACTIONS(4708), 1,
      sym__brace_start,
    STATE(2940), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1894), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4682), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4704), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1383), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4680), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2768), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1892), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [63658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1894), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1892), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [63711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [63764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [63817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [63870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [63923] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4601), 1,
      sym__special_character,
    STATE(1277), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4526), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4524), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [63980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [64033] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4617), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4730), 1,
      sym__concat,
    STATE(1267), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [64092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4228), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4226), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [64145] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3628), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4627), 1,
      sym_variable_name,
    STATE(5418), 1,
      sym_subscript,
    ACTIONS(4651), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(4116), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3536), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    STATE(4246), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3626), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(3524), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [64212] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1361), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1894), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1892), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [64271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [64324] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4496), 1,
      sym__concat,
    STATE(1358), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [64383] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4732), 1,
      sym__concat,
    STATE(1160), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [64442] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4734), 1,
      sym__concat,
    STATE(1160), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [64501] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1362), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [64560] = 28,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1115), 1,
      sym_word,
    ACTIONS(1117), 1,
      anon_sym_BANG,
    ACTIONS(1123), 1,
      anon_sym_TILDE,
    ACTIONS(1129), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(4664), 1,
      sym_extglob_pattern,
    ACTIONS(4736), 1,
      sym__special_character,
    STATE(2126), 1,
      aux_sym__literal_repeat1,
    STATE(2222), 1,
      sym__extglob_blob,
    STATE(2492), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1119), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1121), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1127), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2093), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64663] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4738), 1,
      sym__concat,
    STATE(1120), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [64722] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4740), 1,
      sym__concat,
    STATE(1120), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [64781] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1362), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4120), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4118), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [64840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [64893] = 28,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      sym_word,
    ACTIONS(1133), 1,
      anon_sym_BANG,
    ACTIONS(1139), 1,
      anon_sym_TILDE,
    ACTIONS(1141), 1,
      sym__special_character,
    ACTIONS(1145), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(4664), 1,
      sym_extglob_pattern,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2222), 1,
      sym__extglob_blob,
    STATE(2561), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1135), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1137), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1143), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2097), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [65049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [65102] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1361), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4150), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4148), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [65161] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4496), 1,
      sym__concat,
    STATE(1358), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4305), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4303), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [65220] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4496), 1,
      sym__concat,
    STATE(1357), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4299), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4297), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [65279] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4617), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4730), 1,
      sym__concat,
    STATE(1267), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4120), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4118), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [65338] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4617), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4730), 1,
      sym__concat,
    STATE(1274), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4150), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4148), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [65397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4613), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4611), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [65450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4625), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4623), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [65503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [65556] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(1319), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(268), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(231), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [65615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [65668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [65721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [65774] = 28,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(1027), 1,
      sym_word,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1039), 1,
      anon_sym_TILDE,
    ACTIONS(1049), 1,
      sym_test_operator,
    ACTIONS(4742), 1,
      sym__special_character,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(4746), 1,
      sym_extglob_pattern,
    STATE(2043), 1,
      aux_sym__literal_repeat1,
    STATE(2294), 1,
      sym__expression,
    STATE(2397), 1,
      sym__extglob_blob,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1035), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1037), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1045), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2408), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2099), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65877] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1361), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1902), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1900), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [65936] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4748), 1,
      sym__special_character,
    STATE(1382), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1296), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1294), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [65993] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4757), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4760), 1,
      anon_sym_DOLLAR,
    ACTIONS(4763), 1,
      sym__special_character,
    ACTIONS(4766), 1,
      anon_sym_DQUOTE,
    ACTIONS(4769), 1,
      aux_sym_number_token1,
    ACTIONS(4772), 1,
      aux_sym_number_token2,
    ACTIONS(4775), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4778), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4781), 1,
      anon_sym_BQUOTE,
    ACTIONS(4784), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4790), 1,
      sym_test_operator,
    ACTIONS(4793), 1,
      sym__brace_start,
    STATE(2940), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2049), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4754), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4787), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1383), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4751), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2768), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2047), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [66082] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4584), 1,
      sym__special_character,
    STATE(1315), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4305), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4303), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [66139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [66192] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1362), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3777), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [66251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [66304] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4798), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3536), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3524), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(4796), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [66361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [66414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [66467] = 28,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_BANG,
    ACTIONS(1083), 1,
      anon_sym_TILDE,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(4664), 1,
      sym_extglob_pattern,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2222), 1,
      sym__extglob_blob,
    STATE(2591), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1079), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1081), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2057), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [66623] = 28,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(276), 1,
      sym_word,
    ACTIONS(285), 1,
      anon_sym_LPAREN,
    ACTIONS(287), 1,
      anon_sym_BANG,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(315), 1,
      sym_test_operator,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(4800), 1,
      sym__special_character,
    ACTIONS(4802), 1,
      sym_extglob_pattern,
    STATE(2151), 1,
      aux_sym__literal_repeat1,
    STATE(2592), 1,
      sym__expression,
    STATE(2593), 1,
      sym__extglob_blob,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(299), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2479), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2039), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [66779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [66832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [66885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [66938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [66991] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4806), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4678), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4804), 12,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4666), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4228), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4226), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [67207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [67313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67418] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4808), 1,
      sym_variable_name,
    STATE(5341), 1,
      sym_subscript,
    STATE(4257), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    STATE(4334), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3524), 5,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3622), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3624), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
    ACTIONS(3536), 15,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [67482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [67534] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4813), 1,
      sym__concat,
    STATE(1413), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67592] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_BANG,
    ACTIONS(1083), 1,
      anon_sym_TILDE,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(4815), 1,
      sym__regex_no_space,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2557), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1079), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1081), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2057), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67692] = 11,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3626), 1,
      anon_sym_LT_LT,
    ACTIONS(4808), 1,
      sym_variable_name,
    ACTIONS(4817), 1,
      anon_sym_PIPE,
    ACTIONS(4819), 1,
      anon_sym_PIPE_AMP,
    STATE(5341), 1,
      sym_subscript,
    STATE(4257), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3628), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT_DASH,
    STATE(4334), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3524), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3536), 21,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [67760] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4821), 1,
      sym__concat,
    STATE(1413), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67818] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4823), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4826), 1,
      sym__concat,
    STATE(1413), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67876] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4829), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4831), 1,
      sym__concat,
    STATE(1543), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4120), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4118), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67934] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4829), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4831), 1,
      sym__concat,
    STATE(1548), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4150), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4148), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67992] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(171), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_BANG,
    ACTIONS(1083), 1,
      anon_sym_TILDE,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2454), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1079), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1081), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2057), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68092] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(276), 1,
      sym_word,
    ACTIONS(285), 1,
      anon_sym_LPAREN,
    ACTIONS(287), 1,
      anon_sym_BANG,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(315), 1,
      sym_test_operator,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(4800), 1,
      sym__special_character,
    ACTIONS(4833), 1,
      sym__regex_no_space,
    STATE(2151), 1,
      aux_sym__literal_repeat1,
    STATE(2575), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(299), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2479), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2039), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4835), 1,
      sym__special_character,
    STATE(1424), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4430), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4428), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [68248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [68300] = 22,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4837), 1,
      sym_word,
    ACTIONS(4843), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4846), 1,
      anon_sym_DOLLAR,
    ACTIONS(4849), 1,
      sym__special_character,
    ACTIONS(4852), 1,
      anon_sym_DQUOTE,
    ACTIONS(4858), 1,
      aux_sym_number_token1,
    ACTIONS(4861), 1,
      aux_sym_number_token2,
    ACTIONS(4864), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4867), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4870), 1,
      anon_sym_BQUOTE,
    ACTIONS(4873), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4879), 1,
      sym_test_operator,
    ACTIONS(4882), 1,
      sym__brace_start,
    STATE(2976), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4840), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4855), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4876), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1420), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(2047), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(2049), 8,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
    STATE(2882), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [68442] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4690), 1,
      anon_sym_DQUOTE,
    STATE(2880), 1,
      sym_string,
    ACTIONS(4887), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4885), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [68502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [68554] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4889), 1,
      sym__special_character,
    STATE(1424), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1296), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1294), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [68610] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4589), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4591), 1,
      sym__concat,
    STATE(1431), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4434), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4432), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [68668] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4690), 1,
      anon_sym_DQUOTE,
    STATE(2880), 1,
      sym_string,
    ACTIONS(4887), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4885), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [68728] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4589), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4591), 1,
      sym__concat,
    STATE(1430), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4430), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4428), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [68786] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1115), 1,
      sym_word,
    ACTIONS(1117), 1,
      anon_sym_BANG,
    ACTIONS(1123), 1,
      anon_sym_TILDE,
    ACTIONS(1129), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(4736), 1,
      sym__special_character,
    ACTIONS(4815), 1,
      sym__regex_no_space,
    STATE(2126), 1,
      aux_sym__literal_repeat1,
    STATE(2499), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1119), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1121), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1127), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2093), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68886] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      sym_word,
    ACTIONS(1133), 1,
      anon_sym_BANG,
    ACTIONS(1139), 1,
      anon_sym_TILDE,
    ACTIONS(1141), 1,
      sym__special_character,
    ACTIONS(1145), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(4815), 1,
      sym__regex_no_space,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2542), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1135), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1137), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1143), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2097), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68986] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4589), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4892), 1,
      sym__concat,
    STATE(1242), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [69044] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4589), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4894), 1,
      sym__concat,
    STATE(1242), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [69102] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4589), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4591), 1,
      sym__concat,
    STATE(1430), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [69160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1902), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1900), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69264] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4896), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4898), 1,
      sym__concat,
    STATE(1541), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1218), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1220), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [69322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [69426] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4896), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4900), 1,
      sym__concat,
    STATE(1541), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1202), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1204), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [69484] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4902), 1,
      sym__special_character,
    STATE(1460), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4120), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4118), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4613), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4611), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [69592] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(1464), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3769), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69650] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1435), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4896), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1200), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [69706] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_BANG,
    ACTIONS(1083), 1,
      anon_sym_TILDE,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2547), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1079), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1081), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2057), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69806] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(1463), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3773), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3771), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4625), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4623), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [69916] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4904), 1,
      sym__special_character,
    STATE(1446), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1296), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1294), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69972] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4907), 1,
      sym__concat,
    STATE(1409), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70030] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(223), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_BANG,
    ACTIONS(1083), 1,
      anon_sym_TILDE,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2605), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1079), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1081), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2057), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70130] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4808), 1,
      sym_variable_name,
    ACTIONS(4817), 1,
      anon_sym_PIPE,
    ACTIONS(4819), 1,
      anon_sym_PIPE_AMP,
    ACTIONS(4911), 1,
      anon_sym_LT_LT,
    ACTIONS(4913), 1,
      anon_sym_LT_LT_DASH,
    STATE(5341), 1,
      sym_subscript,
    ACTIONS(4909), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    STATE(4257), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    STATE(4221), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3524), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3536), 21,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [70200] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(4815), 1,
      sym__regex_no_space,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2742), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2246), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1894), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1892), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [70404] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4921), 1,
      anon_sym_DOLLAR,
    ACTIONS(4923), 1,
      sym__special_character,
    ACTIONS(4925), 1,
      anon_sym_DQUOTE,
    ACTIONS(4927), 1,
      aux_sym_number_token1,
    ACTIONS(4929), 1,
      aux_sym_number_token2,
    ACTIONS(4931), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4933), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4935), 1,
      anon_sym_BQUOTE,
    ACTIONS(4937), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4941), 1,
      sym_test_operator,
    ACTIONS(4943), 1,
      sym__brace_start,
    STATE(4531), 1,
      aux_sym__literal_repeat1,
    STATE(4659), 1,
      sym_concatenation,
    ACTIONS(2329), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4917), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4939), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4915), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(4501), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2327), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [70492] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4921), 1,
      anon_sym_DOLLAR,
    ACTIONS(4923), 1,
      sym__special_character,
    ACTIONS(4925), 1,
      anon_sym_DQUOTE,
    ACTIONS(4927), 1,
      aux_sym_number_token1,
    ACTIONS(4929), 1,
      aux_sym_number_token2,
    ACTIONS(4931), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4933), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4935), 1,
      anon_sym_BQUOTE,
    ACTIONS(4937), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4943), 1,
      sym__brace_start,
    ACTIONS(4947), 1,
      sym_test_operator,
    STATE(4530), 1,
      aux_sym__literal_repeat1,
    STATE(4658), 1,
      sym_concatenation,
    ACTIONS(2325), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4917), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4939), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4945), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(4505), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2323), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [70580] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4806), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4678), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4804), 11,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4666), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3679), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3677), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70688] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4798), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3536), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3524), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(4796), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [70744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70796] = 6,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2976), 1,
      aux_sym__literal_repeat1,
    STATE(1420), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2882), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1892), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1894), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [70854] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4949), 1,
      sym__special_character,
    STATE(1460), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1296), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1294), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [71014] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4952), 1,
      sym__concat,
    STATE(802), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71072] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4954), 1,
      sym__concat,
    STATE(802), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71182] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4956), 1,
      sym__special_character,
    STATE(1491), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4305), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4303), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [71238] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(1027), 1,
      sym_word,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1039), 1,
      anon_sym_TILDE,
    ACTIONS(1049), 1,
      sym_test_operator,
    ACTIONS(4742), 1,
      sym__special_character,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(4958), 1,
      sym__regex_no_space,
    STATE(2043), 1,
      aux_sym__literal_repeat1,
    STATE(2306), 1,
      sym__expression,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1035), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1037), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1045), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2408), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2099), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [71390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [71442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [71494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [71546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [71598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [71650] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1015), 1,
      sym__special_character,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    ACTIONS(4960), 1,
      sym__regex_no_space,
    STATE(2206), 1,
      aux_sym__literal_repeat1,
    STATE(2528), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1019), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2583), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2106), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [71802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [71854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [71906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [71958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [72010] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4962), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4965), 1,
      sym__concat,
    STATE(1480), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [72120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [72172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [72276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [72380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [72536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [72588] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4968), 1,
      sym__special_character,
    STATE(1491), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1296), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1294), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [72644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [72800] = 6,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2976), 1,
      aux_sym__literal_repeat1,
    STATE(1420), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2882), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1900), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1902), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [72858] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(1463), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3685), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3683), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72916] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(1464), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3675), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3673), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [73026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [73078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [73130] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(1463), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3777), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73188] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4956), 1,
      sym__special_character,
    STATE(1491), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4135), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4133), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [73244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [73296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [73348] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4902), 1,
      sym__special_character,
    STATE(1460), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4526), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4524), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73404] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4971), 1,
      sym__special_character,
    STATE(1446), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4135), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4133), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73460] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4829), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4831), 1,
      sym__concat,
    STATE(1543), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [73570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [73622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [73674] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4971), 1,
      sym__special_character,
    STATE(1446), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3793), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3791), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [73782] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4973), 1,
      sym__special_character,
    STATE(1513), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1296), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1294), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [73838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4971), 1,
      sym__special_character,
    STATE(1446), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4500), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4498), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73894] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4902), 1,
      sym__special_character,
    STATE(1460), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4135), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4133), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73950] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4907), 1,
      sym__concat,
    STATE(1412), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4150), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4148), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4228), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4226), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74060] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4902), 1,
      sym__special_character,
    STATE(1460), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3777), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4613), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4611), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74168] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4902), 1,
      sym__special_character,
    STATE(1460), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3793), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3791), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74224] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4907), 1,
      sym__concat,
    STATE(1409), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4120), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4118), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [74334] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(1464), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3789), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74392] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(1463), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3793), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3791), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [74502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [74554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [74606] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4976), 1,
      sym__special_character,
    STATE(1528), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1296), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1294), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74662] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4902), 1,
      sym__special_character,
    STATE(1460), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4500), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4498), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74718] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    STATE(1438), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4896), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1183), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1193), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [74776] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1438), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4896), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1183), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1193), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [74832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [74884] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(1464), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3679), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3677), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4625), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4623), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74994] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4668), 11,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [75106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [75158] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4971), 1,
      sym__special_character,
    STATE(1446), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3777), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75214] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1435), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4896), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(231), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(268), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [75270] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4971), 1,
      sym__special_character,
    STATE(1446), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4526), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4524), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75326] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1541), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4979), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1208), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1210), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [75382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4982), 1,
      sym__special_character,
    STATE(1513), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4135), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4133), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [75438] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4829), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4984), 1,
      sym__concat,
    STATE(1480), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75548] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4982), 1,
      sym__special_character,
    STATE(1513), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4305), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4303), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [75604] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(1463), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75714] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4829), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4986), 1,
      sym__concat,
    STATE(1480), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75772] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4988), 1,
      sym__special_character,
    STATE(1528), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4120), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4118), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75984] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4971), 1,
      sym__special_character,
    STATE(1446), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4120), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4118), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4228), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4226), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [76196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76248] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(276), 1,
      sym_word,
    ACTIONS(285), 1,
      anon_sym_LPAREN,
    ACTIONS(287), 1,
      anon_sym_BANG,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(315), 1,
      sym_test_operator,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(4800), 1,
      sym__special_character,
    STATE(2151), 1,
      aux_sym__literal_repeat1,
    STATE(2587), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(299), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2479), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2039), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76345] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(1027), 1,
      sym_word,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1039), 1,
      anon_sym_TILDE,
    ACTIONS(1049), 1,
      sym_test_operator,
    ACTIONS(4742), 1,
      sym__special_character,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    STATE(2043), 1,
      aux_sym__literal_repeat1,
    STATE(2303), 1,
      sym__expression,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1035), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1037), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1045), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2408), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2099), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76442] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1115), 1,
      sym_word,
    ACTIONS(1117), 1,
      anon_sym_BANG,
    ACTIONS(1123), 1,
      anon_sym_TILDE,
    ACTIONS(1129), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(4736), 1,
      sym__special_character,
    STATE(2126), 1,
      aux_sym__literal_repeat1,
    STATE(2225), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1119), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1121), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1127), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2093), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76539] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4798), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3536), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3524), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(4796), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [76594] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(4990), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76655] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(276), 1,
      sym_word,
    ACTIONS(285), 1,
      anon_sym_LPAREN,
    ACTIONS(287), 1,
      anon_sym_BANG,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(315), 1,
      sym_test_operator,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(4800), 1,
      sym__special_character,
    STATE(2151), 1,
      aux_sym__literal_repeat1,
    STATE(2621), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(299), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2479), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2039), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76854] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1242), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [76905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4228), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4226), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [76956] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1250), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [77007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4613), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4611), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77058] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4993), 1,
      sym__special_character,
    STATE(1570), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1296), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1294), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [77113] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1208), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1210), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [77164] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1286), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [77215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77266] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(4996), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77327] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4806), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4678), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4804), 10,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4666), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77484] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 10,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77594] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      sym_word,
    ACTIONS(1133), 1,
      anon_sym_BANG,
    ACTIONS(1139), 1,
      anon_sym_TILDE,
    ACTIONS(1141), 1,
      sym__special_character,
    ACTIONS(1145), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2225), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1135), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1137), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1143), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2097), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77691] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      sym_word,
    ACTIONS(1133), 1,
      anon_sym_BANG,
    ACTIONS(1139), 1,
      anon_sym_TILDE,
    ACTIONS(1141), 1,
      sym__special_character,
    ACTIONS(1145), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2532), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1135), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1137), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1143), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2097), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77788] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1015), 1,
      sym__special_character,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    STATE(2206), 1,
      aux_sym__literal_repeat1,
    STATE(2579), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1019), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2583), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2106), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77885] = 6,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2979), 1,
      aux_sym__literal_repeat1,
    STATE(2999), 1,
      sym_concatenation,
    STATE(2893), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2323), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(2325), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [77942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [78044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [78095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4228), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4226), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [78146] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1115), 1,
      sym_word,
    ACTIONS(1117), 1,
      anon_sym_BANG,
    ACTIONS(1123), 1,
      anon_sym_TILDE,
    ACTIONS(1129), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(4736), 1,
      sym__special_character,
    STATE(2126), 1,
      aux_sym__literal_repeat1,
    STATE(2544), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1119), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1121), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1127), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2093), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78243] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4896), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4999), 1,
      sym__concat,
    STATE(1541), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1202), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1204), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [78300] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(1027), 1,
      sym_word,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1039), 1,
      anon_sym_TILDE,
    ACTIONS(1049), 1,
      sym_test_operator,
    ACTIONS(4742), 1,
      sym__special_character,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    STATE(2043), 1,
      aux_sym__literal_repeat1,
    STATE(2364), 1,
      sym__expression,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1035), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1037), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1045), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2408), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2099), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78397] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1262), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [78448] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5001), 1,
      sym__special_character,
    STATE(1570), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4430), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4428), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [78503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1902), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1900), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [78554] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4896), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5003), 1,
      sym__concat,
    STATE(1541), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1218), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1220), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [78611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [78662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [78713] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2673), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2246), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78810] = 6,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2974), 1,
      aux_sym__literal_repeat1,
    STATE(3003), 1,
      sym_concatenation,
    STATE(2885), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2327), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(2329), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [78867] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(4673), 2,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [78926] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2671), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2246), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79023] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2225), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2246), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79120] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4806), 2,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4678), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4804), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4666), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [79175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1894), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1892), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [79226] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1015), 1,
      sym__special_character,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    STATE(2206), 1,
      aux_sym__literal_repeat1,
    STATE(2596), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1019), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2583), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2106), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79323] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2744), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2246), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79420] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5005), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [79481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [79532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [79583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [79634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [79685] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1039), 1,
      anon_sym_TILDE,
    ACTIONS(4742), 1,
      sym__special_character,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(5008), 1,
      sym_word,
    ACTIONS(5012), 1,
      sym_test_operator,
    STATE(2048), 1,
      aux_sym__literal_repeat1,
    STATE(2775), 1,
      sym__expression,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1035), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1037), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(5010), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 2,
      sym_ternary_expression,
      sym_postfix_expression,
    STATE(2359), 4,
      sym_binary_expression,
      sym_unary_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2026), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79784] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(1027), 1,
      sym_word,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1039), 1,
      anon_sym_TILDE,
    ACTIONS(1049), 1,
      sym_test_operator,
    ACTIONS(4742), 1,
      sym__special_character,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    STATE(2043), 1,
      aux_sym__literal_repeat1,
    STATE(2365), 1,
      sym__expression,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1035), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1037), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1045), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2408), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2099), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3679), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3677), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [79932] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1015), 1,
      sym__special_character,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    STATE(2206), 1,
      aux_sym__literal_repeat1,
    STATE(2584), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1019), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2583), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2106), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80029] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5014), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [80090] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(1027), 1,
      sym_word,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1039), 1,
      anon_sym_TILDE,
    ACTIONS(1049), 1,
      sym_test_operator,
    ACTIONS(4742), 1,
      sym__special_character,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    STATE(2043), 1,
      aux_sym__literal_repeat1,
    STATE(2366), 1,
      sym__expression,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1035), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1037), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1045), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2408), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2099), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4228), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4226), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [80238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [80289] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1594), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4896), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1200), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [80344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [80395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1894), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1892), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [80446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [80497] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(276), 1,
      sym_word,
    ACTIONS(285), 1,
      anon_sym_LPAREN,
    ACTIONS(287), 1,
      anon_sym_BANG,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(315), 1,
      sym_test_operator,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(4800), 1,
      sym__special_character,
    STATE(2151), 1,
      aux_sym__literal_repeat1,
    STATE(2477), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(299), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2479), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2039), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [80645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3679), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3677), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [80696] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_BANG,
    ACTIONS(1083), 1,
      anon_sym_TILDE,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2225), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1079), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1081), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2057), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4625), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4623), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [80844] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_BANG,
    ACTIONS(1083), 1,
      anon_sym_TILDE,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2618), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1079), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1081), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2057), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80941] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1270), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [80992] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_BANG,
    ACTIONS(1083), 1,
      anon_sym_TILDE,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2611), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1079), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1081), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2057), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4228), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4226), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [81140] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5017), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [81201] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1115), 1,
      sym_word,
    ACTIONS(1117), 1,
      anon_sym_BANG,
    ACTIONS(1123), 1,
      anon_sym_TILDE,
    ACTIONS(1129), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(4736), 1,
      sym__special_character,
    STATE(2126), 1,
      aux_sym__literal_repeat1,
    STATE(2451), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1119), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1121), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1127), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2093), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1902), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1900), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [81349] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5020), 1,
      sym__special_character,
    STATE(1822), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4430), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4428), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [81404] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      sym_word,
    ACTIONS(1133), 1,
      anon_sym_BANG,
    ACTIONS(1139), 1,
      anon_sym_TILDE,
    ACTIONS(1141), 1,
      sym__special_character,
    ACTIONS(1145), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2450), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1135), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1137), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1143), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2097), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81501] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2740), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2246), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81598] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4907), 1,
      sym__concat,
    STATE(1652), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [81655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [81706] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5022), 1,
      sym__concat,
    STATE(1413), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [81763] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1234), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81814] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1226), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81865] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1015), 1,
      sym__special_character,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    STATE(2206), 1,
      aux_sym__literal_repeat1,
    STATE(2535), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1019), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2583), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2106), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81962] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1015), 1,
      sym__special_character,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    STATE(2206), 1,
      aux_sym__literal_repeat1,
    STATE(2528), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1019), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2583), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2106), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82059] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5024), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [82120] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1015), 1,
      sym__special_character,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    STATE(2206), 1,
      aux_sym__literal_repeat1,
    STATE(2527), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1019), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2583), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2106), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82217] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1015), 1,
      sym__special_character,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    STATE(2206), 1,
      aux_sym__literal_repeat1,
    STATE(2524), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1019), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2583), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2106), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82314] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1015), 1,
      sym__special_character,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    STATE(2206), 1,
      aux_sym__literal_repeat1,
    STATE(2523), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1019), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2583), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2106), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82411] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1015), 1,
      sym__special_character,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    STATE(2206), 1,
      aux_sym__literal_repeat1,
    STATE(2627), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1019), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2583), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2106), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82508] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1015), 1,
      sym__special_character,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    STATE(2206), 1,
      aux_sym__literal_repeat1,
    STATE(2519), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1019), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2583), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2106), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82605] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1015), 1,
      sym__special_character,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    STATE(2206), 1,
      aux_sym__literal_repeat1,
    STATE(2516), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1019), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2583), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2106), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82702] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5027), 1,
      sym__concat,
    STATE(1413), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [82759] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1015), 1,
      sym__special_character,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    STATE(2206), 1,
      aux_sym__literal_repeat1,
    STATE(2514), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1019), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2583), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2106), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82856] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1015), 1,
      sym__special_character,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    STATE(2206), 1,
      aux_sym__literal_repeat1,
    STATE(2511), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1019), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2583), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2106), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82953] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1015), 1,
      sym__special_character,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    STATE(2206), 1,
      aux_sym__literal_repeat1,
    STATE(2508), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1019), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2583), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2106), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83050] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1015), 1,
      sym__special_character,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    STATE(2206), 1,
      aux_sym__literal_repeat1,
    STATE(2507), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1019), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2583), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2106), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83147] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1015), 1,
      sym__special_character,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    STATE(2206), 1,
      aux_sym__literal_repeat1,
    STATE(2506), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1019), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2583), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2106), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83244] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1230), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [83295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4625), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4623), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [83346] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5029), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [83407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [83458] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5032), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [83519] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2742), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2246), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83616] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(1027), 1,
      sym_word,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1039), 1,
      anon_sym_TILDE,
    ACTIONS(1049), 1,
      sym_test_operator,
    ACTIONS(4742), 1,
      sym__special_character,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    STATE(2043), 1,
      aux_sym__literal_repeat1,
    STATE(2286), 1,
      sym__expression,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1035), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1037), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1045), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2408), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2099), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83713] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5035), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [83774] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1115), 1,
      sym_word,
    ACTIONS(1117), 1,
      anon_sym_BANG,
    ACTIONS(1123), 1,
      anon_sym_TILDE,
    ACTIONS(1129), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(4736), 1,
      sym__special_character,
    STATE(2126), 1,
      aux_sym__literal_repeat1,
    STATE(2545), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1119), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1121), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1127), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2093), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83871] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5038), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [83932] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1278), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [83983] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5041), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [84044] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(1027), 1,
      sym_word,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1039), 1,
      anon_sym_TILDE,
    ACTIONS(1049), 1,
      sym_test_operator,
    ACTIONS(4742), 1,
      sym__special_character,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    STATE(2043), 1,
      aux_sym__literal_repeat1,
    STATE(2287), 1,
      sym__expression,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1035), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1037), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1045), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2408), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2099), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84141] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(276), 1,
      sym_word,
    ACTIONS(285), 1,
      anon_sym_LPAREN,
    ACTIONS(287), 1,
      anon_sym_BANG,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(315), 1,
      sym_test_operator,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(4800), 1,
      sym__special_character,
    STATE(2151), 1,
      aux_sym__literal_repeat1,
    STATE(2570), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(299), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2479), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2039), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84238] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1015), 1,
      sym__special_character,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    STATE(2206), 1,
      aux_sym__literal_repeat1,
    STATE(2610), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1019), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2583), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2106), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84335] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5044), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [84396] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1594), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4896), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3771), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3773), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84451] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5047), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [84512] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(276), 1,
      sym_word,
    ACTIONS(285), 1,
      anon_sym_LPAREN,
    ACTIONS(287), 1,
      anon_sym_BANG,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(315), 1,
      sym_test_operator,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(4800), 1,
      sym__special_character,
    STATE(2151), 1,
      aux_sym__literal_repeat1,
    STATE(2594), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(299), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2479), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2039), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84609] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5050), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [84670] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1589), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4896), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3767), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3769), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84725] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5053), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [84786] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1274), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84837] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5056), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [84898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4625), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4623), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [84949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [85000] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5059), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [85061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4613), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4611), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [85112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [85163] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_BANG,
    ACTIONS(1083), 1,
      anon_sym_TILDE,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2555), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1079), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1081), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2057), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85260] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_BANG,
    ACTIONS(1083), 1,
      anon_sym_TILDE,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2522), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1079), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1081), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2057), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4625), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4623), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [85408] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(1027), 1,
      sym_word,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1039), 1,
      anon_sym_TILDE,
    ACTIONS(1049), 1,
      sym_test_operator,
    ACTIONS(4742), 1,
      sym__special_character,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    STATE(2043), 1,
      aux_sym__literal_repeat1,
    STATE(2288), 1,
      sym__expression,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1035), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1037), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1045), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2408), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2099), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85505] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_BANG,
    ACTIONS(1083), 1,
      anon_sym_TILDE,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2557), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1079), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1081), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2057), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85602] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_BANG,
    ACTIONS(1083), 1,
      anon_sym_TILDE,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2562), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1079), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1081), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2057), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85699] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_BANG,
    ACTIONS(1083), 1,
      anon_sym_TILDE,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2566), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1079), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1081), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2057), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85796] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_BANG,
    ACTIONS(1083), 1,
      anon_sym_TILDE,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2568), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1079), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1081), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2057), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85893] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5062), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [85954] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(276), 1,
      sym_word,
    ACTIONS(285), 1,
      anon_sym_LPAREN,
    ACTIONS(287), 1,
      anon_sym_BANG,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(315), 1,
      sym_test_operator,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(4800), 1,
      sym__special_character,
    STATE(2151), 1,
      aux_sym__literal_repeat1,
    STATE(2575), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(299), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2479), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2039), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86051] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      sym_word,
    ACTIONS(1133), 1,
      anon_sym_BANG,
    ACTIONS(1139), 1,
      anon_sym_TILDE,
    ACTIONS(1141), 1,
      sym__special_character,
    ACTIONS(1145), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2620), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1135), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1137), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1143), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2097), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86148] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_BANG,
    ACTIONS(1083), 1,
      anon_sym_TILDE,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2580), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1079), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1081), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2057), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86245] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_BANG,
    ACTIONS(1083), 1,
      anon_sym_TILDE,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2581), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1079), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1081), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2057), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [86393] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5065), 1,
      sym__special_character,
    STATE(1747), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4120), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4118), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [86448] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_DQUOTE,
    STATE(2958), 1,
      sym_string,
    ACTIONS(5071), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(5067), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 26,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [86507] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1290), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86558] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_DQUOTE,
    STATE(2958), 1,
      sym_string,
    ACTIONS(5071), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(5067), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 26,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [86617] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(276), 1,
      sym_word,
    ACTIONS(285), 1,
      anon_sym_LPAREN,
    ACTIONS(287), 1,
      anon_sym_BANG,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(315), 1,
      sym_test_operator,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(4800), 1,
      sym__special_character,
    STATE(2151), 1,
      aux_sym__literal_repeat1,
    STATE(2476), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(299), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2479), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2039), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86714] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5073), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [86775] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1258), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4613), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4611), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [86877] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3536), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4798), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3524), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(4796), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [86932] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(276), 1,
      sym_word,
    ACTIONS(285), 1,
      anon_sym_LPAREN,
    ACTIONS(287), 1,
      anon_sym_BANG,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(315), 1,
      sym_test_operator,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(4800), 1,
      sym__special_character,
    STATE(2151), 1,
      aux_sym__literal_repeat1,
    STATE(2576), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(299), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2479), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2039), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87029] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5076), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87090] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_BANG,
    ACTIONS(1083), 1,
      anon_sym_TILDE,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2588), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1079), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1081), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2057), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87187] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5079), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87248] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1246), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [87299] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1015), 1,
      sym__special_character,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    STATE(2206), 1,
      aux_sym__literal_repeat1,
    STATE(2502), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1019), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2583), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2106), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87396] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2745), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2246), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87493] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87605] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(276), 1,
      sym_word,
    ACTIONS(285), 1,
      anon_sym_LPAREN,
    ACTIONS(287), 1,
      anon_sym_BANG,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(315), 1,
      sym_test_operator,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(4800), 1,
      sym__special_character,
    STATE(2151), 1,
      aux_sym__literal_repeat1,
    STATE(2577), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(299), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2479), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2039), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87702] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_BANG,
    ACTIONS(1083), 1,
      anon_sym_TILDE,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2603), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1079), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1081), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2057), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87799] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_BANG,
    ACTIONS(1083), 1,
      anon_sym_TILDE,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2607), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1079), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1081), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2057), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87896] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(276), 1,
      sym_word,
    ACTIONS(285), 1,
      anon_sym_LPAREN,
    ACTIONS(287), 1,
      anon_sym_BANG,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(315), 1,
      sym_test_operator,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(4800), 1,
      sym__special_character,
    STATE(2151), 1,
      aux_sym__literal_repeat1,
    STATE(2582), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(299), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2479), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2039), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87993] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5085), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88054] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      sym_word,
    ACTIONS(1133), 1,
      anon_sym_BANG,
    ACTIONS(1139), 1,
      anon_sym_TILDE,
    ACTIONS(1141), 1,
      sym__special_character,
    ACTIONS(1145), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2574), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1135), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1137), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1143), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2097), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88151] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5088), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88212] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(276), 1,
      sym_word,
    ACTIONS(285), 1,
      anon_sym_LPAREN,
    ACTIONS(287), 1,
      anon_sym_BANG,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(315), 1,
      sym_test_operator,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(4800), 1,
      sym__special_character,
    STATE(2151), 1,
      aux_sym__literal_repeat1,
    STATE(2585), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(299), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2479), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2039), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88309] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1254), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [88360] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1238), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [88411] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_BANG,
    ACTIONS(1083), 1,
      anon_sym_TILDE,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2613), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1079), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1081), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2057), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88508] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_BANG,
    ACTIONS(1083), 1,
      anon_sym_TILDE,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2616), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1079), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1081), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2057), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88605] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5091), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88666] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1039), 1,
      anon_sym_TILDE,
    ACTIONS(4742), 1,
      sym__special_character,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(5094), 1,
      sym_word,
    ACTIONS(5098), 1,
      sym_test_operator,
    STATE(2045), 1,
      aux_sym__literal_repeat1,
    STATE(2775), 1,
      sym__expression,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1035), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1037), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(5096), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 2,
      sym_ternary_expression,
      sym_postfix_expression,
    STATE(2350), 4,
      sym_binary_expression,
      sym_unary_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2047), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88816] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1589), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4896), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3673), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3675), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [88871] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5100), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88932] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym_word,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_BANG,
    ACTIONS(1083), 1,
      anon_sym_TILDE,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1091), 1,
      sym__special_character,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1111), 1,
      sym_test_operator,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2501), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1079), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1081), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1095), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2057), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89029] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5103), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89090] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1594), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4896), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3683), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3685), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [89145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89196] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5106), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89257] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1115), 1,
      sym_word,
    ACTIONS(1117), 1,
      anon_sym_BANG,
    ACTIONS(1123), 1,
      anon_sym_TILDE,
    ACTIONS(1129), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(4736), 1,
      sym__special_character,
    STATE(2126), 1,
      aux_sym__literal_repeat1,
    STATE(2475), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1119), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1121), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1127), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2093), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89354] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5109), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89466] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5112), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89578] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5115), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89639] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5118), 1,
      sym__special_character,
    STATE(1747), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1296), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1294), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89694] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5121), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89806] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5124), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90020] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5127), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90081] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(276), 1,
      sym_word,
    ACTIONS(285), 1,
      anon_sym_LPAREN,
    ACTIONS(287), 1,
      anon_sym_BANG,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(315), 1,
      sym_test_operator,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(4800), 1,
      sym__special_character,
    STATE(2151), 1,
      aux_sym__literal_repeat1,
    STATE(2590), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(299), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2479), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2039), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [90178] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5130), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90290] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5133), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90351] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1266), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [90402] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1282), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [90453] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1266), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [90504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90555] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      sym_word,
    ACTIONS(1133), 1,
      anon_sym_BANG,
    ACTIONS(1139), 1,
      anon_sym_TILDE,
    ACTIONS(1141), 1,
      sym__special_character,
    ACTIONS(1145), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2518), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1135), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1137), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1143), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2097), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [90652] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(276), 1,
      sym_word,
    ACTIONS(285), 1,
      anon_sym_LPAREN,
    ACTIONS(287), 1,
      anon_sym_BANG,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(315), 1,
      sym_test_operator,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(4800), 1,
      sym__special_character,
    STATE(2151), 1,
      aux_sym__literal_repeat1,
    STATE(2595), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(299), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2479), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2039), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [90749] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5136), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90810] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1015), 1,
      sym__special_character,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    STATE(2206), 1,
      aux_sym__literal_repeat1,
    STATE(2517), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1019), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2583), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2106), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [90907] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(276), 1,
      sym_word,
    ACTIONS(285), 1,
      anon_sym_LPAREN,
    ACTIONS(287), 1,
      anon_sym_BANG,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(315), 1,
      sym_test_operator,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(4800), 1,
      sym__special_character,
    STATE(2151), 1,
      aux_sym__literal_repeat1,
    STATE(2598), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(299), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2479), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2039), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [91004] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      sym_word,
    ACTIONS(1133), 1,
      anon_sym_BANG,
    ACTIONS(1139), 1,
      anon_sym_TILDE,
    ACTIONS(1141), 1,
      sym__special_character,
    ACTIONS(1145), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2612), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1135), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1137), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1143), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2097), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [91101] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5139), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91162] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(276), 1,
      sym_word,
    ACTIONS(285), 1,
      anon_sym_LPAREN,
    ACTIONS(287), 1,
      anon_sym_BANG,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(315), 1,
      sym_test_operator,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(4800), 1,
      sym__special_character,
    STATE(2151), 1,
      aux_sym__literal_repeat1,
    STATE(2599), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(299), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2479), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2039), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [91259] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(276), 1,
      sym_word,
    ACTIONS(285), 1,
      anon_sym_LPAREN,
    ACTIONS(287), 1,
      anon_sym_BANG,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(315), 1,
      sym_test_operator,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(4800), 1,
      sym__special_character,
    STATE(2151), 1,
      aux_sym__literal_repeat1,
    STATE(2600), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(299), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2479), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2039), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [91356] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5142), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91417] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2749), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2246), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [91514] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5145), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91575] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2750), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2246), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [91672] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(1027), 1,
      sym_word,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1039), 1,
      anon_sym_TILDE,
    ACTIONS(1049), 1,
      sym_test_operator,
    ACTIONS(4742), 1,
      sym__special_character,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    STATE(2043), 1,
      aux_sym__literal_repeat1,
    STATE(2291), 1,
      sym__expression,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1035), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1037), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1045), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2408), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2099), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [91769] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5148), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91830] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(1027), 1,
      sym_word,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1039), 1,
      anon_sym_TILDE,
    ACTIONS(1049), 1,
      sym_test_operator,
    ACTIONS(4742), 1,
      sym__special_character,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    STATE(2043), 1,
      aux_sym__literal_repeat1,
    STATE(2292), 1,
      sym__expression,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1035), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1037), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1045), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2408), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2099), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [91927] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(1027), 1,
      sym_word,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1039), 1,
      anon_sym_TILDE,
    ACTIONS(1049), 1,
      sym_test_operator,
    ACTIONS(4742), 1,
      sym__special_character,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    STATE(2043), 1,
      aux_sym__literal_repeat1,
    STATE(2295), 1,
      sym__expression,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1035), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1037), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1045), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2408), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2099), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [92024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92075] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(1027), 1,
      sym_word,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1039), 1,
      anon_sym_TILDE,
    ACTIONS(1049), 1,
      sym_test_operator,
    ACTIONS(4742), 1,
      sym__special_character,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    STATE(2043), 1,
      aux_sym__literal_repeat1,
    STATE(2297), 1,
      sym__expression,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1035), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1037), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1045), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2408), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2099), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [92172] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1594), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4896), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3775), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3777), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [92227] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5151), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92288] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(1027), 1,
      sym_word,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1039), 1,
      anon_sym_TILDE,
    ACTIONS(1049), 1,
      sym_test_operator,
    ACTIONS(4742), 1,
      sym__special_character,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    STATE(2043), 1,
      aux_sym__literal_repeat1,
    STATE(2301), 1,
      sym__expression,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1035), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1037), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1045), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2408), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2099), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [92385] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1589), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4896), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3787), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3789), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [92440] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5154), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92552] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5157), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92664] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5160), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92776] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5163), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92888] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5166), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93000] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5169), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93061] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5172), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93122] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5175), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93183] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5178), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93244] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5181), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93305] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5184), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93366] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5187), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93427] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5190), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93488] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5193), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93549] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5196), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93610] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5199), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93671] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5202), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93732] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5205), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93793] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5208), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93854] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5211), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93915] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(5214), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4666), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93976] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1115), 1,
      sym_word,
    ACTIONS(1117), 1,
      anon_sym_BANG,
    ACTIONS(1123), 1,
      anon_sym_TILDE,
    ACTIONS(1129), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(4736), 1,
      sym__special_character,
    STATE(2126), 1,
      aux_sym__literal_repeat1,
    STATE(2559), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1119), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1121), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1127), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2093), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [94073] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1039), 1,
      anon_sym_TILDE,
    ACTIONS(4742), 1,
      sym__special_character,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(5217), 1,
      sym_word,
    ACTIONS(5221), 1,
      sym_test_operator,
    STATE(2058), 1,
      aux_sym__literal_repeat1,
    STATE(2775), 1,
      sym__expression,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1035), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1037), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(5219), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 2,
      sym_ternary_expression,
      sym_postfix_expression,
    STATE(2351), 4,
      sym_binary_expression,
      sym_unary_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2056), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [94172] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1015), 1,
      sym__special_character,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    STATE(2206), 1,
      aux_sym__literal_repeat1,
    STATE(2439), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1019), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2583), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2106), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [94269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [94320] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      sym_word,
    ACTIONS(1133), 1,
      anon_sym_BANG,
    ACTIONS(1139), 1,
      anon_sym_TILDE,
    ACTIONS(1141), 1,
      sym__special_character,
    ACTIONS(1145), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2537), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1135), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1137), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1143), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2097), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [94417] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(1027), 1,
      sym_word,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1039), 1,
      anon_sym_TILDE,
    ACTIONS(1049), 1,
      sym_test_operator,
    ACTIONS(4742), 1,
      sym__special_character,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    STATE(2043), 1,
      aux_sym__literal_repeat1,
    STATE(2304), 1,
      sym__expression,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1035), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1037), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1045), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2408), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2099), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [94514] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(1027), 1,
      sym_word,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1039), 1,
      anon_sym_TILDE,
    ACTIONS(1049), 1,
      sym_test_operator,
    ACTIONS(4742), 1,
      sym__special_character,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    STATE(2043), 1,
      aux_sym__literal_repeat1,
    STATE(2305), 1,
      sym__expression,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1035), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1037), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1045), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2408), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2099), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [94611] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4907), 1,
      sym__concat,
    STATE(1652), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4120), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4118), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [94668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [94719] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4907), 1,
      sym__concat,
    STATE(1640), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4150), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4148), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [94776] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5223), 1,
      sym__special_character,
    STATE(1822), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1296), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1294), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [94831] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      sym_word,
    ACTIONS(1133), 1,
      anon_sym_BANG,
    ACTIONS(1139), 1,
      anon_sym_TILDE,
    ACTIONS(1141), 1,
      sym__special_character,
    ACTIONS(1145), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2540), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1135), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1137), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1143), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2097), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [94928] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      sym_word,
    ACTIONS(1133), 1,
      anon_sym_BANG,
    ACTIONS(1139), 1,
      anon_sym_TILDE,
    ACTIONS(1141), 1,
      sym__special_character,
    ACTIONS(1145), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2542), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1135), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1137), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1143), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2097), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95025] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      sym_word,
    ACTIONS(1133), 1,
      anon_sym_BANG,
    ACTIONS(1139), 1,
      anon_sym_TILDE,
    ACTIONS(1141), 1,
      sym__special_character,
    ACTIONS(1145), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2543), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1135), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1137), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1143), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2097), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95122] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      sym_word,
    ACTIONS(1133), 1,
      anon_sym_BANG,
    ACTIONS(1139), 1,
      anon_sym_TILDE,
    ACTIONS(1141), 1,
      sym__special_character,
    ACTIONS(1145), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2546), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1135), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1137), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1143), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2097), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95219] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      sym_word,
    ACTIONS(1133), 1,
      anon_sym_BANG,
    ACTIONS(1139), 1,
      anon_sym_TILDE,
    ACTIONS(1141), 1,
      sym__special_character,
    ACTIONS(1145), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2549), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1135), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1137), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1143), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2097), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95316] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      sym_word,
    ACTIONS(1133), 1,
      anon_sym_BANG,
    ACTIONS(1139), 1,
      anon_sym_TILDE,
    ACTIONS(1141), 1,
      sym__special_character,
    ACTIONS(1145), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2551), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1135), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1137), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1143), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2097), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95413] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      sym_word,
    ACTIONS(1133), 1,
      anon_sym_BANG,
    ACTIONS(1139), 1,
      anon_sym_TILDE,
    ACTIONS(1141), 1,
      sym__special_character,
    ACTIONS(1145), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2554), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1135), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1137), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1143), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2097), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95510] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      sym_word,
    ACTIONS(1133), 1,
      anon_sym_BANG,
    ACTIONS(1139), 1,
      anon_sym_TILDE,
    ACTIONS(1141), 1,
      sym__special_character,
    ACTIONS(1145), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2558), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1135), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1137), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1143), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2097), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95607] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(1027), 1,
      sym_word,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1039), 1,
      anon_sym_TILDE,
    ACTIONS(1049), 1,
      sym_test_operator,
    ACTIONS(4742), 1,
      sym__special_character,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    STATE(2043), 1,
      aux_sym__literal_repeat1,
    STATE(2306), 1,
      sym__expression,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1035), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1037), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1045), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2408), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2099), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95704] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      sym_word,
    ACTIONS(1133), 1,
      anon_sym_BANG,
    ACTIONS(1139), 1,
      anon_sym_TILDE,
    ACTIONS(1141), 1,
      sym__special_character,
    ACTIONS(1145), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2563), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1135), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1137), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1143), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2097), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95801] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      sym_word,
    ACTIONS(1133), 1,
      anon_sym_BANG,
    ACTIONS(1139), 1,
      anon_sym_TILDE,
    ACTIONS(1141), 1,
      sym__special_character,
    ACTIONS(1145), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2564), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1135), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1137), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1143), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2097), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95898] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      sym_word,
    ACTIONS(1133), 1,
      anon_sym_BANG,
    ACTIONS(1139), 1,
      anon_sym_TILDE,
    ACTIONS(1141), 1,
      sym__special_character,
    ACTIONS(1145), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2571), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1135), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1137), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1143), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2097), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95995] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      sym_word,
    ACTIONS(1133), 1,
      anon_sym_BANG,
    ACTIONS(1139), 1,
      anon_sym_TILDE,
    ACTIONS(1141), 1,
      sym__special_character,
    ACTIONS(1145), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2572), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1135), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1137), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1143), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2097), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96092] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      sym_word,
    ACTIONS(1133), 1,
      anon_sym_BANG,
    ACTIONS(1139), 1,
      anon_sym_TILDE,
    ACTIONS(1141), 1,
      sym__special_character,
    ACTIONS(1145), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2573), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1135), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1137), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1143), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2097), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96189] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1115), 1,
      sym_word,
    ACTIONS(1117), 1,
      anon_sym_BANG,
    ACTIONS(1123), 1,
      anon_sym_TILDE,
    ACTIONS(1129), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(4736), 1,
      sym__special_character,
    STATE(2126), 1,
      aux_sym__literal_repeat1,
    STATE(2481), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1119), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1121), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1127), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2093), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96286] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1115), 1,
      sym_word,
    ACTIONS(1117), 1,
      anon_sym_BANG,
    ACTIONS(1123), 1,
      anon_sym_TILDE,
    ACTIONS(1129), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(4736), 1,
      sym__special_character,
    STATE(2126), 1,
      aux_sym__literal_repeat1,
    STATE(2470), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1119), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1121), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1127), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2093), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96383] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1039), 1,
      anon_sym_TILDE,
    ACTIONS(4742), 1,
      sym__special_character,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(5226), 1,
      sym_word,
    ACTIONS(5230), 1,
      sym_test_operator,
    STATE(2074), 1,
      aux_sym__literal_repeat1,
    STATE(2775), 1,
      sym__expression,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1035), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1037), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(5228), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 2,
      sym_ternary_expression,
      sym_postfix_expression,
    STATE(2376), 4,
      sym_binary_expression,
      sym_unary_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2076), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96482] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1115), 1,
      sym_word,
    ACTIONS(1117), 1,
      anon_sym_BANG,
    ACTIONS(1123), 1,
      anon_sym_TILDE,
    ACTIONS(1129), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(4736), 1,
      sym__special_character,
    STATE(2126), 1,
      aux_sym__literal_repeat1,
    STATE(2484), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1119), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1121), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1127), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2093), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96579] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1115), 1,
      sym_word,
    ACTIONS(1117), 1,
      anon_sym_BANG,
    ACTIONS(1123), 1,
      anon_sym_TILDE,
    ACTIONS(1129), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(4736), 1,
      sym__special_character,
    STATE(2126), 1,
      aux_sym__literal_repeat1,
    STATE(2486), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1119), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1121), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1127), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2093), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96676] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1115), 1,
      sym_word,
    ACTIONS(1117), 1,
      anon_sym_BANG,
    ACTIONS(1123), 1,
      anon_sym_TILDE,
    ACTIONS(1129), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(4736), 1,
      sym__special_character,
    STATE(2126), 1,
      aux_sym__literal_repeat1,
    STATE(2487), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1119), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1121), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1127), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2093), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96773] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1115), 1,
      sym_word,
    ACTIONS(1117), 1,
      anon_sym_BANG,
    ACTIONS(1123), 1,
      anon_sym_TILDE,
    ACTIONS(1129), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(4736), 1,
      sym__special_character,
    STATE(2126), 1,
      aux_sym__literal_repeat1,
    STATE(2493), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1119), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1121), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1127), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2093), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96870] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1115), 1,
      sym_word,
    ACTIONS(1117), 1,
      anon_sym_BANG,
    ACTIONS(1123), 1,
      anon_sym_TILDE,
    ACTIONS(1129), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(4736), 1,
      sym__special_character,
    STATE(2126), 1,
      aux_sym__literal_repeat1,
    STATE(2494), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1119), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1121), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1127), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2093), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96967] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1115), 1,
      sym_word,
    ACTIONS(1117), 1,
      anon_sym_BANG,
    ACTIONS(1123), 1,
      anon_sym_TILDE,
    ACTIONS(1129), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(4736), 1,
      sym__special_character,
    STATE(2126), 1,
      aux_sym__literal_repeat1,
    STATE(2495), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1119), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1121), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1127), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2093), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97064] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1115), 1,
      sym_word,
    ACTIONS(1117), 1,
      anon_sym_BANG,
    ACTIONS(1123), 1,
      anon_sym_TILDE,
    ACTIONS(1129), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(4736), 1,
      sym__special_character,
    STATE(2126), 1,
      aux_sym__literal_repeat1,
    STATE(2496), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1119), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1121), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1127), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2093), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97161] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1115), 1,
      sym_word,
    ACTIONS(1117), 1,
      anon_sym_BANG,
    ACTIONS(1123), 1,
      anon_sym_TILDE,
    ACTIONS(1129), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(4736), 1,
      sym__special_character,
    STATE(2126), 1,
      aux_sym__literal_repeat1,
    STATE(2497), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1119), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1121), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1127), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2093), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97258] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1115), 1,
      sym_word,
    ACTIONS(1117), 1,
      anon_sym_BANG,
    ACTIONS(1123), 1,
      anon_sym_TILDE,
    ACTIONS(1129), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(4736), 1,
      sym__special_character,
    STATE(2126), 1,
      aux_sym__literal_repeat1,
    STATE(2483), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1119), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1121), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1127), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2093), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97355] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2751), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2246), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97452] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1115), 1,
      sym_word,
    ACTIONS(1117), 1,
      anon_sym_BANG,
    ACTIONS(1123), 1,
      anon_sym_TILDE,
    ACTIONS(1129), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(4736), 1,
      sym__special_character,
    STATE(2126), 1,
      aux_sym__literal_repeat1,
    STATE(2499), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1119), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1121), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1127), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2093), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97549] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(1027), 1,
      sym_word,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1039), 1,
      anon_sym_TILDE,
    ACTIONS(1049), 1,
      sym_test_operator,
    ACTIONS(4742), 1,
      sym__special_character,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    STATE(2043), 1,
      aux_sym__literal_repeat1,
    STATE(2308), 1,
      sym__expression,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1035), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1037), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1045), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2408), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2099), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97646] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1115), 1,
      sym_word,
    ACTIONS(1117), 1,
      anon_sym_BANG,
    ACTIONS(1123), 1,
      anon_sym_TILDE,
    ACTIONS(1129), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(4736), 1,
      sym__special_character,
    STATE(2126), 1,
      aux_sym__literal_repeat1,
    STATE(2500), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1119), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1121), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1127), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2093), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97743] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(276), 1,
      sym_word,
    ACTIONS(285), 1,
      anon_sym_LPAREN,
    ACTIONS(287), 1,
      anon_sym_BANG,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(315), 1,
      sym_test_operator,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(4800), 1,
      sym__special_character,
    STATE(2151), 1,
      aux_sym__literal_repeat1,
    STATE(2474), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(299), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2479), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2039), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97840] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1115), 1,
      sym_word,
    ACTIONS(1117), 1,
      anon_sym_BANG,
    ACTIONS(1123), 1,
      anon_sym_TILDE,
    ACTIONS(1129), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(4736), 1,
      sym__special_character,
    STATE(2126), 1,
      aux_sym__literal_repeat1,
    STATE(2447), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1119), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1121), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1127), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2093), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97937] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1039), 1,
      anon_sym_TILDE,
    ACTIONS(4742), 1,
      sym__special_character,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(5232), 1,
      sym_word,
    ACTIONS(5236), 1,
      sym_test_operator,
    STATE(2107), 1,
      aux_sym__literal_repeat1,
    STATE(2775), 1,
      sym__expression,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1035), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1037), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(5234), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 2,
      sym_ternary_expression,
      sym_postfix_expression,
    STATE(2420), 4,
      sym_binary_expression,
      sym_unary_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2120), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98036] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1015), 1,
      sym__special_character,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    STATE(2206), 1,
      aux_sym__literal_repeat1,
    STATE(2548), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1019), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2583), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2106), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98133] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      sym_word,
    ACTIONS(1133), 1,
      anon_sym_BANG,
    ACTIONS(1139), 1,
      anon_sym_TILDE,
    ACTIONS(1141), 1,
      sym__special_character,
    ACTIONS(1145), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2469), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1135), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1137), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1143), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2097), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4613), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4611), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [98281] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(1027), 1,
      sym_word,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1039), 1,
      anon_sym_TILDE,
    ACTIONS(1049), 1,
      sym_test_operator,
    ACTIONS(4742), 1,
      sym__special_character,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    STATE(2043), 1,
      aux_sym__literal_repeat1,
    STATE(2407), 1,
      sym__expression,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1035), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1037), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1045), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2408), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2099), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98378] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2754), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2246), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98475] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1594), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4896), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3791), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3793), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [98530] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      sym_word,
    ACTIONS(1133), 1,
      anon_sym_BANG,
    ACTIONS(1139), 1,
      anon_sym_TILDE,
    ACTIONS(1141), 1,
      sym__special_character,
    ACTIONS(1145), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2513), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1135), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1137), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1143), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2097), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98627] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2760), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2246), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98724] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1015), 1,
      sym__special_character,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    STATE(2206), 1,
      aux_sym__literal_repeat1,
    STATE(2512), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1019), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2583), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2106), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98821] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_BANG,
    ACTIONS(1039), 1,
      anon_sym_TILDE,
    ACTIONS(4742), 1,
      sym__special_character,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(5238), 1,
      sym_word,
    ACTIONS(5242), 1,
      sym_test_operator,
    STATE(2077), 1,
      aux_sym__literal_repeat1,
    STATE(2775), 1,
      sym__expression,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1035), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1037), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(5240), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 2,
      sym_ternary_expression,
      sym_postfix_expression,
    STATE(2384), 4,
      sym_binary_expression,
      sym_unary_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2079), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98920] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1589), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4896), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3677), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3679), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [98975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [99026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [99077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [99128] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      sym_word,
    ACTIONS(1133), 1,
      anon_sym_BANG,
    ACTIONS(1139), 1,
      anon_sym_TILDE,
    ACTIONS(1141), 1,
      sym__special_character,
    ACTIONS(1145), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2622), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1135), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1137), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1143), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2097), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99225] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2759), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2246), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99322] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2755), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2246), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99419] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2757), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2246), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99516] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    STATE(2075), 1,
      aux_sym__literal_repeat1,
    STATE(2758), 1,
      sym__expression,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2192), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2246), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99613] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1882), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1894), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1892), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [99669] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4496), 1,
      sym__concat,
    STATE(1887), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4299), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4297), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [99725] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4496), 1,
      sym__concat,
    STATE(1885), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4305), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4303), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [99781] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4496), 1,
      sym__concat,
    STATE(1887), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4228), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4226), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [99837] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1882), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4150), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4148), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [99893] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1881), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4120), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4118), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [99949] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5244), 1,
      sym__concat,
    STATE(1120), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [100005] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5246), 1,
      sym__concat,
    STATE(1120), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [100061] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1881), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [100117] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5248), 1,
      sym__special_character,
    STATE(1884), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1296), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1294), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [100171] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5251), 1,
      sym__concat,
    STATE(1160), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [100227] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1278), 28,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [100277] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5253), 1,
      sym__concat,
    STATE(1160), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [100333] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4675), 1,
      sym_file_descriptor,
    ACTIONS(4678), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4668), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4670), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_BQUOTE,
    ACTIONS(4666), 17,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [100391] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1290), 28,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [100441] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4496), 1,
      sym__concat,
    STATE(1885), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4135), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4133), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [100497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [100547] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5255), 1,
      sym__special_character,
    STATE(1892), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1296), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [100601] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1918), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5258), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4118), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4120), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [100655] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1926), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5258), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4148), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4150), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [100709] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4798), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3536), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3524), 17,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(4796), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [100763] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4496), 1,
      sym__concat,
    STATE(1885), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [100819] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1270), 28,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [100869] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1926), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5258), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1900), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1902), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [100923] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1918), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5258), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3775), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3777), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [100977] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1926), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5258), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3787), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3789), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [101031] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5260), 1,
      sym__special_character,
    STATE(1892), 1,
      aux_sym__literal_repeat1,
    ACTIONS(231), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(268), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [101085] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1266), 28,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [101135] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1238), 28,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [101185] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1882), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1902), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1900), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [101241] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1881), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3777), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [101297] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1258), 28,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [101347] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5262), 1,
      sym__special_character,
    STATE(1884), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4120), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4118), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [101401] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1266), 28,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [101451] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1246), 28,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [101501] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1234), 28,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [101551] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1226), 28,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [101601] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1282), 28,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [101651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [101701] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1254), 28,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [101751] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1882), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3789), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [101807] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1882), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4228), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4226), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [101863] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1926), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5258), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1892), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1894), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [101917] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5258), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5264), 1,
      sym__concat,
    STATE(1930), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1218), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1220), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [101973] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5266), 1,
      sym__special_character,
    STATE(1929), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4120), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4118), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [102027] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1918), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5258), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3791), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3793), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [102131] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1926), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5258), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3677), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3679), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102185] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1881), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4135), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4133), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [102241] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1924), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5268), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1208), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1210), 25,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [102295] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1882), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3679), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3677), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [102351] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5258), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5271), 1,
      sym__concat,
    STATE(1930), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1202), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1204), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102407] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4508), 1,
      sym__concat,
    STATE(1881), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3793), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3791), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [102463] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1918), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5258), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1200), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102517] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 1,
      sym__special_character,
    STATE(1929), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1296), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1294), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [102571] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1930), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5276), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1208), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1210), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102625] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1993), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5279), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3677), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3679), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102678] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1980), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5279), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3791), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3793), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102731] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5260), 1,
      sym__special_character,
    STATE(1892), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3771), 14,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3773), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102784] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5289), 1,
      anon_sym_esac,
    ACTIONS(5291), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(5293), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5297), 1,
      sym__special_character,
    ACTIONS(5299), 1,
      anon_sym_DQUOTE,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5309), 1,
      anon_sym_BQUOTE,
    ACTIONS(5311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(6051), 1,
      sym_last_case_item,
    ACTIONS(5283), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(5313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2695), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    ACTIONS(5281), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(5285), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102879] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1274), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102928] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2114), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 15,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      sym__special_character,
    ACTIONS(1200), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [102981] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1242), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103030] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1250), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103079] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1286), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103128] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1266), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103177] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5321), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5323), 1,
      sym__concat,
    STATE(1944), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1218), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1220), 24,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103232] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5321), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5325), 1,
      sym__concat,
    STATE(1944), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1202), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1204), 24,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103287] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1262), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103336] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1944), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5327), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1208), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1210), 24,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [103438] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5297), 1,
      sym__special_character,
    ACTIONS(5299), 1,
      anon_sym_DQUOTE,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5309), 1,
      anon_sym_BQUOTE,
    ACTIONS(5311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(5332), 1,
      anon_sym_esac,
    ACTIONS(5334), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(6005), 1,
      sym_last_case_item,
    ACTIONS(5283), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(5313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2692), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    ACTIONS(5281), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(5330), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103533] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1208), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1210), 27,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [103582] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1286), 27,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [103631] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1942), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5321), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4297), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(4299), 24,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103684] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1941), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5321), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4303), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(4305), 24,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103737] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1208), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1210), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103786] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1942), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5321), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4226), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(4228), 24,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103839] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1941), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5321), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4133), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(4135), 24,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103892] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5260), 1,
      sym__special_character,
    STATE(1892), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3683), 14,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3685), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103945] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5297), 1,
      sym__special_character,
    ACTIONS(5299), 1,
      anon_sym_DQUOTE,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5309), 1,
      anon_sym_BQUOTE,
    ACTIONS(5311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(5338), 1,
      anon_sym_esac,
    ACTIONS(5340), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5486), 1,
      sym_last_case_item,
    ACTIONS(5283), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(5313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2680), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    ACTIONS(5281), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(5336), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104040] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1980), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5279), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1200), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [104093] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1250), 27,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [104142] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5297), 1,
      sym__special_character,
    ACTIONS(5299), 1,
      anon_sym_DQUOTE,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5309), 1,
      anon_sym_BQUOTE,
    ACTIONS(5311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(5344), 1,
      anon_sym_esac,
    ACTIONS(5346), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5512), 1,
      sym_last_case_item,
    ACTIONS(5283), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(5313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2697), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    ACTIONS(5281), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(5342), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104237] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1980), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5279), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4133), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4135), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [104290] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2078), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1013), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1200), 24,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      sym__special_character,
  [104343] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1230), 27,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [104392] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1200), 26,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [104441] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1270), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [104490] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1234), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [104539] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1226), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [104588] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5260), 1,
      sym__special_character,
    STATE(1892), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3775), 14,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3777), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [104641] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1278), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [104690] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5297), 1,
      sym__special_character,
    ACTIONS(5299), 1,
      anon_sym_DQUOTE,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5309), 1,
      anon_sym_BQUOTE,
    ACTIONS(5311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(5350), 1,
      anon_sym_esac,
    ACTIONS(5352), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5682), 1,
      sym_last_case_item,
    ACTIONS(5283), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(5313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2712), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    ACTIONS(5281), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(5348), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104785] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1262), 27,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [104834] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5297), 1,
      sym__special_character,
    ACTIONS(5299), 1,
      anon_sym_DQUOTE,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5309), 1,
      anon_sym_BQUOTE,
    ACTIONS(5311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(5356), 1,
      anon_sym_esac,
    ACTIONS(5358), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5674), 1,
      sym_last_case_item,
    ACTIONS(5283), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(5313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2710), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    ACTIONS(5281), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(5354), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104929] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1980), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5279), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4118), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4120), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [104982] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5297), 1,
      sym__special_character,
    ACTIONS(5299), 1,
      anon_sym_DQUOTE,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5309), 1,
      anon_sym_BQUOTE,
    ACTIONS(5311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(5362), 1,
      anon_sym_esac,
    ACTIONS(5364), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(6008), 1,
      sym_last_case_item,
    ACTIONS(5283), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(5313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2694), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    ACTIONS(5281), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(5360), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105077] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1308), 1,
      sym_test_operator,
    STATE(2111), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1087), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(5368), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5366), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [105132] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1290), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105181] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5297), 1,
      sym__special_character,
    ACTIONS(5299), 1,
      anon_sym_DQUOTE,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5309), 1,
      anon_sym_BQUOTE,
    ACTIONS(5311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(5372), 1,
      anon_sym_esac,
    ACTIONS(5374), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5976), 1,
      sym_last_case_item,
    ACTIONS(5283), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(5313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2669), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    ACTIONS(5281), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(5370), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105276] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2030), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1087), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1200), 24,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      sym__special_character,
  [105329] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1308), 1,
      sym_test_operator,
    STATE(2111), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1087), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(5378), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5376), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [105384] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1266), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105433] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1941), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5321), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1200), 24,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105486] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5279), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5380), 1,
      sym__concat,
    STATE(2002), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1218), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1220), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105541] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1183), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1193), 26,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105590] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1258), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105639] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1246), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105688] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4589), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4591), 1,
      sym__concat,
    STATE(1992), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [105743] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5297), 1,
      sym__special_character,
    ACTIONS(5299), 1,
      anon_sym_DQUOTE,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5309), 1,
      anon_sym_BQUOTE,
    ACTIONS(5311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(5384), 1,
      anon_sym_esac,
    ACTIONS(5386), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5978), 1,
      sym_last_case_item,
    ACTIONS(5283), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(5313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2670), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    ACTIONS(5281), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(5382), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105838] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2103), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1087), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1200), 24,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      sym__special_character,
  [105891] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4589), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5388), 1,
      sym__concat,
    STATE(1242), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [105946] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5297), 1,
      sym__special_character,
    ACTIONS(5299), 1,
      anon_sym_DQUOTE,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5309), 1,
      anon_sym_BQUOTE,
    ACTIONS(5311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(5392), 1,
      anon_sym_esac,
    ACTIONS(5394), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5951), 1,
      sym_last_case_item,
    ACTIONS(5283), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(5313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2672), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    ACTIONS(5281), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(5390), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106041] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2033), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1087), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 15,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      sym__special_character,
    ACTIONS(1200), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [106094] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5297), 1,
      sym__special_character,
    ACTIONS(5299), 1,
      anon_sym_DQUOTE,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5309), 1,
      anon_sym_BQUOTE,
    ACTIONS(5311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(5398), 1,
      anon_sym_esac,
    ACTIONS(5400), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5981), 1,
      sym_last_case_item,
    ACTIONS(5283), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(5313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2675), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    ACTIONS(5281), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(5396), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106189] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1254), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [106238] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4589), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5402), 1,
      sym__concat,
    STATE(1242), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [106293] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5279), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5404), 1,
      sym__concat,
    STATE(2002), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1202), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1204), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [106348] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5260), 1,
      sym__special_character,
    STATE(1892), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3791), 14,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3793), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [106401] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1993), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5279), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1900), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1902), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [106454] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1993), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5279), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3787), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3789), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [106507] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1980), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5279), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3775), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3777), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [106560] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 27,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [106609] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1230), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [106658] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1238), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [106707] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5293), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5297), 1,
      sym__special_character,
    ACTIONS(5299), 1,
      anon_sym_DQUOTE,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5309), 1,
      anon_sym_BQUOTE,
    ACTIONS(5311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(5408), 1,
      anon_sym_esac,
    ACTIONS(5410), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(6004), 1,
      sym_last_case_item,
    ACTIONS(5283), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(5313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2691), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    ACTIONS(5281), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(5406), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106802] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2002), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5412), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1208), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1210), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [106855] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1993), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5279), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1892), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1894), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [106908] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1282), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [106957] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1993), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5279), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4148), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4150), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [107010] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1993), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5279), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4226), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4228), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [107063] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      aux_sym_concatenation_token1,
    STATE(2123), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1198), 15,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      sym__special_character,
    ACTIONS(1200), 24,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [107116] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1242), 27,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [107165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [107214] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4589), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4591), 1,
      sym__concat,
    STATE(1992), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4430), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4428), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [107269] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4589), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4591), 1,
      sym__concat,
    STATE(1987), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4434), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4432), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [107324] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1308), 1,
      sym_test_operator,
    STATE(2065), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1013), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(5368), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5366), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [107378] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5415), 1,
      sym__special_character,
    STATE(2061), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3791), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3793), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [107430] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1266), 26,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [107478] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1270), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [107526] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1226), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [107574] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1234), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [107622] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1270), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [107670] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2049), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5417), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1200), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [107722] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1282), 26,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [107770] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1266), 26,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [107818] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1290), 26,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [107866] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1290), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [107914] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1238), 26,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [107962] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1278), 26,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [108010] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5419), 1,
      anon_sym_RBRACK,
    ACTIONS(5421), 1,
      sym__concat,
    STATE(2104), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [108066] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1266), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [108114] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1254), 26,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [108162] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1234), 26,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [108210] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1087), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5423), 1,
      sym__concat,
    STATE(1924), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1218), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1220), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [108264] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1282), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [108312] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1266), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [108360] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1087), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5425), 1,
      sym__concat,
    STATE(1924), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1218), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1220), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [108414] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1087), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5427), 1,
      sym__concat,
    STATE(1924), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1202), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1204), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [108468] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1274), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [108516] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2036), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5429), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1208), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1210), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [108568] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1278), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [108616] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1226), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [108664] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2044), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [108716] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1230), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [108764] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2041), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5432), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1208), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1210), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [108816] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1234), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [108864] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5435), 1,
      sym__special_character,
    STATE(2062), 1,
      aux_sym__literal_repeat1,
    ACTIONS(233), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(280), 24,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [108916] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5437), 1,
      sym__concat,
    STATE(2094), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1202), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1204), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [108970] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1033), 1,
      anon_sym_RBRACK,
    ACTIONS(5435), 1,
      sym__special_character,
    ACTIONS(5439), 1,
      sym__concat,
    STATE(2062), 1,
      aux_sym__literal_repeat1,
    ACTIONS(233), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(280), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [109026] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5441), 1,
      sym__concat,
    STATE(2041), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1202), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1204), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [109080] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5443), 1,
      anon_sym_RBRACK,
    ACTIONS(5445), 1,
      sym__concat,
    STATE(2104), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [109136] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1059), 1,
      anon_sym_RBRACK,
    ACTIONS(5435), 1,
      sym__special_character,
    ACTIONS(5447), 1,
      sym__concat,
    STATE(2062), 1,
      aux_sym__literal_repeat1,
    ACTIONS(233), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(280), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [109192] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5449), 1,
      sym__concat,
    STATE(2041), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1218), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1220), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [109246] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1242), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [109294] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1087), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5451), 1,
      sym__concat,
    STATE(1924), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1202), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1204), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [109348] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1250), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [109396] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4907), 1,
      sym__concat,
    STATE(2073), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4120), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4118), 33,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [109450] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2049), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5417), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4428), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(4430), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [109502] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2046), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5417), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4432), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(4434), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [109554] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5453), 1,
      anon_sym_RBRACK,
    ACTIONS(5455), 1,
      sym__concat,
    STATE(2104), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [109610] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2111), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1087), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 23,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [109662] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1055), 1,
      anon_sym_RBRACK,
    ACTIONS(5435), 1,
      sym__special_character,
    ACTIONS(5457), 1,
      sym__concat,
    STATE(2062), 1,
      aux_sym__literal_repeat1,
    ACTIONS(233), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(280), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [109718] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1208), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1210), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [109766] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1286), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [109814] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5459), 1,
      sym__special_character,
    STATE(2061), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1296), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [109866] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5462), 1,
      sym__special_character,
    STATE(2062), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1296), 24,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [109918] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1278), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [109966] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1262), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110014] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1013), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5465), 1,
      sym__concat,
    STATE(2036), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1202), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1204), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [110068] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1262), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110116] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3767), 14,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3769), 26,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110164] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5415), 1,
      sym__special_character,
    STATE(2061), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4498), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4500), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110216] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4440), 14,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4442), 26,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110264] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1258), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110312] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1246), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110360] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2101), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5467), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1200), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110412] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5469), 1,
      sym__concat,
    STATE(1413), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 33,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [110466] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1063), 1,
      anon_sym_RBRACK,
    ACTIONS(5435), 1,
      sym__special_character,
    ACTIONS(5471), 1,
      sym__concat,
    STATE(2062), 1,
      aux_sym__literal_repeat1,
    ACTIONS(233), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(280), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [110522] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5473), 1,
      sym__special_character,
    STATE(2108), 1,
      aux_sym__literal_repeat1,
    ACTIONS(233), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(280), 24,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [110574] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5475), 1,
      anon_sym_RBRACK,
    ACTIONS(5477), 1,
      sym__concat,
    STATE(2104), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [110630] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1051), 1,
      anon_sym_RBRACK,
    ACTIONS(5435), 1,
      sym__special_character,
    ACTIONS(5479), 1,
      sym__concat,
    STATE(2062), 1,
      aux_sym__literal_repeat1,
    ACTIONS(233), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(280), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [110686] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1013), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5481), 1,
      sym__concat,
    STATE(2036), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1218), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1220), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [110740] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5483), 1,
      anon_sym_RBRACK,
    ACTIONS(5485), 1,
      sym__concat,
    STATE(2104), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [110796] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3673), 14,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3675), 26,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110844] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1254), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110892] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4907), 1,
      sym__concat,
    STATE(2073), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 33,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [110946] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4907), 1,
      sym__concat,
    STATE(2084), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4150), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4148), 33,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [111000] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5487), 1,
      sym__concat,
    STATE(1413), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 33,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [111054] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1238), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111102] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5415), 1,
      sym__special_character,
    STATE(2061), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3775), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3777), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111154] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5415), 1,
      sym__special_character,
    STATE(2061), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4524), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4526), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111206] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1286), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111254] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1290), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111302] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1208), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1210), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111350] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1238), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111398] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1274), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111446] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2034), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1087), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [111498] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2094), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5489), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1208), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1210), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [111550] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5415), 1,
      sym__special_character,
    STATE(2061), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4118), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4120), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111602] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1250), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111650] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2051), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1087), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [111702] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3677), 14,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3679), 26,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111750] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      aux_sym_concatenation_token1,
    STATE(2104), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 24,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [111802] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1242), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111850] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5467), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5492), 1,
      sym__concat,
    STATE(2122), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1218), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1220), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111904] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2150), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1087), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1200), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      sym__special_character,
  [111956] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1087), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5494), 1,
      sym__concat,
    STATE(1924), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1218), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1220), 23,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [112010] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5496), 1,
      sym__concat,
    STATE(2094), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1202), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1204), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [112064] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1230), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112112] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2065), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1013), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [112164] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1067), 1,
      anon_sym_RBRACK,
    ACTIONS(5435), 1,
      sym__special_character,
    ACTIONS(5498), 1,
      sym__concat,
    STATE(2062), 1,
      aux_sym__literal_repeat1,
    ACTIONS(233), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(280), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [112220] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5500), 1,
      sym__special_character,
    STATE(2108), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1296), 24,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [112272] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3787), 14,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3789), 26,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112320] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1266), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112368] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1087), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5503), 1,
      sym__concat,
    STATE(1924), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1202), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1204), 23,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [112422] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1258), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112470] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1282), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112518] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5505), 1,
      sym__concat,
    STATE(2094), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1218), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1220), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [112572] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1246), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112620] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5467), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5507), 1,
      sym__concat,
    STATE(2122), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1202), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1204), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112674] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5513), 1,
      sym_extglob_pattern,
    ACTIONS(5511), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5509), 25,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [112724] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1308), 1,
      sym_test_operator,
    STATE(2065), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1013), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(5378), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5376), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [112778] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1254), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112826] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5515), 1,
      anon_sym_RBRACK,
    ACTIONS(5517), 1,
      sym__concat,
    STATE(2104), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [112882] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1266), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112930] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2122), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5519), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1208), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1210), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112982] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5522), 1,
      sym__concat,
    STATE(2094), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1218), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1220), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [113036] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2101), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5467), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4118), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4120), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [113088] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2116), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5467), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4148), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4150), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [113140] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5524), 1,
      sym__special_character,
    STATE(2245), 1,
      aux_sym__literal_repeat1,
    ACTIONS(233), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(280), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [113191] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1226), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [113238] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1208), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1210), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [113285] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1286), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [113332] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1234), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [113379] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1262), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [113426] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1238), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [113473] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1270), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [113520] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1200), 25,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      sym__special_character,
  [113567] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5526), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5528), 1,
      sym__concat,
    STATE(2156), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1218), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1220), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [113620] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1254), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [113667] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1234), 25,
      sym__concat,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [113714] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1262), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [113761] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1254), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [113808] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1246), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [113855] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1258), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [113902] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1246), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [113949] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5532), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5530), 25,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [113996] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1258), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [114043] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1254), 25,
      sym__concat,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [114090] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1278), 25,
      sym__concat,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [114137] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1250), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [114184] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5526), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5534), 1,
      sym__concat,
    STATE(2156), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1202), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1204), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [114237] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1238), 25,
      sym__concat,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [114284] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1087), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5536), 1,
      sym__concat,
    STATE(1924), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1218), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1220), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [114337] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5538), 1,
      sym__special_character,
    STATE(2182), 1,
      aux_sym__literal_repeat1,
    ACTIONS(233), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(280), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [114388] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1290), 25,
      sym__concat,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [114435] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5540), 1,
      sym__special_character,
    STATE(2226), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4133), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(4135), 24,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [114486] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1266), 25,
      sym__concat,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [114533] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1290), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [114580] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2156), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5542), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1208), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1210), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [114631] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1266), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [114678] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1286), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [114725] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1208), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1210), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [114772] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1282), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [114819] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1282), 25,
      sym__concat,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [114866] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1242), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [114913] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1278), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [114960] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1900), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1902), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115007] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1266), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [115054] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5545), 1,
      sym__special_character,
    STATE(2166), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1296), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115105] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3787), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3789), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115152] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1230), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115199] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1282), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [115246] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1250), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [115293] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1290), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [115340] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1266), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115387] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1266), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [115434] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1266), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [115481] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1282), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [115528] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1266), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [115575] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1242), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [115622] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1266), 25,
      sym__concat,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [115669] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1278), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [115716] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1278), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115763] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1238), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115810] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5548), 1,
      sym__special_character,
    STATE(2182), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1296), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [115861] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1226), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115908] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1234), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115955] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1290), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [116002] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5551), 1,
      sym__special_character,
    STATE(2166), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4118), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4120), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [116053] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1274), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [116100] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5551), 1,
      sym__special_character,
    STATE(2166), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4133), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4135), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [116151] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1226), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [116198] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1892), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1894), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [116245] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1234), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [116292] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 25,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [116339] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5551), 1,
      sym__special_character,
    STATE(2166), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3775), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3777), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [116390] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3677), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3679), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [116437] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5557), 1,
      sym__concat,
    ACTIONS(5555), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5553), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [116486] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1262), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [116533] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1226), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [116580] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5563), 1,
      sym__concat,
    ACTIONS(5561), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5559), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [116629] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1258), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [116676] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1246), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [116723] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 15,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      sym__special_character,
    ACTIONS(1200), 24,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [116770] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1200), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [116817] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5540), 1,
      sym__special_character,
    STATE(2226), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4303), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(4305), 24,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [116868] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LBRACK,
    ACTIONS(5378), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5376), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [116917] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1262), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [116964] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5567), 1,
      sym__special_character,
    STATE(2250), 1,
      aux_sym__literal_repeat1,
    ACTIONS(233), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(280), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [117015] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1270), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [117062] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1087), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5569), 1,
      sym__concat,
    STATE(1924), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1202), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1204), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [117115] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5551), 1,
      sym__special_character,
    STATE(2166), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4524), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4526), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [117166] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5551), 1,
      sym__special_character,
    STATE(2166), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3791), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3793), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [117217] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1254), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [117264] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2135), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5526), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1200), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [117315] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1286), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [117362] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1208), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1210), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [117409] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1286), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [117456] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1208), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1210), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [117503] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1238), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [117550] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1250), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [117597] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1230), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [117644] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1238), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [117691] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1242), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [117738] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5573), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5571), 25,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [117785] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4804), 2,
      anon_sym_PIPE,
      anon_sym_LT_LT,
    ACTIONS(4806), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_LT_LT_DASH,
    ACTIONS(4666), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4678), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [117836] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4668), 2,
      anon_sym_PIPE,
      anon_sym_LT_LT,
    ACTIONS(4670), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4673), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_LT_LT_DASH,
    ACTIONS(4666), 6,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4675), 6,
      sym_file_descriptor,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4678), 15,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [117891] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5577), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5575), 23,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [117940] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5581), 1,
      sym__special_character,
    STATE(2226), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1296), 24,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [117991] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1250), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [118038] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1254), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [118085] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1246), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [118132] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [118179] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1258), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [118226] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5551), 1,
      sym__special_character,
    STATE(2166), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4498), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4500), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [118277] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1230), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [118324] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1242), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [118371] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2148), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5526), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4148), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4150), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [118422] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2135), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5526), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4118), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4120), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [118473] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1270), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [118520] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5586), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 25,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [118567] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1290), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [118614] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [118661] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5592), 1,
      sym__concat,
    ACTIONS(5590), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5588), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [118710] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1274), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [118757] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1278), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [118804] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1230), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [118851] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5594), 1,
      sym__special_character,
    STATE(2245), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1296), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [118902] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2208), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1087), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [118953] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5597), 1,
      sym_extglob_pattern,
    ACTIONS(5511), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5509), 24,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [119002] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5601), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5599), 25,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [119049] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1282), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [119096] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5603), 1,
      sym__special_character,
    STATE(2250), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1296), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [119147] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1266), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [119194] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5610), 1,
      sym__concat,
    ACTIONS(5608), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5606), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [119243] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1270), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [119290] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5573), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5571), 25,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [119337] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1234), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [119384] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1266), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [119431] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5612), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    STATE(5221), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [119513] = 11,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5652), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5650), 18,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [119575] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4668), 2,
      anon_sym_PIPE,
      anon_sym_LT_LT,
    ACTIONS(4673), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4666), 5,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4670), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4675), 6,
      sym_file_descriptor,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4678), 16,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [119629] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5654), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5259), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [119711] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5656), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5309), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [119793] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5658), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5267), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [119875] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5660), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5287), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [119957] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5662), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5298), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [120039] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5664), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5254), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [120121] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1200), 24,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      sym__special_character,
  [120167] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5666), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5199), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [120249] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5668), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5177), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [120331] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5670), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5271), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [120413] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5672), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5219), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [120495] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5674), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5224), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [120577] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5676), 1,
      sym__special_character,
    STATE(2272), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1296), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [120627] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5532), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5530), 24,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [120673] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5679), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5266), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [120755] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1270), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [120801] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5681), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5283), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [120883] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5685), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5683), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [120929] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5687), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5178), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [121011] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5689), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5293), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [121093] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5691), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5169), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [121175] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5693), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5197), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [121257] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5695), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5297), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [121339] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5697), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5300), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [121421] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5652), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5650), 18,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [121487] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1226), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [121533] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5701), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5699), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5573), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 22,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [121583] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5701), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5699), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5573), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 22,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [121633] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5701), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5699), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5703), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 22,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [121685] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5705), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [121767] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5709), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5707), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [121813] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5701), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5699), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5711), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5703), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 8,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5571), 22,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [121867] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5701), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5715), 1,
      sym_test_operator,
    ACTIONS(5699), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5711), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5713), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5703), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5571), 21,
      sym__concat,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [121925] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5719), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5717), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [121971] = 11,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5701), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5715), 1,
      sym_test_operator,
    ACTIONS(5699), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5711), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5713), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5721), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5723), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5703), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5571), 19,
      sym__concat,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [122033] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5701), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5715), 1,
      sym_test_operator,
    ACTIONS(5699), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5711), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5713), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5721), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5723), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5725), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5703), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5571), 17,
      sym__concat,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [122097] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5729), 1,
      anon_sym_DQUOTE,
    STATE(3632), 1,
      sym_string,
    ACTIONS(1175), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(5731), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(5727), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [122151] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5701), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5715), 1,
      sym_test_operator,
    ACTIONS(5733), 1,
      anon_sym_AMP,
    ACTIONS(5699), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5711), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5713), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5721), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5723), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5725), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5573), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(5703), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 17,
      sym__concat,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [122217] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5735), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5185), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [122299] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5737), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5281), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [122381] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5739), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5295), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [122463] = 14,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5701), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5715), 1,
      sym_test_operator,
    ACTIONS(5733), 1,
      anon_sym_AMP,
    ACTIONS(5741), 1,
      anon_sym_CARET,
    ACTIONS(5573), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(5699), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5711), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5713), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5721), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5723), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5725), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5703), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 17,
      sym__concat,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [122531] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5608), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5606), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [122577] = 15,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5573), 1,
      anon_sym_EQ,
    ACTIONS(5701), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5715), 1,
      sym_test_operator,
    ACTIONS(5733), 1,
      anon_sym_AMP,
    ACTIONS(5741), 1,
      anon_sym_CARET,
    ACTIONS(5743), 1,
      anon_sym_PIPE,
    ACTIONS(5699), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5711), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5713), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5721), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5723), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5725), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5703), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 17,
      sym__concat,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [122647] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5573), 1,
      anon_sym_EQ,
    ACTIONS(5701), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5715), 1,
      sym_test_operator,
    ACTIONS(5733), 1,
      anon_sym_AMP,
    ACTIONS(5741), 1,
      anon_sym_CARET,
    ACTIONS(5743), 1,
      anon_sym_PIPE,
    ACTIONS(5745), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5699), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5711), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5713), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5721), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5723), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5725), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5703), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 16,
      sym__concat,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [122719] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5701), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5715), 1,
      sym_test_operator,
    ACTIONS(5733), 1,
      anon_sym_AMP,
    ACTIONS(5741), 1,
      anon_sym_CARET,
    ACTIONS(5743), 1,
      anon_sym_PIPE,
    ACTIONS(5745), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5747), 1,
      anon_sym_EQ,
    ACTIONS(5749), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5751), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5753), 1,
      anon_sym_QMARK,
    ACTIONS(5699), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5711), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5713), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5721), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5723), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5725), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5703), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 13,
      sym__concat,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACK,
  [122797] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5573), 1,
      anon_sym_EQ,
    ACTIONS(5701), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5715), 1,
      sym_test_operator,
    ACTIONS(5733), 1,
      anon_sym_AMP,
    ACTIONS(5741), 1,
      anon_sym_CARET,
    ACTIONS(5743), 1,
      anon_sym_PIPE,
    ACTIONS(5745), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5749), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5753), 1,
      anon_sym_QMARK,
    ACTIONS(5699), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5711), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5713), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5721), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5723), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5725), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5703), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 14,
      sym__concat,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
  [122873] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5757), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5755), 22,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [122929] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5701), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5699), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5711), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5713), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5703), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5571), 22,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [122985] = 14,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5652), 1,
      anon_sym_EQ,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5650), 18,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [123053] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5759), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5318), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [123135] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5761), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5285), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [123217] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 15,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      sym__special_character,
    ACTIONS(1200), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [123263] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5590), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5588), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [123309] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5757), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5755), 22,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [123357] = 15,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5652), 1,
      anon_sym_EQ,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5650), 17,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [123427] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5763), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5239), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [123509] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5765), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5310), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [123591] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1892), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1894), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [123637] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5767), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5189), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [123719] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5757), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5755), 22,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [123775] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5769), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5166), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [123857] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5771), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5270), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [123939] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5729), 1,
      anon_sym_DQUOTE,
    STATE(3632), 1,
      sym_string,
    ACTIONS(1171), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(5731), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(5727), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [123993] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5773), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5301), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [124075] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5775), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5312), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [124157] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5777), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5252), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [124239] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5779), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5227), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [124321] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5781), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5243), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [124403] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1200), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [124449] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5783), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5277), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [124531] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5785), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5232), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [124613] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5787), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5223), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [124695] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1258), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [124741] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5650), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_COLON,
  [124817] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5789), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5206), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [124899] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5791), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5302), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [124981] = 17,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5652), 1,
      anon_sym_EQ,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5650), 15,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_COLON,
  [125055] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5793), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5176), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [125137] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1274), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [125183] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1230), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [125229] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5586), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 24,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [125275] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5652), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(5650), 18,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [125339] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1900), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1902), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [125385] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5652), 8,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5650), 22,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [125439] = 10,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5652), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5650), 20,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [125499] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3524), 5,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4796), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4798), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
    ACTIONS(3536), 16,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [125549] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5795), 1,
      sym__special_character,
    STATE(2272), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4428), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(4430), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [125599] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1246), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [125645] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1242), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [125691] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5443), 1,
      anon_sym_RBRACK,
    ACTIONS(5797), 1,
      sym__concat,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [125741] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5453), 1,
      anon_sym_RBRACK,
    ACTIONS(5799), 1,
      sym__concat,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [125791] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5803), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5801), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [125837] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3677), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3679), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [125883] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5805), 1,
      sym__special_character,
    STATE(2354), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1296), 24,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [125933] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1250), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [125979] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5808), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5284), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [126061] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5812), 1,
      anon_sym_EQ,
    ACTIONS(5814), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(5810), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [126109] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5818), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5816), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [126155] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5419), 1,
      anon_sym_RBRACK,
    ACTIONS(5820), 1,
      sym__concat,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [126205] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5824), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5822), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [126251] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5828), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5826), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [126297] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5701), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5715), 1,
      sym_test_operator,
    ACTIONS(5699), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5711), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5713), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5703), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5577), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5575), 21,
      sym__concat,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [126355] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5828), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5826), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [126401] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5701), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5699), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5711), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5713), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5703), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5577), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5575), 22,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [126457] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5699), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5577), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5575), 22,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [126505] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5701), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5699), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5711), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5713), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5703), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5577), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5575), 22,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [126561] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3787), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3789), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [126607] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5652), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5650), 22,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [126663] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1266), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [126709] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1282), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [126755] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5652), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5650), 22,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [126807] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 15,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      sym__special_character,
    ACTIONS(1200), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [126853] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1266), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [126899] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1290), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [126945] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5652), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5650), 22,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [126995] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5475), 1,
      anon_sym_RBRACK,
    ACTIONS(5830), 1,
      sym__concat,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [127045] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1266), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [127091] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1234), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [127137] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1254), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [127183] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5832), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5246), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [127265] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1282), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [127311] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4623), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4625), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [127357] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1266), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [127403] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5483), 1,
      anon_sym_RBRACK,
    ACTIONS(5834), 1,
      sym__concat,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [127453] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1238), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [127499] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5836), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5304), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [127581] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1278), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [127627] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1254), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [127673] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1234), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [127719] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5601), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5599), 24,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [127765] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1262), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [127811] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4611), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(4613), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [127857] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4226), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4228), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [127903] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1290), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [127949] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5838), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5190), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [128031] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1200), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [128077] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5573), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5571), 24,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [128123] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4226), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(4228), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [128169] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5573), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5571), 24,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [128215] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4623), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(4625), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [128261] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1266), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [128307] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1282), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [128353] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1266), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [128399] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1238), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [128445] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1278), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [128491] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5840), 1,
      sym_extglob_pattern,
    ACTIONS(5511), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5509), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [128539] = 17,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5701), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5715), 1,
      sym_test_operator,
    ACTIONS(5733), 1,
      anon_sym_AMP,
    ACTIONS(5741), 1,
      anon_sym_CARET,
    ACTIONS(5743), 1,
      anon_sym_PIPE,
    ACTIONS(5745), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5749), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5842), 1,
      anon_sym_EQ,
    ACTIONS(5699), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5711), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5713), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5721), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5723), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5725), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5703), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5844), 15,
      sym__concat,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [128613] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 24,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [128659] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1208), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1210), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [128705] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1286), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [128751] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5848), 1,
      anon_sym_EQ,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5846), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [128823] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5652), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5650), 22,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [128871] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1278), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [128917] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1254), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [128963] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1226), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [129009] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1238), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [129055] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1234), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [129101] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4804), 2,
      anon_sym_PIPE,
      anon_sym_LT_LT,
    ACTIONS(4806), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4666), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4678), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [129151] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1246), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [129197] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5515), 1,
      anon_sym_RBRACK,
    ACTIONS(5850), 1,
      sym__concat,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [129247] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1258), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [129293] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5852), 1,
      sym__special_character,
    STATE(2354), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4118), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4120), 24,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [129343] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1270), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [129389] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1290), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [129435] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1266), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [129481] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1282), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [129527] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5854), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5201), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [129609] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1266), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [129655] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5856), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5265), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [129737] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5858), 1,
      sym_extglob_pattern,
    ACTIONS(5511), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5509), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [129785] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1234), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [129831] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1254), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [129877] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4611), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4613), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [129923] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1278), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [129969] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1238), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [130015] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1290), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [130061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [130106] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5864), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(5862), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5860), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [130153] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5866), 1,
      anon_sym_EQ,
    ACTIONS(5872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5874), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5876), 1,
      anon_sym_PIPE,
    ACTIONS(5878), 1,
      anon_sym_CARET,
    ACTIONS(5880), 1,
      anon_sym_AMP,
    ACTIONS(5894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5896), 1,
      anon_sym_RPAREN,
    ACTIONS(5898), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5900), 1,
      anon_sym_QMARK,
    ACTIONS(5902), 1,
      sym_test_operator,
    ACTIONS(5868), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5882), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5884), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5870), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [130232] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5906), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5908), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(5862), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5904), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [130281] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5906), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5908), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(5862), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5904), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [130330] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5916), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5918), 1,
      sym_test_operator,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5910), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5912), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5914), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5577), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5575), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [130387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [130432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [130477] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5906), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5908), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(5862), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5920), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5904), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
  [130528] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5922), 1,
      anon_sym_LBRACK,
    ACTIONS(5378), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5376), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [130575] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5924), 1,
      anon_sym_EQ,
    ACTIONS(5928), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE,
    ACTIONS(5934), 1,
      anon_sym_CARET,
    ACTIONS(5936), 1,
      anon_sym_AMP,
    ACTIONS(5950), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5952), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(5954), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5956), 1,
      anon_sym_QMARK,
    ACTIONS(5958), 1,
      sym_test_operator,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5938), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5940), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5942), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5944), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5946), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5948), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5926), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [130654] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5952), 1,
      anon_sym_RBRACK,
    ACTIONS(5960), 1,
      anon_sym_EQ,
    ACTIONS(5966), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5968), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5970), 1,
      anon_sym_PIPE,
    ACTIONS(5972), 1,
      anon_sym_CARET,
    ACTIONS(5974), 1,
      anon_sym_AMP,
    ACTIONS(5988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5990), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5992), 1,
      anon_sym_QMARK,
    ACTIONS(5994), 1,
      sym_test_operator,
    ACTIONS(5962), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5980), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5982), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5984), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5986), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5964), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [130733] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5906), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5908), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(5862), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5996), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5920), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5904), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [130786] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5916), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5910), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5912), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5914), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5577), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5575), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [130841] = 17,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5842), 1,
      anon_sym_EQ,
    ACTIONS(5928), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE,
    ACTIONS(5934), 1,
      anon_sym_CARET,
    ACTIONS(5936), 1,
      anon_sym_AMP,
    ACTIONS(5950), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5958), 1,
      sym_test_operator,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5938), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5940), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5942), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5944), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5946), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5948), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5844), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [130914] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5906), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5908), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(5862), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5996), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5998), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5920), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5904), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [130969] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5532), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5530), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [131014] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5952), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(6000), 1,
      anon_sym_EQ,
    ACTIONS(6004), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6006), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6008), 1,
      anon_sym_PIPE,
    ACTIONS(6010), 1,
      anon_sym_CARET,
    ACTIONS(6012), 1,
      anon_sym_AMP,
    ACTIONS(6026), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6028), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6030), 1,
      anon_sym_QMARK,
    ACTIONS(6032), 1,
      sym_test_operator,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6014), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6016), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6018), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6002), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [131093] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5906), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5908), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(5862), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5996), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5998), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5920), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6034), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5904), 22,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [131150] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5906), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5908), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(5862), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5996), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5998), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6036), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5920), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6034), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5904), 20,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [131209] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5906), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5908), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(6038), 1,
      anon_sym_AMP,
    ACTIONS(5862), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5996), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5998), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6036), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5920), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6034), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5904), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
  [131270] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5906), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5908), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(6038), 1,
      anon_sym_AMP,
    ACTIONS(6040), 1,
      anon_sym_CARET,
    ACTIONS(5862), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5996), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5998), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6036), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5920), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6034), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5904), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
  [131333] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5906), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5908), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(6038), 1,
      anon_sym_AMP,
    ACTIONS(6040), 1,
      anon_sym_CARET,
    ACTIONS(6042), 1,
      anon_sym_PIPE,
    ACTIONS(5862), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5996), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5998), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6036), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5920), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6034), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5904), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
  [131398] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5281), 1,
      sym_word,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(5384), 1,
      anon_sym_esac,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5978), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6052), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2670), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [131487] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5906), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5908), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(6038), 1,
      anon_sym_AMP,
    ACTIONS(6040), 1,
      anon_sym_CARET,
    ACTIONS(6042), 1,
      anon_sym_PIPE,
    ACTIONS(5862), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5996), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5998), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6036), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6062), 2,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
    ACTIONS(5920), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6034), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5904), 15,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
  [131554] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5906), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5908), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(6038), 1,
      anon_sym_AMP,
    ACTIONS(6040), 1,
      anon_sym_CARET,
    ACTIONS(6042), 1,
      anon_sym_PIPE,
    ACTIONS(5862), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5996), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5998), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6036), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6062), 2,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
    ACTIONS(6064), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
    ACTIONS(5920), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6034), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5904), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [131623] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_EQ,
    ACTIONS(5810), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5814), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [131670] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym_file_descriptor,
    ACTIONS(2937), 1,
      anon_sym_DQUOTE,
    STATE(3642), 1,
      sym_string,
    ACTIONS(6070), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6068), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [131723] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5532), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5530), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [131768] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6072), 1,
      sym__concat,
    ACTIONS(5608), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5606), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [131815] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6074), 1,
      sym__concat,
    ACTIONS(5590), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5588), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [131862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(6076), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [131907] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5916), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5918), 1,
      sym_test_operator,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6088), 1,
      anon_sym_PIPE,
    ACTIONS(6090), 1,
      anon_sym_CARET,
    ACTIONS(6092), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6102), 1,
      anon_sym_QMARK,
    ACTIONS(6104), 1,
      anon_sym_COLON,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5910), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5912), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6096), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6098), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5914), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6082), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [131986] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5950), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5573), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [132035] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5281), 1,
      sym_word,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6106), 1,
      anon_sym_esac,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5467), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6052), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2663), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [132124] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5994), 1,
      sym_test_operator,
    ACTIONS(5962), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5982), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5984), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5986), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5577), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5575), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [132181] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5281), 1,
      sym_word,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6108), 1,
      anon_sym_esac,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5464), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6052), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2662), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [132270] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5962), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5982), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5984), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5986), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5577), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5575), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [132325] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5924), 1,
      anon_sym_EQ,
    ACTIONS(5928), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE,
    ACTIONS(5934), 1,
      anon_sym_CARET,
    ACTIONS(5936), 1,
      anon_sym_AMP,
    ACTIONS(5950), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5954), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5956), 1,
      anon_sym_QMARK,
    ACTIONS(5958), 1,
      sym_test_operator,
    ACTIONS(6110), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5938), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5940), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5942), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5944), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5946), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5948), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5926), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [132404] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5962), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5577), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5575), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [132451] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5962), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5982), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5984), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5986), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5577), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5575), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [132506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(6112), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [132551] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [132596] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6116), 1,
      sym__concat,
    ACTIONS(5590), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5588), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [132643] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5950), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5573), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [132692] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5281), 1,
      sym_word,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(5372), 1,
      anon_sym_esac,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5976), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6052), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2669), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [132781] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5924), 1,
      anon_sym_EQ,
    ACTIONS(5928), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE,
    ACTIONS(5934), 1,
      anon_sym_CARET,
    ACTIONS(5936), 1,
      anon_sym_AMP,
    ACTIONS(5950), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5954), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5956), 1,
      anon_sym_QMARK,
    ACTIONS(5958), 1,
      sym_test_operator,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5938), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5940), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5942), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5944), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5946), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5948), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACK_RBRACK,
  [132858] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5950), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5948), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [132909] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5960), 1,
      anon_sym_EQ,
    ACTIONS(5966), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5968), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5970), 1,
      anon_sym_PIPE,
    ACTIONS(5972), 1,
      anon_sym_CARET,
    ACTIONS(5974), 1,
      anon_sym_AMP,
    ACTIONS(5988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5990), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5992), 1,
      anon_sym_QMARK,
    ACTIONS(5994), 1,
      sym_test_operator,
    ACTIONS(6110), 1,
      anon_sym_RBRACK,
    ACTIONS(5962), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5980), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5982), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5984), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5986), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5964), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [132988] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5950), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5946), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5948), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 8,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5571), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [133041] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5950), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5958), 1,
      sym_test_operator,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5944), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5946), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5948), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5571), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [133098] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6118), 1,
      sym__concat,
    ACTIONS(5608), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5606), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [133145] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5281), 1,
      sym_word,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(5338), 1,
      anon_sym_esac,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5486), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6052), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2680), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [133234] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5281), 1,
      sym_word,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6120), 1,
      anon_sym_esac,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5967), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6052), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2666), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [133323] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5281), 1,
      sym_word,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(5344), 1,
      anon_sym_esac,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5512), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6052), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2697), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [133412] = 11,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5950), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5958), 1,
      sym_test_operator,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5940), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5942), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5944), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5946), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5948), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5571), 18,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [133473] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5950), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5958), 1,
      sym_test_operator,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5938), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5940), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5942), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5944), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5946), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5948), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5571), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [133536] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5936), 1,
      anon_sym_AMP,
    ACTIONS(5950), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5958), 1,
      sym_test_operator,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5938), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5940), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5942), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5944), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5946), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5573), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(5948), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [133601] = 14,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5934), 1,
      anon_sym_CARET,
    ACTIONS(5936), 1,
      anon_sym_AMP,
    ACTIONS(5950), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5958), 1,
      sym_test_operator,
    ACTIONS(5573), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5938), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5940), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5942), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5944), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5946), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5948), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [133668] = 15,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5573), 1,
      anon_sym_EQ,
    ACTIONS(5932), 1,
      anon_sym_PIPE,
    ACTIONS(5934), 1,
      anon_sym_CARET,
    ACTIONS(5936), 1,
      anon_sym_AMP,
    ACTIONS(5950), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5958), 1,
      sym_test_operator,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5938), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5940), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5942), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5944), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5946), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5948), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [133737] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5573), 1,
      anon_sym_EQ,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE,
    ACTIONS(5934), 1,
      anon_sym_CARET,
    ACTIONS(5936), 1,
      anon_sym_AMP,
    ACTIONS(5950), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5958), 1,
      sym_test_operator,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5938), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5940), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5942), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5944), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5946), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5948), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [133808] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5281), 1,
      sym_word,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6122), 1,
      anon_sym_esac,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5965), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6052), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2664), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [133897] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5573), 1,
      anon_sym_EQ,
    ACTIONS(5928), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE,
    ACTIONS(5934), 1,
      anon_sym_CARET,
    ACTIONS(5936), 1,
      anon_sym_AMP,
    ACTIONS(5950), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5956), 1,
      anon_sym_QMARK,
    ACTIONS(5958), 1,
      sym_test_operator,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5938), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5940), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5942), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5944), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5946), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5948), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
  [133972] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5950), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5944), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5946), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5948), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5571), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [134027] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6026), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5573), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 21,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [134076] = 17,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5842), 1,
      anon_sym_EQ,
    ACTIONS(5872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5874), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5876), 1,
      anon_sym_PIPE,
    ACTIONS(5878), 1,
      anon_sym_CARET,
    ACTIONS(5880), 1,
      anon_sym_AMP,
    ACTIONS(5894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5902), 1,
      sym_test_operator,
    ACTIONS(5868), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5882), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5884), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5844), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [134149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [134194] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5586), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [134239] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6137), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(6140), 1,
      sym_file_descriptor,
    ACTIONS(6143), 1,
      sym_variable_name,
    STATE(5395), 1,
      sym_subscript,
    ACTIONS(6134), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(2505), 2,
      sym_variable_assignment,
      aux_sym_command_repeat1,
    STATE(2990), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    ACTIONS(6131), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(6124), 5,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(6128), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(6126), 14,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [134302] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5868), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5573), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [134351] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5868), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5573), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [134400] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5868), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5892), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [134451] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6146), 1,
      sym__concat,
    ACTIONS(5561), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5559), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [134498] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6148), 1,
      sym__concat,
    ACTIONS(5555), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5553), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [134545] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5868), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 8,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5571), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [134598] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5866), 1,
      anon_sym_EQ,
    ACTIONS(5872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5874), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5876), 1,
      anon_sym_PIPE,
    ACTIONS(5878), 1,
      anon_sym_CARET,
    ACTIONS(5880), 1,
      anon_sym_AMP,
    ACTIONS(5894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5898), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5900), 1,
      anon_sym_QMARK,
    ACTIONS(5902), 1,
      sym_test_operator,
    ACTIONS(6150), 1,
      anon_sym_RPAREN,
    ACTIONS(5868), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5882), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5884), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5870), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [134677] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5916), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5918), 1,
      sym_test_operator,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6088), 1,
      anon_sym_PIPE,
    ACTIONS(6090), 1,
      anon_sym_CARET,
    ACTIONS(6092), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6102), 1,
      anon_sym_QMARK,
    ACTIONS(6152), 1,
      anon_sym_COLON,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5910), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5912), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6096), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6098), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5914), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6082), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [134756] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5902), 1,
      sym_test_operator,
    ACTIONS(5868), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5571), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [134813] = 11,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5902), 1,
      sym_test_operator,
    ACTIONS(5868), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5884), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5571), 18,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [134874] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5902), 1,
      sym_test_operator,
    ACTIONS(5868), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5882), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5884), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5571), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [134937] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5866), 1,
      anon_sym_EQ,
    ACTIONS(5872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5874), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5876), 1,
      anon_sym_PIPE,
    ACTIONS(5878), 1,
      anon_sym_CARET,
    ACTIONS(5880), 1,
      anon_sym_AMP,
    ACTIONS(5894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5898), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5900), 1,
      anon_sym_QMARK,
    ACTIONS(5902), 1,
      sym_test_operator,
    ACTIONS(6154), 1,
      anon_sym_RPAREN,
    ACTIONS(5868), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5882), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5884), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5870), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [135016] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5916), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5918), 1,
      sym_test_operator,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6088), 1,
      anon_sym_PIPE,
    ACTIONS(6090), 1,
      anon_sym_CARET,
    ACTIONS(6092), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6102), 1,
      anon_sym_QMARK,
    ACTIONS(6156), 1,
      anon_sym_COLON,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5910), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5912), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6096), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6098), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5914), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6082), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [135095] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5880), 1,
      anon_sym_AMP,
    ACTIONS(5894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5902), 1,
      sym_test_operator,
    ACTIONS(5868), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5882), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5884), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5573), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(5892), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [135160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [135205] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5586), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5584), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [135250] = 17,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5842), 1,
      anon_sym_EQ,
    ACTIONS(6004), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6006), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6008), 1,
      anon_sym_PIPE,
    ACTIONS(6010), 1,
      anon_sym_CARET,
    ACTIONS(6012), 1,
      anon_sym_AMP,
    ACTIONS(6026), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6032), 1,
      sym_test_operator,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6014), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6016), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6018), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5844), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [135323] = 15,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5573), 1,
      anon_sym_EQ,
    ACTIONS(5876), 1,
      anon_sym_PIPE,
    ACTIONS(5878), 1,
      anon_sym_CARET,
    ACTIONS(5880), 1,
      anon_sym_AMP,
    ACTIONS(5894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5902), 1,
      sym_test_operator,
    ACTIONS(5868), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5882), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5884), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [135392] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5573), 1,
      anon_sym_EQ,
    ACTIONS(5874), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5876), 1,
      anon_sym_PIPE,
    ACTIONS(5878), 1,
      anon_sym_CARET,
    ACTIONS(5880), 1,
      anon_sym_AMP,
    ACTIONS(5894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5902), 1,
      sym_test_operator,
    ACTIONS(5868), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5882), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5884), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [135463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [135508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [135553] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5866), 1,
      anon_sym_EQ,
    ACTIONS(5872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5874), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5876), 1,
      anon_sym_PIPE,
    ACTIONS(5878), 1,
      anon_sym_CARET,
    ACTIONS(5880), 1,
      anon_sym_AMP,
    ACTIONS(5894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5898), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5900), 1,
      anon_sym_QMARK,
    ACTIONS(5902), 1,
      sym_test_operator,
    ACTIONS(5868), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5882), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5884), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
  [135630] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5573), 1,
      anon_sym_EQ,
    ACTIONS(5872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5874), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5876), 1,
      anon_sym_PIPE,
    ACTIONS(5878), 1,
      anon_sym_CARET,
    ACTIONS(5880), 1,
      anon_sym_AMP,
    ACTIONS(5894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5900), 1,
      anon_sym_QMARK,
    ACTIONS(5902), 1,
      sym_test_operator,
    ACTIONS(5868), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5882), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5884), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
  [135705] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5281), 1,
      sym_word,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6158), 1,
      anon_sym_esac,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(6000), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6052), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2688), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [135794] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5281), 1,
      sym_word,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(5408), 1,
      anon_sym_esac,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(6004), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6052), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2691), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [135883] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6160), 1,
      anon_sym_EQ,
    ACTIONS(5810), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5814), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [135930] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5916), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5910), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5912), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5914), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5577), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5575), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [135985] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      sym_file_descriptor,
    ACTIONS(2937), 1,
      anon_sym_DQUOTE,
    STATE(3642), 1,
      sym_string,
    ACTIONS(6070), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6068), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [136038] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5281), 1,
      sym_word,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(5332), 1,
      anon_sym_esac,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(6005), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6052), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2692), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [136127] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5868), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5571), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [136182] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6162), 1,
      sym__concat,
    ACTIONS(5561), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5559), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [136229] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5916), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5918), 1,
      sym_test_operator,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6088), 1,
      anon_sym_PIPE,
    ACTIONS(6090), 1,
      anon_sym_CARET,
    ACTIONS(6092), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6102), 1,
      anon_sym_QMARK,
    ACTIONS(6164), 1,
      anon_sym_COLON,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5910), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5912), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6096), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6098), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5914), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6082), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [136308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6168), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(6166), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [136353] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6170), 1,
      sym__concat,
    ACTIONS(5555), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5553), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [136400] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5916), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5910), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5912), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5914), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5571), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [136455] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1200), 24,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [136500] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5573), 1,
      anon_sym_EQ,
    ACTIONS(5916), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5918), 1,
      sym_test_operator,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6088), 1,
      anon_sym_PIPE,
    ACTIONS(6090), 1,
      anon_sym_CARET,
    ACTIONS(6092), 1,
      anon_sym_AMP,
    ACTIONS(6102), 1,
      anon_sym_QMARK,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5910), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5912), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6096), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6098), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5914), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_COLON,
  [136575] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5916), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5918), 1,
      sym_test_operator,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6088), 1,
      anon_sym_PIPE,
    ACTIONS(6090), 1,
      anon_sym_CARET,
    ACTIONS(6092), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6102), 1,
      anon_sym_QMARK,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5910), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5912), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6096), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6098), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5914), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_COLON,
  [136652] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5950), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5944), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5946), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5948), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5577), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5575), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [136707] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5950), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5944), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5946), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5948), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5577), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5575), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [136762] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5573), 1,
      anon_sym_EQ,
    ACTIONS(5916), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5918), 1,
      sym_test_operator,
    ACTIONS(6086), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6088), 1,
      anon_sym_PIPE,
    ACTIONS(6090), 1,
      anon_sym_CARET,
    ACTIONS(6092), 1,
      anon_sym_AMP,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5910), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5912), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6096), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6098), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5914), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [136833] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6000), 1,
      anon_sym_EQ,
    ACTIONS(6004), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6006), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6008), 1,
      anon_sym_PIPE,
    ACTIONS(6010), 1,
      anon_sym_CARET,
    ACTIONS(6012), 1,
      anon_sym_AMP,
    ACTIONS(6026), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6028), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6030), 1,
      anon_sym_QMARK,
    ACTIONS(6032), 1,
      sym_test_operator,
    ACTIONS(6110), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6014), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6016), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6018), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6002), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [136912] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5866), 1,
      anon_sym_EQ,
    ACTIONS(5872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5874), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5876), 1,
      anon_sym_PIPE,
    ACTIONS(5878), 1,
      anon_sym_CARET,
    ACTIONS(5880), 1,
      anon_sym_AMP,
    ACTIONS(5894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5898), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5900), 1,
      anon_sym_QMARK,
    ACTIONS(5902), 1,
      sym_test_operator,
    ACTIONS(6172), 1,
      anon_sym_RPAREN,
    ACTIONS(5868), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5882), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5884), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5870), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [136991] = 15,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5573), 1,
      anon_sym_EQ,
    ACTIONS(5916), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5918), 1,
      sym_test_operator,
    ACTIONS(6088), 1,
      anon_sym_PIPE,
    ACTIONS(6090), 1,
      anon_sym_CARET,
    ACTIONS(6092), 1,
      anon_sym_AMP,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5910), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5912), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6096), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6098), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5914), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [137060] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5950), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5958), 1,
      sym_test_operator,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5944), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5946), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5948), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5577), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5575), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [137117] = 14,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5916), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5918), 1,
      sym_test_operator,
    ACTIONS(6090), 1,
      anon_sym_CARET,
    ACTIONS(6092), 1,
      anon_sym_AMP,
    ACTIONS(5573), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5910), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5912), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6096), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6098), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5914), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [137184] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5906), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6038), 1,
      anon_sym_AMP,
    ACTIONS(6040), 1,
      anon_sym_CARET,
    ACTIONS(6042), 1,
      anon_sym_PIPE,
    ACTIONS(6178), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(5862), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5996), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5998), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6036), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6062), 2,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
    ACTIONS(6064), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
    ACTIONS(6174), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(5920), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6034), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6176), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [137255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6182), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(6180), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [137300] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5916), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5918), 1,
      sym_test_operator,
    ACTIONS(6092), 1,
      anon_sym_AMP,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5910), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5912), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6096), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6098), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5573), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(5914), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [137365] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6026), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5571), 21,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [137420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6186), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(6184), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [137465] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5573), 1,
      anon_sym_EQ,
    ACTIONS(6004), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6006), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6008), 1,
      anon_sym_PIPE,
    ACTIONS(6010), 1,
      anon_sym_CARET,
    ACTIONS(6012), 1,
      anon_sym_AMP,
    ACTIONS(6026), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6030), 1,
      anon_sym_QMARK,
    ACTIONS(6032), 1,
      sym_test_operator,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6014), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6016), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6018), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 13,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_EQ_TILDE,
  [137540] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5916), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5918), 1,
      sym_test_operator,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5910), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5912), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6096), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6098), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5914), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5571), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [137603] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5924), 1,
      anon_sym_EQ,
    ACTIONS(5928), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5932), 1,
      anon_sym_PIPE,
    ACTIONS(5934), 1,
      anon_sym_CARET,
    ACTIONS(5936), 1,
      anon_sym_AMP,
    ACTIONS(5950), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5954), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5956), 1,
      anon_sym_QMARK,
    ACTIONS(5958), 1,
      sym_test_operator,
    ACTIONS(6188), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5938), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5940), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5942), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5944), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5946), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5948), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5926), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [137682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6182), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(6180), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [137727] = 11,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5916), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5918), 1,
      sym_test_operator,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5910), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5912), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6096), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6098), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5914), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5571), 18,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [137788] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6000), 1,
      anon_sym_EQ,
    ACTIONS(6004), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6006), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6008), 1,
      anon_sym_PIPE,
    ACTIONS(6010), 1,
      anon_sym_CARET,
    ACTIONS(6012), 1,
      anon_sym_AMP,
    ACTIONS(6026), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6028), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6030), 1,
      anon_sym_QMARK,
    ACTIONS(6032), 1,
      sym_test_operator,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6014), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6016), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6018), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 12,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [137865] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5916), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5918), 1,
      sym_test_operator,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5910), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5912), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5914), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5571), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [137922] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5916), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5912), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5914), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 8,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5571), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [137975] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5960), 1,
      anon_sym_EQ,
    ACTIONS(5966), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5968), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5970), 1,
      anon_sym_PIPE,
    ACTIONS(5972), 1,
      anon_sym_CARET,
    ACTIONS(5974), 1,
      anon_sym_AMP,
    ACTIONS(5988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5990), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5992), 1,
      anon_sym_QMARK,
    ACTIONS(5994), 1,
      sym_test_operator,
    ACTIONS(6188), 1,
      anon_sym_RBRACK,
    ACTIONS(5962), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5980), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5982), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5984), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5986), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5964), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [138054] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5573), 1,
      anon_sym_EQ,
    ACTIONS(6006), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6008), 1,
      anon_sym_PIPE,
    ACTIONS(6010), 1,
      anon_sym_CARET,
    ACTIONS(6012), 1,
      anon_sym_AMP,
    ACTIONS(6026), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6032), 1,
      sym_test_operator,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6014), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6016), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6018), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 15,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [138125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [138170] = 15,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5573), 1,
      anon_sym_EQ,
    ACTIONS(6008), 1,
      anon_sym_PIPE,
    ACTIONS(6010), 1,
      anon_sym_CARET,
    ACTIONS(6012), 1,
      anon_sym_AMP,
    ACTIONS(6026), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6032), 1,
      sym_test_operator,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6014), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6016), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6018), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [138239] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5601), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5599), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [138284] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5962), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5982), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5984), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5986), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5571), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [138339] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5916), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5914), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [138390] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5916), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5573), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [138439] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5916), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5573), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [138488] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5916), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5918), 1,
      sym_test_operator,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6088), 1,
      anon_sym_PIPE,
    ACTIONS(6090), 1,
      anon_sym_CARET,
    ACTIONS(6092), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6102), 1,
      anon_sym_QMARK,
    ACTIONS(6190), 1,
      anon_sym_COLON,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5910), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5912), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6096), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6098), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5914), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6082), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [138567] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5573), 1,
      anon_sym_EQ,
    ACTIONS(5966), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5968), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5970), 1,
      anon_sym_PIPE,
    ACTIONS(5972), 1,
      anon_sym_CARET,
    ACTIONS(5974), 1,
      anon_sym_AMP,
    ACTIONS(5988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5992), 1,
      anon_sym_QMARK,
    ACTIONS(5994), 1,
      sym_test_operator,
    ACTIONS(5962), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5980), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5982), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5984), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5986), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
  [138642] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5960), 1,
      anon_sym_EQ,
    ACTIONS(5966), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5968), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5970), 1,
      anon_sym_PIPE,
    ACTIONS(5972), 1,
      anon_sym_CARET,
    ACTIONS(5974), 1,
      anon_sym_AMP,
    ACTIONS(5988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5990), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5992), 1,
      anon_sym_QMARK,
    ACTIONS(5994), 1,
      sym_test_operator,
    ACTIONS(5962), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5980), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5982), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5984), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5986), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACK,
  [138719] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5573), 1,
      anon_sym_EQ,
    ACTIONS(5968), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5970), 1,
      anon_sym_PIPE,
    ACTIONS(5972), 1,
      anon_sym_CARET,
    ACTIONS(5974), 1,
      anon_sym_AMP,
    ACTIONS(5988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5994), 1,
      sym_test_operator,
    ACTIONS(5962), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5980), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5982), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5984), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5986), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [138790] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5902), 1,
      sym_test_operator,
    ACTIONS(5868), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5577), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5575), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [138847] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5868), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5577), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5575), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [138902] = 14,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6010), 1,
      anon_sym_CARET,
    ACTIONS(6012), 1,
      anon_sym_AMP,
    ACTIONS(6026), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6032), 1,
      sym_test_operator,
    ACTIONS(5573), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6014), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6016), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6018), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [138969] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6012), 1,
      anon_sym_AMP,
    ACTIONS(6026), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6032), 1,
      sym_test_operator,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6014), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6016), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6018), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5573), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(6024), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [139034] = 15,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5573), 1,
      anon_sym_EQ,
    ACTIONS(5970), 1,
      anon_sym_PIPE,
    ACTIONS(5972), 1,
      anon_sym_CARET,
    ACTIONS(5974), 1,
      anon_sym_AMP,
    ACTIONS(5988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5994), 1,
      sym_test_operator,
    ACTIONS(5962), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5980), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5982), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5984), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5986), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [139103] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [139148] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5868), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5577), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5575), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [139195] = 14,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5972), 1,
      anon_sym_CARET,
    ACTIONS(5974), 1,
      anon_sym_AMP,
    ACTIONS(5988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5994), 1,
      sym_test_operator,
    ACTIONS(5573), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(5962), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5980), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5982), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5984), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5986), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [139262] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6192), 2,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [139339] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5974), 1,
      anon_sym_AMP,
    ACTIONS(5988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5994), 1,
      sym_test_operator,
    ACTIONS(5962), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5980), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5982), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5984), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5573), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(5986), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [139404] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6026), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6032), 1,
      sym_test_operator,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6014), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6016), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6018), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5571), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [139467] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym_LBRACK,
    ACTIONS(5378), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5376), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [139514] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5994), 1,
      sym_test_operator,
    ACTIONS(5962), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5980), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5982), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5984), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5986), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5571), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [139577] = 11,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6026), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6032), 1,
      sym_test_operator,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6016), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6018), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5571), 18,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [139638] = 11,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5994), 1,
      sym_test_operator,
    ACTIONS(5962), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5980), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5982), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5984), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5986), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5571), 18,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [139699] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5573), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5571), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [139744] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5994), 1,
      sym_test_operator,
    ACTIONS(5962), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5982), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5984), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5986), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5571), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [139801] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5962), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5984), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5986), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 8,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5571), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [139854] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5868), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5577), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5575), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [139909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [139954] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5962), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5986), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [140005] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5962), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5573), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [140054] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5962), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5573), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [140103] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5573), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5571), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [140148] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6026), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6032), 1,
      sym_test_operator,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5577), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5575), 20,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [140205] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6026), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6032), 1,
      sym_test_operator,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5571), 20,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [140262] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6196), 1,
      sym__special_character,
    STATE(2604), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1296), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [140311] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6000), 1,
      anon_sym_EQ,
    ACTIONS(6004), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6006), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6008), 1,
      anon_sym_PIPE,
    ACTIONS(6010), 1,
      anon_sym_CARET,
    ACTIONS(6012), 1,
      anon_sym_AMP,
    ACTIONS(6026), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6028), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6030), 1,
      anon_sym_QMARK,
    ACTIONS(6032), 1,
      sym_test_operator,
    ACTIONS(6188), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6014), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6016), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6018), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6002), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [140390] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5729), 1,
      anon_sym_DQUOTE,
    STATE(3632), 1,
      sym_string,
    ACTIONS(1175), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(5731), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(5727), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [140443] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6026), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 8,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5571), 21,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [140496] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5729), 1,
      anon_sym_DQUOTE,
    STATE(3632), 1,
      sym_string,
    ACTIONS(1171), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(5731), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(5727), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [140549] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5281), 1,
      sym_word,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6199), 1,
      anon_sym_esac,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5999), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6052), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2687), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [140638] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5866), 1,
      anon_sym_EQ,
    ACTIONS(5872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5874), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5876), 1,
      anon_sym_PIPE,
    ACTIONS(5878), 1,
      anon_sym_CARET,
    ACTIONS(5880), 1,
      anon_sym_AMP,
    ACTIONS(5894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5898), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5900), 1,
      anon_sym_QMARK,
    ACTIONS(5902), 1,
      sym_test_operator,
    ACTIONS(6201), 1,
      anon_sym_RPAREN,
    ACTIONS(5868), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5882), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5884), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5870), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [140717] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6026), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5577), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5575), 21,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [140772] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5916), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5918), 1,
      sym_test_operator,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6088), 1,
      anon_sym_PIPE,
    ACTIONS(6090), 1,
      anon_sym_CARET,
    ACTIONS(6092), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6102), 1,
      anon_sym_QMARK,
    ACTIONS(6203), 1,
      anon_sym_COLON,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5910), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5912), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6096), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6098), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5914), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6082), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [140851] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6026), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6024), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 21,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [140902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [140947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [140992] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6026), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5573), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 21,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [141041] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5601), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5599), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [141086] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6026), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6024), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5577), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5575), 21,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [141141] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6205), 1,
      sym__special_character,
    STATE(2604), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4118), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4120), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [141190] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5916), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5918), 1,
      sym_test_operator,
    ACTIONS(6080), 1,
      anon_sym_EQ,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6088), 1,
      anon_sym_PIPE,
    ACTIONS(6090), 1,
      anon_sym_CARET,
    ACTIONS(6092), 1,
      anon_sym_AMP,
    ACTIONS(6100), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6102), 1,
      anon_sym_QMARK,
    ACTIONS(6207), 1,
      anon_sym_COLON,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5910), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5912), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6096), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6098), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5914), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6082), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [141269] = 17,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5842), 1,
      anon_sym_EQ,
    ACTIONS(5966), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5968), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5970), 1,
      anon_sym_PIPE,
    ACTIONS(5972), 1,
      anon_sym_CARET,
    ACTIONS(5974), 1,
      anon_sym_AMP,
    ACTIONS(5988), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5994), 1,
      sym_test_operator,
    ACTIONS(5962), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5976), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5978), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5980), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5982), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5984), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5986), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5844), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [141342] = 17,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5842), 1,
      anon_sym_EQ,
    ACTIONS(5916), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5918), 1,
      sym_test_operator,
    ACTIONS(6084), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6086), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6088), 1,
      anon_sym_PIPE,
    ACTIONS(6090), 1,
      anon_sym_CARET,
    ACTIONS(6092), 1,
      anon_sym_AMP,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5910), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5912), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6096), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6098), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5914), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5844), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [141415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [141460] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5573), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5571), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [141505] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5573), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5571), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [141550] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1200), 24,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [141595] = 14,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5878), 1,
      anon_sym_CARET,
    ACTIONS(5880), 1,
      anon_sym_AMP,
    ACTIONS(5894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5902), 1,
      sym_test_operator,
    ACTIONS(5573), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(5868), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5882), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5884), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5886), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5888), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5892), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [141662] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5666), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [141738] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5612), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [141814] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1246), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [141858] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1258), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [141902] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym_file_descriptor,
    ACTIONS(2937), 1,
      anon_sym_DQUOTE,
    STATE(3642), 1,
      sym_string,
    ACTIONS(6070), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6068), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [141954] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1234), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [141998] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      aux_sym_concatenation_token1,
    ACTIONS(6245), 1,
      sym__concat,
    STATE(2875), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 29,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [142048] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1254), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [142092] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1278), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [142136] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1238), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [142180] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1226), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [142224] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1290), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [142268] = 10,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5652), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5650), 18,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [142326] = 11,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5652), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5650), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [142386] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1266), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [142430] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1282), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [142474] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1266), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [142518] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1270), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [142562] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5652), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5650), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [142624] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5652), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5650), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [142688] = 14,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5652), 1,
      anon_sym_EQ,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5650), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [142754] = 15,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5652), 1,
      anon_sym_EQ,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5650), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [142822] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5650), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACK,
  [142896] = 17,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5652), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5650), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
  [142968] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5803), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5801), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [143012] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5777), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [143088] = 14,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5652), 1,
      anon_sym_EQ,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6251), 1,
      anon_sym_CARET,
    ACTIONS(6253), 1,
      anon_sym_AMP,
    ACTIONS(6267), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6247), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6257), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6259), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6261), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6263), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5650), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [143154] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6180), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(6182), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [143198] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6271), 1,
      anon_sym_DQUOTE,
    STATE(3599), 1,
      sym_string,
    ACTIONS(6273), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(6269), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [143250] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6271), 1,
      anon_sym_DQUOTE,
    STATE(3599), 1,
      sym_string,
    ACTIONS(6273), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(6269), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [143302] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6251), 1,
      anon_sym_CARET,
    ACTIONS(6253), 1,
      anon_sym_AMP,
    ACTIONS(6267), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_EQ,
    ACTIONS(6279), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6281), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6283), 1,
      anon_sym_RPAREN,
    ACTIONS(6285), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6287), 1,
      anon_sym_QMARK,
    ACTIONS(6247), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6257), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6259), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6261), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6263), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6277), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [143378] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5848), 1,
      anon_sym_EQ,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6251), 1,
      anon_sym_CARET,
    ACTIONS(6253), 1,
      anon_sym_AMP,
    ACTIONS(6267), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6279), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6281), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6247), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6257), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6259), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6261), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6263), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5846), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [143448] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6076), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(6078), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [143492] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5719), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5717), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [143536] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5281), 1,
      sym_word,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5581), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6052), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2876), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [143622] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5281), 1,
      sym_word,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5589), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6052), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2876), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [143708] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5281), 1,
      sym_word,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5963), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6052), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2876), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [143794] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6166), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(6168), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [143838] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5281), 1,
      sym_word,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5964), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6052), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2876), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [143924] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5685), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5683), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [143968] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6289), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5860), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5864), 21,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [144014] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5281), 1,
      sym_word,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5965), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6052), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2876), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [144100] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5281), 1,
      sym_word,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5967), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6052), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2876), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [144186] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6291), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5577), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5575), 20,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [144240] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5281), 1,
      sym_word,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5976), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6052), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2876), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [144326] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6291), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5577), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5575), 20,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [144380] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(6299), 1,
      anon_sym_COLON,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [144456] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5281), 1,
      sym_word,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5978), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6052), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2876), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [144542] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6301), 1,
      sym_test_operator,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6291), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5577), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5575), 19,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [144598] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5709), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5707), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [144642] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5757), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5755), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [144696] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5757), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5755), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [144742] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5281), 1,
      sym_word,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5467), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6052), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2876), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [144828] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6305), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6303), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5904), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5908), 21,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [144876] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6271), 1,
      anon_sym_DQUOTE,
    STATE(3599), 1,
      sym_string,
    ACTIONS(1171), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(6273), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6269), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [144928] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6305), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6303), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5904), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5908), 21,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [144976] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6305), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6303), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6307), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5904), 9,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5908), 21,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [145026] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6271), 1,
      anon_sym_DQUOTE,
    STATE(3599), 1,
      sym_string,
    ACTIONS(1175), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(6273), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6269), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [145078] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6305), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6303), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6309), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6307), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5904), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5908), 21,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [145130] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5281), 1,
      sym_word,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5997), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6052), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2876), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [145216] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5281), 1,
      sym_word,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5998), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6052), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2876), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [145302] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5757), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5755), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [145356] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6305), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6303), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6309), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6311), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6307), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5904), 5,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5908), 21,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [145410] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5281), 1,
      sym_word,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5999), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6052), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2876), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [145496] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5281), 1,
      sym_word,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(6000), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6052), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2876), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [145582] = 10,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6305), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6303), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6309), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6311), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6313), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6315), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5904), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(6307), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5908), 19,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [145640] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5281), 1,
      sym_word,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(6004), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6052), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2876), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [145726] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5281), 1,
      sym_word,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(6005), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6052), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2876), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [145812] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6184), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(6186), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [145856] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5281), 1,
      sym_word,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5464), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6052), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2876), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [145942] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5590), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5588), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [145986] = 11,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6305), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6303), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6309), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6311), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6313), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6315), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6317), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5904), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(6307), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5908), 17,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
  [146046] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5781), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [146122] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5779), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [146198] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5672), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [146274] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5767), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [146350] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5763), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [146426] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5761), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [146502] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6180), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(6182), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [146546] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5759), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [146622] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1266), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [146666] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5739), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [146742] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5281), 1,
      sym_word,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5486), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6052), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2876), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [146828] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5737), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [146904] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5281), 1,
      sym_word,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5315), 1,
      sym_test_operator,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5049), 1,
      aux_sym__literal_repeat1,
    STATE(5512), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6052), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2876), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5236), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4987), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [146990] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5735), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [147066] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6305), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6319), 1,
      anon_sym_AMP,
    ACTIONS(5904), 2,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(6303), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6309), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6311), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6313), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6315), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6317), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6307), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5908), 17,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
  [147128] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5705), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [147204] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1270), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [147248] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(6321), 1,
      anon_sym_COLON,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [147324] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5691), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [147400] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1266), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [147444] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5687), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [147520] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1234), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [147564] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5854), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [147640] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1226), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [147684] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5654), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [147760] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5656), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [147836] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5608), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5606), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [147880] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5904), 1,
      anon_sym_PIPE,
    ACTIONS(6305), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6319), 1,
      anon_sym_AMP,
    ACTIONS(6323), 1,
      anon_sym_CARET,
    ACTIONS(6303), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6309), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6311), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6313), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6315), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6317), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6307), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5908), 17,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
  [147944] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [148020] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6305), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6319), 1,
      anon_sym_AMP,
    ACTIONS(6323), 1,
      anon_sym_CARET,
    ACTIONS(6325), 1,
      anon_sym_PIPE,
    ACTIONS(6303), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6309), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6311), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6313), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6315), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6317), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6307), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5908), 17,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
  [148084] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5660), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [148160] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5662), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [148236] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1278), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [148280] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5685), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5683), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [148324] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5719), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5717), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [148368] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5664), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [148444] = 14,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6305), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6319), 1,
      anon_sym_AMP,
    ACTIONS(6323), 1,
      anon_sym_CARET,
    ACTIONS(6325), 1,
      anon_sym_PIPE,
    ACTIONS(6303), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6309), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6311), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6313), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6315), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6317), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6327), 2,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
    ACTIONS(6307), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5908), 15,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
  [148510] = 15,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6305), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6319), 1,
      anon_sym_AMP,
    ACTIONS(6323), 1,
      anon_sym_CARET,
    ACTIONS(6325), 1,
      anon_sym_PIPE,
    ACTIONS(6303), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6309), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6311), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6313), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6315), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6317), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6327), 2,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
    ACTIONS(6329), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
    ACTIONS(6307), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5908), 13,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [148578] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6112), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(6114), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [148622] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5668), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [148698] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6291), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5571), 20,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [148752] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1290), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [148796] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5573), 1,
      anon_sym_EQ,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6301), 1,
      sym_test_operator,
    ACTIONS(6331), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6333), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_CARET,
    ACTIONS(6339), 1,
      anon_sym_AMP,
    ACTIONS(6347), 1,
      anon_sym_QMARK,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6291), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6341), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6343), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6345), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6295), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_EQ_TILDE,
  [148870] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6301), 1,
      sym_test_operator,
    ACTIONS(6331), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6333), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_CARET,
    ACTIONS(6339), 1,
      anon_sym_AMP,
    ACTIONS(6347), 1,
      anon_sym_QMARK,
    ACTIONS(6349), 1,
      anon_sym_EQ,
    ACTIONS(6351), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6291), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6341), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6343), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6345), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6295), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [148946] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5573), 1,
      anon_sym_EQ,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6301), 1,
      sym_test_operator,
    ACTIONS(6333), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_CARET,
    ACTIONS(6339), 1,
      anon_sym_AMP,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6291), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6341), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6343), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6345), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6295), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [149016] = 15,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5573), 1,
      anon_sym_EQ,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6301), 1,
      sym_test_operator,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_CARET,
    ACTIONS(6339), 1,
      anon_sym_AMP,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6291), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6341), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6343), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6345), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6295), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [149084] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5670), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [149160] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1258), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [149204] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1246), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [149248] = 14,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6301), 1,
      sym_test_operator,
    ACTIONS(6337), 1,
      anon_sym_CARET,
    ACTIONS(6339), 1,
      anon_sym_AMP,
    ACTIONS(5573), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6291), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6341), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6343), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6345), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6295), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [149314] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6301), 1,
      sym_test_operator,
    ACTIONS(6339), 1,
      anon_sym_AMP,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6291), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6341), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6343), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6345), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5573), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(6295), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [149378] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6301), 1,
      sym_test_operator,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6291), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6341), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6343), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6345), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6295), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5571), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [149440] = 11,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6301), 1,
      sym_test_operator,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6291), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6343), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6345), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6295), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5571), 17,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [149500] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1254), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [149544] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6301), 1,
      sym_test_operator,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6291), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5571), 19,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [149600] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6295), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 8,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5571), 20,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [149652] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5838), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [149728] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6295), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5573), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5571), 20,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [149778] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5573), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 20,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [149826] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5573), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5571), 20,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [149874] = 17,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5842), 1,
      anon_sym_EQ,
    ACTIONS(6297), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6301), 1,
      sym_test_operator,
    ACTIONS(6331), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6333), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6335), 1,
      anon_sym_PIPE,
    ACTIONS(6337), 1,
      anon_sym_CARET,
    ACTIONS(6339), 1,
      anon_sym_AMP,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6291), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6293), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6341), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6343), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6345), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6295), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5844), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [149946] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5674), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [150022] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5679), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [150098] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1238), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [150142] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5681), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [150218] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5689), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [150294] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5695), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [150370] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5608), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5606), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [150414] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      aux_sym_concatenation_token1,
    ACTIONS(6353), 1,
      sym__concat,
    STATE(2838), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4150), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4148), 29,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [150464] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6251), 1,
      anon_sym_CARET,
    ACTIONS(6253), 1,
      anon_sym_AMP,
    ACTIONS(6267), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_EQ,
    ACTIONS(6279), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6281), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6285), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6287), 1,
      anon_sym_QMARK,
    ACTIONS(6355), 1,
      anon_sym_RPAREN,
    ACTIONS(6247), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6257), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6259), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6261), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6263), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6277), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [150540] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      aux_sym_concatenation_token1,
    ACTIONS(6353), 1,
      sym__concat,
    STATE(2634), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4120), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4118), 29,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [150590] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5590), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5588), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [150634] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1290), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [150678] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5697), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [150754] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5765), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [150830] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5701), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5715), 1,
      sym_test_operator,
    ACTIONS(5733), 1,
      anon_sym_AMP,
    ACTIONS(5741), 1,
      anon_sym_CARET,
    ACTIONS(5743), 1,
      anon_sym_PIPE,
    ACTIONS(5745), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5747), 1,
      anon_sym_EQ,
    ACTIONS(5749), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5751), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6347), 1,
      anon_sym_QMARK,
    ACTIONS(5579), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5711), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5713), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5721), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5723), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5725), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5703), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6357), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [150906] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1282), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [150950] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1266), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [150994] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      sym_file_descriptor,
    ACTIONS(2937), 1,
      anon_sym_DQUOTE,
    STATE(3642), 1,
      sym_string,
    ACTIONS(6070), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6068), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [151046] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1266), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [151090] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6247), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5652), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5650), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [151136] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5769), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [151212] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1282), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [151256] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6267), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6247), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5652), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5650), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [151304] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6267), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6247), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5652), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5650), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [151354] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6267), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6247), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6263), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5652), 8,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5650), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [151406] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6267), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6247), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6261), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6263), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5652), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5650), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [151460] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5771), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [151536] = 10,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6267), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6247), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6257), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6259), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6261), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6263), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5652), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5650), 18,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [151594] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1270), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [151638] = 11,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6267), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6247), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6257), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6259), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6261), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6263), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5652), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5650), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [151698] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym_AMP,
    ACTIONS(6267), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6247), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6257), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6259), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6261), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6263), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5652), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5650), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [151760] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1238), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [151804] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1266), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [151848] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1282), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [151892] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1266), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [151936] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6251), 1,
      anon_sym_CARET,
    ACTIONS(6253), 1,
      anon_sym_AMP,
    ACTIONS(6267), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5652), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(6247), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6257), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6259), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6261), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6263), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5650), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [152000] = 15,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5652), 1,
      anon_sym_EQ,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6251), 1,
      anon_sym_CARET,
    ACTIONS(6253), 1,
      anon_sym_AMP,
    ACTIONS(6267), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6281), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6247), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6257), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6259), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6261), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6263), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5650), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [152068] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1278), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [152112] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5773), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [152188] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6251), 1,
      anon_sym_CARET,
    ACTIONS(6253), 1,
      anon_sym_AMP,
    ACTIONS(6267), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_EQ,
    ACTIONS(6279), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6281), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6285), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6287), 1,
      anon_sym_QMARK,
    ACTIONS(6247), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6257), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6259), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6261), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6263), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5650), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
  [152262] = 17,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5652), 1,
      anon_sym_EQ,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6251), 1,
      anon_sym_CARET,
    ACTIONS(6253), 1,
      anon_sym_AMP,
    ACTIONS(6267), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6279), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6281), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6287), 1,
      anon_sym_QMARK,
    ACTIONS(6247), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6257), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6259), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6261), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6263), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5650), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
  [152334] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1254), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [152378] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5803), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5801), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [152422] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1226), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [152466] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6365), 1,
      anon_sym_PIPE,
    ACTIONS(6367), 1,
      anon_sym_CARET,
    ACTIONS(6369), 1,
      anon_sym_AMP,
    ACTIONS(6383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6178), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6289), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
    ACTIONS(6363), 2,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
    ACTIONS(6371), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6373), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6375), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6377), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6359), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [152536] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6166), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(6168), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [152580] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1234), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [152624] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5775), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [152700] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1246), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [152744] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6303), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5860), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5864), 21,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [152790] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6271), 1,
      anon_sym_DQUOTE,
    STATE(3599), 1,
      sym_string,
    ACTIONS(1171), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(6273), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6269), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_BQUOTE,
  [152842] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1258), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [152886] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5856), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [152962] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6271), 1,
      anon_sym_DQUOTE,
    STATE(3599), 1,
      sym_string,
    ACTIONS(1175), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(6273), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6269), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_BQUOTE,
  [153014] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5828), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5826), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [153058] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5709), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5707), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [153102] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5783), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [153178] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6267), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6247), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6261), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6263), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5757), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5755), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [153232] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6247), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5757), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5755), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [153278] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6267), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6247), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6261), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6263), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5757), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5755), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [153332] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6180), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(6182), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [153376] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5828), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5826), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [153420] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6184), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(6186), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [153464] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5785), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [153540] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5824), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5822), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [153584] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6180), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(6182), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [153628] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6305), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6319), 1,
      anon_sym_AMP,
    ACTIONS(6323), 1,
      anon_sym_CARET,
    ACTIONS(6325), 1,
      anon_sym_PIPE,
    ACTIONS(6178), 2,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
    ACTIONS(6303), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6309), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6311), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6313), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6315), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6317), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6327), 2,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
    ACTIONS(6329), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
    ACTIONS(6307), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6385), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [153698] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      aux_sym_concatenation_token1,
    ACTIONS(6353), 1,
      sym__concat,
    STATE(2634), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 29,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [153748] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6249), 1,
      anon_sym_PIPE,
    ACTIONS(6251), 1,
      anon_sym_CARET,
    ACTIONS(6253), 1,
      anon_sym_AMP,
    ACTIONS(6267), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6275), 1,
      anon_sym_EQ,
    ACTIONS(6279), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6281), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6285), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6287), 1,
      anon_sym_QMARK,
    ACTIONS(6387), 1,
      anon_sym_RPAREN,
    ACTIONS(6247), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6257), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6259), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6261), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6263), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6277), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [153824] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5818), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5816), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [153868] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5787), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [153944] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1270), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [153988] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5616), 1,
      anon_sym_EQ,
    ACTIONS(5622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5626), 1,
      anon_sym_PIPE,
    ACTIONS(5628), 1,
      anon_sym_CARET,
    ACTIONS(5630), 1,
      anon_sym_AMP,
    ACTIONS(5644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5646), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5648), 1,
      anon_sym_QMARK,
    ACTIONS(6389), 1,
      anon_sym_COLON,
    ACTIONS(5618), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5634), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5636), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5640), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5620), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [154064] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5836), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [154140] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5652), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5650), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [154194] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5652), 8,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5650), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [154246] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1234), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [154290] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      aux_sym_concatenation_token1,
    ACTIONS(6391), 1,
      sym__concat,
    STATE(2875), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 29,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [154340] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1226), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [154384] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5652), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5650), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [154434] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [154510] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5652), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5650), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [154558] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5828), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5826), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [154602] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5828), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5826), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [154646] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5808), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [154722] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5824), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5822), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [154766] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5818), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5816), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [154810] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1278), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [154854] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [154930] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5848), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5846), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [155000] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5652), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5650), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [155046] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6076), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(6078), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [155090] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6289), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5904), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5908), 21,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [155138] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6289), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5904), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5908), 21,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [155186] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6289), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5904), 9,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5908), 21,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [155236] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5793), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [155312] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1290), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [155356] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6289), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5904), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5908), 21,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [155408] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6289), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6377), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5904), 5,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5908), 21,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [155462] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1238), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [155506] = 10,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6289), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6373), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6375), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6377), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5904), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(6381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5908), 19,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RPAREN,
  [155564] = 11,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6289), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6371), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6373), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6375), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6377), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5904), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(6381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5908), 17,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_RPAREN,
  [155624] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1258), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [155668] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1246), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [155712] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5832), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [155788] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6369), 1,
      anon_sym_AMP,
    ACTIONS(6383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5904), 2,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(6289), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6371), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6373), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6375), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6377), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5908), 17,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_RPAREN,
  [155850] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5693), 1,
      anon_sym_RBRACK,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(6215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_PIPE,
    ACTIONS(6221), 1,
      anon_sym_CARET,
    ACTIONS(6223), 1,
      anon_sym_AMP,
    ACTIONS(6237), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6239), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6241), 1,
      anon_sym_QMARK,
    ACTIONS(6211), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6225), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6229), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6231), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6233), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6235), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6213), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [155926] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1200), 24,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [155970] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1254), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [156014] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5904), 1,
      anon_sym_PIPE,
    ACTIONS(6367), 1,
      anon_sym_CARET,
    ACTIONS(6369), 1,
      anon_sym_AMP,
    ACTIONS(6383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6289), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6371), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6373), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6375), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6377), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5908), 17,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_RPAREN,
  [156078] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6365), 1,
      anon_sym_PIPE,
    ACTIONS(6367), 1,
      anon_sym_CARET,
    ACTIONS(6369), 1,
      anon_sym_AMP,
    ACTIONS(6383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6289), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6371), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6373), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6375), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6377), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5908), 17,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_RPAREN,
  [156142] = 14,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6365), 1,
      anon_sym_PIPE,
    ACTIONS(6367), 1,
      anon_sym_CARET,
    ACTIONS(6369), 1,
      anon_sym_AMP,
    ACTIONS(6383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6289), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6363), 2,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
    ACTIONS(6371), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6373), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6375), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6377), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5908), 15,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_RPAREN,
  [156208] = 15,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6365), 1,
      anon_sym_PIPE,
    ACTIONS(6367), 1,
      anon_sym_CARET,
    ACTIONS(6369), 1,
      anon_sym_AMP,
    ACTIONS(6383), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6289), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
    ACTIONS(6363), 2,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
    ACTIONS(6371), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6373), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6375), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6377), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6381), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5908), 13,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
  [156276] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6112), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(6114), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [156320] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 1,
      aux_sym_concatenation_token1,
    ACTIONS(6396), 1,
      sym__concat,
    STATE(2875), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 29,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [156370] = 23,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6399), 1,
      sym_word,
    ACTIONS(6405), 1,
      anon_sym_LPAREN,
    ACTIONS(6408), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6411), 1,
      anon_sym_DOLLAR,
    ACTIONS(6414), 1,
      sym__special_character,
    ACTIONS(6417), 1,
      anon_sym_DQUOTE,
    ACTIONS(6423), 1,
      aux_sym_number_token1,
    ACTIONS(6426), 1,
      aux_sym_number_token2,
    ACTIONS(6429), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6432), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6435), 1,
      anon_sym_BQUOTE,
    ACTIONS(6438), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6444), 1,
      sym_test_operator,
    ACTIONS(6447), 1,
      sym_extglob_pattern,
    ACTIONS(6450), 1,
      sym__brace_start,
    STATE(5044), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6402), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6420), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6441), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2876), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5280), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4972), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [156453] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      sym_file_descriptor,
    ACTIONS(3436), 1,
      anon_sym_DQUOTE,
    STATE(3664), 1,
      sym_string,
    ACTIONS(6455), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6453), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [156504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [156547] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3436), 1,
      anon_sym_DQUOTE,
    STATE(3664), 1,
      sym_string,
    ACTIONS(1175), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(6455), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6453), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [156598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [156641] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2904), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6457), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4118), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4120), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [156688] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2907), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6457), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4148), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4150), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [156735] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2904), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6457), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3775), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3777), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [156782] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2907), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6457), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3787), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3789), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [156829] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2907), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6457), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1892), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1894), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [156876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [156919] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2904), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6457), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3791), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3793), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [156966] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2907), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6457), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3677), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3679), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [157013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [157056] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2907), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6457), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4226), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4228), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [157103] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2904), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6457), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4133), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4135), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [157150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [157193] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2907), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6457), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1900), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1902), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [157240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [157283] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6271), 1,
      anon_sym_DQUOTE,
    STATE(3599), 1,
      sym_string,
    ACTIONS(1175), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(6273), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6269), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [157334] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6271), 1,
      anon_sym_DQUOTE,
    STATE(3599), 1,
      sym_string,
    ACTIONS(1171), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(6273), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6269), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [157385] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3567), 1,
      anon_sym_DOLLAR,
    ACTIONS(3571), 1,
      anon_sym_DQUOTE,
    ACTIONS(3573), 1,
      aux_sym_number_token1,
    ACTIONS(3575), 1,
      aux_sym_number_token2,
    ACTIONS(3577), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3579), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3581), 1,
      anon_sym_BQUOTE,
    ACTIONS(3583), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3591), 1,
      sym__brace_start,
    ACTIONS(6463), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(6465), 1,
      sym__special_character,
    ACTIONS(6467), 1,
      sym_test_operator,
    STATE(3937), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3553), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2905), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(6459), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(6461), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3678), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [157464] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6469), 1,
      sym_word,
    ACTIONS(6473), 1,
      anon_sym_LPAREN,
    ACTIONS(6475), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6477), 1,
      anon_sym_DOLLAR,
    ACTIONS(6479), 1,
      sym__special_character,
    ACTIONS(6481), 1,
      anon_sym_DQUOTE,
    ACTIONS(6485), 1,
      aux_sym_number_token1,
    ACTIONS(6487), 1,
      aux_sym_number_token2,
    ACTIONS(6489), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6491), 1,
      anon_sym_RBRACE3,
    ACTIONS(6493), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_BQUOTE,
    ACTIONS(6497), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6501), 1,
      sym_variable_name,
    ACTIONS(6503), 1,
      sym_test_operator,
    ACTIONS(6505), 1,
      sym__expansion_word,
    ACTIONS(6507), 1,
      sym__brace_start,
    STATE(4978), 1,
      sym_command_substitution,
    STATE(5130), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6471), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6483), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6499), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(5061), 4,
      sym_string,
      sym_array,
      sym_simple_expansion,
      sym_expansion,
    STATE(5374), 6,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_number,
      sym__concatenation_in_expansion,
      sym_process_substitution,
  [157551] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3567), 1,
      anon_sym_DOLLAR,
    ACTIONS(3571), 1,
      anon_sym_DQUOTE,
    ACTIONS(3573), 1,
      aux_sym_number_token1,
    ACTIONS(3575), 1,
      aux_sym_number_token2,
    ACTIONS(3577), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3579), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3581), 1,
      anon_sym_BQUOTE,
    ACTIONS(3583), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3591), 1,
      sym__brace_start,
    ACTIONS(6465), 1,
      sym__special_character,
    ACTIONS(6467), 1,
      sym_test_operator,
    ACTIONS(6511), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3937), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3553), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2905), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(6459), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(6509), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3678), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [157630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [157673] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6473), 1,
      anon_sym_LPAREN,
    ACTIONS(6475), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6477), 1,
      anon_sym_DOLLAR,
    ACTIONS(6479), 1,
      sym__special_character,
    ACTIONS(6481), 1,
      anon_sym_DQUOTE,
    ACTIONS(6485), 1,
      aux_sym_number_token1,
    ACTIONS(6487), 1,
      aux_sym_number_token2,
    ACTIONS(6489), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6493), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_BQUOTE,
    ACTIONS(6497), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6501), 1,
      sym_variable_name,
    ACTIONS(6507), 1,
      sym__brace_start,
    ACTIONS(6513), 1,
      sym_word,
    ACTIONS(6517), 1,
      anon_sym_RBRACE3,
    ACTIONS(6519), 1,
      sym_test_operator,
    ACTIONS(6521), 1,
      sym__expansion_word,
    STATE(4997), 1,
      sym_command_substitution,
    STATE(5151), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6471), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6499), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(6515), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(5071), 4,
      sym_string,
      sym_array,
      sym_simple_expansion,
      sym_expansion,
    STATE(5343), 6,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_number,
      sym__concatenation_in_expansion,
      sym_process_substitution,
  [157760] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3436), 1,
      anon_sym_DQUOTE,
    STATE(3664), 1,
      sym_string,
    ACTIONS(1171), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(6455), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6453), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [157811] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3567), 1,
      anon_sym_DOLLAR,
    ACTIONS(3571), 1,
      anon_sym_DQUOTE,
    ACTIONS(3573), 1,
      aux_sym_number_token1,
    ACTIONS(3575), 1,
      aux_sym_number_token2,
    ACTIONS(3577), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3579), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3581), 1,
      anon_sym_BQUOTE,
    ACTIONS(3583), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3591), 1,
      sym__brace_start,
    ACTIONS(6465), 1,
      sym__special_character,
    ACTIONS(6467), 1,
      sym_test_operator,
    ACTIONS(6525), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3937), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3553), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2905), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(6459), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(6523), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3678), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [157890] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6457), 1,
      aux_sym_concatenation_token1,
    ACTIONS(6527), 1,
      sym__concat,
    STATE(2910), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1218), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1220), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [157939] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(6535), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6538), 1,
      anon_sym_DOLLAR,
    ACTIONS(6541), 1,
      sym__special_character,
    ACTIONS(6544), 1,
      anon_sym_DQUOTE,
    ACTIONS(6547), 1,
      aux_sym_number_token1,
    ACTIONS(6550), 1,
      aux_sym_number_token2,
    ACTIONS(6553), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6556), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6559), 1,
      anon_sym_BQUOTE,
    ACTIONS(6562), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6568), 1,
      sym_test_operator,
    ACTIONS(6571), 1,
      sym__brace_start,
    STATE(3937), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6532), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6565), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2905), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(2047), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    ACTIONS(6529), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(3678), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [158018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [158061] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6457), 1,
      aux_sym_concatenation_token1,
    ACTIONS(6574), 1,
      sym__concat,
    STATE(2910), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1202), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1204), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [158110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [158153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [158196] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2910), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6576), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1208), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1210), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [158243] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2904), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6457), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1200), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [158290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [158333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [158376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [158419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [158462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [158505] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6473), 1,
      anon_sym_LPAREN,
    ACTIONS(6475), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6477), 1,
      anon_sym_DOLLAR,
    ACTIONS(6479), 1,
      sym__special_character,
    ACTIONS(6481), 1,
      anon_sym_DQUOTE,
    ACTIONS(6485), 1,
      aux_sym_number_token1,
    ACTIONS(6487), 1,
      aux_sym_number_token2,
    ACTIONS(6489), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6493), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_BQUOTE,
    ACTIONS(6497), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6501), 1,
      sym_variable_name,
    ACTIONS(6507), 1,
      sym__brace_start,
    ACTIONS(6579), 1,
      sym_word,
    ACTIONS(6583), 1,
      anon_sym_RBRACE3,
    ACTIONS(6585), 1,
      sym_test_operator,
    ACTIONS(6587), 1,
      sym__expansion_word,
    STATE(4968), 1,
      sym_command_substitution,
    STATE(5131), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6471), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6499), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(6581), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(5053), 4,
      sym_string,
      sym_array,
      sym_simple_expansion,
      sym_expansion,
    STATE(5366), 6,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_number,
      sym__concatenation_in_expansion,
      sym_process_substitution,
  [158592] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym_file_descriptor,
    ACTIONS(3436), 1,
      anon_sym_DQUOTE,
    STATE(3664), 1,
      sym_string,
    ACTIONS(6455), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6453), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_BQUOTE,
  [158643] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      sym_file_descriptor,
    ACTIONS(3436), 1,
      anon_sym_DQUOTE,
    STATE(3664), 1,
      sym_string,
    ACTIONS(6455), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6453), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_BQUOTE,
  [158694] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym_file_descriptor,
    ACTIONS(3436), 1,
      anon_sym_DQUOTE,
    STATE(3664), 1,
      sym_string,
    ACTIONS(6455), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6453), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [158745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [158788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [158831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [158874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [158917] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6589), 1,
      sym_word,
    ACTIONS(6593), 1,
      anon_sym_LPAREN,
    ACTIONS(6595), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6597), 1,
      anon_sym_DOLLAR,
    ACTIONS(6599), 1,
      sym__special_character,
    ACTIONS(6601), 1,
      anon_sym_DQUOTE,
    ACTIONS(6605), 1,
      aux_sym_number_token1,
    ACTIONS(6607), 1,
      aux_sym_number_token2,
    ACTIONS(6609), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6611), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6613), 1,
      anon_sym_BQUOTE,
    ACTIONS(6615), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6619), 1,
      sym__comment_word,
    ACTIONS(6621), 1,
      sym__empty_value,
    ACTIONS(6623), 1,
      sym_test_operator,
    ACTIONS(6625), 1,
      sym__brace_start,
    STATE(2981), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6591), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6603), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6617), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3017), 2,
      sym_concatenation,
      sym_array,
    STATE(2890), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [158999] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1250), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [159041] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1266), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [159083] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1282), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [159125] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      sym_file_descriptor,
    ACTIONS(3436), 1,
      anon_sym_DQUOTE,
    STATE(3664), 1,
      sym_string,
    ACTIONS(6455), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6453), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [159175] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6627), 1,
      sym_word,
    ACTIONS(6631), 1,
      anon_sym_LPAREN,
    ACTIONS(6633), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6635), 1,
      anon_sym_DOLLAR,
    ACTIONS(6637), 1,
      sym__special_character,
    ACTIONS(6639), 1,
      anon_sym_DQUOTE,
    ACTIONS(6643), 1,
      aux_sym_number_token1,
    ACTIONS(6645), 1,
      aux_sym_number_token2,
    ACTIONS(6647), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6649), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6651), 1,
      anon_sym_BQUOTE,
    ACTIONS(6653), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6657), 1,
      sym__comment_word,
    ACTIONS(6659), 1,
      sym__empty_value,
    ACTIONS(6661), 1,
      sym_test_operator,
    ACTIONS(6663), 1,
      sym__brace_start,
    STATE(1515), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6629), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6641), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6655), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1617), 2,
      sym_concatenation,
      sym_array,
    STATE(1175), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [159257] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym_file_descriptor,
    ACTIONS(3436), 1,
      anon_sym_DQUOTE,
    STATE(3664), 1,
      sym_string,
    ACTIONS(6455), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6453), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [159307] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1266), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [159349] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1238), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [159391] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1910), 1,
      anon_sym_DOLLAR,
    ACTIONS(1916), 1,
      aux_sym_number_token1,
    ACTIONS(1918), 1,
      aux_sym_number_token2,
    ACTIONS(1922), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1936), 1,
      sym__brace_start,
    ACTIONS(6665), 1,
      sym_word,
    ACTIONS(6669), 1,
      anon_sym_LPAREN,
    ACTIONS(6671), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6673), 1,
      sym__special_character,
    ACTIONS(6675), 1,
      anon_sym_DQUOTE,
    ACTIONS(6679), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6681), 1,
      anon_sym_BQUOTE,
    ACTIONS(6683), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6687), 1,
      sym__comment_word,
    ACTIONS(6689), 1,
      sym__empty_value,
    ACTIONS(6691), 1,
      sym_test_operator,
    STATE(1502), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6667), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6677), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6685), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1631), 2,
      sym_concatenation,
      sym_array,
    STATE(1173), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [159473] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1254), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [159515] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6693), 1,
      sym_word,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6699), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6701), 1,
      anon_sym_DOLLAR,
    ACTIONS(6703), 1,
      sym__special_character,
    ACTIONS(6705), 1,
      anon_sym_DQUOTE,
    ACTIONS(6709), 1,
      aux_sym_number_token1,
    ACTIONS(6711), 1,
      aux_sym_number_token2,
    ACTIONS(6713), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6717), 1,
      anon_sym_BQUOTE,
    ACTIONS(6719), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6723), 1,
      sym__comment_word,
    ACTIONS(6725), 1,
      sym__empty_value,
    ACTIONS(6727), 1,
      sym_test_operator,
    ACTIONS(6729), 1,
      sym__brace_start,
    STATE(3617), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6695), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6707), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6721), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3890), 2,
      sym_concatenation,
      sym_array,
    STATE(4179), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [159597] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1258), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [159639] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1246), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [159681] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1290), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [159723] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6731), 1,
      sym__special_character,
    STATE(2967), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4120), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4118), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [159769] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6733), 1,
      sym_word,
    ACTIONS(6737), 1,
      anon_sym_LPAREN,
    ACTIONS(6739), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6741), 1,
      anon_sym_DOLLAR,
    ACTIONS(6743), 1,
      sym__special_character,
    ACTIONS(6745), 1,
      anon_sym_DQUOTE,
    ACTIONS(6749), 1,
      aux_sym_number_token1,
    ACTIONS(6751), 1,
      aux_sym_number_token2,
    ACTIONS(6753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6757), 1,
      anon_sym_BQUOTE,
    ACTIONS(6759), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6763), 1,
      sym__comment_word,
    ACTIONS(6765), 1,
      sym__empty_value,
    ACTIONS(6767), 1,
      sym_test_operator,
    ACTIONS(6769), 1,
      sym__brace_start,
    STATE(1506), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6735), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6747), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6761), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1587), 2,
      sym_concatenation,
      sym_array,
    STATE(1077), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [159851] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6699), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6701), 1,
      anon_sym_DOLLAR,
    ACTIONS(6705), 1,
      anon_sym_DQUOTE,
    ACTIONS(6709), 1,
      aux_sym_number_token1,
    ACTIONS(6711), 1,
      aux_sym_number_token2,
    ACTIONS(6713), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6717), 1,
      anon_sym_BQUOTE,
    ACTIONS(6719), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6723), 1,
      sym__comment_word,
    ACTIONS(6725), 1,
      sym__empty_value,
    ACTIONS(6729), 1,
      sym__brace_start,
    ACTIONS(6771), 1,
      sym_word,
    ACTIONS(6773), 1,
      sym__special_character,
    ACTIONS(6777), 1,
      sym_test_operator,
    STATE(3617), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6695), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6721), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(6775), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3890), 2,
      sym_concatenation,
      sym_array,
    STATE(3646), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [159933] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1278), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [159975] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1944), 1,
      anon_sym_DOLLAR,
    ACTIONS(1950), 1,
      aux_sym_number_token1,
    ACTIONS(1952), 1,
      aux_sym_number_token2,
    ACTIONS(1956), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1970), 1,
      sym__brace_start,
    ACTIONS(6779), 1,
      sym_word,
    ACTIONS(6783), 1,
      anon_sym_LPAREN,
    ACTIONS(6785), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6787), 1,
      sym__special_character,
    ACTIONS(6789), 1,
      anon_sym_DQUOTE,
    ACTIONS(6793), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6795), 1,
      anon_sym_BQUOTE,
    ACTIONS(6797), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6801), 1,
      sym__comment_word,
    ACTIONS(6803), 1,
      sym__empty_value,
    ACTIONS(6805), 1,
      sym_test_operator,
    STATE(1542), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6781), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6791), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6799), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1567), 2,
      sym_concatenation,
      sym_array,
    STATE(1878), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [160057] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1226), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [160099] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1234), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [160141] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6807), 1,
      sym_word,
    ACTIONS(6811), 1,
      anon_sym_LPAREN,
    ACTIONS(6813), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6815), 1,
      anon_sym_DOLLAR,
    ACTIONS(6817), 1,
      sym__special_character,
    ACTIONS(6819), 1,
      anon_sym_DQUOTE,
    ACTIONS(6823), 1,
      aux_sym_number_token1,
    ACTIONS(6825), 1,
      aux_sym_number_token2,
    ACTIONS(6827), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6829), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6831), 1,
      anon_sym_BQUOTE,
    ACTIONS(6833), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6837), 1,
      sym__comment_word,
    ACTIONS(6839), 1,
      sym__empty_value,
    ACTIONS(6841), 1,
      sym_test_operator,
    ACTIONS(6843), 1,
      sym__brace_start,
    STATE(2188), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6809), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6821), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6835), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2393), 2,
      sym_concatenation,
      sym_array,
    STATE(2006), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [160223] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1270), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [160265] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6699), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6701), 1,
      anon_sym_DOLLAR,
    ACTIONS(6705), 1,
      anon_sym_DQUOTE,
    ACTIONS(6709), 1,
      aux_sym_number_token1,
    ACTIONS(6711), 1,
      aux_sym_number_token2,
    ACTIONS(6713), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6717), 1,
      anon_sym_BQUOTE,
    ACTIONS(6719), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6723), 1,
      sym__comment_word,
    ACTIONS(6725), 1,
      sym__empty_value,
    ACTIONS(6729), 1,
      sym__brace_start,
    ACTIONS(6845), 1,
      sym_word,
    ACTIONS(6847), 1,
      sym__special_character,
    ACTIONS(6851), 1,
      sym_test_operator,
    STATE(3617), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6695), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6721), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(6849), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3890), 2,
      sym_concatenation,
      sym_array,
    STATE(3855), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [160347] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6737), 1,
      anon_sym_LPAREN,
    ACTIONS(6739), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6741), 1,
      anon_sym_DOLLAR,
    ACTIONS(6745), 1,
      anon_sym_DQUOTE,
    ACTIONS(6749), 1,
      aux_sym_number_token1,
    ACTIONS(6751), 1,
      aux_sym_number_token2,
    ACTIONS(6753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6757), 1,
      anon_sym_BQUOTE,
    ACTIONS(6759), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6763), 1,
      sym__comment_word,
    ACTIONS(6765), 1,
      sym__empty_value,
    ACTIONS(6769), 1,
      sym__brace_start,
    ACTIONS(6853), 1,
      sym_word,
    ACTIONS(6855), 1,
      sym__special_character,
    ACTIONS(6859), 1,
      sym_test_operator,
    STATE(1506), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6735), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6761), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(6857), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1587), 2,
      sym_concatenation,
      sym_array,
    STATE(1916), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [160429] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1274), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [160471] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3384), 1,
      anon_sym_DOLLAR,
    ACTIONS(3386), 1,
      sym__special_character,
    ACTIONS(3388), 1,
      anon_sym_DQUOTE,
    ACTIONS(3392), 1,
      aux_sym_number_token1,
    ACTIONS(3394), 1,
      aux_sym_number_token2,
    ACTIONS(3396), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3398), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3400), 1,
      anon_sym_BQUOTE,
    ACTIONS(3402), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3412), 1,
      sym__brace_start,
    ACTIONS(6861), 1,
      sym_word,
    ACTIONS(6863), 1,
      anon_sym_LPAREN,
    ACTIONS(6867), 1,
      sym__comment_word,
    ACTIONS(6869), 1,
      sym__empty_value,
    ACTIONS(6871), 1,
      sym_test_operator,
    STATE(2153), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3380), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3404), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(6865), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2398), 2,
      sym_concatenation,
      sym_array,
    STATE(1952), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [160553] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1230), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [160595] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1208), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1210), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [160637] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1242), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [160679] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 1,
      anon_sym_DOLLAR,
    ACTIONS(1539), 1,
      aux_sym_number_token1,
    ACTIONS(1541), 1,
      aux_sym_number_token2,
    ACTIONS(1545), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1559), 1,
      sym__brace_start,
    ACTIONS(6873), 1,
      sym_word,
    ACTIONS(6877), 1,
      anon_sym_LPAREN,
    ACTIONS(6879), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6881), 1,
      sym__special_character,
    ACTIONS(6883), 1,
      anon_sym_DQUOTE,
    ACTIONS(6887), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6889), 1,
      anon_sym_BQUOTE,
    ACTIONS(6891), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6895), 1,
      sym__comment_word,
    ACTIONS(6897), 1,
      sym__empty_value,
    ACTIONS(6899), 1,
      sym_test_operator,
    STATE(1117), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6875), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6885), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6893), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1402), 2,
      sym_concatenation,
      sym_array,
    STATE(925), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [160761] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1286), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [160803] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1262), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [160845] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 1,
      sym_word,
    ACTIONS(6905), 1,
      anon_sym_LPAREN,
    ACTIONS(6907), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOLLAR,
    ACTIONS(6911), 1,
      sym__special_character,
    ACTIONS(6913), 1,
      anon_sym_DQUOTE,
    ACTIONS(6917), 1,
      aux_sym_number_token1,
    ACTIONS(6919), 1,
      aux_sym_number_token2,
    ACTIONS(6921), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6923), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_BQUOTE,
    ACTIONS(6927), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6931), 1,
      sym__comment_word,
    ACTIONS(6933), 1,
      sym__empty_value,
    ACTIONS(6935), 1,
      sym_test_operator,
    ACTIONS(6937), 1,
      sym__brace_start,
    STATE(3621), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6903), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6915), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6929), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3824), 2,
      sym_concatenation,
      sym_array,
    STATE(3606), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [160927] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1944), 1,
      anon_sym_DOLLAR,
    ACTIONS(1950), 1,
      aux_sym_number_token1,
    ACTIONS(1952), 1,
      aux_sym_number_token2,
    ACTIONS(1956), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1970), 1,
      sym__brace_start,
    ACTIONS(6783), 1,
      anon_sym_LPAREN,
    ACTIONS(6785), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6789), 1,
      anon_sym_DQUOTE,
    ACTIONS(6793), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6795), 1,
      anon_sym_BQUOTE,
    ACTIONS(6797), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6801), 1,
      sym__comment_word,
    ACTIONS(6803), 1,
      sym__empty_value,
    ACTIONS(6939), 1,
      sym_word,
    ACTIONS(6941), 1,
      sym__special_character,
    ACTIONS(6945), 1,
      sym_test_operator,
    STATE(1542), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6781), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6799), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(6943), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1567), 2,
      sym_concatenation,
      sym_array,
    STATE(1200), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [161009] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6699), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6701), 1,
      anon_sym_DOLLAR,
    ACTIONS(6705), 1,
      anon_sym_DQUOTE,
    ACTIONS(6709), 1,
      aux_sym_number_token1,
    ACTIONS(6711), 1,
      aux_sym_number_token2,
    ACTIONS(6713), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6717), 1,
      anon_sym_BQUOTE,
    ACTIONS(6719), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6723), 1,
      sym__comment_word,
    ACTIONS(6725), 1,
      sym__empty_value,
    ACTIONS(6729), 1,
      sym__brace_start,
    ACTIONS(6947), 1,
      sym_word,
    ACTIONS(6949), 1,
      sym__special_character,
    ACTIONS(6953), 1,
      sym_test_operator,
    STATE(3617), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6695), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6721), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(6951), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3890), 2,
      sym_concatenation,
      sym_array,
    STATE(3658), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [161091] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6697), 1,
      anon_sym_LPAREN,
    ACTIONS(6699), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6701), 1,
      anon_sym_DOLLAR,
    ACTIONS(6705), 1,
      anon_sym_DQUOTE,
    ACTIONS(6709), 1,
      aux_sym_number_token1,
    ACTIONS(6711), 1,
      aux_sym_number_token2,
    ACTIONS(6713), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6717), 1,
      anon_sym_BQUOTE,
    ACTIONS(6719), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6723), 1,
      sym__comment_word,
    ACTIONS(6725), 1,
      sym__empty_value,
    ACTIONS(6729), 1,
      sym__brace_start,
    ACTIONS(6955), 1,
      sym_word,
    ACTIONS(6957), 1,
      sym__special_character,
    ACTIONS(6961), 1,
      sym_test_operator,
    STATE(3617), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6695), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6721), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(6959), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3890), 2,
      sym_concatenation,
      sym_array,
    STATE(3740), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [161173] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6737), 1,
      anon_sym_LPAREN,
    ACTIONS(6739), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6741), 1,
      anon_sym_DOLLAR,
    ACTIONS(6745), 1,
      anon_sym_DQUOTE,
    ACTIONS(6749), 1,
      aux_sym_number_token1,
    ACTIONS(6751), 1,
      aux_sym_number_token2,
    ACTIONS(6753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6757), 1,
      anon_sym_BQUOTE,
    ACTIONS(6759), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6763), 1,
      sym__comment_word,
    ACTIONS(6765), 1,
      sym__empty_value,
    ACTIONS(6769), 1,
      sym__brace_start,
    ACTIONS(6963), 1,
      sym_word,
    ACTIONS(6965), 1,
      sym__special_character,
    ACTIONS(6969), 1,
      sym_test_operator,
    STATE(1506), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6735), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6761), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(6967), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1587), 2,
      sym_concatenation,
      sym_array,
    STATE(1261), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [161255] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6971), 1,
      sym_word,
    ACTIONS(6975), 1,
      anon_sym_LPAREN,
    ACTIONS(6977), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6979), 1,
      anon_sym_DOLLAR,
    ACTIONS(6981), 1,
      sym__special_character,
    ACTIONS(6983), 1,
      anon_sym_DQUOTE,
    ACTIONS(6987), 1,
      aux_sym_number_token1,
    ACTIONS(6989), 1,
      aux_sym_number_token2,
    ACTIONS(6991), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6993), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6995), 1,
      anon_sym_BQUOTE,
    ACTIONS(6997), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7001), 1,
      sym__comment_word,
    ACTIONS(7003), 1,
      sym__empty_value,
    ACTIONS(7005), 1,
      sym_test_operator,
    ACTIONS(7007), 1,
      sym__brace_start,
    STATE(1066), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6973), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6985), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6999), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1352), 2,
      sym_concatenation,
      sym_array,
    STATE(876), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [161337] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7011), 1,
      anon_sym_SLASH,
    ACTIONS(7013), 1,
      anon_sym_PERCENT,
    ACTIONS(7015), 1,
      anon_sym_COLON,
    ACTIONS(7019), 1,
      anon_sym_RBRACE3,
    ACTIONS(7021), 1,
      anon_sym_AT,
    ACTIONS(7023), 1,
      anon_sym_STAR2,
    STATE(5046), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5569), 1,
      sym__expansion_operator,
    STATE(5604), 1,
      sym__expansion_max_length,
    STATE(5605), 1,
      sym__expansion_regex_removal,
    STATE(5606), 1,
      sym__expansion_regex_replacement,
    STATE(5610), 1,
      sym__expansion_regex,
    STATE(5611), 1,
      sym__expansion_expression,
    ACTIONS(7009), 2,
      anon_sym_COMMA,
      anon_sym_CARET,
    ACTIONS(7029), 2,
      anon_sym_COMMA_COMMA,
      anon_sym_CARET_CARET,
    ACTIONS(7017), 3,
      sym__immediate_double_hash,
      anon_sym_POUND,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7027), 3,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_POUND,
      anon_sym_SLASH_PERCENT,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(7025), 8,
      anon_sym_EQ2,
      anon_sym_COLON_EQ,
      anon_sym_DASH3,
      anon_sym_COLON_DASH,
      anon_sym_PLUS3,
      anon_sym_COLON_PLUS,
      anon_sym_QMARK2,
      anon_sym_COLON_QMARK,
  [161413] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1944), 1,
      anon_sym_DOLLAR,
    ACTIONS(1950), 1,
      aux_sym_number_token1,
    ACTIONS(1952), 1,
      aux_sym_number_token2,
    ACTIONS(1956), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1970), 1,
      sym__brace_start,
    ACTIONS(6783), 1,
      anon_sym_LPAREN,
    ACTIONS(6785), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6789), 1,
      anon_sym_DQUOTE,
    ACTIONS(6793), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6795), 1,
      anon_sym_BQUOTE,
    ACTIONS(6797), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6801), 1,
      sym__comment_word,
    ACTIONS(6803), 1,
      sym__empty_value,
    ACTIONS(7033), 1,
      sym_word,
    ACTIONS(7035), 1,
      sym__special_character,
    ACTIONS(7039), 1,
      sym_test_operator,
    STATE(1542), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6781), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6799), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7037), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1567), 2,
      sym_concatenation,
      sym_array,
    STATE(1152), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [161495] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7041), 1,
      sym__special_character,
    STATE(2967), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1296), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1294), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [161541] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7044), 1,
      sym_word,
    ACTIONS(7048), 1,
      anon_sym_LPAREN,
    ACTIONS(7050), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7052), 1,
      anon_sym_DOLLAR,
    ACTIONS(7054), 1,
      sym__special_character,
    ACTIONS(7056), 1,
      anon_sym_DQUOTE,
    ACTIONS(7060), 1,
      aux_sym_number_token1,
    ACTIONS(7062), 1,
      aux_sym_number_token2,
    ACTIONS(7064), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7066), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7068), 1,
      anon_sym_BQUOTE,
    ACTIONS(7070), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7074), 1,
      sym__comment_word,
    ACTIONS(7076), 1,
      sym__empty_value,
    ACTIONS(7078), 1,
      sym_test_operator,
    ACTIONS(7080), 1,
      sym__brace_start,
    STATE(4328), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7046), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7058), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7072), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(4416), 2,
      sym_concatenation,
      sym_array,
    STATE(4247), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [161623] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1858), 1,
      anon_sym_DOLLAR,
    ACTIONS(1864), 1,
      aux_sym_number_token1,
    ACTIONS(1866), 1,
      aux_sym_number_token2,
    ACTIONS(1870), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1884), 1,
      sym__brace_start,
    ACTIONS(7082), 1,
      sym_word,
    ACTIONS(7086), 1,
      anon_sym_LPAREN,
    ACTIONS(7088), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7090), 1,
      sym__special_character,
    ACTIONS(7092), 1,
      anon_sym_DQUOTE,
    ACTIONS(7096), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7098), 1,
      anon_sym_BQUOTE,
    ACTIONS(7100), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7104), 1,
      sym__comment_word,
    ACTIONS(7106), 1,
      sym__empty_value,
    ACTIONS(7108), 1,
      sym_test_operator,
    STATE(1205), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7084), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7094), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7102), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1556), 2,
      sym_concatenation,
      sym_array,
    STATE(944), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [161705] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3571), 1,
      anon_sym_DQUOTE,
    STATE(3850), 1,
      sym_string,
    ACTIONS(1175), 2,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(7112), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(7110), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 19,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [161755] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3571), 1,
      anon_sym_DQUOTE,
    STATE(3850), 1,
      sym_string,
    ACTIONS(1171), 2,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(7112), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(7110), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 19,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [161805] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7114), 1,
      sym_word,
    ACTIONS(7118), 1,
      anon_sym_LPAREN,
    ACTIONS(7120), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7122), 1,
      anon_sym_DOLLAR,
    ACTIONS(7124), 1,
      sym__special_character,
    ACTIONS(7126), 1,
      anon_sym_DQUOTE,
    ACTIONS(7130), 1,
      aux_sym_number_token1,
    ACTIONS(7132), 1,
      aux_sym_number_token2,
    ACTIONS(7134), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7138), 1,
      anon_sym_BQUOTE,
    ACTIONS(7140), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7144), 1,
      sym__comment_word,
    ACTIONS(7146), 1,
      sym__empty_value,
    ACTIONS(7148), 1,
      sym_test_operator,
    ACTIONS(7150), 1,
      sym__brace_start,
    STATE(1243), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7116), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7128), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7142), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1517), 2,
      sym_concatenation,
      sym_array,
    STATE(1037), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [161887] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6905), 1,
      anon_sym_LPAREN,
    ACTIONS(6907), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOLLAR,
    ACTIONS(6913), 1,
      anon_sym_DQUOTE,
    ACTIONS(6917), 1,
      aux_sym_number_token1,
    ACTIONS(6919), 1,
      aux_sym_number_token2,
    ACTIONS(6921), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6923), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_BQUOTE,
    ACTIONS(6927), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6931), 1,
      sym__comment_word,
    ACTIONS(6933), 1,
      sym__empty_value,
    ACTIONS(6937), 1,
      sym__brace_start,
    ACTIONS(7152), 1,
      sym_word,
    ACTIONS(7154), 1,
      sym__special_character,
    ACTIONS(7158), 1,
      sym_test_operator,
    STATE(3621), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6903), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6929), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7156), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3824), 2,
      sym_concatenation,
      sym_array,
    STATE(3539), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [161969] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7160), 1,
      sym__special_character,
    STATE(2983), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4498), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4500), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [162014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 29,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [162055] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7160), 1,
      sym__special_character,
    STATE(2983), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4118), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4120), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [162100] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7011), 1,
      anon_sym_SLASH,
    ACTIONS(7013), 1,
      anon_sym_PERCENT,
    ACTIONS(7015), 1,
      anon_sym_COLON,
    ACTIONS(7162), 1,
      anon_sym_RBRACE3,
    ACTIONS(7164), 1,
      anon_sym_AT,
    STATE(5010), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5613), 1,
      sym__expansion_operator,
    STATE(5617), 1,
      sym__expansion_max_length,
    STATE(5618), 1,
      sym__expansion_regex_removal,
    STATE(5619), 1,
      sym__expansion_regex_replacement,
    STATE(5620), 1,
      sym__expansion_regex,
    STATE(5624), 1,
      sym__expansion_expression,
    ACTIONS(7009), 2,
      anon_sym_COMMA,
      anon_sym_CARET,
    ACTIONS(7029), 2,
      anon_sym_COMMA_COMMA,
      anon_sym_CARET_CARET,
    ACTIONS(7017), 3,
      sym__immediate_double_hash,
      anon_sym_POUND,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7027), 3,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_POUND,
      anon_sym_SLASH_PERCENT,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(7025), 8,
      anon_sym_EQ2,
      anon_sym_COLON_EQ,
      anon_sym_DASH3,
      anon_sym_COLON_DASH,
      anon_sym_PLUS3,
      anon_sym_COLON_PLUS,
      anon_sym_QMARK2,
      anon_sym_COLON_QMARK,
  [162173] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7011), 1,
      anon_sym_SLASH,
    ACTIONS(7013), 1,
      anon_sym_PERCENT,
    ACTIONS(7015), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_AT,
    ACTIONS(7166), 1,
      anon_sym_RBRACE3,
    STATE(5067), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5752), 1,
      sym__expansion_operator,
    STATE(5753), 1,
      sym__expansion_max_length,
    STATE(5754), 1,
      sym__expansion_regex_removal,
    STATE(5755), 1,
      sym__expansion_regex_replacement,
    STATE(5756), 1,
      sym__expansion_regex,
    STATE(5757), 1,
      sym__expansion_expression,
    ACTIONS(7009), 2,
      anon_sym_COMMA,
      anon_sym_CARET,
    ACTIONS(7029), 2,
      anon_sym_COMMA_COMMA,
      anon_sym_CARET_CARET,
    ACTIONS(7017), 3,
      sym__immediate_double_hash,
      anon_sym_POUND,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7027), 3,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_POUND,
      anon_sym_SLASH_PERCENT,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(7025), 8,
      anon_sym_EQ2,
      anon_sym_COLON_EQ,
      anon_sym_DASH3,
      anon_sym_COLON_DASH,
      anon_sym_PLUS3,
      anon_sym_COLON_PLUS,
      anon_sym_QMARK2,
      anon_sym_COLON_QMARK,
  [162246] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7160), 1,
      sym__special_character,
    STATE(2983), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4524), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4526), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [162291] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7160), 1,
      sym__special_character,
    STATE(2983), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3791), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3793), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [162336] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7160), 1,
      sym__special_character,
    STATE(2983), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4133), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4135), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [162381] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7011), 1,
      anon_sym_SLASH,
    ACTIONS(7013), 1,
      anon_sym_PERCENT,
    ACTIONS(7015), 1,
      anon_sym_COLON,
    ACTIONS(7019), 1,
      anon_sym_RBRACE3,
    ACTIONS(7164), 1,
      anon_sym_AT,
    STATE(5074), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5590), 1,
      sym__expansion_operator,
    STATE(5591), 1,
      sym__expansion_max_length,
    STATE(5592), 1,
      sym__expansion_regex_removal,
    STATE(5596), 1,
      sym__expansion_regex_replacement,
    STATE(5597), 1,
      sym__expansion_regex,
    STATE(5598), 1,
      sym__expansion_expression,
    ACTIONS(7009), 2,
      anon_sym_COMMA,
      anon_sym_CARET,
    ACTIONS(7029), 2,
      anon_sym_COMMA_COMMA,
      anon_sym_CARET_CARET,
    ACTIONS(7017), 3,
      sym__immediate_double_hash,
      anon_sym_POUND,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7027), 3,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_POUND,
      anon_sym_SLASH_PERCENT,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(7025), 8,
      anon_sym_EQ2,
      anon_sym_COLON_EQ,
      anon_sym_DASH3,
      anon_sym_COLON_DASH,
      anon_sym_PLUS3,
      anon_sym_COLON_PLUS,
      anon_sym_QMARK2,
      anon_sym_COLON_QMARK,
  [162454] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7168), 1,
      sym__special_character,
    STATE(2983), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1296), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [162499] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7160), 1,
      sym__special_character,
    STATE(2983), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3775), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3777), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [162544] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7011), 1,
      anon_sym_SLASH,
    ACTIONS(7013), 1,
      anon_sym_PERCENT,
    ACTIONS(7015), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_AT,
    ACTIONS(7171), 1,
      anon_sym_RBRACE3,
    STATE(5055), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5772), 1,
      sym__expansion_operator,
    STATE(5777), 1,
      sym__expansion_max_length,
    STATE(5778), 1,
      sym__expansion_regex_removal,
    STATE(5779), 1,
      sym__expansion_regex_replacement,
    STATE(5780), 1,
      sym__expansion_regex,
    STATE(5781), 1,
      sym__expansion_expression,
    ACTIONS(7009), 2,
      anon_sym_COMMA,
      anon_sym_CARET,
    ACTIONS(7029), 2,
      anon_sym_COMMA_COMMA,
      anon_sym_CARET_CARET,
    ACTIONS(7017), 3,
      sym__immediate_double_hash,
      anon_sym_POUND,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7027), 3,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_POUND,
      anon_sym_SLASH_PERCENT,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(7025), 8,
      anon_sym_EQ2,
      anon_sym_COLON_EQ,
      anon_sym_DASH3,
      anon_sym_COLON_DASH,
      anon_sym_PLUS3,
      anon_sym_COLON_PLUS,
      anon_sym_QMARK2,
      anon_sym_COLON_QMARK,
  [162617] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3567), 1,
      anon_sym_DOLLAR,
    ACTIONS(3569), 1,
      sym__special_character,
    ACTIONS(3571), 1,
      anon_sym_DQUOTE,
    ACTIONS(3573), 1,
      aux_sym_number_token1,
    ACTIONS(3575), 1,
      aux_sym_number_token2,
    ACTIONS(3577), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3579), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3581), 1,
      anon_sym_BQUOTE,
    ACTIONS(3583), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3589), 1,
      sym_test_operator,
    ACTIONS(3591), 1,
      sym__brace_start,
    ACTIONS(7173), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(2994), 1,
      aux_sym__heredoc_command,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    STATE(4359), 1,
      sym_concatenation,
    ACTIONS(3553), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3551), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(4075), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [162693] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_word,
    ACTIONS(7179), 1,
      anon_sym_RPAREN,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR,
    ACTIONS(7185), 1,
      sym__special_character,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7205), 1,
      sym_test_operator,
    ACTIONS(7207), 1,
      sym__brace_start,
    STATE(4219), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7189), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3010), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4072), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [162769] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_word,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR,
    ACTIONS(7185), 1,
      sym__special_character,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7205), 1,
      sym_test_operator,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(7209), 1,
      anon_sym_RPAREN,
    STATE(4219), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7189), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3010), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4072), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [162845] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_word,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR,
    ACTIONS(7185), 1,
      sym__special_character,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7205), 1,
      sym_test_operator,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(7211), 1,
      anon_sym_RPAREN,
    STATE(4219), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7189), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3020), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4072), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [162921] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4666), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4678), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [162961] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_word,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR,
    ACTIONS(7185), 1,
      sym__special_character,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7205), 1,
      sym_test_operator,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(7213), 1,
      anon_sym_RPAREN,
    STATE(4219), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7189), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2992), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4072), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [163037] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_word,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR,
    ACTIONS(7185), 1,
      sym__special_character,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7205), 1,
      sym_test_operator,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(7215), 1,
      anon_sym_RPAREN,
    STATE(4219), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7189), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3010), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4072), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [163113] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4623), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4625), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [163153] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7223), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(7225), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7228), 1,
      anon_sym_DOLLAR,
    ACTIONS(7231), 1,
      sym__special_character,
    ACTIONS(7234), 1,
      anon_sym_DQUOTE,
    ACTIONS(7237), 1,
      aux_sym_number_token1,
    ACTIONS(7240), 1,
      aux_sym_number_token2,
    ACTIONS(7243), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7246), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7249), 1,
      anon_sym_BQUOTE,
    ACTIONS(7252), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7258), 1,
      sym_test_operator,
    ACTIONS(7261), 1,
      sym__brace_start,
    STATE(2994), 1,
      aux_sym__heredoc_command,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    STATE(4359), 1,
      sym_concatenation,
    ACTIONS(7220), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7255), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7217), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(4075), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [163229] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_word,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR,
    ACTIONS(7185), 1,
      sym__special_character,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7205), 1,
      sym_test_operator,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(7264), 1,
      anon_sym_RPAREN,
    STATE(4219), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7189), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2996), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4072), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [163305] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_word,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR,
    ACTIONS(7185), 1,
      sym__special_character,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7205), 1,
      sym_test_operator,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(7266), 1,
      anon_sym_RPAREN,
    STATE(4219), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7189), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3010), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4072), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [163381] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_word,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR,
    ACTIONS(7185), 1,
      sym__special_character,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7205), 1,
      sym_test_operator,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(7268), 1,
      anon_sym_RPAREN,
    STATE(4219), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7189), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2988), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4072), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [163457] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3567), 1,
      anon_sym_DOLLAR,
    ACTIONS(3569), 1,
      sym__special_character,
    ACTIONS(3571), 1,
      anon_sym_DQUOTE,
    ACTIONS(3573), 1,
      aux_sym_number_token1,
    ACTIONS(3575), 1,
      aux_sym_number_token2,
    ACTIONS(3577), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3579), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3581), 1,
      anon_sym_BQUOTE,
    ACTIONS(3583), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3589), 1,
      sym_test_operator,
    ACTIONS(3591), 1,
      sym__brace_start,
    ACTIONS(7270), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(2994), 1,
      aux_sym__heredoc_command,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    STATE(4359), 1,
      sym_concatenation,
    ACTIONS(3553), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3551), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(4075), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [163533] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1900), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1902), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [163573] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_word,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR,
    ACTIONS(7185), 1,
      sym__special_character,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7205), 1,
      sym_test_operator,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(7272), 1,
      anon_sym_RPAREN,
    STATE(4219), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7189), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3001), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4072), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [163649] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_word,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR,
    ACTIONS(7185), 1,
      sym__special_character,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7205), 1,
      sym_test_operator,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(7274), 1,
      anon_sym_RPAREN,
    STATE(4219), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7189), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3010), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4072), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [163725] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3787), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3789), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [163765] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1892), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1894), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [163805] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3567), 1,
      anon_sym_DOLLAR,
    ACTIONS(3569), 1,
      sym__special_character,
    ACTIONS(3571), 1,
      anon_sym_DQUOTE,
    ACTIONS(3573), 1,
      aux_sym_number_token1,
    ACTIONS(3575), 1,
      aux_sym_number_token2,
    ACTIONS(3577), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3579), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3581), 1,
      anon_sym_BQUOTE,
    ACTIONS(3583), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3589), 1,
      sym_test_operator,
    ACTIONS(3591), 1,
      sym__brace_start,
    ACTIONS(7276), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(2994), 1,
      aux_sym__heredoc_command,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    STATE(4359), 1,
      sym_concatenation,
    ACTIONS(3553), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3551), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(4075), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [163881] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_word,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR,
    ACTIONS(7185), 1,
      sym__special_character,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7205), 1,
      sym_test_operator,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(7278), 1,
      anon_sym_RPAREN,
    STATE(4219), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7189), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3006), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4072), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [163957] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_word,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR,
    ACTIONS(7185), 1,
      sym__special_character,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7205), 1,
      sym_test_operator,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(7280), 1,
      anon_sym_RPAREN,
    STATE(4219), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7189), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3010), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4072), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [164033] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1200), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [164073] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_word,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR,
    ACTIONS(7185), 1,
      sym__special_character,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7205), 1,
      sym_test_operator,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(7282), 1,
      anon_sym_RPAREN,
    STATE(4219), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7189), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3011), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4072), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [164149] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3677), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3679), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [164189] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2049), 1,
      anon_sym_RPAREN,
    ACTIONS(7284), 1,
      sym_word,
    ACTIONS(7290), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7293), 1,
      anon_sym_DOLLAR,
    ACTIONS(7296), 1,
      sym__special_character,
    ACTIONS(7299), 1,
      anon_sym_DQUOTE,
    ACTIONS(7305), 1,
      aux_sym_number_token1,
    ACTIONS(7308), 1,
      aux_sym_number_token2,
    ACTIONS(7311), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7314), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7317), 1,
      anon_sym_BQUOTE,
    ACTIONS(7320), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7326), 1,
      sym_test_operator,
    ACTIONS(7329), 1,
      sym__brace_start,
    STATE(4219), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7287), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7302), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7323), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3010), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4072), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [164265] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_word,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR,
    ACTIONS(7185), 1,
      sym__special_character,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7205), 1,
      sym_test_operator,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(7332), 1,
      anon_sym_RPAREN,
    STATE(4219), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7189), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3010), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4072), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [164341] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7334), 1,
      sym_word,
    ACTIONS(7338), 1,
      sym_test_operator,
    STATE(5025), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7336), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(5289), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4969), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [164417] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3567), 1,
      anon_sym_DOLLAR,
    ACTIONS(3569), 1,
      sym__special_character,
    ACTIONS(3571), 1,
      anon_sym_DQUOTE,
    ACTIONS(3573), 1,
      aux_sym_number_token1,
    ACTIONS(3575), 1,
      aux_sym_number_token2,
    ACTIONS(3577), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3579), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3581), 1,
      anon_sym_BQUOTE,
    ACTIONS(3583), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3589), 1,
      sym_test_operator,
    ACTIONS(3591), 1,
      sym__brace_start,
    ACTIONS(7340), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(2994), 1,
      aux_sym__heredoc_command,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    STATE(4359), 1,
      sym_concatenation,
    ACTIONS(3553), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3551), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(4075), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [164493] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6271), 1,
      anon_sym_DQUOTE,
    STATE(3599), 1,
      sym_string,
    ACTIONS(1175), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(6273), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6269), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 17,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [164541] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_word,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR,
    ACTIONS(7185), 1,
      sym__special_character,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7205), 1,
      sym_test_operator,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(7342), 1,
      anon_sym_RPAREN,
    STATE(4219), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7189), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3016), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4072), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [164617] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_word,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR,
    ACTIONS(7185), 1,
      sym__special_character,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7205), 1,
      sym_test_operator,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(7344), 1,
      anon_sym_RPAREN,
    STATE(4219), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7189), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3010), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4072), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [164693] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4226), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4228), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [164733] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3567), 1,
      anon_sym_DOLLAR,
    ACTIONS(3569), 1,
      sym__special_character,
    ACTIONS(3571), 1,
      anon_sym_DQUOTE,
    ACTIONS(3573), 1,
      aux_sym_number_token1,
    ACTIONS(3575), 1,
      aux_sym_number_token2,
    ACTIONS(3577), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3579), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3581), 1,
      anon_sym_BQUOTE,
    ACTIONS(3583), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3589), 1,
      sym_test_operator,
    ACTIONS(3591), 1,
      sym__brace_start,
    ACTIONS(7346), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(2994), 1,
      aux_sym__heredoc_command,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    STATE(4359), 1,
      sym_concatenation,
    ACTIONS(3553), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3551), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(4075), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [164809] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6271), 1,
      anon_sym_DQUOTE,
    STATE(3599), 1,
      sym_string,
    ACTIONS(1171), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(6273), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6269), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 17,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [164857] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_word,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR,
    ACTIONS(7185), 1,
      sym__special_character,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7205), 1,
      sym_test_operator,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(7348), 1,
      anon_sym_RPAREN,
    STATE(4219), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7189), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3010), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4072), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [164933] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_word,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR,
    ACTIONS(7185), 1,
      sym__special_character,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7205), 1,
      sym_test_operator,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(7350), 1,
      anon_sym_RPAREN,
    STATE(4219), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7189), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3022), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4072), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [165009] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_word,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR,
    ACTIONS(7185), 1,
      sym__special_character,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7205), 1,
      sym_test_operator,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(7352), 1,
      anon_sym_RPAREN,
    STATE(4219), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7189), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3010), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4072), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [165085] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_word,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR,
    ACTIONS(7185), 1,
      sym__special_character,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7205), 1,
      sym_test_operator,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(7354), 1,
      anon_sym_RPAREN,
    STATE(4219), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7189), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3034), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4072), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [165161] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4611), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4613), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [165201] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3567), 1,
      anon_sym_DOLLAR,
    ACTIONS(3569), 1,
      sym__special_character,
    ACTIONS(3571), 1,
      anon_sym_DQUOTE,
    ACTIONS(3573), 1,
      aux_sym_number_token1,
    ACTIONS(3575), 1,
      aux_sym_number_token2,
    ACTIONS(3577), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3579), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3581), 1,
      anon_sym_BQUOTE,
    ACTIONS(3583), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3589), 1,
      sym_test_operator,
    ACTIONS(3591), 1,
      sym__brace_start,
    ACTIONS(7356), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(2994), 1,
      aux_sym__heredoc_command,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    STATE(4359), 1,
      sym_concatenation,
    ACTIONS(3553), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3551), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(4075), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [165277] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7358), 1,
      sym_word,
    ACTIONS(7362), 1,
      sym_test_operator,
    STATE(5114), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7360), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(5356), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5057), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [165353] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3567), 1,
      anon_sym_DOLLAR,
    ACTIONS(3569), 1,
      sym__special_character,
    ACTIONS(3571), 1,
      anon_sym_DQUOTE,
    ACTIONS(3573), 1,
      aux_sym_number_token1,
    ACTIONS(3575), 1,
      aux_sym_number_token2,
    ACTIONS(3577), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3579), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3581), 1,
      anon_sym_BQUOTE,
    ACTIONS(3583), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3589), 1,
      sym_test_operator,
    ACTIONS(3591), 1,
      sym__brace_start,
    ACTIONS(7364), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(2994), 1,
      aux_sym__heredoc_command,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    STATE(4359), 1,
      sym_concatenation,
    ACTIONS(3553), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3551), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(4075), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [165429] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5317), 1,
      sym_extglob_pattern,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6048), 1,
      sym__special_character,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7366), 1,
      sym_word,
    ACTIONS(7370), 1,
      sym_test_operator,
    STATE(5068), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7368), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(5222), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(4993), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [165505] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_word,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR,
    ACTIONS(7185), 1,
      sym__special_character,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7205), 1,
      sym_test_operator,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(7372), 1,
      anon_sym_RPAREN,
    STATE(4219), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7189), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3010), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4072), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [165581] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_word,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR,
    ACTIONS(7185), 1,
      sym__special_character,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7205), 1,
      sym_test_operator,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(7374), 1,
      anon_sym_RPAREN,
    STATE(4219), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7189), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3031), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4072), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [165657] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_word,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR,
    ACTIONS(7185), 1,
      sym__special_character,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7205), 1,
      sym_test_operator,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(7376), 1,
      anon_sym_RPAREN,
    STATE(4219), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7189), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3010), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4072), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [165733] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_word,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR,
    ACTIONS(7185), 1,
      sym__special_character,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7205), 1,
      sym_test_operator,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(7378), 1,
      anon_sym_RPAREN,
    STATE(4219), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7189), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3029), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4072), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [165809] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_word,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR,
    ACTIONS(7185), 1,
      sym__special_character,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7205), 1,
      sym_test_operator,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(7380), 1,
      anon_sym_RPAREN,
    STATE(4219), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7189), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3010), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4072), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [165885] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_word,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR,
    ACTIONS(7185), 1,
      sym__special_character,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7205), 1,
      sym_test_operator,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(7382), 1,
      anon_sym_RPAREN,
    STATE(4219), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7189), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3010), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4072), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [165961] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3567), 1,
      anon_sym_DOLLAR,
    ACTIONS(3569), 1,
      sym__special_character,
    ACTIONS(3571), 1,
      anon_sym_DQUOTE,
    ACTIONS(3573), 1,
      aux_sym_number_token1,
    ACTIONS(3575), 1,
      aux_sym_number_token2,
    ACTIONS(3577), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3579), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3581), 1,
      anon_sym_BQUOTE,
    ACTIONS(3583), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3589), 1,
      sym_test_operator,
    ACTIONS(3591), 1,
      sym__brace_start,
    ACTIONS(7384), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(2994), 1,
      aux_sym__heredoc_command,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    STATE(4359), 1,
      sym_concatenation,
    ACTIONS(3553), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3551), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(4075), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [166037] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_word,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR,
    ACTIONS(7185), 1,
      sym__special_character,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7205), 1,
      sym_test_operator,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(7386), 1,
      anon_sym_RPAREN,
    STATE(4219), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7189), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3033), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4072), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [166113] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_word,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR,
    ACTIONS(7185), 1,
      sym__special_character,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7205), 1,
      sym_test_operator,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(7388), 1,
      anon_sym_RPAREN,
    STATE(4219), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7189), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3038), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4072), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [166189] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_word,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR,
    ACTIONS(7185), 1,
      sym__special_character,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7205), 1,
      sym_test_operator,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(7390), 1,
      anon_sym_RPAREN,
    STATE(4219), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7189), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3010), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4072), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [166265] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7175), 1,
      sym_word,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR,
    ACTIONS(7185), 1,
      sym__special_character,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7205), 1,
      sym_test_operator,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(7392), 1,
      anon_sym_RPAREN,
    STATE(4219), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7189), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2987), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4072), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [166341] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2650), 1,
      sym_word,
    ACTIONS(2656), 1,
      anon_sym_DOLLAR,
    ACTIONS(2662), 1,
      aux_sym_number_token1,
    ACTIONS(2664), 1,
      aux_sym_number_token2,
    ACTIONS(2668), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2676), 1,
      sym_test_operator,
    ACTIONS(2678), 1,
      sym__brace_start,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7398), 1,
      sym__special_character,
    ACTIONS(7400), 1,
      anon_sym_DQUOTE,
    ACTIONS(7404), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7406), 1,
      anon_sym_BQUOTE,
    ACTIONS(7408), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(1701), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7394), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7402), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7410), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(542), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1372), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [166414] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(681), 1,
      anon_sym_DQUOTE,
    ACTIONS(685), 1,
      aux_sym_number_token1,
    ACTIONS(687), 1,
      aux_sym_number_token2,
    ACTIONS(689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(693), 1,
      anon_sym_BQUOTE,
    ACTIONS(695), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(705), 1,
      sym__brace_start,
    ACTIONS(7412), 1,
      sym_word,
    ACTIONS(7414), 1,
      sym__special_character,
    ACTIONS(7418), 1,
      sym_test_operator,
    ACTIONS(7420), 1,
      sym_regex,
    STATE(1013), 1,
      aux_sym__literal_repeat1,
    STATE(1074), 1,
      sym_concatenation,
    ACTIONS(673), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(697), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7416), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(809), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [166489] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2395), 1,
      sym_word,
    ACTIONS(2401), 1,
      anon_sym_DOLLAR,
    ACTIONS(2407), 1,
      aux_sym_number_token1,
    ACTIONS(2409), 1,
      aux_sym_number_token2,
    ACTIONS(2413), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2421), 1,
      sym_test_operator,
    ACTIONS(2423), 1,
      sym__brace_start,
    ACTIONS(7424), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7426), 1,
      sym__special_character,
    ACTIONS(7428), 1,
      anon_sym_DQUOTE,
    ACTIONS(7432), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7434), 1,
      anon_sym_BQUOTE,
    ACTIONS(7436), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(1549), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7422), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7430), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7438), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(518), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1142), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [166562] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7120), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7122), 1,
      anon_sym_DOLLAR,
    ACTIONS(7124), 1,
      sym__special_character,
    ACTIONS(7126), 1,
      anon_sym_DQUOTE,
    ACTIONS(7130), 1,
      aux_sym_number_token1,
    ACTIONS(7132), 1,
      aux_sym_number_token2,
    ACTIONS(7134), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7138), 1,
      anon_sym_BQUOTE,
    ACTIONS(7140), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7150), 1,
      sym__brace_start,
    ACTIONS(7440), 1,
      sym_word,
    ACTIONS(7444), 1,
      sym_test_operator,
    STATE(1262), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7116), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7142), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7442), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(499), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(999), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [166635] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3050), 1,
      sym_word,
    ACTIONS(3056), 1,
      anon_sym_DOLLAR,
    ACTIONS(3062), 1,
      aux_sym_number_token1,
    ACTIONS(3064), 1,
      aux_sym_number_token2,
    ACTIONS(3068), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3076), 1,
      sym_test_operator,
    ACTIONS(3078), 1,
      sym__brace_start,
    ACTIONS(7448), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7450), 1,
      sym__special_character,
    ACTIONS(7452), 1,
      anon_sym_DQUOTE,
    ACTIONS(7456), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7458), 1,
      anon_sym_BQUOTE,
    ACTIONS(7460), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(1907), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7446), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7454), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7462), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(599), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1516), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [166708] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(7464), 1,
      sym_word,
    ACTIONS(7466), 1,
      anon_sym_RBRACK,
    ACTIONS(7472), 1,
      sym_test_operator,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7468), 2,
      sym__special_character,
      sym__comment_word,
    ACTIONS(7470), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2159), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [166779] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7120), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7122), 1,
      anon_sym_DOLLAR,
    ACTIONS(7124), 1,
      sym__special_character,
    ACTIONS(7126), 1,
      anon_sym_DQUOTE,
    ACTIONS(7130), 1,
      aux_sym_number_token1,
    ACTIONS(7132), 1,
      aux_sym_number_token2,
    ACTIONS(7134), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7138), 1,
      anon_sym_BQUOTE,
    ACTIONS(7140), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7150), 1,
      sym__brace_start,
    ACTIONS(7440), 1,
      sym_word,
    ACTIONS(7444), 1,
      sym_test_operator,
    STATE(1262), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7116), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7142), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7442), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(497), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(999), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [166852] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2650), 1,
      sym_word,
    ACTIONS(2656), 1,
      anon_sym_DOLLAR,
    ACTIONS(2662), 1,
      aux_sym_number_token1,
    ACTIONS(2664), 1,
      aux_sym_number_token2,
    ACTIONS(2668), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2676), 1,
      sym_test_operator,
    ACTIONS(2678), 1,
      sym__brace_start,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7398), 1,
      sym__special_character,
    ACTIONS(7400), 1,
      anon_sym_DQUOTE,
    ACTIONS(7404), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7406), 1,
      anon_sym_BQUOTE,
    ACTIONS(7408), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(1701), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7394), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7402), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7410), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(545), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1372), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [166925] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(7464), 1,
      sym_word,
    ACTIONS(7472), 1,
      sym_test_operator,
    ACTIONS(7474), 1,
      anon_sym_RBRACK,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7468), 2,
      sym__special_character,
      sym__comment_word,
    ACTIONS(7470), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2159), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [166996] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3056), 1,
      anon_sym_DOLLAR,
    ACTIONS(3062), 1,
      aux_sym_number_token1,
    ACTIONS(3064), 1,
      aux_sym_number_token2,
    ACTIONS(3068), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3078), 1,
      sym__brace_start,
    ACTIONS(3303), 1,
      sym_word,
    ACTIONS(3307), 1,
      sym_test_operator,
    ACTIONS(7448), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7452), 1,
      anon_sym_DQUOTE,
    ACTIONS(7456), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7458), 1,
      anon_sym_BQUOTE,
    ACTIONS(7460), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7476), 1,
      sym__special_character,
    STATE(1907), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7446), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7462), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7478), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(622), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1821), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [167069] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3567), 1,
      anon_sym_DOLLAR,
    ACTIONS(3573), 1,
      aux_sym_number_token1,
    ACTIONS(3575), 1,
      aux_sym_number_token2,
    ACTIONS(3579), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3591), 1,
      sym__brace_start,
    ACTIONS(6459), 1,
      sym_word,
    ACTIONS(6467), 1,
      sym_test_operator,
    ACTIONS(7482), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7484), 1,
      sym__special_character,
    ACTIONS(7486), 1,
      anon_sym_DQUOTE,
    ACTIONS(7490), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7492), 1,
      anon_sym_BQUOTE,
    ACTIONS(7494), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(3937), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7480), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7488), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7496), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2897), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(3678), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [167142] = 21,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(49), 1,
      anon_sym_DOLLAR,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(57), 1,
      aux_sym_number_token1,
    ACTIONS(59), 1,
      aux_sym_number_token2,
    ACTIONS(61), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(63), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym__brace_start,
    ACTIONS(7498), 1,
      sym_word,
    ACTIONS(7500), 1,
      sym__special_character,
    ACTIONS(7504), 1,
      sym_test_operator,
    ACTIONS(7506), 1,
      sym_regex,
    STATE(1145), 1,
      aux_sym__literal_repeat1,
    STATE(1273), 1,
      sym_concatenation,
    ACTIONS(45), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(69), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7502), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(906), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [167217] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3567), 1,
      anon_sym_DOLLAR,
    ACTIONS(3573), 1,
      aux_sym_number_token1,
    ACTIONS(3575), 1,
      aux_sym_number_token2,
    ACTIONS(3579), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3591), 1,
      sym__brace_start,
    ACTIONS(6459), 1,
      sym_word,
    ACTIONS(6467), 1,
      sym_test_operator,
    ACTIONS(7482), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7484), 1,
      sym__special_character,
    ACTIONS(7486), 1,
      anon_sym_DQUOTE,
    ACTIONS(7490), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7492), 1,
      anon_sym_BQUOTE,
    ACTIONS(7494), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(3937), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7480), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7488), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7496), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2899), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(3678), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [167290] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7011), 1,
      anon_sym_SLASH,
    ACTIONS(7013), 1,
      anon_sym_PERCENT,
    ACTIONS(7015), 1,
      anon_sym_COLON,
    ACTIONS(7019), 1,
      anon_sym_RBRACE3,
    ACTIONS(7021), 1,
      anon_sym_AT,
    ACTIONS(7023), 1,
      anon_sym_STAR2,
    ACTIONS(7508), 1,
      anon_sym_LBRACK,
    STATE(5625), 1,
      sym__expansion_operator,
    STATE(5626), 1,
      sym__expansion_max_length,
    STATE(5627), 1,
      sym__expansion_regex_removal,
    STATE(5631), 1,
      sym__expansion_regex_replacement,
    STATE(5632), 1,
      sym__expansion_regex,
    STATE(5633), 1,
      sym__expansion_expression,
    ACTIONS(7009), 2,
      anon_sym_COMMA,
      anon_sym_CARET,
    ACTIONS(7029), 2,
      anon_sym_COMMA_COMMA,
      anon_sym_CARET_CARET,
    ACTIONS(7017), 3,
      sym__immediate_double_hash,
      anon_sym_POUND,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7027), 3,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_POUND,
      anon_sym_SLASH_PERCENT,
    ACTIONS(7025), 8,
      anon_sym_EQ2,
      anon_sym_COLON_EQ,
      anon_sym_DASH3,
      anon_sym_COLON_DASH,
      anon_sym_PLUS3,
      anon_sym_COLON_PLUS,
      anon_sym_QMARK2,
      anon_sym_COLON_QMARK,
  [167361] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(7464), 1,
      sym_word,
    ACTIONS(7472), 1,
      sym_test_operator,
    ACTIONS(7510), 1,
      anon_sym_RBRACK,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7468), 2,
      sym__special_character,
      sym__comment_word,
    ACTIONS(7470), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2159), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [167432] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3050), 1,
      sym_word,
    ACTIONS(3056), 1,
      anon_sym_DOLLAR,
    ACTIONS(3062), 1,
      aux_sym_number_token1,
    ACTIONS(3064), 1,
      aux_sym_number_token2,
    ACTIONS(3068), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3076), 1,
      sym_test_operator,
    ACTIONS(3078), 1,
      sym__brace_start,
    ACTIONS(7448), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7450), 1,
      sym__special_character,
    ACTIONS(7452), 1,
      anon_sym_DQUOTE,
    ACTIONS(7456), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7458), 1,
      anon_sym_BQUOTE,
    ACTIONS(7460), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(1907), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7446), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7454), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7462), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(580), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1516), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [167505] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      sym_file_descriptor,
    ACTIONS(3436), 1,
      anon_sym_DQUOTE,
    STATE(3664), 1,
      sym_string,
    ACTIONS(6455), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6453), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 17,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [167552] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3056), 1,
      anon_sym_DOLLAR,
    ACTIONS(3062), 1,
      aux_sym_number_token1,
    ACTIONS(3064), 1,
      aux_sym_number_token2,
    ACTIONS(3068), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3078), 1,
      sym__brace_start,
    ACTIONS(4065), 1,
      sym_word,
    ACTIONS(4069), 1,
      sym_test_operator,
    ACTIONS(7448), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7452), 1,
      anon_sym_DQUOTE,
    ACTIONS(7456), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7458), 1,
      anon_sym_BQUOTE,
    ACTIONS(7460), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7512), 1,
      sym__special_character,
    STATE(1907), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7446), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7462), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7514), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(817), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2083), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [167625] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(7464), 1,
      sym_word,
    ACTIONS(7472), 1,
      sym_test_operator,
    ACTIONS(7516), 1,
      anon_sym_RBRACK,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7468), 2,
      sym__special_character,
      sym__comment_word,
    ACTIONS(7470), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2159), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [167696] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(7464), 1,
      sym_word,
    ACTIONS(7472), 1,
      sym_test_operator,
    ACTIONS(7518), 1,
      anon_sym_RBRACK,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7468), 2,
      sym__special_character,
      sym__comment_word,
    ACTIONS(7470), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2159), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [167767] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3056), 1,
      anon_sym_DOLLAR,
    ACTIONS(3062), 1,
      aux_sym_number_token1,
    ACTIONS(3064), 1,
      aux_sym_number_token2,
    ACTIONS(3068), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3078), 1,
      sym__brace_start,
    ACTIONS(4065), 1,
      sym_word,
    ACTIONS(4069), 1,
      sym_test_operator,
    ACTIONS(7448), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7452), 1,
      anon_sym_DQUOTE,
    ACTIONS(7456), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7458), 1,
      anon_sym_BQUOTE,
    ACTIONS(7460), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7512), 1,
      sym__special_character,
    STATE(1907), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7446), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7462), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7514), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(814), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2083), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [167840] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7522), 1,
      anon_sym_DQUOTE,
    STATE(4350), 1,
      sym_string,
    ACTIONS(1171), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(7524), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(7520), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [167887] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7522), 1,
      anon_sym_DQUOTE,
    STATE(4350), 1,
      sym_string,
    ACTIONS(1175), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(7524), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(7520), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [167934] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(7464), 1,
      sym_word,
    ACTIONS(7472), 1,
      sym_test_operator,
    ACTIONS(7526), 1,
      anon_sym_RBRACK,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7468), 2,
      sym__special_character,
      sym__comment_word,
    ACTIONS(7470), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2159), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [168005] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(7464), 1,
      sym_word,
    ACTIONS(7472), 1,
      sym_test_operator,
    ACTIONS(7528), 1,
      anon_sym_RBRACK,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7468), 2,
      sym__special_character,
      sym__comment_word,
    ACTIONS(7470), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2159), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [168076] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6739), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6741), 1,
      anon_sym_DOLLAR,
    ACTIONS(6745), 1,
      anon_sym_DQUOTE,
    ACTIONS(6749), 1,
      aux_sym_number_token1,
    ACTIONS(6751), 1,
      aux_sym_number_token2,
    ACTIONS(6753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6757), 1,
      anon_sym_BQUOTE,
    ACTIONS(6759), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6769), 1,
      sym__brace_start,
    ACTIONS(6965), 1,
      sym__special_character,
    ACTIONS(7530), 1,
      sym_word,
    ACTIONS(7534), 1,
      sym_test_operator,
    STATE(1553), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6735), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6761), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7532), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(554), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1368), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [168149] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6739), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6741), 1,
      anon_sym_DOLLAR,
    ACTIONS(6745), 1,
      anon_sym_DQUOTE,
    ACTIONS(6749), 1,
      aux_sym_number_token1,
    ACTIONS(6751), 1,
      aux_sym_number_token2,
    ACTIONS(6753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6757), 1,
      anon_sym_BQUOTE,
    ACTIONS(6759), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6769), 1,
      sym__brace_start,
    ACTIONS(6965), 1,
      sym__special_character,
    ACTIONS(7530), 1,
      sym_word,
    ACTIONS(7534), 1,
      sym_test_operator,
    STATE(1553), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6735), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6761), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7532), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(575), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1368), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [168222] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym_file_descriptor,
    ACTIONS(3436), 1,
      anon_sym_DQUOTE,
    STATE(3664), 1,
      sym_string,
    ACTIONS(6455), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6453), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 17,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [168269] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6979), 1,
      anon_sym_DOLLAR,
    ACTIONS(6981), 1,
      sym__special_character,
    ACTIONS(6983), 1,
      anon_sym_DQUOTE,
    ACTIONS(6987), 1,
      aux_sym_number_token1,
    ACTIONS(6989), 1,
      aux_sym_number_token2,
    ACTIONS(6991), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6993), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6995), 1,
      anon_sym_BQUOTE,
    ACTIONS(6997), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7007), 1,
      sym__brace_start,
    ACTIONS(7536), 1,
      sym_word,
    ACTIONS(7540), 1,
      sym_test_operator,
    STATE(1176), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6973), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6999), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7538), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(464), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(851), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [168342] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6979), 1,
      anon_sym_DOLLAR,
    ACTIONS(6981), 1,
      sym__special_character,
    ACTIONS(6983), 1,
      anon_sym_DQUOTE,
    ACTIONS(6987), 1,
      aux_sym_number_token1,
    ACTIONS(6989), 1,
      aux_sym_number_token2,
    ACTIONS(6991), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6993), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6995), 1,
      anon_sym_BQUOTE,
    ACTIONS(6997), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7007), 1,
      sym__brace_start,
    ACTIONS(7536), 1,
      sym_word,
    ACTIONS(7540), 1,
      sym_test_operator,
    STATE(1176), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6973), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6999), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7538), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(466), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(851), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [168415] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3133), 1,
      sym_word,
    ACTIONS(3139), 1,
      anon_sym_DOLLAR,
    ACTIONS(3145), 1,
      aux_sym_number_token1,
    ACTIONS(3147), 1,
      aux_sym_number_token2,
    ACTIONS(3151), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3159), 1,
      sym_test_operator,
    ACTIONS(3161), 1,
      sym__brace_start,
    ACTIONS(7544), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7546), 1,
      sym__special_character,
    ACTIONS(7548), 1,
      anon_sym_DQUOTE,
    ACTIONS(7552), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7554), 1,
      anon_sym_BQUOTE,
    ACTIONS(7556), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(1919), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7542), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7550), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7558), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(595), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1415), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [168488] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3133), 1,
      sym_word,
    ACTIONS(3139), 1,
      anon_sym_DOLLAR,
    ACTIONS(3145), 1,
      aux_sym_number_token1,
    ACTIONS(3147), 1,
      aux_sym_number_token2,
    ACTIONS(3151), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3159), 1,
      sym_test_operator,
    ACTIONS(3161), 1,
      sym__brace_start,
    ACTIONS(7544), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7546), 1,
      sym__special_character,
    ACTIONS(7548), 1,
      anon_sym_DQUOTE,
    ACTIONS(7552), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7554), 1,
      anon_sym_BQUOTE,
    ACTIONS(7556), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(1919), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7542), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7550), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7558), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(583), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1415), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [168561] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4230), 1,
      sym_word,
    ACTIONS(4234), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4236), 1,
      anon_sym_DOLLAR,
    ACTIONS(4238), 1,
      sym__special_character,
    ACTIONS(4240), 1,
      anon_sym_DQUOTE,
    ACTIONS(4244), 1,
      aux_sym_number_token1,
    ACTIONS(4246), 1,
      aux_sym_number_token2,
    ACTIONS(4248), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4250), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4252), 1,
      anon_sym_BQUOTE,
    ACTIONS(4254), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4258), 1,
      sym_test_operator,
    ACTIONS(4260), 1,
      sym__brace_start,
    STATE(2619), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4232), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4242), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4256), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(899), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2235), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [168634] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4230), 1,
      sym_word,
    ACTIONS(4234), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4236), 1,
      anon_sym_DOLLAR,
    ACTIONS(4238), 1,
      sym__special_character,
    ACTIONS(4240), 1,
      anon_sym_DQUOTE,
    ACTIONS(4244), 1,
      aux_sym_number_token1,
    ACTIONS(4246), 1,
      aux_sym_number_token2,
    ACTIONS(4248), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4250), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4252), 1,
      anon_sym_BQUOTE,
    ACTIONS(4254), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4258), 1,
      sym_test_operator,
    ACTIONS(4260), 1,
      sym__brace_start,
    STATE(2619), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4232), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4242), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4256), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(878), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2235), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [168707] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3567), 1,
      anon_sym_DOLLAR,
    ACTIONS(3573), 1,
      aux_sym_number_token1,
    ACTIONS(3575), 1,
      aux_sym_number_token2,
    ACTIONS(3579), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3591), 1,
      sym__brace_start,
    ACTIONS(6459), 1,
      sym_word,
    ACTIONS(6467), 1,
      sym_test_operator,
    ACTIONS(7482), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7484), 1,
      sym__special_character,
    ACTIONS(7486), 1,
      anon_sym_DQUOTE,
    ACTIONS(7490), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7492), 1,
      anon_sym_BQUOTE,
    ACTIONS(7494), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(3937), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7480), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7488), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7496), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2903), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(3678), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [168780] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2395), 1,
      sym_word,
    ACTIONS(2401), 1,
      anon_sym_DOLLAR,
    ACTIONS(2407), 1,
      aux_sym_number_token1,
    ACTIONS(2409), 1,
      aux_sym_number_token2,
    ACTIONS(2413), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2421), 1,
      sym_test_operator,
    ACTIONS(2423), 1,
      sym__brace_start,
    ACTIONS(7424), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7426), 1,
      sym__special_character,
    ACTIONS(7428), 1,
      anon_sym_DQUOTE,
    ACTIONS(7432), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7434), 1,
      anon_sym_BQUOTE,
    ACTIONS(7436), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(1549), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7422), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7430), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7438), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(517), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1142), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [168853] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(7464), 1,
      sym_word,
    ACTIONS(7472), 1,
      sym_test_operator,
    ACTIONS(7560), 1,
      anon_sym_RBRACK,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7468), 2,
      sym__special_character,
      sym__comment_word,
    ACTIONS(7470), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2159), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [168924] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4680), 1,
      sym_word,
    ACTIONS(4686), 1,
      anon_sym_DOLLAR,
    ACTIONS(4692), 1,
      aux_sym_number_token1,
    ACTIONS(4694), 1,
      aux_sym_number_token2,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4706), 1,
      sym_test_operator,
    ACTIONS(4708), 1,
      sym__brace_start,
    ACTIONS(7564), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7566), 1,
      sym__special_character,
    ACTIONS(7568), 1,
      anon_sym_DQUOTE,
    ACTIONS(7572), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7574), 1,
      anon_sym_BQUOTE,
    ACTIONS(7576), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2940), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7562), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7570), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7578), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1343), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2768), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [168997] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4680), 1,
      sym_word,
    ACTIONS(4686), 1,
      anon_sym_DOLLAR,
    ACTIONS(4692), 1,
      aux_sym_number_token1,
    ACTIONS(4694), 1,
      aux_sym_number_token2,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4706), 1,
      sym_test_operator,
    ACTIONS(4708), 1,
      sym__brace_start,
    ACTIONS(7564), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7566), 1,
      sym__special_character,
    ACTIONS(7568), 1,
      anon_sym_DQUOTE,
    ACTIONS(7572), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7574), 1,
      anon_sym_BQUOTE,
    ACTIONS(7576), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2940), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7562), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7570), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7578), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1335), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2768), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [169070] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3571), 1,
      anon_sym_DQUOTE,
    STATE(3850), 1,
      sym_string,
    ACTIONS(1175), 2,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(7112), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(7110), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 16,
      anon_sym_LPAREN_LPAREN,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [169117] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(7464), 1,
      sym_word,
    ACTIONS(7472), 1,
      sym_test_operator,
    ACTIONS(7580), 1,
      anon_sym_RBRACK,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7468), 2,
      sym__special_character,
      sym__comment_word,
    ACTIONS(7470), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2159), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [169188] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3571), 1,
      anon_sym_DQUOTE,
    STATE(3850), 1,
      sym_string,
    ACTIONS(1171), 2,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(7112), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(7110), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 16,
      anon_sym_LPAREN_LPAREN,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [169235] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6739), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6741), 1,
      anon_sym_DOLLAR,
    ACTIONS(6745), 1,
      anon_sym_DQUOTE,
    ACTIONS(6749), 1,
      aux_sym_number_token1,
    ACTIONS(6751), 1,
      aux_sym_number_token2,
    ACTIONS(6753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6757), 1,
      anon_sym_BQUOTE,
    ACTIONS(6759), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6769), 1,
      sym__brace_start,
    ACTIONS(6855), 1,
      sym__special_character,
    ACTIONS(7582), 1,
      sym_word,
    ACTIONS(7586), 1,
      sym_test_operator,
    STATE(1553), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6735), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6761), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7584), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(649), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1879), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [169308] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7590), 1,
      anon_sym_DQUOTE,
    STATE(4184), 1,
      sym_string,
    ACTIONS(1175), 2,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(7592), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(7588), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 16,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [169355] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6739), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6741), 1,
      anon_sym_DOLLAR,
    ACTIONS(6745), 1,
      anon_sym_DQUOTE,
    ACTIONS(6749), 1,
      aux_sym_number_token1,
    ACTIONS(6751), 1,
      aux_sym_number_token2,
    ACTIONS(6753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6757), 1,
      anon_sym_BQUOTE,
    ACTIONS(6759), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6769), 1,
      sym__brace_start,
    ACTIONS(6855), 1,
      sym__special_character,
    ACTIONS(7582), 1,
      sym_word,
    ACTIONS(7586), 1,
      sym_test_operator,
    STATE(1553), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6735), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6761), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7584), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(681), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1879), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [169428] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6813), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6815), 1,
      anon_sym_DOLLAR,
    ACTIONS(6817), 1,
      sym__special_character,
    ACTIONS(6819), 1,
      anon_sym_DQUOTE,
    ACTIONS(6823), 1,
      aux_sym_number_token1,
    ACTIONS(6825), 1,
      aux_sym_number_token2,
    ACTIONS(6827), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6829), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6831), 1,
      anon_sym_BQUOTE,
    ACTIONS(6833), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6843), 1,
      sym__brace_start,
    ACTIONS(7594), 1,
      sym_word,
    ACTIONS(7598), 1,
      sym_test_operator,
    STATE(2186), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6809), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6835), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7596), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(728), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2005), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [169501] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(7464), 1,
      sym_word,
    ACTIONS(7472), 1,
      sym_test_operator,
    ACTIONS(7600), 1,
      anon_sym_RBRACK,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7468), 2,
      sym__special_character,
      sym__comment_word,
    ACTIONS(7470), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2159), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [169572] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(7464), 1,
      sym_word,
    ACTIONS(7472), 1,
      sym_test_operator,
    ACTIONS(7602), 1,
      anon_sym_RBRACK,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7468), 2,
      sym__special_character,
      sym__comment_word,
    ACTIONS(7470), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2159), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [169643] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6595), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6597), 1,
      anon_sym_DOLLAR,
    ACTIONS(6599), 1,
      sym__special_character,
    ACTIONS(6601), 1,
      anon_sym_DQUOTE,
    ACTIONS(6605), 1,
      aux_sym_number_token1,
    ACTIONS(6607), 1,
      aux_sym_number_token2,
    ACTIONS(6609), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6611), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6613), 1,
      anon_sym_BQUOTE,
    ACTIONS(6615), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6625), 1,
      sym__brace_start,
    ACTIONS(7604), 1,
      sym_word,
    ACTIONS(7608), 1,
      sym_test_operator,
    STATE(2976), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6591), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6617), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7606), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1495), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2882), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [169716] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6595), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6597), 1,
      anon_sym_DOLLAR,
    ACTIONS(6599), 1,
      sym__special_character,
    ACTIONS(6601), 1,
      anon_sym_DQUOTE,
    ACTIONS(6605), 1,
      aux_sym_number_token1,
    ACTIONS(6607), 1,
      aux_sym_number_token2,
    ACTIONS(6609), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6611), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6613), 1,
      anon_sym_BQUOTE,
    ACTIONS(6615), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6625), 1,
      sym__brace_start,
    ACTIONS(7604), 1,
      sym_word,
    ACTIONS(7608), 1,
      sym_test_operator,
    STATE(2976), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6591), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6617), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7606), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1459), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2882), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [169789] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(353), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(361), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(365), 1,
      anon_sym_BQUOTE,
    ACTIONS(367), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(7610), 1,
      sym_word,
    ACTIONS(7612), 1,
      sym__special_character,
    ACTIONS(7616), 1,
      sym_test_operator,
    ACTIONS(7618), 1,
      sym_regex,
    STATE(1094), 1,
      aux_sym__literal_repeat1,
    STATE(1314), 1,
      sym_concatenation,
    ACTIONS(345), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(369), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7614), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(902), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [169864] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym_file_descriptor,
    ACTIONS(7622), 1,
      anon_sym_DQUOTE,
    STATE(4311), 1,
      sym_string,
    ACTIONS(7624), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(7620), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 17,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [169911] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      sym_file_descriptor,
    ACTIONS(7622), 1,
      anon_sym_DQUOTE,
    STATE(4311), 1,
      sym_string,
    ACTIONS(7624), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(7620), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 17,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [169958] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6739), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6741), 1,
      anon_sym_DOLLAR,
    ACTIONS(6743), 1,
      sym__special_character,
    ACTIONS(6745), 1,
      anon_sym_DQUOTE,
    ACTIONS(6749), 1,
      aux_sym_number_token1,
    ACTIONS(6751), 1,
      aux_sym_number_token2,
    ACTIONS(6753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6757), 1,
      anon_sym_BQUOTE,
    ACTIONS(6759), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6769), 1,
      sym__brace_start,
    ACTIONS(7626), 1,
      sym_word,
    ACTIONS(7630), 1,
      sym_test_operator,
    STATE(1553), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6735), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6761), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7628), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(506), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1122), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [170031] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7590), 1,
      anon_sym_DQUOTE,
    STATE(4184), 1,
      sym_string,
    ACTIONS(1171), 2,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(7592), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(7588), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 16,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [170078] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(951), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(953), 1,
      anon_sym_DOLLAR,
    ACTIONS(957), 1,
      anon_sym_DQUOTE,
    ACTIONS(961), 1,
      aux_sym_number_token1,
    ACTIONS(963), 1,
      aux_sym_number_token2,
    ACTIONS(965), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(967), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(971), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(979), 1,
      sym__brace_start,
    ACTIONS(2437), 1,
      sym__special_character,
    ACTIONS(7632), 1,
      sym_word,
    ACTIONS(7636), 1,
      sym_test_operator,
    ACTIONS(7638), 1,
      sym_regex,
    STATE(1954), 1,
      aux_sym__literal_repeat1,
    STATE(2080), 1,
      sym_concatenation,
    ACTIONS(949), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(973), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7634), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1734), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [170153] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6813), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6815), 1,
      anon_sym_DOLLAR,
    ACTIONS(6817), 1,
      sym__special_character,
    ACTIONS(6819), 1,
      anon_sym_DQUOTE,
    ACTIONS(6823), 1,
      aux_sym_number_token1,
    ACTIONS(6825), 1,
      aux_sym_number_token2,
    ACTIONS(6827), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6829), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6831), 1,
      anon_sym_BQUOTE,
    ACTIONS(6833), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6843), 1,
      sym__brace_start,
    ACTIONS(7594), 1,
      sym_word,
    ACTIONS(7598), 1,
      sym_test_operator,
    STATE(2186), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6809), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6835), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7596), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(727), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2005), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [170226] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6635), 1,
      anon_sym_DOLLAR,
    ACTIONS(6637), 1,
      sym__special_character,
    ACTIONS(6639), 1,
      anon_sym_DQUOTE,
    ACTIONS(6643), 1,
      aux_sym_number_token1,
    ACTIONS(6645), 1,
      aux_sym_number_token2,
    ACTIONS(6647), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6649), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6651), 1,
      anon_sym_BQUOTE,
    ACTIONS(6653), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6663), 1,
      sym__brace_start,
    ACTIONS(7640), 1,
      sym_word,
    ACTIONS(7644), 1,
      sym_test_operator,
    STATE(1439), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6629), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6655), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7642), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(521), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1102), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [170299] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6739), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6741), 1,
      anon_sym_DOLLAR,
    ACTIONS(6743), 1,
      sym__special_character,
    ACTIONS(6745), 1,
      anon_sym_DQUOTE,
    ACTIONS(6749), 1,
      aux_sym_number_token1,
    ACTIONS(6751), 1,
      aux_sym_number_token2,
    ACTIONS(6753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6757), 1,
      anon_sym_BQUOTE,
    ACTIONS(6759), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6769), 1,
      sym__brace_start,
    ACTIONS(7626), 1,
      sym_word,
    ACTIONS(7630), 1,
      sym_test_operator,
    STATE(1553), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6735), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6761), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7628), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(539), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1122), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [170372] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3056), 1,
      anon_sym_DOLLAR,
    ACTIONS(3062), 1,
      aux_sym_number_token1,
    ACTIONS(3064), 1,
      aux_sym_number_token2,
    ACTIONS(3068), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3078), 1,
      sym__brace_start,
    ACTIONS(3303), 1,
      sym_word,
    ACTIONS(3307), 1,
      sym_test_operator,
    ACTIONS(7448), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7452), 1,
      anon_sym_DQUOTE,
    ACTIONS(7456), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7458), 1,
      anon_sym_BQUOTE,
    ACTIONS(7460), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7476), 1,
      sym__special_character,
    STATE(1907), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7446), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7462), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7478), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(626), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1821), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [170445] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(437), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(439), 1,
      anon_sym_DOLLAR,
    ACTIONS(443), 1,
      anon_sym_DQUOTE,
    ACTIONS(447), 1,
      aux_sym_number_token1,
    ACTIONS(449), 1,
      aux_sym_number_token2,
    ACTIONS(451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(455), 1,
      anon_sym_BQUOTE,
    ACTIONS(457), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(467), 1,
      sym__brace_start,
    ACTIONS(7646), 1,
      sym_word,
    ACTIONS(7648), 1,
      sym__special_character,
    ACTIONS(7652), 1,
      sym_test_operator,
    ACTIONS(7654), 1,
      sym_regex,
    STATE(839), 1,
      aux_sym__literal_repeat1,
    STATE(1048), 1,
      sym_concatenation,
    ACTIONS(435), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(459), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7650), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(693), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [170520] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7656), 1,
      sym_word,
    ACTIONS(7660), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7662), 1,
      anon_sym_DOLLAR,
    ACTIONS(7664), 1,
      sym__special_character,
    ACTIONS(7666), 1,
      anon_sym_DQUOTE,
    ACTIONS(7670), 1,
      aux_sym_number_token1,
    ACTIONS(7672), 1,
      aux_sym_number_token2,
    ACTIONS(7674), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7676), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7678), 1,
      anon_sym_BQUOTE,
    ACTIONS(7680), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7684), 1,
      sym_test_operator,
    ACTIONS(7686), 1,
      sym__brace_start,
    STATE(2095), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7658), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7668), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7682), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(659), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1894), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [170593] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7656), 1,
      sym_word,
    ACTIONS(7660), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7662), 1,
      anon_sym_DOLLAR,
    ACTIONS(7664), 1,
      sym__special_character,
    ACTIONS(7666), 1,
      anon_sym_DQUOTE,
    ACTIONS(7670), 1,
      aux_sym_number_token1,
    ACTIONS(7672), 1,
      aux_sym_number_token2,
    ACTIONS(7674), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7676), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7678), 1,
      anon_sym_BQUOTE,
    ACTIONS(7680), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7684), 1,
      sym_test_operator,
    ACTIONS(7686), 1,
      sym__brace_start,
    STATE(2095), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7658), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7668), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7682), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(652), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1894), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [170666] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3056), 1,
      anon_sym_DOLLAR,
    ACTIONS(3062), 1,
      aux_sym_number_token1,
    ACTIONS(3064), 1,
      aux_sym_number_token2,
    ACTIONS(3068), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3078), 1,
      sym__brace_start,
    ACTIONS(3303), 1,
      sym_word,
    ACTIONS(3307), 1,
      sym_test_operator,
    ACTIONS(7448), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7452), 1,
      anon_sym_DQUOTE,
    ACTIONS(7456), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7458), 1,
      anon_sym_BQUOTE,
    ACTIONS(7460), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7476), 1,
      sym__special_character,
    STATE(1907), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7446), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7462), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7478), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(619), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1821), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [170739] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3809), 1,
      sym_word,
    ACTIONS(3813), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_DOLLAR,
    ACTIONS(3819), 1,
      anon_sym_DQUOTE,
    ACTIONS(3823), 1,
      aux_sym_number_token1,
    ACTIONS(3825), 1,
      aux_sym_number_token2,
    ACTIONS(3827), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3829), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_BQUOTE,
    ACTIONS(3833), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3837), 1,
      sym_test_operator,
    ACTIONS(3839), 1,
      sym__brace_start,
    ACTIONS(7688), 1,
      sym__special_character,
    STATE(2422), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3811), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3821), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(3835), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(755), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2125), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [170812] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(353), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(361), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(365), 1,
      anon_sym_BQUOTE,
    ACTIONS(367), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(7618), 1,
      sym_regex,
    ACTIONS(7690), 1,
      sym_word,
    ACTIONS(7692), 1,
      sym__special_character,
    ACTIONS(7696), 1,
      sym_test_operator,
    STATE(1094), 1,
      aux_sym__literal_repeat1,
    STATE(1314), 1,
      sym_concatenation,
    ACTIONS(345), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(369), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7694), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1497), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [170887] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6635), 1,
      anon_sym_DOLLAR,
    ACTIONS(6637), 1,
      sym__special_character,
    ACTIONS(6639), 1,
      anon_sym_DQUOTE,
    ACTIONS(6643), 1,
      aux_sym_number_token1,
    ACTIONS(6645), 1,
      aux_sym_number_token2,
    ACTIONS(6647), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6649), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6651), 1,
      anon_sym_BQUOTE,
    ACTIONS(6653), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6663), 1,
      sym__brace_start,
    ACTIONS(7640), 1,
      sym_word,
    ACTIONS(7644), 1,
      sym_test_operator,
    STATE(1439), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6629), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6655), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7642), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(528), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1102), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [170960] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(353), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(361), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(365), 1,
      anon_sym_BQUOTE,
    ACTIONS(367), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(7618), 1,
      sym_regex,
    ACTIONS(7698), 1,
      sym_word,
    ACTIONS(7700), 1,
      sym__special_character,
    ACTIONS(7704), 1,
      sym_test_operator,
    STATE(1094), 1,
      aux_sym__literal_repeat1,
    STATE(1314), 1,
      sym_concatenation,
    ACTIONS(345), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(369), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7702), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1051), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [171035] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3809), 1,
      sym_word,
    ACTIONS(3813), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_DOLLAR,
    ACTIONS(3819), 1,
      anon_sym_DQUOTE,
    ACTIONS(3823), 1,
      aux_sym_number_token1,
    ACTIONS(3825), 1,
      aux_sym_number_token2,
    ACTIONS(3827), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3829), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_BQUOTE,
    ACTIONS(3833), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3837), 1,
      sym_test_operator,
    ACTIONS(3839), 1,
      sym__brace_start,
    ACTIONS(7688), 1,
      sym__special_character,
    STATE(2422), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3811), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3821), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(3835), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(750), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2125), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [171108] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3056), 1,
      anon_sym_DOLLAR,
    ACTIONS(3062), 1,
      aux_sym_number_token1,
    ACTIONS(3064), 1,
      aux_sym_number_token2,
    ACTIONS(3068), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3078), 1,
      sym__brace_start,
    ACTIONS(3303), 1,
      sym_word,
    ACTIONS(3307), 1,
      sym_test_operator,
    ACTIONS(7448), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7452), 1,
      anon_sym_DQUOTE,
    ACTIONS(7456), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7458), 1,
      anon_sym_BQUOTE,
    ACTIONS(7460), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7476), 1,
      sym__special_character,
    STATE(1907), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7446), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7462), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7478), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(620), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1821), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [171181] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(7464), 1,
      sym_word,
    ACTIONS(7472), 1,
      sym_test_operator,
    ACTIONS(7706), 1,
      anon_sym_RBRACK,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7468), 2,
      sym__special_character,
      sym__comment_word,
    ACTIONS(7470), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2159), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [171252] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7734), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2327), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [171326] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7762), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(7764), 1,
      sym_variable_name,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2773), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [171400] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4364), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4370), 1,
      anon_sym_DQUOTE,
    ACTIONS(4374), 1,
      aux_sym_number_token1,
    ACTIONS(4376), 1,
      aux_sym_number_token2,
    ACTIONS(4378), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4380), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4382), 1,
      anon_sym_BQUOTE,
    ACTIONS(4384), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4390), 1,
      sym__brace_start,
    ACTIONS(7766), 1,
      sym_word,
    ACTIONS(7768), 1,
      anon_sym_DOLLAR,
    ACTIONS(7774), 1,
      sym__comment_word,
    ACTIONS(4362), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4386), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7770), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7772), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4385), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [171468] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(7776), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2808), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [171542] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7778), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2325), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [171616] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(7780), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2817), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [171690] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7782), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2330), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [171764] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3930), 1,
      anon_sym_DQUOTE,
    ACTIONS(3934), 1,
      aux_sym_number_token1,
    ACTIONS(3936), 1,
      aux_sym_number_token2,
    ACTIONS(3938), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3940), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3942), 1,
      anon_sym_BQUOTE,
    ACTIONS(3944), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3952), 1,
      sym__brace_start,
    ACTIONS(7784), 1,
      sym_word,
    ACTIONS(7786), 1,
      anon_sym_DOLLAR,
    ACTIONS(7792), 1,
      sym__comment_word,
    ACTIONS(3922), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3946), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7788), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7790), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2214), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [171832] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(7794), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2824), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [171906] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7796), 1,
      sym_word,
    ACTIONS(7800), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7802), 1,
      anon_sym_DOLLAR,
    ACTIONS(7806), 1,
      anon_sym_DQUOTE,
    ACTIONS(7810), 1,
      aux_sym_number_token1,
    ACTIONS(7812), 1,
      aux_sym_number_token2,
    ACTIONS(7814), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7816), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7818), 1,
      anon_sym_BQUOTE,
    ACTIONS(7820), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7824), 1,
      sym__comment_word,
    ACTIONS(7826), 1,
      sym__brace_start,
    ACTIONS(7798), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7804), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7822), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7808), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4943), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [171974] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7828), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2331), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [172048] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(7830), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2831), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [172122] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7832), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2332), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [172196] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(7834), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2841), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [172270] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7836), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2335), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [172344] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(951), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(957), 1,
      anon_sym_DQUOTE,
    ACTIONS(961), 1,
      aux_sym_number_token1,
    ACTIONS(963), 1,
      aux_sym_number_token2,
    ACTIONS(965), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(967), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(971), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(979), 1,
      sym__brace_start,
    ACTIONS(7838), 1,
      sym_word,
    ACTIONS(7840), 1,
      anon_sym_DOLLAR,
    ACTIONS(7846), 1,
      sym__comment_word,
    ACTIONS(949), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(973), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7842), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7844), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1571), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [172412] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(353), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(361), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(365), 1,
      anon_sym_BQUOTE,
    ACTIONS(367), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(7692), 1,
      sym__special_character,
    ACTIONS(7848), 1,
      sym_word,
    ACTIONS(7852), 1,
      sym_test_operator,
    STATE(1169), 1,
      aux_sym__literal_repeat1,
    STATE(1230), 1,
      sym_concatenation,
    ACTIONS(345), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(369), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7850), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1523), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [172484] = 20,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(49), 1,
      anon_sym_DOLLAR,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(57), 1,
      aux_sym_number_token1,
    ACTIONS(59), 1,
      aux_sym_number_token2,
    ACTIONS(61), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(63), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym__brace_start,
    ACTIONS(7500), 1,
      sym__special_character,
    ACTIONS(7854), 1,
      sym_word,
    ACTIONS(7858), 1,
      sym_test_operator,
    STATE(1193), 1,
      aux_sym__literal_repeat1,
    STATE(1290), 1,
      sym_concatenation,
    ACTIONS(45), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(69), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7856), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(821), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [172556] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(7860), 1,
      sym_word,
    ACTIONS(7866), 1,
      sym__comment_word,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7862), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7864), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1947), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [172624] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(7868), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2849), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [172698] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(7860), 1,
      sym_word,
    ACTIONS(7866), 1,
      sym__comment_word,
    ACTIONS(7870), 1,
      anon_sym_DOLLAR,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7862), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7864), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1947), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [172766] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(7860), 1,
      sym_word,
    ACTIONS(7866), 1,
      sym__comment_word,
    ACTIONS(7872), 1,
      anon_sym_DOLLAR,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7862), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7864), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1947), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [172834] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(353), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(361), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(365), 1,
      anon_sym_BQUOTE,
    ACTIONS(367), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(7874), 1,
      sym_word,
    ACTIONS(7876), 1,
      anon_sym_DOLLAR,
    ACTIONS(7882), 1,
      sym__comment_word,
    ACTIONS(345), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(369), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7878), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7880), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(857), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [172902] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(353), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(361), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(365), 1,
      anon_sym_BQUOTE,
    ACTIONS(367), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(7874), 1,
      sym_word,
    ACTIONS(7882), 1,
      sym__comment_word,
    ACTIONS(7884), 1,
      anon_sym_DOLLAR,
    ACTIONS(345), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(369), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7878), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7880), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(857), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [172970] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6983), 1,
      anon_sym_DQUOTE,
    ACTIONS(6987), 1,
      aux_sym_number_token1,
    ACTIONS(6989), 1,
      aux_sym_number_token2,
    ACTIONS(6991), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6993), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6995), 1,
      anon_sym_BQUOTE,
    ACTIONS(6997), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7007), 1,
      sym__brace_start,
    ACTIONS(7886), 1,
      sym_word,
    ACTIONS(7888), 1,
      anon_sym_DOLLAR,
    ACTIONS(7894), 1,
      sym__comment_word,
    ACTIONS(6973), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6999), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7890), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7892), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1046), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [173038] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7896), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2336), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [173112] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(7898), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2856), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [173186] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6739), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6741), 1,
      anon_sym_DOLLAR,
    ACTIONS(6745), 1,
      anon_sym_DQUOTE,
    ACTIONS(6749), 1,
      aux_sym_number_token1,
    ACTIONS(6751), 1,
      aux_sym_number_token2,
    ACTIONS(6753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6757), 1,
      anon_sym_BQUOTE,
    ACTIONS(6759), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6769), 1,
      sym__brace_start,
    ACTIONS(7900), 1,
      sym_word,
    ACTIONS(7906), 1,
      sym__comment_word,
    ACTIONS(6735), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6761), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7902), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7904), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1385), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [173254] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6983), 1,
      anon_sym_DQUOTE,
    ACTIONS(6987), 1,
      aux_sym_number_token1,
    ACTIONS(6989), 1,
      aux_sym_number_token2,
    ACTIONS(6991), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6993), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6995), 1,
      anon_sym_BQUOTE,
    ACTIONS(6997), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7007), 1,
      sym__brace_start,
    ACTIONS(7886), 1,
      sym_word,
    ACTIONS(7894), 1,
      sym__comment_word,
    ACTIONS(7908), 1,
      anon_sym_DOLLAR,
    ACTIONS(6973), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6999), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7890), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7892), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1046), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [173322] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6739), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6745), 1,
      anon_sym_DQUOTE,
    ACTIONS(6749), 1,
      aux_sym_number_token1,
    ACTIONS(6751), 1,
      aux_sym_number_token2,
    ACTIONS(6753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6757), 1,
      anon_sym_BQUOTE,
    ACTIONS(6759), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6769), 1,
      sym__brace_start,
    ACTIONS(7900), 1,
      sym_word,
    ACTIONS(7906), 1,
      sym__comment_word,
    ACTIONS(7910), 1,
      anon_sym_DOLLAR,
    ACTIONS(6735), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6761), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7902), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7904), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1385), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [173390] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7912), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2338), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [173464] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6739), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6745), 1,
      anon_sym_DQUOTE,
    ACTIONS(6749), 1,
      aux_sym_number_token1,
    ACTIONS(6751), 1,
      aux_sym_number_token2,
    ACTIONS(6753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6757), 1,
      anon_sym_BQUOTE,
    ACTIONS(6759), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6769), 1,
      sym__brace_start,
    ACTIONS(7900), 1,
      sym_word,
    ACTIONS(7906), 1,
      sym__comment_word,
    ACTIONS(7914), 1,
      anon_sym_DOLLAR,
    ACTIONS(6735), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6761), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7902), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7904), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1385), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [173532] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1950), 1,
      aux_sym_number_token1,
    ACTIONS(1952), 1,
      aux_sym_number_token2,
    ACTIONS(1956), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1970), 1,
      sym__brace_start,
    ACTIONS(6785), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6789), 1,
      anon_sym_DQUOTE,
    ACTIONS(6793), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6795), 1,
      anon_sym_BQUOTE,
    ACTIONS(6797), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7916), 1,
      sym_word,
    ACTIONS(7918), 1,
      anon_sym_DOLLAR,
    ACTIONS(7924), 1,
      sym__comment_word,
    ACTIONS(6781), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6799), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7920), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7922), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1313), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [173600] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4090), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4096), 1,
      anon_sym_DQUOTE,
    ACTIONS(4100), 1,
      aux_sym_number_token1,
    ACTIONS(4102), 1,
      aux_sym_number_token2,
    ACTIONS(4104), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4106), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4108), 1,
      anon_sym_BQUOTE,
    ACTIONS(4110), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4116), 1,
      sym__brace_start,
    ACTIONS(7926), 1,
      sym_word,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR,
    ACTIONS(7934), 1,
      sym__comment_word,
    ACTIONS(4088), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4112), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7930), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7932), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4360), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [173668] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(7936), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2867), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [173742] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(2921), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2281), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [173816] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1950), 1,
      aux_sym_number_token1,
    ACTIONS(1952), 1,
      aux_sym_number_token2,
    ACTIONS(1956), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1970), 1,
      sym__brace_start,
    ACTIONS(6785), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6789), 1,
      anon_sym_DQUOTE,
    ACTIONS(6793), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6795), 1,
      anon_sym_BQUOTE,
    ACTIONS(6797), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7916), 1,
      sym_word,
    ACTIONS(7924), 1,
      sym__comment_word,
    ACTIONS(7938), 1,
      anon_sym_DOLLAR,
    ACTIONS(6781), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6799), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7920), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7922), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1313), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [173884] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3145), 1,
      aux_sym_number_token1,
    ACTIONS(3147), 1,
      aux_sym_number_token2,
    ACTIONS(3151), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3161), 1,
      sym__brace_start,
    ACTIONS(7544), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7548), 1,
      anon_sym_DQUOTE,
    ACTIONS(7552), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7554), 1,
      anon_sym_BQUOTE,
    ACTIONS(7556), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7940), 1,
      sym_word,
    ACTIONS(7942), 1,
      anon_sym_DOLLAR,
    ACTIONS(7948), 1,
      sym__comment_word,
    ACTIONS(7542), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7558), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7944), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7946), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1639), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [173952] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      aux_sym_number_token1,
    ACTIONS(2740), 1,
      aux_sym_number_token2,
    ACTIONS(2744), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2756), 1,
      sym__brace_start,
    ACTIONS(7950), 1,
      sym_word,
    ACTIONS(7954), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7956), 1,
      anon_sym_DOLLAR,
    ACTIONS(7960), 1,
      anon_sym_DQUOTE,
    ACTIONS(7964), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7966), 1,
      anon_sym_BQUOTE,
    ACTIONS(7968), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7972), 1,
      sym__comment_word,
    ACTIONS(7952), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7958), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7970), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7962), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1526), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [174020] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      aux_sym_number_token1,
    ACTIONS(2740), 1,
      aux_sym_number_token2,
    ACTIONS(2744), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2756), 1,
      sym__brace_start,
    ACTIONS(7950), 1,
      sym_word,
    ACTIONS(7954), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7960), 1,
      anon_sym_DQUOTE,
    ACTIONS(7964), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7966), 1,
      anon_sym_BQUOTE,
    ACTIONS(7968), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7972), 1,
      sym__comment_word,
    ACTIONS(7974), 1,
      anon_sym_DOLLAR,
    ACTIONS(7952), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7958), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7970), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7962), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1526), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [174088] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3432), 1,
      anon_sym_DOLLAR,
    ACTIONS(3438), 1,
      aux_sym_number_token1,
    ACTIONS(3440), 1,
      aux_sym_number_token2,
    ACTIONS(3444), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3454), 1,
      sym__brace_start,
    ACTIONS(7976), 1,
      sym_word,
    ACTIONS(7980), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7982), 1,
      sym__special_character,
    ACTIONS(7984), 1,
      anon_sym_DQUOTE,
    ACTIONS(7988), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7990), 1,
      anon_sym_BQUOTE,
    ACTIONS(7992), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7996), 1,
      sym_test_operator,
    STATE(3736), 1,
      aux_sym__literal_repeat1,
    STATE(3939), 1,
      sym_concatenation,
    ACTIONS(7978), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7986), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7994), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(4218), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [174160] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3432), 1,
      anon_sym_DOLLAR,
    ACTIONS(3438), 1,
      aux_sym_number_token1,
    ACTIONS(3440), 1,
      aux_sym_number_token2,
    ACTIONS(3444), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3454), 1,
      sym__brace_start,
    ACTIONS(7980), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7982), 1,
      sym__special_character,
    ACTIONS(7984), 1,
      anon_sym_DQUOTE,
    ACTIONS(7988), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7990), 1,
      anon_sym_BQUOTE,
    ACTIONS(7992), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7998), 1,
      sym_word,
    ACTIONS(8002), 1,
      sym_test_operator,
    STATE(3637), 1,
      aux_sym__literal_repeat1,
    STATE(3994), 1,
      sym_concatenation,
    ACTIONS(7978), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7994), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8000), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4187), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [174232] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3438), 1,
      aux_sym_number_token1,
    ACTIONS(3440), 1,
      aux_sym_number_token2,
    ACTIONS(3444), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3454), 1,
      sym__brace_start,
    ACTIONS(7980), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7984), 1,
      anon_sym_DQUOTE,
    ACTIONS(7988), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7990), 1,
      anon_sym_BQUOTE,
    ACTIONS(7992), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8004), 1,
      sym_word,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8012), 1,
      sym__comment_word,
    ACTIONS(7978), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7994), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8008), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8010), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3651), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [174300] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8014), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2689), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [174374] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3438), 1,
      aux_sym_number_token1,
    ACTIONS(3440), 1,
      aux_sym_number_token2,
    ACTIONS(3444), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3454), 1,
      sym__brace_start,
    ACTIONS(7980), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7984), 1,
      anon_sym_DQUOTE,
    ACTIONS(7988), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7990), 1,
      anon_sym_BQUOTE,
    ACTIONS(7992), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8004), 1,
      sym_word,
    ACTIONS(8012), 1,
      sym__comment_word,
    ACTIONS(8016), 1,
      anon_sym_DOLLAR,
    ACTIONS(7978), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7994), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8008), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8010), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3651), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [174442] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4364), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4370), 1,
      anon_sym_DQUOTE,
    ACTIONS(4374), 1,
      aux_sym_number_token1,
    ACTIONS(4376), 1,
      aux_sym_number_token2,
    ACTIONS(4378), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4380), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4382), 1,
      anon_sym_BQUOTE,
    ACTIONS(4384), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4390), 1,
      sym__brace_start,
    ACTIONS(7766), 1,
      sym_word,
    ACTIONS(7774), 1,
      sym__comment_word,
    ACTIONS(8018), 1,
      anon_sym_DOLLAR,
    ACTIONS(4362), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4386), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7770), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7772), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4385), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [174510] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_DQUOTE,
    ACTIONS(6709), 1,
      aux_sym_number_token1,
    ACTIONS(6711), 1,
      aux_sym_number_token2,
    ACTIONS(6713), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6717), 1,
      anon_sym_BQUOTE,
    ACTIONS(6719), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6729), 1,
      sym__brace_start,
    ACTIONS(8020), 1,
      sym_word,
    ACTIONS(8022), 1,
      anon_sym_DOLLAR,
    ACTIONS(8028), 1,
      sym__comment_word,
    ACTIONS(6695), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6721), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8024), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8026), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3573), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [174578] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7796), 1,
      sym_word,
    ACTIONS(7800), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7806), 1,
      anon_sym_DQUOTE,
    ACTIONS(7810), 1,
      aux_sym_number_token1,
    ACTIONS(7812), 1,
      aux_sym_number_token2,
    ACTIONS(7814), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7816), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7818), 1,
      anon_sym_BQUOTE,
    ACTIONS(7820), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7824), 1,
      sym__comment_word,
    ACTIONS(7826), 1,
      sym__brace_start,
    ACTIONS(8030), 1,
      anon_sym_DOLLAR,
    ACTIONS(7798), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7804), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7822), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7808), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4943), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [174646] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8032), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2865), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [174720] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8034), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2380), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [174794] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3388), 1,
      anon_sym_DQUOTE,
    ACTIONS(3392), 1,
      aux_sym_number_token1,
    ACTIONS(3394), 1,
      aux_sym_number_token2,
    ACTIONS(3396), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3398), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3400), 1,
      anon_sym_BQUOTE,
    ACTIONS(3402), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3412), 1,
      sym__brace_start,
    ACTIONS(8036), 1,
      sym_word,
    ACTIONS(8038), 1,
      anon_sym_DOLLAR,
    ACTIONS(8044), 1,
      sym__comment_word,
    ACTIONS(3380), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3404), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8040), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8042), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2059), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [174862] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3432), 1,
      anon_sym_DOLLAR,
    ACTIONS(3438), 1,
      aux_sym_number_token1,
    ACTIONS(3440), 1,
      aux_sym_number_token2,
    ACTIONS(3444), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3454), 1,
      sym__brace_start,
    ACTIONS(7980), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7984), 1,
      anon_sym_DQUOTE,
    ACTIONS(7988), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7990), 1,
      anon_sym_BQUOTE,
    ACTIONS(7992), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8046), 1,
      sym_word,
    ACTIONS(8048), 1,
      sym__special_character,
    ACTIONS(8052), 1,
      sym_test_operator,
    STATE(3736), 1,
      aux_sym__literal_repeat1,
    STATE(3939), 1,
      sym_concatenation,
    ACTIONS(7978), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7994), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8050), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3871), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [174934] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3432), 1,
      anon_sym_DOLLAR,
    ACTIONS(3438), 1,
      aux_sym_number_token1,
    ACTIONS(3440), 1,
      aux_sym_number_token2,
    ACTIONS(3444), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3454), 1,
      sym__brace_start,
    ACTIONS(7980), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7984), 1,
      anon_sym_DQUOTE,
    ACTIONS(7988), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7990), 1,
      anon_sym_BQUOTE,
    ACTIONS(7992), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8048), 1,
      sym__special_character,
    ACTIONS(8054), 1,
      sym_word,
    ACTIONS(8058), 1,
      sym_test_operator,
    STATE(3637), 1,
      aux_sym__literal_repeat1,
    STATE(3994), 1,
      sym_concatenation,
    ACTIONS(7978), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7994), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8056), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3904), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [175006] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1539), 1,
      aux_sym_number_token1,
    ACTIONS(1541), 1,
      aux_sym_number_token2,
    ACTIONS(1545), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1559), 1,
      sym__brace_start,
    ACTIONS(6879), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DQUOTE,
    ACTIONS(6887), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6889), 1,
      anon_sym_BQUOTE,
    ACTIONS(6891), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8060), 1,
      sym_word,
    ACTIONS(8062), 1,
      anon_sym_DOLLAR,
    ACTIONS(8068), 1,
      sym__comment_word,
    ACTIONS(6875), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6893), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8064), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8066), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [175074] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_DQUOTE,
    ACTIONS(6709), 1,
      aux_sym_number_token1,
    ACTIONS(6711), 1,
      aux_sym_number_token2,
    ACTIONS(6713), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6717), 1,
      anon_sym_BQUOTE,
    ACTIONS(6719), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6729), 1,
      sym__brace_start,
    ACTIONS(8020), 1,
      sym_word,
    ACTIONS(8028), 1,
      sym__comment_word,
    ACTIONS(8070), 1,
      anon_sym_DOLLAR,
    ACTIONS(6695), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6721), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8024), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8026), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3573), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [175142] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8072), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2679), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [175216] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8074), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2678), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [175290] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1539), 1,
      aux_sym_number_token1,
    ACTIONS(1541), 1,
      aux_sym_number_token2,
    ACTIONS(1545), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1559), 1,
      sym__brace_start,
    ACTIONS(6879), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DQUOTE,
    ACTIONS(6887), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6889), 1,
      anon_sym_BQUOTE,
    ACTIONS(6891), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8060), 1,
      sym_word,
    ACTIONS(8068), 1,
      sym__comment_word,
    ACTIONS(8076), 1,
      anon_sym_DOLLAR,
    ACTIONS(6875), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6893), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8064), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8066), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [175358] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7660), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7662), 1,
      anon_sym_DOLLAR,
    ACTIONS(7664), 1,
      sym__special_character,
    ACTIONS(7666), 1,
      anon_sym_DQUOTE,
    ACTIONS(7670), 1,
      aux_sym_number_token1,
    ACTIONS(7672), 1,
      aux_sym_number_token2,
    ACTIONS(7674), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7676), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7678), 1,
      anon_sym_BQUOTE,
    ACTIONS(7680), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7686), 1,
      sym__brace_start,
    ACTIONS(8078), 1,
      sym_word,
    ACTIONS(8082), 1,
      sym_test_operator,
    STATE(2086), 1,
      aux_sym__literal_repeat1,
    STATE(2167), 1,
      sym_concatenation,
    ACTIONS(7658), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7682), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8080), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1900), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [175430] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7660), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7662), 1,
      anon_sym_DOLLAR,
    ACTIONS(7664), 1,
      sym__special_character,
    ACTIONS(7666), 1,
      anon_sym_DQUOTE,
    ACTIONS(7670), 1,
      aux_sym_number_token1,
    ACTIONS(7672), 1,
      aux_sym_number_token2,
    ACTIONS(7674), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7676), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7678), 1,
      anon_sym_BQUOTE,
    ACTIONS(7680), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7686), 1,
      sym__brace_start,
    ACTIONS(8084), 1,
      sym_word,
    ACTIONS(8088), 1,
      sym_test_operator,
    STATE(2013), 1,
      aux_sym__literal_repeat1,
    STATE(2194), 1,
      sym_concatenation,
    ACTIONS(7658), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7682), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8086), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1922), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [175502] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6635), 1,
      anon_sym_DOLLAR,
    ACTIONS(6637), 1,
      sym__special_character,
    ACTIONS(6639), 1,
      anon_sym_DQUOTE,
    ACTIONS(6643), 1,
      aux_sym_number_token1,
    ACTIONS(6645), 1,
      aux_sym_number_token2,
    ACTIONS(6647), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6649), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6651), 1,
      anon_sym_BQUOTE,
    ACTIONS(6653), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6663), 1,
      sym__brace_start,
    ACTIONS(8090), 1,
      sym_word,
    ACTIONS(8094), 1,
      sym_test_operator,
    STATE(1520), 1,
      aux_sym__literal_repeat1,
    STATE(1613), 1,
      sym_concatenation,
    ACTIONS(6629), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6655), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8092), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1170), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [175574] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(7860), 1,
      sym_word,
    ACTIONS(7866), 1,
      sym__comment_word,
    ACTIONS(8096), 1,
      anon_sym_DOLLAR,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7862), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7864), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1947), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [175642] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(7860), 1,
      sym_word,
    ACTIONS(7866), 1,
      sym__comment_word,
    ACTIONS(8098), 1,
      anon_sym_DOLLAR,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7862), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7864), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1947), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [175710] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(353), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(361), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(365), 1,
      anon_sym_BQUOTE,
    ACTIONS(367), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(7874), 1,
      sym_word,
    ACTIONS(7882), 1,
      sym__comment_word,
    ACTIONS(8100), 1,
      anon_sym_DOLLAR,
    ACTIONS(345), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(369), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7878), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7880), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(857), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [175778] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2694), 1,
      anon_sym_DOLLAR,
    ACTIONS(2700), 1,
      aux_sym_number_token1,
    ACTIONS(2702), 1,
      aux_sym_number_token2,
    ACTIONS(2706), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2718), 1,
      sym__brace_start,
    ACTIONS(8102), 1,
      sym_word,
    ACTIONS(8106), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8110), 1,
      anon_sym_DQUOTE,
    ACTIONS(8114), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8116), 1,
      anon_sym_BQUOTE,
    ACTIONS(8118), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8122), 1,
      sym__comment_word,
    ACTIONS(8104), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8108), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8120), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8112), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1489), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [175846] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6595), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6597), 1,
      anon_sym_DOLLAR,
    ACTIONS(6599), 1,
      sym__special_character,
    ACTIONS(6601), 1,
      anon_sym_DQUOTE,
    ACTIONS(6605), 1,
      aux_sym_number_token1,
    ACTIONS(6607), 1,
      aux_sym_number_token2,
    ACTIONS(6609), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6611), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6613), 1,
      anon_sym_BQUOTE,
    ACTIONS(6615), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6625), 1,
      sym__brace_start,
    ACTIONS(8124), 1,
      sym_word,
    ACTIONS(8128), 1,
      sym_test_operator,
    STATE(2980), 1,
      aux_sym__literal_repeat1,
    STATE(3009), 1,
      sym_concatenation,
    ACTIONS(6591), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6617), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8126), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2888), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [175918] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4090), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4096), 1,
      anon_sym_DQUOTE,
    ACTIONS(4100), 1,
      aux_sym_number_token1,
    ACTIONS(4102), 1,
      aux_sym_number_token2,
    ACTIONS(4104), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4106), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4108), 1,
      anon_sym_BQUOTE,
    ACTIONS(4110), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4116), 1,
      sym__brace_start,
    ACTIONS(7926), 1,
      sym_word,
    ACTIONS(7934), 1,
      sym__comment_word,
    ACTIONS(8130), 1,
      anon_sym_DOLLAR,
    ACTIONS(4088), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4112), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7930), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7932), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4360), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [175986] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8132), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2324), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [176060] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3388), 1,
      anon_sym_DQUOTE,
    ACTIONS(3392), 1,
      aux_sym_number_token1,
    ACTIONS(3394), 1,
      aux_sym_number_token2,
    ACTIONS(3396), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3398), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3400), 1,
      anon_sym_BQUOTE,
    ACTIONS(3402), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3412), 1,
      sym__brace_start,
    ACTIONS(8036), 1,
      sym_word,
    ACTIONS(8044), 1,
      sym__comment_word,
    ACTIONS(8134), 1,
      anon_sym_DOLLAR,
    ACTIONS(3380), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3404), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8040), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8042), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2059), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [176128] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8136), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2799), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [176202] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3145), 1,
      aux_sym_number_token1,
    ACTIONS(3147), 1,
      aux_sym_number_token2,
    ACTIONS(3151), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3161), 1,
      sym__brace_start,
    ACTIONS(7544), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7548), 1,
      anon_sym_DQUOTE,
    ACTIONS(7552), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7554), 1,
      anon_sym_BQUOTE,
    ACTIONS(7556), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7940), 1,
      sym_word,
    ACTIONS(7948), 1,
      sym__comment_word,
    ACTIONS(8138), 1,
      anon_sym_DOLLAR,
    ACTIONS(7542), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7558), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7944), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7946), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1639), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [176270] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8140), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2834), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [176344] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(2976), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2386), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [176418] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8142), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2322), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [176492] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(117), 1,
      anon_sym_DQUOTE,
    ACTIONS(121), 1,
      aux_sym_number_token1,
    ACTIONS(123), 1,
      aux_sym_number_token2,
    ACTIONS(125), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(127), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(129), 1,
      anon_sym_BQUOTE,
    ACTIONS(131), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(141), 1,
      sym__brace_start,
    ACTIONS(8144), 1,
      sym_word,
    ACTIONS(8146), 1,
      anon_sym_DOLLAR,
    ACTIONS(8152), 1,
      sym__comment_word,
    ACTIONS(109), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(133), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8148), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8150), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(384), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [176560] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(117), 1,
      anon_sym_DQUOTE,
    ACTIONS(121), 1,
      aux_sym_number_token1,
    ACTIONS(123), 1,
      aux_sym_number_token2,
    ACTIONS(125), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(127), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(129), 1,
      anon_sym_BQUOTE,
    ACTIONS(131), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(141), 1,
      sym__brace_start,
    ACTIONS(8144), 1,
      sym_word,
    ACTIONS(8152), 1,
      sym__comment_word,
    ACTIONS(8154), 1,
      anon_sym_DOLLAR,
    ACTIONS(109), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(133), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8148), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8150), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(384), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [176628] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3432), 1,
      anon_sym_DOLLAR,
    ACTIONS(3438), 1,
      aux_sym_number_token1,
    ACTIONS(3440), 1,
      aux_sym_number_token2,
    ACTIONS(3444), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3454), 1,
      sym__brace_start,
    ACTIONS(7980), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7984), 1,
      anon_sym_DQUOTE,
    ACTIONS(7988), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7990), 1,
      anon_sym_BQUOTE,
    ACTIONS(7992), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8156), 1,
      sym_word,
    ACTIONS(8158), 1,
      sym__special_character,
    ACTIONS(8162), 1,
      sym_test_operator,
    STATE(3736), 1,
      aux_sym__literal_repeat1,
    STATE(3939), 1,
      sym_concatenation,
    ACTIONS(7978), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7994), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8160), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4003), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [176700] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(353), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(361), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(365), 1,
      anon_sym_BQUOTE,
    ACTIONS(367), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(7874), 1,
      sym_word,
    ACTIONS(7882), 1,
      sym__comment_word,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(345), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(369), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7878), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7880), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(857), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [176768] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3432), 1,
      anon_sym_DOLLAR,
    ACTIONS(3438), 1,
      aux_sym_number_token1,
    ACTIONS(3440), 1,
      aux_sym_number_token2,
    ACTIONS(3444), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3454), 1,
      sym__brace_start,
    ACTIONS(7980), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7984), 1,
      anon_sym_DQUOTE,
    ACTIONS(7988), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7990), 1,
      anon_sym_BQUOTE,
    ACTIONS(7992), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8158), 1,
      sym__special_character,
    ACTIONS(8166), 1,
      sym_word,
    ACTIONS(8170), 1,
      sym_test_operator,
    STATE(3637), 1,
      aux_sym__literal_repeat1,
    STATE(3994), 1,
      sym_concatenation,
    ACTIONS(7978), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7994), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8168), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4015), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [176840] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1944), 1,
      anon_sym_DOLLAR,
    ACTIONS(1950), 1,
      aux_sym_number_token1,
    ACTIONS(1952), 1,
      aux_sym_number_token2,
    ACTIONS(1956), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1970), 1,
      sym__brace_start,
    ACTIONS(6785), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6789), 1,
      anon_sym_DQUOTE,
    ACTIONS(6793), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6795), 1,
      anon_sym_BQUOTE,
    ACTIONS(6797), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7916), 1,
      sym_word,
    ACTIONS(7924), 1,
      sym__comment_word,
    ACTIONS(6781), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6799), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7920), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7922), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1313), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [176908] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3438), 1,
      aux_sym_number_token1,
    ACTIONS(3440), 1,
      aux_sym_number_token2,
    ACTIONS(3444), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3454), 1,
      sym__brace_start,
    ACTIONS(7980), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7984), 1,
      anon_sym_DQUOTE,
    ACTIONS(7988), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7990), 1,
      anon_sym_BQUOTE,
    ACTIONS(7992), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8004), 1,
      sym_word,
    ACTIONS(8012), 1,
      sym__comment_word,
    ACTIONS(8172), 1,
      anon_sym_DOLLAR,
    ACTIONS(7978), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7994), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8008), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8010), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3651), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [176976] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3438), 1,
      aux_sym_number_token1,
    ACTIONS(3440), 1,
      aux_sym_number_token2,
    ACTIONS(3444), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3454), 1,
      sym__brace_start,
    ACTIONS(7980), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7984), 1,
      anon_sym_DQUOTE,
    ACTIONS(7988), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7990), 1,
      anon_sym_BQUOTE,
    ACTIONS(7992), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8004), 1,
      sym_word,
    ACTIONS(8012), 1,
      sym__comment_word,
    ACTIONS(8174), 1,
      anon_sym_DOLLAR,
    ACTIONS(7978), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7994), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8008), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8010), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3651), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [177044] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2171), 1,
      aux_sym_number_token1,
    ACTIONS(2173), 1,
      aux_sym_number_token2,
    ACTIONS(2177), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2189), 1,
      sym__brace_start,
    ACTIONS(8176), 1,
      sym_word,
    ACTIONS(8180), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8182), 1,
      anon_sym_DOLLAR,
    ACTIONS(8186), 1,
      anon_sym_DQUOTE,
    ACTIONS(8190), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8192), 1,
      anon_sym_BQUOTE,
    ACTIONS(8194), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8198), 1,
      sym__comment_word,
    ACTIONS(8178), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8184), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8196), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8188), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1127), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [177112] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3930), 1,
      anon_sym_DQUOTE,
    ACTIONS(3934), 1,
      aux_sym_number_token1,
    ACTIONS(3936), 1,
      aux_sym_number_token2,
    ACTIONS(3938), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3940), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3942), 1,
      anon_sym_BQUOTE,
    ACTIONS(3944), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3952), 1,
      sym__brace_start,
    ACTIONS(7784), 1,
      sym_word,
    ACTIONS(7792), 1,
      sym__comment_word,
    ACTIONS(8200), 1,
      anon_sym_DOLLAR,
    ACTIONS(3922), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3946), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7788), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7790), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2214), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [177180] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6595), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6597), 1,
      anon_sym_DOLLAR,
    ACTIONS(6599), 1,
      sym__special_character,
    ACTIONS(6601), 1,
      anon_sym_DQUOTE,
    ACTIONS(6605), 1,
      aux_sym_number_token1,
    ACTIONS(6607), 1,
      aux_sym_number_token2,
    ACTIONS(6609), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6611), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6613), 1,
      anon_sym_BQUOTE,
    ACTIONS(6615), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6625), 1,
      sym__brace_start,
    ACTIONS(8202), 1,
      sym_word,
    ACTIONS(8206), 1,
      sym_test_operator,
    STATE(2984), 1,
      aux_sym__literal_repeat1,
    STATE(3002), 1,
      sym_concatenation,
    ACTIONS(6591), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6617), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8204), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2884), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [177252] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_DQUOTE,
    ACTIONS(6709), 1,
      aux_sym_number_token1,
    ACTIONS(6711), 1,
      aux_sym_number_token2,
    ACTIONS(6713), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6717), 1,
      anon_sym_BQUOTE,
    ACTIONS(6719), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6729), 1,
      sym__brace_start,
    ACTIONS(8020), 1,
      sym_word,
    ACTIONS(8028), 1,
      sym__comment_word,
    ACTIONS(8208), 1,
      anon_sym_DOLLAR,
    ACTIONS(6695), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6721), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8024), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8026), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3573), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [177320] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2171), 1,
      aux_sym_number_token1,
    ACTIONS(2173), 1,
      aux_sym_number_token2,
    ACTIONS(2177), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2189), 1,
      sym__brace_start,
    ACTIONS(8176), 1,
      sym_word,
    ACTIONS(8180), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8186), 1,
      anon_sym_DQUOTE,
    ACTIONS(8190), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8192), 1,
      anon_sym_BQUOTE,
    ACTIONS(8194), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8198), 1,
      sym__comment_word,
    ACTIONS(8210), 1,
      anon_sym_DOLLAR,
    ACTIONS(8178), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8184), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8196), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8188), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1127), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [177388] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6739), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6741), 1,
      anon_sym_DOLLAR,
    ACTIONS(6745), 1,
      anon_sym_DQUOTE,
    ACTIONS(6749), 1,
      aux_sym_number_token1,
    ACTIONS(6751), 1,
      aux_sym_number_token2,
    ACTIONS(6753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6757), 1,
      anon_sym_BQUOTE,
    ACTIONS(6759), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6769), 1,
      sym__brace_start,
    ACTIONS(6855), 1,
      sym__special_character,
    ACTIONS(8212), 1,
      sym_word,
    ACTIONS(8216), 1,
      sym_test_operator,
    STATE(1511), 1,
      aux_sym__literal_repeat1,
    STATE(1625), 1,
      sym_concatenation,
    ACTIONS(6735), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6761), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8214), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1925), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [177460] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7660), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7666), 1,
      anon_sym_DQUOTE,
    ACTIONS(7670), 1,
      aux_sym_number_token1,
    ACTIONS(7672), 1,
      aux_sym_number_token2,
    ACTIONS(7674), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7676), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7678), 1,
      anon_sym_BQUOTE,
    ACTIONS(7680), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7686), 1,
      sym__brace_start,
    ACTIONS(8218), 1,
      sym_word,
    ACTIONS(8220), 1,
      anon_sym_DOLLAR,
    ACTIONS(8226), 1,
      sym__comment_word,
    ACTIONS(7658), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7682), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8222), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8224), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1951), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [177528] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(7860), 1,
      sym_word,
    ACTIONS(7866), 1,
      sym__comment_word,
    ACTIONS(8228), 1,
      anon_sym_DOLLAR,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7862), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7864), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1947), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [177596] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_DQUOTE,
    ACTIONS(6709), 1,
      aux_sym_number_token1,
    ACTIONS(6711), 1,
      aux_sym_number_token2,
    ACTIONS(6713), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6717), 1,
      anon_sym_BQUOTE,
    ACTIONS(6719), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6729), 1,
      sym__brace_start,
    ACTIONS(8020), 1,
      sym_word,
    ACTIONS(8028), 1,
      sym__comment_word,
    ACTIONS(8230), 1,
      anon_sym_DOLLAR,
    ACTIONS(6695), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6721), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8024), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8026), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3573), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [177664] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7796), 1,
      sym_word,
    ACTIONS(7800), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7806), 1,
      anon_sym_DQUOTE,
    ACTIONS(7810), 1,
      aux_sym_number_token1,
    ACTIONS(7812), 1,
      aux_sym_number_token2,
    ACTIONS(7814), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7816), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7818), 1,
      anon_sym_BQUOTE,
    ACTIONS(7820), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7824), 1,
      sym__comment_word,
    ACTIONS(7826), 1,
      sym__brace_start,
    ACTIONS(8232), 1,
      anon_sym_DOLLAR,
    ACTIONS(7798), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7804), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7822), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7808), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4943), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [177732] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6739), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6741), 1,
      anon_sym_DOLLAR,
    ACTIONS(6745), 1,
      anon_sym_DQUOTE,
    ACTIONS(6749), 1,
      aux_sym_number_token1,
    ACTIONS(6751), 1,
      aux_sym_number_token2,
    ACTIONS(6753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6757), 1,
      anon_sym_BQUOTE,
    ACTIONS(6759), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6769), 1,
      sym__brace_start,
    ACTIONS(6855), 1,
      sym__special_character,
    ACTIONS(8234), 1,
      sym_word,
    ACTIONS(8238), 1,
      sym_test_operator,
    STATE(1538), 1,
      aux_sym__literal_repeat1,
    STATE(1596), 1,
      sym_concatenation,
    ACTIONS(6735), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6761), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8236), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1915), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [177804] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6907), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6913), 1,
      anon_sym_DQUOTE,
    ACTIONS(6917), 1,
      aux_sym_number_token1,
    ACTIONS(6919), 1,
      aux_sym_number_token2,
    ACTIONS(6921), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6923), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_BQUOTE,
    ACTIONS(6927), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6937), 1,
      sym__brace_start,
    ACTIONS(8240), 1,
      sym_word,
    ACTIONS(8242), 1,
      anon_sym_DOLLAR,
    ACTIONS(8248), 1,
      sym__comment_word,
    ACTIONS(6903), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6929), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8244), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8246), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3577), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [177872] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6907), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6913), 1,
      anon_sym_DQUOTE,
    ACTIONS(6917), 1,
      aux_sym_number_token1,
    ACTIONS(6919), 1,
      aux_sym_number_token2,
    ACTIONS(6921), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6923), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_BQUOTE,
    ACTIONS(6927), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6937), 1,
      sym__brace_start,
    ACTIONS(8240), 1,
      sym_word,
    ACTIONS(8248), 1,
      sym__comment_word,
    ACTIONS(8250), 1,
      anon_sym_DOLLAR,
    ACTIONS(6903), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6929), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8244), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8246), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3577), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [177940] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(681), 1,
      anon_sym_DQUOTE,
    ACTIONS(685), 1,
      aux_sym_number_token1,
    ACTIONS(687), 1,
      aux_sym_number_token2,
    ACTIONS(689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(693), 1,
      anon_sym_BQUOTE,
    ACTIONS(695), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(705), 1,
      sym__brace_start,
    ACTIONS(8252), 1,
      sym_word,
    ACTIONS(8254), 1,
      anon_sym_DOLLAR,
    ACTIONS(8260), 1,
      sym__comment_word,
    ACTIONS(673), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(697), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8256), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8258), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(816), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [178008] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(681), 1,
      anon_sym_DQUOTE,
    ACTIONS(685), 1,
      aux_sym_number_token1,
    ACTIONS(687), 1,
      aux_sym_number_token2,
    ACTIONS(689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(693), 1,
      anon_sym_BQUOTE,
    ACTIONS(695), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(705), 1,
      sym__brace_start,
    ACTIONS(8252), 1,
      sym_word,
    ACTIONS(8260), 1,
      sym__comment_word,
    ACTIONS(8262), 1,
      anon_sym_DOLLAR,
    ACTIONS(673), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(697), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8256), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8258), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(816), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [178076] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2939), 1,
      aux_sym_number_token1,
    ACTIONS(2941), 1,
      aux_sym_number_token2,
    ACTIONS(2945), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2955), 1,
      sym__brace_start,
    ACTIONS(8264), 1,
      sym_word,
    ACTIONS(8268), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8270), 1,
      anon_sym_DOLLAR,
    ACTIONS(8274), 1,
      anon_sym_DQUOTE,
    ACTIONS(8278), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8280), 1,
      anon_sym_BQUOTE,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8286), 1,
      sym__comment_word,
    ACTIONS(8266), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8272), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8284), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8276), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3689), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [178144] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2939), 1,
      aux_sym_number_token1,
    ACTIONS(2941), 1,
      aux_sym_number_token2,
    ACTIONS(2945), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2955), 1,
      sym__brace_start,
    ACTIONS(8264), 1,
      sym_word,
    ACTIONS(8268), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8274), 1,
      anon_sym_DQUOTE,
    ACTIONS(8278), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8280), 1,
      anon_sym_BQUOTE,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8286), 1,
      sym__comment_word,
    ACTIONS(8288), 1,
      anon_sym_DOLLAR,
    ACTIONS(8266), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8272), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8284), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8276), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3689), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [178212] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(437), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(443), 1,
      anon_sym_DQUOTE,
    ACTIONS(447), 1,
      aux_sym_number_token1,
    ACTIONS(449), 1,
      aux_sym_number_token2,
    ACTIONS(451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(455), 1,
      anon_sym_BQUOTE,
    ACTIONS(457), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(467), 1,
      sym__brace_start,
    ACTIONS(8290), 1,
      sym_word,
    ACTIONS(8292), 1,
      anon_sym_DOLLAR,
    ACTIONS(8298), 1,
      sym__comment_word,
    ACTIONS(435), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(459), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8294), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8296), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(706), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [178280] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6595), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6601), 1,
      anon_sym_DQUOTE,
    ACTIONS(6605), 1,
      aux_sym_number_token1,
    ACTIONS(6607), 1,
      aux_sym_number_token2,
    ACTIONS(6609), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6611), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6613), 1,
      anon_sym_BQUOTE,
    ACTIONS(6615), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6625), 1,
      sym__brace_start,
    ACTIONS(8300), 1,
      sym_word,
    ACTIONS(8302), 1,
      anon_sym_DOLLAR,
    ACTIONS(8308), 1,
      sym__comment_word,
    ACTIONS(6591), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6617), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8304), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8306), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2954), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [178348] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8310), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2787), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [178422] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(437), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(443), 1,
      anon_sym_DQUOTE,
    ACTIONS(447), 1,
      aux_sym_number_token1,
    ACTIONS(449), 1,
      aux_sym_number_token2,
    ACTIONS(451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(455), 1,
      anon_sym_BQUOTE,
    ACTIONS(457), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(467), 1,
      sym__brace_start,
    ACTIONS(8290), 1,
      sym_word,
    ACTIONS(8298), 1,
      sym__comment_word,
    ACTIONS(8312), 1,
      anon_sym_DOLLAR,
    ACTIONS(435), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(459), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8294), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8296), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(706), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [178490] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6595), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6601), 1,
      anon_sym_DQUOTE,
    ACTIONS(6605), 1,
      aux_sym_number_token1,
    ACTIONS(6607), 1,
      aux_sym_number_token2,
    ACTIONS(6609), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6611), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6613), 1,
      anon_sym_BQUOTE,
    ACTIONS(6615), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6625), 1,
      sym__brace_start,
    ACTIONS(8300), 1,
      sym_word,
    ACTIONS(8308), 1,
      sym__comment_word,
    ACTIONS(8314), 1,
      anon_sym_DOLLAR,
    ACTIONS(6591), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6617), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8304), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8306), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2954), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [178558] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_DQUOTE,
    ACTIONS(6709), 1,
      aux_sym_number_token1,
    ACTIONS(6711), 1,
      aux_sym_number_token2,
    ACTIONS(6713), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6717), 1,
      anon_sym_BQUOTE,
    ACTIONS(6719), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6729), 1,
      sym__brace_start,
    ACTIONS(8020), 1,
      sym_word,
    ACTIONS(8028), 1,
      sym__comment_word,
    ACTIONS(8316), 1,
      anon_sym_DOLLAR,
    ACTIONS(6695), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6721), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8024), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8026), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3573), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [178626] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_DQUOTE,
    ACTIONS(6709), 1,
      aux_sym_number_token1,
    ACTIONS(6711), 1,
      aux_sym_number_token2,
    ACTIONS(6713), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6717), 1,
      anon_sym_BQUOTE,
    ACTIONS(6719), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6729), 1,
      sym__brace_start,
    ACTIONS(8020), 1,
      sym_word,
    ACTIONS(8028), 1,
      sym__comment_word,
    ACTIONS(8318), 1,
      anon_sym_DOLLAR,
    ACTIONS(6695), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6721), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8024), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8026), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3573), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [178694] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      aux_sym_number_token1,
    ACTIONS(3064), 1,
      aux_sym_number_token2,
    ACTIONS(3068), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3078), 1,
      sym__brace_start,
    ACTIONS(7448), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7452), 1,
      anon_sym_DQUOTE,
    ACTIONS(7456), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7458), 1,
      anon_sym_BQUOTE,
    ACTIONS(7460), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8320), 1,
      sym_word,
    ACTIONS(8322), 1,
      anon_sym_DOLLAR,
    ACTIONS(8328), 1,
      sym__comment_word,
    ACTIONS(7446), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7462), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8324), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8326), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1752), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [178762] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8330), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2321), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [178836] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      aux_sym_number_token1,
    ACTIONS(3064), 1,
      aux_sym_number_token2,
    ACTIONS(3068), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3078), 1,
      sym__brace_start,
    ACTIONS(7448), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7452), 1,
      anon_sym_DQUOTE,
    ACTIONS(7456), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7458), 1,
      anon_sym_BQUOTE,
    ACTIONS(7460), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8320), 1,
      sym_word,
    ACTIONS(8328), 1,
      sym__comment_word,
    ACTIONS(8332), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7462), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8324), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8326), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1752), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [178904] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3432), 1,
      anon_sym_DOLLAR,
    ACTIONS(3438), 1,
      aux_sym_number_token1,
    ACTIONS(3440), 1,
      aux_sym_number_token2,
    ACTIONS(3444), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3454), 1,
      sym__brace_start,
    ACTIONS(7980), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7984), 1,
      anon_sym_DQUOTE,
    ACTIONS(7988), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7990), 1,
      anon_sym_BQUOTE,
    ACTIONS(7992), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8334), 1,
      sym_word,
    ACTIONS(8336), 1,
      sym__special_character,
    ACTIONS(8340), 1,
      sym_test_operator,
    STATE(3637), 1,
      aux_sym__literal_repeat1,
    STATE(3994), 1,
      sym_concatenation,
    ACTIONS(7978), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7994), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8338), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3845), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [178976] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3573), 1,
      aux_sym_number_token1,
    ACTIONS(3575), 1,
      aux_sym_number_token2,
    ACTIONS(3579), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3591), 1,
      sym__brace_start,
    ACTIONS(7482), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7486), 1,
      anon_sym_DQUOTE,
    ACTIONS(7490), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7492), 1,
      anon_sym_BQUOTE,
    ACTIONS(7494), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8342), 1,
      sym_word,
    ACTIONS(8344), 1,
      anon_sym_DOLLAR,
    ACTIONS(8350), 1,
      sym__comment_word,
    ACTIONS(7480), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7496), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8346), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8348), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3891), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [179044] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2407), 1,
      aux_sym_number_token1,
    ACTIONS(2409), 1,
      aux_sym_number_token2,
    ACTIONS(2413), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2423), 1,
      sym__brace_start,
    ACTIONS(7424), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7428), 1,
      anon_sym_DQUOTE,
    ACTIONS(7432), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7434), 1,
      anon_sym_BQUOTE,
    ACTIONS(7436), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8352), 1,
      sym_word,
    ACTIONS(8354), 1,
      anon_sym_DOLLAR,
    ACTIONS(8360), 1,
      sym__comment_word,
    ACTIONS(7422), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7438), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8356), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8358), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1379), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [179112] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3573), 1,
      aux_sym_number_token1,
    ACTIONS(3575), 1,
      aux_sym_number_token2,
    ACTIONS(3579), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3591), 1,
      sym__brace_start,
    ACTIONS(7482), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7486), 1,
      anon_sym_DQUOTE,
    ACTIONS(7490), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7492), 1,
      anon_sym_BQUOTE,
    ACTIONS(7494), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8342), 1,
      sym_word,
    ACTIONS(8350), 1,
      sym__comment_word,
    ACTIONS(8362), 1,
      anon_sym_DOLLAR,
    ACTIONS(7480), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7496), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8346), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8348), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3891), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [179180] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3438), 1,
      aux_sym_number_token1,
    ACTIONS(3440), 1,
      aux_sym_number_token2,
    ACTIONS(3444), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3454), 1,
      sym__brace_start,
    ACTIONS(7980), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7984), 1,
      anon_sym_DQUOTE,
    ACTIONS(7988), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7990), 1,
      anon_sym_BQUOTE,
    ACTIONS(7992), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8004), 1,
      sym_word,
    ACTIONS(8012), 1,
      sym__comment_word,
    ACTIONS(8364), 1,
      anon_sym_DOLLAR,
    ACTIONS(7978), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7994), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8008), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8010), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3651), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [179248] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3438), 1,
      aux_sym_number_token1,
    ACTIONS(3440), 1,
      aux_sym_number_token2,
    ACTIONS(3444), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3454), 1,
      sym__brace_start,
    ACTIONS(7980), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7984), 1,
      anon_sym_DQUOTE,
    ACTIONS(7988), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7990), 1,
      anon_sym_BQUOTE,
    ACTIONS(7992), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8004), 1,
      sym_word,
    ACTIONS(8012), 1,
      sym__comment_word,
    ACTIONS(8366), 1,
      anon_sym_DOLLAR,
    ACTIONS(7978), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7994), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8008), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8010), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3651), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [179316] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2407), 1,
      aux_sym_number_token1,
    ACTIONS(2409), 1,
      aux_sym_number_token2,
    ACTIONS(2413), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2423), 1,
      sym__brace_start,
    ACTIONS(7424), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7428), 1,
      anon_sym_DQUOTE,
    ACTIONS(7432), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7434), 1,
      anon_sym_BQUOTE,
    ACTIONS(7436), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8352), 1,
      sym_word,
    ACTIONS(8360), 1,
      sym__comment_word,
    ACTIONS(8368), 1,
      anon_sym_DOLLAR,
    ACTIONS(7422), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7438), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8356), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8358), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1379), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [179384] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8370), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2781), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [179458] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3438), 1,
      aux_sym_number_token1,
    ACTIONS(3440), 1,
      aux_sym_number_token2,
    ACTIONS(3444), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3454), 1,
      sym__brace_start,
    ACTIONS(7980), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7984), 1,
      anon_sym_DQUOTE,
    ACTIONS(7988), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7990), 1,
      anon_sym_BQUOTE,
    ACTIONS(7992), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8004), 1,
      sym_word,
    ACTIONS(8012), 1,
      sym__comment_word,
    ACTIONS(8372), 1,
      anon_sym_DOLLAR,
    ACTIONS(7978), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7994), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8008), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8010), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3651), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [179526] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3438), 1,
      aux_sym_number_token1,
    ACTIONS(3440), 1,
      aux_sym_number_token2,
    ACTIONS(3444), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3454), 1,
      sym__brace_start,
    ACTIONS(7980), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7984), 1,
      anon_sym_DQUOTE,
    ACTIONS(7988), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7990), 1,
      anon_sym_BQUOTE,
    ACTIONS(7992), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8004), 1,
      sym_word,
    ACTIONS(8012), 1,
      sym__comment_word,
    ACTIONS(8374), 1,
      anon_sym_DOLLAR,
    ACTIONS(7978), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7994), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8008), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8010), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3651), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [179594] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(951), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(957), 1,
      anon_sym_DQUOTE,
    ACTIONS(961), 1,
      aux_sym_number_token1,
    ACTIONS(963), 1,
      aux_sym_number_token2,
    ACTIONS(965), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(967), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(971), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(979), 1,
      sym__brace_start,
    ACTIONS(7838), 1,
      sym_word,
    ACTIONS(7846), 1,
      sym__comment_word,
    ACTIONS(8376), 1,
      anon_sym_DOLLAR,
    ACTIONS(949), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(973), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7842), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7844), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1571), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [179662] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      aux_sym_number_token1,
    ACTIONS(2740), 1,
      aux_sym_number_token2,
    ACTIONS(2744), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2756), 1,
      sym__brace_start,
    ACTIONS(7950), 1,
      sym_word,
    ACTIONS(7954), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7960), 1,
      anon_sym_DQUOTE,
    ACTIONS(7964), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7966), 1,
      anon_sym_BQUOTE,
    ACTIONS(7968), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7972), 1,
      sym__comment_word,
    ACTIONS(8378), 1,
      anon_sym_DOLLAR,
    ACTIONS(7952), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7958), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7970), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7962), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1526), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [179730] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(951), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(957), 1,
      anon_sym_DQUOTE,
    ACTIONS(961), 1,
      aux_sym_number_token1,
    ACTIONS(963), 1,
      aux_sym_number_token2,
    ACTIONS(965), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(967), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(971), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(979), 1,
      sym__brace_start,
    ACTIONS(7838), 1,
      sym_word,
    ACTIONS(7846), 1,
      sym__comment_word,
    ACTIONS(8380), 1,
      anon_sym_DOLLAR,
    ACTIONS(949), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(973), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7842), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7844), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1571), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [179798] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8382), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2833), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [179872] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3189), 1,
      sym_variable_name,
    ACTIONS(3246), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(8384), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_BANG,
    ACTIONS(8392), 1,
      anon_sym_TILDE,
    ACTIONS(8394), 1,
      anon_sym_DOLLAR,
    ACTIONS(8396), 1,
      anon_sym_DQUOTE,
    ACTIONS(8398), 1,
      aux_sym_number_token1,
    ACTIONS(8400), 1,
      aux_sym_number_token2,
    ACTIONS(8402), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8404), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(8406), 1,
      anon_sym_BQUOTE,
    ACTIONS(8408), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2843), 1,
      sym__arithmetic_postfix_expression,
    STATE(2844), 1,
      sym__arithmetic_unary_expression,
    STATE(2846), 1,
      sym__arithmetic_ternary_expression,
    STATE(2847), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(8388), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(8390), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2829), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [179946] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(2686), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2257), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [180020] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8410), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2813), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [180094] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8412), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2429), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [180168] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3432), 1,
      anon_sym_DOLLAR,
    ACTIONS(3438), 1,
      aux_sym_number_token1,
    ACTIONS(3440), 1,
      aux_sym_number_token2,
    ACTIONS(3444), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3454), 1,
      sym__brace_start,
    ACTIONS(7980), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7984), 1,
      anon_sym_DQUOTE,
    ACTIONS(7988), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7990), 1,
      anon_sym_BQUOTE,
    ACTIONS(7992), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8336), 1,
      sym__special_character,
    ACTIONS(8414), 1,
      sym_word,
    ACTIONS(8418), 1,
      sym_test_operator,
    STATE(3736), 1,
      aux_sym__literal_repeat1,
    STATE(3939), 1,
      sym_concatenation,
    ACTIONS(7978), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7994), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8416), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3880), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [180240] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3813), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3819), 1,
      anon_sym_DQUOTE,
    ACTIONS(3823), 1,
      aux_sym_number_token1,
    ACTIONS(3825), 1,
      aux_sym_number_token2,
    ACTIONS(3827), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3829), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_BQUOTE,
    ACTIONS(3833), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3839), 1,
      sym__brace_start,
    ACTIONS(8420), 1,
      sym_word,
    ACTIONS(8422), 1,
      anon_sym_DOLLAR,
    ACTIONS(8428), 1,
      sym__comment_word,
    ACTIONS(3811), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3835), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8424), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8426), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2128), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [180308] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8430), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2629), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [180382] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      aux_sym_number_token1,
    ACTIONS(2740), 1,
      aux_sym_number_token2,
    ACTIONS(2744), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2756), 1,
      sym__brace_start,
    ACTIONS(7950), 1,
      sym_word,
    ACTIONS(7954), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7960), 1,
      anon_sym_DQUOTE,
    ACTIONS(7964), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7966), 1,
      anon_sym_BQUOTE,
    ACTIONS(7968), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7972), 1,
      sym__comment_word,
    ACTIONS(8432), 1,
      anon_sym_DOLLAR,
    ACTIONS(7952), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7958), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7970), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7962), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1526), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [180450] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      aux_sym_number_token1,
    ACTIONS(2740), 1,
      aux_sym_number_token2,
    ACTIONS(2744), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2756), 1,
      sym__brace_start,
    ACTIONS(7950), 1,
      sym_word,
    ACTIONS(7954), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7960), 1,
      anon_sym_DQUOTE,
    ACTIONS(7964), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7966), 1,
      anon_sym_BQUOTE,
    ACTIONS(7968), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7972), 1,
      sym__comment_word,
    ACTIONS(8434), 1,
      anon_sym_DOLLAR,
    ACTIONS(7952), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7958), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7970), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7962), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1526), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [180518] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2933), 1,
      anon_sym_DOLLAR,
    ACTIONS(2939), 1,
      aux_sym_number_token1,
    ACTIONS(2941), 1,
      aux_sym_number_token2,
    ACTIONS(2945), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2955), 1,
      sym__brace_start,
    ACTIONS(8268), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8274), 1,
      anon_sym_DQUOTE,
    ACTIONS(8278), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8280), 1,
      anon_sym_BQUOTE,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8436), 1,
      sym_word,
    ACTIONS(8438), 1,
      sym__special_character,
    ACTIONS(8442), 1,
      sym_test_operator,
    STATE(3734), 1,
      aux_sym__literal_repeat1,
    STATE(3915), 1,
      sym_concatenation,
    ACTIONS(8266), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8284), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8440), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3697), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [180590] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      aux_sym_number_token1,
    ACTIONS(2740), 1,
      aux_sym_number_token2,
    ACTIONS(2744), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2756), 1,
      sym__brace_start,
    ACTIONS(7950), 1,
      sym_word,
    ACTIONS(7954), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7960), 1,
      anon_sym_DQUOTE,
    ACTIONS(7964), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7966), 1,
      anon_sym_BQUOTE,
    ACTIONS(7968), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7972), 1,
      sym__comment_word,
    ACTIONS(8444), 1,
      anon_sym_DOLLAR,
    ACTIONS(7952), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7958), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7970), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7962), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1526), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [180658] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1950), 1,
      aux_sym_number_token1,
    ACTIONS(1952), 1,
      aux_sym_number_token2,
    ACTIONS(1956), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1970), 1,
      sym__brace_start,
    ACTIONS(6785), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6789), 1,
      anon_sym_DQUOTE,
    ACTIONS(6793), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6795), 1,
      anon_sym_BQUOTE,
    ACTIONS(6797), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7916), 1,
      sym_word,
    ACTIONS(7924), 1,
      sym__comment_word,
    ACTIONS(8446), 1,
      anon_sym_DOLLAR,
    ACTIONS(6781), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6799), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7920), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7922), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1313), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [180726] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1950), 1,
      aux_sym_number_token1,
    ACTIONS(1952), 1,
      aux_sym_number_token2,
    ACTIONS(1956), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1970), 1,
      sym__brace_start,
    ACTIONS(6785), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6789), 1,
      anon_sym_DQUOTE,
    ACTIONS(6793), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6795), 1,
      anon_sym_BQUOTE,
    ACTIONS(6797), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7916), 1,
      sym_word,
    ACTIONS(7924), 1,
      sym__comment_word,
    ACTIONS(8448), 1,
      anon_sym_DOLLAR,
    ACTIONS(6781), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6799), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7920), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7922), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1313), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [180794] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6739), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6745), 1,
      anon_sym_DQUOTE,
    ACTIONS(6749), 1,
      aux_sym_number_token1,
    ACTIONS(6751), 1,
      aux_sym_number_token2,
    ACTIONS(6753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6757), 1,
      anon_sym_BQUOTE,
    ACTIONS(6759), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6769), 1,
      sym__brace_start,
    ACTIONS(7900), 1,
      sym_word,
    ACTIONS(7906), 1,
      sym__comment_word,
    ACTIONS(8450), 1,
      anon_sym_DOLLAR,
    ACTIONS(6735), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6761), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7902), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7904), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1385), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [180862] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6739), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6745), 1,
      anon_sym_DQUOTE,
    ACTIONS(6749), 1,
      aux_sym_number_token1,
    ACTIONS(6751), 1,
      aux_sym_number_token2,
    ACTIONS(6753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6757), 1,
      anon_sym_BQUOTE,
    ACTIONS(6759), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6769), 1,
      sym__brace_start,
    ACTIONS(7900), 1,
      sym_word,
    ACTIONS(7906), 1,
      sym__comment_word,
    ACTIONS(8452), 1,
      anon_sym_DOLLAR,
    ACTIONS(6735), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6761), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7902), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7904), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1385), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [180930] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2933), 1,
      anon_sym_DOLLAR,
    ACTIONS(2939), 1,
      aux_sym_number_token1,
    ACTIONS(2941), 1,
      aux_sym_number_token2,
    ACTIONS(2945), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2955), 1,
      sym__brace_start,
    ACTIONS(8268), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8274), 1,
      anon_sym_DQUOTE,
    ACTIONS(8278), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8280), 1,
      anon_sym_BQUOTE,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8438), 1,
      sym__special_character,
    ACTIONS(8454), 1,
      sym_word,
    ACTIONS(8458), 1,
      sym_test_operator,
    STATE(3677), 1,
      aux_sym__literal_repeat1,
    STATE(3986), 1,
      sym_concatenation,
    ACTIONS(8266), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8284), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8456), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3700), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [181002] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(7464), 1,
      sym_word,
    ACTIONS(7468), 1,
      sym__comment_word,
    ACTIONS(8460), 1,
      anon_sym_DOLLAR,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7472), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7470), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2159), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [181070] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2939), 1,
      aux_sym_number_token1,
    ACTIONS(2941), 1,
      aux_sym_number_token2,
    ACTIONS(2945), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2955), 1,
      sym__brace_start,
    ACTIONS(8264), 1,
      sym_word,
    ACTIONS(8268), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8274), 1,
      anon_sym_DQUOTE,
    ACTIONS(8278), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8280), 1,
      anon_sym_BQUOTE,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8286), 1,
      sym__comment_word,
    ACTIONS(8462), 1,
      anon_sym_DOLLAR,
    ACTIONS(8266), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8272), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8284), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8276), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3689), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [181138] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(7464), 1,
      sym_word,
    ACTIONS(7468), 1,
      sym__comment_word,
    ACTIONS(8464), 1,
      anon_sym_DOLLAR,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7472), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7470), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2159), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [181206] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    ACTIONS(8466), 1,
      sym_word,
    ACTIONS(8472), 1,
      sym__comment_word,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8468), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8470), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2216), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [181274] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(353), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(361), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(365), 1,
      anon_sym_BQUOTE,
    ACTIONS(367), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(7874), 1,
      sym_word,
    ACTIONS(7882), 1,
      sym__comment_word,
    ACTIONS(8474), 1,
      anon_sym_DOLLAR,
    ACTIONS(345), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(369), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7878), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7880), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(857), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [181342] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2939), 1,
      aux_sym_number_token1,
    ACTIONS(2941), 1,
      aux_sym_number_token2,
    ACTIONS(2945), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2955), 1,
      sym__brace_start,
    ACTIONS(8264), 1,
      sym_word,
    ACTIONS(8268), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8274), 1,
      anon_sym_DQUOTE,
    ACTIONS(8278), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8280), 1,
      anon_sym_BQUOTE,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8286), 1,
      sym__comment_word,
    ACTIONS(8476), 1,
      anon_sym_DOLLAR,
    ACTIONS(8266), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8272), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8284), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8276), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3689), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [181410] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3432), 1,
      anon_sym_DOLLAR,
    ACTIONS(3438), 1,
      aux_sym_number_token1,
    ACTIONS(3440), 1,
      aux_sym_number_token2,
    ACTIONS(3444), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3454), 1,
      sym__brace_start,
    ACTIONS(7980), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7984), 1,
      anon_sym_DQUOTE,
    ACTIONS(7988), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7990), 1,
      anon_sym_BQUOTE,
    ACTIONS(7992), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8478), 1,
      sym_word,
    ACTIONS(8480), 1,
      sym__special_character,
    ACTIONS(8484), 1,
      sym_test_operator,
    STATE(3736), 1,
      aux_sym__literal_repeat1,
    STATE(3939), 1,
      sym_concatenation,
    ACTIONS(7978), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7994), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8482), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3808), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [181482] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3432), 1,
      anon_sym_DOLLAR,
    ACTIONS(3438), 1,
      aux_sym_number_token1,
    ACTIONS(3440), 1,
      aux_sym_number_token2,
    ACTIONS(3444), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3454), 1,
      sym__brace_start,
    ACTIONS(7980), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7984), 1,
      anon_sym_DQUOTE,
    ACTIONS(7988), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7990), 1,
      anon_sym_BQUOTE,
    ACTIONS(7992), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8480), 1,
      sym__special_character,
    ACTIONS(8486), 1,
      sym_word,
    ACTIONS(8490), 1,
      sym_test_operator,
    STATE(3637), 1,
      aux_sym__literal_repeat1,
    STATE(3994), 1,
      sym_concatenation,
    ACTIONS(7978), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7994), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8488), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3812), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [181554] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(353), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(361), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(365), 1,
      anon_sym_BQUOTE,
    ACTIONS(367), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(7874), 1,
      sym_word,
    ACTIONS(7882), 1,
      sym__comment_word,
    ACTIONS(8492), 1,
      anon_sym_DOLLAR,
    ACTIONS(345), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(369), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7878), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7880), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(857), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [181622] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(49), 1,
      anon_sym_DOLLAR,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(57), 1,
      aux_sym_number_token1,
    ACTIONS(59), 1,
      aux_sym_number_token2,
    ACTIONS(61), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(63), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(79), 1,
      sym__brace_start,
    ACTIONS(8494), 1,
      sym_word,
    ACTIONS(8500), 1,
      sym__comment_word,
    ACTIONS(45), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(69), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8496), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8498), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(837), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [181690] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1916), 1,
      aux_sym_number_token1,
    ACTIONS(1918), 1,
      aux_sym_number_token2,
    ACTIONS(1922), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1936), 1,
      sym__brace_start,
    ACTIONS(6671), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6675), 1,
      anon_sym_DQUOTE,
    ACTIONS(6679), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6681), 1,
      anon_sym_BQUOTE,
    ACTIONS(6683), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8502), 1,
      sym_word,
    ACTIONS(8504), 1,
      anon_sym_DOLLAR,
    ACTIONS(8510), 1,
      sym__comment_word,
    ACTIONS(6667), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6685), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8506), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8508), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1209), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [181758] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(7860), 1,
      sym_word,
    ACTIONS(7866), 1,
      sym__comment_word,
    ACTIONS(8512), 1,
      anon_sym_DOLLAR,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7862), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7864), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1947), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [181826] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3813), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3819), 1,
      anon_sym_DQUOTE,
    ACTIONS(3823), 1,
      aux_sym_number_token1,
    ACTIONS(3825), 1,
      aux_sym_number_token2,
    ACTIONS(3827), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3829), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_BQUOTE,
    ACTIONS(3833), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3839), 1,
      sym__brace_start,
    ACTIONS(8420), 1,
      sym_word,
    ACTIONS(8428), 1,
      sym__comment_word,
    ACTIONS(8514), 1,
      anon_sym_DOLLAR,
    ACTIONS(3811), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3835), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8424), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8426), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2128), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [181894] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6739), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6741), 1,
      anon_sym_DOLLAR,
    ACTIONS(6745), 1,
      anon_sym_DQUOTE,
    ACTIONS(6749), 1,
      aux_sym_number_token1,
    ACTIONS(6751), 1,
      aux_sym_number_token2,
    ACTIONS(6753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6757), 1,
      anon_sym_BQUOTE,
    ACTIONS(6759), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6769), 1,
      sym__brace_start,
    ACTIONS(6965), 1,
      sym__special_character,
    ACTIONS(8516), 1,
      sym_word,
    ACTIONS(8520), 1,
      sym_test_operator,
    STATE(1511), 1,
      aux_sym__literal_repeat1,
    STATE(1625), 1,
      sym_concatenation,
    ACTIONS(6735), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6761), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8518), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1308), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [181966] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(353), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(361), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(365), 1,
      anon_sym_BQUOTE,
    ACTIONS(367), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(7874), 1,
      sym_word,
    ACTIONS(7882), 1,
      sym__comment_word,
    ACTIONS(8522), 1,
      anon_sym_DOLLAR,
    ACTIONS(345), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(369), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7878), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7880), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(857), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [182034] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8524), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2651), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [182108] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(353), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(361), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(365), 1,
      anon_sym_BQUOTE,
    ACTIONS(367), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(7874), 1,
      sym_word,
    ACTIONS(7882), 1,
      sym__comment_word,
    ACTIONS(8526), 1,
      anon_sym_DOLLAR,
    ACTIONS(345), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(369), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7878), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7880), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(857), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [182176] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8528), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2650), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [182250] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8530), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2649), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [182324] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6739), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6741), 1,
      anon_sym_DOLLAR,
    ACTIONS(6745), 1,
      anon_sym_DQUOTE,
    ACTIONS(6749), 1,
      aux_sym_number_token1,
    ACTIONS(6751), 1,
      aux_sym_number_token2,
    ACTIONS(6753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6757), 1,
      anon_sym_BQUOTE,
    ACTIONS(6759), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6769), 1,
      sym__brace_start,
    ACTIONS(6965), 1,
      sym__special_character,
    ACTIONS(8532), 1,
      sym_word,
    ACTIONS(8536), 1,
      sym_test_operator,
    STATE(1538), 1,
      aux_sym__literal_repeat1,
    STATE(1596), 1,
      sym_concatenation,
    ACTIONS(6735), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6761), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8534), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1306), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [182396] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(353), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(361), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(365), 1,
      anon_sym_BQUOTE,
    ACTIONS(367), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(7874), 1,
      sym_word,
    ACTIONS(7882), 1,
      sym__comment_word,
    ACTIONS(8538), 1,
      anon_sym_DOLLAR,
    ACTIONS(345), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(369), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7878), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7880), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(857), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [182464] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(353), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(361), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(365), 1,
      anon_sym_BQUOTE,
    ACTIONS(367), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(7874), 1,
      sym_word,
    ACTIONS(7882), 1,
      sym__comment_word,
    ACTIONS(8540), 1,
      anon_sym_DOLLAR,
    ACTIONS(345), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(369), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7878), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7880), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(857), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [182532] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7660), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7666), 1,
      anon_sym_DQUOTE,
    ACTIONS(7670), 1,
      aux_sym_number_token1,
    ACTIONS(7672), 1,
      aux_sym_number_token2,
    ACTIONS(7674), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7676), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7678), 1,
      anon_sym_BQUOTE,
    ACTIONS(7680), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7686), 1,
      sym__brace_start,
    ACTIONS(8218), 1,
      sym_word,
    ACTIONS(8226), 1,
      sym__comment_word,
    ACTIONS(8542), 1,
      anon_sym_DOLLAR,
    ACTIONS(7658), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7682), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8222), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8224), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1951), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [182600] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8544), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2648), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [182674] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8546), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2647), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [182748] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8548), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2646), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [182822] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8550), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2641), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [182896] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8552), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2640), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [182970] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8554), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2835), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [183044] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8556), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2836), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [183118] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(681), 1,
      anon_sym_DQUOTE,
    ACTIONS(685), 1,
      aux_sym_number_token1,
    ACTIONS(687), 1,
      aux_sym_number_token2,
    ACTIONS(689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(693), 1,
      anon_sym_BQUOTE,
    ACTIONS(695), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(705), 1,
      sym__brace_start,
    ACTIONS(8252), 1,
      sym_word,
    ACTIONS(8260), 1,
      sym__comment_word,
    ACTIONS(8558), 1,
      anon_sym_DOLLAR,
    ACTIONS(673), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(697), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8256), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8258), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(816), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [183186] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8560), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2840), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [183260] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(7860), 1,
      sym_word,
    ACTIONS(7866), 1,
      sym__comment_word,
    ACTIONS(8562), 1,
      anon_sym_DOLLAR,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7862), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7864), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1947), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [183328] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2732), 1,
      anon_sym_DOLLAR,
    ACTIONS(2738), 1,
      aux_sym_number_token1,
    ACTIONS(2740), 1,
      aux_sym_number_token2,
    ACTIONS(2744), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2756), 1,
      sym__brace_start,
    ACTIONS(7950), 1,
      sym_word,
    ACTIONS(7954), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7960), 1,
      anon_sym_DQUOTE,
    ACTIONS(7964), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7966), 1,
      anon_sym_BQUOTE,
    ACTIONS(7968), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7972), 1,
      sym__comment_word,
    ACTIONS(7952), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7958), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7970), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7962), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1526), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [183396] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(681), 1,
      anon_sym_DQUOTE,
    ACTIONS(685), 1,
      aux_sym_number_token1,
    ACTIONS(687), 1,
      aux_sym_number_token2,
    ACTIONS(689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(693), 1,
      anon_sym_BQUOTE,
    ACTIONS(695), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(705), 1,
      sym__brace_start,
    ACTIONS(8252), 1,
      sym_word,
    ACTIONS(8260), 1,
      sym__comment_word,
    ACTIONS(8564), 1,
      anon_sym_DOLLAR,
    ACTIONS(673), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(697), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8256), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8258), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(816), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [183464] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(353), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(361), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(365), 1,
      anon_sym_BQUOTE,
    ACTIONS(367), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(7874), 1,
      sym_word,
    ACTIONS(7882), 1,
      sym__comment_word,
    ACTIONS(345), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(369), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7878), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7880), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(857), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [183532] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8566), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2842), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [183606] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8568), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2851), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [183680] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3438), 1,
      aux_sym_number_token1,
    ACTIONS(3440), 1,
      aux_sym_number_token2,
    ACTIONS(3444), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3454), 1,
      sym__brace_start,
    ACTIONS(7980), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7984), 1,
      anon_sym_DQUOTE,
    ACTIONS(7988), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7990), 1,
      anon_sym_BQUOTE,
    ACTIONS(7992), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8004), 1,
      sym_word,
    ACTIONS(8012), 1,
      sym__comment_word,
    ACTIONS(8570), 1,
      anon_sym_DOLLAR,
    ACTIONS(7978), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7994), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8008), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8010), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3651), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [183748] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3438), 1,
      aux_sym_number_token1,
    ACTIONS(3440), 1,
      aux_sym_number_token2,
    ACTIONS(3444), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3454), 1,
      sym__brace_start,
    ACTIONS(7980), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7984), 1,
      anon_sym_DQUOTE,
    ACTIONS(7988), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7990), 1,
      anon_sym_BQUOTE,
    ACTIONS(7992), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8004), 1,
      sym_word,
    ACTIONS(8012), 1,
      sym__comment_word,
    ACTIONS(8572), 1,
      anon_sym_DOLLAR,
    ACTIONS(7978), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7994), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8008), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8010), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3651), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [183816] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_DQUOTE,
    ACTIONS(6709), 1,
      aux_sym_number_token1,
    ACTIONS(6711), 1,
      aux_sym_number_token2,
    ACTIONS(6713), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6717), 1,
      anon_sym_BQUOTE,
    ACTIONS(6719), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6729), 1,
      sym__brace_start,
    ACTIONS(8020), 1,
      sym_word,
    ACTIONS(8028), 1,
      sym__comment_word,
    ACTIONS(8574), 1,
      anon_sym_DOLLAR,
    ACTIONS(6695), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6721), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8024), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8026), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3573), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [183884] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_DQUOTE,
    ACTIONS(6709), 1,
      aux_sym_number_token1,
    ACTIONS(6711), 1,
      aux_sym_number_token2,
    ACTIONS(6713), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6717), 1,
      anon_sym_BQUOTE,
    ACTIONS(6719), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6729), 1,
      sym__brace_start,
    ACTIONS(8020), 1,
      sym_word,
    ACTIONS(8028), 1,
      sym__comment_word,
    ACTIONS(8576), 1,
      anon_sym_DOLLAR,
    ACTIONS(6695), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6721), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8024), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8026), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3573), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [183952] = 20,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(49), 1,
      anon_sym_DOLLAR,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(57), 1,
      aux_sym_number_token1,
    ACTIONS(59), 1,
      aux_sym_number_token2,
    ACTIONS(61), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(63), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym__brace_start,
    ACTIONS(7500), 1,
      sym__special_character,
    ACTIONS(8578), 1,
      sym_word,
    ACTIONS(8582), 1,
      sym_test_operator,
    STATE(1139), 1,
      aux_sym__literal_repeat1,
    STATE(1323), 1,
      sym_concatenation,
    ACTIONS(45), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(69), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8580), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(908), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [184024] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(353), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(361), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(365), 1,
      anon_sym_BQUOTE,
    ACTIONS(367), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(7612), 1,
      sym__special_character,
    ACTIONS(8584), 1,
      sym_word,
    ACTIONS(8588), 1,
      sym_test_operator,
    STATE(1157), 1,
      aux_sym__literal_repeat1,
    STATE(1222), 1,
      sym_concatenation,
    ACTIONS(345), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(369), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8586), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(866), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [184096] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(353), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(361), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(365), 1,
      anon_sym_BQUOTE,
    ACTIONS(367), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(7874), 1,
      sym_word,
    ACTIONS(7882), 1,
      sym__comment_word,
    ACTIONS(8590), 1,
      anon_sym_DOLLAR,
    ACTIONS(345), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(369), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7878), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7880), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(857), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [184164] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(353), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(361), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(365), 1,
      anon_sym_BQUOTE,
    ACTIONS(367), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(7874), 1,
      sym_word,
    ACTIONS(7882), 1,
      sym__comment_word,
    ACTIONS(8592), 1,
      anon_sym_DOLLAR,
    ACTIONS(345), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(369), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7878), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7880), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(857), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [184232] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6595), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6597), 1,
      anon_sym_DOLLAR,
    ACTIONS(6601), 1,
      anon_sym_DQUOTE,
    ACTIONS(6605), 1,
      aux_sym_number_token1,
    ACTIONS(6607), 1,
      aux_sym_number_token2,
    ACTIONS(6609), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6611), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6613), 1,
      anon_sym_BQUOTE,
    ACTIONS(6615), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6625), 1,
      sym__brace_start,
    ACTIONS(8300), 1,
      sym_word,
    ACTIONS(8308), 1,
      sym__comment_word,
    ACTIONS(6591), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6617), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8304), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8306), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2954), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [184300] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(353), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(361), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(365), 1,
      anon_sym_BQUOTE,
    ACTIONS(367), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(7612), 1,
      sym__special_character,
    ACTIONS(8594), 1,
      sym_word,
    ACTIONS(8598), 1,
      sym_test_operator,
    STATE(1169), 1,
      aux_sym__literal_repeat1,
    STATE(1230), 1,
      sym_concatenation,
    ACTIONS(345), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(369), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8596), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(860), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [184372] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4090), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4092), 1,
      anon_sym_DOLLAR,
    ACTIONS(4096), 1,
      anon_sym_DQUOTE,
    ACTIONS(4100), 1,
      aux_sym_number_token1,
    ACTIONS(4102), 1,
      aux_sym_number_token2,
    ACTIONS(4104), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4106), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4108), 1,
      anon_sym_BQUOTE,
    ACTIONS(4110), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4116), 1,
      sym__brace_start,
    ACTIONS(8600), 1,
      sym_word,
    ACTIONS(8602), 1,
      sym__special_character,
    ACTIONS(8606), 1,
      sym_test_operator,
    STATE(4326), 1,
      aux_sym__literal_repeat1,
    STATE(4431), 1,
      sym_concatenation,
    ACTIONS(4088), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4112), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8604), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4267), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [184444] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2700), 1,
      aux_sym_number_token1,
    ACTIONS(2702), 1,
      aux_sym_number_token2,
    ACTIONS(2706), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2718), 1,
      sym__brace_start,
    ACTIONS(8102), 1,
      sym_word,
    ACTIONS(8106), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8110), 1,
      anon_sym_DQUOTE,
    ACTIONS(8114), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8116), 1,
      anon_sym_BQUOTE,
    ACTIONS(8118), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8122), 1,
      sym__comment_word,
    ACTIONS(8608), 1,
      anon_sym_DOLLAR,
    ACTIONS(8104), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8108), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8120), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8112), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1489), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [184512] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2700), 1,
      aux_sym_number_token1,
    ACTIONS(2702), 1,
      aux_sym_number_token2,
    ACTIONS(2706), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2718), 1,
      sym__brace_start,
    ACTIONS(8102), 1,
      sym_word,
    ACTIONS(8106), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8110), 1,
      anon_sym_DQUOTE,
    ACTIONS(8114), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8116), 1,
      anon_sym_BQUOTE,
    ACTIONS(8118), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8122), 1,
      sym__comment_word,
    ACTIONS(8610), 1,
      anon_sym_DOLLAR,
    ACTIONS(8104), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8108), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8120), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8112), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1489), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [184580] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7660), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7662), 1,
      anon_sym_DOLLAR,
    ACTIONS(7666), 1,
      anon_sym_DQUOTE,
    ACTIONS(7670), 1,
      aux_sym_number_token1,
    ACTIONS(7672), 1,
      aux_sym_number_token2,
    ACTIONS(7674), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7676), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7678), 1,
      anon_sym_BQUOTE,
    ACTIONS(7680), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7686), 1,
      sym__brace_start,
    ACTIONS(8218), 1,
      sym_word,
    ACTIONS(8226), 1,
      sym__comment_word,
    ACTIONS(7658), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7682), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8222), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8224), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1951), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [184648] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4090), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4092), 1,
      anon_sym_DOLLAR,
    ACTIONS(4096), 1,
      anon_sym_DQUOTE,
    ACTIONS(4100), 1,
      aux_sym_number_token1,
    ACTIONS(4102), 1,
      aux_sym_number_token2,
    ACTIONS(4104), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4106), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4108), 1,
      anon_sym_BQUOTE,
    ACTIONS(4110), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4116), 1,
      sym__brace_start,
    ACTIONS(8602), 1,
      sym__special_character,
    ACTIONS(8612), 1,
      sym_word,
    ACTIONS(8616), 1,
      sym_test_operator,
    STATE(4315), 1,
      aux_sym__literal_repeat1,
    STATE(4409), 1,
      sym_concatenation,
    ACTIONS(4088), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4112), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8614), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4225), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [184720] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(951), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(953), 1,
      anon_sym_DOLLAR,
    ACTIONS(957), 1,
      anon_sym_DQUOTE,
    ACTIONS(961), 1,
      aux_sym_number_token1,
    ACTIONS(963), 1,
      aux_sym_number_token2,
    ACTIONS(965), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(967), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(971), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(979), 1,
      sym__brace_start,
    ACTIONS(2437), 1,
      sym__special_character,
    ACTIONS(8618), 1,
      sym_word,
    ACTIONS(8622), 1,
      sym_test_operator,
    STATE(1994), 1,
      aux_sym__literal_repeat1,
    STATE(2098), 1,
      sym_concatenation,
    ACTIONS(949), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(973), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8620), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1866), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [184792] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(3244), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2320), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [184866] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(3226), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2314), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [184940] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(3207), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2307), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [185014] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8624), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2317), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [185088] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8626), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2774), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [185162] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6907), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6913), 1,
      anon_sym_DQUOTE,
    ACTIONS(6917), 1,
      aux_sym_number_token1,
    ACTIONS(6919), 1,
      aux_sym_number_token2,
    ACTIONS(6921), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6923), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_BQUOTE,
    ACTIONS(6927), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6937), 1,
      sym__brace_start,
    ACTIONS(8240), 1,
      sym_word,
    ACTIONS(8248), 1,
      sym__comment_word,
    ACTIONS(8628), 1,
      anon_sym_DOLLAR,
    ACTIONS(6903), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6929), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8244), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8246), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3577), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [185230] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6813), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6819), 1,
      anon_sym_DQUOTE,
    ACTIONS(6823), 1,
      aux_sym_number_token1,
    ACTIONS(6825), 1,
      aux_sym_number_token2,
    ACTIONS(6827), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6829), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6831), 1,
      anon_sym_BQUOTE,
    ACTIONS(6833), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6843), 1,
      sym__brace_start,
    ACTIONS(8630), 1,
      sym_word,
    ACTIONS(8632), 1,
      anon_sym_DOLLAR,
    ACTIONS(8638), 1,
      sym__comment_word,
    ACTIONS(6809), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6835), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8634), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8636), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2090), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [185298] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(293), 1,
      anon_sym_DOLLAR,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(7464), 1,
      sym_word,
    ACTIONS(7468), 1,
      sym__comment_word,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7472), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7470), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2159), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [185366] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1950), 1,
      aux_sym_number_token1,
    ACTIONS(1952), 1,
      aux_sym_number_token2,
    ACTIONS(1956), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1970), 1,
      sym__brace_start,
    ACTIONS(6785), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6789), 1,
      anon_sym_DQUOTE,
    ACTIONS(6793), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6795), 1,
      anon_sym_BQUOTE,
    ACTIONS(6797), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7916), 1,
      sym_word,
    ACTIONS(7924), 1,
      sym__comment_word,
    ACTIONS(8640), 1,
      anon_sym_DOLLAR,
    ACTIONS(6781), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6799), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7920), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7922), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1313), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [185434] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6907), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6913), 1,
      anon_sym_DQUOTE,
    ACTIONS(6917), 1,
      aux_sym_number_token1,
    ACTIONS(6919), 1,
      aux_sym_number_token2,
    ACTIONS(6921), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6923), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_BQUOTE,
    ACTIONS(6927), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6937), 1,
      sym__brace_start,
    ACTIONS(8240), 1,
      sym_word,
    ACTIONS(8248), 1,
      sym__comment_word,
    ACTIONS(8642), 1,
      anon_sym_DOLLAR,
    ACTIONS(6903), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6929), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8244), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8246), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3577), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [185502] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8644), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2283), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [185576] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8646), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2674), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [185650] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3187), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(3189), 1,
      sym_variable_name,
    ACTIONS(8384), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_BANG,
    ACTIONS(8392), 1,
      anon_sym_TILDE,
    ACTIONS(8394), 1,
      anon_sym_DOLLAR,
    ACTIONS(8396), 1,
      anon_sym_DQUOTE,
    ACTIONS(8398), 1,
      aux_sym_number_token1,
    ACTIONS(8400), 1,
      aux_sym_number_token2,
    ACTIONS(8402), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8404), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(8406), 1,
      anon_sym_BQUOTE,
    ACTIONS(8408), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2843), 1,
      sym__arithmetic_postfix_expression,
    STATE(2844), 1,
      sym__arithmetic_unary_expression,
    STATE(2846), 1,
      sym__arithmetic_ternary_expression,
    STATE(2847), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(8388), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(8390), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2820), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [185724] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3189), 1,
      sym_variable_name,
    ACTIONS(8384), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_BANG,
    ACTIONS(8392), 1,
      anon_sym_TILDE,
    ACTIONS(8394), 1,
      anon_sym_DOLLAR,
    ACTIONS(8396), 1,
      anon_sym_DQUOTE,
    ACTIONS(8398), 1,
      aux_sym_number_token1,
    ACTIONS(8400), 1,
      aux_sym_number_token2,
    ACTIONS(8402), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8404), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(8406), 1,
      anon_sym_BQUOTE,
    ACTIONS(8408), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8648), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2843), 1,
      sym__arithmetic_postfix_expression,
    STATE(2844), 1,
      sym__arithmetic_unary_expression,
    STATE(2846), 1,
      sym__arithmetic_ternary_expression,
    STATE(2847), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(8388), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(8390), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2658), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [185798] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(113), 1,
      anon_sym_DOLLAR,
    ACTIONS(117), 1,
      anon_sym_DQUOTE,
    ACTIONS(121), 1,
      aux_sym_number_token1,
    ACTIONS(123), 1,
      aux_sym_number_token2,
    ACTIONS(125), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(127), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(129), 1,
      anon_sym_BQUOTE,
    ACTIONS(131), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(141), 1,
      sym__brace_start,
    ACTIONS(8144), 1,
      sym_word,
    ACTIONS(8152), 1,
      sym__comment_word,
    ACTIONS(109), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(133), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8148), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8150), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(384), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [185866] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8650), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2653), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [185940] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6813), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6819), 1,
      anon_sym_DQUOTE,
    ACTIONS(6823), 1,
      aux_sym_number_token1,
    ACTIONS(6825), 1,
      aux_sym_number_token2,
    ACTIONS(6827), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6829), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6831), 1,
      anon_sym_BQUOTE,
    ACTIONS(6833), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6843), 1,
      sym__brace_start,
    ACTIONS(8630), 1,
      sym_word,
    ACTIONS(8638), 1,
      sym__comment_word,
    ACTIONS(8652), 1,
      anon_sym_DOLLAR,
    ACTIONS(6809), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6835), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8634), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8636), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2090), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [186008] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4234), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4240), 1,
      anon_sym_DQUOTE,
    ACTIONS(4244), 1,
      aux_sym_number_token1,
    ACTIONS(4246), 1,
      aux_sym_number_token2,
    ACTIONS(4248), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4250), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4252), 1,
      anon_sym_BQUOTE,
    ACTIONS(4254), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4260), 1,
      sym__brace_start,
    ACTIONS(8654), 1,
      sym_word,
    ACTIONS(8656), 1,
      anon_sym_DOLLAR,
    ACTIONS(8662), 1,
      sym__comment_word,
    ACTIONS(4232), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4256), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8658), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8660), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2409), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [186076] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8664), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2326), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [186150] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
    ACTIONS(1097), 1,
      aux_sym_number_token1,
    ACTIONS(1099), 1,
      aux_sym_number_token2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1107), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1113), 1,
      sym__brace_start,
    ACTIONS(2644), 1,
      anon_sym_BQUOTE,
    ACTIONS(7860), 1,
      sym_word,
    ACTIONS(7866), 1,
      sym__comment_word,
    ACTIONS(8666), 1,
      anon_sym_DOLLAR,
    ACTIONS(1073), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7862), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7864), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1947), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [186218] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(951), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(953), 1,
      anon_sym_DOLLAR,
    ACTIONS(957), 1,
      anon_sym_DQUOTE,
    ACTIONS(961), 1,
      aux_sym_number_token1,
    ACTIONS(963), 1,
      aux_sym_number_token2,
    ACTIONS(965), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(967), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(971), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(979), 1,
      sym__brace_start,
    ACTIONS(2437), 1,
      sym__special_character,
    ACTIONS(8668), 1,
      sym_word,
    ACTIONS(8672), 1,
      sym_test_operator,
    STATE(1966), 1,
      aux_sym__literal_repeat1,
    STATE(2109), 1,
      sym_concatenation,
    ACTIONS(949), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(973), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8670), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1785), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [186290] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(2984), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2282), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [186364] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8674), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2766), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [186438] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8676), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2845), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [186512] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1916), 1,
      aux_sym_number_token1,
    ACTIONS(1918), 1,
      aux_sym_number_token2,
    ACTIONS(1922), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1936), 1,
      sym__brace_start,
    ACTIONS(6671), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6675), 1,
      anon_sym_DQUOTE,
    ACTIONS(6679), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6681), 1,
      anon_sym_BQUOTE,
    ACTIONS(6683), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8502), 1,
      sym_word,
    ACTIONS(8510), 1,
      sym__comment_word,
    ACTIONS(8678), 1,
      anon_sym_DOLLAR,
    ACTIONS(6667), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6685), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8506), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8508), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1209), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [186580] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8680), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2279), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [186654] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8682), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2765), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [186728] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6813), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6815), 1,
      anon_sym_DOLLAR,
    ACTIONS(6817), 1,
      sym__special_character,
    ACTIONS(6819), 1,
      anon_sym_DQUOTE,
    ACTIONS(6823), 1,
      aux_sym_number_token1,
    ACTIONS(6825), 1,
      aux_sym_number_token2,
    ACTIONS(6827), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6829), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6831), 1,
      anon_sym_BQUOTE,
    ACTIONS(6833), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6843), 1,
      sym__brace_start,
    ACTIONS(8684), 1,
      sym_word,
    ACTIONS(8688), 1,
      sym_test_operator,
    STATE(2210), 1,
      aux_sym__literal_repeat1,
    STATE(2353), 1,
      sym_concatenation,
    ACTIONS(6809), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6835), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8686), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1931), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [186800] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3384), 1,
      anon_sym_DOLLAR,
    ACTIONS(3388), 1,
      anon_sym_DQUOTE,
    ACTIONS(3392), 1,
      aux_sym_number_token1,
    ACTIONS(3394), 1,
      aux_sym_number_token2,
    ACTIONS(3396), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3398), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3400), 1,
      anon_sym_BQUOTE,
    ACTIONS(3402), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3412), 1,
      sym__brace_start,
    ACTIONS(8036), 1,
      sym_word,
    ACTIONS(8044), 1,
      sym__comment_word,
    ACTIONS(3380), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3404), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8040), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8042), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2059), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [186868] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6813), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6815), 1,
      anon_sym_DOLLAR,
    ACTIONS(6817), 1,
      sym__special_character,
    ACTIONS(6819), 1,
      anon_sym_DQUOTE,
    ACTIONS(6823), 1,
      aux_sym_number_token1,
    ACTIONS(6825), 1,
      aux_sym_number_token2,
    ACTIONS(6827), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6829), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6831), 1,
      anon_sym_BQUOTE,
    ACTIONS(6833), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6843), 1,
      sym__brace_start,
    ACTIONS(8690), 1,
      sym_word,
    ACTIONS(8694), 1,
      sym_test_operator,
    STATE(2193), 1,
      aux_sym__literal_repeat1,
    STATE(2367), 1,
      sym_concatenation,
    ACTIONS(6809), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6835), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8692), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1996), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [186940] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8696), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2276), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [187014] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8698), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2764), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [187088] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4364), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_DOLLAR,
    ACTIONS(4368), 1,
      sym__special_character,
    ACTIONS(4370), 1,
      anon_sym_DQUOTE,
    ACTIONS(4374), 1,
      aux_sym_number_token1,
    ACTIONS(4376), 1,
      aux_sym_number_token2,
    ACTIONS(4378), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4380), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4382), 1,
      anon_sym_BQUOTE,
    ACTIONS(4384), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4390), 1,
      sym__brace_start,
    ACTIONS(8700), 1,
      sym_word,
    ACTIONS(8704), 1,
      sym_test_operator,
    STATE(4386), 1,
      aux_sym__literal_repeat1,
    STATE(4468), 1,
      sym_concatenation,
    ACTIONS(4362), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4386), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8702), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4353), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [187160] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8706), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2411), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [187234] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7120), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_DQUOTE,
    ACTIONS(7130), 1,
      aux_sym_number_token1,
    ACTIONS(7132), 1,
      aux_sym_number_token2,
    ACTIONS(7134), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7138), 1,
      anon_sym_BQUOTE,
    ACTIONS(7140), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7150), 1,
      sym__brace_start,
    ACTIONS(8708), 1,
      sym_word,
    ACTIONS(8710), 1,
      anon_sym_DOLLAR,
    ACTIONS(8716), 1,
      sym__comment_word,
    ACTIONS(7116), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7142), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8712), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8714), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1113), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [187302] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(2982), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2356), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [187376] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3926), 1,
      anon_sym_DOLLAR,
    ACTIONS(3930), 1,
      anon_sym_DQUOTE,
    ACTIONS(3934), 1,
      aux_sym_number_token1,
    ACTIONS(3936), 1,
      aux_sym_number_token2,
    ACTIONS(3938), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3940), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3942), 1,
      anon_sym_BQUOTE,
    ACTIONS(3944), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3952), 1,
      sym__brace_start,
    ACTIONS(7784), 1,
      sym_word,
    ACTIONS(7792), 1,
      sym__comment_word,
    ACTIONS(3922), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3946), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7788), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7790), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2214), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [187444] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4364), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_DOLLAR,
    ACTIONS(4368), 1,
      sym__special_character,
    ACTIONS(4370), 1,
      anon_sym_DQUOTE,
    ACTIONS(4374), 1,
      aux_sym_number_token1,
    ACTIONS(4376), 1,
      aux_sym_number_token2,
    ACTIONS(4378), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4380), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4382), 1,
      anon_sym_BQUOTE,
    ACTIONS(4384), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4390), 1,
      sym__brace_start,
    ACTIONS(8718), 1,
      sym_word,
    ACTIONS(8722), 1,
      sym_test_operator,
    STATE(4366), 1,
      aux_sym__literal_repeat1,
    STATE(4440), 1,
      sym_concatenation,
    ACTIONS(4362), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4386), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8720), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4300), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [187516] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7120), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_DQUOTE,
    ACTIONS(7130), 1,
      aux_sym_number_token1,
    ACTIONS(7132), 1,
      aux_sym_number_token2,
    ACTIONS(7134), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7138), 1,
      anon_sym_BQUOTE,
    ACTIONS(7140), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7150), 1,
      sym__brace_start,
    ACTIONS(8708), 1,
      sym_word,
    ACTIONS(8716), 1,
      sym__comment_word,
    ACTIONS(8724), 1,
      anon_sym_DOLLAR,
    ACTIONS(7116), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7142), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8712), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8714), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1113), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [187584] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8726), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2274), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [187658] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8728), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2762), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [187732] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(57), 1,
      aux_sym_number_token1,
    ACTIONS(59), 1,
      aux_sym_number_token2,
    ACTIONS(61), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(63), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(79), 1,
      sym__brace_start,
    ACTIONS(8494), 1,
      sym_word,
    ACTIONS(8500), 1,
      sym__comment_word,
    ACTIONS(8730), 1,
      anon_sym_DOLLAR,
    ACTIONS(45), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(69), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8496), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8498), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(837), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [187800] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6979), 1,
      anon_sym_DOLLAR,
    ACTIONS(6981), 1,
      sym__special_character,
    ACTIONS(6983), 1,
      anon_sym_DQUOTE,
    ACTIONS(6987), 1,
      aux_sym_number_token1,
    ACTIONS(6989), 1,
      aux_sym_number_token2,
    ACTIONS(6991), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6993), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6995), 1,
      anon_sym_BQUOTE,
    ACTIONS(6997), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7007), 1,
      sym__brace_start,
    ACTIONS(8732), 1,
      sym_word,
    ACTIONS(8736), 1,
      sym_test_operator,
    STATE(1158), 1,
      aux_sym__literal_repeat1,
    STATE(1330), 1,
      sym_concatenation,
    ACTIONS(6973), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6999), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8734), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(879), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [187872] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(353), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(361), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(365), 1,
      anon_sym_BQUOTE,
    ACTIONS(367), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(7692), 1,
      sym__special_character,
    ACTIONS(8738), 1,
      sym_word,
    ACTIONS(8742), 1,
      sym_test_operator,
    STATE(1157), 1,
      aux_sym__literal_repeat1,
    STATE(1222), 1,
      sym_concatenation,
    ACTIONS(345), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(369), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8740), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1533), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [187944] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8744), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2271), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [188018] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7800), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7806), 1,
      anon_sym_DQUOTE,
    ACTIONS(7810), 1,
      aux_sym_number_token1,
    ACTIONS(7812), 1,
      aux_sym_number_token2,
    ACTIONS(7814), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7816), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7818), 1,
      anon_sym_BQUOTE,
    ACTIONS(7820), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7826), 1,
      sym__brace_start,
    ACTIONS(8232), 1,
      anon_sym_DOLLAR,
    ACTIONS(8746), 1,
      sym_word,
    ACTIONS(8748), 1,
      sym__special_character,
    ACTIONS(8752), 1,
      sym_test_operator,
    STATE(4950), 1,
      aux_sym__literal_repeat1,
    STATE(5079), 1,
      sym_concatenation,
    ACTIONS(7798), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7822), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8750), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4894), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [188090] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(7464), 1,
      sym_word,
    ACTIONS(7468), 1,
      sym__comment_word,
    ACTIONS(8754), 1,
      anon_sym_DOLLAR,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7472), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7470), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2159), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [188158] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8756), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2761), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [188232] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(951), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(953), 1,
      anon_sym_DOLLAR,
    ACTIONS(957), 1,
      anon_sym_DQUOTE,
    ACTIONS(961), 1,
      aux_sym_number_token1,
    ACTIONS(963), 1,
      aux_sym_number_token2,
    ACTIONS(965), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(967), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(971), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(979), 1,
      sym__brace_start,
    ACTIONS(7838), 1,
      sym_word,
    ACTIONS(7846), 1,
      sym__comment_word,
    ACTIONS(949), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(973), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7842), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7844), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1571), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [188300] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6979), 1,
      anon_sym_DOLLAR,
    ACTIONS(6981), 1,
      sym__special_character,
    ACTIONS(6983), 1,
      anon_sym_DQUOTE,
    ACTIONS(6987), 1,
      aux_sym_number_token1,
    ACTIONS(6989), 1,
      aux_sym_number_token2,
    ACTIONS(6991), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6993), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6995), 1,
      anon_sym_BQUOTE,
    ACTIONS(6997), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7007), 1,
      sym__brace_start,
    ACTIONS(8758), 1,
      sym_word,
    ACTIONS(8762), 1,
      sym_test_operator,
    STATE(1138), 1,
      aux_sym__literal_repeat1,
    STATE(1348), 1,
      sym_concatenation,
    ACTIONS(6973), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6999), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8760), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(926), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [188372] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4234), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4240), 1,
      anon_sym_DQUOTE,
    ACTIONS(4244), 1,
      aux_sym_number_token1,
    ACTIONS(4246), 1,
      aux_sym_number_token2,
    ACTIONS(4248), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4250), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4252), 1,
      anon_sym_BQUOTE,
    ACTIONS(4254), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4260), 1,
      sym__brace_start,
    ACTIONS(8654), 1,
      sym_word,
    ACTIONS(8662), 1,
      sym__comment_word,
    ACTIONS(8764), 1,
      anon_sym_DOLLAR,
    ACTIONS(4232), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4256), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8658), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8660), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2409), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [188440] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8766), 1,
      sym_word,
    ACTIONS(8768), 1,
      anon_sym_DOLLAR,
    ACTIONS(8774), 1,
      sym__comment_word,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8770), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8772), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(5127), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [188508] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8776), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2395), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [188582] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8778), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2756), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [188656] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2933), 1,
      anon_sym_DOLLAR,
    ACTIONS(2939), 1,
      aux_sym_number_token1,
    ACTIONS(2941), 1,
      aux_sym_number_token2,
    ACTIONS(2945), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2955), 1,
      sym__brace_start,
    ACTIONS(8268), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8274), 1,
      anon_sym_DQUOTE,
    ACTIONS(8278), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8280), 1,
      anon_sym_BQUOTE,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8780), 1,
      sym_word,
    ACTIONS(8782), 1,
      sym__special_character,
    ACTIONS(8786), 1,
      sym_test_operator,
    STATE(3677), 1,
      aux_sym__literal_repeat1,
    STATE(3986), 1,
      sym_concatenation,
    ACTIONS(8266), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8284), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8784), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3618), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [188728] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8788), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2269), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [188802] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(353), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(361), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(365), 1,
      anon_sym_BQUOTE,
    ACTIONS(367), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(7700), 1,
      sym__special_character,
    ACTIONS(8790), 1,
      sym_word,
    ACTIONS(8794), 1,
      sym_test_operator,
    STATE(1169), 1,
      aux_sym__literal_repeat1,
    STATE(1230), 1,
      sym_concatenation,
    ACTIONS(345), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(369), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8792), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1005), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [188874] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8796), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2746), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [188948] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(349), 1,
      anon_sym_DOLLAR,
    ACTIONS(353), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      aux_sym_number_token1,
    ACTIONS(359), 1,
      aux_sym_number_token2,
    ACTIONS(361), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(363), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(365), 1,
      anon_sym_BQUOTE,
    ACTIONS(367), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(377), 1,
      sym__brace_start,
    ACTIONS(7700), 1,
      sym__special_character,
    ACTIONS(8798), 1,
      sym_word,
    ACTIONS(8802), 1,
      sym_test_operator,
    STATE(1157), 1,
      aux_sym__literal_repeat1,
    STATE(1222), 1,
      sym_concatenation,
    ACTIONS(345), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(369), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8800), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(997), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [189020] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(57), 1,
      aux_sym_number_token1,
    ACTIONS(59), 1,
      aux_sym_number_token2,
    ACTIONS(61), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(63), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(79), 1,
      sym__brace_start,
    ACTIONS(8494), 1,
      sym_word,
    ACTIONS(8500), 1,
      sym__comment_word,
    ACTIONS(8804), 1,
      anon_sym_DOLLAR,
    ACTIONS(45), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(69), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8496), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8498), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(837), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [189088] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8766), 1,
      sym_word,
    ACTIONS(8774), 1,
      sym__comment_word,
    ACTIONS(8806), 1,
      anon_sym_DOLLAR,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8770), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8772), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(5127), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [189156] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3139), 1,
      anon_sym_DOLLAR,
    ACTIONS(3145), 1,
      aux_sym_number_token1,
    ACTIONS(3147), 1,
      aux_sym_number_token2,
    ACTIONS(3151), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3161), 1,
      sym__brace_start,
    ACTIONS(7544), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7548), 1,
      anon_sym_DQUOTE,
    ACTIONS(7552), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7554), 1,
      anon_sym_BQUOTE,
    ACTIONS(7556), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7940), 1,
      sym_word,
    ACTIONS(7948), 1,
      sym__comment_word,
    ACTIONS(7542), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7558), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7944), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7946), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1639), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [189224] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8808), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2268), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [189298] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1864), 1,
      aux_sym_number_token1,
    ACTIONS(1866), 1,
      aux_sym_number_token2,
    ACTIONS(1870), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1884), 1,
      sym__brace_start,
    ACTIONS(7088), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7092), 1,
      anon_sym_DQUOTE,
    ACTIONS(7096), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7098), 1,
      anon_sym_BQUOTE,
    ACTIONS(7100), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8810), 1,
      sym_word,
    ACTIONS(8812), 1,
      anon_sym_DOLLAR,
    ACTIONS(8818), 1,
      sym__comment_word,
    ACTIONS(7084), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7102), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8814), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8816), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1108), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [189366] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8820), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2739), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [189440] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_DQUOTE,
    ACTIONS(6709), 1,
      aux_sym_number_token1,
    ACTIONS(6711), 1,
      aux_sym_number_token2,
    ACTIONS(6713), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6717), 1,
      anon_sym_BQUOTE,
    ACTIONS(6719), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6729), 1,
      sym__brace_start,
    ACTIONS(8020), 1,
      sym_word,
    ACTIONS(8028), 1,
      sym__comment_word,
    ACTIONS(8822), 1,
      anon_sym_DOLLAR,
    ACTIONS(6695), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6721), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8024), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8026), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3573), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [189508] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(289), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(297), 1,
      anon_sym_DQUOTE,
    ACTIONS(301), 1,
      aux_sym_number_token1,
    ACTIONS(303), 1,
      aux_sym_number_token2,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(311), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(317), 1,
      sym__brace_start,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(7464), 1,
      sym_word,
    ACTIONS(7468), 1,
      sym__comment_word,
    ACTIONS(8824), 1,
      anon_sym_DOLLAR,
    ACTIONS(278), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7472), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7470), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2159), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [189576] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1864), 1,
      aux_sym_number_token1,
    ACTIONS(1866), 1,
      aux_sym_number_token2,
    ACTIONS(1870), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1884), 1,
      sym__brace_start,
    ACTIONS(7088), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7092), 1,
      anon_sym_DQUOTE,
    ACTIONS(7096), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7098), 1,
      anon_sym_BQUOTE,
    ACTIONS(7100), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8810), 1,
      sym_word,
    ACTIONS(8818), 1,
      sym__comment_word,
    ACTIONS(8826), 1,
      anon_sym_DOLLAR,
    ACTIONS(7084), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7102), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8814), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8816), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1108), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [189644] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3189), 1,
      sym_variable_name,
    ACTIONS(8384), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_BANG,
    ACTIONS(8392), 1,
      anon_sym_TILDE,
    ACTIONS(8394), 1,
      anon_sym_DOLLAR,
    ACTIONS(8396), 1,
      anon_sym_DQUOTE,
    ACTIONS(8398), 1,
      aux_sym_number_token1,
    ACTIONS(8400), 1,
      aux_sym_number_token2,
    ACTIONS(8402), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8404), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(8406), 1,
      anon_sym_BQUOTE,
    ACTIONS(8408), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8828), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2843), 1,
      sym__arithmetic_postfix_expression,
    STATE(2844), 1,
      sym__arithmetic_unary_expression,
    STATE(2846), 1,
      sym__arithmetic_ternary_expression,
    STATE(2847), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(8388), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(8390), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2659), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [189718] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(8830), 1,
      sym_word,
    ACTIONS(8832), 1,
      anon_sym_DOLLAR,
    ACTIONS(8838), 1,
      sym__comment_word,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8834), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8836), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4185), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [189786] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8840), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2267), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [189860] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8842), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2628), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [189934] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2933), 1,
      anon_sym_DOLLAR,
    ACTIONS(2939), 1,
      aux_sym_number_token1,
    ACTIONS(2941), 1,
      aux_sym_number_token2,
    ACTIONS(2945), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2955), 1,
      sym__brace_start,
    ACTIONS(8268), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8274), 1,
      anon_sym_DQUOTE,
    ACTIONS(8278), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8280), 1,
      anon_sym_BQUOTE,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8782), 1,
      sym__special_character,
    ACTIONS(8844), 1,
      sym_word,
    ACTIONS(8848), 1,
      sym_test_operator,
    STATE(3734), 1,
      aux_sym__literal_repeat1,
    STATE(3915), 1,
      sym_concatenation,
    ACTIONS(8266), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8284), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8846), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3550), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [190006] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8850), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2265), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [190080] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(437), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(439), 1,
      anon_sym_DOLLAR,
    ACTIONS(443), 1,
      anon_sym_DQUOTE,
    ACTIONS(447), 1,
      aux_sym_number_token1,
    ACTIONS(449), 1,
      aux_sym_number_token2,
    ACTIONS(451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(455), 1,
      anon_sym_BQUOTE,
    ACTIONS(457), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(467), 1,
      sym__brace_start,
    ACTIONS(7648), 1,
      sym__special_character,
    ACTIONS(8852), 1,
      sym_word,
    ACTIONS(8856), 1,
      sym_test_operator,
    STATE(939), 1,
      aux_sym__literal_repeat1,
    STATE(946), 1,
      sym_concatenation,
    ACTIONS(435), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(459), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8854), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(694), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [190152] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8858), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2735), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [190226] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6635), 1,
      anon_sym_DOLLAR,
    ACTIONS(6637), 1,
      sym__special_character,
    ACTIONS(6639), 1,
      anon_sym_DQUOTE,
    ACTIONS(6643), 1,
      aux_sym_number_token1,
    ACTIONS(6645), 1,
      aux_sym_number_token2,
    ACTIONS(6647), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6649), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6651), 1,
      anon_sym_BQUOTE,
    ACTIONS(6653), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6663), 1,
      sym__brace_start,
    ACTIONS(8860), 1,
      sym_word,
    ACTIONS(8864), 1,
      sym_test_operator,
    STATE(1518), 1,
      aux_sym__literal_repeat1,
    STATE(1620), 1,
      sym_concatenation,
    ACTIONS(6629), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6655), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8862), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1106), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [190298] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8866), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2264), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [190372] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7800), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7806), 1,
      anon_sym_DQUOTE,
    ACTIONS(7810), 1,
      aux_sym_number_token1,
    ACTIONS(7812), 1,
      aux_sym_number_token2,
    ACTIONS(7814), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7816), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7818), 1,
      anon_sym_BQUOTE,
    ACTIONS(7820), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7826), 1,
      sym__brace_start,
    ACTIONS(8232), 1,
      anon_sym_DOLLAR,
    ACTIONS(8748), 1,
      sym__special_character,
    ACTIONS(8868), 1,
      sym_word,
    ACTIONS(8872), 1,
      sym_test_operator,
    STATE(4945), 1,
      aux_sym__literal_repeat1,
    STATE(5058), 1,
      sym_concatenation,
    ACTIONS(7798), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7822), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8870), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4918), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [190444] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8874), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2731), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [190518] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8876), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2263), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [190592] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8878), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2730), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [190666] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_DQUOTE,
    ACTIONS(6709), 1,
      aux_sym_number_token1,
    ACTIONS(6711), 1,
      aux_sym_number_token2,
    ACTIONS(6713), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6717), 1,
      anon_sym_BQUOTE,
    ACTIONS(6719), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6729), 1,
      sym__brace_start,
    ACTIONS(8020), 1,
      sym_word,
    ACTIONS(8028), 1,
      sym__comment_word,
    ACTIONS(8880), 1,
      anon_sym_DOLLAR,
    ACTIONS(6695), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6721), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8024), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8026), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3573), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [190734] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8882), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2262), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [190808] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3432), 1,
      anon_sym_DOLLAR,
    ACTIONS(3438), 1,
      aux_sym_number_token1,
    ACTIONS(3440), 1,
      aux_sym_number_token2,
    ACTIONS(3444), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3454), 1,
      sym__brace_start,
    ACTIONS(7980), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7984), 1,
      anon_sym_DQUOTE,
    ACTIONS(7988), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7990), 1,
      anon_sym_BQUOTE,
    ACTIONS(7992), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8004), 1,
      sym_word,
    ACTIONS(8012), 1,
      sym__comment_word,
    ACTIONS(7978), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7994), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8008), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8010), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3651), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [190876] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8884), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2728), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [190950] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8886), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2261), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [191024] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8888), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2725), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [191098] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1950), 1,
      aux_sym_number_token1,
    ACTIONS(1952), 1,
      aux_sym_number_token2,
    ACTIONS(1956), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1970), 1,
      sym__brace_start,
    ACTIONS(6785), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6789), 1,
      anon_sym_DQUOTE,
    ACTIONS(6793), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6795), 1,
      anon_sym_BQUOTE,
    ACTIONS(6797), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7916), 1,
      sym_word,
    ACTIONS(7924), 1,
      sym__comment_word,
    ACTIONS(8890), 1,
      anon_sym_DOLLAR,
    ACTIONS(6781), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6799), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7920), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7922), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1313), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [191166] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(437), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(439), 1,
      anon_sym_DOLLAR,
    ACTIONS(443), 1,
      anon_sym_DQUOTE,
    ACTIONS(447), 1,
      aux_sym_number_token1,
    ACTIONS(449), 1,
      aux_sym_number_token2,
    ACTIONS(451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(455), 1,
      anon_sym_BQUOTE,
    ACTIONS(457), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(467), 1,
      sym__brace_start,
    ACTIONS(7648), 1,
      sym__special_character,
    ACTIONS(8892), 1,
      sym_word,
    ACTIONS(8896), 1,
      sym_test_operator,
    STATE(922), 1,
      aux_sym__literal_repeat1,
    STATE(989), 1,
      sym_concatenation,
    ACTIONS(435), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(459), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8894), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(720), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [191238] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8898), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2260), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [191312] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(437), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(443), 1,
      anon_sym_DQUOTE,
    ACTIONS(447), 1,
      aux_sym_number_token1,
    ACTIONS(449), 1,
      aux_sym_number_token2,
    ACTIONS(451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(455), 1,
      anon_sym_BQUOTE,
    ACTIONS(457), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(467), 1,
      sym__brace_start,
    ACTIONS(8290), 1,
      sym_word,
    ACTIONS(8298), 1,
      sym__comment_word,
    ACTIONS(8900), 1,
      anon_sym_DOLLAR,
    ACTIONS(435), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(459), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8294), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8296), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(706), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [191380] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2355), 1,
      aux_sym_number_token1,
    ACTIONS(2357), 1,
      aux_sym_number_token2,
    ACTIONS(2361), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2373), 1,
      sym__brace_start,
    ACTIONS(8902), 1,
      sym_word,
    ACTIONS(8906), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8908), 1,
      anon_sym_DOLLAR,
    ACTIONS(8912), 1,
      anon_sym_DQUOTE,
    ACTIONS(8916), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8918), 1,
      anon_sym_BQUOTE,
    ACTIONS(8920), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8924), 1,
      sym__comment_word,
    ACTIONS(8904), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8910), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8922), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8914), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1257), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [191448] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8926), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2724), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [191522] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(2871), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2427), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [191596] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7120), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7122), 1,
      anon_sym_DOLLAR,
    ACTIONS(7124), 1,
      sym__special_character,
    ACTIONS(7126), 1,
      anon_sym_DQUOTE,
    ACTIONS(7130), 1,
      aux_sym_number_token1,
    ACTIONS(7132), 1,
      aux_sym_number_token2,
    ACTIONS(7134), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7138), 1,
      anon_sym_BQUOTE,
    ACTIONS(7140), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7150), 1,
      sym__brace_start,
    ACTIONS(8928), 1,
      sym_word,
    ACTIONS(8932), 1,
      sym_test_operator,
    STATE(1327), 1,
      aux_sym__literal_repeat1,
    STATE(1456), 1,
      sym_concatenation,
    ACTIONS(7116), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7142), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8930), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1028), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [191668] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2355), 1,
      aux_sym_number_token1,
    ACTIONS(2357), 1,
      aux_sym_number_token2,
    ACTIONS(2361), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2373), 1,
      sym__brace_start,
    ACTIONS(8902), 1,
      sym_word,
    ACTIONS(8906), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8912), 1,
      anon_sym_DQUOTE,
    ACTIONS(8916), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8918), 1,
      anon_sym_BQUOTE,
    ACTIONS(8920), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8924), 1,
      sym__comment_word,
    ACTIONS(8934), 1,
      anon_sym_DOLLAR,
    ACTIONS(8904), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8910), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8922), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8914), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1257), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [191736] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8936), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2722), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [191810] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8938), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2278), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [191884] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8940), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2720), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [191958] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(8830), 1,
      sym_word,
    ACTIONS(8838), 1,
      sym__comment_word,
    ACTIONS(8942), 1,
      anon_sym_DOLLAR,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8834), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8836), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4185), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [192026] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    ACTIONS(8466), 1,
      sym_word,
    ACTIONS(8472), 1,
      sym__comment_word,
    ACTIONS(8944), 1,
      anon_sym_DOLLAR,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8468), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8470), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2216), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [192094] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(191), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(193), 1,
      anon_sym_DOLLAR,
    ACTIONS(197), 1,
      anon_sym_DQUOTE,
    ACTIONS(201), 1,
      aux_sym_number_token1,
    ACTIONS(203), 1,
      aux_sym_number_token2,
    ACTIONS(205), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(207), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(209), 1,
      anon_sym_BQUOTE,
    ACTIONS(211), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(221), 1,
      sym__brace_start,
    ACTIONS(8946), 1,
      sym_word,
    ACTIONS(8952), 1,
      sym__comment_word,
    ACTIONS(189), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(213), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8948), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8950), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(411), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [192162] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8954), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2280), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [192236] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8956), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2718), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [192310] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(437), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(443), 1,
      anon_sym_DQUOTE,
    ACTIONS(447), 1,
      aux_sym_number_token1,
    ACTIONS(449), 1,
      aux_sym_number_token2,
    ACTIONS(451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(455), 1,
      anon_sym_BQUOTE,
    ACTIONS(457), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(467), 1,
      sym__brace_start,
    ACTIONS(8290), 1,
      sym_word,
    ACTIONS(8298), 1,
      sym__comment_word,
    ACTIONS(8958), 1,
      anon_sym_DOLLAR,
    ACTIONS(435), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(459), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8294), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8296), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(706), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [192378] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1023), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    ACTIONS(8466), 1,
      sym_word,
    ACTIONS(8472), 1,
      sym__comment_word,
    ACTIONS(8960), 1,
      anon_sym_DOLLAR,
    ACTIONS(1009), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1025), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8468), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8470), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2216), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [192446] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8962), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2289), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [192520] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6739), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6741), 1,
      anon_sym_DOLLAR,
    ACTIONS(6743), 1,
      sym__special_character,
    ACTIONS(6745), 1,
      anon_sym_DQUOTE,
    ACTIONS(6749), 1,
      aux_sym_number_token1,
    ACTIONS(6751), 1,
      aux_sym_number_token2,
    ACTIONS(6753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6757), 1,
      anon_sym_BQUOTE,
    ACTIONS(6759), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6769), 1,
      sym__brace_start,
    ACTIONS(8964), 1,
      sym_word,
    ACTIONS(8968), 1,
      sym_test_operator,
    STATE(1511), 1,
      aux_sym__literal_repeat1,
    STATE(1625), 1,
      sym_concatenation,
    ACTIONS(6735), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6761), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8966), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1086), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [192592] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7181), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR,
    ACTIONS(7187), 1,
      anon_sym_DQUOTE,
    ACTIONS(7191), 1,
      aux_sym_number_token1,
    ACTIONS(7193), 1,
      aux_sym_number_token2,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7197), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7199), 1,
      anon_sym_BQUOTE,
    ACTIONS(7201), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7207), 1,
      sym__brace_start,
    ACTIONS(8830), 1,
      sym_word,
    ACTIONS(8838), 1,
      sym__comment_word,
    ACTIONS(7177), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7203), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8834), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8836), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4185), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [192660] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      aux_sym_number_token1,
    ACTIONS(3064), 1,
      aux_sym_number_token2,
    ACTIONS(3068), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3078), 1,
      sym__brace_start,
    ACTIONS(7448), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7452), 1,
      anon_sym_DQUOTE,
    ACTIONS(7456), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7458), 1,
      anon_sym_BQUOTE,
    ACTIONS(7460), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8320), 1,
      sym_word,
    ACTIONS(8328), 1,
      sym__comment_word,
    ACTIONS(8970), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7462), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8324), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8326), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1752), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [192728] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8972), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2715), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [192802] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8974), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2298), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [192876] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7120), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7122), 1,
      anon_sym_DOLLAR,
    ACTIONS(7124), 1,
      sym__special_character,
    ACTIONS(7126), 1,
      anon_sym_DQUOTE,
    ACTIONS(7130), 1,
      aux_sym_number_token1,
    ACTIONS(7132), 1,
      aux_sym_number_token2,
    ACTIONS(7134), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7138), 1,
      anon_sym_BQUOTE,
    ACTIONS(7140), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7150), 1,
      sym__brace_start,
    ACTIONS(8976), 1,
      sym_word,
    ACTIONS(8980), 1,
      sym_test_operator,
    STATE(1282), 1,
      aux_sym__literal_repeat1,
    STATE(1488), 1,
      sym_concatenation,
    ACTIONS(7116), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7142), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8978), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1002), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [192948] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6739), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6741), 1,
      anon_sym_DOLLAR,
    ACTIONS(6743), 1,
      sym__special_character,
    ACTIONS(6745), 1,
      anon_sym_DQUOTE,
    ACTIONS(6749), 1,
      aux_sym_number_token1,
    ACTIONS(6751), 1,
      aux_sym_number_token2,
    ACTIONS(6753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6757), 1,
      anon_sym_BQUOTE,
    ACTIONS(6759), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6769), 1,
      sym__brace_start,
    ACTIONS(8982), 1,
      sym_word,
    ACTIONS(8986), 1,
      sym_test_operator,
    STATE(1538), 1,
      aux_sym__literal_repeat1,
    STATE(1596), 1,
      sym_concatenation,
    ACTIONS(6735), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6761), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8984), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1111), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [193020] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(8988), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2713), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [193094] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1910), 1,
      anon_sym_DOLLAR,
    ACTIONS(1916), 1,
      aux_sym_number_token1,
    ACTIONS(1918), 1,
      aux_sym_number_token2,
    ACTIONS(1922), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1936), 1,
      sym__brace_start,
    ACTIONS(6671), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6675), 1,
      anon_sym_DQUOTE,
    ACTIONS(6679), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6681), 1,
      anon_sym_BQUOTE,
    ACTIONS(6683), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8502), 1,
      sym_word,
    ACTIONS(8510), 1,
      sym__comment_word,
    ACTIONS(6667), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6685), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8506), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8508), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1209), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [193162] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2662), 1,
      aux_sym_number_token1,
    ACTIONS(2664), 1,
      aux_sym_number_token2,
    ACTIONS(2668), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2678), 1,
      sym__brace_start,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7400), 1,
      anon_sym_DQUOTE,
    ACTIONS(7404), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7406), 1,
      anon_sym_BQUOTE,
    ACTIONS(7408), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8990), 1,
      sym_word,
    ACTIONS(8992), 1,
      anon_sym_DOLLAR,
    ACTIONS(8998), 1,
      sym__comment_word,
    ACTIONS(7394), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7410), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8994), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8996), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1483), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [193230] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(681), 1,
      anon_sym_DQUOTE,
    ACTIONS(685), 1,
      aux_sym_number_token1,
    ACTIONS(687), 1,
      aux_sym_number_token2,
    ACTIONS(689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(693), 1,
      anon_sym_BQUOTE,
    ACTIONS(695), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(705), 1,
      sym__brace_start,
    ACTIONS(7414), 1,
      sym__special_character,
    ACTIONS(9000), 1,
      sym_word,
    ACTIONS(9004), 1,
      sym_test_operator,
    STATE(967), 1,
      aux_sym__literal_repeat1,
    STATE(1105), 1,
      sym_concatenation,
    ACTIONS(673), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(697), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(9002), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(757), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [193302] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      aux_sym_number_token1,
    ACTIONS(3064), 1,
      aux_sym_number_token2,
    ACTIONS(3068), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3078), 1,
      sym__brace_start,
    ACTIONS(7448), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7452), 1,
      anon_sym_DQUOTE,
    ACTIONS(7456), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7458), 1,
      anon_sym_BQUOTE,
    ACTIONS(7460), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8320), 1,
      sym_word,
    ACTIONS(8328), 1,
      sym__comment_word,
    ACTIONS(9006), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7462), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8324), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8326), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1752), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [193370] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2662), 1,
      aux_sym_number_token1,
    ACTIONS(2664), 1,
      aux_sym_number_token2,
    ACTIONS(2668), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2678), 1,
      sym__brace_start,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7400), 1,
      anon_sym_DQUOTE,
    ACTIONS(7404), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7406), 1,
      anon_sym_BQUOTE,
    ACTIONS(7408), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8990), 1,
      sym_word,
    ACTIONS(8998), 1,
      sym__comment_word,
    ACTIONS(9008), 1,
      anon_sym_DOLLAR,
    ACTIONS(7394), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7410), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8994), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8996), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1483), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [193438] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3567), 1,
      anon_sym_DOLLAR,
    ACTIONS(3573), 1,
      aux_sym_number_token1,
    ACTIONS(3575), 1,
      aux_sym_number_token2,
    ACTIONS(3579), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3591), 1,
      sym__brace_start,
    ACTIONS(7482), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7486), 1,
      anon_sym_DQUOTE,
    ACTIONS(7490), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7492), 1,
      anon_sym_BQUOTE,
    ACTIONS(7494), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8342), 1,
      sym_word,
    ACTIONS(8350), 1,
      sym__comment_word,
    ACTIONS(7480), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7496), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8346), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8348), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3891), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [193506] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9010), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2299), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [193580] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(9012), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2711), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [193654] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(681), 1,
      anon_sym_DQUOTE,
    ACTIONS(685), 1,
      aux_sym_number_token1,
    ACTIONS(687), 1,
      aux_sym_number_token2,
    ACTIONS(689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(693), 1,
      anon_sym_BQUOTE,
    ACTIONS(695), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(705), 1,
      sym__brace_start,
    ACTIONS(7414), 1,
      sym__special_character,
    ACTIONS(9014), 1,
      sym_word,
    ACTIONS(9018), 1,
      sym_test_operator,
    STATE(1011), 1,
      aux_sym__literal_repeat1,
    STATE(1083), 1,
      sym_concatenation,
    ACTIONS(673), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(697), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(9016), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(811), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [193726] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9020), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2300), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [193800] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(9022), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2709), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [193874] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(951), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(957), 1,
      anon_sym_DQUOTE,
    ACTIONS(961), 1,
      aux_sym_number_token1,
    ACTIONS(963), 1,
      aux_sym_number_token2,
    ACTIONS(965), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(967), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(971), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(979), 1,
      sym__brace_start,
    ACTIONS(7838), 1,
      sym_word,
    ACTIONS(7846), 1,
      sym__comment_word,
    ACTIONS(9024), 1,
      anon_sym_DOLLAR,
    ACTIONS(949), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(973), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7842), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7844), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1571), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [193942] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9026), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2310), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [194016] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(9028), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2707), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [194090] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3189), 1,
      sym_variable_name,
    ACTIONS(3252), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(8384), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_BANG,
    ACTIONS(8392), 1,
      anon_sym_TILDE,
    ACTIONS(8394), 1,
      anon_sym_DOLLAR,
    ACTIONS(8396), 1,
      anon_sym_DQUOTE,
    ACTIONS(8398), 1,
      aux_sym_number_token1,
    ACTIONS(8400), 1,
      aux_sym_number_token2,
    ACTIONS(8402), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8404), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(8406), 1,
      anon_sym_BQUOTE,
    ACTIONS(8408), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2843), 1,
      sym__arithmetic_postfix_expression,
    STATE(2844), 1,
      sym__arithmetic_unary_expression,
    STATE(2846), 1,
      sym__arithmetic_ternary_expression,
    STATE(2847), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(8388), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(8390), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2769), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [194164] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2646), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2311), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [194238] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3056), 1,
      anon_sym_DOLLAR,
    ACTIONS(3062), 1,
      aux_sym_number_token1,
    ACTIONS(3064), 1,
      aux_sym_number_token2,
    ACTIONS(3068), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3078), 1,
      sym__brace_start,
    ACTIONS(7448), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7452), 1,
      anon_sym_DQUOTE,
    ACTIONS(7456), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7458), 1,
      anon_sym_BQUOTE,
    ACTIONS(7460), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8320), 1,
      sym_word,
    ACTIONS(8328), 1,
      sym__comment_word,
    ACTIONS(7446), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7462), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8324), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8326), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1752), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [194306] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(9030), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2705), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [194380] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7050), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7056), 1,
      anon_sym_DQUOTE,
    ACTIONS(7060), 1,
      aux_sym_number_token1,
    ACTIONS(7062), 1,
      aux_sym_number_token2,
    ACTIONS(7064), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7066), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7068), 1,
      anon_sym_BQUOTE,
    ACTIONS(7070), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7080), 1,
      sym__brace_start,
    ACTIONS(9032), 1,
      sym_word,
    ACTIONS(9034), 1,
      anon_sym_DOLLAR,
    ACTIONS(9040), 1,
      sym__comment_word,
    ACTIONS(7046), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7072), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(9036), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(9038), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4357), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [194448] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9042), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2316), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [194522] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(9044), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2704), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [194596] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(57), 1,
      aux_sym_number_token1,
    ACTIONS(59), 1,
      aux_sym_number_token2,
    ACTIONS(61), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(63), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(79), 1,
      sym__brace_start,
    ACTIONS(8494), 1,
      sym_word,
    ACTIONS(8500), 1,
      sym__comment_word,
    ACTIONS(9046), 1,
      anon_sym_DOLLAR,
    ACTIONS(45), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(69), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8496), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8498), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(837), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [194664] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2656), 1,
      anon_sym_DOLLAR,
    ACTIONS(2662), 1,
      aux_sym_number_token1,
    ACTIONS(2664), 1,
      aux_sym_number_token2,
    ACTIONS(2668), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2678), 1,
      sym__brace_start,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7400), 1,
      anon_sym_DQUOTE,
    ACTIONS(7404), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7406), 1,
      anon_sym_BQUOTE,
    ACTIONS(7408), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8990), 1,
      sym_word,
    ACTIONS(8998), 1,
      sym__comment_word,
    ACTIONS(7394), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7410), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8994), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8996), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1483), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [194732] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5303), 1,
      aux_sym_number_token2,
    ACTIONS(5307), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5319), 1,
      sym__brace_start,
    ACTIONS(6046), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      anon_sym_DQUOTE,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6056), 1,
      anon_sym_BQUOTE,
    ACTIONS(6058), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8766), 1,
      sym_word,
    ACTIONS(8774), 1,
      sym__comment_word,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8770), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8772), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(5127), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [194800] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9048), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2319), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [194874] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(9050), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2703), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [194948] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7050), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7056), 1,
      anon_sym_DQUOTE,
    ACTIONS(7060), 1,
      aux_sym_number_token1,
    ACTIONS(7062), 1,
      aux_sym_number_token2,
    ACTIONS(7064), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7066), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7068), 1,
      anon_sym_BQUOTE,
    ACTIONS(7070), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7080), 1,
      sym__brace_start,
    ACTIONS(9032), 1,
      sym_word,
    ACTIONS(9040), 1,
      sym__comment_word,
    ACTIONS(9052), 1,
      anon_sym_DOLLAR,
    ACTIONS(7046), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7072), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(9036), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(9038), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4357), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [195016] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      aux_sym_number_token1,
    ACTIONS(3064), 1,
      aux_sym_number_token2,
    ACTIONS(3068), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3078), 1,
      sym__brace_start,
    ACTIONS(7448), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7452), 1,
      anon_sym_DQUOTE,
    ACTIONS(7456), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7458), 1,
      anon_sym_BQUOTE,
    ACTIONS(7460), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8320), 1,
      sym_word,
    ACTIONS(8328), 1,
      sym__comment_word,
    ACTIONS(9054), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7462), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8324), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8326), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1752), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [195084] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2349), 1,
      anon_sym_DOLLAR,
    ACTIONS(2355), 1,
      aux_sym_number_token1,
    ACTIONS(2357), 1,
      aux_sym_number_token2,
    ACTIONS(2361), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2373), 1,
      sym__brace_start,
    ACTIONS(8902), 1,
      sym_word,
    ACTIONS(8906), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8912), 1,
      anon_sym_DQUOTE,
    ACTIONS(8916), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8918), 1,
      anon_sym_BQUOTE,
    ACTIONS(8920), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8924), 1,
      sym__comment_word,
    ACTIONS(8904), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8910), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8922), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8914), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1257), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [195152] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6813), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6815), 1,
      anon_sym_DOLLAR,
    ACTIONS(6819), 1,
      anon_sym_DQUOTE,
    ACTIONS(6823), 1,
      aux_sym_number_token1,
    ACTIONS(6825), 1,
      aux_sym_number_token2,
    ACTIONS(6827), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6829), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6831), 1,
      anon_sym_BQUOTE,
    ACTIONS(6833), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6843), 1,
      sym__brace_start,
    ACTIONS(8630), 1,
      sym_word,
    ACTIONS(8638), 1,
      sym__comment_word,
    ACTIONS(6809), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6835), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8634), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8636), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2090), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [195220] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9056), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2586), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [195294] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9058), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2270), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [195368] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(9060), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2702), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [195442] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4927), 1,
      aux_sym_number_token1,
    ACTIONS(4929), 1,
      aux_sym_number_token2,
    ACTIONS(4933), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4943), 1,
      sym__brace_start,
    ACTIONS(9062), 1,
      sym_word,
    ACTIONS(9066), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(9068), 1,
      anon_sym_DOLLAR,
    ACTIONS(9072), 1,
      anon_sym_DQUOTE,
    ACTIONS(9076), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9078), 1,
      anon_sym_BQUOTE,
    ACTIONS(9080), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9084), 1,
      sym__comment_word,
    ACTIONS(9064), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(9070), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(9082), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(9074), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4528), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [195510] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3813), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3815), 1,
      anon_sym_DOLLAR,
    ACTIONS(3819), 1,
      anon_sym_DQUOTE,
    ACTIONS(3823), 1,
      aux_sym_number_token1,
    ACTIONS(3825), 1,
      aux_sym_number_token2,
    ACTIONS(3827), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3829), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_BQUOTE,
    ACTIONS(3833), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3839), 1,
      sym__brace_start,
    ACTIONS(8420), 1,
      sym_word,
    ACTIONS(8428), 1,
      sym__comment_word,
    ACTIONS(3811), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3835), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8424), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8426), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2128), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [195578] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(9086), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2850), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [195652] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9088), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2337), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [195726] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6739), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6745), 1,
      anon_sym_DQUOTE,
    ACTIONS(6749), 1,
      aux_sym_number_token1,
    ACTIONS(6751), 1,
      aux_sym_number_token2,
    ACTIONS(6753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6757), 1,
      anon_sym_BQUOTE,
    ACTIONS(6759), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6769), 1,
      sym__brace_start,
    ACTIONS(7900), 1,
      sym_word,
    ACTIONS(7906), 1,
      sym__comment_word,
    ACTIONS(9090), 1,
      anon_sym_DOLLAR,
    ACTIONS(6735), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6761), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7902), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7904), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1385), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [195794] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9092), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2315), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [195868] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9094), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2309), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [195942] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9096), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2284), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [196016] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9098), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2342), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [196090] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1858), 1,
      anon_sym_DOLLAR,
    ACTIONS(1864), 1,
      aux_sym_number_token1,
    ACTIONS(1866), 1,
      aux_sym_number_token2,
    ACTIONS(1870), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1884), 1,
      sym__brace_start,
    ACTIONS(7088), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7092), 1,
      anon_sym_DQUOTE,
    ACTIONS(7096), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7098), 1,
      anon_sym_BQUOTE,
    ACTIONS(7100), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8810), 1,
      sym_word,
    ACTIONS(8818), 1,
      sym__comment_word,
    ACTIONS(7084), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7102), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8814), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8816), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1108), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [196158] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4090), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4092), 1,
      anon_sym_DOLLAR,
    ACTIONS(4096), 1,
      anon_sym_DQUOTE,
    ACTIONS(4100), 1,
      aux_sym_number_token1,
    ACTIONS(4102), 1,
      aux_sym_number_token2,
    ACTIONS(4104), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4106), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4108), 1,
      anon_sym_BQUOTE,
    ACTIONS(4110), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4116), 1,
      sym__brace_start,
    ACTIONS(7926), 1,
      sym_word,
    ACTIONS(7934), 1,
      sym__comment_word,
    ACTIONS(4088), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4112), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7930), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7932), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4360), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [196226] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9100), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2258), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [196300] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(9102), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2701), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [196374] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9104), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2345), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [196448] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6639), 1,
      anon_sym_DQUOTE,
    ACTIONS(6643), 1,
      aux_sym_number_token1,
    ACTIONS(6645), 1,
      aux_sym_number_token2,
    ACTIONS(6647), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6649), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6651), 1,
      anon_sym_BQUOTE,
    ACTIONS(6653), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6663), 1,
      sym__brace_start,
    ACTIONS(9106), 1,
      sym_word,
    ACTIONS(9108), 1,
      anon_sym_DOLLAR,
    ACTIONS(9114), 1,
      sym__comment_word,
    ACTIONS(6629), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6655), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(9110), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(9112), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1334), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [196516] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9116), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2368), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [196590] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7120), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7122), 1,
      anon_sym_DOLLAR,
    ACTIONS(7126), 1,
      anon_sym_DQUOTE,
    ACTIONS(7130), 1,
      aux_sym_number_token1,
    ACTIONS(7132), 1,
      aux_sym_number_token2,
    ACTIONS(7134), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7138), 1,
      anon_sym_BQUOTE,
    ACTIONS(7140), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7150), 1,
      sym__brace_start,
    ACTIONS(8708), 1,
      sym_word,
    ACTIONS(8716), 1,
      sym__comment_word,
    ACTIONS(7116), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7142), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8712), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8714), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1113), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [196658] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9118), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2344), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [196732] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9120), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2371), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [196806] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9122), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2328), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [196880] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3189), 1,
      sym_variable_name,
    ACTIONS(8384), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_BANG,
    ACTIONS(8392), 1,
      anon_sym_TILDE,
    ACTIONS(8394), 1,
      anon_sym_DOLLAR,
    ACTIONS(8396), 1,
      anon_sym_DQUOTE,
    ACTIONS(8398), 1,
      aux_sym_number_token1,
    ACTIONS(8400), 1,
      aux_sym_number_token2,
    ACTIONS(8402), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8404), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(8406), 1,
      anon_sym_BQUOTE,
    ACTIONS(8408), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9124), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2843), 1,
      sym__arithmetic_postfix_expression,
    STATE(2844), 1,
      sym__arithmetic_unary_expression,
    STATE(2846), 1,
      sym__arithmetic_ternary_expression,
    STATE(2847), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(8388), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(8390), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2780), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [196954] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3189), 1,
      sym_variable_name,
    ACTIONS(8384), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_BANG,
    ACTIONS(8392), 1,
      anon_sym_TILDE,
    ACTIONS(8394), 1,
      anon_sym_DOLLAR,
    ACTIONS(8396), 1,
      anon_sym_DQUOTE,
    ACTIONS(8398), 1,
      aux_sym_number_token1,
    ACTIONS(8400), 1,
      aux_sym_number_token2,
    ACTIONS(8402), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8404), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(8406), 1,
      anon_sym_BQUOTE,
    ACTIONS(8408), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9126), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2843), 1,
      sym__arithmetic_postfix_expression,
    STATE(2844), 1,
      sym__arithmetic_unary_expression,
    STATE(2846), 1,
      sym__arithmetic_ternary_expression,
    STATE(2847), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(8388), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(8390), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2783), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [197028] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9128), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2375), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [197102] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3189), 1,
      sym_variable_name,
    ACTIONS(8384), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_BANG,
    ACTIONS(8392), 1,
      anon_sym_TILDE,
    ACTIONS(8394), 1,
      anon_sym_DOLLAR,
    ACTIONS(8396), 1,
      anon_sym_DQUOTE,
    ACTIONS(8398), 1,
      aux_sym_number_token1,
    ACTIONS(8400), 1,
      aux_sym_number_token2,
    ACTIONS(8402), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8404), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(8406), 1,
      anon_sym_BQUOTE,
    ACTIONS(8408), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9130), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2843), 1,
      sym__arithmetic_postfix_expression,
    STATE(2844), 1,
      sym__arithmetic_unary_expression,
    STATE(2846), 1,
      sym__arithmetic_ternary_expression,
    STATE(2847), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(8388), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(8390), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2784), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [197176] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_LPAREN,
    ACTIONS(7738), 1,
      anon_sym_BANG,
    ACTIONS(7744), 1,
      anon_sym_TILDE,
    ACTIONS(7746), 1,
      anon_sym_DOLLAR,
    ACTIONS(7748), 1,
      anon_sym_DQUOTE,
    ACTIONS(7750), 1,
      aux_sym_number_token1,
    ACTIONS(7752), 1,
      aux_sym_number_token2,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7758), 1,
      anon_sym_BQUOTE,
    ACTIONS(7760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7764), 1,
      sym_variable_name,
    ACTIONS(9132), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2815), 1,
      sym__arithmetic_postfix_expression,
    STATE(2822), 1,
      sym__arithmetic_unary_expression,
    STATE(2825), 1,
      sym__arithmetic_ternary_expression,
    STATE(2830), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7740), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7742), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2700), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [197250] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3189), 1,
      sym_variable_name,
    ACTIONS(8384), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_BANG,
    ACTIONS(8392), 1,
      anon_sym_TILDE,
    ACTIONS(8394), 1,
      anon_sym_DOLLAR,
    ACTIONS(8396), 1,
      anon_sym_DQUOTE,
    ACTIONS(8398), 1,
      aux_sym_number_token1,
    ACTIONS(8400), 1,
      aux_sym_number_token2,
    ACTIONS(8402), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8404), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(8406), 1,
      anon_sym_BQUOTE,
    ACTIONS(8408), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9134), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2843), 1,
      sym__arithmetic_postfix_expression,
    STATE(2844), 1,
      sym__arithmetic_unary_expression,
    STATE(2846), 1,
      sym__arithmetic_ternary_expression,
    STATE(2847), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(8388), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(8390), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2785), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [197324] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3189), 1,
      sym_variable_name,
    ACTIONS(8384), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_BANG,
    ACTIONS(8392), 1,
      anon_sym_TILDE,
    ACTIONS(8394), 1,
      anon_sym_DOLLAR,
    ACTIONS(8396), 1,
      anon_sym_DQUOTE,
    ACTIONS(8398), 1,
      aux_sym_number_token1,
    ACTIONS(8400), 1,
      aux_sym_number_token2,
    ACTIONS(8402), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8404), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(8406), 1,
      anon_sym_BQUOTE,
    ACTIONS(8408), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9136), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2843), 1,
      sym__arithmetic_postfix_expression,
    STATE(2844), 1,
      sym__arithmetic_unary_expression,
    STATE(2846), 1,
      sym__arithmetic_ternary_expression,
    STATE(2847), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(8388), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(8390), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2786), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [197398] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3189), 1,
      sym_variable_name,
    ACTIONS(8384), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_BANG,
    ACTIONS(8392), 1,
      anon_sym_TILDE,
    ACTIONS(8394), 1,
      anon_sym_DOLLAR,
    ACTIONS(8396), 1,
      anon_sym_DQUOTE,
    ACTIONS(8398), 1,
      aux_sym_number_token1,
    ACTIONS(8400), 1,
      aux_sym_number_token2,
    ACTIONS(8402), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8404), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(8406), 1,
      anon_sym_BQUOTE,
    ACTIONS(8408), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9138), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2843), 1,
      sym__arithmetic_postfix_expression,
    STATE(2844), 1,
      sym__arithmetic_unary_expression,
    STATE(2846), 1,
      sym__arithmetic_ternary_expression,
    STATE(2847), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(8388), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(8390), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2788), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [197472] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3189), 1,
      sym_variable_name,
    ACTIONS(8384), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_BANG,
    ACTIONS(8392), 1,
      anon_sym_TILDE,
    ACTIONS(8394), 1,
      anon_sym_DOLLAR,
    ACTIONS(8396), 1,
      anon_sym_DQUOTE,
    ACTIONS(8398), 1,
      aux_sym_number_token1,
    ACTIONS(8400), 1,
      aux_sym_number_token2,
    ACTIONS(8402), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8404), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(8406), 1,
      anon_sym_BQUOTE,
    ACTIONS(8408), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9140), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2843), 1,
      sym__arithmetic_postfix_expression,
    STATE(2844), 1,
      sym__arithmetic_unary_expression,
    STATE(2846), 1,
      sym__arithmetic_ternary_expression,
    STATE(2847), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(8388), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(8390), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2790), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [197546] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3189), 1,
      sym_variable_name,
    ACTIONS(8384), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_BANG,
    ACTIONS(8392), 1,
      anon_sym_TILDE,
    ACTIONS(8394), 1,
      anon_sym_DOLLAR,
    ACTIONS(8396), 1,
      anon_sym_DQUOTE,
    ACTIONS(8398), 1,
      aux_sym_number_token1,
    ACTIONS(8400), 1,
      aux_sym_number_token2,
    ACTIONS(8402), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8404), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(8406), 1,
      anon_sym_BQUOTE,
    ACTIONS(8408), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9142), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2843), 1,
      sym__arithmetic_postfix_expression,
    STATE(2844), 1,
      sym__arithmetic_unary_expression,
    STATE(2846), 1,
      sym__arithmetic_ternary_expression,
    STATE(2847), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(8388), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(8390), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2791), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [197620] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3189), 1,
      sym_variable_name,
    ACTIONS(8384), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_BANG,
    ACTIONS(8392), 1,
      anon_sym_TILDE,
    ACTIONS(8394), 1,
      anon_sym_DOLLAR,
    ACTIONS(8396), 1,
      anon_sym_DQUOTE,
    ACTIONS(8398), 1,
      aux_sym_number_token1,
    ACTIONS(8400), 1,
      aux_sym_number_token2,
    ACTIONS(8402), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8404), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(8406), 1,
      anon_sym_BQUOTE,
    ACTIONS(8408), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9144), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2843), 1,
      sym__arithmetic_postfix_expression,
    STATE(2844), 1,
      sym__arithmetic_unary_expression,
    STATE(2846), 1,
      sym__arithmetic_ternary_expression,
    STATE(2847), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(8388), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(8390), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2796), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [197694] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3189), 1,
      sym_variable_name,
    ACTIONS(8384), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_BANG,
    ACTIONS(8392), 1,
      anon_sym_TILDE,
    ACTIONS(8394), 1,
      anon_sym_DOLLAR,
    ACTIONS(8396), 1,
      anon_sym_DQUOTE,
    ACTIONS(8398), 1,
      aux_sym_number_token1,
    ACTIONS(8400), 1,
      aux_sym_number_token2,
    ACTIONS(8402), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8404), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(8406), 1,
      anon_sym_BQUOTE,
    ACTIONS(8408), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9146), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2843), 1,
      sym__arithmetic_postfix_expression,
    STATE(2844), 1,
      sym__arithmetic_unary_expression,
    STATE(2846), 1,
      sym__arithmetic_ternary_expression,
    STATE(2847), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(8388), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(8390), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2654), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [197768] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6701), 1,
      anon_sym_DOLLAR,
    ACTIONS(6705), 1,
      anon_sym_DQUOTE,
    ACTIONS(6709), 1,
      aux_sym_number_token1,
    ACTIONS(6711), 1,
      aux_sym_number_token2,
    ACTIONS(6713), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6715), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6717), 1,
      anon_sym_BQUOTE,
    ACTIONS(6719), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6729), 1,
      sym__brace_start,
    ACTIONS(8020), 1,
      sym_word,
    ACTIONS(8028), 1,
      sym__comment_word,
    ACTIONS(6695), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6721), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8024), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8026), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3573), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [197836] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9148), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2412), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [197910] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3189), 1,
      sym_variable_name,
    ACTIONS(8384), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_BANG,
    ACTIONS(8392), 1,
      anon_sym_TILDE,
    ACTIONS(8394), 1,
      anon_sym_DOLLAR,
    ACTIONS(8396), 1,
      anon_sym_DQUOTE,
    ACTIONS(8398), 1,
      aux_sym_number_token1,
    ACTIONS(8400), 1,
      aux_sym_number_token2,
    ACTIONS(8402), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8404), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(8406), 1,
      anon_sym_BQUOTE,
    ACTIONS(8408), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9150), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2843), 1,
      sym__arithmetic_postfix_expression,
    STATE(2844), 1,
      sym__arithmetic_unary_expression,
    STATE(2846), 1,
      sym__arithmetic_ternary_expression,
    STATE(2847), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(8388), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(8390), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2797), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [197984] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3189), 1,
      sym_variable_name,
    ACTIONS(8384), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_BANG,
    ACTIONS(8392), 1,
      anon_sym_TILDE,
    ACTIONS(8394), 1,
      anon_sym_DOLLAR,
    ACTIONS(8396), 1,
      anon_sym_DQUOTE,
    ACTIONS(8398), 1,
      aux_sym_number_token1,
    ACTIONS(8400), 1,
      aux_sym_number_token2,
    ACTIONS(8402), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8404), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(8406), 1,
      anon_sym_BQUOTE,
    ACTIONS(8408), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9152), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2843), 1,
      sym__arithmetic_postfix_expression,
    STATE(2844), 1,
      sym__arithmetic_unary_expression,
    STATE(2846), 1,
      sym__arithmetic_ternary_expression,
    STATE(2847), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(8388), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(8390), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2800), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [198058] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6739), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6745), 1,
      anon_sym_DQUOTE,
    ACTIONS(6749), 1,
      aux_sym_number_token1,
    ACTIONS(6751), 1,
      aux_sym_number_token2,
    ACTIONS(6753), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6755), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6757), 1,
      anon_sym_BQUOTE,
    ACTIONS(6759), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6769), 1,
      sym__brace_start,
    ACTIONS(7900), 1,
      sym_word,
    ACTIONS(7906), 1,
      sym__comment_word,
    ACTIONS(9154), 1,
      anon_sym_DOLLAR,
    ACTIONS(6735), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6761), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7902), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7904), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1385), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [198126] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3189), 1,
      sym_variable_name,
    ACTIONS(8384), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_BANG,
    ACTIONS(8392), 1,
      anon_sym_TILDE,
    ACTIONS(8394), 1,
      anon_sym_DOLLAR,
    ACTIONS(8396), 1,
      anon_sym_DQUOTE,
    ACTIONS(8398), 1,
      aux_sym_number_token1,
    ACTIONS(8400), 1,
      aux_sym_number_token2,
    ACTIONS(8402), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8404), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(8406), 1,
      anon_sym_BQUOTE,
    ACTIONS(8408), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9156), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2843), 1,
      sym__arithmetic_postfix_expression,
    STATE(2844), 1,
      sym__arithmetic_unary_expression,
    STATE(2846), 1,
      sym__arithmetic_ternary_expression,
    STATE(2847), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(8388), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(8390), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2801), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [198200] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9158), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2717), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [198274] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6907), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6909), 1,
      anon_sym_DOLLAR,
    ACTIONS(6913), 1,
      anon_sym_DQUOTE,
    ACTIONS(6917), 1,
      aux_sym_number_token1,
    ACTIONS(6919), 1,
      aux_sym_number_token2,
    ACTIONS(6921), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6923), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_BQUOTE,
    ACTIONS(6927), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6937), 1,
      sym__brace_start,
    ACTIONS(8240), 1,
      sym_word,
    ACTIONS(8248), 1,
      sym__comment_word,
    ACTIONS(6903), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6929), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8244), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8246), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3577), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [198342] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7050), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7052), 1,
      anon_sym_DOLLAR,
    ACTIONS(7056), 1,
      anon_sym_DQUOTE,
    ACTIONS(7060), 1,
      aux_sym_number_token1,
    ACTIONS(7062), 1,
      aux_sym_number_token2,
    ACTIONS(7064), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7066), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7068), 1,
      anon_sym_BQUOTE,
    ACTIONS(7070), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7080), 1,
      sym__brace_start,
    ACTIONS(9032), 1,
      sym_word,
    ACTIONS(9040), 1,
      sym__comment_word,
    ACTIONS(7046), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7072), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(9036), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(9038), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4357), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [198410] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(57), 1,
      aux_sym_number_token1,
    ACTIONS(59), 1,
      aux_sym_number_token2,
    ACTIONS(61), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(63), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(79), 1,
      sym__brace_start,
    ACTIONS(8494), 1,
      sym_word,
    ACTIONS(8500), 1,
      sym__comment_word,
    ACTIONS(9160), 1,
      anon_sym_DOLLAR,
    ACTIONS(45), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(69), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8496), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8498), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(837), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [198478] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4686), 1,
      anon_sym_DOLLAR,
    ACTIONS(4692), 1,
      aux_sym_number_token1,
    ACTIONS(4694), 1,
      aux_sym_number_token2,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4708), 1,
      sym__brace_start,
    ACTIONS(7564), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7568), 1,
      anon_sym_DQUOTE,
    ACTIONS(7572), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7574), 1,
      anon_sym_BQUOTE,
    ACTIONS(7576), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9162), 1,
      sym_word,
    ACTIONS(9168), 1,
      sym__comment_word,
    ACTIONS(7562), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7578), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(9164), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(9166), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2900), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [198546] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(681), 1,
      anon_sym_DQUOTE,
    ACTIONS(685), 1,
      aux_sym_number_token1,
    ACTIONS(687), 1,
      aux_sym_number_token2,
    ACTIONS(689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(693), 1,
      anon_sym_BQUOTE,
    ACTIONS(695), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(705), 1,
      sym__brace_start,
    ACTIONS(8252), 1,
      sym_word,
    ACTIONS(8260), 1,
      sym__comment_word,
    ACTIONS(673), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(697), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8256), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8258), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(816), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [198614] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      aux_sym_number_token1,
    ACTIONS(3064), 1,
      aux_sym_number_token2,
    ACTIONS(3068), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3078), 1,
      sym__brace_start,
    ACTIONS(7448), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7452), 1,
      anon_sym_DQUOTE,
    ACTIONS(7456), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7458), 1,
      anon_sym_BQUOTE,
    ACTIONS(7460), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8320), 1,
      sym_word,
    ACTIONS(8328), 1,
      sym__comment_word,
    ACTIONS(9170), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7462), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8324), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8326), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1752), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [198682] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4927), 1,
      aux_sym_number_token1,
    ACTIONS(4929), 1,
      aux_sym_number_token2,
    ACTIONS(4933), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4943), 1,
      sym__brace_start,
    ACTIONS(9062), 1,
      sym_word,
    ACTIONS(9066), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(9072), 1,
      anon_sym_DQUOTE,
    ACTIONS(9076), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9078), 1,
      anon_sym_BQUOTE,
    ACTIONS(9080), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9084), 1,
      sym__comment_word,
    ACTIONS(9172), 1,
      anon_sym_DOLLAR,
    ACTIONS(9064), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(9070), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(9082), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(9074), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4528), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [198750] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 1,
      anon_sym_DOLLAR,
    ACTIONS(4927), 1,
      aux_sym_number_token1,
    ACTIONS(4929), 1,
      aux_sym_number_token2,
    ACTIONS(4933), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4943), 1,
      sym__brace_start,
    ACTIONS(9062), 1,
      sym_word,
    ACTIONS(9066), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(9072), 1,
      anon_sym_DQUOTE,
    ACTIONS(9076), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9078), 1,
      anon_sym_BQUOTE,
    ACTIONS(9080), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9084), 1,
      sym__comment_word,
    ACTIONS(9064), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(9070), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(9082), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(9074), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4528), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [198818] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3573), 1,
      aux_sym_number_token1,
    ACTIONS(3575), 1,
      aux_sym_number_token2,
    ACTIONS(3579), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3591), 1,
      sym__brace_start,
    ACTIONS(7482), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7486), 1,
      anon_sym_DQUOTE,
    ACTIONS(7490), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7492), 1,
      anon_sym_BQUOTE,
    ACTIONS(7494), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8342), 1,
      sym_word,
    ACTIONS(8350), 1,
      sym__comment_word,
    ACTIONS(9174), 1,
      anon_sym_DOLLAR,
    ACTIONS(7480), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7496), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8346), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8348), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3891), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [198886] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(437), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(439), 1,
      anon_sym_DOLLAR,
    ACTIONS(443), 1,
      anon_sym_DQUOTE,
    ACTIONS(447), 1,
      aux_sym_number_token1,
    ACTIONS(449), 1,
      aux_sym_number_token2,
    ACTIONS(451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(455), 1,
      anon_sym_BQUOTE,
    ACTIONS(457), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(467), 1,
      sym__brace_start,
    ACTIONS(8290), 1,
      sym_word,
    ACTIONS(8298), 1,
      sym__comment_word,
    ACTIONS(435), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(459), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8294), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8296), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(706), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [198954] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2933), 1,
      anon_sym_DOLLAR,
    ACTIONS(2939), 1,
      aux_sym_number_token1,
    ACTIONS(2941), 1,
      aux_sym_number_token2,
    ACTIONS(2945), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2955), 1,
      sym__brace_start,
    ACTIONS(8264), 1,
      sym_word,
    ACTIONS(8268), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8274), 1,
      anon_sym_DQUOTE,
    ACTIONS(8278), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8280), 1,
      anon_sym_BQUOTE,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8286), 1,
      sym__comment_word,
    ACTIONS(8266), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8272), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8284), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8276), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3689), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [199022] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9176), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2358), 1,
      sym__arithmetic_binary_expression,
    STATE(2360), 1,
      sym__arithmetic_ternary_expression,
    STATE(2361), 1,
      sym__arithmetic_unary_expression,
    STATE(2363), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2334), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [199096] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4234), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4236), 1,
      anon_sym_DOLLAR,
    ACTIONS(4240), 1,
      anon_sym_DQUOTE,
    ACTIONS(4244), 1,
      aux_sym_number_token1,
    ACTIONS(4246), 1,
      aux_sym_number_token2,
    ACTIONS(4248), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4250), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4252), 1,
      anon_sym_BQUOTE,
    ACTIONS(4254), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4260), 1,
      sym__brace_start,
    ACTIONS(8654), 1,
      sym_word,
    ACTIONS(8662), 1,
      sym__comment_word,
    ACTIONS(4232), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4256), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8658), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8660), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2409), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [199164] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6639), 1,
      anon_sym_DQUOTE,
    ACTIONS(6643), 1,
      aux_sym_number_token1,
    ACTIONS(6645), 1,
      aux_sym_number_token2,
    ACTIONS(6647), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6649), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6651), 1,
      anon_sym_BQUOTE,
    ACTIONS(6653), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6663), 1,
      sym__brace_start,
    ACTIONS(9106), 1,
      sym_word,
    ACTIONS(9114), 1,
      sym__comment_word,
    ACTIONS(9178), 1,
      anon_sym_DOLLAR,
    ACTIONS(6629), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6655), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(9110), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(9112), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1334), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [199232] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4364), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4366), 1,
      anon_sym_DOLLAR,
    ACTIONS(4370), 1,
      anon_sym_DQUOTE,
    ACTIONS(4374), 1,
      aux_sym_number_token1,
    ACTIONS(4376), 1,
      aux_sym_number_token2,
    ACTIONS(4378), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4380), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4382), 1,
      anon_sym_BQUOTE,
    ACTIONS(4384), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4390), 1,
      sym__brace_start,
    ACTIONS(7766), 1,
      sym_word,
    ACTIONS(7774), 1,
      sym__comment_word,
    ACTIONS(4362), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4386), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7770), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7772), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4385), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [199300] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7800), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7806), 1,
      anon_sym_DQUOTE,
    ACTIONS(7810), 1,
      aux_sym_number_token1,
    ACTIONS(7812), 1,
      aux_sym_number_token2,
    ACTIONS(7814), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7816), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7818), 1,
      anon_sym_BQUOTE,
    ACTIONS(7820), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7826), 1,
      sym__brace_start,
    ACTIONS(8232), 1,
      anon_sym_DOLLAR,
    ACTIONS(8748), 1,
      sym__special_character,
    ACTIONS(9180), 1,
      sym_word,
    ACTIONS(9184), 1,
      sym_test_operator,
    STATE(4930), 1,
      aux_sym__literal_repeat1,
    STATE(5092), 1,
      sym_concatenation,
    ACTIONS(7798), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7822), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(9182), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4926), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [199372] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6979), 1,
      anon_sym_DOLLAR,
    ACTIONS(6983), 1,
      anon_sym_DQUOTE,
    ACTIONS(6987), 1,
      aux_sym_number_token1,
    ACTIONS(6989), 1,
      aux_sym_number_token2,
    ACTIONS(6991), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6993), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6995), 1,
      anon_sym_BQUOTE,
    ACTIONS(6997), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7007), 1,
      sym__brace_start,
    ACTIONS(7886), 1,
      sym_word,
    ACTIONS(7894), 1,
      sym__comment_word,
    ACTIONS(6973), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6999), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7890), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7892), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1046), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [199440] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2401), 1,
      anon_sym_DOLLAR,
    ACTIONS(2407), 1,
      aux_sym_number_token1,
    ACTIONS(2409), 1,
      aux_sym_number_token2,
    ACTIONS(2413), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2423), 1,
      sym__brace_start,
    ACTIONS(7424), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7428), 1,
      anon_sym_DQUOTE,
    ACTIONS(7432), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7434), 1,
      anon_sym_BQUOTE,
    ACTIONS(7436), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8352), 1,
      sym_word,
    ACTIONS(8360), 1,
      sym__comment_word,
    ACTIONS(7422), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7438), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8356), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8358), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1379), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [199508] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(191), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(197), 1,
      anon_sym_DQUOTE,
    ACTIONS(201), 1,
      aux_sym_number_token1,
    ACTIONS(203), 1,
      aux_sym_number_token2,
    ACTIONS(205), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(207), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(209), 1,
      anon_sym_BQUOTE,
    ACTIONS(211), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(221), 1,
      sym__brace_start,
    ACTIONS(8946), 1,
      sym_word,
    ACTIONS(8952), 1,
      sym__comment_word,
    ACTIONS(9186), 1,
      anon_sym_DOLLAR,
    ACTIONS(189), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(213), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8948), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8950), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(411), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [199576] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4692), 1,
      aux_sym_number_token1,
    ACTIONS(4694), 1,
      aux_sym_number_token2,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4708), 1,
      sym__brace_start,
    ACTIONS(7564), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7568), 1,
      anon_sym_DQUOTE,
    ACTIONS(7572), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7574), 1,
      anon_sym_BQUOTE,
    ACTIONS(7576), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9162), 1,
      sym_word,
    ACTIONS(9168), 1,
      sym__comment_word,
    ACTIONS(9188), 1,
      anon_sym_DOLLAR,
    ACTIONS(7562), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7578), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(9164), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(9166), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2900), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [199644] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(191), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(197), 1,
      anon_sym_DQUOTE,
    ACTIONS(201), 1,
      aux_sym_number_token1,
    ACTIONS(203), 1,
      aux_sym_number_token2,
    ACTIONS(205), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(207), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(209), 1,
      anon_sym_BQUOTE,
    ACTIONS(211), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(221), 1,
      sym__brace_start,
    ACTIONS(8946), 1,
      sym_word,
    ACTIONS(8952), 1,
      sym__comment_word,
    ACTIONS(9190), 1,
      anon_sym_DOLLAR,
    ACTIONS(189), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(213), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8948), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8950), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(411), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [199712] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 1,
      anon_sym_DOLLAR,
    ACTIONS(1539), 1,
      aux_sym_number_token1,
    ACTIONS(1541), 1,
      aux_sym_number_token2,
    ACTIONS(1545), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1559), 1,
      sym__brace_start,
    ACTIONS(6879), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6883), 1,
      anon_sym_DQUOTE,
    ACTIONS(6887), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6889), 1,
      anon_sym_BQUOTE,
    ACTIONS(6891), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8060), 1,
      sym_word,
    ACTIONS(8068), 1,
      sym__comment_word,
    ACTIONS(6875), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6893), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8064), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8066), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [199780] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym_file_descriptor,
    ACTIONS(9194), 1,
      anon_sym_DQUOTE,
    STATE(4383), 1,
      sym_string,
    ACTIONS(9196), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(9192), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [199826] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      sym_file_descriptor,
    ACTIONS(9194), 1,
      anon_sym_DQUOTE,
    STATE(4383), 1,
      sym_string,
    ACTIONS(9196), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(9192), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [199872] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6635), 1,
      anon_sym_DOLLAR,
    ACTIONS(6639), 1,
      anon_sym_DQUOTE,
    ACTIONS(6643), 1,
      aux_sym_number_token1,
    ACTIONS(6645), 1,
      aux_sym_number_token2,
    ACTIONS(6647), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6649), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6651), 1,
      anon_sym_BQUOTE,
    ACTIONS(6653), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6663), 1,
      sym__brace_start,
    ACTIONS(9106), 1,
      sym_word,
    ACTIONS(9114), 1,
      sym__comment_word,
    ACTIONS(6629), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6655), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(9110), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(9112), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1334), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [199940] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3573), 1,
      aux_sym_number_token1,
    ACTIONS(3575), 1,
      aux_sym_number_token2,
    ACTIONS(3579), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3591), 1,
      sym__brace_start,
    ACTIONS(7482), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7486), 1,
      anon_sym_DQUOTE,
    ACTIONS(7490), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7492), 1,
      anon_sym_BQUOTE,
    ACTIONS(7494), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8342), 1,
      sym_word,
    ACTIONS(8350), 1,
      sym__comment_word,
    ACTIONS(9198), 1,
      anon_sym_DOLLAR,
    ACTIONS(7480), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7496), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8346), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8348), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3891), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [200008] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4692), 1,
      aux_sym_number_token1,
    ACTIONS(4694), 1,
      aux_sym_number_token2,
    ACTIONS(4698), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4708), 1,
      sym__brace_start,
    ACTIONS(7564), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7568), 1,
      anon_sym_DQUOTE,
    ACTIONS(7572), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7574), 1,
      anon_sym_BQUOTE,
    ACTIONS(7576), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9162), 1,
      sym_word,
    ACTIONS(9168), 1,
      sym__comment_word,
    ACTIONS(9200), 1,
      anon_sym_DOLLAR,
    ACTIONS(7562), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7578), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(9164), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(9166), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2900), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [200076] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3189), 1,
      sym_variable_name,
    ACTIONS(3193), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(8384), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_BANG,
    ACTIONS(8392), 1,
      anon_sym_TILDE,
    ACTIONS(8394), 1,
      anon_sym_DOLLAR,
    ACTIONS(8396), 1,
      anon_sym_DQUOTE,
    ACTIONS(8398), 1,
      aux_sym_number_token1,
    ACTIONS(8400), 1,
      aux_sym_number_token2,
    ACTIONS(8402), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8404), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(8406), 1,
      anon_sym_BQUOTE,
    ACTIONS(8408), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2843), 1,
      sym__arithmetic_postfix_expression,
    STATE(2844), 1,
      sym__arithmetic_unary_expression,
    STATE(2846), 1,
      sym__arithmetic_ternary_expression,
    STATE(2847), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(8388), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(8390), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2818), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [200150] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 1,
      anon_sym_DOLLAR,
    ACTIONS(2171), 1,
      aux_sym_number_token1,
    ACTIONS(2173), 1,
      aux_sym_number_token2,
    ACTIONS(2177), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2189), 1,
      sym__brace_start,
    ACTIONS(8176), 1,
      sym_word,
    ACTIONS(8180), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8186), 1,
      anon_sym_DQUOTE,
    ACTIONS(8190), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8192), 1,
      anon_sym_BQUOTE,
    ACTIONS(8194), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8198), 1,
      sym__comment_word,
    ACTIONS(8178), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8184), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8196), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8188), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1127), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [200218] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3189), 1,
      sym_variable_name,
    ACTIONS(3191), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(8384), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_BANG,
    ACTIONS(8392), 1,
      anon_sym_TILDE,
    ACTIONS(8394), 1,
      anon_sym_DOLLAR,
    ACTIONS(8396), 1,
      anon_sym_DQUOTE,
    ACTIONS(8398), 1,
      aux_sym_number_token1,
    ACTIONS(8400), 1,
      aux_sym_number_token2,
    ACTIONS(8402), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8404), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(8406), 1,
      anon_sym_BQUOTE,
    ACTIONS(8408), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2843), 1,
      sym__arithmetic_postfix_expression,
    STATE(2844), 1,
      sym__arithmetic_unary_expression,
    STATE(2846), 1,
      sym__arithmetic_ternary_expression,
    STATE(2847), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(8388), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(8390), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2819), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [200292] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9206), 1,
      anon_sym_LPAREN,
    ACTIONS(9208), 1,
      aux_sym__c_word_token1,
    ACTIONS(9210), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9212), 1,
      anon_sym_DOLLAR,
    ACTIONS(9214), 1,
      anon_sym_DQUOTE,
    ACTIONS(9216), 1,
      aux_sym_number_token1,
    ACTIONS(9218), 1,
      aux_sym_number_token2,
    ACTIONS(9220), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9222), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9224), 1,
      anon_sym_BQUOTE,
    ACTIONS(9226), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2553), 1,
      sym__c_unary_expression,
    STATE(2556), 1,
      sym__c_binary_expression,
    STATE(2560), 1,
      sym__c_postfix_expression,
    STATE(3547), 1,
      sym__c_terminator,
    STATE(5001), 1,
      sym__c_expression,
    STATE(5117), 1,
      sym__c_variable_assignment,
    STATE(5482), 1,
      sym__for_body,
    ACTIONS(9202), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(9204), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2552), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [200367] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3534), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9232), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(9234), 1,
      sym_file_descriptor,
    STATE(3955), 1,
      sym_herestring_redirect,
    ACTIONS(3526), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(3528), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3532), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9230), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3579), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(2425), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(9228), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [200424] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9238), 1,
      sym__concat,
    STATE(3536), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [200467] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LT_LT_LT,
    STATE(3955), 1,
      sym_herestring_redirect,
    ACTIONS(3530), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3628), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3579), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3626), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [200512] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7011), 1,
      anon_sym_SLASH,
    ACTIONS(7013), 1,
      anon_sym_PERCENT,
    ACTIONS(7015), 1,
      anon_sym_COLON,
    ACTIONS(7164), 1,
      anon_sym_AT,
    ACTIONS(7508), 1,
      anon_sym_LBRACK,
    STATE(5782), 1,
      sym__expansion_operator,
    STATE(5783), 1,
      sym__expansion_max_length,
    STATE(5784), 1,
      sym__expansion_regex_removal,
    STATE(5785), 1,
      sym__expansion_regex_replacement,
    STATE(5786), 1,
      sym__expansion_regex,
    STATE(5787), 1,
      sym__expansion_expression,
    ACTIONS(7009), 2,
      anon_sym_COMMA,
      anon_sym_CARET,
    ACTIONS(7029), 2,
      anon_sym_COMMA_COMMA,
      anon_sym_CARET_CARET,
    ACTIONS(7017), 3,
      sym__immediate_double_hash,
      anon_sym_POUND,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7027), 3,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_POUND,
      anon_sym_SLASH_PERCENT,
    ACTIONS(7025), 8,
      anon_sym_EQ2,
      anon_sym_COLON_EQ,
      anon_sym_DASH3,
      anon_sym_COLON_DASH,
      anon_sym_PLUS3,
      anon_sym_COLON_PLUS,
      anon_sym_QMARK2,
      anon_sym_COLON_QMARK,
  [200577] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3613), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9232), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(9234), 1,
      sym_file_descriptor,
    STATE(3955), 1,
      sym_herestring_redirect,
    ACTIONS(3528), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3532), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(3609), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(9230), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3579), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3611), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(9228), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [200634] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9206), 1,
      anon_sym_LPAREN,
    ACTIONS(9208), 1,
      aux_sym__c_word_token1,
    ACTIONS(9210), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9212), 1,
      anon_sym_DOLLAR,
    ACTIONS(9214), 1,
      anon_sym_DQUOTE,
    ACTIONS(9216), 1,
      aux_sym_number_token1,
    ACTIONS(9218), 1,
      aux_sym_number_token2,
    ACTIONS(9220), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9222), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9224), 1,
      anon_sym_BQUOTE,
    ACTIONS(9226), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2553), 1,
      sym__c_unary_expression,
    STATE(2556), 1,
      sym__c_binary_expression,
    STATE(2560), 1,
      sym__c_postfix_expression,
    STATE(3547), 1,
      sym__c_terminator,
    STATE(5001), 1,
      sym__c_expression,
    STATE(5117), 1,
      sym__c_variable_assignment,
    STATE(5503), 1,
      sym__for_body,
    ACTIONS(9202), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(9204), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2552), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [200709] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9206), 1,
      anon_sym_LPAREN,
    ACTIONS(9208), 1,
      aux_sym__c_word_token1,
    ACTIONS(9210), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9212), 1,
      anon_sym_DOLLAR,
    ACTIONS(9214), 1,
      anon_sym_DQUOTE,
    ACTIONS(9216), 1,
      aux_sym_number_token1,
    ACTIONS(9218), 1,
      aux_sym_number_token2,
    ACTIONS(9220), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9222), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9224), 1,
      anon_sym_BQUOTE,
    ACTIONS(9226), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2553), 1,
      sym__c_unary_expression,
    STATE(2556), 1,
      sym__c_binary_expression,
    STATE(2560), 1,
      sym__c_postfix_expression,
    STATE(3547), 1,
      sym__c_terminator,
    STATE(5001), 1,
      sym__c_expression,
    STATE(5117), 1,
      sym__c_variable_assignment,
    STATE(5847), 1,
      sym__for_body,
    ACTIONS(9202), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(9204), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2552), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [200784] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LT_LT_LT,
    STATE(3955), 1,
      sym_herestring_redirect,
    ACTIONS(3624), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3579), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3622), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [200827] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9240), 1,
      sym__concat,
    STATE(3538), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [200869] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9242), 1,
      anon_sym_LT_LT_LT,
    STATE(3955), 1,
      sym_herestring_redirect,
    ACTIONS(3624), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3669), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3622), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [200911] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9242), 1,
      anon_sym_LT_LT_LT,
    STATE(3955), 1,
      sym_herestring_redirect,
    ACTIONS(3628), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3756), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(3669), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3626), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [200955] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3758), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9242), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(9248), 1,
      sym_file_descriptor,
    STATE(3955), 1,
      sym_herestring_redirect,
    ACTIONS(3532), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(3752), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(3754), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3756), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(9246), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3611), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(3669), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9244), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [201011] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9238), 1,
      sym__concat,
    STATE(3583), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [201053] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9250), 1,
      sym__concat,
    STATE(3538), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [201095] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9252), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9254), 1,
      sym__concat,
    STATE(3619), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [201137] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9256), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9259), 1,
      sym__concat,
    STATE(3538), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [201179] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9238), 1,
      sym__concat,
    STATE(3531), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4228), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4226), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [201221] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9238), 1,
      sym__concat,
    STATE(3536), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4135), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4133), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [201263] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9266), 1,
      sym_variable_name,
    STATE(5387), 1,
      sym_subscript,
    ACTIONS(9264), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3541), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9262), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [201305] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9206), 1,
      anon_sym_LPAREN,
    ACTIONS(9208), 1,
      aux_sym__c_word_token1,
    ACTIONS(9212), 1,
      anon_sym_DOLLAR,
    ACTIONS(9214), 1,
      anon_sym_DQUOTE,
    ACTIONS(9216), 1,
      aux_sym_number_token1,
    ACTIONS(9218), 1,
      aux_sym_number_token2,
    ACTIONS(9220), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9222), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9224), 1,
      anon_sym_BQUOTE,
    ACTIONS(9226), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9271), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(2553), 1,
      sym__c_unary_expression,
    STATE(2556), 1,
      sym__c_binary_expression,
    STATE(2560), 1,
      sym__c_postfix_expression,
    STATE(3881), 1,
      sym__c_terminator,
    STATE(4991), 1,
      sym__c_expression,
    STATE(5117), 1,
      sym__c_variable_assignment,
    ACTIONS(9204), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(9269), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(2552), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [201377] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9206), 1,
      anon_sym_LPAREN,
    ACTIONS(9208), 1,
      aux_sym__c_word_token1,
    ACTIONS(9212), 1,
      anon_sym_DOLLAR,
    ACTIONS(9214), 1,
      anon_sym_DQUOTE,
    ACTIONS(9216), 1,
      aux_sym_number_token1,
    ACTIONS(9218), 1,
      aux_sym_number_token2,
    ACTIONS(9220), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9222), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9224), 1,
      anon_sym_BQUOTE,
    ACTIONS(9226), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9275), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(2553), 1,
      sym__c_unary_expression,
    STATE(2556), 1,
      sym__c_binary_expression,
    STATE(2560), 1,
      sym__c_postfix_expression,
    STATE(3750), 1,
      sym__c_terminator,
    STATE(4983), 1,
      sym__c_expression,
    STATE(5117), 1,
      sym__c_variable_assignment,
    ACTIONS(9204), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(9273), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(2552), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [201449] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3797), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9242), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(9248), 1,
      sym_file_descriptor,
    STATE(3955), 1,
      sym_herestring_redirect,
    ACTIONS(3532), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(3754), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3756), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3795), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(9246), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(2425), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(3669), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9244), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [201505] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9281), 1,
      sym_variable_name,
    STATE(5387), 1,
      sym_subscript,
    ACTIONS(9279), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3541), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9277), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [201547] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9283), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9286), 1,
      sym__concat,
    STATE(3546), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [201589] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9206), 1,
      anon_sym_LPAREN,
    ACTIONS(9208), 1,
      aux_sym__c_word_token1,
    ACTIONS(9212), 1,
      anon_sym_DOLLAR,
    ACTIONS(9214), 1,
      anon_sym_DQUOTE,
    ACTIONS(9216), 1,
      aux_sym_number_token1,
    ACTIONS(9218), 1,
      aux_sym_number_token2,
    ACTIONS(9220), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9222), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9224), 1,
      anon_sym_BQUOTE,
    ACTIONS(9226), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9291), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(2553), 1,
      sym__c_unary_expression,
    STATE(2556), 1,
      sym__c_binary_expression,
    STATE(2560), 1,
      sym__c_postfix_expression,
    STATE(3851), 1,
      sym__c_terminator,
    STATE(4996), 1,
      sym__c_expression,
    STATE(5117), 1,
      sym__c_variable_assignment,
    ACTIONS(9204), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(9289), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(2552), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [201661] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9252), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9254), 1,
      sym__concat,
    STATE(3619), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3793), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3791), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [201702] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9293), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9296), 1,
      sym__concat,
    STATE(3549), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [201743] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9252), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9254), 1,
      sym__concat,
    STATE(3620), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3789), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [201784] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3613), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9299), 1,
      sym_file_descriptor,
    ACTIONS(3528), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3532), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(3609), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(9230), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3579), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3611), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(9228), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [201835] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9252), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9254), 1,
      sym__concat,
    STATE(3619), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3777), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [201876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [201911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [201946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [201981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [202016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [202051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [202086] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9301), 1,
      anon_sym_LT_LT_LT,
    STATE(3981), 1,
      sym_herestring_redirect,
    ACTIONS(3911), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3628), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    STATE(3790), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3626), 17,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [202129] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9303), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9305), 1,
      sym__concat,
    STATE(3722), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [202170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [202205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [202240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [202275] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9307), 1,
      anon_sym_LT_LT_LT,
    STATE(3981), 1,
      sym_herestring_redirect,
    ACTIONS(3628), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4023), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(3787), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3626), 18,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [202318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [202353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [202388] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9252), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9254), 1,
      sym__concat,
    STATE(3620), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1894), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1892), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [202429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [202464] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3534), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9299), 1,
      sym_file_descriptor,
    ACTIONS(3526), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(3528), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3530), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3532), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9230), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3579), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(2425), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(9228), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [202515] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9309), 1,
      sym__concat,
    STATE(3538), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [202556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [202591] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9252), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9254), 1,
      sym__concat,
    STATE(3619), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4500), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4498), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [202632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [202667] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9311), 1,
      sym__special_character,
    STATE(3574), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1296), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1294), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [202706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [202741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [202776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [202811] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9307), 1,
      anon_sym_LT_LT_LT,
    STATE(3981), 1,
      sym_herestring_redirect,
    ACTIONS(3624), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3787), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3622), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [202852] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9299), 1,
      sym_file_descriptor,
    ACTIONS(9316), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3532), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9230), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3622), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9228), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9314), 10,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
  [202897] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9303), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9305), 1,
      sym__concat,
    STATE(3711), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [202938] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym_file_descriptor,
    ACTIONS(4925), 1,
      anon_sym_DQUOTE,
    STATE(4525), 1,
      sym_string,
    ACTIONS(9320), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(9318), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_heredoc_redirect_token1,
  [202981] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      sym_file_descriptor,
    ACTIONS(4925), 1,
      anon_sym_DQUOTE,
    STATE(4525), 1,
      sym_string,
    ACTIONS(9320), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(9318), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_heredoc_redirect_token1,
  [203024] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9322), 1,
      sym__concat,
    STATE(3538), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [203065] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9303), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9305), 1,
      sym__concat,
    STATE(3694), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
      anon_sym_BQUOTE,
  [203106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [203141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [203176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [203211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [203246] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9252), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9254), 1,
      sym__concat,
    STATE(3620), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1902), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1900), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [203287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [203322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [203357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [203392] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9252), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9254), 1,
      sym__concat,
    STATE(3731), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [203433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [203468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [203503] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9324), 1,
      sym__special_character,
    STATE(3596), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1296), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1294), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [203542] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_BQUOTE,
    ACTIONS(4279), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9331), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(9333), 1,
      sym_file_descriptor,
    STATE(3981), 1,
      sym_herestring_redirect,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4146), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4277), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9329), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4275), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3875), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9327), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [203597] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9252), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9254), 1,
      sym__concat,
    STATE(3619), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4526), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4524), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [203638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [203673] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9331), 1,
      anon_sym_LT_LT_LT,
    STATE(3981), 1,
      sym_herestring_redirect,
    ACTIONS(3624), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3875), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3622), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [203714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [203749] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3624), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3579), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3622), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [203786] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3611), 1,
      anon_sym_BQUOTE,
    ACTIONS(4309), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9331), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(9333), 1,
      sym_file_descriptor,
    STATE(3981), 1,
      sym_herestring_redirect,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4146), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4277), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9329), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4307), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3875), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9327), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [203841] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2427), 1,
      ts_builtin_sym_end,
    ACTIONS(4041), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9301), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(9339), 1,
      sym_file_descriptor,
    STATE(3981), 1,
      sym_herestring_redirect,
    ACTIONS(3909), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3911), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9337), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4039), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3790), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9335), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [203896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [203931] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9238), 1,
      sym__concat,
    STATE(3570), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4228), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4226), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [203972] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9236), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9238), 1,
      sym__concat,
    STATE(3583), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4135), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4133), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [204013] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_RPAREN,
    ACTIONS(3797), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9307), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(9345), 1,
      sym_file_descriptor,
    STATE(3981), 1,
      sym_herestring_redirect,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4021), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(4023), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(9343), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3795), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3787), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9341), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [204068] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3530), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3628), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3579), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3626), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [204107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [204142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [204177] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9331), 1,
      anon_sym_LT_LT_LT,
    STATE(3981), 1,
      sym_herestring_redirect,
    ACTIONS(3628), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4146), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(3875), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3626), 18,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [204220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [204255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [204290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [204325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [204360] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9347), 1,
      sym__special_character,
    STATE(3574), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4135), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4133), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [204399] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9252), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9254), 1,
      sym__concat,
    STATE(3620), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3679), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3677), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [204440] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9252), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9349), 1,
      sym__concat,
    STATE(3634), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [204481] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9252), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9351), 1,
      sym__concat,
    STATE(3634), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [204522] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9353), 1,
      sym__special_character,
    STATE(3596), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4135), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4133), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [204561] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9366), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9368), 1,
      sym_file_descriptor,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9363), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3622), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9357), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9355), 10,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
  [204606] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9371), 1,
      sym_variable_name,
    STATE(5330), 1,
      sym_subscript,
    ACTIONS(9279), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3630), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9277), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [204647] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3611), 1,
      anon_sym_RPAREN,
    ACTIONS(3758), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9307), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(9345), 1,
      sym_file_descriptor,
    STATE(3981), 1,
      sym_herestring_redirect,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4021), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(4023), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(9343), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3752), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3787), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9341), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [204702] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9373), 1,
      sym__concat,
    ACTIONS(5555), 5,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_COLON,
    ACTIONS(5553), 21,
      sym__immediate_double_hash,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_POUND,
      anon_sym_RBRACE3,
      anon_sym_AT,
      anon_sym_EQ2,
      anon_sym_COLON_EQ,
      anon_sym_DASH3,
      anon_sym_COLON_DASH,
      anon_sym_PLUS3,
      anon_sym_COLON_PLUS,
      anon_sym_QMARK2,
      anon_sym_COLON_QMARK,
      anon_sym_PERCENT_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_POUND,
      anon_sym_SLASH_PERCENT,
      anon_sym_COMMA_COMMA,
      anon_sym_CARET_CARET,
  [204739] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9375), 1,
      sym__concat,
    ACTIONS(5561), 5,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_COLON,
    ACTIONS(5559), 21,
      sym__immediate_double_hash,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_POUND,
      anon_sym_RBRACE3,
      anon_sym_AT,
      anon_sym_EQ2,
      anon_sym_COLON_EQ,
      anon_sym_DASH3,
      anon_sym_COLON_DASH,
      anon_sym_PLUS3,
      anon_sym_COLON_PLUS,
      anon_sym_QMARK2,
      anon_sym_COLON_QMARK,
      anon_sym_PERCENT_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_POUND,
      anon_sym_SLASH_PERCENT,
      anon_sym_COMMA_COMMA,
      anon_sym_CARET_CARET,
  [204776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [204811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [204846] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9377), 1,
      sym__concat,
    ACTIONS(5590), 5,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_COLON,
    ACTIONS(5588), 21,
      sym__immediate_double_hash,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_POUND,
      anon_sym_RBRACE3,
      anon_sym_AT,
      anon_sym_EQ2,
      anon_sym_COLON_EQ,
      anon_sym_DASH3,
      anon_sym_COLON_DASH,
      anon_sym_PLUS3,
      anon_sym_COLON_PLUS,
      anon_sym_QMARK2,
      anon_sym_COLON_QMARK,
      anon_sym_PERCENT_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_POUND,
      anon_sym_SLASH_PERCENT,
      anon_sym_COMMA_COMMA,
      anon_sym_CARET_CARET,
  [204883] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9379), 1,
      sym_variable_name,
    STATE(5330), 1,
      sym_subscript,
    ACTIONS(9264), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3630), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9262), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [204924] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3905), 1,
      ts_builtin_sym_end,
    ACTIONS(3915), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9301), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(9339), 1,
      sym_file_descriptor,
    STATE(3981), 1,
      sym_herestring_redirect,
    ACTIONS(3909), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3911), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9337), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3907), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3790), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9335), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [204979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [205014] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9382), 1,
      sym__concat,
    ACTIONS(5608), 5,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_COLON,
    ACTIONS(5606), 21,
      sym__immediate_double_hash,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_POUND,
      anon_sym_RBRACE3,
      anon_sym_AT,
      anon_sym_EQ2,
      anon_sym_COLON_EQ,
      anon_sym_DASH3,
      anon_sym_COLON_DASH,
      anon_sym_PLUS3,
      anon_sym_COLON_PLUS,
      anon_sym_QMARK2,
      anon_sym_COLON_QMARK,
      anon_sym_PERCENT_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_POUND,
      anon_sym_SLASH_PERCENT,
      anon_sym_COMMA_COMMA,
      anon_sym_CARET_CARET,
  [205051] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9384), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9387), 1,
      sym__concat,
    STATE(3634), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [205092] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9301), 1,
      anon_sym_LT_LT_LT,
    STATE(3981), 1,
      sym_herestring_redirect,
    ACTIONS(3624), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    STATE(3790), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3622), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [205133] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4313), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9394), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(9396), 1,
      sym_file_descriptor,
    STATE(3981), 1,
      sym_herestring_redirect,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4126), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4264), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9392), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4311), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3970), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9390), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [205185] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9398), 1,
      sym__special_character,
    STATE(3721), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3777), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [205223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [205257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [205291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 5,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_COLON,
    ACTIONS(5717), 21,
      sym__immediate_double_hash,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_POUND,
      anon_sym_RBRACE3,
      anon_sym_AT,
      anon_sym_EQ2,
      anon_sym_COLON_EQ,
      anon_sym_DASH3,
      anon_sym_COLON_DASH,
      anon_sym_PLUS3,
      anon_sym_COLON_PLUS,
      anon_sym_QMARK2,
      anon_sym_COLON_QMARK,
      anon_sym_PERCENT_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_POUND,
      anon_sym_SLASH_PERCENT,
      anon_sym_COMMA_COMMA,
      anon_sym_CARET_CARET,
  [205325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5685), 5,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_COLON,
    ACTIONS(5683), 21,
      sym__immediate_double_hash,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_POUND,
      anon_sym_RBRACE3,
      anon_sym_AT,
      anon_sym_EQ2,
      anon_sym_COLON_EQ,
      anon_sym_DASH3,
      anon_sym_COLON_DASH,
      anon_sym_PLUS3,
      anon_sym_COLON_PLUS,
      anon_sym_QMARK2,
      anon_sym_COLON_QMARK,
      anon_sym_PERCENT_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_POUND,
      anon_sym_SLASH_PERCENT,
      anon_sym_COMMA_COMMA,
      anon_sym_CARET_CARET,
  [205359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [205393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5608), 5,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_COLON,
    ACTIONS(5606), 21,
      sym__immediate_double_hash,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_POUND,
      anon_sym_RBRACE3,
      anon_sym_AT,
      anon_sym_EQ2,
      anon_sym_COLON_EQ,
      anon_sym_DASH3,
      anon_sym_COLON_DASH,
      anon_sym_PLUS3,
      anon_sym_COLON_PLUS,
      anon_sym_QMARK2,
      anon_sym_COLON_QMARK,
      anon_sym_PERCENT_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_POUND,
      anon_sym_SLASH_PERCENT,
      anon_sym_COMMA_COMMA,
      anon_sym_CARET_CARET,
  [205427] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9252), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9254), 1,
      sym__concat,
    STATE(3731), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4526), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4524), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [205467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [205501] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9303), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9305), 1,
      sym__concat,
    STATE(3712), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4228), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4226), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [205541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [205575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5590), 5,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_COLON,
    ACTIONS(5588), 21,
      sym__immediate_double_hash,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_POUND,
      anon_sym_RBRACE3,
      anon_sym_AT,
      anon_sym_EQ2,
      anon_sym_COLON_EQ,
      anon_sym_DASH3,
      anon_sym_COLON_DASH,
      anon_sym_PLUS3,
      anon_sym_COLON_PLUS,
      anon_sym_QMARK2,
      anon_sym_COLON_QMARK,
      anon_sym_PERCENT_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_POUND,
      anon_sym_SLASH_PERCENT,
      anon_sym_COMMA_COMMA,
      anon_sym_CARET_CARET,
  [205609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [205643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [205677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [205711] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3797), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9400), 1,
      sym_file_descriptor,
    ACTIONS(3532), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(3754), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3756), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3795), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(9246), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(2425), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(3669), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9244), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [205761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [205795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [205829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [205863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [205897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [205931] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9303), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9305), 1,
      sym__concat,
    STATE(3726), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4228), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4226), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [205971] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(3833), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [206011] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9406), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9408), 1,
      sym__concat,
    STATE(3662), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4120), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4118), 20,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [206051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [206085] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9406), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9410), 1,
      sym__concat,
    STATE(3717), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 20,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [206125] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9366), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9418), 1,
      sym_file_descriptor,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9415), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3663), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9412), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9355), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
  [206169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [206203] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9421), 1,
      sym_variable_name,
    STATE(5384), 1,
      sym_subscript,
    STATE(3671), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9279), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9277), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [206243] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4328), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9394), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(9396), 1,
      sym_file_descriptor,
    STATE(3981), 1,
      sym_herestring_redirect,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4126), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4264), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9392), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4326), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3970), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9390), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [206295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [206329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [206363] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9316), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9400), 1,
      sym_file_descriptor,
    ACTIONS(3532), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9246), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3663), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9244), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9314), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
  [206407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [206441] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9423), 1,
      sym_variable_name,
    STATE(5384), 1,
      sym_subscript,
    STATE(3671), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9264), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9262), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [206481] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9394), 1,
      anon_sym_LT_LT_LT,
    STATE(3981), 1,
      sym_herestring_redirect,
    ACTIONS(3628), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4126), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(3970), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3626), 17,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [206523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [206557] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9303), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9305), 1,
      sym__concat,
    STATE(3830), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [206597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [206631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [206665] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9426), 1,
      sym__special_character,
    STATE(3741), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3793), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3791), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [206703] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9406), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9408), 1,
      sym__concat,
    STATE(3698), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4150), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4148), 20,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [206743] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9252), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9254), 1,
      sym__concat,
    STATE(3708), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1902), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1900), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [206783] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9252), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9254), 1,
      sym__concat,
    STATE(3731), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4500), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4498), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [206823] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9406), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9408), 1,
      sym__concat,
    STATE(3662), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 20,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [206863] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9252), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9254), 1,
      sym__concat,
    STATE(3708), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1894), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1892), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [206903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [206937] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9398), 1,
      sym__special_character,
    STATE(3721), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4526), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4524), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [206975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [207009] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3758), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9400), 1,
      sym_file_descriptor,
    ACTIONS(3532), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(3752), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(3754), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3756), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(9246), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3611), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(3669), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9244), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [207059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [207093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [207127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [207161] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9394), 1,
      anon_sym_LT_LT_LT,
    STATE(3981), 1,
      sym_herestring_redirect,
    ACTIONS(3624), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3970), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3622), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [207201] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9303), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9428), 1,
      sym__concat,
    STATE(3546), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [207241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [207275] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(3847), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
      anon_sym_BQUOTE,
  [207315] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9303), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9430), 1,
      sym__concat,
    STATE(3546), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [207355] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9252), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9254), 1,
      sym__concat,
    STATE(3731), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3777), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [207395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [207429] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9252), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9254), 1,
      sym__concat,
    STATE(3708), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3789), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [207469] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9406), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9432), 1,
      sym__concat,
    STATE(3717), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 20,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [207509] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9252), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9254), 1,
      sym__concat,
    STATE(3731), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3793), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3791), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [207549] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9252), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9254), 1,
      sym__concat,
    STATE(3708), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3679), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3677), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [207589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [207623] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3624), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3669), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3622), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [207659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [207693] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9434), 1,
      sym_variable_name,
    STATE(5326), 1,
      sym_subscript,
    ACTIONS(9264), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3704), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9262), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [207733] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9437), 1,
      sym_variable_name,
    STATE(5326), 1,
      sym_subscript,
    ACTIONS(9279), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3704), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9277), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [207773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [207807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [207841] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9252), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9439), 1,
      sym__concat,
    STATE(3634), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [207881] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4266), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9394), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(9396), 1,
      sym_file_descriptor,
    STATE(3981), 1,
      sym_herestring_redirect,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4126), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4264), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9392), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4262), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3970), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9390), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [207933] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9303), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9305), 1,
      sym__concat,
    STATE(3722), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4135), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4133), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [207973] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9303), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9441), 1,
      sym__concat,
    STATE(3546), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [208013] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9303), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9443), 1,
      sym__concat,
    STATE(3546), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [208053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [208087] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9453), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9455), 1,
      sym_file_descriptor,
    ACTIONS(9450), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3714), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(9447), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9445), 12,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [208129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [208163] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9426), 1,
      sym__special_character,
    STATE(3741), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4526), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4524), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [208201] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9458), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9461), 1,
      sym__concat,
    STATE(3717), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 20,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [208241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [208275] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9303), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9305), 1,
      sym__concat,
    STATE(3694), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4135), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4133), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [208315] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(3775), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [208355] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9464), 1,
      sym__special_character,
    STATE(3721), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1296), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1294), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [208393] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9303), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9467), 1,
      sym__concat,
    STATE(3546), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [208433] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9398), 1,
      sym__special_character,
    STATE(3721), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4500), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4498), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [208471] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9394), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(9396), 1,
      sym_file_descriptor,
    STATE(3981), 1,
      sym_herestring_redirect,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4126), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4264), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9392), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4281), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3970), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9390), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [208523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [208557] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9303), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9469), 1,
      sym__concat,
    STATE(3546), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [208597] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3628), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3756), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(3669), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3626), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [208635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [208669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [208703] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9471), 1,
      sym_variable_name,
    STATE(5409), 1,
      sym_subscript,
    ACTIONS(9264), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3730), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9262), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [208743] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9252), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9474), 1,
      sym__concat,
    STATE(3634), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [208783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [208817] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9426), 1,
      sym__special_character,
    STATE(3741), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4500), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4498), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [208855] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9426), 1,
      sym__special_character,
    STATE(3741), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3777), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [208893] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9476), 1,
      sym_variable_name,
    STATE(5409), 1,
      sym_subscript,
    ACTIONS(9279), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3730), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9277), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [208933] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9398), 1,
      sym__special_character,
    STATE(3721), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3793), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3791), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [208971] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9480), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9482), 1,
      sym_file_descriptor,
    ACTIONS(9230), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3714), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(9228), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9478), 12,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [209013] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9303), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9305), 1,
      sym__concat,
    STATE(3711), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4135), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4133), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [209053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
      anon_sym_BQUOTE,
  [209087] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9303), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9305), 1,
      sym__concat,
    STATE(3691), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4228), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4226), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [209127] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9484), 1,
      sym__special_character,
    STATE(3741), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1296), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1294), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [209165] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9366), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9496), 1,
      sym_file_descriptor,
    ACTIONS(9490), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9493), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3742), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9355), 8,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
    ACTIONS(9487), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [209208] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9482), 1,
      sym_file_descriptor,
    ACTIONS(9501), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3956), 1,
      sym_file_redirect,
    ACTIONS(9230), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9228), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9499), 12,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [209249] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9507), 1,
      anon_sym_RBRACE3,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5564), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [209308] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9523), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5560), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [209367] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9525), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5555), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [209426] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9527), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5890), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [209485] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9529), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5550), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [209544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9533), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9531), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [209577] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9535), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(9539), 1,
      anon_sym_LPAREN,
    ACTIONS(9541), 1,
      aux_sym__c_word_token1,
    ACTIONS(9543), 1,
      anon_sym_DOLLAR,
    ACTIONS(9545), 1,
      anon_sym_DQUOTE,
    ACTIONS(9547), 1,
      aux_sym_number_token1,
    ACTIONS(9549), 1,
      aux_sym_number_token2,
    ACTIONS(9551), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9553), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9555), 1,
      anon_sym_BQUOTE,
    ACTIONS(9557), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2821), 1,
      sym__c_postfix_expression,
    STATE(2823), 1,
      sym__c_binary_expression,
    STATE(2826), 1,
      sym__c_unary_expression,
    STATE(5244), 1,
      sym__c_expression,
    STATE(5367), 1,
      sym__c_variable_assignment,
    ACTIONS(9537), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2827), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [209642] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9559), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5546), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [209701] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9561), 1,
      sym_variable_name,
    STATE(5423), 1,
      sym_subscript,
    ACTIONS(9279), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3758), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9277), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [209740] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9563), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5541), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [209799] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3624), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3787), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3622), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [209834] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9565), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5904), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [209893] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9539), 1,
      anon_sym_LPAREN,
    ACTIONS(9541), 1,
      aux_sym__c_word_token1,
    ACTIONS(9543), 1,
      anon_sym_DOLLAR,
    ACTIONS(9545), 1,
      anon_sym_DQUOTE,
    ACTIONS(9547), 1,
      aux_sym_number_token1,
    ACTIONS(9549), 1,
      aux_sym_number_token2,
    ACTIONS(9551), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9553), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9555), 1,
      anon_sym_BQUOTE,
    ACTIONS(9557), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9567), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2821), 1,
      sym__c_postfix_expression,
    STATE(2823), 1,
      sym__c_binary_expression,
    STATE(2826), 1,
      sym__c_unary_expression,
    STATE(5250), 1,
      sym__c_expression,
    STATE(5367), 1,
      sym__c_variable_assignment,
    ACTIONS(9537), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2827), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [209958] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9569), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5537), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [210017] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9571), 1,
      sym_variable_name,
    STATE(5423), 1,
      sym_subscript,
    ACTIONS(9264), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3758), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9262), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [210056] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9574), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5532), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [210115] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9576), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5915), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [210174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9578), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9580), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
  [210207] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9582), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5528), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [210266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9586), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
  [210299] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9588), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5522), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [210358] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9590), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5921), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [210417] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3628), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4023), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(3787), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3626), 18,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [210454] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9592), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5518), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [210513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9596), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9594), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [210546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [210579] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9598), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5927), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [210638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9596), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9594), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
  [210671] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9539), 1,
      anon_sym_LPAREN,
    ACTIONS(9541), 1,
      aux_sym__c_word_token1,
    ACTIONS(9543), 1,
      anon_sym_DOLLAR,
    ACTIONS(9545), 1,
      anon_sym_DQUOTE,
    ACTIONS(9547), 1,
      aux_sym_number_token1,
    ACTIONS(9549), 1,
      aux_sym_number_token2,
    ACTIONS(9551), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9553), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9555), 1,
      anon_sym_BQUOTE,
    ACTIONS(9557), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9600), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2821), 1,
      sym__c_postfix_expression,
    STATE(2823), 1,
      sym__c_binary_expression,
    STATE(2826), 1,
      sym__c_unary_expression,
    STATE(5194), 1,
      sym__c_expression,
    STATE(5367), 1,
      sym__c_variable_assignment,
    ACTIONS(9537), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2827), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [210736] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9539), 1,
      anon_sym_LPAREN,
    ACTIONS(9541), 1,
      aux_sym__c_word_token1,
    ACTIONS(9543), 1,
      anon_sym_DOLLAR,
    ACTIONS(9545), 1,
      anon_sym_DQUOTE,
    ACTIONS(9547), 1,
      aux_sym_number_token1,
    ACTIONS(9549), 1,
      aux_sym_number_token2,
    ACTIONS(9551), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9553), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9555), 1,
      anon_sym_BQUOTE,
    ACTIONS(9557), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9602), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2821), 1,
      sym__c_postfix_expression,
    STATE(2823), 1,
      sym__c_binary_expression,
    STATE(2826), 1,
      sym__c_unary_expression,
    STATE(5179), 1,
      sym__c_expression,
    STATE(5367), 1,
      sym__c_variable_assignment,
    ACTIONS(9537), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2827), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [210801] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9604), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5933), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [210860] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9606), 1,
      sym__concat,
    STATE(3549), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [210899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [210932] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9608), 1,
      sym__concat,
    STATE(3549), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [210971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [211004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [211037] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9610), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5941), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [211096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9614), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9612), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [211129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9586), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [211162] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9616), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5570), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [211221] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9618), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5516), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [211280] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9620), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(6111), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [211339] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9622), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5882), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [211398] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9316), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9624), 1,
      sym_file_descriptor,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9343), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3742), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9314), 8,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
    ACTIONS(9341), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [211441] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9626), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5583), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [211500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9578), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9580), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [211533] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9628), 1,
      sym_file_descriptor,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9316), 2,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9337), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3906), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9314), 7,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
    ACTIONS(9335), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [211576] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9630), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5612), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [211635] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9482), 1,
      sym_file_descriptor,
    ACTIONS(9634), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3992), 1,
      sym_file_redirect,
    ACTIONS(9230), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9228), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9632), 12,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [211676] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9636), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5875), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [211735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [211768] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9480), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9638), 1,
      sym_file_descriptor,
    ACTIONS(9246), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3800), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(9244), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9478), 11,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [211809] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9640), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5636), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [211868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [211901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9644), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9642), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [211934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [211967] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9453), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9652), 1,
      sym_file_descriptor,
    ACTIONS(9649), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3800), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(9646), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9445), 11,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [212008] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2427), 1,
      ts_builtin_sym_end,
    ACTIONS(4041), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9628), 1,
      sym_file_descriptor,
    ACTIONS(3909), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3911), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9337), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4039), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3790), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9335), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [212057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [212090] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9655), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5595), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [212149] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3611), 1,
      anon_sym_RPAREN,
    ACTIONS(3758), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9624), 1,
      sym_file_descriptor,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4021), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(4023), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(9343), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3752), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3787), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9341), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [212198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3624), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    STATE(3790), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3622), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [212233] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9657), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5868), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [212292] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9659), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5652), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [212351] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(3777), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3679), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3677), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [212390] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(3775), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3793), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3791), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [212429] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(3777), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1894), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1892), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [212468] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(3775), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4500), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4498), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [212507] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(3777), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3789), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [212546] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9661), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5659), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [212605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4625), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4623), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [212638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4613), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4611), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [212671] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9663), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5601), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [212730] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9665), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5438), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [212789] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9667), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5924), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [212848] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(3775), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3777), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [212887] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(3777), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1902), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1900), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [212926] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(3775), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4526), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4524), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [212965] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9669), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5679), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [213024] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9671), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5687), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [213083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4228), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4226), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [213116] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9673), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5857), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [213175] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9675), 1,
      sym__concat,
    STATE(3549), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [213214] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9677), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5695), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [213273] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9679), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5851), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [213332] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(4025), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [213371] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9303), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9681), 1,
      sym__concat,
    STATE(3546), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [213410] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9303), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9683), 1,
      sym__concat,
    STATE(3546), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [213449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9644), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9642), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
  [213482] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9685), 1,
      sym__concat,
    STATE(3549), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [213521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9614), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9612), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
  [213554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [213587] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9687), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5843), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [213646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4613), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4611), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [213679] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(3833), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4526), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4524), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [213718] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(3826), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1902), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1900), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [213757] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9689), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5837), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [213816] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(3833), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3777), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [213855] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9691), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5994), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [213914] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3611), 1,
      anon_sym_BQUOTE,
    ACTIONS(4309), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9693), 1,
      sym_file_descriptor,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4146), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4277), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9329), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4307), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3875), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9327), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [213963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [213996] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(3826), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3789), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [214035] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9695), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5702), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [214094] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9697), 1,
      sym__concat,
    STATE(3549), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [214133] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9699), 1,
      sym__concat,
    STATE(3549), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [214172] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_RPAREN,
    ACTIONS(3797), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9624), 1,
      sym_file_descriptor,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4021), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(4023), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(9343), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3795), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3787), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9341), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [214221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [214254] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9539), 1,
      anon_sym_LPAREN,
    ACTIONS(9541), 1,
      aux_sym__c_word_token1,
    ACTIONS(9543), 1,
      anon_sym_DOLLAR,
    ACTIONS(9545), 1,
      anon_sym_DQUOTE,
    ACTIONS(9547), 1,
      aux_sym_number_token1,
    ACTIONS(9549), 1,
      aux_sym_number_token2,
    ACTIONS(9551), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9553), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9555), 1,
      anon_sym_BQUOTE,
    ACTIONS(9557), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9701), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2821), 1,
      sym__c_postfix_expression,
    STATE(2823), 1,
      sym__c_binary_expression,
    STATE(2826), 1,
      sym__c_unary_expression,
    STATE(5288), 1,
      sym__c_expression,
    STATE(5367), 1,
      sym__c_variable_assignment,
    ACTIONS(9537), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2827), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [214319] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3628), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4146), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(3875), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3626), 18,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [214356] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9303), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9305), 1,
      sym__concat,
    STATE(3830), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4135), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4133), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [214395] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9703), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5831), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [214454] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9303), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9305), 1,
      sym__concat,
    STATE(3831), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4228), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4226), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [214493] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9705), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5709), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [214552] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9482), 1,
      sym_file_descriptor,
    ACTIONS(9709), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(4049), 1,
      sym_file_redirect,
    ACTIONS(9230), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9228), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9707), 12,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [214593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9713), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9711), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [214626] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9715), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5962), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [214685] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9539), 1,
      anon_sym_LPAREN,
    ACTIONS(9541), 1,
      aux_sym__c_word_token1,
    ACTIONS(9543), 1,
      anon_sym_DOLLAR,
    ACTIONS(9545), 1,
      anon_sym_DQUOTE,
    ACTIONS(9547), 1,
      aux_sym_number_token1,
    ACTIONS(9549), 1,
      aux_sym_number_token2,
    ACTIONS(9551), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9553), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9555), 1,
      anon_sym_BQUOTE,
    ACTIONS(9557), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9717), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2821), 1,
      sym__c_postfix_expression,
    STATE(2823), 1,
      sym__c_binary_expression,
    STATE(2826), 1,
      sym__c_unary_expression,
    STATE(5196), 1,
      sym__c_expression,
    STATE(5367), 1,
      sym__c_variable_assignment,
    ACTIONS(9537), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2827), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [214750] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9719), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5825), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [214809] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9721), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5716), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [214868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [214901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
      anon_sym_BQUOTE,
  [214934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9713), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9711), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
  [214967] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9723), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5671), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [215026] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(3833), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4500), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4498), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [215065] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9725), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5817), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [215124] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(3826), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1894), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1892), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [215163] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9727), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5811), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [215222] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(3848), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3679), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3677), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [215261] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(3847), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3793), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3791), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [215300] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(3848), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1894), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1892), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [215339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9533), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9531), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
  [215372] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9316), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9693), 1,
      sym_file_descriptor,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9329), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3901), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9314), 8,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_BQUOTE,
    ACTIONS(9327), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [215415] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9539), 1,
      anon_sym_LPAREN,
    ACTIONS(9541), 1,
      aux_sym__c_word_token1,
    ACTIONS(9543), 1,
      anon_sym_DOLLAR,
    ACTIONS(9545), 1,
      anon_sym_DQUOTE,
    ACTIONS(9547), 1,
      aux_sym_number_token1,
    ACTIONS(9549), 1,
      aux_sym_number_token2,
    ACTIONS(9551), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9553), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9555), 1,
      anon_sym_BQUOTE,
    ACTIONS(9557), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9729), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2821), 1,
      sym__c_postfix_expression,
    STATE(2823), 1,
      sym__c_binary_expression,
    STATE(2826), 1,
      sym__c_unary_expression,
    STATE(5188), 1,
      sym__c_expression,
    STATE(5367), 1,
      sym__c_variable_assignment,
    ACTIONS(9537), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2827), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [215480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [215513] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(3833), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3793), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3791), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [215552] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9731), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5805), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [215611] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(3826), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3679), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3677), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [215650] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9539), 1,
      anon_sym_LPAREN,
    ACTIONS(9541), 1,
      aux_sym__c_word_token1,
    ACTIONS(9543), 1,
      anon_sym_DOLLAR,
    ACTIONS(9545), 1,
      anon_sym_DQUOTE,
    ACTIONS(9547), 1,
      aux_sym_number_token1,
    ACTIONS(9549), 1,
      aux_sym_number_token2,
    ACTIONS(9551), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9553), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9555), 1,
      anon_sym_BQUOTE,
    ACTIONS(9557), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9733), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2821), 1,
      sym__c_postfix_expression,
    STATE(2823), 1,
      sym__c_binary_expression,
    STATE(2826), 1,
      sym__c_unary_expression,
    STATE(5186), 1,
      sym__c_expression,
    STATE(5367), 1,
      sym__c_variable_assignment,
    ACTIONS(9537), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2827), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [215715] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9539), 1,
      anon_sym_LPAREN,
    ACTIONS(9541), 1,
      aux_sym__c_word_token1,
    ACTIONS(9543), 1,
      anon_sym_DOLLAR,
    ACTIONS(9545), 1,
      anon_sym_DQUOTE,
    ACTIONS(9547), 1,
      aux_sym_number_token1,
    ACTIONS(9549), 1,
      aux_sym_number_token2,
    ACTIONS(9551), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9553), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9555), 1,
      anon_sym_BQUOTE,
    ACTIONS(9557), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9735), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2821), 1,
      sym__c_postfix_expression,
    STATE(2823), 1,
      sym__c_binary_expression,
    STATE(2826), 1,
      sym__c_unary_expression,
    STATE(5184), 1,
      sym__c_expression,
    STATE(5367), 1,
      sym__c_variable_assignment,
    ACTIONS(9537), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2827), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [215780] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9737), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5722), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [215839] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9739), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5799), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [215898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [215931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [215964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [215997] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9741), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5793), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [216056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [216089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4228), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4226), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [216122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [216155] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9743), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5775), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [216214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4625), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4623), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [216247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [216280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [216313] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9745), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5737), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [216372] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9747), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5644), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [216431] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3905), 1,
      ts_builtin_sym_end,
    ACTIONS(3915), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9628), 1,
      sym_file_descriptor,
    ACTIONS(3909), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3911), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9337), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3907), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3790), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9335), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [216480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3624), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3875), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3622), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [216515] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9749), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5763), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [216574] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9366), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9757), 1,
      sym_file_descriptor,
    ACTIONS(9490), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9754), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3901), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9355), 8,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_BQUOTE,
    ACTIONS(9751), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [216617] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9760), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5750), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [216676] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(3847), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4500), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4498), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [216715] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(3848), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3789), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [216754] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(3847), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3777), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [216793] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9768), 1,
      sym_file_descriptor,
    ACTIONS(9366), 2,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9490), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9765), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3906), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9355), 7,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
    ACTIONS(9762), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [216836] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(3848), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1902), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1900), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [216875] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(3847), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4526), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4524), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [216914] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9771), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5743), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [216973] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9509), 1,
      anon_sym_BANG2,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9519), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9521), 1,
      sym_variable_name,
    ACTIONS(9773), 1,
      anon_sym_RBRACE3,
    STATE(2978), 1,
      sym_subscript,
    STATE(5094), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5096), 1,
      sym_command_substitution,
    STATE(5911), 1,
      sym__expansion_body,
    ACTIONS(9511), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9503), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9505), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [217032] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_BQUOTE,
    ACTIONS(4279), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9693), 1,
      sym_file_descriptor,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4146), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4277), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9329), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4275), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3875), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9327), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [217081] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3911), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3628), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    STATE(3790), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3626), 17,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [217118] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9453), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9781), 1,
      sym_file_descriptor,
    ACTIONS(9778), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3913), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(9775), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9445), 10,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [217158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9786), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9784), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [217190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [217222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9788), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9790), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [217254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9792), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9794), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [217286] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9212), 1,
      anon_sym_DOLLAR,
    ACTIONS(9218), 1,
      aux_sym_number_token2,
    ACTIONS(9798), 1,
      anon_sym_LPAREN,
    ACTIONS(9800), 1,
      aux_sym__c_word_token1,
    ACTIONS(9802), 1,
      anon_sym_DQUOTE,
    ACTIONS(9804), 1,
      aux_sym_number_token1,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9810), 1,
      anon_sym_BQUOTE,
    ACTIONS(9812), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2553), 1,
      sym__c_unary_expression,
    STATE(2556), 1,
      sym__c_binary_expression,
    STATE(2560), 1,
      sym__c_postfix_expression,
    STATE(5117), 1,
      sym__c_variable_assignment,
    STATE(5156), 1,
      sym__c_expression,
    ACTIONS(9796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2552), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [217348] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4266), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9814), 1,
      sym_file_descriptor,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4126), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4264), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9392), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4262), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3970), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9390), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [217394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9786), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9784), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [217426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9816), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9818), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [217458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9822), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [217490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9820), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9822), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [217522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9826), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9824), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [217554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9828), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9830), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [217586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9828), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9830), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [217618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9832), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9834), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [217650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9836), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9838), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [217682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9840), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9842), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [217714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9846), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9844), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [217746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4798), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4796), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [217778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9850), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9848), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [217810] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9854), 1,
      anon_sym_LPAREN,
    ACTIONS(9856), 1,
      aux_sym__c_word_token1,
    ACTIONS(9858), 1,
      anon_sym_DOLLAR,
    ACTIONS(9860), 1,
      anon_sym_DQUOTE,
    ACTIONS(9862), 1,
      aux_sym_number_token1,
    ACTIONS(9864), 1,
      aux_sym_number_token2,
    ACTIONS(9866), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9870), 1,
      anon_sym_BQUOTE,
    ACTIONS(9872), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2655), 1,
      sym__c_postfix_expression,
    STATE(2696), 1,
      sym__c_binary_expression,
    STATE(2706), 1,
      sym__c_unary_expression,
    STATE(5215), 1,
      sym__c_expression,
    STATE(5433), 1,
      sym__c_variable_assignment,
    ACTIONS(9852), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2805), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [217872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9874), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9876), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [217904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4798), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4796), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [217936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9850), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9848), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [217968] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9878), 1,
      sym__special_character,
    STATE(4005), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4120), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4118), 19,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [218004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9882), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9880), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [218036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3679), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3677), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [218068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9884), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9886), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [218100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9888), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9890), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [218132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9894), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9892), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [218164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9888), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9890), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [218196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9896), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9898), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [218228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1894), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1892), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [218260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4798), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4796), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [218292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4798), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4796), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [218324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9884), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9886), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [218356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9900), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9902), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [218388] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9904), 1,
      sym_file_descriptor,
    ACTIONS(9337), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9480), 2,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    STATE(4060), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(9335), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9478), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [218428] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9854), 1,
      anon_sym_LPAREN,
    ACTIONS(9856), 1,
      aux_sym__c_word_token1,
    ACTIONS(9858), 1,
      anon_sym_DOLLAR,
    ACTIONS(9860), 1,
      anon_sym_DQUOTE,
    ACTIONS(9862), 1,
      aux_sym_number_token1,
    ACTIONS(9864), 1,
      aux_sym_number_token2,
    ACTIONS(9866), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9870), 1,
      anon_sym_BQUOTE,
    ACTIONS(9872), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2655), 1,
      sym__c_postfix_expression,
    STATE(2696), 1,
      sym__c_binary_expression,
    STATE(2706), 1,
      sym__c_unary_expression,
    STATE(5357), 1,
      sym__c_expression,
    STATE(5433), 1,
      sym__c_variable_assignment,
    ACTIONS(9852), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2805), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [218490] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9854), 1,
      anon_sym_LPAREN,
    ACTIONS(9856), 1,
      aux_sym__c_word_token1,
    ACTIONS(9858), 1,
      anon_sym_DOLLAR,
    ACTIONS(9860), 1,
      anon_sym_DQUOTE,
    ACTIONS(9862), 1,
      aux_sym_number_token1,
    ACTIONS(9864), 1,
      aux_sym_number_token2,
    ACTIONS(9866), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9870), 1,
      anon_sym_BQUOTE,
    ACTIONS(9872), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2655), 1,
      sym__c_postfix_expression,
    STATE(2696), 1,
      sym__c_binary_expression,
    STATE(2706), 1,
      sym__c_unary_expression,
    STATE(5413), 1,
      sym__c_expression,
    STATE(5433), 1,
      sym__c_variable_assignment,
    ACTIONS(9852), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2805), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [218552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9908), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9906), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [218584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9910), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9912), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [218616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9916), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9914), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [218648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9920), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9918), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [218680] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9212), 1,
      anon_sym_DOLLAR,
    ACTIONS(9218), 1,
      aux_sym_number_token2,
    ACTIONS(9798), 1,
      anon_sym_LPAREN,
    ACTIONS(9800), 1,
      aux_sym__c_word_token1,
    ACTIONS(9802), 1,
      anon_sym_DQUOTE,
    ACTIONS(9804), 1,
      aux_sym_number_token1,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9810), 1,
      anon_sym_BQUOTE,
    ACTIONS(9812), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2553), 1,
      sym__c_unary_expression,
    STATE(2556), 1,
      sym__c_binary_expression,
    STATE(2560), 1,
      sym__c_postfix_expression,
    STATE(5117), 1,
      sym__c_variable_assignment,
    STATE(5164), 1,
      sym__c_expression,
    ACTIONS(9796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2552), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [218742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9924), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9922), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [218774] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4313), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9814), 1,
      sym_file_descriptor,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4126), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4264), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9392), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4311), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3970), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9390), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [218820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9882), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9880), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [218852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9928), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9926), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [218884] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9453), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9936), 1,
      sym_file_descriptor,
    ACTIONS(9933), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3962), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(9930), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9445), 10,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [218924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9939), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [218956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9943), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9945), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [218988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9949), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9947), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [219020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9614), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9612), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [219052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9953), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9951), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [219084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9955), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9957), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [219116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9943), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9945), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [219148] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9316), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9814), 1,
      sym_file_descriptor,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9392), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3975), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9314), 7,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
    ACTIONS(9390), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [219190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9888), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9890), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [219222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3624), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3970), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3622), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [219256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9959), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9961), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [219288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1894), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1892), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [219320] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9366), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9969), 1,
      sym_file_descriptor,
    ACTIONS(9490), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9966), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3975), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9355), 7,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
    ACTIONS(9963), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [219362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9788), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9790), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [219394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9959), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9961), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [219426] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9539), 1,
      anon_sym_LPAREN,
    ACTIONS(9541), 1,
      aux_sym__c_word_token1,
    ACTIONS(9543), 1,
      anon_sym_DOLLAR,
    ACTIONS(9545), 1,
      anon_sym_DQUOTE,
    ACTIONS(9547), 1,
      aux_sym_number_token1,
    ACTIONS(9549), 1,
      aux_sym_number_token2,
    ACTIONS(9551), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9553), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9555), 1,
      anon_sym_BQUOTE,
    ACTIONS(9557), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2821), 1,
      sym__c_postfix_expression,
    STATE(2823), 1,
      sym__c_binary_expression,
    STATE(2826), 1,
      sym__c_unary_expression,
    STATE(5367), 1,
      sym__c_variable_assignment,
    STATE(5425), 1,
      sym__c_expression,
    ACTIONS(9537), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2827), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [219488] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9539), 1,
      anon_sym_LPAREN,
    ACTIONS(9541), 1,
      aux_sym__c_word_token1,
    ACTIONS(9543), 1,
      anon_sym_DOLLAR,
    ACTIONS(9545), 1,
      anon_sym_DQUOTE,
    ACTIONS(9547), 1,
      aux_sym_number_token1,
    ACTIONS(9549), 1,
      aux_sym_number_token2,
    ACTIONS(9551), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9553), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9555), 1,
      anon_sym_BQUOTE,
    ACTIONS(9557), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2821), 1,
      sym__c_postfix_expression,
    STATE(2823), 1,
      sym__c_binary_expression,
    STATE(2826), 1,
      sym__c_unary_expression,
    STATE(5367), 1,
      sym__c_variable_assignment,
    STATE(5414), 1,
      sym__c_expression,
    ACTIONS(9537), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2827), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [219550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9894), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9892), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [219582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9916), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9914), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [219614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9972), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9974), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [219646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9976), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9978), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [219678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9826), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9824), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [219710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9953), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9951), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [219742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3679), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3677), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [219774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9888), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9890), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [219806] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4328), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9814), 1,
      sym_file_descriptor,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4126), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4264), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9392), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4326), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3970), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9390), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [219852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9976), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9978), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [219884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9980), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9982), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [219916] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9480), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9984), 1,
      sym_file_descriptor,
    ACTIONS(9343), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3913), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(9341), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9478), 10,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [219956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9792), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9794), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [219988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9986), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9988), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [220020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [220052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9949), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9947), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [220084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9990), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9992), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [220116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1902), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1900), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [220148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1902), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1900), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [220180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9990), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9992), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [220212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9986), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9988), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [220244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9994), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9996), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [220276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9900), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9902), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [220308] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(4024), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3679), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3677), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [220346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9578), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9580), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [220378] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9998), 1,
      sym__special_character,
    STATE(4005), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1296), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1294), 19,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [220414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9874), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9876), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [220446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9939), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [220478] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(4025), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3793), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3791), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [220516] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(4024), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1894), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1892), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [220554] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(4025), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4500), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4498), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [220592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9910), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9912), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [220624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10001), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10003), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [220656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10005), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10007), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [220688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10001), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10003), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [220720] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(4024), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3789), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [220758] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(4025), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3777), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [220796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9840), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9842), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [220828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9955), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9957), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [220860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9884), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9886), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [220892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9884), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9886), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [220924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9959), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9961), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [220956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9959), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9961), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [220988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9980), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9982), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221020] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10009), 1,
      sym__concat,
    STATE(3549), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221058] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10011), 1,
      sym__concat,
    STATE(3549), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9836), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9838), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9578), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9580), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [221160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9614), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9612), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9908), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9906), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [221224] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9854), 1,
      anon_sym_LPAREN,
    ACTIONS(9856), 1,
      aux_sym__c_word_token1,
    ACTIONS(9858), 1,
      anon_sym_DOLLAR,
    ACTIONS(9860), 1,
      anon_sym_DQUOTE,
    ACTIONS(9862), 1,
      aux_sym_number_token1,
    ACTIONS(9864), 1,
      aux_sym_number_token2,
    ACTIONS(9866), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9870), 1,
      anon_sym_BQUOTE,
    ACTIONS(9872), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2655), 1,
      sym__c_postfix_expression,
    STATE(2696), 1,
      sym__c_binary_expression,
    STATE(2706), 1,
      sym__c_unary_expression,
    STATE(5183), 1,
      sym__c_expression,
    STATE(5433), 1,
      sym__c_variable_assignment,
    ACTIONS(9852), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2805), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [221286] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9814), 1,
      sym_file_descriptor,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4126), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4264), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9392), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4281), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3970), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9390), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [221332] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9480), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10013), 1,
      sym_file_descriptor,
    ACTIONS(9329), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3962), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(9327), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9478), 10,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [221372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9924), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9922), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [221404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9928), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9926), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [221436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9986), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9988), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221468] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9638), 1,
      sym_file_descriptor,
    ACTIONS(9709), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(4049), 1,
      sym_file_redirect,
    ACTIONS(9246), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9244), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9707), 11,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [221508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9920), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9918), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [221540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9832), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9834), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9986), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9988), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9972), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9974), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9994), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9996), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10001), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10003), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10001), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10003), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9828), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9830), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3628), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4126), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(3970), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3626), 17,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221800] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9854), 1,
      anon_sym_LPAREN,
    ACTIONS(9856), 1,
      aux_sym__c_word_token1,
    ACTIONS(9858), 1,
      anon_sym_DOLLAR,
    ACTIONS(9860), 1,
      anon_sym_DQUOTE,
    ACTIONS(9862), 1,
      aux_sym_number_token1,
    ACTIONS(9864), 1,
      aux_sym_number_token2,
    ACTIONS(9866), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9870), 1,
      anon_sym_BQUOTE,
    ACTIONS(9872), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2655), 1,
      sym__c_postfix_expression,
    STATE(2696), 1,
      sym__c_binary_expression,
    STATE(2706), 1,
      sym__c_unary_expression,
    STATE(5235), 1,
      sym__c_expression,
    STATE(5433), 1,
      sym__c_variable_assignment,
    ACTIONS(9852), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2805), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [221862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9896), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9898), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9846), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9844), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [221926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10005), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10007), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9816), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9818), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9976), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9978), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [222022] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(4024), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1902), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1900), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [222060] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(4025), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4526), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4524), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [222098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9976), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9978), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [222130] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9501), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9638), 1,
      sym_file_descriptor,
    STATE(3956), 1,
      sym_file_redirect,
    ACTIONS(9246), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9244), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9499), 11,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [222170] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9634), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9638), 1,
      sym_file_descriptor,
    STATE(3992), 1,
      sym_file_redirect,
    ACTIONS(9246), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9244), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9632), 11,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [222210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9828), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9830), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [222242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9820), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9822), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [222274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9820), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9822), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [222306] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10021), 1,
      sym_file_descriptor,
    ACTIONS(9453), 2,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10018), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4060), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(10015), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9445), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [222346] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9480), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10024), 1,
      sym_file_descriptor,
    ACTIONS(9392), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4085), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(9390), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9478), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [222385] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9904), 1,
      sym_file_descriptor,
    STATE(4037), 1,
      sym_file_redirect,
    ACTIONS(9337), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9501), 2,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9335), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9499), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [222424] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4063), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10026), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1208), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1210), 14,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [222459] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4067), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10029), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4118), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4120), 14,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [222494] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9406), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9408), 1,
      sym__concat,
    STATE(4077), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10033), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10031), 17,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [222531] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10029), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10035), 1,
      sym__concat,
    STATE(4063), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1202), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1204), 14,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [222568] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10029), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10037), 1,
      sym__concat,
    STATE(4063), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1218), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1220), 14,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [222605] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9634), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9984), 1,
      sym_file_descriptor,
    STATE(3917), 1,
      sym_file_redirect,
    ACTIONS(9343), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9341), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9632), 10,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [222644] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9634), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10013), 1,
      sym_file_descriptor,
    STATE(3917), 1,
      sym_file_redirect,
    ACTIONS(9329), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9327), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9632), 10,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [222683] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4653), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10043), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(10045), 1,
      sym_file_descriptor,
    STATE(3981), 1,
      sym_herestring_redirect,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4649), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(4651), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(10041), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4246), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(10039), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [222730] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10043), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(10045), 1,
      sym_file_descriptor,
    STATE(3981), 1,
      sym_herestring_redirect,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4649), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(4651), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(10041), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4246), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(10039), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [222777] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4066), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10029), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4148), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4150), 14,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [222812] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9501), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10013), 1,
      sym_file_descriptor,
    STATE(4037), 1,
      sym_file_redirect,
    ACTIONS(9329), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9327), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9499), 10,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [222851] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10043), 1,
      anon_sym_LT_LT_LT,
    STATE(3981), 1,
      sym_herestring_redirect,
    ACTIONS(3628), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4651), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(4246), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3626), 14,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [222890] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9406), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9408), 1,
      sym__concat,
    STATE(4078), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10049), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10047), 17,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [222927] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9501), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9984), 1,
      sym_file_descriptor,
    STATE(4037), 1,
      sym_file_redirect,
    ACTIONS(9343), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9341), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9499), 10,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [222966] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9406), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10051), 1,
      sym__concat,
    STATE(3717), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 17,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [223003] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9406), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10053), 1,
      sym__concat,
    STATE(3717), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 17,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [223040] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9406), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9408), 1,
      sym__concat,
    STATE(4077), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 17,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [223077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 20,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [223108] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9303), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9305), 1,
      sym__concat,
    STATE(4090), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 17,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [223145] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9709), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9984), 1,
      sym_file_descriptor,
    STATE(4013), 1,
      sym_file_redirect,
    ACTIONS(9343), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9341), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9707), 10,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [223184] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9709), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10013), 1,
      sym_file_descriptor,
    STATE(4013), 1,
      sym_file_redirect,
    ACTIONS(9329), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9327), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9707), 10,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [223223] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9904), 1,
      sym_file_descriptor,
    STATE(3917), 1,
      sym_file_redirect,
    ACTIONS(9337), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9634), 2,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9335), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9632), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [223262] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9453), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10061), 1,
      sym_file_descriptor,
    ACTIONS(10058), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4085), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(10055), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9445), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [223301] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9904), 1,
      sym_file_descriptor,
    STATE(4013), 1,
      sym_file_redirect,
    ACTIONS(9337), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9709), 2,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9335), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9707), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [223340] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10043), 1,
      anon_sym_LT_LT_LT,
    STATE(3981), 1,
      sym_herestring_redirect,
    ACTIONS(3624), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(4246), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3622), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [223377] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4067), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10029), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1200), 14,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [223412] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1234), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [223442] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9303), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10064), 1,
      sym__concat,
    STATE(3546), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [223478] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9539), 1,
      anon_sym_LPAREN,
    ACTIONS(9543), 1,
      anon_sym_DOLLAR,
    ACTIONS(9545), 1,
      anon_sym_DQUOTE,
    ACTIONS(9547), 1,
      aux_sym_number_token1,
    ACTIONS(9549), 1,
      aux_sym_number_token2,
    ACTIONS(9551), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9553), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9555), 1,
      anon_sym_BQUOTE,
    ACTIONS(9557), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10066), 1,
      aux_sym__c_word_token1,
    STATE(2821), 1,
      sym__c_postfix_expression,
    STATE(2823), 1,
      sym__c_binary_expression,
    STATE(2826), 1,
      sym__c_unary_expression,
    ACTIONS(9537), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2684), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [223534] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10072), 1,
      anon_sym_esac,
    ACTIONS(10068), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10070), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [223566] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9539), 1,
      anon_sym_LPAREN,
    ACTIONS(9543), 1,
      anon_sym_DOLLAR,
    ACTIONS(9545), 1,
      anon_sym_DQUOTE,
    ACTIONS(9547), 1,
      aux_sym_number_token1,
    ACTIONS(9549), 1,
      aux_sym_number_token2,
    ACTIONS(9551), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9553), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9555), 1,
      anon_sym_BQUOTE,
    ACTIONS(9557), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10074), 1,
      aux_sym__c_word_token1,
    STATE(2821), 1,
      sym__c_postfix_expression,
    STATE(2823), 1,
      sym__c_binary_expression,
    STATE(2826), 1,
      sym__c_unary_expression,
    ACTIONS(9537), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2686), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [223622] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1266), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [223652] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9539), 1,
      anon_sym_LPAREN,
    ACTIONS(9543), 1,
      anon_sym_DOLLAR,
    ACTIONS(9545), 1,
      anon_sym_DQUOTE,
    ACTIONS(9547), 1,
      aux_sym_number_token1,
    ACTIONS(9549), 1,
      aux_sym_number_token2,
    ACTIONS(9551), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9553), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9555), 1,
      anon_sym_BQUOTE,
    ACTIONS(9557), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10076), 1,
      aux_sym__c_word_token1,
    STATE(2821), 1,
      sym__c_postfix_expression,
    STATE(2823), 1,
      sym__c_binary_expression,
    STATE(2826), 1,
      sym__c_unary_expression,
    ACTIONS(9537), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2693), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [223708] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10082), 1,
      anon_sym_esac,
    ACTIONS(10078), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10080), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [223740] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9539), 1,
      anon_sym_LPAREN,
    ACTIONS(9543), 1,
      anon_sym_DOLLAR,
    ACTIONS(9545), 1,
      anon_sym_DQUOTE,
    ACTIONS(9547), 1,
      aux_sym_number_token1,
    ACTIONS(9549), 1,
      aux_sym_number_token2,
    ACTIONS(9551), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9553), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9555), 1,
      anon_sym_BQUOTE,
    ACTIONS(9557), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10084), 1,
      aux_sym__c_word_token1,
    STATE(2821), 1,
      sym__c_postfix_expression,
    STATE(2823), 1,
      sym__c_binary_expression,
    STATE(2826), 1,
      sym__c_unary_expression,
    ACTIONS(9537), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2699), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [223796] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9539), 1,
      anon_sym_LPAREN,
    ACTIONS(9543), 1,
      anon_sym_DOLLAR,
    ACTIONS(9545), 1,
      anon_sym_DQUOTE,
    ACTIONS(9547), 1,
      aux_sym_number_token1,
    ACTIONS(9549), 1,
      aux_sym_number_token2,
    ACTIONS(9551), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9553), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9555), 1,
      anon_sym_BQUOTE,
    ACTIONS(9557), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10086), 1,
      aux_sym__c_word_token1,
    STATE(2821), 1,
      sym__c_postfix_expression,
    STATE(2823), 1,
      sym__c_binary_expression,
    STATE(2826), 1,
      sym__c_unary_expression,
    ACTIONS(9537), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2714), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [223852] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10092), 1,
      anon_sym_esac,
    ACTIONS(10088), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10090), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [223884] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9539), 1,
      anon_sym_LPAREN,
    ACTIONS(9543), 1,
      anon_sym_DOLLAR,
    ACTIONS(9545), 1,
      anon_sym_DQUOTE,
    ACTIONS(9547), 1,
      aux_sym_number_token1,
    ACTIONS(9549), 1,
      aux_sym_number_token2,
    ACTIONS(9551), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9553), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9555), 1,
      anon_sym_BQUOTE,
    ACTIONS(9557), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10094), 1,
      aux_sym__c_word_token1,
    STATE(2821), 1,
      sym__c_postfix_expression,
    STATE(2823), 1,
      sym__c_binary_expression,
    STATE(2826), 1,
      sym__c_unary_expression,
    ACTIONS(9537), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2727), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [223940] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1242), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [223970] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9539), 1,
      anon_sym_LPAREN,
    ACTIONS(9543), 1,
      anon_sym_DOLLAR,
    ACTIONS(9545), 1,
      anon_sym_DQUOTE,
    ACTIONS(9547), 1,
      aux_sym_number_token1,
    ACTIONS(9549), 1,
      aux_sym_number_token2,
    ACTIONS(9551), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9553), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9555), 1,
      anon_sym_BQUOTE,
    ACTIONS(9557), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10096), 1,
      aux_sym__c_word_token1,
    STATE(2821), 1,
      sym__c_postfix_expression,
    STATE(2823), 1,
      sym__c_binary_expression,
    STATE(2826), 1,
      sym__c_unary_expression,
    ACTIONS(9537), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2729), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [224026] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9539), 1,
      anon_sym_LPAREN,
    ACTIONS(9543), 1,
      anon_sym_DOLLAR,
    ACTIONS(9545), 1,
      anon_sym_DQUOTE,
    ACTIONS(9547), 1,
      aux_sym_number_token1,
    ACTIONS(9549), 1,
      aux_sym_number_token2,
    ACTIONS(9551), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9553), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9555), 1,
      anon_sym_BQUOTE,
    ACTIONS(9557), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10098), 1,
      aux_sym__c_word_token1,
    STATE(2821), 1,
      sym__c_postfix_expression,
    STATE(2823), 1,
      sym__c_binary_expression,
    STATE(2826), 1,
      sym__c_unary_expression,
    ACTIONS(9537), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2736), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [224082] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9539), 1,
      anon_sym_LPAREN,
    ACTIONS(9543), 1,
      anon_sym_DOLLAR,
    ACTIONS(9545), 1,
      anon_sym_DQUOTE,
    ACTIONS(9547), 1,
      aux_sym_number_token1,
    ACTIONS(9549), 1,
      aux_sym_number_token2,
    ACTIONS(9551), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9553), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9555), 1,
      anon_sym_BQUOTE,
    ACTIONS(9557), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10100), 1,
      aux_sym__c_word_token1,
    STATE(2821), 1,
      sym__c_postfix_expression,
    STATE(2823), 1,
      sym__c_binary_expression,
    STATE(2826), 1,
      sym__c_unary_expression,
    ACTIONS(9537), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2737), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [224138] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10106), 1,
      anon_sym_esac,
    ACTIONS(10102), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10104), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [224170] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9501), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10024), 1,
      sym_file_descriptor,
    STATE(4037), 1,
      sym_file_redirect,
    ACTIONS(9392), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9390), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9499), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [224208] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9634), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10024), 1,
      sym_file_descriptor,
    STATE(3917), 1,
      sym_file_redirect,
    ACTIONS(9392), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9390), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9632), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [224246] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10112), 1,
      anon_sym_esac,
    ACTIONS(10108), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10110), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [224278] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9709), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10024), 1,
      sym_file_descriptor,
    STATE(4013), 1,
      sym_file_redirect,
    ACTIONS(9392), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9390), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9707), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [224316] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10118), 1,
      anon_sym_esac,
    ACTIONS(10114), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10116), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [224348] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9854), 1,
      anon_sym_LPAREN,
    ACTIONS(9858), 1,
      anon_sym_DOLLAR,
    ACTIONS(9860), 1,
      anon_sym_DQUOTE,
    ACTIONS(9862), 1,
      aux_sym_number_token1,
    ACTIONS(9864), 1,
      aux_sym_number_token2,
    ACTIONS(9866), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9870), 1,
      anon_sym_BQUOTE,
    ACTIONS(9872), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10120), 1,
      aux_sym__c_word_token1,
    STATE(2655), 1,
      sym__c_postfix_expression,
    STATE(2696), 1,
      sym__c_binary_expression,
    STATE(2706), 1,
      sym__c_unary_expression,
    ACTIONS(9852), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2853), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [224404] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1270), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [224434] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10126), 1,
      anon_sym_esac,
    ACTIONS(10122), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10124), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [224466] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9854), 1,
      anon_sym_LPAREN,
    ACTIONS(9858), 1,
      anon_sym_DOLLAR,
    ACTIONS(9860), 1,
      anon_sym_DQUOTE,
    ACTIONS(9862), 1,
      aux_sym_number_token1,
    ACTIONS(9864), 1,
      aux_sym_number_token2,
    ACTIONS(9866), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9870), 1,
      anon_sym_BQUOTE,
    ACTIONS(9872), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10128), 1,
      aux_sym__c_word_token1,
    STATE(2655), 1,
      sym__c_postfix_expression,
    STATE(2696), 1,
      sym__c_binary_expression,
    STATE(2706), 1,
      sym__c_unary_expression,
    ACTIONS(9852), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2854), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [224522] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1274), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [224552] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10130), 1,
      sym_variable_name,
    STATE(5418), 1,
      sym_subscript,
    ACTIONS(9279), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(4161), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9277), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [224588] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9854), 1,
      anon_sym_LPAREN,
    ACTIONS(9858), 1,
      anon_sym_DOLLAR,
    ACTIONS(9860), 1,
      anon_sym_DQUOTE,
    ACTIONS(9862), 1,
      aux_sym_number_token1,
    ACTIONS(9864), 1,
      aux_sym_number_token2,
    ACTIONS(9866), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9870), 1,
      anon_sym_BQUOTE,
    ACTIONS(9872), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10132), 1,
      aux_sym__c_word_token1,
    STATE(2655), 1,
      sym__c_postfix_expression,
    STATE(2696), 1,
      sym__c_binary_expression,
    STATE(2706), 1,
      sym__c_unary_expression,
    ACTIONS(9852), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2855), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [224644] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9854), 1,
      anon_sym_LPAREN,
    ACTIONS(9858), 1,
      anon_sym_DOLLAR,
    ACTIONS(9860), 1,
      anon_sym_DQUOTE,
    ACTIONS(9862), 1,
      aux_sym_number_token1,
    ACTIONS(9864), 1,
      aux_sym_number_token2,
    ACTIONS(9866), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9870), 1,
      anon_sym_BQUOTE,
    ACTIONS(9872), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10134), 1,
      aux_sym__c_word_token1,
    STATE(2655), 1,
      sym__c_postfix_expression,
    STATE(2696), 1,
      sym__c_binary_expression,
    STATE(2706), 1,
      sym__c_unary_expression,
    ACTIONS(9852), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2858), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [224700] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4817), 1,
      anon_sym_PIPE,
    ACTIONS(4819), 1,
      anon_sym_PIPE_AMP,
    ACTIONS(10136), 1,
      anon_sym_LT_LT_LT,
    STATE(4443), 1,
      sym_herestring_redirect,
    STATE(4334), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3626), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3628), 9,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [224740] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9854), 1,
      anon_sym_LPAREN,
    ACTIONS(9858), 1,
      anon_sym_DOLLAR,
    ACTIONS(9860), 1,
      anon_sym_DQUOTE,
    ACTIONS(9862), 1,
      aux_sym_number_token1,
    ACTIONS(9864), 1,
      aux_sym_number_token2,
    ACTIONS(9866), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9870), 1,
      anon_sym_BQUOTE,
    ACTIONS(9872), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10138), 1,
      aux_sym__c_word_token1,
    STATE(2655), 1,
      sym__c_postfix_expression,
    STATE(2696), 1,
      sym__c_binary_expression,
    STATE(2706), 1,
      sym__c_unary_expression,
    ACTIONS(9852), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2859), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [224796] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1254), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [224826] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10118), 1,
      anon_sym_esac,
    ACTIONS(10114), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10116), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [224858] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10144), 1,
      anon_sym_esac,
    ACTIONS(10140), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10142), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [224890] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9539), 1,
      anon_sym_LPAREN,
    ACTIONS(9543), 1,
      anon_sym_DOLLAR,
    ACTIONS(9545), 1,
      anon_sym_DQUOTE,
    ACTIONS(9547), 1,
      aux_sym_number_token1,
    ACTIONS(9549), 1,
      aux_sym_number_token2,
    ACTIONS(9551), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9553), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9555), 1,
      anon_sym_BQUOTE,
    ACTIONS(9557), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10146), 1,
      aux_sym__c_word_token1,
    STATE(2821), 1,
      sym__c_postfix_expression,
    STATE(2823), 1,
      sym__c_binary_expression,
    STATE(2826), 1,
      sym__c_unary_expression,
    ACTIONS(9537), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2810), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [224946] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1226), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [224976] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9212), 1,
      anon_sym_DOLLAR,
    ACTIONS(9218), 1,
      aux_sym_number_token2,
    ACTIONS(9798), 1,
      anon_sym_LPAREN,
    ACTIONS(9802), 1,
      anon_sym_DQUOTE,
    ACTIONS(9804), 1,
      aux_sym_number_token1,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9810), 1,
      anon_sym_BQUOTE,
    ACTIONS(9812), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10148), 1,
      aux_sym__c_word_token1,
    STATE(2553), 1,
      sym__c_unary_expression,
    STATE(2556), 1,
      sym__c_binary_expression,
    STATE(2560), 1,
      sym__c_postfix_expression,
    ACTIONS(9796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2441), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [225032] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9854), 1,
      anon_sym_LPAREN,
    ACTIONS(9858), 1,
      anon_sym_DOLLAR,
    ACTIONS(9860), 1,
      anon_sym_DQUOTE,
    ACTIONS(9862), 1,
      aux_sym_number_token1,
    ACTIONS(9864), 1,
      aux_sym_number_token2,
    ACTIONS(9866), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9870), 1,
      anon_sym_BQUOTE,
    ACTIONS(9872), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10150), 1,
      aux_sym__c_word_token1,
    STATE(2655), 1,
      sym__c_postfix_expression,
    STATE(2696), 1,
      sym__c_binary_expression,
    STATE(2706), 1,
      sym__c_unary_expression,
    ACTIONS(9852), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2862), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [225088] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9854), 1,
      anon_sym_LPAREN,
    ACTIONS(9858), 1,
      anon_sym_DOLLAR,
    ACTIONS(9860), 1,
      anon_sym_DQUOTE,
    ACTIONS(9862), 1,
      aux_sym_number_token1,
    ACTIONS(9864), 1,
      aux_sym_number_token2,
    ACTIONS(9866), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9870), 1,
      anon_sym_BQUOTE,
    ACTIONS(9872), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10152), 1,
      aux_sym__c_word_token1,
    STATE(2655), 1,
      sym__c_postfix_expression,
    STATE(2696), 1,
      sym__c_binary_expression,
    STATE(2706), 1,
      sym__c_unary_expression,
    ACTIONS(9852), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2870), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [225144] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9212), 1,
      anon_sym_DOLLAR,
    ACTIONS(9218), 1,
      aux_sym_number_token2,
    ACTIONS(9798), 1,
      anon_sym_LPAREN,
    ACTIONS(9802), 1,
      anon_sym_DQUOTE,
    ACTIONS(9804), 1,
      aux_sym_number_token1,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9810), 1,
      anon_sym_BQUOTE,
    ACTIONS(9812), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10154), 1,
      aux_sym__c_word_token1,
    STATE(2553), 1,
      sym__c_unary_expression,
    STATE(2556), 1,
      sym__c_binary_expression,
    STATE(2560), 1,
      sym__c_postfix_expression,
    ACTIONS(9796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2445), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [225200] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9854), 1,
      anon_sym_LPAREN,
    ACTIONS(9858), 1,
      anon_sym_DOLLAR,
    ACTIONS(9860), 1,
      anon_sym_DQUOTE,
    ACTIONS(9862), 1,
      aux_sym_number_token1,
    ACTIONS(9864), 1,
      aux_sym_number_token2,
    ACTIONS(9866), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9870), 1,
      anon_sym_BQUOTE,
    ACTIONS(9872), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10156), 1,
      aux_sym__c_word_token1,
    STATE(2655), 1,
      sym__c_postfix_expression,
    STATE(2696), 1,
      sym__c_binary_expression,
    STATE(2706), 1,
      sym__c_unary_expression,
    ACTIONS(9852), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2871), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [225256] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9854), 1,
      anon_sym_LPAREN,
    ACTIONS(9858), 1,
      anon_sym_DOLLAR,
    ACTIONS(9860), 1,
      anon_sym_DQUOTE,
    ACTIONS(9862), 1,
      aux_sym_number_token1,
    ACTIONS(9864), 1,
      aux_sym_number_token2,
    ACTIONS(9866), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9870), 1,
      anon_sym_BQUOTE,
    ACTIONS(9872), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10158), 1,
      aux_sym__c_word_token1,
    STATE(2655), 1,
      sym__c_postfix_expression,
    STATE(2696), 1,
      sym__c_binary_expression,
    STATE(2706), 1,
      sym__c_unary_expression,
    ACTIONS(9852), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2668), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [225312] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9854), 1,
      anon_sym_LPAREN,
    ACTIONS(9858), 1,
      anon_sym_DOLLAR,
    ACTIONS(9860), 1,
      anon_sym_DQUOTE,
    ACTIONS(9862), 1,
      aux_sym_number_token1,
    ACTIONS(9864), 1,
      aux_sym_number_token2,
    ACTIONS(9866), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9870), 1,
      anon_sym_BQUOTE,
    ACTIONS(9872), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10160), 1,
      aux_sym__c_word_token1,
    STATE(2655), 1,
      sym__c_postfix_expression,
    STATE(2696), 1,
      sym__c_binary_expression,
    STATE(2706), 1,
      sym__c_unary_expression,
    ACTIONS(9852), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2872), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [225368] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9854), 1,
      anon_sym_LPAREN,
    ACTIONS(9858), 1,
      anon_sym_DOLLAR,
    ACTIONS(9860), 1,
      anon_sym_DQUOTE,
    ACTIONS(9862), 1,
      aux_sym_number_token1,
    ACTIONS(9864), 1,
      aux_sym_number_token2,
    ACTIONS(9866), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9870), 1,
      anon_sym_BQUOTE,
    ACTIONS(9872), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10162), 1,
      aux_sym__c_word_token1,
    STATE(2655), 1,
      sym__c_postfix_expression,
    STATE(2696), 1,
      sym__c_binary_expression,
    STATE(2706), 1,
      sym__c_unary_expression,
    ACTIONS(9852), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2873), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [225424] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1278), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [225454] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9212), 1,
      anon_sym_DOLLAR,
    ACTIONS(9218), 1,
      aux_sym_number_token2,
    ACTIONS(9798), 1,
      anon_sym_LPAREN,
    ACTIONS(9802), 1,
      anon_sym_DQUOTE,
    ACTIONS(9804), 1,
      aux_sym_number_token1,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9810), 1,
      anon_sym_BQUOTE,
    ACTIONS(9812), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10164), 1,
      aux_sym__c_word_token1,
    STATE(2553), 1,
      sym__c_unary_expression,
    STATE(2556), 1,
      sym__c_binary_expression,
    STATE(2560), 1,
      sym__c_postfix_expression,
    ACTIONS(9796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2449), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [225510] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9212), 1,
      anon_sym_DOLLAR,
    ACTIONS(9218), 1,
      aux_sym_number_token2,
    ACTIONS(9798), 1,
      anon_sym_LPAREN,
    ACTIONS(9802), 1,
      anon_sym_DQUOTE,
    ACTIONS(9804), 1,
      aux_sym_number_token1,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9810), 1,
      anon_sym_BQUOTE,
    ACTIONS(9812), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10166), 1,
      aux_sym__c_word_token1,
    STATE(2553), 1,
      sym__c_unary_expression,
    STATE(2556), 1,
      sym__c_binary_expression,
    STATE(2560), 1,
      sym__c_postfix_expression,
    ACTIONS(9796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2440), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [225566] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(4207), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 17,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [225602] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9539), 1,
      anon_sym_LPAREN,
    ACTIONS(9543), 1,
      anon_sym_DOLLAR,
    ACTIONS(9545), 1,
      anon_sym_DQUOTE,
    ACTIONS(9547), 1,
      aux_sym_number_token1,
    ACTIONS(9549), 1,
      aux_sym_number_token2,
    ACTIONS(9551), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9553), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9555), 1,
      anon_sym_BQUOTE,
    ACTIONS(9557), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10168), 1,
      aux_sym__c_word_token1,
    STATE(2821), 1,
      sym__c_postfix_expression,
    STATE(2823), 1,
      sym__c_binary_expression,
    STATE(2826), 1,
      sym__c_unary_expression,
    ACTIONS(9537), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2683), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [225658] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9539), 1,
      anon_sym_LPAREN,
    ACTIONS(9543), 1,
      anon_sym_DOLLAR,
    ACTIONS(9545), 1,
      anon_sym_DQUOTE,
    ACTIONS(9547), 1,
      aux_sym_number_token1,
    ACTIONS(9549), 1,
      aux_sym_number_token2,
    ACTIONS(9551), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9553), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9555), 1,
      anon_sym_BQUOTE,
    ACTIONS(9557), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10170), 1,
      aux_sym__c_word_token1,
    STATE(2821), 1,
      sym__c_postfix_expression,
    STATE(2823), 1,
      sym__c_binary_expression,
    STATE(2826), 1,
      sym__c_unary_expression,
    ACTIONS(9537), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2681), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [225714] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9303), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10172), 1,
      sym__concat,
    STATE(3546), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [225750] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1286), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [225780] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10072), 1,
      anon_sym_esac,
    ACTIONS(10068), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10070), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [225812] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10178), 1,
      anon_sym_esac,
    ACTIONS(10174), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10176), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [225844] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10144), 1,
      anon_sym_esac,
    ACTIONS(10140), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10142), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [225876] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9212), 1,
      anon_sym_DOLLAR,
    ACTIONS(9218), 1,
      aux_sym_number_token2,
    ACTIONS(9798), 1,
      anon_sym_LPAREN,
    ACTIONS(9802), 1,
      anon_sym_DQUOTE,
    ACTIONS(9804), 1,
      aux_sym_number_token1,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9810), 1,
      anon_sym_BQUOTE,
    ACTIONS(9812), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10180), 1,
      aux_sym__c_word_token1,
    STATE(2553), 1,
      sym__c_unary_expression,
    STATE(2556), 1,
      sym__c_binary_expression,
    STATE(2560), 1,
      sym__c_postfix_expression,
    ACTIONS(9796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2452), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [225932] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10186), 1,
      anon_sym_esac,
    ACTIONS(10182), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10184), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [225964] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9212), 1,
      anon_sym_DOLLAR,
    ACTIONS(9218), 1,
      aux_sym_number_token2,
    ACTIONS(9798), 1,
      anon_sym_LPAREN,
    ACTIONS(9802), 1,
      anon_sym_DQUOTE,
    ACTIONS(9804), 1,
      aux_sym_number_token1,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9810), 1,
      anon_sym_BQUOTE,
    ACTIONS(9812), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10188), 1,
      aux_sym__c_word_token1,
    STATE(2553), 1,
      sym__c_unary_expression,
    STATE(2556), 1,
      sym__c_binary_expression,
    STATE(2560), 1,
      sym__c_postfix_expression,
    ACTIONS(9796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2455), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [226020] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9212), 1,
      anon_sym_DOLLAR,
    ACTIONS(9218), 1,
      aux_sym_number_token2,
    ACTIONS(9798), 1,
      anon_sym_LPAREN,
    ACTIONS(9802), 1,
      anon_sym_DQUOTE,
    ACTIONS(9804), 1,
      aux_sym_number_token1,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9810), 1,
      anon_sym_BQUOTE,
    ACTIONS(9812), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10190), 1,
      aux_sym__c_word_token1,
    STATE(2553), 1,
      sym__c_unary_expression,
    STATE(2556), 1,
      sym__c_binary_expression,
    STATE(2560), 1,
      sym__c_postfix_expression,
    ACTIONS(9796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2456), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [226076] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10196), 1,
      anon_sym_esac,
    ACTIONS(10192), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10194), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [226108] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1250), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [226138] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10186), 1,
      anon_sym_esac,
    ACTIONS(10182), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10184), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [226170] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9854), 1,
      anon_sym_LPAREN,
    ACTIONS(9858), 1,
      anon_sym_DOLLAR,
    ACTIONS(9860), 1,
      anon_sym_DQUOTE,
    ACTIONS(9862), 1,
      aux_sym_number_token1,
    ACTIONS(9864), 1,
      aux_sym_number_token2,
    ACTIONS(9866), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9870), 1,
      anon_sym_BQUOTE,
    ACTIONS(9872), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10198), 1,
      aux_sym__c_word_token1,
    STATE(2655), 1,
      sym__c_postfix_expression,
    STATE(2696), 1,
      sym__c_binary_expression,
    STATE(2706), 1,
      sym__c_unary_expression,
    ACTIONS(9852), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2861), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [226226] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1290), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [226256] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10204), 1,
      anon_sym_esac,
    ACTIONS(10200), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10202), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [226288] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4817), 1,
      anon_sym_PIPE,
    ACTIONS(4819), 1,
      anon_sym_PIPE_AMP,
    ACTIONS(4911), 1,
      anon_sym_LT_LT,
    ACTIONS(4913), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(10212), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(10214), 1,
      sym_file_descriptor,
    STATE(4402), 1,
      sym_herestring_redirect,
    ACTIONS(4909), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10210), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(10208), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    STATE(4221), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(10206), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [226338] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9854), 1,
      anon_sym_LPAREN,
    ACTIONS(9858), 1,
      anon_sym_DOLLAR,
    ACTIONS(9860), 1,
      anon_sym_DQUOTE,
    ACTIONS(9862), 1,
      aux_sym_number_token1,
    ACTIONS(9864), 1,
      aux_sym_number_token2,
    ACTIONS(9866), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9870), 1,
      anon_sym_BQUOTE,
    ACTIONS(9872), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10216), 1,
      aux_sym__c_word_token1,
    STATE(2655), 1,
      sym__c_postfix_expression,
    STATE(2696), 1,
      sym__c_binary_expression,
    STATE(2706), 1,
      sym__c_unary_expression,
    ACTIONS(9852), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2866), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [226394] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4292), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10218), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 8,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
    ACTIONS(1200), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [226428] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10224), 1,
      anon_sym_esac,
    ACTIONS(10220), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10222), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [226460] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10230), 1,
      anon_sym_esac,
    ACTIONS(10226), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10228), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [226492] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9212), 1,
      anon_sym_DOLLAR,
    ACTIONS(9218), 1,
      aux_sym_number_token2,
    ACTIONS(9798), 1,
      anon_sym_LPAREN,
    ACTIONS(9802), 1,
      anon_sym_DQUOTE,
    ACTIONS(9804), 1,
      aux_sym_number_token1,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9810), 1,
      anon_sym_BQUOTE,
    ACTIONS(9812), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10232), 1,
      aux_sym__c_word_token1,
    STATE(2553), 1,
      sym__c_unary_expression,
    STATE(2556), 1,
      sym__c_binary_expression,
    STATE(2560), 1,
      sym__c_postfix_expression,
    ACTIONS(9796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2457), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [226548] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10234), 1,
      sym_variable_name,
    STATE(5418), 1,
      sym_subscript,
    ACTIONS(9264), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(4161), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9262), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [226584] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9212), 1,
      anon_sym_DOLLAR,
    ACTIONS(9218), 1,
      aux_sym_number_token2,
    ACTIONS(9798), 1,
      anon_sym_LPAREN,
    ACTIONS(9802), 1,
      anon_sym_DQUOTE,
    ACTIONS(9804), 1,
      aux_sym_number_token1,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9810), 1,
      anon_sym_BQUOTE,
    ACTIONS(9812), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10237), 1,
      aux_sym__c_word_token1,
    STATE(2553), 1,
      sym__c_unary_expression,
    STATE(2556), 1,
      sym__c_binary_expression,
    STATE(2560), 1,
      sym__c_postfix_expression,
    ACTIONS(9796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2458), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [226640] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9212), 1,
      anon_sym_DOLLAR,
    ACTIONS(9218), 1,
      aux_sym_number_token2,
    ACTIONS(9798), 1,
      anon_sym_LPAREN,
    ACTIONS(9802), 1,
      anon_sym_DQUOTE,
    ACTIONS(9804), 1,
      aux_sym_number_token1,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9810), 1,
      anon_sym_BQUOTE,
    ACTIONS(9812), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10239), 1,
      aux_sym__c_word_token1,
    STATE(2553), 1,
      sym__c_unary_expression,
    STATE(2556), 1,
      sym__c_binary_expression,
    STATE(2560), 1,
      sym__c_postfix_expression,
    ACTIONS(9796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2459), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [226696] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1258), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [226726] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10196), 1,
      anon_sym_esac,
    ACTIONS(10192), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10194), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [226758] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1246), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [226788] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9539), 1,
      anon_sym_LPAREN,
    ACTIONS(9543), 1,
      anon_sym_DOLLAR,
    ACTIONS(9545), 1,
      anon_sym_DQUOTE,
    ACTIONS(9547), 1,
      aux_sym_number_token1,
    ACTIONS(9549), 1,
      aux_sym_number_token2,
    ACTIONS(9551), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9553), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9555), 1,
      anon_sym_BQUOTE,
    ACTIONS(9557), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10241), 1,
      aux_sym__c_word_token1,
    STATE(2821), 1,
      sym__c_postfix_expression,
    STATE(2823), 1,
      sym__c_binary_expression,
    STATE(2826), 1,
      sym__c_unary_expression,
    ACTIONS(9537), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2690), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [226844] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1238), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [226874] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4272), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10243), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1200), 12,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [226908] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10136), 1,
      anon_sym_LT_LT_LT,
    STATE(4443), 1,
      sym_herestring_redirect,
    STATE(4334), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3622), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3624), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [226944] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9303), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9305), 1,
      sym__concat,
    STATE(4090), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4135), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4133), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [226980] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9212), 1,
      anon_sym_DOLLAR,
    ACTIONS(9218), 1,
      aux_sym_number_token2,
    ACTIONS(9798), 1,
      anon_sym_LPAREN,
    ACTIONS(9802), 1,
      anon_sym_DQUOTE,
    ACTIONS(9804), 1,
      aux_sym_number_token1,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9810), 1,
      anon_sym_BQUOTE,
    ACTIONS(9812), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10245), 1,
      aux_sym__c_word_token1,
    STATE(2553), 1,
      sym__c_unary_expression,
    STATE(2556), 1,
      sym__c_binary_expression,
    STATE(2560), 1,
      sym__c_postfix_expression,
    ACTIONS(9796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2461), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [227036] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1282), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [227066] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1230), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [227096] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1266), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [227126] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9212), 1,
      anon_sym_DOLLAR,
    ACTIONS(9218), 1,
      aux_sym_number_token2,
    ACTIONS(9798), 1,
      anon_sym_LPAREN,
    ACTIONS(9802), 1,
      anon_sym_DQUOTE,
    ACTIONS(9804), 1,
      aux_sym_number_token1,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9810), 1,
      anon_sym_BQUOTE,
    ACTIONS(9812), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10247), 1,
      aux_sym__c_word_token1,
    STATE(2553), 1,
      sym__c_unary_expression,
    STATE(2556), 1,
      sym__c_binary_expression,
    STATE(2560), 1,
      sym__c_postfix_expression,
    ACTIONS(9796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2462), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [227182] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10253), 1,
      anon_sym_esac,
    ACTIONS(10249), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10251), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [227214] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9212), 1,
      anon_sym_DOLLAR,
    ACTIONS(9218), 1,
      aux_sym_number_token2,
    ACTIONS(9798), 1,
      anon_sym_LPAREN,
    ACTIONS(9802), 1,
      anon_sym_DQUOTE,
    ACTIONS(9804), 1,
      aux_sym_number_token1,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9810), 1,
      anon_sym_BQUOTE,
    ACTIONS(9812), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10255), 1,
      aux_sym__c_word_token1,
    STATE(2553), 1,
      sym__c_unary_expression,
    STATE(2556), 1,
      sym__c_binary_expression,
    STATE(2560), 1,
      sym__c_postfix_expression,
    ACTIONS(9796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2438), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [227270] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9303), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9305), 1,
      sym__concat,
    STATE(4140), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4228), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4226), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [227306] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10082), 1,
      anon_sym_esac,
    ACTIONS(10078), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10080), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [227338] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10106), 1,
      anon_sym_esac,
    ACTIONS(10102), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10104), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [227370] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10126), 1,
      anon_sym_esac,
    ACTIONS(10122), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10124), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [227402] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10261), 1,
      anon_sym_esac,
    ACTIONS(10257), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10259), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [227434] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1262), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [227464] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1208), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1210), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [227494] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10249), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10251), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [227523] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(4205), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3789), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [227558] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10263), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10265), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [227587] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10267), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10269), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [227616] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10271), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10273), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [227645] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10192), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10194), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [227674] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10068), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10070), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [227703] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10275), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10277), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [227732] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10068), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10070), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [227761] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10271), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10273), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [227790] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4653), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10279), 1,
      sym_file_descriptor,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4649), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(4651), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(10041), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4246), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(10039), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [227831] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10281), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10283), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [227860] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10279), 1,
      sym_file_descriptor,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4649), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(4651), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(10041), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4246), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(10039), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [227901] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10122), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10124), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [227930] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4351), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10285), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1200), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [227963] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10281), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10283), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [227992] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10102), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10104), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228021] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10140), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10142), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228050] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10140), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10142), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228079] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10287), 1,
      sym__concat,
    STATE(3549), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [228114] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10289), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10291), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228143] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10293), 1,
      sym__concat,
    STATE(3549), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [228178] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10295), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10297), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228207] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10114), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10116), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228236] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6485), 1,
      aux_sym_number_token1,
    ACTIONS(6487), 1,
      aux_sym_number_token2,
    ACTIONS(10301), 1,
      anon_sym_LPAREN,
    ACTIONS(10303), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10305), 1,
      anon_sym_COLON,
    ACTIONS(10307), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10309), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10311), 1,
      anon_sym_RBRACE3,
    ACTIONS(10313), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10315), 1,
      anon_sym_BQUOTE,
    ACTIONS(10317), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10319), 1,
      aux_sym__simple_variable_name_token1,
    STATE(4960), 1,
      sym__expansion_max_length_binary_expression,
    STATE(5029), 1,
      sym__expansion_max_length_expression,
    ACTIONS(10299), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4953), 2,
      sym_number,
      sym_expansion,
    STATE(5323), 3,
      sym_parenthesized_expression,
      sym_arithmetic_expansion,
      sym_command_substitution,
  [228295] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10321), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10323), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228324] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10325), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10327), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228353] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10295), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10297), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228382] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10321), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10323), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228411] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4283), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10218), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1892), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1894), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [228444] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10295), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10297), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228473] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10275), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10277), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228502] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(4205), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3679), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3677), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [228537] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10329), 1,
      sym__special_character,
    STATE(4222), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4118), 5,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4120), 14,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228570] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4817), 1,
      anon_sym_PIPE,
    ACTIONS(4819), 1,
      anon_sym_PIPE_AMP,
    ACTIONS(4911), 1,
      anon_sym_LT_LT,
    ACTIONS(4913), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(5952), 1,
      anon_sym_RBRACK,
    ACTIONS(10331), 1,
      sym_file_descriptor,
    ACTIONS(4909), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10210), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(10208), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    STATE(4221), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(10206), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [228617] = 10,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4911), 1,
      anon_sym_LT_LT,
    ACTIONS(4913), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(9314), 1,
      anon_sym_PIPE,
    ACTIONS(10331), 1,
      sym_file_descriptor,
    ACTIONS(10210), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(10208), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    STATE(4252), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9316), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
    ACTIONS(10206), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [228660] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10333), 1,
      sym__special_character,
    STATE(4222), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 5,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1296), 14,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228693] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10114), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10116), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228722] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(4207), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3793), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3791), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [228757] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4283), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10218), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3787), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3789), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [228790] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10281), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10283), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228819] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10336), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10338), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228848] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10281), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10283), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228877] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10174), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10176), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228906] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10340), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10342), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228935] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10344), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10346), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228964] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10102), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10104), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228993] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10243), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10348), 1,
      sym__concat,
    STATE(4293), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1202), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1204), 11,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [229028] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(4205), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1894), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1892), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [229063] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10350), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10352), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229092] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10257), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10259), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229121] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10192), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10194), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229150] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9366), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10360), 1,
      sym_file_descriptor,
    ACTIONS(9490), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(10357), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4238), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9355), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(10354), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [229189] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(4207), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4500), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4498), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [229224] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10363), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10365), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229253] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3624), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(4246), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3622), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [229284] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10367), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10369), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229313] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10367), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10369), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229342] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4272), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10243), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4133), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4135), 11,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [229375] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10078), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10080), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229404] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9316), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10279), 1,
      sym_file_descriptor,
    ACTIONS(3913), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(10041), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4238), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9314), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(10039), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [229443] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4233), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10243), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4226), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4228), 11,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [229476] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4817), 1,
      anon_sym_PIPE,
    ACTIONS(4819), 1,
      anon_sym_PIPE_AMP,
    ACTIONS(4911), 1,
      anon_sym_LT_LT,
    ACTIONS(4913), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(6110), 1,
      anon_sym_RBRACK,
    ACTIONS(10331), 1,
      sym_file_descriptor,
    ACTIONS(4909), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10210), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(10208), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    STATE(4221), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(10206), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [229523] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10295), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10297), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229552] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10363), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10365), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229581] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10367), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10369), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229610] = 10,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9355), 1,
      anon_sym_PIPE,
    ACTIONS(10374), 1,
      anon_sym_LT_LT,
    ACTIONS(10383), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(10386), 1,
      sym_file_descriptor,
    ACTIONS(10380), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(10377), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    STATE(4252), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9366), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
    ACTIONS(10371), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [229653] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4283), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10218), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1900), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1902), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [229686] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10108), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10110), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229715] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10363), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10365), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229744] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10389), 1,
      sym_variable_name,
    STATE(5341), 1,
      sym_subscript,
    STATE(4256), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9262), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9264), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [229779] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10392), 1,
      sym_variable_name,
    STATE(5341), 1,
      sym_subscript,
    STATE(4256), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9277), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9279), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [229814] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4292), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10218), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4524), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4526), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [229847] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4292), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10218), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3775), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3777), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [229880] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4292), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10218), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4498), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4500), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [229913] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10122), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10124), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229942] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10182), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10184), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229971] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10321), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10323), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230000] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10182), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10184), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230029] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10394), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10396), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230058] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10200), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10202), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230087] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4283), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10218), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3677), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3679), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [230120] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10088), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10090), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230149] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10220), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10222), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230178] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4270), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10398), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1208), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1210), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [230211] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10226), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10228), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230240] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10243), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10401), 1,
      sym__concat,
    STATE(4293), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1218), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1220), 11,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [230275] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4292), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10218), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3791), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3793), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [230308] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(4207), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4526), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4524), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [230343] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9878), 1,
      sym__special_character,
    STATE(4005), 1,
      aux_sym__literal_repeat1,
    ACTIONS(10033), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10031), 16,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [230376] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10363), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10365), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230405] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10271), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10273), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230434] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10321), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10323), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230463] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10271), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10273), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230492] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10078), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10080), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230521] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3628), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4651), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(4246), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3626), 14,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [230554] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10367), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10369), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230583] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10218), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10403), 1,
      sym__concat,
    STATE(4270), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1202), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1204), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [230618] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10275), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10277), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230647] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10275), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10277), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230676] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10394), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10396), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230705] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(4205), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1902), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1900), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [230740] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10394), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10396), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230769] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9402), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9404), 1,
      sym__concat,
    STATE(4207), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3777), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [230804] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4817), 1,
      anon_sym_PIPE,
    ACTIONS(4819), 1,
      anon_sym_PIPE_AMP,
    ACTIONS(4911), 1,
      anon_sym_LT_LT,
    ACTIONS(4913), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(6188), 1,
      anon_sym_RBRACK,
    ACTIONS(10331), 1,
      sym_file_descriptor,
    ACTIONS(4909), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10210), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(10208), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    STATE(4221), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(10206), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [230851] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10394), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10396), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230880] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10218), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10405), 1,
      sym__concat,
    STATE(4270), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1218), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1220), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [230915] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4293), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10407), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1208), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1210), 11,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [230948] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1254), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [230976] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1234), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [231004] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 5,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1200), 15,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [231032] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1226), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [231060] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6485), 1,
      aux_sym_number_token1,
    ACTIONS(6487), 1,
      aux_sym_number_token2,
    ACTIONS(10301), 1,
      anon_sym_LPAREN,
    ACTIONS(10307), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10309), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10313), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10315), 1,
      anon_sym_BQUOTE,
    ACTIONS(10317), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10410), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10412), 1,
      anon_sym_RBRACE3,
    ACTIONS(10414), 1,
      aux_sym__simple_variable_name_token1,
    STATE(4989), 1,
      sym__expansion_max_length_binary_expression,
    STATE(5029), 1,
      sym__expansion_max_length_expression,
    ACTIONS(10299), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4974), 2,
      sym_number,
      sym_expansion,
    STATE(5480), 3,
      sym_parenthesized_expression,
      sym_arithmetic_expansion,
      sym_command_substitution,
  [231116] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4362), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10285), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1900), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1902), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [231148] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4362), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10285), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3787), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3789), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [231180] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4351), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10285), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3775), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3777), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [231212] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1242), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [231240] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1234), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [231268] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1270), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [231296] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1274), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [231324] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10416), 1,
      sym__special_character,
    STATE(4335), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4524), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4526), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [231356] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1230), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [231384] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4362), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10285), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1892), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1894), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [231416] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4309), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10418), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1208), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1210), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [231448] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1266), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [231476] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1262), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [231504] = 10,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9355), 1,
      anon_sym_PIPE,
    ACTIONS(10424), 1,
      anon_sym_LT_LT,
    ACTIONS(10433), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(10436), 1,
      sym_file_descriptor,
    ACTIONS(10430), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9366), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_AMP,
    ACTIONS(10427), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    STATE(4312), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(10421), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [231546] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1290), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [231574] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4351), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10285), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4524), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4526), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [231606] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10416), 1,
      sym__special_character,
    STATE(4335), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3775), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3777), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [231638] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1250), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [231666] = 11,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4817), 1,
      anon_sym_PIPE,
    ACTIONS(4819), 1,
      anon_sym_PIPE_AMP,
    ACTIONS(4911), 1,
      anon_sym_LT_LT,
    ACTIONS(4913), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(10331), 1,
      sym_file_descriptor,
    ACTIONS(4909), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10210), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(10208), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    STATE(4221), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(10206), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [231710] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6485), 1,
      aux_sym_number_token1,
    ACTIONS(6487), 1,
      aux_sym_number_token2,
    ACTIONS(10301), 1,
      anon_sym_LPAREN,
    ACTIONS(10307), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10309), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10313), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10315), 1,
      anon_sym_BQUOTE,
    ACTIONS(10317), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10439), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10441), 1,
      anon_sym_RBRACE3,
    ACTIONS(10443), 1,
      aux_sym__simple_variable_name_token1,
    STATE(4982), 1,
      sym__expansion_max_length_binary_expression,
    STATE(4994), 1,
      sym_number,
    STATE(5002), 1,
      sym_expansion,
    STATE(5029), 1,
      sym__expansion_max_length_expression,
    STATE(5473), 1,
      sym_command_substitution,
    STATE(5485), 1,
      sym_parenthesized_expression,
    STATE(5488), 1,
      sym_arithmetic_expansion,
    ACTIONS(10299), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
  [231772] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9453), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10451), 1,
      sym_file_descriptor,
    ACTIONS(10448), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4319), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(9445), 6,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(10445), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [231808] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9480), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10454), 1,
      sym_file_descriptor,
    ACTIONS(10041), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4319), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(9478), 6,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(10039), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [231844] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1290), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [231872] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10416), 1,
      sym__special_character,
    STATE(4335), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4498), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4500), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [231904] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1238), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [231932] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1282), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [231960] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1266), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [231988] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10416), 1,
      sym__special_character,
    STATE(4335), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3791), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3793), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [232020] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1278), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232048] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10456), 1,
      sym__special_character,
    STATE(4344), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4133), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4135), 11,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [232080] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6485), 1,
      aux_sym_number_token1,
    ACTIONS(6487), 1,
      aux_sym_number_token2,
    ACTIONS(10301), 1,
      anon_sym_LPAREN,
    ACTIONS(10307), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10309), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10313), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10315), 1,
      anon_sym_BQUOTE,
    ACTIONS(10317), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10458), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10460), 1,
      anon_sym_RBRACE3,
    ACTIONS(10462), 1,
      aux_sym__simple_variable_name_token1,
    STATE(5000), 1,
      sym__expansion_max_length_binary_expression,
    STATE(5029), 1,
      sym__expansion_max_length_expression,
    ACTIONS(10299), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4990), 2,
      sym_number,
      sym_expansion,
    STATE(5459), 3,
      sym_parenthesized_expression,
      sym_arithmetic_expansion,
      sym_command_substitution,
  [232136] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1258), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232164] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1246), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232192] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1250), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232220] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4817), 1,
      anon_sym_PIPE,
    ACTIONS(4819), 1,
      anon_sym_PIPE_AMP,
    STATE(4334), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3626), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3628), 9,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [232254] = 10,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9314), 1,
      anon_sym_PIPE,
    ACTIONS(10466), 1,
      anon_sym_LT_LT,
    ACTIONS(10472), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(10474), 1,
      sym_file_descriptor,
    ACTIONS(10470), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9316), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_AMP,
    ACTIONS(10468), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    STATE(4312), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(10464), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [232296] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10476), 1,
      sym__special_character,
    STATE(4335), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1296), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [232328] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1282), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232356] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10488), 1,
      sym_file_descriptor,
    ACTIONS(9445), 2,
      anon_sym_PIPE,
      anon_sym_LT_LT,
    ACTIONS(10485), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4337), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(10482), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(9453), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_LT_LT_DASH,
    ACTIONS(10479), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [232394] = 4,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4334), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3622), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3624), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [232424] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1230), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232452] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4351), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10285), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4498), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4500), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [232484] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1246), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232512] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1286), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232540] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1254), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232568] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10491), 1,
      sym__special_character,
    STATE(4344), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1296), 11,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [232600] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1258), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232628] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1242), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232656] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10494), 1,
      sym_file_descriptor,
    ACTIONS(9478), 2,
      anon_sym_PIPE,
      anon_sym_LT_LT,
    ACTIONS(10210), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4337), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(10208), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(9480), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_LT_LT_DASH,
    ACTIONS(10206), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [232694] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1266), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232722] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1266), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232750] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1262), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232778] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10285), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10496), 1,
      sym__concat,
    STATE(4309), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1218), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1220), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [232812] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1270), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232840] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4362), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10285), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3677), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3679), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [232872] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1226), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232900] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1274), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232928] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1286), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232956] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1208), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1210), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232984] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1278), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10049), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10047), 17,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [233040] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1208), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1210), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233068] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4351), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10285), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3791), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3793), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [233100] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10285), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10498), 1,
      sym__concat,
    STATE(4309), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1202), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1204), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [233134] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1238), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233162] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1234), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233189] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1242), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233216] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10500), 1,
      sym__special_character,
    STATE(4390), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3775), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3777), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [233247] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1266), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233274] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1258), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233301] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10500), 1,
      sym__special_character,
    STATE(4390), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4498), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4500), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [233332] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1250), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233359] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1270), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233386] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9501), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10454), 1,
      sym_file_descriptor,
    STATE(4037), 1,
      sym_file_redirect,
    ACTIONS(10041), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9499), 6,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(10039), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [233421] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1230), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233448] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10511), 1,
      sym_file_descriptor,
    ACTIONS(9445), 2,
      anon_sym_PIPE,
      anon_sym_LT_LT,
    ACTIONS(10508), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4374), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(10505), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(9453), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(10502), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [233485] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9634), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10454), 1,
      sym_file_descriptor,
    STATE(3917), 1,
      sym_file_redirect,
    ACTIONS(10041), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9632), 6,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(10039), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [233520] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1274), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233547] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1200), 12,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [233574] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1282), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233601] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1266), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233628] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 8,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
    ACTIONS(1200), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [233655] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9709), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10454), 1,
      sym_file_descriptor,
    STATE(4013), 1,
      sym_file_redirect,
    ACTIONS(10041), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9707), 6,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(10039), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [233690] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1226), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233717] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1262), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233744] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1254), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233771] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1208), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1210), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233798] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10500), 1,
      sym__special_character,
    STATE(4390), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3791), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3793), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [233829] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1278), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233856] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1246), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233883] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1238), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233910] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10514), 1,
      sym__special_character,
    STATE(4390), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1296), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [233941] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10500), 1,
      sym__special_character,
    STATE(4390), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4524), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4526), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [233972] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1286), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233999] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6481), 1,
      anon_sym_DQUOTE,
    ACTIONS(6489), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6501), 1,
      sym_variable_name,
    ACTIONS(10519), 1,
      anon_sym_LPAREN,
    ACTIONS(10521), 1,
      anon_sym_DOLLAR,
    ACTIONS(10523), 1,
      anon_sym_RBRACE3,
    ACTIONS(10525), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10527), 1,
      anon_sym_BQUOTE,
    ACTIONS(10529), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5639), 1,
      sym__concatenation_in_expansion,
    ACTIONS(10517), 4,
      sym__expansion_word,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(5116), 5,
      sym_string,
      sym_array,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [234046] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1290), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [234073] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10531), 1,
      sym_file_descriptor,
    ACTIONS(9478), 2,
      anon_sym_PIPE,
      anon_sym_LT_LT,
    ACTIONS(10470), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4374), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(10468), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(9480), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(10464), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [234110] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9830), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9828), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [234136] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9886), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9884), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [234162] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1900), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1902), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [234188] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10003), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(10001), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [234214] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9898), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9896), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [234240] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9580), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9578), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [234266] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9914), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9916), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [234292] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9594), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9596), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [234318] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10531), 1,
      sym_file_descriptor,
    STATE(4452), 1,
      sym_file_redirect,
    ACTIONS(9707), 2,
      anon_sym_PIPE,
      anon_sym_LT_LT,
    ACTIONS(10470), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(10468), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(9709), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(10464), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [234354] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9818), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9816), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [234380] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9822), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9820), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [234406] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4623), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4625), 11,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [234432] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9988), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9986), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [234458] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3787), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3789), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [234484] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9822), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9820), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [234510] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9830), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9828), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [234536] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9711), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9713), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [234562] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10531), 1,
      sym_file_descriptor,
    STATE(4453), 1,
      sym_file_redirect,
    ACTIONS(9632), 2,
      anon_sym_PIPE,
      anon_sym_LT_LT,
    ACTIONS(10470), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(10468), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(9634), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(10464), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [234598] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9988), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9986), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [234624] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9982), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9980), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [234650] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4226), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4228), 11,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [234676] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9834), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9832), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [234702] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9838), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9836), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [234728] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9842), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9840), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [234754] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9912), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9910), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [234780] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9961), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9959), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [234806] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9642), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9644), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [234832] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10003), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(10001), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [234858] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1200), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [234884] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9531), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9533), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [234910] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9612), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9614), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [234936] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9961), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9959), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [234962] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9876), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9874), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [234988] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1892), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1894), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235014] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9886), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9884), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235040] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3677), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3679), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235066] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10535), 1,
      anon_sym_DQUOTE,
    STATE(4941), 1,
      sym_string,
    ACTIONS(10537), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1163), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10533), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [235098] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4611), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4613), 11,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235124] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9586), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9584), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [235150] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10539), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10541), 1,
      sym__concat,
    STATE(4444), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      sym__special_character,
  [235182] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10535), 1,
      anon_sym_DQUOTE,
    STATE(4941), 1,
      sym_string,
    ACTIONS(10537), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1173), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10533), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [235214] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10531), 1,
      sym_file_descriptor,
    STATE(4476), 1,
      sym_file_redirect,
    ACTIONS(9499), 2,
      anon_sym_PIPE,
      anon_sym_LT_LT,
    ACTIONS(10470), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(10468), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(9501), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(10464), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [235250] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9880), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9882), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235275] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10539), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10541), 1,
      sym__concat,
    STATE(4444), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4500), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4498), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [235306] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3787), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3789), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235331] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9988), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9986), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235356] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9790), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9788), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235381] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9914), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9916), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235406] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10539), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10543), 1,
      sym__concat,
    STATE(4475), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1218), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [235437] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9824), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9826), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235462] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9822), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9820), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235487] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9830), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9828), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235512] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9612), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9614), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235537] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9902), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9900), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235562] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9992), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9990), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235587] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9947), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9949), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235612] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10007), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(10005), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235637] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9794), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9792), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235662] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9988), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9986), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235687] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3587), 1,
      sym_file_descriptor,
    ACTIONS(10545), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5494), 1,
      sym__heredoc_expression,
    ACTIONS(3555), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3561), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4524), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3559), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [235722] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9892), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9894), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235747] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9886), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9884), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235772] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9842), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9840), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235797] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3587), 1,
      sym_file_descriptor,
    ACTIONS(10547), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5457), 1,
      sym__heredoc_expression,
    ACTIONS(3555), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3561), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4524), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3559), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [235832] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9996), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9994), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235857] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9890), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9888), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235882] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9890), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9888), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235907] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10003), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(10001), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235932] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9945), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9943), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235957] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9974), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9972), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235982] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10539), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10549), 1,
      sym__concat,
    STATE(4475), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1202), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [236013] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9784), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9786), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236038] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3677), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3679), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236063] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3587), 1,
      sym_file_descriptor,
    ACTIONS(10551), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5471), 1,
      sym__heredoc_expression,
    ACTIONS(3555), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3561), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4524), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3559), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [236098] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9951), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9953), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236123] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3587), 1,
      sym_file_descriptor,
    ACTIONS(10553), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5492), 1,
      sym__heredoc_expression,
    ACTIONS(3555), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3561), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4524), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3559), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [236158] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9957), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9955), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236183] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3587), 1,
      sym_file_descriptor,
    ACTIONS(10555), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5456), 1,
      sym__heredoc_expression,
    ACTIONS(3555), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3561), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4524), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3559), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [236218] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9922), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9924), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236243] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10557), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10560), 1,
      sym__concat,
    STATE(4475), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [236274] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9918), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9920), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236299] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9844), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9846), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236324] = 10,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6481), 1,
      anon_sym_DQUOTE,
    ACTIONS(6489), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10519), 1,
      anon_sym_LPAREN,
    ACTIONS(10521), 1,
      anon_sym_DOLLAR,
    ACTIONS(10525), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10527), 1,
      anon_sym_BQUOTE,
    ACTIONS(10529), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10563), 5,
      sym_variable_name,
      sym__expansion_word,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(5147), 5,
      sym_string,
      sym_array,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [236363] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9886), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9884), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236388] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4796), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4798), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236413] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9898), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9896), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236438] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9926), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9928), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236463] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9906), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9908), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236488] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9982), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9980), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236513] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9912), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9910), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236538] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9876), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9874), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236563] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9848), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9850), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236588] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9822), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9820), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236613] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1892), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1894), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236638] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9978), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9976), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236663] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10539), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10541), 1,
      sym__concat,
    STATE(4444), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4526), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4524), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [236694] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9838), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9836), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236719] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9818), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9816), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236744] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1900), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1902), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236769] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9961), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9959), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236794] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3587), 1,
      sym_file_descriptor,
    ACTIONS(10565), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5462), 1,
      sym__heredoc_expression,
    ACTIONS(3555), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3561), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4524), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3559), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [236829] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9939), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9941), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236854] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9580), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9578), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236879] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4796), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4798), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236904] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9834), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9832), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236929] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10539), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10541), 1,
      sym__concat,
    STATE(4466), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1894), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1892), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [236960] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3587), 1,
      sym_file_descriptor,
    ACTIONS(10567), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5495), 1,
      sym__heredoc_expression,
    ACTIONS(3555), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3561), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4524), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3559), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [236995] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10003), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(10001), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [237020] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9961), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9959), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [237045] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10539), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10541), 1,
      sym__concat,
    STATE(4466), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1902), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1900), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [237076] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3587), 1,
      sym_file_descriptor,
    ACTIONS(10569), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5449), 1,
      sym__heredoc_expression,
    ACTIONS(3555), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3561), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4524), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3559), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [237111] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9830), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9828), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [237136] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9978), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9976), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [237161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [237185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [237209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [237233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [237257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [237281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [237305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [237329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [237353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [237377] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10575), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(10577), 1,
      sym_variable_name,
    STATE(2982), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    ACTIONS(10573), 3,
      anon_sym_DOLLAR,
      anon_sym_0,
      anon_sym__,
    ACTIONS(10571), 6,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_POUND,
      anon_sym_AT2,
  [237415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [237439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [237463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [237487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [237511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [237535] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9453), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10585), 1,
      sym_file_descriptor,
    ACTIONS(9445), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10582), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4524), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(10579), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [237567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [237591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [237615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [237639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [237663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [237687] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10588), 1,
      sym__special_character,
    STATE(4532), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4526), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4524), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [237715] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10588), 1,
      sym__special_character,
    STATE(4532), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4500), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4498), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [237743] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10590), 1,
      sym__special_character,
    STATE(4532), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1296), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1294), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [237771] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9513), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9515), 1,
      anon_sym_BQUOTE,
    ACTIONS(9517), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10597), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(10599), 1,
      sym_variable_name,
    STATE(5089), 2,
      sym_subscript,
      sym_command_substitution,
    ACTIONS(10595), 3,
      anon_sym_DOLLAR,
      anon_sym_0,
      anon_sym__,
    ACTIONS(10593), 6,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_POUND,
      anon_sym_AT2,
  [237807] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10605), 1,
      anon_sym_DOLLAR,
    ACTIONS(10607), 1,
      anon_sym_DQUOTE,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(4560), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [237848] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10619), 1,
      anon_sym_DOLLAR,
    ACTIONS(10621), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [237889] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10623), 1,
      anon_sym_DOLLAR,
    ACTIONS(10625), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [237930] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10627), 1,
      anon_sym_DOLLAR,
    ACTIONS(10629), 1,
      anon_sym_DQUOTE,
    STATE(4597), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [237971] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10631), 1,
      anon_sym_DOLLAR,
    ACTIONS(10633), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [238012] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10635), 1,
      anon_sym_DOLLAR,
    ACTIONS(10637), 1,
      anon_sym_DQUOTE,
    STATE(4553), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [238053] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10639), 1,
      anon_sym_DOLLAR,
    ACTIONS(10641), 1,
      anon_sym_DQUOTE,
    STATE(4546), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [238094] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10643), 1,
      anon_sym_DOLLAR,
    ACTIONS(10645), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [238135] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10647), 1,
      anon_sym_DOLLAR,
    ACTIONS(10649), 1,
      anon_sym_DQUOTE,
    STATE(4538), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [238176] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10651), 1,
      anon_sym_DOLLAR,
    ACTIONS(10653), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [238217] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10655), 1,
      anon_sym_DOLLAR,
    ACTIONS(10657), 1,
      anon_sym_DQUOTE,
    STATE(4550), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [238258] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10659), 1,
      anon_sym_DOLLAR,
    ACTIONS(10661), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [238299] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10663), 1,
      anon_sym_DOLLAR,
    ACTIONS(10665), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [238340] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10667), 1,
      anon_sym_DOLLAR,
    ACTIONS(10669), 1,
      anon_sym_DQUOTE,
    STATE(4545), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [238381] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10674), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10677), 1,
      anon_sym_DOLLAR,
    ACTIONS(10680), 1,
      anon_sym_DQUOTE,
    ACTIONS(10682), 1,
      sym_string_content,
    ACTIONS(10685), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10688), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10691), 1,
      anon_sym_BQUOTE,
    ACTIONS(10694), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10671), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [238422] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10697), 1,
      anon_sym_DOLLAR,
    ACTIONS(10699), 1,
      anon_sym_DQUOTE,
    STATE(4551), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [238463] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10701), 1,
      anon_sym_DOLLAR,
    ACTIONS(10703), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [238504] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10705), 1,
      anon_sym_DOLLAR,
    ACTIONS(10707), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [238545] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10709), 1,
      anon_sym_DOLLAR,
    ACTIONS(10711), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [238586] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10713), 1,
      anon_sym_DOLLAR,
    ACTIONS(10715), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [238627] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10717), 1,
      anon_sym_DOLLAR,
    ACTIONS(10719), 1,
      anon_sym_DQUOTE,
    STATE(4558), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [238668] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10721), 1,
      anon_sym_DOLLAR,
    ACTIONS(10723), 1,
      anon_sym_DQUOTE,
    STATE(4552), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [238709] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10725), 1,
      anon_sym_DOLLAR,
    ACTIONS(10727), 1,
      anon_sym_DQUOTE,
    STATE(4541), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [238750] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10729), 1,
      anon_sym_DOLLAR,
    ACTIONS(10731), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [238791] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10733), 1,
      anon_sym_DOLLAR,
    ACTIONS(10735), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [238832] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10737), 1,
      anon_sym_DOLLAR,
    ACTIONS(10739), 1,
      anon_sym_DQUOTE,
    STATE(4557), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [238873] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10741), 1,
      anon_sym_DOLLAR,
    ACTIONS(10743), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [238914] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10745), 1,
      anon_sym_DOLLAR,
    ACTIONS(10747), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [238955] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10749), 1,
      anon_sym_DOLLAR,
    ACTIONS(10751), 1,
      anon_sym_DQUOTE,
    STATE(4568), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [238996] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10753), 1,
      anon_sym_DOLLAR,
    ACTIONS(10755), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239037] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10757), 1,
      anon_sym_DOLLAR,
    ACTIONS(10759), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239078] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10761), 1,
      anon_sym_DOLLAR,
    ACTIONS(10763), 1,
      anon_sym_DQUOTE,
    STATE(4571), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239119] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5299), 1,
      anon_sym_DQUOTE,
    STATE(5135), 1,
      sym_string,
    ACTIONS(1173), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
    ACTIONS(10767), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(10765), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [239148] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10769), 1,
      anon_sym_DOLLAR,
    ACTIONS(10771), 1,
      anon_sym_DQUOTE,
    STATE(4564), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239189] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10773), 1,
      anon_sym_DOLLAR,
    ACTIONS(10775), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239230] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10777), 1,
      anon_sym_DOLLAR,
    ACTIONS(10779), 1,
      anon_sym_DQUOTE,
    STATE(4561), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239271] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10781), 1,
      anon_sym_DOLLAR,
    ACTIONS(10783), 1,
      anon_sym_DQUOTE,
    STATE(4543), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239312] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10785), 1,
      anon_sym_DOLLAR,
    ACTIONS(10787), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239353] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10789), 1,
      anon_sym_DOLLAR,
    ACTIONS(10791), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239394] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10793), 1,
      anon_sym_DOLLAR,
    ACTIONS(10795), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239435] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10797), 1,
      anon_sym_DOLLAR,
    ACTIONS(10799), 1,
      anon_sym_DQUOTE,
    STATE(4573), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239476] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5299), 1,
      anon_sym_DQUOTE,
    STATE(5135), 1,
      sym_string,
    ACTIONS(1163), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
    ACTIONS(10767), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(10765), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [239505] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10801), 1,
      anon_sym_DOLLAR,
    ACTIONS(10803), 1,
      anon_sym_DQUOTE,
    STATE(4577), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239546] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10805), 1,
      anon_sym_DOLLAR,
    ACTIONS(10807), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239587] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10809), 1,
      anon_sym_DOLLAR,
    ACTIONS(10811), 1,
      anon_sym_DQUOTE,
    STATE(4572), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239628] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10813), 1,
      anon_sym_DOLLAR,
    ACTIONS(10815), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239669] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10817), 1,
      anon_sym_DOLLAR,
    ACTIONS(10819), 1,
      anon_sym_DQUOTE,
    STATE(4586), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239710] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10821), 1,
      anon_sym_DOLLAR,
    ACTIONS(10823), 1,
      anon_sym_DQUOTE,
    STATE(4584), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239751] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10825), 1,
      anon_sym_DOLLAR,
    ACTIONS(10827), 1,
      anon_sym_DQUOTE,
    STATE(4653), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239792] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10829), 1,
      anon_sym_DOLLAR,
    ACTIONS(10831), 1,
      anon_sym_DQUOTE,
    STATE(4642), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239833] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10833), 1,
      anon_sym_DOLLAR,
    ACTIONS(10835), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239874] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10837), 1,
      anon_sym_DOLLAR,
    ACTIONS(10839), 1,
      anon_sym_DQUOTE,
    STATE(4579), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239915] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10841), 1,
      anon_sym_DOLLAR,
    ACTIONS(10843), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239956] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10845), 1,
      anon_sym_DOLLAR,
    ACTIONS(10847), 1,
      anon_sym_DQUOTE,
    STATE(4536), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239997] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10849), 1,
      anon_sym_DOLLAR,
    ACTIONS(10851), 1,
      anon_sym_DQUOTE,
    STATE(4618), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240038] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10853), 1,
      anon_sym_DOLLAR,
    ACTIONS(10855), 1,
      anon_sym_DQUOTE,
    STATE(4590), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240079] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10857), 1,
      anon_sym_DOLLAR,
    ACTIONS(10859), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240120] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10861), 1,
      anon_sym_DOLLAR,
    ACTIONS(10863), 1,
      anon_sym_DQUOTE,
    STATE(4606), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240161] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10865), 1,
      anon_sym_DOLLAR,
    ACTIONS(10867), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240202] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10869), 1,
      anon_sym_DOLLAR,
    ACTIONS(10871), 1,
      anon_sym_DQUOTE,
    STATE(4594), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240243] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10873), 1,
      anon_sym_DOLLAR,
    ACTIONS(10875), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240284] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10877), 1,
      anon_sym_DOLLAR,
    ACTIONS(10879), 1,
      anon_sym_DQUOTE,
    STATE(4592), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240325] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10881), 1,
      anon_sym_DOLLAR,
    ACTIONS(10883), 1,
      anon_sym_DQUOTE,
    STATE(4601), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240366] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10885), 1,
      anon_sym_DOLLAR,
    ACTIONS(10887), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240407] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10889), 1,
      anon_sym_DOLLAR,
    ACTIONS(10891), 1,
      anon_sym_DQUOTE,
    STATE(4604), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240448] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10893), 1,
      anon_sym_DOLLAR,
    ACTIONS(10895), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240489] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10897), 1,
      anon_sym_DOLLAR,
    ACTIONS(10899), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240530] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10901), 1,
      anon_sym_DOLLAR,
    ACTIONS(10903), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240571] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10905), 1,
      anon_sym_DOLLAR,
    ACTIONS(10907), 1,
      anon_sym_DQUOTE,
    STATE(4535), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240612] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10909), 1,
      anon_sym_DOLLAR,
    ACTIONS(10911), 1,
      anon_sym_DQUOTE,
    STATE(4607), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240653] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10913), 1,
      anon_sym_DOLLAR,
    ACTIONS(10915), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240694] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10917), 1,
      anon_sym_DOLLAR,
    ACTIONS(10919), 1,
      anon_sym_DQUOTE,
    STATE(4600), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240735] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10921), 1,
      anon_sym_DOLLAR,
    ACTIONS(10923), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240776] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10925), 1,
      anon_sym_DOLLAR,
    ACTIONS(10927), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240817] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10929), 1,
      anon_sym_DOLLAR,
    ACTIONS(10931), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240858] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10933), 1,
      anon_sym_DOLLAR,
    ACTIONS(10935), 1,
      anon_sym_DQUOTE,
    STATE(4611), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240899] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10937), 1,
      anon_sym_DOLLAR,
    ACTIONS(10939), 1,
      anon_sym_DQUOTE,
    STATE(4599), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240940] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10941), 1,
      anon_sym_DOLLAR,
    ACTIONS(10943), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240981] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10945), 1,
      anon_sym_DOLLAR,
    ACTIONS(10947), 1,
      anon_sym_DQUOTE,
    STATE(4608), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241022] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10949), 1,
      anon_sym_DOLLAR,
    ACTIONS(10951), 1,
      anon_sym_DQUOTE,
    STATE(4615), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      sym__special_character,
  [241086] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10953), 1,
      anon_sym_DOLLAR,
    ACTIONS(10955), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241127] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10957), 1,
      anon_sym_DOLLAR,
    ACTIONS(10959), 1,
      anon_sym_DQUOTE,
    STATE(4621), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241168] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10961), 1,
      anon_sym_DOLLAR,
    ACTIONS(10963), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241209] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10965), 1,
      anon_sym_DOLLAR,
    ACTIONS(10967), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241250] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10969), 1,
      anon_sym_DOLLAR,
    ACTIONS(10971), 1,
      anon_sym_DQUOTE,
    STATE(4637), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241291] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10973), 1,
      anon_sym_DOLLAR,
    ACTIONS(10975), 1,
      anon_sym_DQUOTE,
    STATE(4623), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241332] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10977), 1,
      anon_sym_DOLLAR,
    ACTIONS(10979), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241373] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10981), 1,
      anon_sym_DOLLAR,
    ACTIONS(10983), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241414] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10985), 1,
      anon_sym_DOLLAR,
    ACTIONS(10987), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241455] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10989), 1,
      anon_sym_DOLLAR,
    ACTIONS(10991), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241496] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10993), 1,
      anon_sym_DOLLAR,
    ACTIONS(10995), 1,
      anon_sym_DQUOTE,
    STATE(4617), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241537] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10997), 1,
      anon_sym_DOLLAR,
    ACTIONS(10999), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241578] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11001), 1,
      anon_sym_DOLLAR,
    ACTIONS(11003), 1,
      anon_sym_DQUOTE,
    STATE(4629), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241619] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11005), 1,
      anon_sym_DOLLAR,
    ACTIONS(11007), 1,
      anon_sym_DQUOTE,
    STATE(4649), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241660] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11009), 1,
      anon_sym_DOLLAR,
    ACTIONS(11011), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241701] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11013), 1,
      anon_sym_DOLLAR,
    ACTIONS(11015), 1,
      anon_sym_DQUOTE,
    STATE(4622), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241742] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11017), 1,
      anon_sym_DOLLAR,
    ACTIONS(11019), 1,
      anon_sym_DQUOTE,
    STATE(4624), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241783] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11021), 1,
      anon_sym_DOLLAR,
    ACTIONS(11023), 1,
      anon_sym_DQUOTE,
    STATE(4563), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241824] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11025), 1,
      anon_sym_DOLLAR,
    ACTIONS(11027), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241865] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11029), 1,
      anon_sym_DOLLAR,
    ACTIONS(11031), 1,
      anon_sym_DQUOTE,
    STATE(4640), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241906] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11033), 1,
      anon_sym_DOLLAR,
    ACTIONS(11035), 1,
      anon_sym_DQUOTE,
    STATE(4636), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241947] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11037), 1,
      anon_sym_DOLLAR,
    ACTIONS(11039), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241988] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11041), 1,
      anon_sym_DOLLAR,
    ACTIONS(11043), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242029] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11045), 1,
      anon_sym_DOLLAR,
    ACTIONS(11047), 1,
      anon_sym_DQUOTE,
    STATE(4633), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242070] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11049), 1,
      anon_sym_DOLLAR,
    ACTIONS(11051), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242111] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11053), 1,
      anon_sym_DOLLAR,
    ACTIONS(11055), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242152] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11057), 1,
      anon_sym_DOLLAR,
    ACTIONS(11059), 1,
      anon_sym_DQUOTE,
    STATE(4643), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242193] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11061), 1,
      anon_sym_DOLLAR,
    ACTIONS(11063), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242234] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11065), 1,
      anon_sym_DOLLAR,
    ACTIONS(11067), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242275] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11069), 1,
      anon_sym_DOLLAR,
    ACTIONS(11071), 1,
      anon_sym_DQUOTE,
    STATE(4639), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242316] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11073), 1,
      anon_sym_DOLLAR,
    ACTIONS(11075), 1,
      anon_sym_DQUOTE,
    STATE(4646), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242357] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11077), 1,
      anon_sym_DOLLAR,
    ACTIONS(11079), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242398] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11081), 1,
      anon_sym_DOLLAR,
    ACTIONS(11083), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242439] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11085), 1,
      anon_sym_DOLLAR,
    ACTIONS(11087), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242480] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11089), 1,
      anon_sym_DOLLAR,
    ACTIONS(11091), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242521] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11093), 1,
      anon_sym_DOLLAR,
    ACTIONS(11095), 1,
      anon_sym_DQUOTE,
    STATE(4651), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242562] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11097), 1,
      anon_sym_DOLLAR,
    ACTIONS(11099), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242603] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11101), 1,
      anon_sym_DOLLAR,
    ACTIONS(11103), 1,
      anon_sym_DQUOTE,
    STATE(4648), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242644] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11105), 1,
      anon_sym_DOLLAR,
    ACTIONS(11107), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242685] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11109), 1,
      anon_sym_DOLLAR,
    ACTIONS(11111), 1,
      anon_sym_DQUOTE,
    STATE(4655), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242726] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11113), 1,
      anon_sym_DOLLAR,
    ACTIONS(11115), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242767] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11117), 1,
      anon_sym_DOLLAR,
    ACTIONS(11119), 1,
      anon_sym_DQUOTE,
    STATE(4626), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242808] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10609), 1,
      sym_string_content,
    ACTIONS(10611), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10613), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10615), 1,
      anon_sym_BQUOTE,
    ACTIONS(10617), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11121), 1,
      anon_sym_DOLLAR,
    ACTIONS(11123), 1,
      anon_sym_DQUOTE,
    STATE(4647), 1,
      aux_sym_string_repeat1,
    ACTIONS(10601), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4847), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1902), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1900), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [242871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1894), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1892), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [242893] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11083), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [242918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_DQUOTE,
    STATE(1134), 1,
      sym_string,
    ACTIONS(2980), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(2978), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [242943] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11131), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [242968] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11135), 1,
      anon_sym_LT_LT,
    ACTIONS(11141), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11143), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11139), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11137), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11133), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [242997] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11145), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243022] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4925), 1,
      anon_sym_DQUOTE,
    STATE(4525), 1,
      sym_string,
    ACTIONS(9320), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(9318), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243047] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11147), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243072] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10867), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243097] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2660), 1,
      anon_sym_DQUOTE,
    STATE(1465), 1,
      sym_string,
    ACTIONS(3301), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(3299), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243122] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10875), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243147] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2353), 1,
      anon_sym_DQUOTE,
    STATE(1270), 1,
      sym_string,
    ACTIONS(3250), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(3248), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243172] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10791), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243197] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11087), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243222] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4354), 1,
      anon_sym_DQUOTE,
    STATE(2205), 1,
      sym_string,
    ACTIONS(4356), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4352), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243247] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11149), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4690), 1,
      anon_sym_DQUOTE,
    STATE(2880), 1,
      sym_string,
    ACTIONS(4887), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4885), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243297] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11151), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243322] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    STATE(892), 1,
      sym_string,
    ACTIONS(1898), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1896), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243347] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10859), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243372] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10645), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243397] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11153), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243422] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10903), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243447] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11157), 1,
      anon_sym_LT_LT,
    ACTIONS(11163), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11165), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11161), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11159), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11155), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [243476] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11167), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243501] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11169), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243526] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11055), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243551] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10899), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243576] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1348), 1,
      anon_sym_DQUOTE,
    STATE(735), 1,
      sym_string,
    ACTIONS(1626), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1624), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243601] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11173), 1,
      anon_sym_DQUOTE,
    STATE(5362), 1,
      sym_string,
    ACTIONS(11175), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11171), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243626] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11157), 1,
      anon_sym_LT_LT,
    ACTIONS(11163), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11183), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11181), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11179), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11177), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [243655] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11185), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243680] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3374), 1,
      anon_sym_DQUOTE,
    STATE(1591), 1,
      sym_string,
    ACTIONS(3376), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(3372), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243705] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1862), 1,
      anon_sym_DQUOTE,
    STATE(1089), 1,
      sym_string,
    ACTIONS(2925), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(2923), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243730] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10983), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243755] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2682), 1,
      anon_sym_DQUOTE,
    STATE(1296), 1,
      sym_string,
    ACTIONS(2684), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(2680), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243780] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11187), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243805] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10979), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243830] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11189), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243855] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10535), 1,
      anon_sym_DQUOTE,
    STATE(4941), 1,
      sym_string,
    ACTIONS(10537), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(10533), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243880] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4320), 1,
      anon_sym_DQUOTE,
    STATE(2064), 1,
      sym_string,
    ACTIONS(4322), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4318), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243905] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7522), 1,
      anon_sym_DQUOTE,
    STATE(4350), 1,
      sym_string,
    ACTIONS(7524), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(7520), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243930] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10927), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243955] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11191), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [243980] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10967), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244005] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11193), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244030] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4408), 1,
      anon_sym_DQUOTE,
    STATE(2391), 1,
      sym_string,
    ACTIONS(4410), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4406), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244055] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11195), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244080] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11197), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244105] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11199), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244130] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_DQUOTE,
    STATE(938), 1,
      sym_string,
    ACTIONS(1890), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1888), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244155] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10943), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244180] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10895), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244205] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10915), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244230] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 1,
      anon_sym_DQUOTE,
    STATE(406), 1,
      sym_string,
    ACTIONS(1181), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1177), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244255] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6271), 1,
      anon_sym_DQUOTE,
    STATE(3599), 1,
      sym_string,
    ACTIONS(6273), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6269), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244280] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10931), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244305] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11043), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244330] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_DQUOTE,
    STATE(381), 1,
      sym_string,
    ACTIONS(1169), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1165), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244355] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11201), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244380] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11205), 1,
      anon_sym_LT_LT,
    ACTIONS(11211), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11213), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11209), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11207), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11203), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [244409] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11215), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244434] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10835), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10625), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244484] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9194), 1,
      anon_sym_DQUOTE,
    STATE(4383), 1,
      sym_string,
    ACTIONS(9196), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(9192), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244509] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11157), 1,
      anon_sym_LT_LT,
    ACTIONS(11163), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11223), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11221), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11219), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11217), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [244538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11225), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244563] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10843), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244588] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11227), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244613] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10955), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244638] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10815), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244663] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1914), 1,
      anon_sym_DQUOTE,
    STATE(1226), 1,
      sym_string,
    ACTIONS(2988), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(2986), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244688] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10755), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244713] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11229), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244738] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11231), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244763] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11205), 1,
      anon_sym_LT_LT,
    ACTIONS(11211), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11239), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11237), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11235), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11233), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [244792] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7622), 1,
      anon_sym_DQUOTE,
    STATE(4311), 1,
      sym_string,
    ACTIONS(7624), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(7620), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244817] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11241), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244842] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2383), 1,
      anon_sym_DQUOTE,
    STATE(1110), 1,
      sym_string,
    ACTIONS(2385), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(2381), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244867] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11243), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244892] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11245), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244917] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10987), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2203), 1,
      anon_sym_DQUOTE,
    STATE(1038), 1,
      sym_string,
    ACTIONS(2205), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(2201), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244967] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2698), 1,
      anon_sym_DQUOTE,
    STATE(1500), 1,
      sym_string,
    ACTIONS(3416), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(3414), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244992] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11247), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245017] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10991), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245042] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11249), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245067] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10775), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245092] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10747), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245117] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10715), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245142] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11011), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245167] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4079), 1,
      anon_sym_DQUOTE,
    STATE(2131), 1,
      sym_string,
    ACTIONS(4081), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4077), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11251), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245217] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4346), 1,
      anon_sym_DQUOTE,
    STATE(1969), 1,
      sym_string,
    ACTIONS(4348), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4344), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245242] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3745), 1,
      anon_sym_DQUOTE,
    STATE(1943), 1,
      sym_string,
    ACTIONS(3747), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(3743), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245267] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10703), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245292] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11253), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245317] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11255), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245342] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11039), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245367] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10807), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245392] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_DQUOTE,
    STATE(948), 1,
      sym_string,
    ACTIONS(2341), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(2339), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245417] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4047), 1,
      anon_sym_DQUOTE,
    STATE(2066), 1,
      sym_string,
    ACTIONS(4049), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4045), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245442] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11257), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245467] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4073), 1,
      anon_sym_DQUOTE,
    STATE(2138), 1,
      sym_string,
    ACTIONS(4075), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4071), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245492] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11259), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245517] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11261), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245542] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10633), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245567] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11063), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245592] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11263), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245617] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11027), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245642] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3143), 1,
      anon_sym_DQUOTE,
    STATE(1564), 1,
      sym_string,
    ACTIONS(3424), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(3422), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245667] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11265), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11267), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10887), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 1,
      anon_sym_DQUOTE,
    STATE(2196), 1,
      sym_string,
    ACTIONS(4438), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4436), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245767] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11269), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245792] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10653), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245817] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5299), 1,
      anon_sym_DQUOTE,
    STATE(5135), 1,
      sym_string,
    ACTIONS(10767), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(10765), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245842] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11271), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245867] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11273), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245892] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11275), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245917] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2722), 1,
      anon_sym_DQUOTE,
    STATE(1401), 1,
      sym_string,
    ACTIONS(2724), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(2720), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10735), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245967] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11277), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245992] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10665), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246017] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5729), 1,
      anon_sym_DQUOTE,
    STATE(3632), 1,
      sym_string,
    ACTIONS(5731), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(5727), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246042] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10661), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246067] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11279), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246092] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3060), 1,
      anon_sym_DQUOTE,
    STATE(1743), 1,
      sym_string,
    ACTIONS(3420), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(3418), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246117] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1948), 1,
      anon_sym_DQUOTE,
    STATE(1346), 1,
      sym_string,
    ACTIONS(3232), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(3230), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246142] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11281), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246167] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11283), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10621), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246217] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11285), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246242] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10923), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246267] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2405), 1,
      anon_sym_DQUOTE,
    STATE(1405), 1,
      sym_string,
    ACTIONS(2972), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(2970), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246292] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11287), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246317] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10795), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246342] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11289), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246367] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10963), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246392] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11291), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246417] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10707), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246442] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11293), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246467] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11051), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246492] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11295), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246517] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10711), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246542] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_DQUOTE,
    STATE(1510), 1,
      sym_string,
    ACTIONS(3464), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(3462), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246567] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3571), 1,
      anon_sym_DQUOTE,
    STATE(3850), 1,
      sym_string,
    ACTIONS(7112), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(7110), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246592] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11297), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246617] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11067), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246642] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11299), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246667] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10999), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2937), 1,
      anon_sym_DQUOTE,
    STATE(3642), 1,
      sym_string,
    ACTIONS(6070), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6068), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_DQUOTE,
    STATE(2958), 1,
      sym_string,
    ACTIONS(5071), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(5067), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246742] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11157), 1,
      anon_sym_LT_LT,
    ACTIONS(11163), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11307), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11305), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11303), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11301), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [246771] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10731), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246796] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11309), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246821] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11311), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246846] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10743), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246871] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7590), 1,
      anon_sym_DQUOTE,
    STATE(4184), 1,
      sym_string,
    ACTIONS(7592), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(7588), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246896] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11157), 1,
      anon_sym_LT_LT,
    ACTIONS(11163), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11319), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11317), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11315), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11313), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [246925] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11321), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246950] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11115), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246975] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11323), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247000] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11079), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247025] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11107), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247050] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11325), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247075] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11327), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247100] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10759), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247125] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 1,
      anon_sym_DQUOTE,
    STATE(800), 1,
      sym_string,
    ACTIONS(1736), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1734), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247150] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11099), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247175] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11091), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247200] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11329), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247225] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11331), 1,
      anon_sym_DQUOTE,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247250] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3436), 1,
      anon_sym_DQUOTE,
    STATE(3664), 1,
      sym_string,
    ACTIONS(6455), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6453), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247275] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10787), 1,
      anon_sym_DQUOTE,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247300] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11157), 1,
      anon_sym_LT_LT,
    ACTIONS(11163), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11317), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11315), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11313), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [247326] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      sym_string_content,
    ACTIONS(11129), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11125), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247348] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11135), 1,
      anon_sym_LT_LT,
    ACTIONS(11141), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11139), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11137), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11133), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [247374] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11157), 1,
      anon_sym_LT_LT,
    ACTIONS(11163), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11305), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11303), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11301), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [247400] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11157), 1,
      anon_sym_LT_LT,
    ACTIONS(11163), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11161), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11159), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11155), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [247426] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11157), 1,
      anon_sym_LT_LT,
    ACTIONS(11163), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11181), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11179), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11177), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [247452] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11335), 1,
      anon_sym_LT_LT,
    ACTIONS(11341), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11339), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11337), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11333), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [247478] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11205), 1,
      anon_sym_LT_LT,
    ACTIONS(11211), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11209), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11207), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11203), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [247504] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11157), 1,
      anon_sym_LT_LT,
    ACTIONS(11163), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11221), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11219), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11217), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [247530] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11205), 1,
      anon_sym_LT_LT,
    ACTIONS(11211), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11237), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11235), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11233), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [247556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      sym__concat,
    ACTIONS(1228), 10,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [247575] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11349), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11347), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11345), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11343), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [247598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11353), 1,
      sym__concat,
    ACTIONS(11351), 10,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [247617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 1,
      sym__concat,
    ACTIONS(1264), 10,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [247636] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11355), 1,
      anon_sym_DOLLAR,
    ACTIONS(11358), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11361), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(11364), 1,
      anon_sym_BQUOTE,
    ACTIONS(11367), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11370), 1,
      sym_heredoc_content,
    ACTIONS(11373), 1,
      sym_heredoc_end,
    STATE(4849), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [247667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 1,
      sym__concat,
    ACTIONS(1256), 10,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [247686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 1,
      sym__concat,
    ACTIONS(1244), 10,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [247705] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11375), 1,
      anon_sym_DOLLAR,
    ACTIONS(11377), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11379), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(11381), 1,
      anon_sym_BQUOTE,
    ACTIONS(11383), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11385), 1,
      sym_heredoc_content,
    ACTIONS(11387), 1,
      sym_heredoc_end,
    STATE(4858), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [247736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 1,
      sym__concat,
    ACTIONS(1252), 10,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [247755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11391), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11389), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11395), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11393), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247793] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11403), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11401), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11399), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11397), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [247816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      sym__concat,
    ACTIONS(1236), 10,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [247835] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11375), 1,
      anon_sym_DOLLAR,
    ACTIONS(11377), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11379), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(11381), 1,
      anon_sym_BQUOTE,
    ACTIONS(11383), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11405), 1,
      sym_heredoc_content,
    ACTIONS(11407), 1,
      sym_heredoc_end,
    STATE(4849), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [247866] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11415), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11413), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11411), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11409), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [247889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 1,
      sym__concat,
    ACTIONS(1272), 10,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [247908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11419), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11417), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 1,
      sym__concat,
    ACTIONS(1264), 10,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [247946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11423), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11421), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11427), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11425), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247984] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11435), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11433), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11431), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11429), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [248007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11439), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11437), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248026] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11447), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11445), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11443), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11441), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [248049] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11455), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11453), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11451), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11449), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [248072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 1,
      sym__concat,
    ACTIONS(1280), 10,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [248091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11175), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11171), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248110] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11463), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11461), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11459), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11457), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [248133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11465), 1,
      sym__concat,
    ACTIONS(10680), 10,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [248152] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11467), 1,
      anon_sym_RBRACE3,
    ACTIONS(11469), 10,
      anon_sym_U,
      anon_sym_u,
      anon_sym_L,
      anon_sym_Q,
      anon_sym_E,
      anon_sym_P,
      anon_sym_A,
      anon_sym_K,
      anon_sym_a,
      anon_sym_k,
  [248171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11473), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11471), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248190] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11481), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11479), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11477), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11475), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [248213] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11489), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11487), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11485), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11483), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [248236] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11339), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11337), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11333), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [248256] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11161), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11159), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11155), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [248276] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11305), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11303), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11301), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [248296] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11181), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11179), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11177), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [248316] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11317), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11315), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11313), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [248336] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11495), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11493), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11491), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [248356] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11497), 1,
      anon_sym_DQUOTE,
    ACTIONS(11499), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(11503), 1,
      anon_sym_BQUOTE,
    ACTIONS(11505), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4449), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
    STATE(5313), 3,
      sym_string,
      sym_expansion,
      sym_command_substitution,
  [248384] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11221), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11219), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11217), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [248404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11507), 10,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [248420] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11209), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11207), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11203), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [248440] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11469), 10,
      anon_sym_U,
      anon_sym_u,
      anon_sym_L,
      anon_sym_Q,
      anon_sym_E,
      anon_sym_P,
      anon_sym_A,
      anon_sym_K,
      anon_sym_a,
      anon_sym_k,
  [248456] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11139), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11137), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11133), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [248476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10680), 10,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [248492] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11237), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11235), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11233), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [248512] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11509), 1,
      aux_sym_concatenation_token1,
    ACTIONS(11511), 1,
      sym__concat,
    STATE(4911), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1198), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      sym__special_character,
  [248535] = 10,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11513), 1,
      anon_sym_SLASH,
    ACTIONS(11515), 1,
      anon_sym_DQUOTE,
    ACTIONS(11517), 1,
      anon_sym_RBRACE3,
    ACTIONS(11519), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(11521), 1,
      anon_sym_BQUOTE,
    ACTIONS(11523), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11525), 1,
      sym__regex_no_slash,
    STATE(5314), 1,
      sym_string,
    STATE(5321), 1,
      sym_command_substitution,
  [248566] = 7,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11527), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(4107), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [248590] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11509), 1,
      aux_sym_concatenation_token1,
    ACTIONS(11511), 1,
      sym__concat,
    ACTIONS(11529), 1,
      anon_sym_in,
    ACTIONS(11533), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(4908), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(11531), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [248614] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6485), 1,
      aux_sym_number_token1,
    ACTIONS(6487), 1,
      aux_sym_number_token2,
    ACTIONS(11535), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11537), 1,
      aux_sym__simple_variable_name_token1,
    STATE(4935), 1,
      sym__expansion_max_length_binary_expression,
    STATE(4937), 3,
      sym_number,
      sym_expansion,
      sym__expansion_max_length_expression,
  [248638] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(419), 1,
      anon_sym_LBRACE,
    ACTIONS(423), 1,
      anon_sym_LBRACK,
    ACTIONS(425), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11539), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(11541), 1,
      anon_sym_LPAREN,
    STATE(3857), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [248662] = 7,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11527), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(11543), 1,
      anon_sym_LPAREN,
    STATE(4083), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [248686] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6485), 1,
      aux_sym_number_token1,
    ACTIONS(6487), 1,
      aux_sym_number_token2,
    ACTIONS(11535), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11545), 1,
      aux_sym__simple_variable_name_token1,
    STATE(4935), 1,
      sym__expansion_max_length_binary_expression,
    STATE(4934), 3,
      sym_number,
      sym_expansion,
      sym__expansion_max_length_expression,
  [248710] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(401), 1,
      anon_sym_LPAREN,
    ACTIONS(419), 1,
      anon_sym_LBRACE,
    ACTIONS(423), 1,
      anon_sym_LBRACK,
    ACTIONS(425), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11539), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(3792), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [248734] = 7,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11527), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(4084), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [248758] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(165), 1,
      anon_sym_LBRACE,
    ACTIONS(169), 1,
      anon_sym_LBRACK,
    ACTIONS(173), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11547), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(11549), 1,
      anon_sym_LPAREN,
    STATE(4404), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [248782] = 7,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11527), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(4069), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [248806] = 7,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11527), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(4073), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [248830] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11551), 1,
      aux_sym_concatenation_token1,
    ACTIONS(11554), 1,
      sym__concat,
    STATE(4904), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1208), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [248852] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(401), 1,
      anon_sym_LPAREN,
    ACTIONS(419), 1,
      anon_sym_LBRACE,
    ACTIONS(423), 1,
      anon_sym_LBRACK,
    ACTIONS(425), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11539), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(4055), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [248876] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(419), 1,
      anon_sym_LBRACE,
    ACTIONS(423), 1,
      anon_sym_LBRACK,
    ACTIONS(425), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11539), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(11557), 1,
      anon_sym_LPAREN,
    STATE(4036), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [248900] = 7,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11527), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(11559), 1,
      anon_sym_LPAREN,
    STATE(4086), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [248924] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1204), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11509), 1,
      aux_sym_concatenation_token1,
    ACTIONS(11561), 1,
      sym__concat,
    STATE(4904), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1202), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [248946] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(401), 1,
      anon_sym_LPAREN,
    ACTIONS(419), 1,
      anon_sym_LBRACE,
    ACTIONS(423), 1,
      anon_sym_LBRACK,
    ACTIONS(425), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11539), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(3743), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [248970] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(401), 1,
      anon_sym_LPAREN,
    ACTIONS(419), 1,
      anon_sym_LBRACE,
    ACTIONS(423), 1,
      anon_sym_LBRACK,
    ACTIONS(425), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11539), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(4056), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [248994] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1220), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11509), 1,
      aux_sym_concatenation_token1,
    ACTIONS(11563), 1,
      sym__concat,
    STATE(4904), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1218), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [249016] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(165), 1,
      anon_sym_LBRACE,
    ACTIONS(169), 1,
      anon_sym_LBRACK,
    ACTIONS(173), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(941), 1,
      anon_sym_LPAREN,
    ACTIONS(11547), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(4413), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [249040] = 7,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11527), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(4062), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [249064] = 7,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11527), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(11565), 1,
      anon_sym_LPAREN,
    STATE(4381), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [249088] = 7,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11527), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(4375), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [249112] = 7,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11527), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(4106), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [249136] = 7,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11527), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(4372), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [249160] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11509), 1,
      aux_sym_concatenation_token1,
    ACTIONS(11511), 1,
      sym__concat,
    ACTIONS(11567), 1,
      anon_sym_in,
    ACTIONS(11571), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(4908), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(11569), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [249184] = 7,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11527), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(11573), 1,
      anon_sym_LPAREN,
    STATE(4109), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [249208] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11509), 1,
      aux_sym_concatenation_token1,
    ACTIONS(11511), 1,
      sym__concat,
    ACTIONS(11575), 1,
      anon_sym_in,
    ACTIONS(11579), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(4911), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(11577), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [249232] = 7,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11527), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(4076), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [249256] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11509), 1,
      aux_sym_concatenation_token1,
    ACTIONS(11511), 1,
      sym__concat,
    ACTIONS(11581), 1,
      anon_sym_in,
    ACTIONS(11585), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(4911), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(11583), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [249280] = 7,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11527), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(4068), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [249304] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(165), 1,
      anon_sym_LBRACE,
    ACTIONS(169), 1,
      anon_sym_LBRACK,
    ACTIONS(173), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(941), 1,
      anon_sym_LPAREN,
    ACTIONS(11547), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(4437), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [249328] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11509), 1,
      aux_sym_concatenation_token1,
    ACTIONS(11511), 1,
      sym__concat,
    ACTIONS(11587), 1,
      anon_sym_in,
    ACTIONS(11591), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(4911), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(11589), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [249352] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11509), 1,
      aux_sym_concatenation_token1,
    ACTIONS(11511), 1,
      sym__concat,
    ACTIONS(11593), 1,
      anon_sym_in,
    ACTIONS(11597), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(4908), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(11595), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [249376] = 7,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11527), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(11599), 1,
      anon_sym_LPAREN,
    STATE(4082), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [249400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [249415] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 1,
      anon_sym_DOLLAR,
    ACTIONS(1254), 6,
      sym_heredoc_content,
      sym_heredoc_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [249430] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11587), 1,
      anon_sym_in,
    ACTIONS(11591), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11601), 1,
      sym__special_character,
    STATE(4967), 1,
      aux_sym__literal_repeat1,
    ACTIONS(11589), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [249451] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1270), 7,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_COLON,
      anon_sym_RBRACE3,
  [249464] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 1,
      anon_sym_DOLLAR,
    ACTIONS(1266), 6,
      sym_heredoc_content,
      sym_heredoc_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [249479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [249494] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11603), 7,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_COLON,
      anon_sym_RBRACE3,
  [249507] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11605), 7,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_COLON,
      anon_sym_RBRACE3,
  [249520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [249535] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11603), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_RBRACE3,
  [249550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [249565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [249580] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11173), 1,
      anon_sym_DQUOTE,
    ACTIONS(11609), 1,
      anon_sym_RPAREN,
    ACTIONS(11611), 1,
      sym_raw_string,
    ACTIONS(11613), 1,
      anon_sym_RBRACE3,
    ACTIONS(11615), 1,
      aux_sym__expansion_regex_token1,
    ACTIONS(11617), 1,
      sym_regex,
    STATE(5662), 1,
      sym_string,
  [249605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [249620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [249635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [249650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [249665] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11575), 1,
      anon_sym_in,
    ACTIONS(11579), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11601), 1,
      sym__special_character,
    STATE(4967), 1,
      aux_sym__literal_repeat1,
    ACTIONS(11577), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [249686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [249701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [249716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [249731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [249746] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11581), 1,
      anon_sym_in,
    ACTIONS(11585), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11601), 1,
      sym__special_character,
    STATE(4967), 1,
      aux_sym__literal_repeat1,
    ACTIONS(11583), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [249767] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1238), 7,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_COLON,
      anon_sym_RBRACE3,
  [249780] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1254), 7,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_COLON,
      anon_sym_RBRACE3,
  [249793] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11621), 1,
      anon_sym_COLON,
    ACTIONS(11623), 1,
      anon_sym_RBRACE3,
    ACTIONS(11619), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [249810] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 1,
      anon_sym_DOLLAR,
    ACTIONS(1258), 6,
      sym_heredoc_content,
      sym_heredoc_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [249825] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 1,
      anon_sym_DOLLAR,
    ACTIONS(1282), 6,
      sym_heredoc_content,
      sym_heredoc_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [249840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [249855] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 1,
      anon_sym_DOLLAR,
    ACTIONS(1246), 6,
      sym_heredoc_content,
      sym_heredoc_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [249870] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 1,
      anon_sym_DOLLAR,
    ACTIONS(1266), 6,
      sym_heredoc_content,
      sym_heredoc_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [249885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [249900] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11625), 1,
      anon_sym_COLON,
    ACTIONS(11627), 1,
      anon_sym_RBRACE3,
    ACTIONS(11605), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [249917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [249932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [249947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [249962] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 1,
      anon_sym_DOLLAR,
    ACTIONS(1238), 6,
      sym_heredoc_content,
      sym_heredoc_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [249977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [249992] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1226), 7,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_COLON,
      anon_sym_RBRACE3,
  [250005] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11629), 1,
      sym__special_character,
    STATE(4967), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [250024] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11632), 1,
      anon_sym_SLASH,
    ACTIONS(11636), 1,
      anon_sym_RBRACE3,
    ACTIONS(11638), 1,
      sym__expansion_word,
    STATE(5006), 1,
      aux_sym__concatenation_in_expansion_repeat1,
    ACTIONS(11634), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [250044] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(11642), 1,
      anon_sym_RPAREN,
    STATE(5093), 1,
      aux_sym_concatenation_repeat1,
    STATE(5168), 1,
      aux_sym_case_item_repeat1,
    ACTIONS(11644), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [250064] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(11646), 1,
      anon_sym_RPAREN,
    STATE(5021), 1,
      aux_sym_concatenation_repeat1,
    STATE(5256), 1,
      aux_sym_case_item_repeat1,
    ACTIONS(11644), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [250084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      sym__special_character,
  [250098] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(11648), 1,
      anon_sym_RPAREN,
    STATE(5093), 1,
      aux_sym_concatenation_repeat1,
    STATE(5307), 1,
      aux_sym_case_item_repeat1,
    ACTIONS(11644), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [250118] = 4,
    ACTIONS(71), 1,
      sym_comment,
    STATE(5021), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(11644), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1200), 3,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      sym__special_character,
  [250134] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11650), 1,
      anon_sym_RBRACE3,
    ACTIONS(11619), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [250148] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11652), 1,
      anon_sym_fi,
    ACTIONS(11654), 1,
      anon_sym_elif,
    ACTIONS(11656), 1,
      anon_sym_else,
    STATE(5444), 1,
      sym_else_clause,
    STATE(5063), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [250168] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11654), 1,
      anon_sym_elif,
    ACTIONS(11656), 1,
      anon_sym_else,
    ACTIONS(11658), 1,
      anon_sym_fi,
    STATE(5523), 1,
      sym_else_clause,
    STATE(5063), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [250188] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11654), 1,
      anon_sym_elif,
    ACTIONS(11656), 1,
      anon_sym_else,
    ACTIONS(11660), 1,
      anon_sym_fi,
    STATE(6006), 1,
      sym_else_clause,
    STATE(5063), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [250208] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11662), 1,
      anon_sym_SLASH,
    ACTIONS(11664), 1,
      anon_sym_RBRACE3,
    ACTIONS(11666), 1,
      sym__expansion_word,
    STATE(5006), 1,
      aux_sym__concatenation_in_expansion_repeat1,
    ACTIONS(11634), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [250228] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(11668), 1,
      anon_sym_RPAREN,
    STATE(5021), 1,
      aux_sym_concatenation_repeat1,
    STATE(5238), 1,
      aux_sym_case_item_repeat1,
    ACTIONS(11644), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [250248] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11654), 1,
      anon_sym_elif,
    ACTIONS(11656), 1,
      anon_sym_else,
    ACTIONS(11670), 1,
      anon_sym_fi,
    STATE(6001), 1,
      sym_else_clause,
    STATE(5063), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [250268] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(11672), 1,
      anon_sym_RPAREN,
    STATE(5021), 1,
      aux_sym_concatenation_repeat1,
    STATE(5264), 1,
      aux_sym_case_item_repeat1,
    ACTIONS(11644), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [250288] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11674), 1,
      anon_sym_RBRACE3,
    ACTIONS(11605), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [250302] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11678), 1,
      anon_sym_COMMA,
    ACTIONS(11680), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3882), 1,
      sym__c_terminator,
    STATE(4992), 1,
      aux_sym__for_body_repeat1,
    ACTIONS(11676), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [250322] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11654), 1,
      anon_sym_elif,
    ACTIONS(11656), 1,
      anon_sym_else,
    ACTIONS(11682), 1,
      anon_sym_fi,
    STATE(5979), 1,
      sym_else_clause,
    STATE(5063), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [250342] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11678), 1,
      anon_sym_COMMA,
    ACTIONS(11686), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3876), 1,
      sym__c_terminator,
    STATE(5018), 1,
      aux_sym__for_body_repeat1,
    ACTIONS(11684), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [250362] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11654), 1,
      anon_sym_elif,
    ACTIONS(11656), 1,
      anon_sym_else,
    ACTIONS(11688), 1,
      anon_sym_fi,
    STATE(5968), 1,
      sym_else_clause,
    STATE(5063), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [250382] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(11690), 1,
      anon_sym_RPAREN,
    STATE(5093), 1,
      aux_sym_concatenation_repeat1,
    STATE(5203), 1,
      aux_sym_case_item_repeat1,
    ACTIONS(11644), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [250402] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(11692), 1,
      anon_sym_RPAREN,
    STATE(5021), 1,
      aux_sym_concatenation_repeat1,
    STATE(5242), 1,
      aux_sym_case_item_repeat1,
    ACTIONS(11644), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [250422] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11694), 1,
      anon_sym_RBRACE3,
    ACTIONS(11605), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [250436] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11696), 1,
      anon_sym_RBRACE3,
    ACTIONS(11619), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [250450] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11678), 1,
      anon_sym_COMMA,
    ACTIONS(11700), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3772), 1,
      sym__c_terminator,
    STATE(4998), 1,
      aux_sym__for_body_repeat1,
    ACTIONS(11698), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [250470] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11678), 1,
      anon_sym_COMMA,
    ACTIONS(11704), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3773), 1,
      sym__c_terminator,
    STATE(5018), 1,
      aux_sym__for_body_repeat1,
    ACTIONS(11702), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [250490] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(11706), 1,
      anon_sym_RPAREN,
    STATE(5093), 1,
      aux_sym_concatenation_repeat1,
    STATE(5319), 1,
      aux_sym_case_item_repeat1,
    ACTIONS(11644), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [250510] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11708), 1,
      anon_sym_RBRACE3,
    ACTIONS(11619), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [250524] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11678), 1,
      anon_sym_COMMA,
    ACTIONS(11712), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3542), 1,
      sym__c_terminator,
    STATE(5018), 1,
      aux_sym__for_body_repeat1,
    ACTIONS(11710), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [250544] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11678), 1,
      anon_sym_COMMA,
    ACTIONS(11716), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3756), 1,
      sym__c_terminator,
    STATE(4985), 1,
      aux_sym__for_body_repeat1,
    ACTIONS(11714), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [250564] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11718), 1,
      anon_sym_SLASH,
    ACTIONS(11720), 1,
      anon_sym_RBRACE3,
    ACTIONS(11722), 1,
      sym__expansion_word,
    STATE(5006), 1,
      aux_sym__concatenation_in_expansion_repeat1,
    ACTIONS(11634), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [250584] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11678), 1,
      anon_sym_COMMA,
    ACTIONS(11726), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3860), 1,
      sym__c_terminator,
    STATE(5018), 1,
      aux_sym__for_body_repeat1,
    ACTIONS(11724), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [250604] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11708), 1,
      anon_sym_RBRACE3,
    ACTIONS(11619), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [250618] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11728), 1,
      anon_sym_RBRACE3,
    ACTIONS(11605), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [250632] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11678), 1,
      anon_sym_COMMA,
    ACTIONS(11732), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3543), 1,
      sym__c_terminator,
    STATE(4995), 1,
      aux_sym__for_body_repeat1,
    ACTIONS(11730), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [250652] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11708), 1,
      anon_sym_RBRACE3,
    ACTIONS(11619), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [250666] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1266), 5,
      sym__concat,
      sym__expansion_word,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [250677] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11734), 1,
      anon_sym_SLASH,
    ACTIONS(11736), 1,
      anon_sym_RBRACE3,
    STATE(5006), 1,
      aux_sym__concatenation_in_expansion_repeat1,
    ACTIONS(11634), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [250694] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11738), 1,
      sym_simple_heredoc_body,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    STATE(5446), 1,
      sym_heredoc_body,
    STATE(3944), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [250711] = 4,
    ACTIONS(71), 1,
      sym_comment,
    STATE(5015), 1,
      aux_sym__concatenation_in_expansion_repeat1,
    ACTIONS(11634), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(11742), 2,
      anon_sym_SLASH,
      anon_sym_RBRACE3,
  [250726] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11738), 1,
      sym_simple_heredoc_body,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    STATE(5446), 1,
      sym_heredoc_body,
    STATE(3954), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [250743] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11744), 1,
      sym_simple_heredoc_body,
    STATE(6002), 1,
      sym_heredoc_body,
    STATE(4417), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [250760] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11738), 1,
      sym_simple_heredoc_body,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    STATE(4012), 1,
      sym__simple_heredoc_body,
    STATE(4014), 1,
      sym__heredoc_body,
    STATE(5446), 1,
      sym_heredoc_body,
  [250779] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11746), 1,
      anon_sym_RBRACE3,
    STATE(5048), 1,
      aux_sym__expansion_body_repeat1,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
  [250794] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11738), 1,
      sym_simple_heredoc_body,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    STATE(3993), 1,
      sym__simple_heredoc_body,
    STATE(4000), 1,
      sym__heredoc_body,
    STATE(5446), 1,
      sym_heredoc_body,
  [250813] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11738), 1,
      sym_simple_heredoc_body,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    STATE(5446), 1,
      sym_heredoc_body,
    STATE(3990), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [250830] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11738), 1,
      sym_simple_heredoc_body,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    STATE(3973), 1,
      sym__simple_heredoc_body,
    STATE(3977), 1,
      sym__heredoc_body,
    STATE(5446), 1,
      sym_heredoc_body,
  [250849] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11744), 1,
      sym_simple_heredoc_body,
    STATE(6002), 1,
      sym_heredoc_body,
    STATE(4420), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [250866] = 4,
    ACTIONS(71), 1,
      sym_comment,
    STATE(5015), 1,
      aux_sym__concatenation_in_expansion_repeat1,
    ACTIONS(11748), 2,
      anon_sym_SLASH,
      anon_sym_RBRACE3,
    ACTIONS(11750), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [250881] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11753), 1,
      sym_simple_heredoc_body,
    STATE(5969), 1,
      sym_heredoc_body,
    STATE(4486), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [250898] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11744), 1,
      sym_simple_heredoc_body,
    STATE(4406), 1,
      sym__simple_heredoc_body,
    STATE(4410), 1,
      sym__heredoc_body,
    STATE(6002), 1,
      sym_heredoc_body,
  [250917] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11757), 1,
      anon_sym_COMMA,
    ACTIONS(11760), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5018), 1,
      aux_sym__for_body_repeat1,
    ACTIONS(11755), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [250934] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11762), 1,
      sym_simple_heredoc_body,
    STATE(5952), 1,
      sym_heredoc_body,
    STATE(4006), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [250951] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11762), 1,
      sym_simple_heredoc_body,
    STATE(5952), 1,
      sym_heredoc_body,
    STATE(4011), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [250968] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11644), 1,
      aux_sym_concatenation_token1,
    ACTIONS(11764), 1,
      sym__concat,
    STATE(5041), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [250985] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11762), 1,
      sym_simple_heredoc_body,
    STATE(5952), 1,
      sym_heredoc_body,
    STATE(4038), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [251002] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11744), 1,
      sym_simple_heredoc_body,
    STATE(6002), 1,
      sym_heredoc_body,
    STATE(4428), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [251019] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1266), 5,
      sym__concat,
      sym__expansion_word,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [251030] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(11672), 1,
      anon_sym_RPAREN,
    ACTIONS(11766), 1,
      sym__special_character,
    STATE(5137), 1,
      aux_sym__literal_repeat1,
    STATE(5225), 1,
      aux_sym_case_item_repeat1,
  [251049] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1282), 5,
      sym__concat,
      sym__expansion_word,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [251060] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11744), 1,
      sym_simple_heredoc_body,
    STATE(6002), 1,
      sym_heredoc_body,
    STATE(4405), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [251077] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(419), 1,
      anon_sym_LBRACE,
    ACTIONS(11768), 1,
      anon_sym_SEMI,
    ACTIONS(11770), 1,
      anon_sym_do,
    STATE(4051), 1,
      sym_do_group,
    STATE(4054), 1,
      sym_compound_statement,
  [251096] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [251109] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11762), 1,
      sym_simple_heredoc_body,
    STATE(4044), 1,
      sym__heredoc_body,
    STATE(4057), 1,
      sym__simple_heredoc_body,
    STATE(5952), 1,
      sym_heredoc_body,
  [251128] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11753), 1,
      sym_simple_heredoc_body,
    STATE(5969), 1,
      sym_heredoc_body,
    STATE(4485), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [251145] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11762), 1,
      sym_simple_heredoc_body,
    STATE(4058), 1,
      sym__simple_heredoc_body,
    STATE(4059), 1,
      sym__heredoc_body,
    STATE(5952), 1,
      sym_heredoc_body,
  [251164] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11762), 1,
      sym_simple_heredoc_body,
    STATE(5952), 1,
      sym_heredoc_body,
    STATE(4050), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [251181] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11762), 1,
      sym_simple_heredoc_body,
    STATE(5952), 1,
      sym_heredoc_body,
    STATE(4047), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [251198] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11762), 1,
      sym_simple_heredoc_body,
    STATE(4042), 1,
      sym__simple_heredoc_body,
    STATE(4043), 1,
      sym__heredoc_body,
    STATE(5952), 1,
      sym_heredoc_body,
  [251217] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11762), 1,
      sym_simple_heredoc_body,
    STATE(4035), 1,
      sym__simple_heredoc_body,
    STATE(4039), 1,
      sym__heredoc_body,
    STATE(5952), 1,
      sym_heredoc_body,
  [251236] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11762), 1,
      sym_simple_heredoc_body,
    STATE(5952), 1,
      sym_heredoc_body,
    STATE(4023), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [251253] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11774), 1,
      sym__concat,
    ACTIONS(5606), 4,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_RBRACE3,
  [251266] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11762), 1,
      sym_simple_heredoc_body,
    STATE(4021), 1,
      sym__simple_heredoc_body,
    STATE(4022), 1,
      sym__heredoc_body,
    STATE(5952), 1,
      sym_heredoc_body,
  [251285] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11762), 1,
      sym_simple_heredoc_body,
    STATE(4019), 1,
      sym__simple_heredoc_body,
    STATE(4020), 1,
      sym__heredoc_body,
    STATE(5952), 1,
      sym_heredoc_body,
  [251304] = 4,
    ACTIONS(71), 1,
      sym_comment,
    STATE(5041), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
    ACTIONS(11776), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [251319] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11744), 1,
      sym_simple_heredoc_body,
    STATE(4396), 1,
      sym__heredoc_body,
    STATE(4411), 1,
      sym__simple_heredoc_body,
    STATE(6002), 1,
      sym_heredoc_body,
  [251338] = 6,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11779), 1,
      anon_sym_SEMI,
    ACTIONS(11781), 1,
      anon_sym_do,
    STATE(3983), 1,
      sym_compound_statement,
    STATE(3989), 1,
      sym_do_group,
  [251357] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(11646), 1,
      anon_sym_RPAREN,
    ACTIONS(11766), 1,
      sym__special_character,
    STATE(5137), 1,
      aux_sym__literal_repeat1,
    STATE(5303), 1,
      aux_sym_case_item_repeat1,
  [251376] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11753), 1,
      sym_simple_heredoc_body,
    STATE(5969), 1,
      sym_heredoc_body,
    STATE(4500), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [251393] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11783), 1,
      anon_sym_RBRACE3,
    STATE(5048), 1,
      aux_sym__expansion_body_repeat1,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
  [251408] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11753), 1,
      sym_simple_heredoc_body,
    STATE(4447), 1,
      sym__heredoc_body,
    STATE(4507), 1,
      sym__simple_heredoc_body,
    STATE(5969), 1,
      sym_heredoc_body,
  [251427] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11785), 1,
      anon_sym_RBRACE3,
    STATE(5048), 1,
      aux_sym__expansion_body_repeat1,
    ACTIONS(11787), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
  [251442] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(11668), 1,
      anon_sym_RPAREN,
    ACTIONS(11766), 1,
      sym__special_character,
    STATE(5137), 1,
      aux_sym__literal_repeat1,
    STATE(5205), 1,
      aux_sym_case_item_repeat1,
  [251461] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11738), 1,
      sym_simple_heredoc_body,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    STATE(5446), 1,
      sym_heredoc_body,
    STATE(3927), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [251478] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11744), 1,
      sym_simple_heredoc_body,
    STATE(6002), 1,
      sym_heredoc_body,
    STATE(4400), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [251495] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11744), 1,
      sym_simple_heredoc_body,
    STATE(6002), 1,
      sym_heredoc_body,
    STATE(4415), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [251512] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11632), 1,
      anon_sym_SLASH,
    ACTIONS(11636), 1,
      anon_sym_RBRACE3,
    STATE(5006), 1,
      aux_sym__concatenation_in_expansion_repeat1,
    ACTIONS(11634), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [251529] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11790), 1,
      anon_sym_SLASH,
    ACTIONS(11792), 1,
      anon_sym_RBRACE3,
    STATE(5006), 1,
      aux_sym__concatenation_in_expansion_repeat1,
    ACTIONS(11634), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [251546] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11794), 1,
      anon_sym_RBRACE3,
    STATE(5048), 1,
      aux_sym__expansion_body_repeat1,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
  [251561] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11796), 1,
      sym__concat,
    ACTIONS(5553), 4,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_RBRACE3,
  [251574] = 4,
    ACTIONS(71), 1,
      sym_comment,
    STATE(5093), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(11644), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(11798), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [251589] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11567), 1,
      anon_sym_in,
    ACTIONS(11571), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11569), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [251604] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11800), 1,
      sym__concat,
    ACTIONS(5559), 4,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_RBRACE3,
  [251617] = 4,
    ACTIONS(71), 1,
      sym_comment,
    STATE(5021), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(11644), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(11802), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [251632] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11662), 1,
      anon_sym_SLASH,
    ACTIONS(11664), 1,
      anon_sym_RBRACE3,
    STATE(5006), 1,
      aux_sym__concatenation_in_expansion_repeat1,
    ACTIONS(11634), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [251649] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11738), 1,
      sym_simple_heredoc_body,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    STATE(3925), 1,
      sym__simple_heredoc_body,
    STATE(3926), 1,
      sym__heredoc_body,
    STATE(5446), 1,
      sym_heredoc_body,
  [251668] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11806), 1,
      anon_sym_elif,
    ACTIONS(11804), 2,
      anon_sym_fi,
      anon_sym_else,
    STATE(5063), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [251683] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11809), 1,
      anon_sym_RBRACE3,
    STATE(5048), 1,
      aux_sym__expansion_body_repeat1,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
  [251698] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11811), 1,
      anon_sym_in,
    ACTIONS(11815), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11813), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [251713] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11738), 1,
      sym_simple_heredoc_body,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    STATE(3922), 1,
      sym__simple_heredoc_body,
    STATE(3923), 1,
      sym__heredoc_body,
    STATE(5446), 1,
      sym_heredoc_body,
  [251732] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11809), 1,
      anon_sym_RBRACE3,
    STATE(5048), 1,
      aux_sym__expansion_body_repeat1,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
  [251747] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(11692), 1,
      anon_sym_RPAREN,
    ACTIONS(11766), 1,
      sym__special_character,
    STATE(5137), 1,
      aux_sym__literal_repeat1,
    STATE(5316), 1,
      aux_sym_case_item_repeat1,
  [251766] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7162), 1,
      anon_sym_RBRACE3,
    STATE(5084), 1,
      aux_sym__expansion_body_repeat1,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
  [251781] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11744), 1,
      sym_simple_heredoc_body,
    STATE(4399), 1,
      sym__heredoc_body,
    STATE(4423), 1,
      sym__simple_heredoc_body,
    STATE(6002), 1,
      sym_heredoc_body,
  [251800] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11718), 1,
      anon_sym_SLASH,
    ACTIONS(11720), 1,
      anon_sym_RBRACE3,
    STATE(5006), 1,
      aux_sym__concatenation_in_expansion_repeat1,
    ACTIONS(11634), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [251817] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11744), 1,
      sym_simple_heredoc_body,
    STATE(4408), 1,
      sym__heredoc_body,
    STATE(4414), 1,
      sym__simple_heredoc_body,
    STATE(6002), 1,
      sym_heredoc_body,
  [251836] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11744), 1,
      sym_simple_heredoc_body,
    STATE(4397), 1,
      sym__heredoc_body,
    STATE(4430), 1,
      sym__simple_heredoc_body,
    STATE(6002), 1,
      sym_heredoc_body,
  [251855] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11783), 1,
      anon_sym_RBRACE3,
    STATE(5048), 1,
      aux_sym__expansion_body_repeat1,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
  [251870] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(165), 1,
      anon_sym_LBRACE,
    ACTIONS(11817), 1,
      anon_sym_SEMI,
    ACTIONS(11819), 1,
      anon_sym_do,
    STATE(4490), 1,
      sym_do_group,
    STATE(4508), 1,
      sym_compound_statement,
  [251889] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11753), 1,
      sym_simple_heredoc_body,
    STATE(4457), 1,
      sym__heredoc_body,
    STATE(4479), 1,
      sym__simple_heredoc_body,
    STATE(5969), 1,
      sym_heredoc_body,
  [251908] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11753), 1,
      sym_simple_heredoc_body,
    STATE(4495), 1,
      sym__simple_heredoc_body,
    STATE(4504), 1,
      sym__heredoc_body,
    STATE(5969), 1,
      sym_heredoc_body,
  [251927] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11783), 1,
      anon_sym_RBRACE3,
    STATE(5048), 1,
      aux_sym__expansion_body_repeat1,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
  [251942] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11529), 1,
      anon_sym_in,
    ACTIONS(11533), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11531), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [251957] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11753), 1,
      sym_simple_heredoc_body,
    STATE(5969), 1,
      sym_heredoc_body,
    STATE(4484), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [251974] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11753), 1,
      sym_simple_heredoc_body,
    STATE(4441), 1,
      sym__simple_heredoc_body,
    STATE(4454), 1,
      sym__heredoc_body,
    STATE(5969), 1,
      sym_heredoc_body,
  [251993] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11821), 1,
      anon_sym_SLASH,
    ACTIONS(11823), 1,
      anon_sym_RBRACE3,
    STATE(5006), 1,
      aux_sym__concatenation_in_expansion_repeat1,
    ACTIONS(11634), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [252010] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11753), 1,
      sym_simple_heredoc_body,
    STATE(4463), 1,
      sym__heredoc_body,
    STATE(4503), 1,
      sym__simple_heredoc_body,
    STATE(5969), 1,
      sym_heredoc_body,
  [252029] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11746), 1,
      anon_sym_RBRACE3,
    STATE(5048), 1,
      aux_sym__expansion_body_repeat1,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
  [252044] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11825), 1,
      anon_sym_in,
    ACTIONS(11829), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11827), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [252059] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11738), 1,
      sym_simple_heredoc_body,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    STATE(5446), 1,
      sym_heredoc_body,
    STATE(3934), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [252076] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11831), 1,
      sym__concat,
    ACTIONS(5588), 4,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_RBRACE3,
  [252089] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11738), 1,
      sym_simple_heredoc_body,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    STATE(3940), 1,
      sym__simple_heredoc_body,
    STATE(3948), 1,
      sym__heredoc_body,
    STATE(5446), 1,
      sym_heredoc_body,
  [252108] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7019), 1,
      anon_sym_RBRACE3,
    STATE(5078), 1,
      aux_sym__expansion_body_repeat1,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
  [252123] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11833), 1,
      anon_sym_in,
    ACTIONS(11837), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11835), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [252138] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11753), 1,
      sym_simple_heredoc_body,
    STATE(5969), 1,
      sym_heredoc_body,
    STATE(4481), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [252155] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      anon_sym_in,
    ACTIONS(11597), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11595), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [252170] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11644), 1,
      aux_sym_concatenation_token1,
    ACTIONS(11839), 1,
      sym__concat,
    STATE(5041), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1204), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [252187] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11841), 1,
      anon_sym_RBRACE3,
    STATE(5048), 1,
      aux_sym__expansion_body_repeat1,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
  [252202] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11738), 1,
      sym_simple_heredoc_body,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    STATE(5446), 1,
      sym_heredoc_body,
    STATE(3921), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [252219] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7166), 1,
      anon_sym_RBRACE3,
    STATE(5064), 1,
      aux_sym__expansion_body_repeat1,
    ACTIONS(7031), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
  [252234] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11753), 1,
      sym_simple_heredoc_body,
    STATE(5969), 1,
      sym_heredoc_body,
    STATE(4493), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [252251] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11753), 1,
      sym_simple_heredoc_body,
    STATE(4446), 1,
      sym__simple_heredoc_body,
    STATE(4488), 1,
      sym__heredoc_body,
    STATE(5969), 1,
      sym_heredoc_body,
  [252270] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11740), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11744), 1,
      sym_simple_heredoc_body,
    STATE(4421), 1,
      sym__heredoc_body,
    STATE(4427), 1,
      sym__simple_heredoc_body,
    STATE(6002), 1,
      sym_heredoc_body,
  [252289] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5717), 4,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_RBRACE3,
  [252299] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1282), 4,
      sym__concat,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [252309] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5588), 4,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_RBRACE3,
  [252319] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1246), 4,
      sym__concat,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [252329] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1266), 4,
      sym__concat,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [252339] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1226), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [252349] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11843), 1,
      anon_sym_esac,
    ACTIONS(11845), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11847), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [252363] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1266), 4,
      sym__concat,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [252373] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1234), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [252383] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1274), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [252393] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1258), 4,
      sym__concat,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [252403] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11849), 1,
      anon_sym_esac,
    ACTIONS(11851), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11853), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [252417] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11855), 1,
      anon_sym_esac,
    ACTIONS(11857), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11859), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(11861), 1,
      anon_sym_SEMI_SEMI_AMP,
  [252433] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11863), 1,
      anon_sym_esac,
    ACTIONS(11865), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11867), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(11869), 1,
      anon_sym_SEMI_SEMI_AMP,
  [252449] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11766), 1,
      sym__special_character,
    STATE(5137), 1,
      aux_sym__literal_repeat1,
    ACTIONS(11802), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [252463] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11871), 1,
      anon_sym_esac,
    ACTIONS(11873), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11875), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [252477] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11877), 1,
      anon_sym_RBRACE3,
    STATE(5006), 1,
      aux_sym__concatenation_in_expansion_repeat1,
    ACTIONS(11634), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [252491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11881), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11879), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_AMP,
  [252503] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11855), 1,
      anon_sym_esac,
    ACTIONS(11883), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11885), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(11887), 1,
      anon_sym_SEMI_SEMI_AMP,
  [252519] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1266), 4,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_RBRACE3,
  [252529] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1282), 4,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_RBRACE3,
  [252539] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1254), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [252549] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1286), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [252559] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11863), 1,
      anon_sym_esac,
    ACTIONS(11889), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11891), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(11893), 1,
      anon_sym_SEMI_SEMI_AMP,
  [252575] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1270), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [252585] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1266), 4,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_RBRACE3,
  [252595] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5683), 4,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_RBRACE3,
  [252605] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1210), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [252615] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1230), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [252625] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4613), 4,
      sym__concat,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [252635] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__special_character,
    ACTIONS(11790), 1,
      anon_sym_SLASH,
    ACTIONS(11792), 1,
      anon_sym_RBRACE3,
    STATE(5160), 1,
      aux_sym__literal_repeat1,
  [252651] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__special_character,
    ACTIONS(11734), 1,
      anon_sym_SLASH,
    ACTIONS(11736), 1,
      anon_sym_RBRACE3,
    STATE(5160), 1,
      aux_sym__literal_repeat1,
  [252667] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11895), 4,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_RBRACE3,
  [252677] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1246), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [252687] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11897), 1,
      anon_sym_esac,
    ACTIONS(11899), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11901), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(11903), 1,
      anon_sym_SEMI_SEMI_AMP,
  [252703] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1262), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [252713] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11905), 1,
      anon_sym_esac,
    ACTIONS(11907), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11909), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(11911), 1,
      anon_sym_SEMI_SEMI_AMP,
  [252729] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11913), 1,
      sym__special_character,
    STATE(5137), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1296), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [252743] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11897), 1,
      anon_sym_esac,
    ACTIONS(11916), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11918), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(11920), 1,
      anon_sym_SEMI_SEMI_AMP,
  [252759] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5606), 4,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_RBRACE3,
  [252769] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1278), 4,
      sym__concat,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [252779] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1258), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [252789] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1290), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [252799] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(419), 1,
      anon_sym_LBRACE,
    ACTIONS(11770), 1,
      anon_sym_do,
    STATE(3971), 1,
      sym_compound_statement,
    STATE(3987), 1,
      sym_do_group,
  [252815] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1266), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [252825] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1254), 4,
      sym__concat,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [252835] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1278), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [252845] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11748), 4,
      sym__concat,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [252855] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1290), 4,
      sym__concat,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [252865] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1238), 4,
      sym__concat,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [252875] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1238), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [252885] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6479), 1,
      sym__special_character,
    ACTIONS(11821), 1,
      anon_sym_SLASH,
    ACTIONS(11823), 1,
      anon_sym_RBRACE3,
    STATE(5160), 1,
      aux_sym__literal_repeat1,
  [252901] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4625), 4,
      sym__concat,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [252911] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1234), 4,
      sym__concat,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [252921] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11922), 1,
      anon_sym_esac,
    ACTIONS(11924), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11926), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [252935] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1282), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [252945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11760), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11755), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_AMP,
  [252957] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1242), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [252967] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11905), 1,
      anon_sym_esac,
    ACTIONS(11928), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11930), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(11932), 1,
      anon_sym_SEMI_SEMI_AMP,
  [252983] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(165), 1,
      anon_sym_LBRACE,
    ACTIONS(11819), 1,
      anon_sym_do,
    STATE(4461), 1,
      sym_do_group,
    STATE(4462), 1,
      sym_compound_statement,
  [252999] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11934), 1,
      sym__special_character,
    STATE(5160), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1296), 2,
      anon_sym_SLASH,
      anon_sym_RBRACE3,
  [253013] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1250), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [253023] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1266), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [253033] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11781), 1,
      anon_sym_do,
    STATE(3941), 1,
      sym_do_group,
    STATE(3943), 1,
      sym_compound_statement,
  [253049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11939), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11937), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_AMP,
  [253061] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11885), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(11887), 1,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(11941), 1,
      anon_sym_SEMI_SEMI,
  [253074] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(11943), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [253087] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11945), 1,
      anon_sym_COMMA,
    ACTIONS(11947), 1,
      anon_sym_RPAREN,
    STATE(5210), 1,
      aux_sym__for_body_repeat1,
  [253100] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(11949), 1,
      anon_sym_RPAREN,
    STATE(5290), 1,
      aux_sym_case_item_repeat1,
  [253113] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(11951), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [253126] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6192), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(11953), 1,
      anon_sym_COMMA,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [253139] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11909), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(11911), 1,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(11956), 1,
      anon_sym_SEMI_SEMI,
  [253152] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11958), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(11960), 1,
      anon_sym_COMMA,
    STATE(5213), 1,
      aux_sym__for_body_repeat1,
  [253165] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_LBRACK,
    ACTIONS(11962), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [253176] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1266), 3,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_RBRACE3,
  [253185] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1282), 3,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_RBRACE3,
  [253194] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(11966), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [253207] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(11968), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [253220] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(11970), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [253233] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11960), 1,
      anon_sym_COMMA,
    ACTIONS(11972), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5220), 1,
      aux_sym__for_body_repeat1,
  [253246] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1290), 3,
      sym__regex_no_slash,
      anon_sym_SLASH,
      anon_sym_RBRACE3,
  [253255] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_LBRACK,
    ACTIONS(11974), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [253266] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11960), 1,
      anon_sym_COMMA,
    ACTIONS(11976), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5213), 1,
      aux_sym__for_body_repeat1,
  [253279] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11945), 1,
      anon_sym_COMMA,
    ACTIONS(11978), 1,
      anon_sym_RPAREN,
    STATE(5195), 1,
      aux_sym__for_body_repeat1,
  [253292] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11960), 1,
      anon_sym_COMMA,
    ACTIONS(11980), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5172), 1,
      aux_sym__for_body_repeat1,
  [253305] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(11982), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [253318] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11960), 1,
      anon_sym_COMMA,
    ACTIONS(11984), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5193), 1,
      aux_sym__for_body_repeat1,
  [253331] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11960), 1,
      anon_sym_COMMA,
    ACTIONS(11986), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5213), 1,
      aux_sym__for_body_repeat1,
  [253344] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11960), 1,
      anon_sym_COMMA,
    ACTIONS(11988), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5276), 1,
      aux_sym__for_body_repeat1,
  [253357] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(11990), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [253370] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(11992), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [253383] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1266), 3,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_RBRACE3,
  [253392] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_LBRACK,
    ACTIONS(11994), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [253403] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11960), 1,
      anon_sym_COMMA,
    ACTIONS(11996), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5213), 1,
      aux_sym__for_body_repeat1,
  [253416] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11960), 1,
      anon_sym_COMMA,
    ACTIONS(11998), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5217), 1,
      aux_sym__for_body_repeat1,
  [253429] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11945), 1,
      anon_sym_COMMA,
    ACTIONS(12000), 1,
      anon_sym_RPAREN,
    STATE(5210), 1,
      aux_sym__for_body_repeat1,
  [253442] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11960), 1,
      anon_sym_COMMA,
    ACTIONS(12002), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5305), 1,
      aux_sym__for_body_repeat1,
  [253455] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12004), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [253468] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1200), 3,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      sym__special_character,
  [253477] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12006), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [253490] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1266), 3,
      sym_extglob_pattern,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [253499] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12008), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [253512] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(12010), 1,
      anon_sym_RPAREN,
    STATE(5290), 1,
      aux_sym_case_item_repeat1,
  [253525] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(12012), 1,
      anon_sym_RPAREN,
    STATE(5290), 1,
      aux_sym_case_item_repeat1,
  [253538] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(12014), 1,
      anon_sym_RPAREN,
    STATE(5290), 1,
      aux_sym_case_item_repeat1,
  [253551] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(12016), 1,
      anon_sym_RPAREN,
    STATE(5290), 1,
      aux_sym_case_item_repeat1,
  [253564] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12018), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [253577] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1282), 3,
      sym_extglob_pattern,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [253586] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1266), 3,
      sym_extglob_pattern,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [253595] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12020), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [253608] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11760), 1,
      anon_sym_RPAREN,
    ACTIONS(12022), 1,
      anon_sym_COMMA,
    STATE(5210), 1,
      aux_sym__for_body_repeat1,
  [253621] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_LBRACK,
    ACTIONS(12025), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [253632] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11901), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(11903), 1,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(12027), 1,
      anon_sym_SEMI_SEMI,
  [253645] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11760), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(12029), 1,
      anon_sym_COMMA,
    STATE(5213), 1,
      aux_sym__for_body_repeat1,
  [253658] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_LBRACK,
    ACTIONS(12032), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [253669] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11945), 1,
      anon_sym_COMMA,
    ACTIONS(12034), 1,
      anon_sym_RPAREN,
    STATE(5167), 1,
      aux_sym__for_body_repeat1,
  [253682] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_LBRACK,
    ACTIONS(12036), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [253693] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11960), 1,
      anon_sym_COMMA,
    ACTIONS(12038), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5213), 1,
      aux_sym__for_body_repeat1,
  [253706] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_LBRACK,
    ACTIONS(12040), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [253717] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12042), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [253730] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11960), 1,
      anon_sym_COMMA,
    ACTIONS(12044), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5213), 1,
      aux_sym__for_body_repeat1,
  [253743] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12046), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [253756] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(11706), 1,
      anon_sym_RPAREN,
    STATE(5317), 1,
      aux_sym_case_item_repeat1,
  [253769] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12048), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [253782] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12050), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [253795] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(12052), 1,
      anon_sym_RPAREN,
    STATE(5290), 1,
      aux_sym_case_item_repeat1,
  [253808] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_LBRACK,
    ACTIONS(12054), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [253819] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12056), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [253832] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1278), 3,
      sym__regex_no_slash,
      anon_sym_SLASH,
      anon_sym_RBRACE3,
  [253841] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12058), 1,
      sym__concat,
    ACTIONS(5559), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [253852] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_LBRACK,
    ACTIONS(12060), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [253863] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_LBRACK,
    ACTIONS(12062), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [253874] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12064), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [253887] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_LBRACK,
    ACTIONS(12066), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [253898] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_LBRACK,
    ACTIONS(12068), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [253909] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11945), 1,
      anon_sym_COMMA,
    ACTIONS(12070), 1,
      anon_sym_RPAREN,
    STATE(5286), 1,
      aux_sym__for_body_repeat1,
  [253922] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(11690), 1,
      anon_sym_RPAREN,
    STATE(5202), 1,
      aux_sym_case_item_repeat1,
  [253935] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_LBRACK,
    ACTIONS(12072), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [253946] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(12074), 1,
      anon_sym_RPAREN,
    STATE(5290), 1,
      aux_sym_case_item_repeat1,
  [253959] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12076), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [253972] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11859), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(11861), 1,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(12078), 1,
      anon_sym_SEMI_SEMI,
  [253985] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1290), 3,
      sym_extglob_pattern,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [253994] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(12080), 1,
      anon_sym_RPAREN,
    STATE(5290), 1,
      aux_sym_case_item_repeat1,
  [254007] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12082), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254020] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11960), 1,
      anon_sym_COMMA,
    ACTIONS(12084), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5182), 1,
      aux_sym__for_body_repeat1,
  [254033] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12086), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11853), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [254044] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12088), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254057] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11867), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(11869), 1,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(12090), 1,
      anon_sym_SEMI_SEMI,
  [254070] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12092), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11926), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [254081] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_LBRACK,
    ACTIONS(12094), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [254092] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11960), 1,
      anon_sym_COMMA,
    ACTIONS(12096), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5187), 1,
      aux_sym__for_body_repeat1,
  [254105] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1234), 3,
      sym__regex_no_slash,
      anon_sym_SLASH,
      anon_sym_RBRACE3,
  [254114] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12098), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254127] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1238), 3,
      sym_extglob_pattern,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [254136] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12100), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254149] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1278), 3,
      sym_extglob_pattern,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [254158] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(12102), 1,
      anon_sym_RPAREN,
    STATE(5290), 1,
      aux_sym_case_item_repeat1,
  [254171] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11891), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(11893), 1,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(12104), 1,
      anon_sym_SEMI_SEMI,
  [254184] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_LBRACK,
    ACTIONS(12106), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [254195] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12108), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254208] = 3,
    ACTIONS(71), 1,
      sym_comment,
    STATE(5006), 1,
      aux_sym__concatenation_in_expansion_repeat1,
    ACTIONS(11634), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [254219] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_LBRACK,
    ACTIONS(12110), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [254230] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1254), 3,
      sym_extglob_pattern,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [254239] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 1,
      sym__special_character,
    ACTIONS(1200), 2,
      anon_sym_SLASH,
      anon_sym_RBRACE3,
  [254250] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(12112), 1,
      anon_sym_RPAREN,
    STATE(5290), 1,
      aux_sym_case_item_repeat1,
  [254263] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12114), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254276] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12116), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254289] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12118), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254302] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12120), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11875), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [254313] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11960), 1,
      anon_sym_COMMA,
    ACTIONS(12122), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5213), 1,
      aux_sym__for_body_repeat1,
  [254326] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12124), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254339] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12126), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254352] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_LBRACK,
    ACTIONS(12128), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [254363] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12130), 1,
      sym__concat,
    ACTIONS(5588), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [254374] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12132), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11847), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [254385] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1234), 3,
      sym_extglob_pattern,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [254394] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11960), 1,
      anon_sym_COMMA,
    ACTIONS(12134), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5213), 1,
      aux_sym__for_body_repeat1,
  [254407] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12136), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254420] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11930), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(11932), 1,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(12138), 1,
      anon_sym_SEMI_SEMI,
  [254433] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_LBRACK,
    ACTIONS(12140), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [254444] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(11648), 1,
      anon_sym_RPAREN,
    STATE(5315), 1,
      aux_sym_case_item_repeat1,
  [254457] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12142), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254470] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12144), 1,
      sym__concat,
    ACTIONS(5606), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [254481] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12146), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254494] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12148), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254507] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12150), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254520] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11945), 1,
      anon_sym_COMMA,
    ACTIONS(12152), 1,
      anon_sym_RPAREN,
    STATE(5210), 1,
      aux_sym__for_body_repeat1,
  [254533] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12154), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254546] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11960), 1,
      anon_sym_COMMA,
    ACTIONS(12156), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5269), 1,
      aux_sym__for_body_repeat1,
  [254559] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(11642), 1,
      anon_sym_RPAREN,
    STATE(5204), 1,
      aux_sym_case_item_repeat1,
  [254572] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12158), 1,
      anon_sym_PIPE,
    ACTIONS(12161), 1,
      anon_sym_RPAREN,
    STATE(5290), 1,
      aux_sym_case_item_repeat1,
  [254585] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12163), 1,
      sym__concat,
    ACTIONS(5553), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [254596] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_LBRACK,
    ACTIONS(12165), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [254607] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12167), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254620] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_LBRACK,
    ACTIONS(12169), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [254631] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12171), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254644] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1230), 3,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_RBRACE3,
  [254653] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12173), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254666] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12175), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254679] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1274), 3,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_RBRACE3,
  [254688] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12177), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254701] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12179), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254714] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12181), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254727] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(12183), 1,
      anon_sym_RPAREN,
    STATE(5290), 1,
      aux_sym_case_item_repeat1,
  [254740] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12185), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254753] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11960), 1,
      anon_sym_COMMA,
    ACTIONS(12187), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5213), 1,
      aux_sym__for_body_repeat1,
  [254766] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11918), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(11920), 1,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(12189), 1,
      anon_sym_SEMI_SEMI,
  [254779] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(12191), 1,
      anon_sym_RPAREN,
    STATE(5290), 1,
      aux_sym_case_item_repeat1,
  [254792] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_LBRACK,
    ACTIONS(12193), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [254803] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12195), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254816] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12197), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254829] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_LBRACK,
    ACTIONS(12199), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [254840] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12201), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254853] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12203), 1,
      sym_extglob_pattern,
    ACTIONS(5509), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [254864] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12205), 1,
      anon_sym_SLASH,
    ACTIONS(12207), 1,
      anon_sym_RBRACE3,
    ACTIONS(12209), 1,
      sym__regex_no_slash,
  [254877] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(12211), 1,
      anon_sym_RPAREN,
    STATE(5290), 1,
      aux_sym_case_item_repeat1,
  [254890] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(12213), 1,
      anon_sym_RPAREN,
    STATE(5290), 1,
      aux_sym_case_item_repeat1,
  [254903] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(12215), 1,
      anon_sym_RPAREN,
    STATE(5290), 1,
      aux_sym_case_item_repeat1,
  [254916] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    ACTIONS(12217), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5170), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254929] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_PIPE,
    ACTIONS(12219), 1,
      anon_sym_RPAREN,
    STATE(5290), 1,
      aux_sym_case_item_repeat1,
  [254942] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_LBRACK,
    ACTIONS(12221), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [254953] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12205), 1,
      anon_sym_SLASH,
    ACTIONS(12207), 1,
      anon_sym_RBRACE3,
  [254963] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12199), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [254971] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11621), 1,
      anon_sym_COLON,
    ACTIONS(11623), 1,
      anon_sym_RBRACE3,
  [254981] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6753), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1198), 1,
      sym_expansion,
  [254991] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3396), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2016), 1,
      sym_expansion,
  [255001] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12169), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255009] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(963), 1,
      sym_expansion,
  [255019] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11535), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(4966), 1,
      sym_expansion,
  [255029] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12223), 1,
      anon_sym_SLASH,
    ACTIONS(12225), 1,
      anon_sym_RBRACE3,
  [255039] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12165), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255047] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6827), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2038), 1,
      sym_expansion,
  [255057] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3938), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2127), 1,
      sym_expansion,
  [255067] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11781), 1,
      anon_sym_do,
    STATE(3968), 1,
      sym_do_group,
  [255077] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4378), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(4382), 1,
      sym_expansion,
  [255087] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7404), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1461), 1,
      sym_expansion,
  [255097] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(889), 1,
      sym_expansion,
  [255107] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1911), 1,
      sym_expansion,
  [255117] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7195), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(4125), 1,
      sym_expansion,
  [255127] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5530), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [255135] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1234), 2,
      anon_sym_SLASH,
      anon_sym_RBRACE3,
  [255143] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11974), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255151] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12128), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255159] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11718), 1,
      anon_sym_SLASH,
    ACTIONS(11720), 1,
      anon_sym_RBRACE3,
  [255169] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11781), 1,
      anon_sym_do,
    STATE(3964), 1,
      sym_do_group,
  [255179] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3827), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2183), 1,
      sym_expansion,
  [255189] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6793), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1303), 1,
      sym_expansion,
  [255199] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(8916), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1339), 1,
      sym_expansion,
  [255209] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4104), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(4297), 1,
      sym_expansion,
  [255219] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(965), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1642), 1,
      sym_expansion,
  [255229] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5606), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255237] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4248), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2285), 1,
      sym_expansion,
  [255247] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5588), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255255] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2189), 1,
      sym_expansion,
  [255265] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(8402), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2723), 1,
      sym_expansion,
  [255275] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6647), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1299), 1,
      sym_expansion,
  [255285] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11798), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [255293] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11939), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [255301] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7096), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1065), 1,
      sym_expansion,
  [255311] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6887), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(977), 1,
      sym_expansion,
  [255321] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12140), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255329] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11819), 1,
      anon_sym_do,
    STATE(4464), 1,
      sym_do_group,
  [255339] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1262), 2,
      anon_sym_SLASH,
      anon_sym_RBRACE3,
  [255347] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11734), 1,
      anon_sym_SLASH,
    ACTIONS(11736), 1,
      anon_sym_RBRACE3,
  [255357] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12094), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255365] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1242), 2,
      anon_sym_SLASH,
      anon_sym_RBRACE3,
  [255373] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11632), 1,
      anon_sym_SLASH,
    ACTIONS(11636), 1,
      anon_sym_RBRACE3,
  [255383] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11881), 2,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
  [255391] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11819), 1,
      anon_sym_do,
    STATE(4472), 1,
      sym_do_group,
  [255401] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11770), 1,
      anon_sym_do,
    STATE(4018), 1,
      sym_do_group,
  [255411] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(696), 1,
      sym_expansion,
  [255421] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7134), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1063), 1,
      sym_expansion,
  [255431] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12193), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255439] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1250), 2,
      anon_sym_SLASH,
      anon_sym_RBRACE3,
  [255447] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11662), 1,
      anon_sym_SLASH,
    ACTIONS(11664), 1,
      anon_sym_RBRACE3,
  [255457] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1421), 1,
      sym_expansion,
  [255467] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12227), 1,
      anon_sym_SLASH,
    ACTIONS(12229), 1,
      anon_sym_RBRACE3,
  [255477] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6054), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(5105), 1,
      sym_expansion,
  [255487] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12221), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255495] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(4928), 1,
      sym_expansion,
  [255505] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6713), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(3616), 1,
      sym_expansion,
  [255515] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6921), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(3605), 1,
      sym_expansion,
  [255525] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12231), 1,
      anon_sym_SLASH,
    ACTIONS(12233), 1,
      anon_sym_RBRACE3,
  [255535] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7572), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2923), 1,
      sym_expansion,
  [255545] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12110), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255553] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2614), 1,
      sym_expansion,
  [255563] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11790), 1,
      anon_sym_SLASH,
    ACTIONS(11792), 1,
      anon_sym_RBRACE3,
  [255573] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12068), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255581] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12106), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255589] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12235), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(12237), 1,
      aux_sym__simple_variable_name_token1,
  [255599] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(125), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(372), 1,
      sym_expansion,
  [255609] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6609), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2945), 1,
      sym_expansion,
  [255619] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5717), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255627] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5683), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255635] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(689), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(764), 1,
      sym_expansion,
  [255645] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12066), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255653] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12036), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255661] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7552), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1749), 1,
      sym_expansion,
  [255671] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12239), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(12241), 1,
      aux_sym__simple_variable_name_token1,
  [255681] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(8190), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1085), 1,
      sym_expansion,
  [255691] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12243), 1,
      anon_sym_RBRACE3,
    ACTIONS(12245), 1,
      sym_regex,
  [255701] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1290), 2,
      anon_sym_SLASH,
      anon_sym_RBRACE3,
  [255709] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11821), 1,
      anon_sym_SLASH,
    ACTIONS(11823), 1,
      anon_sym_RBRACE3,
  [255719] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12062), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255727] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(305), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2197), 1,
      sym_expansion,
  [255737] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12032), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255745] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(8278), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(3653), 1,
      sym_expansion,
  [255755] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12060), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255763] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7456), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1607), 1,
      sym_expansion,
  [255773] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12054), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255781] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(205), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(416), 1,
      sym_expansion,
  [255791] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9076), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(4521), 1,
      sym_expansion,
  [255801] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7754), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2804), 1,
      sym_expansion,
  [255811] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11760), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [255819] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11760), 2,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
  [255827] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11770), 1,
      anon_sym_do,
    STATE(3969), 1,
      sym_do_group,
  [255837] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7674), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1965), 1,
      sym_expansion,
  [255847] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12040), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255855] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11962), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255863] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12247), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(12249), 1,
      aux_sym__simple_variable_name_token1,
  [255873] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7988), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(3655), 1,
      sym_expansion,
  [255883] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12072), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255891] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12251), 1,
      anon_sym_SLASH,
    ACTIONS(12253), 1,
      anon_sym_RBRACE3,
  [255901] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12025), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255909] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9551), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2638), 1,
      sym_expansion,
  [255919] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11939), 2,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
  [255927] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2415), 1,
      sym_expansion,
  [255937] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7432), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1275), 1,
      sym_expansion,
  [255947] = 3,
    ACTIONS(61), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(71), 1,
      sym_comment,
    STATE(880), 1,
      sym_expansion,
  [255957] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5599), 2,
      anon_sym_COLON,
      anon_sym_RBRACE3,
  [255965] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7490), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(3779), 1,
      sym_expansion,
  [255975] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11994), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255983] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6679), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1224), 1,
      sym_expansion,
  [255993] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11881), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [256001] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7064), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(4354), 1,
      sym_expansion,
  [256011] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(8114), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1498), 1,
      sym_expansion,
  [256021] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1278), 2,
      anon_sym_SLASH,
      anon_sym_RBRACE3,
  [256029] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9866), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2839), 1,
      sym_expansion,
  [256039] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12255), 1,
      anon_sym_RBRACE3,
  [256046] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12257), 1,
      aux_sym_brace_expression_token1,
  [256053] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12259), 1,
      aux_sym_brace_expression_token1,
  [256060] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12261), 1,
      aux_sym_brace_expression_token1,
  [256067] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12263), 1,
      aux_sym_brace_expression_token1,
  [256074] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12265), 1,
      aux_sym_brace_expression_token1,
  [256081] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12267), 1,
      anon_sym_fi,
  [256088] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12269), 1,
      aux_sym_brace_expression_token1,
  [256095] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12271), 1,
      sym_heredoc_end,
  [256102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12273), 1,
      aux_sym_heredoc_redirect_token1,
  [256109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12275), 1,
      aux_sym_heredoc_redirect_token1,
  [256116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12277), 1,
      aux_sym_heredoc_redirect_token1,
  [256123] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12279), 1,
      aux_sym_brace_expression_token1,
  [256130] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12281), 1,
      aux_sym_brace_expression_token1,
  [256137] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12283), 1,
      sym_heredoc_end,
  [256144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12285), 1,
      aux_sym_heredoc_redirect_token1,
  [256151] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12287), 1,
      aux_sym_brace_expression_token1,
  [256158] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12289), 1,
      anon_sym_LT_LT_LT,
  [256165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12291), 1,
      aux_sym_heredoc_redirect_token1,
  [256172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12293), 1,
      aux_sym_heredoc_redirect_token1,
  [256179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12295), 1,
      aux_sym_heredoc_redirect_token1,
  [256186] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11696), 1,
      anon_sym_RBRACE3,
  [256193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12297), 1,
      aux_sym_heredoc_redirect_token1,
  [256200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12299), 1,
      aux_sym_heredoc_redirect_token1,
  [256207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12301), 1,
      aux_sym_heredoc_redirect_token1,
  [256214] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12303), 1,
      aux_sym_brace_expression_token1,
  [256221] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12305), 1,
      anon_sym_esac,
  [256228] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12307), 1,
      aux_sym_brace_expression_token1,
  [256235] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12309), 1,
      sym_word,
  [256242] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12311), 1,
      anon_sym_esac,
  [256249] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12313), 1,
      anon_sym_LT_LT_LT,
  [256256] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12315), 1,
      anon_sym_RBRACE3,
  [256263] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12317), 1,
      anon_sym_RBRACE3,
  [256270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12319), 1,
      aux_sym_heredoc_redirect_token1,
  [256277] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12321), 1,
      aux_sym_brace_expression_token1,
  [256284] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11708), 1,
      anon_sym_RBRACE3,
  [256291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12323), 1,
      aux_sym_heredoc_redirect_token1,
  [256298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12325), 1,
      aux_sym_heredoc_redirect_token1,
  [256305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12327), 1,
      aux_sym_heredoc_redirect_token1,
  [256312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12329), 1,
      aux_sym_heredoc_redirect_token1,
  [256319] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12331), 1,
      anon_sym_in,
  [256326] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12333), 1,
      anon_sym_in,
  [256333] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11650), 1,
      anon_sym_RBRACE3,
  [256340] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12335), 1,
      aux_sym_brace_expression_token1,
  [256347] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12337), 1,
      anon_sym_RPAREN_RPAREN,
  [256354] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12339), 1,
      aux_sym_brace_expression_token1,
  [256361] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11708), 1,
      anon_sym_RBRACE3,
  [256368] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11708), 1,
      anon_sym_RBRACE3,
  [256375] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12341), 1,
      anon_sym_esac,
  [256382] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12343), 1,
      sym_word,
  [256389] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11708), 1,
      anon_sym_RBRACE3,
  [256396] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12345), 1,
      anon_sym_RPAREN,
  [256403] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12347), 1,
      aux_sym_brace_expression_token1,
  [256410] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12349), 1,
      anon_sym_RPAREN,
  [256417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12351), 1,
      aux_sym_heredoc_redirect_token1,
  [256424] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12353), 1,
      anon_sym_LT_LT_LT,
  [256431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12355), 1,
      aux_sym_heredoc_redirect_token1,
  [256438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12357), 1,
      aux_sym_heredoc_redirect_token1,
  [256445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12359), 1,
      aux_sym_heredoc_redirect_token1,
  [256452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12361), 1,
      aux_sym_heredoc_redirect_token1,
  [256459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12363), 1,
      aux_sym_heredoc_redirect_token1,
  [256466] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12365), 1,
      aux_sym_brace_expression_token1,
  [256473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12367), 1,
      aux_sym_heredoc_redirect_token1,
  [256480] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12369), 1,
      anon_sym_in,
  [256487] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12371), 1,
      anon_sym_in,
  [256494] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12373), 1,
      anon_sym_RPAREN_RPAREN,
  [256501] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12375), 1,
      aux_sym_brace_expression_token1,
  [256508] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12377), 1,
      sym_word,
  [256515] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12379), 1,
      anon_sym_BQUOTE,
  [256522] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12381), 1,
      anon_sym_BQUOTE,
  [256529] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12383), 1,
      aux_sym_brace_expression_token1,
  [256536] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12379), 1,
      anon_sym_RPAREN,
  [256543] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12385), 1,
      anon_sym_BQUOTE,
  [256550] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12387), 1,
      anon_sym_BQUOTE,
  [256557] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_esac,
  [256564] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12385), 1,
      anon_sym_RPAREN,
  [256571] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12349), 1,
      anon_sym_BQUOTE,
  [256578] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12391), 1,
      anon_sym_BQUOTE,
  [256585] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12393), 1,
      anon_sym_RBRACE3,
  [256592] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12395), 1,
      aux_sym_brace_expression_token1,
  [256599] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12397), 1,
      anon_sym_RBRACE3,
  [256606] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12399), 1,
      anon_sym_BQUOTE,
  [256613] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12401), 1,
      anon_sym_BQUOTE,
  [256620] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12399), 1,
      anon_sym_RPAREN,
  [256627] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12403), 1,
      anon_sym_RBRACE3,
  [256634] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11652), 1,
      anon_sym_fi,
  [256641] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12405), 1,
      anon_sym_BQUOTE,
  [256648] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12407), 1,
      anon_sym_BQUOTE,
  [256655] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12409), 1,
      aux_sym_brace_expression_token1,
  [256662] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12405), 1,
      anon_sym_RPAREN,
  [256669] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12411), 1,
      anon_sym_RBRACE3,
  [256676] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12413), 1,
      anon_sym_BQUOTE,
  [256683] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12415), 1,
      anon_sym_BQUOTE,
  [256690] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12413), 1,
      anon_sym_RPAREN,
  [256697] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12417), 1,
      anon_sym_RBRACE3,
  [256704] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12419), 1,
      anon_sym_BQUOTE,
  [256711] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12421), 1,
      anon_sym_BQUOTE,
  [256718] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12423), 1,
      aux_sym_brace_expression_token1,
  [256725] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12419), 1,
      anon_sym_RPAREN,
  [256732] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12425), 1,
      anon_sym_RBRACE3,
  [256739] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12427), 1,
      anon_sym_BQUOTE,
  [256746] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12429), 1,
      anon_sym_BQUOTE,
  [256753] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12427), 1,
      anon_sym_RPAREN,
  [256760] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12431), 1,
      anon_sym_RBRACE3,
  [256767] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12433), 1,
      anon_sym_BQUOTE,
  [256774] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12435), 1,
      anon_sym_BQUOTE,
  [256781] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12437), 1,
      aux_sym_brace_expression_token1,
  [256788] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12433), 1,
      anon_sym_RPAREN,
  [256795] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12439), 1,
      anon_sym_RBRACE3,
  [256802] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12441), 1,
      anon_sym_BQUOTE,
  [256809] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12443), 1,
      anon_sym_BQUOTE,
  [256816] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12441), 1,
      anon_sym_RPAREN,
  [256823] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12445), 1,
      anon_sym_RBRACE3,
  [256830] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12447), 1,
      aux_sym_brace_expression_token1,
  [256837] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12449), 1,
      anon_sym_BQUOTE,
  [256844] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12451), 1,
      anon_sym_BQUOTE,
  [256851] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12449), 1,
      anon_sym_RPAREN,
  [256858] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12453), 1,
      anon_sym_RBRACE3,
  [256865] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12455), 1,
      anon_sym_BQUOTE,
  [256872] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12457), 1,
      anon_sym_BQUOTE,
  [256879] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12459), 1,
      aux_sym_brace_expression_token1,
  [256886] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12455), 1,
      anon_sym_RPAREN,
  [256893] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12461), 1,
      anon_sym_RBRACE3,
  [256900] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12463), 1,
      anon_sym_BQUOTE,
  [256907] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12465), 1,
      anon_sym_BQUOTE,
  [256914] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12463), 1,
      anon_sym_RPAREN,
  [256921] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12467), 1,
      anon_sym_RBRACE3,
  [256928] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12469), 1,
      aux_sym_brace_expression_token1,
  [256935] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12471), 1,
      anon_sym_BQUOTE,
  [256942] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12473), 1,
      anon_sym_BQUOTE,
  [256949] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12471), 1,
      anon_sym_RPAREN,
  [256956] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11783), 1,
      anon_sym_RBRACE3,
  [256963] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12475), 1,
      anon_sym_RBRACE3,
  [256970] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12477), 1,
      anon_sym_BQUOTE,
  [256977] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12479), 1,
      aux_sym_brace_expression_token1,
  [256984] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12481), 1,
      anon_sym_BQUOTE,
  [256991] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12477), 1,
      anon_sym_RPAREN,
  [256998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12483), 1,
      aux_sym_heredoc_redirect_token1,
  [257005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12485), 1,
      aux_sym_heredoc_redirect_token1,
  [257012] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12487), 1,
      anon_sym_RBRACE2,
  [257019] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12489), 1,
      anon_sym_BQUOTE,
  [257026] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12491), 1,
      aux_sym_brace_expression_token1,
  [257033] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12493), 1,
      anon_sym_BQUOTE,
  [257040] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12495), 1,
      anon_sym_esac,
  [257047] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12489), 1,
      anon_sym_RPAREN,
  [257054] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12497), 1,
      anon_sym_RBRACE3,
  [257061] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12499), 1,
      anon_sym_RBRACE2,
  [257068] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12501), 1,
      anon_sym_RPAREN,
  [257075] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12503), 1,
      aux_sym_brace_expression_token1,
  [257082] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12505), 1,
      anon_sym_BQUOTE,
  [257089] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12507), 1,
      anon_sym_BQUOTE,
  [257096] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12509), 1,
      anon_sym_esac,
  [257103] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11783), 1,
      anon_sym_RBRACE3,
  [257110] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11783), 1,
      anon_sym_RBRACE3,
  [257117] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11783), 1,
      anon_sym_RBRACE3,
  [257124] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12511), 1,
      aux_sym_brace_expression_token1,
  [257131] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12505), 1,
      anon_sym_RPAREN,
  [257138] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12513), 1,
      anon_sym_RBRACE3,
  [257145] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11783), 1,
      anon_sym_RBRACE3,
  [257152] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11783), 1,
      anon_sym_RBRACE3,
  [257159] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11783), 1,
      anon_sym_RBRACE3,
  [257166] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12515), 1,
      anon_sym_RBRACE3,
  [257173] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12517), 1,
      aux_sym_brace_expression_token1,
  [257180] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12519), 1,
      anon_sym_RBRACE3,
  [257187] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12521), 1,
      anon_sym_RPAREN,
  [257194] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12523), 1,
      anon_sym_BQUOTE,
  [257201] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11783), 1,
      anon_sym_RBRACE3,
  [257208] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11783), 1,
      anon_sym_RBRACE3,
  [257215] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11783), 1,
      anon_sym_RBRACE3,
  [257222] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12525), 1,
      aux_sym_brace_expression_token1,
  [257229] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12527), 1,
      anon_sym_BQUOTE,
  [257236] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12523), 1,
      anon_sym_RPAREN,
  [257243] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11783), 1,
      anon_sym_RBRACE3,
  [257250] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11783), 1,
      anon_sym_RBRACE3,
  [257257] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12529), 1,
      anon_sym_RBRACE3,
  [257264] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11746), 1,
      anon_sym_RBRACE3,
  [257271] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12531), 1,
      aux_sym_brace_expression_token1,
  [257278] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12533), 1,
      anon_sym_RBRACE2,
  [257285] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12535), 1,
      anon_sym_RPAREN,
  [257292] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11746), 1,
      anon_sym_RBRACE3,
  [257299] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11746), 1,
      anon_sym_RBRACE3,
  [257306] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11746), 1,
      anon_sym_RBRACE3,
  [257313] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11746), 1,
      anon_sym_RBRACE3,
  [257320] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12537), 1,
      aux_sym_brace_expression_token1,
  [257327] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12539), 1,
      anon_sym_BQUOTE,
  [257334] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12541), 1,
      anon_sym_BQUOTE,
  [257341] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11746), 1,
      anon_sym_RBRACE3,
  [257348] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11783), 1,
      anon_sym_RBRACE3,
  [257355] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11783), 1,
      anon_sym_RBRACE3,
  [257362] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11783), 1,
      anon_sym_RBRACE3,
  [257369] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12543), 1,
      aux_sym_brace_expression_token1,
  [257376] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12545), 1,
      anon_sym_RBRACE3,
  [257383] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12539), 1,
      anon_sym_RPAREN,
  [257390] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11783), 1,
      anon_sym_RBRACE3,
  [257397] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11783), 1,
      anon_sym_RBRACE3,
  [257404] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11783), 1,
      anon_sym_RBRACE3,
  [257411] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11467), 1,
      anon_sym_RBRACE3,
  [257418] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12547), 1,
      aux_sym_brace_expression_token1,
  [257425] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12549), 1,
      anon_sym_RBRACE3,
  [257432] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12551), 1,
      anon_sym_RBRACE2,
  [257439] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12553), 1,
      anon_sym_RPAREN,
  [257446] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11877), 1,
      anon_sym_RBRACE3,
  [257453] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12555), 1,
      anon_sym_BQUOTE,
  [257460] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12557), 1,
      anon_sym_BQUOTE,
  [257467] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12559), 1,
      aux_sym_brace_expression_token1,
  [257474] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12555), 1,
      anon_sym_RPAREN,
  [257481] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12561), 1,
      anon_sym_RBRACE3,
  [257488] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12563), 1,
      anon_sym_RBRACE3,
  [257495] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12565), 1,
      anon_sym_RBRACE2,
  [257502] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12567), 1,
      anon_sym_RPAREN,
  [257509] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12569), 1,
      anon_sym_BQUOTE,
  [257516] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12571), 1,
      aux_sym_brace_expression_token1,
  [257523] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12573), 1,
      anon_sym_BQUOTE,
  [257530] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12569), 1,
      anon_sym_RPAREN,
  [257537] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12575), 1,
      anon_sym_RBRACE3,
  [257544] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12577), 1,
      anon_sym_RBRACE2,
  [257551] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12579), 1,
      anon_sym_RPAREN,
  [257558] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12581), 1,
      anon_sym_BQUOTE,
  [257565] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12583), 1,
      aux_sym_brace_expression_token1,
  [257572] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12585), 1,
      anon_sym_BQUOTE,
  [257579] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12581), 1,
      anon_sym_RPAREN,
  [257586] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12587), 1,
      anon_sym_RBRACE3,
  [257593] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12589), 1,
      anon_sym_RBRACE3,
  [257600] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12591), 1,
      anon_sym_RBRACE3,
  [257607] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12593), 1,
      anon_sym_RBRACE3,
  [257614] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12595), 1,
      aux_sym_brace_expression_token1,
  [257621] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12597), 1,
      anon_sym_RBRACE3,
  [257628] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12599), 1,
      anon_sym_RBRACE2,
  [257635] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12601), 1,
      anon_sym_RPAREN,
  [257642] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12603), 1,
      anon_sym_BQUOTE,
  [257649] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12605), 1,
      anon_sym_BQUOTE,
  [257656] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12603), 1,
      anon_sym_RPAREN,
  [257663] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12607), 1,
      aux_sym_brace_expression_token1,
  [257670] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12609), 1,
      anon_sym_RBRACE3,
  [257677] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12611), 1,
      anon_sym_RBRACE2,
  [257684] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12613), 1,
      anon_sym_RPAREN,
  [257691] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_esac,
  [257698] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12617), 1,
      anon_sym_BQUOTE,
  [257705] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12619), 1,
      anon_sym_BQUOTE,
  [257712] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12621), 1,
      aux_sym_brace_expression_token1,
  [257719] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12617), 1,
      anon_sym_RPAREN,
  [257726] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12623), 1,
      anon_sym_RBRACE3,
  [257733] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12625), 1,
      anon_sym_RBRACE2,
  [257740] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12627), 1,
      anon_sym_RPAREN,
  [257747] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12629), 1,
      anon_sym_esac,
  [257754] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12631), 1,
      anon_sym_BQUOTE,
  [257761] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12633), 1,
      aux_sym_brace_expression_token1,
  [257768] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_BQUOTE,
  [257775] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12631), 1,
      anon_sym_RPAREN,
  [257782] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12637), 1,
      anon_sym_RBRACE3,
  [257789] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12639), 1,
      anon_sym_RBRACE2,
  [257796] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12641), 1,
      anon_sym_RPAREN,
  [257803] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12643), 1,
      anon_sym_BQUOTE,
  [257810] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12645), 1,
      aux_sym_brace_expression_token1,
  [257817] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12647), 1,
      anon_sym_BQUOTE,
  [257824] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12643), 1,
      anon_sym_RPAREN,
  [257831] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11658), 1,
      anon_sym_fi,
  [257838] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12649), 1,
      anon_sym_RBRACE3,
  [257845] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12651), 1,
      anon_sym_RBRACE2,
  [257852] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12653), 1,
      anon_sym_RPAREN,
  [257859] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12655), 1,
      aux_sym_brace_expression_token1,
  [257866] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12657), 1,
      anon_sym_BQUOTE,
  [257873] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12659), 1,
      anon_sym_BQUOTE,
  [257880] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12657), 1,
      anon_sym_RPAREN,
  [257887] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12661), 1,
      anon_sym_RBRACE3,
  [257894] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12663), 1,
      anon_sym_RBRACE2,
  [257901] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12665), 1,
      anon_sym_RPAREN,
  [257908] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12667), 1,
      aux_sym_brace_expression_token1,
  [257915] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12669), 1,
      anon_sym_BQUOTE,
  [257922] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12671), 1,
      anon_sym_BQUOTE,
  [257929] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12669), 1,
      anon_sym_RPAREN,
  [257936] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12673), 1,
      anon_sym_RBRACE3,
  [257943] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12675), 1,
      anon_sym_RBRACE2,
  [257950] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12677), 1,
      anon_sym_RPAREN,
  [257957] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12679), 1,
      aux_sym_brace_expression_token1,
  [257964] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12681), 1,
      anon_sym_BQUOTE,
  [257971] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12683), 1,
      anon_sym_BQUOTE,
  [257978] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12681), 1,
      anon_sym_RPAREN,
  [257985] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12685), 1,
      anon_sym_RBRACE3,
  [257992] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12687), 1,
      anon_sym_RBRACE2,
  [257999] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12689), 1,
      anon_sym_RPAREN,
  [258006] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12691), 1,
      anon_sym_BQUOTE,
  [258013] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12693), 1,
      anon_sym_BQUOTE,
  [258020] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12691), 1,
      anon_sym_RPAREN,
  [258027] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12695), 1,
      anon_sym_RBRACE3,
  [258034] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12697), 1,
      anon_sym_RBRACE2,
  [258041] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12699), 1,
      anon_sym_RPAREN,
  [258048] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12701), 1,
      anon_sym_BQUOTE,
  [258055] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12703), 1,
      anon_sym_BQUOTE,
  [258062] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12701), 1,
      anon_sym_RPAREN,
  [258069] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12705), 1,
      anon_sym_RBRACE2,
  [258076] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12707), 1,
      anon_sym_RBRACE2,
  [258083] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12709), 1,
      anon_sym_RBRACE2,
  [258090] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7516), 1,
      anon_sym_RBRACK,
  [258097] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7518), 1,
      anon_sym_RBRACK,
  [258104] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12711), 1,
      anon_sym_RPAREN,
  [258111] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12713), 1,
      anon_sym_BQUOTE,
  [258118] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12715), 1,
      anon_sym_BQUOTE,
  [258125] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12713), 1,
      anon_sym_RPAREN,
  [258132] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12717), 1,
      anon_sym_RBRACE3,
  [258139] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12719), 1,
      anon_sym_RBRACE2,
  [258146] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12721), 1,
      anon_sym_RPAREN,
  [258153] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12723), 1,
      anon_sym_BQUOTE,
  [258160] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12725), 1,
      anon_sym_BQUOTE,
  [258167] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12723), 1,
      anon_sym_RPAREN,
  [258174] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12727), 1,
      anon_sym_RBRACE3,
  [258181] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12729), 1,
      anon_sym_RBRACE2,
  [258188] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12731), 1,
      anon_sym_RPAREN,
  [258195] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12733), 1,
      anon_sym_BQUOTE,
  [258202] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12735), 1,
      sym_heredoc_start,
  [258209] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12737), 1,
      anon_sym_BQUOTE,
  [258216] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12733), 1,
      anon_sym_RPAREN,
  [258223] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12739), 1,
      anon_sym_RBRACE3,
  [258230] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12741), 1,
      anon_sym_RBRACE2,
  [258237] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11809), 1,
      anon_sym_RBRACE3,
  [258244] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11809), 1,
      anon_sym_RBRACE3,
  [258251] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11809), 1,
      anon_sym_RBRACE3,
  [258258] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11809), 1,
      anon_sym_RBRACE3,
  [258265] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11809), 1,
      anon_sym_RBRACE3,
  [258272] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11809), 1,
      anon_sym_RBRACE3,
  [258279] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12743), 1,
      anon_sym_RPAREN,
  [258286] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12745), 1,
      anon_sym_LBRACK,
  [258293] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12747), 1,
      anon_sym_BQUOTE,
  [258300] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12749), 1,
      anon_sym_BQUOTE,
  [258307] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12747), 1,
      anon_sym_RPAREN,
  [258314] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12751), 1,
      anon_sym_RBRACE3,
  [258321] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12249), 1,
      aux_sym__simple_variable_name_token1,
  [258328] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12753), 1,
      anon_sym_RBRACE2,
  [258335] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12755), 1,
      anon_sym_RPAREN,
  [258342] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12757), 1,
      sym_word,
  [258349] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12759), 1,
      anon_sym_BQUOTE,
  [258356] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12761), 1,
      anon_sym_DOT_DOT,
  [258363] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12763), 1,
      anon_sym_BQUOTE,
  [258370] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12759), 1,
      anon_sym_RPAREN,
  [258377] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11794), 1,
      anon_sym_RBRACE3,
  [258384] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12765), 1,
      anon_sym_RPAREN,
  [258391] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12767), 1,
      sym_heredoc_start,
  [258398] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12769), 1,
      anon_sym_RBRACE3,
  [258405] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12771), 1,
      anon_sym_RBRACE2,
  [258412] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11794), 1,
      anon_sym_RBRACE3,
  [258419] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11794), 1,
      anon_sym_RBRACE3,
  [258426] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11794), 1,
      anon_sym_RBRACE3,
  [258433] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11794), 1,
      anon_sym_RBRACE3,
  [258440] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11794), 1,
      anon_sym_RBRACE3,
  [258447] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11809), 1,
      anon_sym_RBRACE3,
  [258454] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11809), 1,
      anon_sym_RBRACE3,
  [258461] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11809), 1,
      anon_sym_RBRACE3,
  [258468] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11809), 1,
      anon_sym_RBRACE3,
  [258475] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11809), 1,
      anon_sym_RBRACE3,
  [258482] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11809), 1,
      anon_sym_RBRACE3,
  [258489] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12773), 1,
      anon_sym_RPAREN,
  [258496] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12775), 1,
      anon_sym_BQUOTE,
  [258503] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12777), 1,
      anon_sym_BQUOTE,
  [258510] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12775), 1,
      anon_sym_RPAREN,
  [258517] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12779), 1,
      sym_heredoc_start,
  [258524] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12781), 1,
      anon_sym_RBRACE3,
  [258531] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12783), 1,
      anon_sym_RBRACE2,
  [258538] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12785), 1,
      anon_sym_RPAREN,
  [258545] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12787), 1,
      anon_sym_BQUOTE,
  [258552] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12789), 1,
      anon_sym_BQUOTE,
  [258559] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12787), 1,
      anon_sym_RPAREN,
  [258566] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12791), 1,
      anon_sym_RBRACE3,
  [258573] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12793), 1,
      anon_sym_RBRACE2,
  [258580] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12795), 1,
      anon_sym_RPAREN,
  [258587] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12797), 1,
      anon_sym_BQUOTE,
  [258594] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12799), 1,
      anon_sym_BQUOTE,
  [258601] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12797), 1,
      anon_sym_RPAREN,
  [258608] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12801), 1,
      anon_sym_RBRACE3,
  [258615] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12803), 1,
      anon_sym_RBRACE2,
  [258622] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12805), 1,
      anon_sym_RPAREN,
  [258629] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12807), 1,
      anon_sym_BQUOTE,
  [258636] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12809), 1,
      anon_sym_BQUOTE,
  [258643] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12807), 1,
      anon_sym_RPAREN,
  [258650] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12811), 1,
      anon_sym_RBRACE3,
  [258657] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12813), 1,
      anon_sym_RBRACE2,
  [258664] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12815), 1,
      anon_sym_RPAREN,
  [258671] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12817), 1,
      anon_sym_BQUOTE,
  [258678] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12819), 1,
      anon_sym_BQUOTE,
  [258685] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12817), 1,
      anon_sym_RPAREN,
  [258692] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12821), 1,
      anon_sym_RBRACE3,
  [258699] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12823), 1,
      anon_sym_in,
  [258706] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12825), 1,
      anon_sym_in,
  [258713] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12827), 1,
      anon_sym_RBRACE2,
  [258720] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12829), 1,
      anon_sym_RPAREN,
  [258727] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12831), 1,
      anon_sym_BQUOTE,
  [258734] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12833), 1,
      anon_sym_BQUOTE,
  [258741] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12831), 1,
      anon_sym_RPAREN,
  [258748] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_RBRACE3,
  [258755] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12837), 1,
      anon_sym_RBRACE2,
  [258762] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12839), 1,
      anon_sym_RPAREN,
  [258769] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12841), 1,
      anon_sym_BQUOTE,
  [258776] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12843), 1,
      anon_sym_BQUOTE,
  [258783] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12841), 1,
      anon_sym_RPAREN,
  [258790] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12845), 1,
      anon_sym_RBRACE3,
  [258797] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12847), 1,
      anon_sym_RBRACE2,
  [258804] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12849), 1,
      anon_sym_RPAREN,
  [258811] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12851), 1,
      anon_sym_BQUOTE,
  [258818] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12853), 1,
      anon_sym_BQUOTE,
  [258825] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12851), 1,
      anon_sym_RPAREN,
  [258832] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12855), 1,
      anon_sym_RBRACE3,
  [258839] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12857), 1,
      anon_sym_RPAREN,
  [258846] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12859), 1,
      anon_sym_RPAREN,
  [258853] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12861), 1,
      anon_sym_BQUOTE,
  [258860] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12863), 1,
      anon_sym_BQUOTE,
  [258867] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12861), 1,
      anon_sym_RPAREN,
  [258874] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12865), 1,
      anon_sym_RBRACE3,
  [258881] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12867), 1,
      anon_sym_RBRACE2,
  [258888] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12869), 1,
      anon_sym_RPAREN,
  [258895] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12871), 1,
      anon_sym_BQUOTE,
  [258902] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12873), 1,
      anon_sym_RPAREN_RPAREN,
  [258909] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12875), 1,
      anon_sym_BQUOTE,
  [258916] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12871), 1,
      anon_sym_RPAREN,
  [258923] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12877), 1,
      aux_sym_brace_expression_token1,
  [258930] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12879), 1,
      anon_sym_RBRACE3,
  [258937] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12881), 1,
      anon_sym_RBRACE2,
  [258944] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12883), 1,
      anon_sym_RPAREN,
  [258951] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12857), 1,
      anon_sym_BQUOTE,
  [258958] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12885), 1,
      anon_sym_BQUOTE,
  [258965] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12887), 1,
      anon_sym_RBRACE2,
  [258972] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12889), 1,
      anon_sym_RBRACE3,
  [258979] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12891), 1,
      anon_sym_RBRACE2,
  [258986] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12893), 1,
      anon_sym_RPAREN,
  [258993] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12895), 1,
      anon_sym_BQUOTE,
  [259000] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12897), 1,
      anon_sym_BQUOTE,
  [259007] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12895), 1,
      anon_sym_RPAREN,
  [259014] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12899), 1,
      anon_sym_RBRACE2,
  [259021] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12901), 1,
      anon_sym_RPAREN,
  [259028] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12903), 1,
      anon_sym_BQUOTE,
  [259035] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12905), 1,
      anon_sym_BQUOTE,
  [259042] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12903), 1,
      anon_sym_RPAREN,
  [259049] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12907), 1,
      anon_sym_RBRACE3,
  [259056] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12909), 1,
      anon_sym_RBRACE2,
  [259063] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12911), 1,
      anon_sym_RPAREN,
  [259070] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12913), 1,
      anon_sym_BQUOTE,
  [259077] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12915), 1,
      anon_sym_BQUOTE,
  [259084] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_LT_LT_LT,
  [259091] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12913), 1,
      anon_sym_RPAREN,
  [259098] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12919), 1,
      anon_sym_RBRACE3,
  [259105] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12921), 1,
      anon_sym_BQUOTE,
  [259112] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12923), 1,
      anon_sym_RPAREN,
  [259119] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12925), 1,
      anon_sym_BQUOTE,
  [259126] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12927), 1,
      anon_sym_BQUOTE,
  [259133] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12929), 1,
      anon_sym_RBRACE3,
  [259140] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12925), 1,
      anon_sym_RPAREN,
  [259147] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12931), 1,
      anon_sym_RBRACE3,
  [259154] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12933), 1,
      anon_sym_RBRACE3,
  [259161] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12935), 1,
      anon_sym_RBRACE2,
  [259168] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12937), 1,
      anon_sym_RPAREN,
  [259175] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12939), 1,
      anon_sym_BQUOTE,
  [259182] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12941), 1,
      anon_sym_BQUOTE,
  [259189] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12943), 1,
      anon_sym_RBRACE3,
  [259196] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12939), 1,
      anon_sym_RPAREN,
  [259203] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12945), 1,
      anon_sym_RBRACE3,
  [259210] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12237), 1,
      aux_sym__simple_variable_name_token1,
  [259217] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12947), 1,
      sym_heredoc_start,
  [259224] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12949), 1,
      anon_sym_RBRACE2,
  [259231] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12951), 1,
      sym_word,
  [259238] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12953), 1,
      anon_sym_DOT_DOT,
  [259245] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12955), 1,
      anon_sym_RPAREN,
  [259252] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12957), 1,
      anon_sym_BQUOTE,
  [259259] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12959), 1,
      anon_sym_RPAREN,
  [259266] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12961), 1,
      sym_heredoc_start,
  [259273] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12963), 1,
      anon_sym_BQUOTE,
  [259280] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12957), 1,
      anon_sym_RPAREN,
  [259287] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12965), 1,
      anon_sym_RPAREN,
  [259294] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12967), 1,
      sym_heredoc_start,
  [259301] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12969), 1,
      anon_sym_RBRACE3,
  [259308] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12971), 1,
      anon_sym_RPAREN,
  [259315] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12973), 1,
      anon_sym_BQUOTE,
  [259322] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12975), 1,
      anon_sym_BQUOTE,
  [259329] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12973), 1,
      anon_sym_RPAREN,
  [259336] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12977), 1,
      anon_sym_RBRACE2,
  [259343] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12979), 1,
      anon_sym_RPAREN,
  [259350] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12981), 1,
      anon_sym_RBRACE3,
  [259357] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12983), 1,
      anon_sym_BQUOTE,
  [259364] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12985), 1,
      anon_sym_BQUOTE,
  [259371] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12983), 1,
      anon_sym_RPAREN,
  [259378] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12987), 1,
      anon_sym_RBRACE3,
  [259385] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12989), 1,
      anon_sym_RBRACE2,
  [259392] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12991), 1,
      anon_sym_RPAREN,
  [259399] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12993), 1,
      anon_sym_BQUOTE,
  [259406] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12995), 1,
      anon_sym_BQUOTE,
  [259413] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12993), 1,
      anon_sym_RPAREN,
  [259420] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12997), 1,
      anon_sym_RBRACE3,
  [259427] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12999), 1,
      anon_sym_RBRACE2,
  [259434] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13001), 1,
      anon_sym_RPAREN,
  [259441] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13003), 1,
      anon_sym_RBRACE3,
  [259448] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13005), 1,
      anon_sym_BQUOTE,
  [259455] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12921), 1,
      anon_sym_RPAREN,
  [259462] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13007), 1,
      anon_sym_RBRACE3,
  [259469] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13009), 1,
      anon_sym_RBRACE2,
  [259476] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13011), 1,
      anon_sym_RPAREN,
  [259483] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13013), 1,
      anon_sym_BQUOTE,
  [259490] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13015), 1,
      anon_sym_BQUOTE,
  [259497] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13013), 1,
      anon_sym_RPAREN,
  [259504] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13017), 1,
      anon_sym_RBRACE3,
  [259511] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13019), 1,
      anon_sym_RBRACE2,
  [259518] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7526), 1,
      anon_sym_RBRACK,
  [259525] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7474), 1,
      anon_sym_RBRACK,
  [259532] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13021), 1,
      anon_sym_RPAREN,
  [259539] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13023), 1,
      anon_sym_BQUOTE,
  [259546] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13025), 1,
      anon_sym_BQUOTE,
  [259553] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13023), 1,
      anon_sym_RPAREN,
  [259560] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13027), 1,
      anon_sym_RBRACE3,
  [259567] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13029), 1,
      anon_sym_RBRACE2,
  [259574] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13031), 1,
      anon_sym_RPAREN,
  [259581] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7510), 1,
      anon_sym_RBRACK,
  [259588] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7466), 1,
      anon_sym_RBRACK,
  [259595] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13033), 1,
      anon_sym_RPAREN,
  [259602] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13035), 1,
      anon_sym_DOT_DOT,
  [259609] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13037), 1,
      anon_sym_BQUOTE,
  [259616] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13039), 1,
      anon_sym_BQUOTE,
  [259623] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13037), 1,
      anon_sym_RPAREN,
  [259630] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13041), 1,
      anon_sym_esac,
  [259637] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13043), 1,
      sym_heredoc_end,
  [259644] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13045), 1,
      sym_heredoc_end,
  [259651] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13047), 1,
      anon_sym_RBRACE2,
  [259658] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7580), 1,
      anon_sym_RBRACK,
  [259665] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7560), 1,
      anon_sym_RBRACK,
  [259672] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13049), 1,
      anon_sym_RBRACE3,
  [259679] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13051), 1,
      anon_sym_RPAREN,
  [259686] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13053), 1,
      anon_sym_BQUOTE,
  [259693] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13055), 1,
      anon_sym_BQUOTE,
  [259700] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13053), 1,
      anon_sym_RPAREN,
  [259707] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13057), 1,
      anon_sym_RBRACE3,
  [259714] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13059), 1,
      anon_sym_esac,
  [259721] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13061), 1,
      anon_sym_esac,
  [259728] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13063), 1,
      anon_sym_esac,
  [259735] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13065), 1,
      ts_builtin_sym_end,
  [259742] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13067), 1,
      anon_sym_esac,
  [259749] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13069), 1,
      anon_sym_fi,
  [259756] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13071), 1,
      sym_heredoc_end,
  [259763] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13073), 1,
      sym_word,
  [259770] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13075), 1,
      anon_sym_DOT_DOT,
  [259777] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13077), 1,
      ts_builtin_sym_end,
  [259784] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13079), 1,
      anon_sym_RPAREN,
  [259791] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13081), 1,
      sym_heredoc_start,
  [259798] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13083), 1,
      sym_heredoc_end,
  [259805] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13085), 1,
      anon_sym_esac,
  [259812] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13087), 1,
      sym_heredoc_start,
  [259819] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13089), 1,
      anon_sym_esac,
  [259826] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11688), 1,
      anon_sym_fi,
  [259833] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7706), 1,
      anon_sym_RBRACK,
  [259840] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13091), 1,
      anon_sym_esac,
  [259847] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11682), 1,
      anon_sym_fi,
  [259854] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13093), 1,
      anon_sym_RBRACE2,
  [259861] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13095), 1,
      anon_sym_RPAREN,
  [259868] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7602), 1,
      anon_sym_RBRACK,
  [259875] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13097), 1,
      anon_sym_RPAREN,
  [259882] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13099), 1,
      anon_sym_RPAREN,
  [259889] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13101), 1,
      anon_sym_BQUOTE,
  [259896] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13103), 1,
      anon_sym_BQUOTE,
  [259903] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13105), 1,
      sym_word,
  [259910] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13107), 1,
      anon_sym_DOT_DOT,
  [259917] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13109), 1,
      anon_sym_RPAREN,
  [259924] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13101), 1,
      anon_sym_RPAREN,
  [259931] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13111), 1,
      anon_sym_RBRACE3,
  [259938] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13113), 1,
      anon_sym_LT_LT_LT,
  [259945] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13115), 1,
      anon_sym_RPAREN,
  [259952] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13117), 1,
      anon_sym_esac,
  [259959] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13119), 1,
      anon_sym_esac,
  [259966] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13121), 1,
      anon_sym_esac,
  [259973] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13123), 1,
      anon_sym_esac,
  [259980] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13125), 1,
      anon_sym_fi,
  [259987] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13127), 1,
      sym_heredoc_end,
  [259994] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13129), 1,
      sym_heredoc_end,
  [260001] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13131), 1,
      anon_sym_esac,
  [260008] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13133), 1,
      anon_sym_esac,
  [260015] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11670), 1,
      anon_sym_fi,
  [260022] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13135), 1,
      anon_sym_DOT_DOT,
  [260029] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13137), 1,
      anon_sym_esac,
  [260036] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13139), 1,
      anon_sym_DOT_DOT,
  [260043] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13141), 1,
      anon_sym_DOT_DOT,
  [260050] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13143), 1,
      anon_sym_DOT_DOT,
  [260057] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13145), 1,
      anon_sym_DOT_DOT,
  [260064] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13147), 1,
      anon_sym_DOT_DOT,
  [260071] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13149), 1,
      anon_sym_DOT_DOT,
  [260078] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13151), 1,
      anon_sym_DOT_DOT,
  [260085] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13153), 1,
      anon_sym_DOT_DOT,
  [260092] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13155), 1,
      anon_sym_DOT_DOT,
  [260099] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13157), 1,
      anon_sym_DOT_DOT,
  [260106] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13159), 1,
      anon_sym_DOT_DOT,
  [260113] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13161), 1,
      anon_sym_DOT_DOT,
  [260120] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13163), 1,
      anon_sym_DOT_DOT,
  [260127] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13165), 1,
      anon_sym_DOT_DOT,
  [260134] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13167), 1,
      anon_sym_DOT_DOT,
  [260141] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13169), 1,
      anon_sym_DOT_DOT,
  [260148] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13171), 1,
      anon_sym_DOT_DOT,
  [260155] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13173), 1,
      anon_sym_DOT_DOT,
  [260162] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13175), 1,
      anon_sym_DOT_DOT,
  [260169] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13177), 1,
      anon_sym_DOT_DOT,
  [260176] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13179), 1,
      anon_sym_DOT_DOT,
  [260183] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13181), 1,
      anon_sym_DOT_DOT,
  [260190] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13183), 1,
      anon_sym_DOT_DOT,
  [260197] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13185), 1,
      anon_sym_DOT_DOT,
  [260204] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13187), 1,
      anon_sym_DOT_DOT,
  [260211] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13189), 1,
      anon_sym_DOT_DOT,
  [260218] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13191), 1,
      anon_sym_DOT_DOT,
  [260225] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13193), 1,
      anon_sym_DOT_DOT,
  [260232] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13195), 1,
      anon_sym_DOT_DOT,
  [260239] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13197), 1,
      anon_sym_DOT_DOT,
  [260246] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13199), 1,
      anon_sym_DOT_DOT,
  [260253] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13201), 1,
      anon_sym_DOT_DOT,
  [260260] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13203), 1,
      anon_sym_DOT_DOT,
  [260267] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13205), 1,
      anon_sym_DOT_DOT,
  [260274] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13207), 1,
      anon_sym_DOT_DOT,
  [260281] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13209), 1,
      anon_sym_DOT_DOT,
  [260288] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13211), 1,
      anon_sym_DOT_DOT,
  [260295] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13213), 1,
      anon_sym_DOT_DOT,
  [260302] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13215), 1,
      anon_sym_DOT_DOT,
  [260309] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13217), 1,
      anon_sym_DOT_DOT,
  [260316] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13219), 1,
      anon_sym_DOT_DOT,
  [260323] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13221), 1,
      aux_sym_brace_expression_token1,
  [260330] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13223), 1,
      anon_sym_esac,
  [260337] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11660), 1,
      anon_sym_fi,
  [260344] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13225), 1,
      anon_sym_RBRACE2,
  [260351] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_RBRACK,
  [260358] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7600), 1,
      anon_sym_RBRACK,
  [260365] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13227), 1,
      sym_word,
  [260372] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13229), 1,
      anon_sym_RPAREN,
  [260379] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13231), 1,
      anon_sym_LT_LT_LT,
  [260386] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13233), 1,
      anon_sym_RPAREN,
  [260393] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13235), 1,
      anon_sym_BQUOTE,
  [260400] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13237), 1,
      aux_sym_brace_expression_token1,
  [260407] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12241), 1,
      aux_sym__simple_variable_name_token1,
  [260414] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13239), 1,
      anon_sym_BQUOTE,
  [260421] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13241), 1,
      aux_sym_brace_expression_token1,
  [260428] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13243), 1,
      anon_sym_LT_LT_LT,
  [260435] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13235), 1,
      anon_sym_RPAREN,
  [260442] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13245), 1,
      aux_sym_brace_expression_token1,
  [260449] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13247), 1,
      aux_sym_brace_expression_token1,
  [260456] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13249), 1,
      aux_sym_brace_expression_token1,
  [260463] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13251), 1,
      aux_sym_brace_expression_token1,
  [260470] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13253), 1,
      aux_sym_brace_expression_token1,
  [260477] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13255), 1,
      aux_sym_brace_expression_token1,
  [260484] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13257), 1,
      aux_sym_brace_expression_token1,
  [260491] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13259), 1,
      aux_sym_brace_expression_token1,
  [260498] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13261), 1,
      aux_sym_brace_expression_token1,
  [260505] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13263), 1,
      aux_sym_brace_expression_token1,
  [260512] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13265), 1,
      aux_sym_brace_expression_token1,
  [260519] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13267), 1,
      aux_sym_brace_expression_token1,
  [260526] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13269), 1,
      aux_sym_brace_expression_token1,
  [260533] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13271), 1,
      aux_sym_brace_expression_token1,
  [260540] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13273), 1,
      aux_sym_brace_expression_token1,
  [260547] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13275), 1,
      aux_sym_brace_expression_token1,
  [260554] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13277), 1,
      aux_sym_brace_expression_token1,
  [260561] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13279), 1,
      aux_sym_brace_expression_token1,
  [260568] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13281), 1,
      aux_sym_brace_expression_token1,
  [260575] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13283), 1,
      aux_sym_brace_expression_token1,
  [260582] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13285), 1,
      aux_sym_brace_expression_token1,
  [260589] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13287), 1,
      aux_sym_brace_expression_token1,
  [260596] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13289), 1,
      aux_sym_brace_expression_token1,
  [260603] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13291), 1,
      aux_sym_brace_expression_token1,
  [260610] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13293), 1,
      aux_sym_brace_expression_token1,
  [260617] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13295), 1,
      aux_sym_brace_expression_token1,
  [260624] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13297), 1,
      aux_sym_brace_expression_token1,
  [260631] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13299), 1,
      aux_sym_brace_expression_token1,
  [260638] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13301), 1,
      aux_sym_brace_expression_token1,
  [260645] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13303), 1,
      aux_sym_brace_expression_token1,
  [260652] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13305), 1,
      aux_sym_brace_expression_token1,
  [260659] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13307), 1,
      aux_sym_brace_expression_token1,
  [260666] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13309), 1,
      aux_sym_brace_expression_token1,
  [260673] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13311), 1,
      aux_sym_brace_expression_token1,
  [260680] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13313), 1,
      aux_sym_brace_expression_token1,
  [260687] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13315), 1,
      aux_sym_brace_expression_token1,
  [260694] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13317), 1,
      aux_sym_brace_expression_token1,
  [260701] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13319), 1,
      aux_sym_brace_expression_token1,
  [260708] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13321), 1,
      aux_sym_brace_expression_token1,
  [260715] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13323), 1,
      aux_sym_brace_expression_token1,
  [260722] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13325), 1,
      aux_sym_brace_expression_token1,
  [260729] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13327), 1,
      aux_sym_brace_expression_token1,
  [260736] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13329), 1,
      aux_sym_brace_expression_token1,
  [260743] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13331), 1,
      aux_sym_brace_expression_token1,
  [260750] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13333), 1,
      anon_sym_RBRACE3,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(426)] = 0,
  [SMALL_STATE(427)] = 120,
  [SMALL_STATE(428)] = 240,
  [SMALL_STATE(429)] = 359,
  [SMALL_STATE(430)] = 478,
  [SMALL_STATE(431)] = 592,
  [SMALL_STATE(432)] = 708,
  [SMALL_STATE(433)] = 826,
  [SMALL_STATE(434)] = 944,
  [SMALL_STATE(435)] = 1058,
  [SMALL_STATE(436)] = 1176,
  [SMALL_STATE(437)] = 1294,
  [SMALL_STATE(438)] = 1411,
  [SMALL_STATE(439)] = 1524,
  [SMALL_STATE(440)] = 1633,
  [SMALL_STATE(441)] = 1746,
  [SMALL_STATE(442)] = 1855,
  [SMALL_STATE(443)] = 1972,
  [SMALL_STATE(444)] = 2087,
  [SMALL_STATE(445)] = 2202,
  [SMALL_STATE(446)] = 2277,
  [SMALL_STATE(447)] = 2386,
  [SMALL_STATE(448)] = 2461,
  [SMALL_STATE(449)] = 2576,
  [SMALL_STATE(450)] = 2684,
  [SMALL_STATE(451)] = 2796,
  [SMALL_STATE(452)] = 2870,
  [SMALL_STATE(453)] = 2984,
  [SMALL_STATE(454)] = 3058,
  [SMALL_STATE(455)] = 3132,
  [SMALL_STATE(456)] = 3244,
  [SMALL_STATE(457)] = 3358,
  [SMALL_STATE(458)] = 3470,
  [SMALL_STATE(459)] = 3544,
  [SMALL_STATE(460)] = 3656,
  [SMALL_STATE(461)] = 3764,
  [SMALL_STATE(462)] = 3872,
  [SMALL_STATE(463)] = 3981,
  [SMALL_STATE(464)] = 4054,
  [SMALL_STATE(465)] = 4125,
  [SMALL_STATE(466)] = 4198,
  [SMALL_STATE(467)] = 4269,
  [SMALL_STATE(468)] = 4342,
  [SMALL_STATE(469)] = 4449,
  [SMALL_STATE(470)] = 4556,
  [SMALL_STATE(471)] = 4629,
  [SMALL_STATE(472)] = 4740,
  [SMALL_STATE(473)] = 4847,
  [SMALL_STATE(474)] = 4956,
  [SMALL_STATE(475)] = 5069,
  [SMALL_STATE(476)] = 5180,
  [SMALL_STATE(477)] = 5281,
  [SMALL_STATE(478)] = 5354,
  [SMALL_STATE(479)] = 5461,
  [SMALL_STATE(480)] = 5568,
  [SMALL_STATE(481)] = 5641,
  [SMALL_STATE(482)] = 5748,
  [SMALL_STATE(483)] = 5852,
  [SMALL_STATE(484)] = 5954,
  [SMALL_STATE(485)] = 6068,
  [SMALL_STATE(486)] = 6140,
  [SMALL_STATE(487)] = 6212,
  [SMALL_STATE(488)] = 6318,
  [SMALL_STATE(489)] = 6390,
  [SMALL_STATE(490)] = 6462,
  [SMALL_STATE(491)] = 6534,
  [SMALL_STATE(492)] = 6598,
  [SMALL_STATE(493)] = 6712,
  [SMALL_STATE(494)] = 6812,
  [SMALL_STATE(495)] = 6918,
  [SMALL_STATE(496)] = 6990,
  [SMALL_STATE(497)] = 7094,
  [SMALL_STATE(498)] = 7164,
  [SMALL_STATE(499)] = 7266,
  [SMALL_STATE(500)] = 7336,
  [SMALL_STATE(501)] = 7442,
  [SMALL_STATE(502)] = 7514,
  [SMALL_STATE(503)] = 7586,
  [SMALL_STATE(504)] = 7656,
  [SMALL_STATE(505)] = 7726,
  [SMALL_STATE(506)] = 7828,
  [SMALL_STATE(507)] = 7897,
  [SMALL_STATE(508)] = 8028,
  [SMALL_STATE(509)] = 8099,
  [SMALL_STATE(510)] = 8200,
  [SMALL_STATE(511)] = 8271,
  [SMALL_STATE(512)] = 8402,
  [SMALL_STATE(513)] = 8533,
  [SMALL_STATE(514)] = 8664,
  [SMALL_STATE(515)] = 8735,
  [SMALL_STATE(516)] = 8806,
  [SMALL_STATE(517)] = 8873,
  [SMALL_STATE(518)] = 8972,
  [SMALL_STATE(519)] = 9071,
  [SMALL_STATE(520)] = 9142,
  [SMALL_STATE(521)] = 9213,
  [SMALL_STATE(522)] = 9282,
  [SMALL_STATE(523)] = 9351,
  [SMALL_STATE(524)] = 9418,
  [SMALL_STATE(525)] = 9487,
  [SMALL_STATE(526)] = 9618,
  [SMALL_STATE(527)] = 9733,
  [SMALL_STATE(528)] = 9864,
  [SMALL_STATE(529)] = 9933,
  [SMALL_STATE(530)] = 10000,
  [SMALL_STATE(531)] = 10101,
  [SMALL_STATE(532)] = 10232,
  [SMALL_STATE(533)] = 10347,
  [SMALL_STATE(534)] = 10446,
  [SMALL_STATE(535)] = 10545,
  [SMALL_STATE(536)] = 10646,
  [SMALL_STATE(537)] = 10713,
  [SMALL_STATE(538)] = 10812,
  [SMALL_STATE(539)] = 10943,
  [SMALL_STATE(540)] = 11012,
  [SMALL_STATE(541)] = 11120,
  [SMALL_STATE(542)] = 11248,
  [SMALL_STATE(543)] = 11346,
  [SMALL_STATE(544)] = 11416,
  [SMALL_STATE(545)] = 11544,
  [SMALL_STATE(546)] = 11642,
  [SMALL_STATE(547)] = 11742,
  [SMALL_STATE(548)] = 11850,
  [SMALL_STATE(549)] = 11920,
  [SMALL_STATE(550)] = 11988,
  [SMALL_STATE(551)] = 12088,
  [SMALL_STATE(552)] = 12156,
  [SMALL_STATE(553)] = 12224,
  [SMALL_STATE(554)] = 12322,
  [SMALL_STATE(555)] = 12390,
  [SMALL_STATE(556)] = 12490,
  [SMALL_STATE(557)] = 12600,
  [SMALL_STATE(558)] = 12700,
  [SMALL_STATE(559)] = 12770,
  [SMALL_STATE(560)] = 12898,
  [SMALL_STATE(561)] = 12998,
  [SMALL_STATE(562)] = 13126,
  [SMALL_STATE(563)] = 13196,
  [SMALL_STATE(564)] = 13266,
  [SMALL_STATE(565)] = 13364,
  [SMALL_STATE(566)] = 13462,
  [SMALL_STATE(567)] = 13560,
  [SMALL_STATE(568)] = 13630,
  [SMALL_STATE(569)] = 13700,
  [SMALL_STATE(570)] = 13768,
  [SMALL_STATE(571)] = 13868,
  [SMALL_STATE(572)] = 13996,
  [SMALL_STATE(573)] = 14066,
  [SMALL_STATE(574)] = 14194,
  [SMALL_STATE(575)] = 14264,
  [SMALL_STATE(576)] = 14332,
  [SMALL_STATE(577)] = 14402,
  [SMALL_STATE(578)] = 14530,
  [SMALL_STATE(579)] = 14599,
  [SMALL_STATE(580)] = 14710,
  [SMALL_STATE(581)] = 14807,
  [SMALL_STATE(582)] = 14904,
  [SMALL_STATE(583)] = 15003,
  [SMALL_STATE(584)] = 15100,
  [SMALL_STATE(585)] = 15197,
  [SMALL_STATE(586)] = 15306,
  [SMALL_STATE(587)] = 15375,
  [SMALL_STATE(588)] = 15478,
  [SMALL_STATE(589)] = 15603,
  [SMALL_STATE(590)] = 15728,
  [SMALL_STATE(591)] = 15853,
  [SMALL_STATE(592)] = 15952,
  [SMALL_STATE(593)] = 16077,
  [SMALL_STATE(594)] = 16144,
  [SMALL_STATE(595)] = 16241,
  [SMALL_STATE(596)] = 16338,
  [SMALL_STATE(597)] = 16441,
  [SMALL_STATE(598)] = 16508,
  [SMALL_STATE(599)] = 16633,
  [SMALL_STATE(600)] = 16730,
  [SMALL_STATE(601)] = 16833,
  [SMALL_STATE(602)] = 16902,
  [SMALL_STATE(603)] = 16999,
  [SMALL_STATE(604)] = 17068,
  [SMALL_STATE(605)] = 17165,
  [SMALL_STATE(606)] = 17264,
  [SMALL_STATE(607)] = 17389,
  [SMALL_STATE(608)] = 17514,
  [SMALL_STATE(609)] = 17623,
  [SMALL_STATE(610)] = 17692,
  [SMALL_STATE(611)] = 17761,
  [SMALL_STATE(612)] = 17830,
  [SMALL_STATE(613)] = 17899,
  [SMALL_STATE(614)] = 18024,
  [SMALL_STATE(615)] = 18093,
  [SMALL_STATE(616)] = 18162,
  [SMALL_STATE(617)] = 18259,
  [SMALL_STATE(618)] = 18328,
  [SMALL_STATE(619)] = 18397,
  [SMALL_STATE(620)] = 18491,
  [SMALL_STATE(621)] = 18587,
  [SMALL_STATE(622)] = 18683,
  [SMALL_STATE(623)] = 18779,
  [SMALL_STATE(624)] = 18841,
  [SMALL_STATE(625)] = 18945,
  [SMALL_STATE(626)] = 19013,
  [SMALL_STATE(627)] = 19107,
  [SMALL_STATE(628)] = 19211,
  [SMALL_STATE(629)] = 19279,
  [SMALL_STATE(630)] = 19339,
  [SMALL_STATE(631)] = 19407,
  [SMALL_STATE(632)] = 19467,
  [SMALL_STATE(633)] = 19535,
  [SMALL_STATE(634)] = 19603,
  [SMALL_STATE(635)] = 19671,
  [SMALL_STATE(636)] = 19739,
  [SMALL_STATE(637)] = 19807,
  [SMALL_STATE(638)] = 19903,
  [SMALL_STATE(639)] = 19971,
  [SMALL_STATE(640)] = 20039,
  [SMALL_STATE(641)] = 20107,
  [SMALL_STATE(642)] = 20169,
  [SMALL_STATE(643)] = 20237,
  [SMALL_STATE(644)] = 20333,
  [SMALL_STATE(645)] = 20401,
  [SMALL_STATE(646)] = 20469,
  [SMALL_STATE(647)] = 20565,
  [SMALL_STATE(648)] = 20661,
  [SMALL_STATE(649)] = 20765,
  [SMALL_STATE(650)] = 20830,
  [SMALL_STATE(651)] = 20897,
  [SMALL_STATE(652)] = 20994,
  [SMALL_STATE(653)] = 21059,
  [SMALL_STATE(654)] = 21138,
  [SMALL_STATE(655)] = 21233,
  [SMALL_STATE(656)] = 21328,
  [SMALL_STATE(657)] = 21439,
  [SMALL_STATE(658)] = 21550,
  [SMALL_STATE(659)] = 21615,
  [SMALL_STATE(660)] = 21680,
  [SMALL_STATE(661)] = 21745,
  [SMALL_STATE(662)] = 21838,
  [SMALL_STATE(663)] = 21949,
  [SMALL_STATE(664)] = 22028,
  [SMALL_STATE(665)] = 22095,
  [SMALL_STATE(666)] = 22160,
  [SMALL_STATE(667)] = 22221,
  [SMALL_STATE(668)] = 22286,
  [SMALL_STATE(669)] = 22345,
  [SMALL_STATE(670)] = 22456,
  [SMALL_STATE(671)] = 22523,
  [SMALL_STATE(672)] = 22590,
  [SMALL_STATE(673)] = 22655,
  [SMALL_STATE(674)] = 22722,
  [SMALL_STATE(675)] = 22793,
  [SMALL_STATE(676)] = 22866,
  [SMALL_STATE(677)] = 22931,
  [SMALL_STATE(678)] = 23024,
  [SMALL_STATE(679)] = 23085,
  [SMALL_STATE(680)] = 23180,
  [SMALL_STATE(681)] = 23247,
  [SMALL_STATE(682)] = 23312,
  [SMALL_STATE(683)] = 23423,
  [SMALL_STATE(684)] = 23534,
  [SMALL_STATE(685)] = 23645,
  [SMALL_STATE(686)] = 23712,
  [SMALL_STATE(687)] = 23823,
  [SMALL_STATE(688)] = 23881,
  [SMALL_STATE(689)] = 23977,
  [SMALL_STATE(690)] = 24035,
  [SMALL_STATE(691)] = 24093,
  [SMALL_STATE(692)] = 24151,
  [SMALL_STATE(693)] = 24215,
  [SMALL_STATE(694)] = 24279,
  [SMALL_STATE(695)] = 24343,
  [SMALL_STATE(696)] = 24407,
  [SMALL_STATE(697)] = 24465,
  [SMALL_STATE(698)] = 24523,
  [SMALL_STATE(699)] = 24581,
  [SMALL_STATE(700)] = 24645,
  [SMALL_STATE(701)] = 24709,
  [SMALL_STATE(702)] = 24773,
  [SMALL_STATE(703)] = 24837,
  [SMALL_STATE(704)] = 24903,
  [SMALL_STATE(705)] = 24999,
  [SMALL_STATE(706)] = 25065,
  [SMALL_STATE(707)] = 25123,
  [SMALL_STATE(708)] = 25187,
  [SMALL_STATE(709)] = 25253,
  [SMALL_STATE(710)] = 25331,
  [SMALL_STATE(711)] = 25397,
  [SMALL_STATE(712)] = 25461,
  [SMALL_STATE(713)] = 25525,
  [SMALL_STATE(714)] = 25589,
  [SMALL_STATE(715)] = 25647,
  [SMALL_STATE(716)] = 25711,
  [SMALL_STATE(717)] = 25775,
  [SMALL_STATE(718)] = 25833,
  [SMALL_STATE(719)] = 25897,
  [SMALL_STATE(720)] = 25993,
  [SMALL_STATE(721)] = 26057,
  [SMALL_STATE(722)] = 26115,
  [SMALL_STATE(723)] = 26179,
  [SMALL_STATE(724)] = 26237,
  [SMALL_STATE(725)] = 26301,
  [SMALL_STATE(726)] = 26359,
  [SMALL_STATE(727)] = 26423,
  [SMALL_STATE(728)] = 26487,
  [SMALL_STATE(729)] = 26551,
  [SMALL_STATE(730)] = 26623,
  [SMALL_STATE(731)] = 26681,
  [SMALL_STATE(732)] = 26739,
  [SMALL_STATE(733)] = 26797,
  [SMALL_STATE(734)] = 26875,
  [SMALL_STATE(735)] = 26933,
  [SMALL_STATE(736)] = 26991,
  [SMALL_STATE(737)] = 27049,
  [SMALL_STATE(738)] = 27113,
  [SMALL_STATE(739)] = 27179,
  [SMALL_STATE(740)] = 27249,
  [SMALL_STATE(741)] = 27345,
  [SMALL_STATE(742)] = 27409,
  [SMALL_STATE(743)] = 27472,
  [SMALL_STATE(744)] = 27535,
  [SMALL_STATE(745)] = 27592,
  [SMALL_STATE(746)] = 27649,
  [SMALL_STATE(747)] = 27712,
  [SMALL_STATE(748)] = 27769,
  [SMALL_STATE(749)] = 27826,
  [SMALL_STATE(750)] = 27883,
  [SMALL_STATE(751)] = 27978,
  [SMALL_STATE(752)] = 28035,
  [SMALL_STATE(753)] = 28098,
  [SMALL_STATE(754)] = 28161,
  [SMALL_STATE(755)] = 28254,
  [SMALL_STATE(756)] = 28349,
  [SMALL_STATE(757)] = 28412,
  [SMALL_STATE(758)] = 28475,
  [SMALL_STATE(759)] = 28570,
  [SMALL_STATE(760)] = 28635,
  [SMALL_STATE(761)] = 28712,
  [SMALL_STATE(762)] = 28809,
  [SMALL_STATE(763)] = 28866,
  [SMALL_STATE(764)] = 28977,
  [SMALL_STATE(765)] = 29034,
  [SMALL_STATE(766)] = 29097,
  [SMALL_STATE(767)] = 29208,
  [SMALL_STATE(768)] = 29271,
  [SMALL_STATE(769)] = 29382,
  [SMALL_STATE(770)] = 29443,
  [SMALL_STATE(771)] = 29508,
  [SMALL_STATE(772)] = 29619,
  [SMALL_STATE(773)] = 29730,
  [SMALL_STATE(774)] = 29795,
  [SMALL_STATE(775)] = 29858,
  [SMALL_STATE(776)] = 29955,
  [SMALL_STATE(777)] = 30032,
  [SMALL_STATE(778)] = 30095,
  [SMALL_STATE(779)] = 30158,
  [SMALL_STATE(780)] = 30223,
  [SMALL_STATE(781)] = 30286,
  [SMALL_STATE(782)] = 30363,
  [SMALL_STATE(783)] = 30420,
  [SMALL_STATE(784)] = 30483,
  [SMALL_STATE(785)] = 30540,
  [SMALL_STATE(786)] = 30603,
  [SMALL_STATE(787)] = 30666,
  [SMALL_STATE(788)] = 30723,
  [SMALL_STATE(789)] = 30784,
  [SMALL_STATE(790)] = 30853,
  [SMALL_STATE(791)] = 30964,
  [SMALL_STATE(792)] = 31061,
  [SMALL_STATE(793)] = 31118,
  [SMALL_STATE(794)] = 31181,
  [SMALL_STATE(795)] = 31258,
  [SMALL_STATE(796)] = 31321,
  [SMALL_STATE(797)] = 31378,
  [SMALL_STATE(798)] = 31441,
  [SMALL_STATE(799)] = 31506,
  [SMALL_STATE(800)] = 31577,
  [SMALL_STATE(801)] = 31634,
  [SMALL_STATE(802)] = 31691,
  [SMALL_STATE(803)] = 31754,
  [SMALL_STATE(804)] = 31811,
  [SMALL_STATE(805)] = 31868,
  [SMALL_STATE(806)] = 31933,
  [SMALL_STATE(807)] = 31996,
  [SMALL_STATE(808)] = 32107,
  [SMALL_STATE(809)] = 32218,
  [SMALL_STATE(810)] = 32281,
  [SMALL_STATE(811)] = 32344,
  [SMALL_STATE(812)] = 32407,
  [SMALL_STATE(813)] = 32478,
  [SMALL_STATE(814)] = 32541,
  [SMALL_STATE(815)] = 32634,
  [SMALL_STATE(816)] = 32691,
  [SMALL_STATE(817)] = 32748,
  [SMALL_STATE(818)] = 32841,
  [SMALL_STATE(819)] = 32910,
  [SMALL_STATE(820)] = 32974,
  [SMALL_STATE(821)] = 33036,
  [SMALL_STATE(822)] = 33098,
  [SMALL_STATE(823)] = 33154,
  [SMALL_STATE(824)] = 33218,
  [SMALL_STATE(825)] = 33274,
  [SMALL_STATE(826)] = 33338,
  [SMALL_STATE(827)] = 33402,
  [SMALL_STATE(828)] = 33458,
  [SMALL_STATE(829)] = 33514,
  [SMALL_STATE(830)] = 33570,
  [SMALL_STATE(831)] = 33626,
  [SMALL_STATE(832)] = 33720,
  [SMALL_STATE(833)] = 33782,
  [SMALL_STATE(834)] = 33852,
  [SMALL_STATE(835)] = 33920,
  [SMALL_STATE(836)] = 33982,
  [SMALL_STATE(837)] = 34038,
  [SMALL_STATE(838)] = 34094,
  [SMALL_STATE(839)] = 34150,
  [SMALL_STATE(840)] = 34210,
  [SMALL_STATE(841)] = 34272,
  [SMALL_STATE(842)] = 34366,
  [SMALL_STATE(843)] = 34428,
  [SMALL_STATE(844)] = 34496,
  [SMALL_STATE(845)] = 34566,
  [SMALL_STATE(846)] = 34622,
  [SMALL_STATE(847)] = 34678,
  [SMALL_STATE(848)] = 34734,
  [SMALL_STATE(849)] = 34790,
  [SMALL_STATE(850)] = 34846,
  [SMALL_STATE(851)] = 34902,
  [SMALL_STATE(852)] = 34964,
  [SMALL_STATE(853)] = 35028,
  [SMALL_STATE(854)] = 35092,
  [SMALL_STATE(855)] = 35148,
  [SMALL_STATE(856)] = 35210,
  [SMALL_STATE(857)] = 35274,
  [SMALL_STATE(858)] = 35330,
  [SMALL_STATE(859)] = 35392,
  [SMALL_STATE(860)] = 35448,
  [SMALL_STATE(861)] = 35510,
  [SMALL_STATE(862)] = 35566,
  [SMALL_STATE(863)] = 35628,
  [SMALL_STATE(864)] = 35722,
  [SMALL_STATE(865)] = 35784,
  [SMALL_STATE(866)] = 35846,
  [SMALL_STATE(867)] = 35908,
  [SMALL_STATE(868)] = 35970,
  [SMALL_STATE(869)] = 36032,
  [SMALL_STATE(870)] = 36096,
  [SMALL_STATE(871)] = 36160,
  [SMALL_STATE(872)] = 36222,
  [SMALL_STATE(873)] = 36284,
  [SMALL_STATE(874)] = 36340,
  [SMALL_STATE(875)] = 36402,
  [SMALL_STATE(876)] = 36462,
  [SMALL_STATE(877)] = 36524,
  [SMALL_STATE(878)] = 36586,
  [SMALL_STATE(879)] = 36680,
  [SMALL_STATE(880)] = 36742,
  [SMALL_STATE(881)] = 36798,
  [SMALL_STATE(882)] = 36872,
  [SMALL_STATE(883)] = 36936,
  [SMALL_STATE(884)] = 36998,
  [SMALL_STATE(885)] = 37060,
  [SMALL_STATE(886)] = 37120,
  [SMALL_STATE(887)] = 37182,
  [SMALL_STATE(888)] = 37244,
  [SMALL_STATE(889)] = 37300,
  [SMALL_STATE(890)] = 37356,
  [SMALL_STATE(891)] = 37432,
  [SMALL_STATE(892)] = 37488,
  [SMALL_STATE(893)] = 37544,
  [SMALL_STATE(894)] = 37600,
  [SMALL_STATE(895)] = 37656,
  [SMALL_STATE(896)] = 37730,
  [SMALL_STATE(897)] = 37792,
  [SMALL_STATE(898)] = 37854,
  [SMALL_STATE(899)] = 37916,
  [SMALL_STATE(900)] = 38010,
  [SMALL_STATE(901)] = 38102,
  [SMALL_STATE(902)] = 38158,
  [SMALL_STATE(903)] = 38220,
  [SMALL_STATE(904)] = 38282,
  [SMALL_STATE(905)] = 38374,
  [SMALL_STATE(906)] = 38436,
  [SMALL_STATE(907)] = 38498,
  [SMALL_STATE(908)] = 38560,
  [SMALL_STATE(909)] = 38622,
  [SMALL_STATE(910)] = 38684,
  [SMALL_STATE(911)] = 38746,
  [SMALL_STATE(912)] = 38808,
  [SMALL_STATE(913)] = 38870,
  [SMALL_STATE(914)] = 38932,
  [SMALL_STATE(915)] = 39008,
  [SMALL_STATE(916)] = 39064,
  [SMALL_STATE(917)] = 39120,
  [SMALL_STATE(918)] = 39176,
  [SMALL_STATE(919)] = 39232,
  [SMALL_STATE(920)] = 39306,
  [SMALL_STATE(921)] = 39368,
  [SMALL_STATE(922)] = 39430,
  [SMALL_STATE(923)] = 39490,
  [SMALL_STATE(924)] = 39550,
  [SMALL_STATE(925)] = 39612,
  [SMALL_STATE(926)] = 39674,
  [SMALL_STATE(927)] = 39736,
  [SMALL_STATE(928)] = 39792,
  [SMALL_STATE(929)] = 39854,
  [SMALL_STATE(930)] = 39910,
  [SMALL_STATE(931)] = 39972,
  [SMALL_STATE(932)] = 40036,
  [SMALL_STATE(933)] = 40092,
  [SMALL_STATE(934)] = 40156,
  [SMALL_STATE(935)] = 40212,
  [SMALL_STATE(936)] = 40274,
  [SMALL_STATE(937)] = 40330,
  [SMALL_STATE(938)] = 40386,
  [SMALL_STATE(939)] = 40442,
  [SMALL_STATE(940)] = 40502,
  [SMALL_STATE(941)] = 40564,
  [SMALL_STATE(942)] = 40638,
  [SMALL_STATE(943)] = 40694,
  [SMALL_STATE(944)] = 40755,
  [SMALL_STATE(945)] = 40816,
  [SMALL_STATE(946)] = 40877,
  [SMALL_STATE(947)] = 40932,
  [SMALL_STATE(948)] = 40995,
  [SMALL_STATE(949)] = 41050,
  [SMALL_STATE(950)] = 41111,
  [SMALL_STATE(951)] = 41172,
  [SMALL_STATE(952)] = 41235,
  [SMALL_STATE(953)] = 41290,
  [SMALL_STATE(954)] = 41351,
  [SMALL_STATE(955)] = 41444,
  [SMALL_STATE(956)] = 41505,
  [SMALL_STATE(957)] = 41568,
  [SMALL_STATE(958)] = 41623,
  [SMALL_STATE(959)] = 41686,
  [SMALL_STATE(960)] = 41741,
  [SMALL_STATE(961)] = 41802,
  [SMALL_STATE(962)] = 41863,
  [SMALL_STATE(963)] = 41924,
  [SMALL_STATE(964)] = 41979,
  [SMALL_STATE(965)] = 42034,
  [SMALL_STATE(966)] = 42093,
  [SMALL_STATE(967)] = 42148,
  [SMALL_STATE(968)] = 42207,
  [SMALL_STATE(969)] = 42268,
  [SMALL_STATE(970)] = 42323,
  [SMALL_STATE(971)] = 42386,
  [SMALL_STATE(972)] = 42447,
  [SMALL_STATE(973)] = 42502,
  [SMALL_STATE(974)] = 42557,
  [SMALL_STATE(975)] = 42618,
  [SMALL_STATE(976)] = 42681,
  [SMALL_STATE(977)] = 42742,
  [SMALL_STATE(978)] = 42797,
  [SMALL_STATE(979)] = 42852,
  [SMALL_STATE(980)] = 42907,
  [SMALL_STATE(981)] = 42962,
  [SMALL_STATE(982)] = 43017,
  [SMALL_STATE(983)] = 43078,
  [SMALL_STATE(984)] = 43133,
  [SMALL_STATE(985)] = 43196,
  [SMALL_STATE(986)] = 43259,
  [SMALL_STATE(987)] = 43314,
  [SMALL_STATE(988)] = 43369,
  [SMALL_STATE(989)] = 43428,
  [SMALL_STATE(990)] = 43483,
  [SMALL_STATE(991)] = 43546,
  [SMALL_STATE(992)] = 43609,
  [SMALL_STATE(993)] = 43670,
  [SMALL_STATE(994)] = 43731,
  [SMALL_STATE(995)] = 43794,
  [SMALL_STATE(996)] = 43855,
  [SMALL_STATE(997)] = 43910,
  [SMALL_STATE(998)] = 43971,
  [SMALL_STATE(999)] = 44032,
  [SMALL_STATE(1000)] = 44093,
  [SMALL_STATE(1001)] = 44154,
  [SMALL_STATE(1002)] = 44215,
  [SMALL_STATE(1003)] = 44276,
  [SMALL_STATE(1004)] = 44331,
  [SMALL_STATE(1005)] = 44386,
  [SMALL_STATE(1006)] = 44447,
  [SMALL_STATE(1007)] = 44508,
  [SMALL_STATE(1008)] = 44569,
  [SMALL_STATE(1009)] = 44630,
  [SMALL_STATE(1010)] = 44691,
  [SMALL_STATE(1011)] = 44752,
  [SMALL_STATE(1012)] = 44811,
  [SMALL_STATE(1013)] = 44874,
  [SMALL_STATE(1014)] = 44933,
  [SMALL_STATE(1015)] = 44988,
  [SMALL_STATE(1016)] = 45049,
  [SMALL_STATE(1017)] = 45104,
  [SMALL_STATE(1018)] = 45159,
  [SMALL_STATE(1019)] = 45214,
  [SMALL_STATE(1020)] = 45275,
  [SMALL_STATE(1021)] = 45330,
  [SMALL_STATE(1022)] = 45385,
  [SMALL_STATE(1023)] = 45440,
  [SMALL_STATE(1024)] = 45495,
  [SMALL_STATE(1025)] = 45550,
  [SMALL_STATE(1026)] = 45605,
  [SMALL_STATE(1027)] = 45660,
  [SMALL_STATE(1028)] = 45715,
  [SMALL_STATE(1029)] = 45776,
  [SMALL_STATE(1030)] = 45831,
  [SMALL_STATE(1031)] = 45894,
  [SMALL_STATE(1032)] = 45953,
  [SMALL_STATE(1033)] = 46008,
  [SMALL_STATE(1034)] = 46067,
  [SMALL_STATE(1035)] = 46122,
  [SMALL_STATE(1036)] = 46189,
  [SMALL_STATE(1037)] = 46244,
  [SMALL_STATE(1038)] = 46305,
  [SMALL_STATE(1039)] = 46360,
  [SMALL_STATE(1040)] = 46423,
  [SMALL_STATE(1041)] = 46484,
  [SMALL_STATE(1042)] = 46543,
  [SMALL_STATE(1043)] = 46604,
  [SMALL_STATE(1044)] = 46665,
  [SMALL_STATE(1045)] = 46758,
  [SMALL_STATE(1046)] = 46813,
  [SMALL_STATE(1047)] = 46868,
  [SMALL_STATE(1048)] = 46923,
  [SMALL_STATE(1049)] = 46978,
  [SMALL_STATE(1050)] = 47033,
  [SMALL_STATE(1051)] = 47094,
  [SMALL_STATE(1052)] = 47155,
  [SMALL_STATE(1053)] = 47215,
  [SMALL_STATE(1054)] = 47269,
  [SMALL_STATE(1055)] = 47323,
  [SMALL_STATE(1056)] = 47383,
  [SMALL_STATE(1057)] = 47443,
  [SMALL_STATE(1058)] = 47497,
  [SMALL_STATE(1059)] = 47557,
  [SMALL_STATE(1060)] = 47611,
  [SMALL_STATE(1061)] = 47665,
  [SMALL_STATE(1062)] = 47725,
  [SMALL_STATE(1063)] = 47779,
  [SMALL_STATE(1064)] = 47833,
  [SMALL_STATE(1065)] = 47887,
  [SMALL_STATE(1066)] = 47941,
  [SMALL_STATE(1067)] = 47999,
  [SMALL_STATE(1068)] = 48053,
  [SMALL_STATE(1069)] = 48113,
  [SMALL_STATE(1070)] = 48167,
  [SMALL_STATE(1071)] = 48225,
  [SMALL_STATE(1072)] = 48279,
  [SMALL_STATE(1073)] = 48333,
  [SMALL_STATE(1074)] = 48393,
  [SMALL_STATE(1075)] = 48447,
  [SMALL_STATE(1076)] = 48501,
  [SMALL_STATE(1077)] = 48555,
  [SMALL_STATE(1078)] = 48615,
  [SMALL_STATE(1079)] = 48675,
  [SMALL_STATE(1080)] = 48729,
  [SMALL_STATE(1081)] = 48783,
  [SMALL_STATE(1082)] = 48837,
  [SMALL_STATE(1083)] = 48891,
  [SMALL_STATE(1084)] = 48945,
  [SMALL_STATE(1085)] = 49005,
  [SMALL_STATE(1086)] = 49059,
  [SMALL_STATE(1087)] = 49119,
  [SMALL_STATE(1088)] = 49179,
  [SMALL_STATE(1089)] = 49239,
  [SMALL_STATE(1090)] = 49293,
  [SMALL_STATE(1091)] = 49347,
  [SMALL_STATE(1092)] = 49407,
  [SMALL_STATE(1093)] = 49467,
  [SMALL_STATE(1094)] = 49527,
  [SMALL_STATE(1095)] = 49585,
  [SMALL_STATE(1096)] = 49645,
  [SMALL_STATE(1097)] = 49699,
  [SMALL_STATE(1098)] = 49757,
  [SMALL_STATE(1099)] = 49811,
  [SMALL_STATE(1100)] = 49869,
  [SMALL_STATE(1101)] = 49923,
  [SMALL_STATE(1102)] = 49983,
  [SMALL_STATE(1103)] = 50043,
  [SMALL_STATE(1104)] = 50097,
  [SMALL_STATE(1105)] = 50157,
  [SMALL_STATE(1106)] = 50211,
  [SMALL_STATE(1107)] = 50271,
  [SMALL_STATE(1108)] = 50331,
  [SMALL_STATE(1109)] = 50385,
  [SMALL_STATE(1110)] = 50439,
  [SMALL_STATE(1111)] = 50493,
  [SMALL_STATE(1112)] = 50553,
  [SMALL_STATE(1113)] = 50613,
  [SMALL_STATE(1114)] = 50667,
  [SMALL_STATE(1115)] = 50729,
  [SMALL_STATE(1116)] = 50789,
  [SMALL_STATE(1117)] = 50843,
  [SMALL_STATE(1118)] = 50901,
  [SMALL_STATE(1119)] = 50961,
  [SMALL_STATE(1120)] = 51019,
  [SMALL_STATE(1121)] = 51079,
  [SMALL_STATE(1122)] = 51133,
  [SMALL_STATE(1123)] = 51193,
  [SMALL_STATE(1124)] = 51247,
  [SMALL_STATE(1125)] = 51301,
  [SMALL_STATE(1126)] = 51361,
  [SMALL_STATE(1127)] = 51415,
  [SMALL_STATE(1128)] = 51469,
  [SMALL_STATE(1129)] = 51529,
  [SMALL_STATE(1130)] = 51589,
  [SMALL_STATE(1131)] = 51643,
  [SMALL_STATE(1132)] = 51697,
  [SMALL_STATE(1133)] = 51757,
  [SMALL_STATE(1134)] = 51811,
  [SMALL_STATE(1135)] = 51865,
  [SMALL_STATE(1136)] = 51925,
  [SMALL_STATE(1137)] = 51983,
  [SMALL_STATE(1138)] = 52043,
  [SMALL_STATE(1139)] = 52101,
  [SMALL_STATE(1140)] = 52159,
  [SMALL_STATE(1141)] = 52219,
  [SMALL_STATE(1142)] = 52279,
  [SMALL_STATE(1143)] = 52339,
  [SMALL_STATE(1144)] = 52399,
  [SMALL_STATE(1145)] = 52459,
  [SMALL_STATE(1146)] = 52517,
  [SMALL_STATE(1147)] = 52571,
  [SMALL_STATE(1148)] = 52629,
  [SMALL_STATE(1149)] = 52687,
  [SMALL_STATE(1150)] = 52741,
  [SMALL_STATE(1151)] = 52801,
  [SMALL_STATE(1152)] = 52861,
  [SMALL_STATE(1153)] = 52921,
  [SMALL_STATE(1154)] = 52975,
  [SMALL_STATE(1155)] = 53029,
  [SMALL_STATE(1156)] = 53089,
  [SMALL_STATE(1157)] = 53143,
  [SMALL_STATE(1158)] = 53201,
  [SMALL_STATE(1159)] = 53259,
  [SMALL_STATE(1160)] = 53313,
  [SMALL_STATE(1161)] = 53373,
  [SMALL_STATE(1162)] = 53433,
  [SMALL_STATE(1163)] = 53493,
  [SMALL_STATE(1164)] = 53547,
  [SMALL_STATE(1165)] = 53601,
  [SMALL_STATE(1166)] = 53655,
  [SMALL_STATE(1167)] = 53709,
  [SMALL_STATE(1168)] = 53763,
  [SMALL_STATE(1169)] = 53823,
  [SMALL_STATE(1170)] = 53881,
  [SMALL_STATE(1171)] = 53941,
  [SMALL_STATE(1172)] = 53995,
  [SMALL_STATE(1173)] = 54055,
  [SMALL_STATE(1174)] = 54115,
  [SMALL_STATE(1175)] = 54175,
  [SMALL_STATE(1176)] = 54235,
  [SMALL_STATE(1177)] = 54293,
  [SMALL_STATE(1178)] = 54353,
  [SMALL_STATE(1179)] = 54415,
  [SMALL_STATE(1180)] = 54469,
  [SMALL_STATE(1181)] = 54523,
  [SMALL_STATE(1182)] = 54577,
  [SMALL_STATE(1183)] = 54637,
  [SMALL_STATE(1184)] = 54691,
  [SMALL_STATE(1185)] = 54745,
  [SMALL_STATE(1186)] = 54805,
  [SMALL_STATE(1187)] = 54871,
  [SMALL_STATE(1188)] = 54931,
  [SMALL_STATE(1189)] = 54985,
  [SMALL_STATE(1190)] = 55039,
  [SMALL_STATE(1191)] = 55093,
  [SMALL_STATE(1192)] = 55147,
  [SMALL_STATE(1193)] = 55201,
  [SMALL_STATE(1194)] = 55259,
  [SMALL_STATE(1195)] = 55313,
  [SMALL_STATE(1196)] = 55366,
  [SMALL_STATE(1197)] = 55419,
  [SMALL_STATE(1198)] = 55472,
  [SMALL_STATE(1199)] = 55525,
  [SMALL_STATE(1200)] = 55584,
  [SMALL_STATE(1201)] = 55643,
  [SMALL_STATE(1202)] = 55696,
  [SMALL_STATE(1203)] = 55749,
  [SMALL_STATE(1204)] = 55802,
  [SMALL_STATE(1205)] = 55855,
  [SMALL_STATE(1206)] = 55912,
  [SMALL_STATE(1207)] = 55973,
  [SMALL_STATE(1208)] = 56032,
  [SMALL_STATE(1209)] = 56085,
  [SMALL_STATE(1210)] = 56138,
  [SMALL_STATE(1211)] = 56191,
  [SMALL_STATE(1212)] = 56244,
  [SMALL_STATE(1213)] = 56297,
  [SMALL_STATE(1214)] = 56350,
  [SMALL_STATE(1215)] = 56409,
  [SMALL_STATE(1216)] = 56462,
  [SMALL_STATE(1217)] = 56515,
  [SMALL_STATE(1218)] = 56568,
  [SMALL_STATE(1219)] = 56627,
  [SMALL_STATE(1220)] = 56680,
  [SMALL_STATE(1221)] = 56737,
  [SMALL_STATE(1222)] = 56796,
  [SMALL_STATE(1223)] = 56849,
  [SMALL_STATE(1224)] = 56902,
  [SMALL_STATE(1225)] = 56955,
  [SMALL_STATE(1226)] = 57008,
  [SMALL_STATE(1227)] = 57061,
  [SMALL_STATE(1228)] = 57114,
  [SMALL_STATE(1229)] = 57167,
  [SMALL_STATE(1230)] = 57226,
  [SMALL_STATE(1231)] = 57279,
  [SMALL_STATE(1232)] = 57332,
  [SMALL_STATE(1233)] = 57385,
  [SMALL_STATE(1234)] = 57438,
  [SMALL_STATE(1235)] = 57491,
  [SMALL_STATE(1236)] = 57544,
  [SMALL_STATE(1237)] = 57597,
  [SMALL_STATE(1238)] = 57650,
  [SMALL_STATE(1239)] = 57703,
  [SMALL_STATE(1240)] = 57756,
  [SMALL_STATE(1241)] = 57809,
  [SMALL_STATE(1242)] = 57862,
  [SMALL_STATE(1243)] = 57921,
  [SMALL_STATE(1244)] = 57978,
  [SMALL_STATE(1245)] = 58031,
  [SMALL_STATE(1246)] = 58084,
  [SMALL_STATE(1247)] = 58137,
  [SMALL_STATE(1248)] = 58190,
  [SMALL_STATE(1249)] = 58243,
  [SMALL_STATE(1250)] = 58296,
  [SMALL_STATE(1251)] = 58349,
  [SMALL_STATE(1252)] = 58402,
  [SMALL_STATE(1253)] = 58461,
  [SMALL_STATE(1254)] = 58514,
  [SMALL_STATE(1255)] = 58567,
  [SMALL_STATE(1256)] = 58626,
  [SMALL_STATE(1257)] = 58679,
  [SMALL_STATE(1258)] = 58732,
  [SMALL_STATE(1259)] = 58791,
  [SMALL_STATE(1260)] = 58844,
  [SMALL_STATE(1261)] = 58897,
  [SMALL_STATE(1262)] = 58956,
  [SMALL_STATE(1263)] = 59013,
  [SMALL_STATE(1264)] = 59072,
  [SMALL_STATE(1265)] = 59125,
  [SMALL_STATE(1266)] = 59184,
  [SMALL_STATE(1267)] = 59237,
  [SMALL_STATE(1268)] = 59296,
  [SMALL_STATE(1269)] = 59355,
  [SMALL_STATE(1270)] = 59408,
  [SMALL_STATE(1271)] = 59461,
  [SMALL_STATE(1272)] = 59520,
  [SMALL_STATE(1273)] = 59585,
  [SMALL_STATE(1274)] = 59638,
  [SMALL_STATE(1275)] = 59697,
  [SMALL_STATE(1276)] = 59750,
  [SMALL_STATE(1277)] = 59809,
  [SMALL_STATE(1278)] = 59866,
  [SMALL_STATE(1279)] = 59919,
  [SMALL_STATE(1280)] = 59972,
  [SMALL_STATE(1281)] = 60025,
  [SMALL_STATE(1282)] = 60078,
  [SMALL_STATE(1283)] = 60135,
  [SMALL_STATE(1284)] = 60194,
  [SMALL_STATE(1285)] = 60247,
  [SMALL_STATE(1286)] = 60300,
  [SMALL_STATE(1287)] = 60353,
  [SMALL_STATE(1288)] = 60406,
  [SMALL_STATE(1289)] = 60459,
  [SMALL_STATE(1290)] = 60512,
  [SMALL_STATE(1291)] = 60565,
  [SMALL_STATE(1292)] = 60618,
  [SMALL_STATE(1293)] = 60671,
  [SMALL_STATE(1294)] = 60774,
  [SMALL_STATE(1295)] = 60827,
  [SMALL_STATE(1296)] = 60880,
  [SMALL_STATE(1297)] = 60933,
  [SMALL_STATE(1298)] = 60986,
  [SMALL_STATE(1299)] = 61039,
  [SMALL_STATE(1300)] = 61092,
  [SMALL_STATE(1301)] = 61145,
  [SMALL_STATE(1302)] = 61198,
  [SMALL_STATE(1303)] = 61251,
  [SMALL_STATE(1304)] = 61304,
  [SMALL_STATE(1305)] = 61357,
  [SMALL_STATE(1306)] = 61410,
  [SMALL_STATE(1307)] = 61469,
  [SMALL_STATE(1308)] = 61522,
  [SMALL_STATE(1309)] = 61581,
  [SMALL_STATE(1310)] = 61650,
  [SMALL_STATE(1311)] = 61719,
  [SMALL_STATE(1312)] = 61772,
  [SMALL_STATE(1313)] = 61831,
  [SMALL_STATE(1314)] = 61884,
  [SMALL_STATE(1315)] = 61937,
  [SMALL_STATE(1316)] = 61994,
  [SMALL_STATE(1317)] = 62053,
  [SMALL_STATE(1318)] = 62106,
  [SMALL_STATE(1319)] = 62159,
  [SMALL_STATE(1320)] = 62218,
  [SMALL_STATE(1321)] = 62271,
  [SMALL_STATE(1322)] = 62324,
  [SMALL_STATE(1323)] = 62377,
  [SMALL_STATE(1324)] = 62430,
  [SMALL_STATE(1325)] = 62483,
  [SMALL_STATE(1326)] = 62536,
  [SMALL_STATE(1327)] = 62639,
  [SMALL_STATE(1328)] = 62696,
  [SMALL_STATE(1329)] = 62757,
  [SMALL_STATE(1330)] = 62810,
  [SMALL_STATE(1331)] = 62863,
  [SMALL_STATE(1332)] = 62922,
  [SMALL_STATE(1333)] = 62975,
  [SMALL_STATE(1334)] = 63028,
  [SMALL_STATE(1335)] = 63081,
  [SMALL_STATE(1336)] = 63170,
  [SMALL_STATE(1337)] = 63235,
  [SMALL_STATE(1338)] = 63288,
  [SMALL_STATE(1339)] = 63345,
  [SMALL_STATE(1340)] = 63398,
  [SMALL_STATE(1341)] = 63451,
  [SMALL_STATE(1342)] = 63504,
  [SMALL_STATE(1343)] = 63569,
  [SMALL_STATE(1344)] = 63658,
  [SMALL_STATE(1345)] = 63711,
  [SMALL_STATE(1346)] = 63764,
  [SMALL_STATE(1347)] = 63817,
  [SMALL_STATE(1348)] = 63870,
  [SMALL_STATE(1349)] = 63923,
  [SMALL_STATE(1350)] = 63980,
  [SMALL_STATE(1351)] = 64033,
  [SMALL_STATE(1352)] = 64092,
  [SMALL_STATE(1353)] = 64145,
  [SMALL_STATE(1354)] = 64212,
  [SMALL_STATE(1355)] = 64271,
  [SMALL_STATE(1356)] = 64324,
  [SMALL_STATE(1357)] = 64383,
  [SMALL_STATE(1358)] = 64442,
  [SMALL_STATE(1359)] = 64501,
  [SMALL_STATE(1360)] = 64560,
  [SMALL_STATE(1361)] = 64663,
  [SMALL_STATE(1362)] = 64722,
  [SMALL_STATE(1363)] = 64781,
  [SMALL_STATE(1364)] = 64840,
  [SMALL_STATE(1365)] = 64893,
  [SMALL_STATE(1366)] = 64996,
  [SMALL_STATE(1367)] = 65049,
  [SMALL_STATE(1368)] = 65102,
  [SMALL_STATE(1369)] = 65161,
  [SMALL_STATE(1370)] = 65220,
  [SMALL_STATE(1371)] = 65279,
  [SMALL_STATE(1372)] = 65338,
  [SMALL_STATE(1373)] = 65397,
  [SMALL_STATE(1374)] = 65450,
  [SMALL_STATE(1375)] = 65503,
  [SMALL_STATE(1376)] = 65556,
  [SMALL_STATE(1377)] = 65615,
  [SMALL_STATE(1378)] = 65668,
  [SMALL_STATE(1379)] = 65721,
  [SMALL_STATE(1380)] = 65774,
  [SMALL_STATE(1381)] = 65877,
  [SMALL_STATE(1382)] = 65936,
  [SMALL_STATE(1383)] = 65993,
  [SMALL_STATE(1384)] = 66082,
  [SMALL_STATE(1385)] = 66139,
  [SMALL_STATE(1386)] = 66192,
  [SMALL_STATE(1387)] = 66251,
  [SMALL_STATE(1388)] = 66304,
  [SMALL_STATE(1389)] = 66361,
  [SMALL_STATE(1390)] = 66414,
  [SMALL_STATE(1391)] = 66467,
  [SMALL_STATE(1392)] = 66570,
  [SMALL_STATE(1393)] = 66623,
  [SMALL_STATE(1394)] = 66726,
  [SMALL_STATE(1395)] = 66779,
  [SMALL_STATE(1396)] = 66832,
  [SMALL_STATE(1397)] = 66885,
  [SMALL_STATE(1398)] = 66938,
  [SMALL_STATE(1399)] = 66991,
  [SMALL_STATE(1400)] = 67048,
  [SMALL_STATE(1401)] = 67101,
  [SMALL_STATE(1402)] = 67154,
  [SMALL_STATE(1403)] = 67207,
  [SMALL_STATE(1404)] = 67260,
  [SMALL_STATE(1405)] = 67313,
  [SMALL_STATE(1406)] = 67366,
  [SMALL_STATE(1407)] = 67418,
  [SMALL_STATE(1408)] = 67482,
  [SMALL_STATE(1409)] = 67534,
  [SMALL_STATE(1410)] = 67592,
  [SMALL_STATE(1411)] = 67692,
  [SMALL_STATE(1412)] = 67760,
  [SMALL_STATE(1413)] = 67818,
  [SMALL_STATE(1414)] = 67876,
  [SMALL_STATE(1415)] = 67934,
  [SMALL_STATE(1416)] = 67992,
  [SMALL_STATE(1417)] = 68092,
  [SMALL_STATE(1418)] = 68192,
  [SMALL_STATE(1419)] = 68248,
  [SMALL_STATE(1420)] = 68300,
  [SMALL_STATE(1421)] = 68390,
  [SMALL_STATE(1422)] = 68442,
  [SMALL_STATE(1423)] = 68502,
  [SMALL_STATE(1424)] = 68554,
  [SMALL_STATE(1425)] = 68610,
  [SMALL_STATE(1426)] = 68668,
  [SMALL_STATE(1427)] = 68728,
  [SMALL_STATE(1428)] = 68786,
  [SMALL_STATE(1429)] = 68886,
  [SMALL_STATE(1430)] = 68986,
  [SMALL_STATE(1431)] = 69044,
  [SMALL_STATE(1432)] = 69102,
  [SMALL_STATE(1433)] = 69160,
  [SMALL_STATE(1434)] = 69212,
  [SMALL_STATE(1435)] = 69264,
  [SMALL_STATE(1436)] = 69322,
  [SMALL_STATE(1437)] = 69374,
  [SMALL_STATE(1438)] = 69426,
  [SMALL_STATE(1439)] = 69484,
  [SMALL_STATE(1440)] = 69540,
  [SMALL_STATE(1441)] = 69592,
  [SMALL_STATE(1442)] = 69650,
  [SMALL_STATE(1443)] = 69706,
  [SMALL_STATE(1444)] = 69806,
  [SMALL_STATE(1445)] = 69864,
  [SMALL_STATE(1446)] = 69916,
  [SMALL_STATE(1447)] = 69972,
  [SMALL_STATE(1448)] = 70030,
  [SMALL_STATE(1449)] = 70130,
  [SMALL_STATE(1450)] = 70200,
  [SMALL_STATE(1451)] = 70300,
  [SMALL_STATE(1452)] = 70352,
  [SMALL_STATE(1453)] = 70404,
  [SMALL_STATE(1454)] = 70492,
  [SMALL_STATE(1455)] = 70580,
  [SMALL_STATE(1456)] = 70636,
  [SMALL_STATE(1457)] = 70688,
  [SMALL_STATE(1458)] = 70744,
  [SMALL_STATE(1459)] = 70796,
  [SMALL_STATE(1460)] = 70854,
  [SMALL_STATE(1461)] = 70910,
  [SMALL_STATE(1462)] = 70962,
  [SMALL_STATE(1463)] = 71014,
  [SMALL_STATE(1464)] = 71072,
  [SMALL_STATE(1465)] = 71130,
  [SMALL_STATE(1466)] = 71182,
  [SMALL_STATE(1467)] = 71238,
  [SMALL_STATE(1468)] = 71338,
  [SMALL_STATE(1469)] = 71390,
  [SMALL_STATE(1470)] = 71442,
  [SMALL_STATE(1471)] = 71494,
  [SMALL_STATE(1472)] = 71546,
  [SMALL_STATE(1473)] = 71598,
  [SMALL_STATE(1474)] = 71650,
  [SMALL_STATE(1475)] = 71750,
  [SMALL_STATE(1476)] = 71802,
  [SMALL_STATE(1477)] = 71854,
  [SMALL_STATE(1478)] = 71906,
  [SMALL_STATE(1479)] = 71958,
  [SMALL_STATE(1480)] = 72010,
  [SMALL_STATE(1481)] = 72068,
  [SMALL_STATE(1482)] = 72120,
  [SMALL_STATE(1483)] = 72172,
  [SMALL_STATE(1484)] = 72224,
  [SMALL_STATE(1485)] = 72276,
  [SMALL_STATE(1486)] = 72328,
  [SMALL_STATE(1487)] = 72380,
  [SMALL_STATE(1488)] = 72432,
  [SMALL_STATE(1489)] = 72484,
  [SMALL_STATE(1490)] = 72536,
  [SMALL_STATE(1491)] = 72588,
  [SMALL_STATE(1492)] = 72644,
  [SMALL_STATE(1493)] = 72696,
  [SMALL_STATE(1494)] = 72748,
  [SMALL_STATE(1495)] = 72800,
  [SMALL_STATE(1496)] = 72858,
  [SMALL_STATE(1497)] = 72916,
  [SMALL_STATE(1498)] = 72974,
  [SMALL_STATE(1499)] = 73026,
  [SMALL_STATE(1500)] = 73078,
  [SMALL_STATE(1501)] = 73130,
  [SMALL_STATE(1502)] = 73188,
  [SMALL_STATE(1503)] = 73244,
  [SMALL_STATE(1504)] = 73296,
  [SMALL_STATE(1505)] = 73348,
  [SMALL_STATE(1506)] = 73404,
  [SMALL_STATE(1507)] = 73460,
  [SMALL_STATE(1508)] = 73518,
  [SMALL_STATE(1509)] = 73570,
  [SMALL_STATE(1510)] = 73622,
  [SMALL_STATE(1511)] = 73674,
  [SMALL_STATE(1512)] = 73730,
  [SMALL_STATE(1513)] = 73782,
  [SMALL_STATE(1514)] = 73838,
  [SMALL_STATE(1515)] = 73894,
  [SMALL_STATE(1516)] = 73950,
  [SMALL_STATE(1517)] = 74008,
  [SMALL_STATE(1518)] = 74060,
  [SMALL_STATE(1519)] = 74116,
  [SMALL_STATE(1520)] = 74168,
  [SMALL_STATE(1521)] = 74224,
  [SMALL_STATE(1522)] = 74282,
  [SMALL_STATE(1523)] = 74334,
  [SMALL_STATE(1524)] = 74392,
  [SMALL_STATE(1525)] = 74450,
  [SMALL_STATE(1526)] = 74502,
  [SMALL_STATE(1527)] = 74554,
  [SMALL_STATE(1528)] = 74606,
  [SMALL_STATE(1529)] = 74662,
  [SMALL_STATE(1530)] = 74718,
  [SMALL_STATE(1531)] = 74776,
  [SMALL_STATE(1532)] = 74832,
  [SMALL_STATE(1533)] = 74884,
  [SMALL_STATE(1534)] = 74942,
  [SMALL_STATE(1535)] = 74994,
  [SMALL_STATE(1536)] = 75054,
  [SMALL_STATE(1537)] = 75106,
  [SMALL_STATE(1538)] = 75158,
  [SMALL_STATE(1539)] = 75214,
  [SMALL_STATE(1540)] = 75270,
  [SMALL_STATE(1541)] = 75326,
  [SMALL_STATE(1542)] = 75382,
  [SMALL_STATE(1543)] = 75438,
  [SMALL_STATE(1544)] = 75496,
  [SMALL_STATE(1545)] = 75548,
  [SMALL_STATE(1546)] = 75604,
  [SMALL_STATE(1547)] = 75662,
  [SMALL_STATE(1548)] = 75714,
  [SMALL_STATE(1549)] = 75772,
  [SMALL_STATE(1550)] = 75828,
  [SMALL_STATE(1551)] = 75880,
  [SMALL_STATE(1552)] = 75932,
  [SMALL_STATE(1553)] = 75984,
  [SMALL_STATE(1554)] = 76040,
  [SMALL_STATE(1555)] = 76092,
  [SMALL_STATE(1556)] = 76144,
  [SMALL_STATE(1557)] = 76196,
  [SMALL_STATE(1558)] = 76248,
  [SMALL_STATE(1559)] = 76345,
  [SMALL_STATE(1560)] = 76442,
  [SMALL_STATE(1561)] = 76539,
  [SMALL_STATE(1562)] = 76594,
  [SMALL_STATE(1563)] = 76655,
  [SMALL_STATE(1564)] = 76752,
  [SMALL_STATE(1565)] = 76803,
  [SMALL_STATE(1566)] = 76854,
  [SMALL_STATE(1567)] = 76905,
  [SMALL_STATE(1568)] = 76956,
  [SMALL_STATE(1569)] = 77007,
  [SMALL_STATE(1570)] = 77058,
  [SMALL_STATE(1571)] = 77113,
  [SMALL_STATE(1572)] = 77164,
  [SMALL_STATE(1573)] = 77215,
  [SMALL_STATE(1574)] = 77266,
  [SMALL_STATE(1575)] = 77327,
  [SMALL_STATE(1576)] = 77382,
  [SMALL_STATE(1577)] = 77433,
  [SMALL_STATE(1578)] = 77484,
  [SMALL_STATE(1579)] = 77543,
  [SMALL_STATE(1580)] = 77594,
  [SMALL_STATE(1581)] = 77691,
  [SMALL_STATE(1582)] = 77788,
  [SMALL_STATE(1583)] = 77885,
  [SMALL_STATE(1584)] = 77942,
  [SMALL_STATE(1585)] = 77993,
  [SMALL_STATE(1586)] = 78044,
  [SMALL_STATE(1587)] = 78095,
  [SMALL_STATE(1588)] = 78146,
  [SMALL_STATE(1589)] = 78243,
  [SMALL_STATE(1590)] = 78300,
  [SMALL_STATE(1591)] = 78397,
  [SMALL_STATE(1592)] = 78448,
  [SMALL_STATE(1593)] = 78503,
  [SMALL_STATE(1594)] = 78554,
  [SMALL_STATE(1595)] = 78611,
  [SMALL_STATE(1596)] = 78662,
  [SMALL_STATE(1597)] = 78713,
  [SMALL_STATE(1598)] = 78810,
  [SMALL_STATE(1599)] = 78867,
  [SMALL_STATE(1600)] = 78926,
  [SMALL_STATE(1601)] = 79023,
  [SMALL_STATE(1602)] = 79120,
  [SMALL_STATE(1603)] = 79175,
  [SMALL_STATE(1604)] = 79226,
  [SMALL_STATE(1605)] = 79323,
  [SMALL_STATE(1606)] = 79420,
  [SMALL_STATE(1607)] = 79481,
  [SMALL_STATE(1608)] = 79532,
  [SMALL_STATE(1609)] = 79583,
  [SMALL_STATE(1610)] = 79634,
  [SMALL_STATE(1611)] = 79685,
  [SMALL_STATE(1612)] = 79784,
  [SMALL_STATE(1613)] = 79881,
  [SMALL_STATE(1614)] = 79932,
  [SMALL_STATE(1615)] = 80029,
  [SMALL_STATE(1616)] = 80090,
  [SMALL_STATE(1617)] = 80187,
  [SMALL_STATE(1618)] = 80238,
  [SMALL_STATE(1619)] = 80289,
  [SMALL_STATE(1620)] = 80344,
  [SMALL_STATE(1621)] = 80395,
  [SMALL_STATE(1622)] = 80446,
  [SMALL_STATE(1623)] = 80497,
  [SMALL_STATE(1624)] = 80594,
  [SMALL_STATE(1625)] = 80645,
  [SMALL_STATE(1626)] = 80696,
  [SMALL_STATE(1627)] = 80793,
  [SMALL_STATE(1628)] = 80844,
  [SMALL_STATE(1629)] = 80941,
  [SMALL_STATE(1630)] = 80992,
  [SMALL_STATE(1631)] = 81089,
  [SMALL_STATE(1632)] = 81140,
  [SMALL_STATE(1633)] = 81201,
  [SMALL_STATE(1634)] = 81298,
  [SMALL_STATE(1635)] = 81349,
  [SMALL_STATE(1636)] = 81404,
  [SMALL_STATE(1637)] = 81501,
  [SMALL_STATE(1638)] = 81598,
  [SMALL_STATE(1639)] = 81655,
  [SMALL_STATE(1640)] = 81706,
  [SMALL_STATE(1641)] = 81763,
  [SMALL_STATE(1642)] = 81814,
  [SMALL_STATE(1643)] = 81865,
  [SMALL_STATE(1644)] = 81962,
  [SMALL_STATE(1645)] = 82059,
  [SMALL_STATE(1646)] = 82120,
  [SMALL_STATE(1647)] = 82217,
  [SMALL_STATE(1648)] = 82314,
  [SMALL_STATE(1649)] = 82411,
  [SMALL_STATE(1650)] = 82508,
  [SMALL_STATE(1651)] = 82605,
  [SMALL_STATE(1652)] = 82702,
  [SMALL_STATE(1653)] = 82759,
  [SMALL_STATE(1654)] = 82856,
  [SMALL_STATE(1655)] = 82953,
  [SMALL_STATE(1656)] = 83050,
  [SMALL_STATE(1657)] = 83147,
  [SMALL_STATE(1658)] = 83244,
  [SMALL_STATE(1659)] = 83295,
  [SMALL_STATE(1660)] = 83346,
  [SMALL_STATE(1661)] = 83407,
  [SMALL_STATE(1662)] = 83458,
  [SMALL_STATE(1663)] = 83519,
  [SMALL_STATE(1664)] = 83616,
  [SMALL_STATE(1665)] = 83713,
  [SMALL_STATE(1666)] = 83774,
  [SMALL_STATE(1667)] = 83871,
  [SMALL_STATE(1668)] = 83932,
  [SMALL_STATE(1669)] = 83983,
  [SMALL_STATE(1670)] = 84044,
  [SMALL_STATE(1671)] = 84141,
  [SMALL_STATE(1672)] = 84238,
  [SMALL_STATE(1673)] = 84335,
  [SMALL_STATE(1674)] = 84396,
  [SMALL_STATE(1675)] = 84451,
  [SMALL_STATE(1676)] = 84512,
  [SMALL_STATE(1677)] = 84609,
  [SMALL_STATE(1678)] = 84670,
  [SMALL_STATE(1679)] = 84725,
  [SMALL_STATE(1680)] = 84786,
  [SMALL_STATE(1681)] = 84837,
  [SMALL_STATE(1682)] = 84898,
  [SMALL_STATE(1683)] = 84949,
  [SMALL_STATE(1684)] = 85000,
  [SMALL_STATE(1685)] = 85061,
  [SMALL_STATE(1686)] = 85112,
  [SMALL_STATE(1687)] = 85163,
  [SMALL_STATE(1688)] = 85260,
  [SMALL_STATE(1689)] = 85357,
  [SMALL_STATE(1690)] = 85408,
  [SMALL_STATE(1691)] = 85505,
  [SMALL_STATE(1692)] = 85602,
  [SMALL_STATE(1693)] = 85699,
  [SMALL_STATE(1694)] = 85796,
  [SMALL_STATE(1695)] = 85893,
  [SMALL_STATE(1696)] = 85954,
  [SMALL_STATE(1697)] = 86051,
  [SMALL_STATE(1698)] = 86148,
  [SMALL_STATE(1699)] = 86245,
  [SMALL_STATE(1700)] = 86342,
  [SMALL_STATE(1701)] = 86393,
  [SMALL_STATE(1702)] = 86448,
  [SMALL_STATE(1703)] = 86507,
  [SMALL_STATE(1704)] = 86558,
  [SMALL_STATE(1705)] = 86617,
  [SMALL_STATE(1706)] = 86714,
  [SMALL_STATE(1707)] = 86775,
  [SMALL_STATE(1708)] = 86826,
  [SMALL_STATE(1709)] = 86877,
  [SMALL_STATE(1710)] = 86932,
  [SMALL_STATE(1711)] = 87029,
  [SMALL_STATE(1712)] = 87090,
  [SMALL_STATE(1713)] = 87187,
  [SMALL_STATE(1714)] = 87248,
  [SMALL_STATE(1715)] = 87299,
  [SMALL_STATE(1716)] = 87396,
  [SMALL_STATE(1717)] = 87493,
  [SMALL_STATE(1718)] = 87554,
  [SMALL_STATE(1719)] = 87605,
  [SMALL_STATE(1720)] = 87702,
  [SMALL_STATE(1721)] = 87799,
  [SMALL_STATE(1722)] = 87896,
  [SMALL_STATE(1723)] = 87993,
  [SMALL_STATE(1724)] = 88054,
  [SMALL_STATE(1725)] = 88151,
  [SMALL_STATE(1726)] = 88212,
  [SMALL_STATE(1727)] = 88309,
  [SMALL_STATE(1728)] = 88360,
  [SMALL_STATE(1729)] = 88411,
  [SMALL_STATE(1730)] = 88508,
  [SMALL_STATE(1731)] = 88605,
  [SMALL_STATE(1732)] = 88666,
  [SMALL_STATE(1733)] = 88765,
  [SMALL_STATE(1734)] = 88816,
  [SMALL_STATE(1735)] = 88871,
  [SMALL_STATE(1736)] = 88932,
  [SMALL_STATE(1737)] = 89029,
  [SMALL_STATE(1738)] = 89090,
  [SMALL_STATE(1739)] = 89145,
  [SMALL_STATE(1740)] = 89196,
  [SMALL_STATE(1741)] = 89257,
  [SMALL_STATE(1742)] = 89354,
  [SMALL_STATE(1743)] = 89415,
  [SMALL_STATE(1744)] = 89466,
  [SMALL_STATE(1745)] = 89527,
  [SMALL_STATE(1746)] = 89578,
  [SMALL_STATE(1747)] = 89639,
  [SMALL_STATE(1748)] = 89694,
  [SMALL_STATE(1749)] = 89755,
  [SMALL_STATE(1750)] = 89806,
  [SMALL_STATE(1751)] = 89867,
  [SMALL_STATE(1752)] = 89918,
  [SMALL_STATE(1753)] = 89969,
  [SMALL_STATE(1754)] = 90020,
  [SMALL_STATE(1755)] = 90081,
  [SMALL_STATE(1756)] = 90178,
  [SMALL_STATE(1757)] = 90239,
  [SMALL_STATE(1758)] = 90290,
  [SMALL_STATE(1759)] = 90351,
  [SMALL_STATE(1760)] = 90402,
  [SMALL_STATE(1761)] = 90453,
  [SMALL_STATE(1762)] = 90504,
  [SMALL_STATE(1763)] = 90555,
  [SMALL_STATE(1764)] = 90652,
  [SMALL_STATE(1765)] = 90749,
  [SMALL_STATE(1766)] = 90810,
  [SMALL_STATE(1767)] = 90907,
  [SMALL_STATE(1768)] = 91004,
  [SMALL_STATE(1769)] = 91101,
  [SMALL_STATE(1770)] = 91162,
  [SMALL_STATE(1771)] = 91259,
  [SMALL_STATE(1772)] = 91356,
  [SMALL_STATE(1773)] = 91417,
  [SMALL_STATE(1774)] = 91514,
  [SMALL_STATE(1775)] = 91575,
  [SMALL_STATE(1776)] = 91672,
  [SMALL_STATE(1777)] = 91769,
  [SMALL_STATE(1778)] = 91830,
  [SMALL_STATE(1779)] = 91927,
  [SMALL_STATE(1780)] = 92024,
  [SMALL_STATE(1781)] = 92075,
  [SMALL_STATE(1782)] = 92172,
  [SMALL_STATE(1783)] = 92227,
  [SMALL_STATE(1784)] = 92288,
  [SMALL_STATE(1785)] = 92385,
  [SMALL_STATE(1786)] = 92440,
  [SMALL_STATE(1787)] = 92501,
  [SMALL_STATE(1788)] = 92552,
  [SMALL_STATE(1789)] = 92613,
  [SMALL_STATE(1790)] = 92664,
  [SMALL_STATE(1791)] = 92725,
  [SMALL_STATE(1792)] = 92776,
  [SMALL_STATE(1793)] = 92837,
  [SMALL_STATE(1794)] = 92888,
  [SMALL_STATE(1795)] = 92949,
  [SMALL_STATE(1796)] = 93000,
  [SMALL_STATE(1797)] = 93061,
  [SMALL_STATE(1798)] = 93122,
  [SMALL_STATE(1799)] = 93183,
  [SMALL_STATE(1800)] = 93244,
  [SMALL_STATE(1801)] = 93305,
  [SMALL_STATE(1802)] = 93366,
  [SMALL_STATE(1803)] = 93427,
  [SMALL_STATE(1804)] = 93488,
  [SMALL_STATE(1805)] = 93549,
  [SMALL_STATE(1806)] = 93610,
  [SMALL_STATE(1807)] = 93671,
  [SMALL_STATE(1808)] = 93732,
  [SMALL_STATE(1809)] = 93793,
  [SMALL_STATE(1810)] = 93854,
  [SMALL_STATE(1811)] = 93915,
  [SMALL_STATE(1812)] = 93976,
  [SMALL_STATE(1813)] = 94073,
  [SMALL_STATE(1814)] = 94172,
  [SMALL_STATE(1815)] = 94269,
  [SMALL_STATE(1816)] = 94320,
  [SMALL_STATE(1817)] = 94417,
  [SMALL_STATE(1818)] = 94514,
  [SMALL_STATE(1819)] = 94611,
  [SMALL_STATE(1820)] = 94668,
  [SMALL_STATE(1821)] = 94719,
  [SMALL_STATE(1822)] = 94776,
  [SMALL_STATE(1823)] = 94831,
  [SMALL_STATE(1824)] = 94928,
  [SMALL_STATE(1825)] = 95025,
  [SMALL_STATE(1826)] = 95122,
  [SMALL_STATE(1827)] = 95219,
  [SMALL_STATE(1828)] = 95316,
  [SMALL_STATE(1829)] = 95413,
  [SMALL_STATE(1830)] = 95510,
  [SMALL_STATE(1831)] = 95607,
  [SMALL_STATE(1832)] = 95704,
  [SMALL_STATE(1833)] = 95801,
  [SMALL_STATE(1834)] = 95898,
  [SMALL_STATE(1835)] = 95995,
  [SMALL_STATE(1836)] = 96092,
  [SMALL_STATE(1837)] = 96189,
  [SMALL_STATE(1838)] = 96286,
  [SMALL_STATE(1839)] = 96383,
  [SMALL_STATE(1840)] = 96482,
  [SMALL_STATE(1841)] = 96579,
  [SMALL_STATE(1842)] = 96676,
  [SMALL_STATE(1843)] = 96773,
  [SMALL_STATE(1844)] = 96870,
  [SMALL_STATE(1845)] = 96967,
  [SMALL_STATE(1846)] = 97064,
  [SMALL_STATE(1847)] = 97161,
  [SMALL_STATE(1848)] = 97258,
  [SMALL_STATE(1849)] = 97355,
  [SMALL_STATE(1850)] = 97452,
  [SMALL_STATE(1851)] = 97549,
  [SMALL_STATE(1852)] = 97646,
  [SMALL_STATE(1853)] = 97743,
  [SMALL_STATE(1854)] = 97840,
  [SMALL_STATE(1855)] = 97937,
  [SMALL_STATE(1856)] = 98036,
  [SMALL_STATE(1857)] = 98133,
  [SMALL_STATE(1858)] = 98230,
  [SMALL_STATE(1859)] = 98281,
  [SMALL_STATE(1860)] = 98378,
  [SMALL_STATE(1861)] = 98475,
  [SMALL_STATE(1862)] = 98530,
  [SMALL_STATE(1863)] = 98627,
  [SMALL_STATE(1864)] = 98724,
  [SMALL_STATE(1865)] = 98821,
  [SMALL_STATE(1866)] = 98920,
  [SMALL_STATE(1867)] = 98975,
  [SMALL_STATE(1868)] = 99026,
  [SMALL_STATE(1869)] = 99077,
  [SMALL_STATE(1870)] = 99128,
  [SMALL_STATE(1871)] = 99225,
  [SMALL_STATE(1872)] = 99322,
  [SMALL_STATE(1873)] = 99419,
  [SMALL_STATE(1874)] = 99516,
  [SMALL_STATE(1875)] = 99613,
  [SMALL_STATE(1876)] = 99669,
  [SMALL_STATE(1877)] = 99725,
  [SMALL_STATE(1878)] = 99781,
  [SMALL_STATE(1879)] = 99837,
  [SMALL_STATE(1880)] = 99893,
  [SMALL_STATE(1881)] = 99949,
  [SMALL_STATE(1882)] = 100005,
  [SMALL_STATE(1883)] = 100061,
  [SMALL_STATE(1884)] = 100117,
  [SMALL_STATE(1885)] = 100171,
  [SMALL_STATE(1886)] = 100227,
  [SMALL_STATE(1887)] = 100277,
  [SMALL_STATE(1888)] = 100333,
  [SMALL_STATE(1889)] = 100391,
  [SMALL_STATE(1890)] = 100441,
  [SMALL_STATE(1891)] = 100497,
  [SMALL_STATE(1892)] = 100547,
  [SMALL_STATE(1893)] = 100601,
  [SMALL_STATE(1894)] = 100655,
  [SMALL_STATE(1895)] = 100709,
  [SMALL_STATE(1896)] = 100763,
  [SMALL_STATE(1897)] = 100819,
  [SMALL_STATE(1898)] = 100869,
  [SMALL_STATE(1899)] = 100923,
  [SMALL_STATE(1900)] = 100977,
  [SMALL_STATE(1901)] = 101031,
  [SMALL_STATE(1902)] = 101085,
  [SMALL_STATE(1903)] = 101135,
  [SMALL_STATE(1904)] = 101185,
  [SMALL_STATE(1905)] = 101241,
  [SMALL_STATE(1906)] = 101297,
  [SMALL_STATE(1907)] = 101347,
  [SMALL_STATE(1908)] = 101401,
  [SMALL_STATE(1909)] = 101451,
  [SMALL_STATE(1910)] = 101501,
  [SMALL_STATE(1911)] = 101551,
  [SMALL_STATE(1912)] = 101601,
  [SMALL_STATE(1913)] = 101651,
  [SMALL_STATE(1914)] = 101701,
  [SMALL_STATE(1915)] = 101751,
  [SMALL_STATE(1916)] = 101807,
  [SMALL_STATE(1917)] = 101863,
  [SMALL_STATE(1918)] = 101917,
  [SMALL_STATE(1919)] = 101973,
  [SMALL_STATE(1920)] = 102027,
  [SMALL_STATE(1921)] = 102081,
  [SMALL_STATE(1922)] = 102131,
  [SMALL_STATE(1923)] = 102185,
  [SMALL_STATE(1924)] = 102241,
  [SMALL_STATE(1925)] = 102295,
  [SMALL_STATE(1926)] = 102351,
  [SMALL_STATE(1927)] = 102407,
  [SMALL_STATE(1928)] = 102463,
  [SMALL_STATE(1929)] = 102517,
  [SMALL_STATE(1930)] = 102571,
  [SMALL_STATE(1931)] = 102625,
  [SMALL_STATE(1932)] = 102678,
  [SMALL_STATE(1933)] = 102731,
  [SMALL_STATE(1934)] = 102784,
  [SMALL_STATE(1935)] = 102879,
  [SMALL_STATE(1936)] = 102928,
  [SMALL_STATE(1937)] = 102981,
  [SMALL_STATE(1938)] = 103030,
  [SMALL_STATE(1939)] = 103079,
  [SMALL_STATE(1940)] = 103128,
  [SMALL_STATE(1941)] = 103177,
  [SMALL_STATE(1942)] = 103232,
  [SMALL_STATE(1943)] = 103287,
  [SMALL_STATE(1944)] = 103336,
  [SMALL_STATE(1945)] = 103389,
  [SMALL_STATE(1946)] = 103438,
  [SMALL_STATE(1947)] = 103533,
  [SMALL_STATE(1948)] = 103582,
  [SMALL_STATE(1949)] = 103631,
  [SMALL_STATE(1950)] = 103684,
  [SMALL_STATE(1951)] = 103737,
  [SMALL_STATE(1952)] = 103786,
  [SMALL_STATE(1953)] = 103839,
  [SMALL_STATE(1954)] = 103892,
  [SMALL_STATE(1955)] = 103945,
  [SMALL_STATE(1956)] = 104040,
  [SMALL_STATE(1957)] = 104093,
  [SMALL_STATE(1958)] = 104142,
  [SMALL_STATE(1959)] = 104237,
  [SMALL_STATE(1960)] = 104290,
  [SMALL_STATE(1961)] = 104343,
  [SMALL_STATE(1962)] = 104392,
  [SMALL_STATE(1963)] = 104441,
  [SMALL_STATE(1964)] = 104490,
  [SMALL_STATE(1965)] = 104539,
  [SMALL_STATE(1966)] = 104588,
  [SMALL_STATE(1967)] = 104641,
  [SMALL_STATE(1968)] = 104690,
  [SMALL_STATE(1969)] = 104785,
  [SMALL_STATE(1970)] = 104834,
  [SMALL_STATE(1971)] = 104929,
  [SMALL_STATE(1972)] = 104982,
  [SMALL_STATE(1973)] = 105077,
  [SMALL_STATE(1974)] = 105132,
  [SMALL_STATE(1975)] = 105181,
  [SMALL_STATE(1976)] = 105276,
  [SMALL_STATE(1977)] = 105329,
  [SMALL_STATE(1978)] = 105384,
  [SMALL_STATE(1979)] = 105433,
  [SMALL_STATE(1980)] = 105486,
  [SMALL_STATE(1981)] = 105541,
  [SMALL_STATE(1982)] = 105590,
  [SMALL_STATE(1983)] = 105639,
  [SMALL_STATE(1984)] = 105688,
  [SMALL_STATE(1985)] = 105743,
  [SMALL_STATE(1986)] = 105838,
  [SMALL_STATE(1987)] = 105891,
  [SMALL_STATE(1988)] = 105946,
  [SMALL_STATE(1989)] = 106041,
  [SMALL_STATE(1990)] = 106094,
  [SMALL_STATE(1991)] = 106189,
  [SMALL_STATE(1992)] = 106238,
  [SMALL_STATE(1993)] = 106293,
  [SMALL_STATE(1994)] = 106348,
  [SMALL_STATE(1995)] = 106401,
  [SMALL_STATE(1996)] = 106454,
  [SMALL_STATE(1997)] = 106507,
  [SMALL_STATE(1998)] = 106560,
  [SMALL_STATE(1999)] = 106609,
  [SMALL_STATE(2000)] = 106658,
  [SMALL_STATE(2001)] = 106707,
  [SMALL_STATE(2002)] = 106802,
  [SMALL_STATE(2003)] = 106855,
  [SMALL_STATE(2004)] = 106908,
  [SMALL_STATE(2005)] = 106957,
  [SMALL_STATE(2006)] = 107010,
  [SMALL_STATE(2007)] = 107063,
  [SMALL_STATE(2008)] = 107116,
  [SMALL_STATE(2009)] = 107165,
  [SMALL_STATE(2010)] = 107214,
  [SMALL_STATE(2011)] = 107269,
  [SMALL_STATE(2012)] = 107324,
  [SMALL_STATE(2013)] = 107378,
  [SMALL_STATE(2014)] = 107430,
  [SMALL_STATE(2015)] = 107478,
  [SMALL_STATE(2016)] = 107526,
  [SMALL_STATE(2017)] = 107574,
  [SMALL_STATE(2018)] = 107622,
  [SMALL_STATE(2019)] = 107670,
  [SMALL_STATE(2020)] = 107722,
  [SMALL_STATE(2021)] = 107770,
  [SMALL_STATE(2022)] = 107818,
  [SMALL_STATE(2023)] = 107866,
  [SMALL_STATE(2024)] = 107914,
  [SMALL_STATE(2025)] = 107962,
  [SMALL_STATE(2026)] = 108010,
  [SMALL_STATE(2027)] = 108066,
  [SMALL_STATE(2028)] = 108114,
  [SMALL_STATE(2029)] = 108162,
  [SMALL_STATE(2030)] = 108210,
  [SMALL_STATE(2031)] = 108264,
  [SMALL_STATE(2032)] = 108312,
  [SMALL_STATE(2033)] = 108360,
  [SMALL_STATE(2034)] = 108414,
  [SMALL_STATE(2035)] = 108468,
  [SMALL_STATE(2036)] = 108516,
  [SMALL_STATE(2037)] = 108568,
  [SMALL_STATE(2038)] = 108616,
  [SMALL_STATE(2039)] = 108664,
  [SMALL_STATE(2040)] = 108716,
  [SMALL_STATE(2041)] = 108764,
  [SMALL_STATE(2042)] = 108816,
  [SMALL_STATE(2043)] = 108864,
  [SMALL_STATE(2044)] = 108916,
  [SMALL_STATE(2045)] = 108970,
  [SMALL_STATE(2046)] = 109026,
  [SMALL_STATE(2047)] = 109080,
  [SMALL_STATE(2048)] = 109136,
  [SMALL_STATE(2049)] = 109192,
  [SMALL_STATE(2050)] = 109246,
  [SMALL_STATE(2051)] = 109294,
  [SMALL_STATE(2052)] = 109348,
  [SMALL_STATE(2053)] = 109396,
  [SMALL_STATE(2054)] = 109450,
  [SMALL_STATE(2055)] = 109502,
  [SMALL_STATE(2056)] = 109554,
  [SMALL_STATE(2057)] = 109610,
  [SMALL_STATE(2058)] = 109662,
  [SMALL_STATE(2059)] = 109718,
  [SMALL_STATE(2060)] = 109766,
  [SMALL_STATE(2061)] = 109814,
  [SMALL_STATE(2062)] = 109866,
  [SMALL_STATE(2063)] = 109918,
  [SMALL_STATE(2064)] = 109966,
  [SMALL_STATE(2065)] = 110014,
  [SMALL_STATE(2066)] = 110068,
  [SMALL_STATE(2067)] = 110116,
  [SMALL_STATE(2068)] = 110164,
  [SMALL_STATE(2069)] = 110216,
  [SMALL_STATE(2070)] = 110264,
  [SMALL_STATE(2071)] = 110312,
  [SMALL_STATE(2072)] = 110360,
  [SMALL_STATE(2073)] = 110412,
  [SMALL_STATE(2074)] = 110466,
  [SMALL_STATE(2075)] = 110522,
  [SMALL_STATE(2076)] = 110574,
  [SMALL_STATE(2077)] = 110630,
  [SMALL_STATE(2078)] = 110686,
  [SMALL_STATE(2079)] = 110740,
  [SMALL_STATE(2080)] = 110796,
  [SMALL_STATE(2081)] = 110844,
  [SMALL_STATE(2082)] = 110892,
  [SMALL_STATE(2083)] = 110946,
  [SMALL_STATE(2084)] = 111000,
  [SMALL_STATE(2085)] = 111054,
  [SMALL_STATE(2086)] = 111102,
  [SMALL_STATE(2087)] = 111154,
  [SMALL_STATE(2088)] = 111206,
  [SMALL_STATE(2089)] = 111254,
  [SMALL_STATE(2090)] = 111302,
  [SMALL_STATE(2091)] = 111350,
  [SMALL_STATE(2092)] = 111398,
  [SMALL_STATE(2093)] = 111446,
  [SMALL_STATE(2094)] = 111498,
  [SMALL_STATE(2095)] = 111550,
  [SMALL_STATE(2096)] = 111602,
  [SMALL_STATE(2097)] = 111650,
  [SMALL_STATE(2098)] = 111702,
  [SMALL_STATE(2099)] = 111750,
  [SMALL_STATE(2100)] = 111802,
  [SMALL_STATE(2101)] = 111850,
  [SMALL_STATE(2102)] = 111904,
  [SMALL_STATE(2103)] = 111956,
  [SMALL_STATE(2104)] = 112010,
  [SMALL_STATE(2105)] = 112064,
  [SMALL_STATE(2106)] = 112112,
  [SMALL_STATE(2107)] = 112164,
  [SMALL_STATE(2108)] = 112220,
  [SMALL_STATE(2109)] = 112272,
  [SMALL_STATE(2110)] = 112320,
  [SMALL_STATE(2111)] = 112368,
  [SMALL_STATE(2112)] = 112422,
  [SMALL_STATE(2113)] = 112470,
  [SMALL_STATE(2114)] = 112518,
  [SMALL_STATE(2115)] = 112572,
  [SMALL_STATE(2116)] = 112620,
  [SMALL_STATE(2117)] = 112674,
  [SMALL_STATE(2118)] = 112724,
  [SMALL_STATE(2119)] = 112778,
  [SMALL_STATE(2120)] = 112826,
  [SMALL_STATE(2121)] = 112882,
  [SMALL_STATE(2122)] = 112930,
  [SMALL_STATE(2123)] = 112982,
  [SMALL_STATE(2124)] = 113036,
  [SMALL_STATE(2125)] = 113088,
  [SMALL_STATE(2126)] = 113140,
  [SMALL_STATE(2127)] = 113191,
  [SMALL_STATE(2128)] = 113238,
  [SMALL_STATE(2129)] = 113285,
  [SMALL_STATE(2130)] = 113332,
  [SMALL_STATE(2131)] = 113379,
  [SMALL_STATE(2132)] = 113426,
  [SMALL_STATE(2133)] = 113473,
  [SMALL_STATE(2134)] = 113520,
  [SMALL_STATE(2135)] = 113567,
  [SMALL_STATE(2136)] = 113620,
  [SMALL_STATE(2137)] = 113667,
  [SMALL_STATE(2138)] = 113714,
  [SMALL_STATE(2139)] = 113761,
  [SMALL_STATE(2140)] = 113808,
  [SMALL_STATE(2141)] = 113855,
  [SMALL_STATE(2142)] = 113902,
  [SMALL_STATE(2143)] = 113949,
  [SMALL_STATE(2144)] = 113996,
  [SMALL_STATE(2145)] = 114043,
  [SMALL_STATE(2146)] = 114090,
  [SMALL_STATE(2147)] = 114137,
  [SMALL_STATE(2148)] = 114184,
  [SMALL_STATE(2149)] = 114237,
  [SMALL_STATE(2150)] = 114284,
  [SMALL_STATE(2151)] = 114337,
  [SMALL_STATE(2152)] = 114388,
  [SMALL_STATE(2153)] = 114435,
  [SMALL_STATE(2154)] = 114486,
  [SMALL_STATE(2155)] = 114533,
  [SMALL_STATE(2156)] = 114580,
  [SMALL_STATE(2157)] = 114631,
  [SMALL_STATE(2158)] = 114678,
  [SMALL_STATE(2159)] = 114725,
  [SMALL_STATE(2160)] = 114772,
  [SMALL_STATE(2161)] = 114819,
  [SMALL_STATE(2162)] = 114866,
  [SMALL_STATE(2163)] = 114913,
  [SMALL_STATE(2164)] = 114960,
  [SMALL_STATE(2165)] = 115007,
  [SMALL_STATE(2166)] = 115054,
  [SMALL_STATE(2167)] = 115105,
  [SMALL_STATE(2168)] = 115152,
  [SMALL_STATE(2169)] = 115199,
  [SMALL_STATE(2170)] = 115246,
  [SMALL_STATE(2171)] = 115293,
  [SMALL_STATE(2172)] = 115340,
  [SMALL_STATE(2173)] = 115387,
  [SMALL_STATE(2174)] = 115434,
  [SMALL_STATE(2175)] = 115481,
  [SMALL_STATE(2176)] = 115528,
  [SMALL_STATE(2177)] = 115575,
  [SMALL_STATE(2178)] = 115622,
  [SMALL_STATE(2179)] = 115669,
  [SMALL_STATE(2180)] = 115716,
  [SMALL_STATE(2181)] = 115763,
  [SMALL_STATE(2182)] = 115810,
  [SMALL_STATE(2183)] = 115861,
  [SMALL_STATE(2184)] = 115908,
  [SMALL_STATE(2185)] = 115955,
  [SMALL_STATE(2186)] = 116002,
  [SMALL_STATE(2187)] = 116053,
  [SMALL_STATE(2188)] = 116100,
  [SMALL_STATE(2189)] = 116151,
  [SMALL_STATE(2190)] = 116198,
  [SMALL_STATE(2191)] = 116245,
  [SMALL_STATE(2192)] = 116292,
  [SMALL_STATE(2193)] = 116339,
  [SMALL_STATE(2194)] = 116390,
  [SMALL_STATE(2195)] = 116437,
  [SMALL_STATE(2196)] = 116486,
  [SMALL_STATE(2197)] = 116533,
  [SMALL_STATE(2198)] = 116580,
  [SMALL_STATE(2199)] = 116629,
  [SMALL_STATE(2200)] = 116676,
  [SMALL_STATE(2201)] = 116723,
  [SMALL_STATE(2202)] = 116770,
  [SMALL_STATE(2203)] = 116817,
  [SMALL_STATE(2204)] = 116868,
  [SMALL_STATE(2205)] = 116917,
  [SMALL_STATE(2206)] = 116964,
  [SMALL_STATE(2207)] = 117015,
  [SMALL_STATE(2208)] = 117062,
  [SMALL_STATE(2209)] = 117115,
  [SMALL_STATE(2210)] = 117166,
  [SMALL_STATE(2211)] = 117217,
  [SMALL_STATE(2212)] = 117264,
  [SMALL_STATE(2213)] = 117315,
  [SMALL_STATE(2214)] = 117362,
  [SMALL_STATE(2215)] = 117409,
  [SMALL_STATE(2216)] = 117456,
  [SMALL_STATE(2217)] = 117503,
  [SMALL_STATE(2218)] = 117550,
  [SMALL_STATE(2219)] = 117597,
  [SMALL_STATE(2220)] = 117644,
  [SMALL_STATE(2221)] = 117691,
  [SMALL_STATE(2222)] = 117738,
  [SMALL_STATE(2223)] = 117785,
  [SMALL_STATE(2224)] = 117836,
  [SMALL_STATE(2225)] = 117891,
  [SMALL_STATE(2226)] = 117940,
  [SMALL_STATE(2227)] = 117991,
  [SMALL_STATE(2228)] = 118038,
  [SMALL_STATE(2229)] = 118085,
  [SMALL_STATE(2230)] = 118132,
  [SMALL_STATE(2231)] = 118179,
  [SMALL_STATE(2232)] = 118226,
  [SMALL_STATE(2233)] = 118277,
  [SMALL_STATE(2234)] = 118324,
  [SMALL_STATE(2235)] = 118371,
  [SMALL_STATE(2236)] = 118422,
  [SMALL_STATE(2237)] = 118473,
  [SMALL_STATE(2238)] = 118520,
  [SMALL_STATE(2239)] = 118567,
  [SMALL_STATE(2240)] = 118614,
  [SMALL_STATE(2241)] = 118661,
  [SMALL_STATE(2242)] = 118710,
  [SMALL_STATE(2243)] = 118757,
  [SMALL_STATE(2244)] = 118804,
  [SMALL_STATE(2245)] = 118851,
  [SMALL_STATE(2246)] = 118902,
  [SMALL_STATE(2247)] = 118953,
  [SMALL_STATE(2248)] = 119002,
  [SMALL_STATE(2249)] = 119049,
  [SMALL_STATE(2250)] = 119096,
  [SMALL_STATE(2251)] = 119147,
  [SMALL_STATE(2252)] = 119194,
  [SMALL_STATE(2253)] = 119243,
  [SMALL_STATE(2254)] = 119290,
  [SMALL_STATE(2255)] = 119337,
  [SMALL_STATE(2256)] = 119384,
  [SMALL_STATE(2257)] = 119431,
  [SMALL_STATE(2258)] = 119513,
  [SMALL_STATE(2259)] = 119575,
  [SMALL_STATE(2260)] = 119629,
  [SMALL_STATE(2261)] = 119711,
  [SMALL_STATE(2262)] = 119793,
  [SMALL_STATE(2263)] = 119875,
  [SMALL_STATE(2264)] = 119957,
  [SMALL_STATE(2265)] = 120039,
  [SMALL_STATE(2266)] = 120121,
  [SMALL_STATE(2267)] = 120167,
  [SMALL_STATE(2268)] = 120249,
  [SMALL_STATE(2269)] = 120331,
  [SMALL_STATE(2270)] = 120413,
  [SMALL_STATE(2271)] = 120495,
  [SMALL_STATE(2272)] = 120577,
  [SMALL_STATE(2273)] = 120627,
  [SMALL_STATE(2274)] = 120673,
  [SMALL_STATE(2275)] = 120755,
  [SMALL_STATE(2276)] = 120801,
  [SMALL_STATE(2277)] = 120883,
  [SMALL_STATE(2278)] = 120929,
  [SMALL_STATE(2279)] = 121011,
  [SMALL_STATE(2280)] = 121093,
  [SMALL_STATE(2281)] = 121175,
  [SMALL_STATE(2282)] = 121257,
  [SMALL_STATE(2283)] = 121339,
  [SMALL_STATE(2284)] = 121421,
  [SMALL_STATE(2285)] = 121487,
  [SMALL_STATE(2286)] = 121533,
  [SMALL_STATE(2287)] = 121583,
  [SMALL_STATE(2288)] = 121633,
  [SMALL_STATE(2289)] = 121685,
  [SMALL_STATE(2290)] = 121767,
  [SMALL_STATE(2291)] = 121813,
  [SMALL_STATE(2292)] = 121867,
  [SMALL_STATE(2293)] = 121925,
  [SMALL_STATE(2294)] = 121971,
  [SMALL_STATE(2295)] = 122033,
  [SMALL_STATE(2296)] = 122097,
  [SMALL_STATE(2297)] = 122151,
  [SMALL_STATE(2298)] = 122217,
  [SMALL_STATE(2299)] = 122299,
  [SMALL_STATE(2300)] = 122381,
  [SMALL_STATE(2301)] = 122463,
  [SMALL_STATE(2302)] = 122531,
  [SMALL_STATE(2303)] = 122577,
  [SMALL_STATE(2304)] = 122647,
  [SMALL_STATE(2305)] = 122719,
  [SMALL_STATE(2306)] = 122797,
  [SMALL_STATE(2307)] = 122873,
  [SMALL_STATE(2308)] = 122929,
  [SMALL_STATE(2309)] = 122985,
  [SMALL_STATE(2310)] = 123053,
  [SMALL_STATE(2311)] = 123135,
  [SMALL_STATE(2312)] = 123217,
  [SMALL_STATE(2313)] = 123263,
  [SMALL_STATE(2314)] = 123309,
  [SMALL_STATE(2315)] = 123357,
  [SMALL_STATE(2316)] = 123427,
  [SMALL_STATE(2317)] = 123509,
  [SMALL_STATE(2318)] = 123591,
  [SMALL_STATE(2319)] = 123637,
  [SMALL_STATE(2320)] = 123719,
  [SMALL_STATE(2321)] = 123775,
  [SMALL_STATE(2322)] = 123857,
  [SMALL_STATE(2323)] = 123939,
  [SMALL_STATE(2324)] = 123993,
  [SMALL_STATE(2325)] = 124075,
  [SMALL_STATE(2326)] = 124157,
  [SMALL_STATE(2327)] = 124239,
  [SMALL_STATE(2328)] = 124321,
  [SMALL_STATE(2329)] = 124403,
  [SMALL_STATE(2330)] = 124449,
  [SMALL_STATE(2331)] = 124531,
  [SMALL_STATE(2332)] = 124613,
  [SMALL_STATE(2333)] = 124695,
  [SMALL_STATE(2334)] = 124741,
  [SMALL_STATE(2335)] = 124817,
  [SMALL_STATE(2336)] = 124899,
  [SMALL_STATE(2337)] = 124981,
  [SMALL_STATE(2338)] = 125055,
  [SMALL_STATE(2339)] = 125137,
  [SMALL_STATE(2340)] = 125183,
  [SMALL_STATE(2341)] = 125229,
  [SMALL_STATE(2342)] = 125275,
  [SMALL_STATE(2343)] = 125339,
  [SMALL_STATE(2344)] = 125385,
  [SMALL_STATE(2345)] = 125439,
  [SMALL_STATE(2346)] = 125499,
  [SMALL_STATE(2347)] = 125549,
  [SMALL_STATE(2348)] = 125599,
  [SMALL_STATE(2349)] = 125645,
  [SMALL_STATE(2350)] = 125691,
  [SMALL_STATE(2351)] = 125741,
  [SMALL_STATE(2352)] = 125791,
  [SMALL_STATE(2353)] = 125837,
  [SMALL_STATE(2354)] = 125883,
  [SMALL_STATE(2355)] = 125933,
  [SMALL_STATE(2356)] = 125979,
  [SMALL_STATE(2357)] = 126061,
  [SMALL_STATE(2358)] = 126109,
  [SMALL_STATE(2359)] = 126155,
  [SMALL_STATE(2360)] = 126205,
  [SMALL_STATE(2361)] = 126251,
  [SMALL_STATE(2362)] = 126297,
  [SMALL_STATE(2363)] = 126355,
  [SMALL_STATE(2364)] = 126401,
  [SMALL_STATE(2365)] = 126457,
  [SMALL_STATE(2366)] = 126505,
  [SMALL_STATE(2367)] = 126561,
  [SMALL_STATE(2368)] = 126607,
  [SMALL_STATE(2369)] = 126663,
  [SMALL_STATE(2370)] = 126709,
  [SMALL_STATE(2371)] = 126755,
  [SMALL_STATE(2372)] = 126807,
  [SMALL_STATE(2373)] = 126853,
  [SMALL_STATE(2374)] = 126899,
  [SMALL_STATE(2375)] = 126945,
  [SMALL_STATE(2376)] = 126995,
  [SMALL_STATE(2377)] = 127045,
  [SMALL_STATE(2378)] = 127091,
  [SMALL_STATE(2379)] = 127137,
  [SMALL_STATE(2380)] = 127183,
  [SMALL_STATE(2381)] = 127265,
  [SMALL_STATE(2382)] = 127311,
  [SMALL_STATE(2383)] = 127357,
  [SMALL_STATE(2384)] = 127403,
  [SMALL_STATE(2385)] = 127453,
  [SMALL_STATE(2386)] = 127499,
  [SMALL_STATE(2387)] = 127581,
  [SMALL_STATE(2388)] = 127627,
  [SMALL_STATE(2389)] = 127673,
  [SMALL_STATE(2390)] = 127719,
  [SMALL_STATE(2391)] = 127765,
  [SMALL_STATE(2392)] = 127811,
  [SMALL_STATE(2393)] = 127857,
  [SMALL_STATE(2394)] = 127903,
  [SMALL_STATE(2395)] = 127949,
  [SMALL_STATE(2396)] = 128031,
  [SMALL_STATE(2397)] = 128077,
  [SMALL_STATE(2398)] = 128123,
  [SMALL_STATE(2399)] = 128169,
  [SMALL_STATE(2400)] = 128215,
  [SMALL_STATE(2401)] = 128261,
  [SMALL_STATE(2402)] = 128307,
  [SMALL_STATE(2403)] = 128353,
  [SMALL_STATE(2404)] = 128399,
  [SMALL_STATE(2405)] = 128445,
  [SMALL_STATE(2406)] = 128491,
  [SMALL_STATE(2407)] = 128539,
  [SMALL_STATE(2408)] = 128613,
  [SMALL_STATE(2409)] = 128659,
  [SMALL_STATE(2410)] = 128705,
  [SMALL_STATE(2411)] = 128751,
  [SMALL_STATE(2412)] = 128823,
  [SMALL_STATE(2413)] = 128871,
  [SMALL_STATE(2414)] = 128917,
  [SMALL_STATE(2415)] = 128963,
  [SMALL_STATE(2416)] = 129009,
  [SMALL_STATE(2417)] = 129055,
  [SMALL_STATE(2418)] = 129101,
  [SMALL_STATE(2419)] = 129151,
  [SMALL_STATE(2420)] = 129197,
  [SMALL_STATE(2421)] = 129247,
  [SMALL_STATE(2422)] = 129293,
  [SMALL_STATE(2423)] = 129343,
  [SMALL_STATE(2424)] = 129389,
  [SMALL_STATE(2425)] = 129435,
  [SMALL_STATE(2426)] = 129481,
  [SMALL_STATE(2427)] = 129527,
  [SMALL_STATE(2428)] = 129609,
  [SMALL_STATE(2429)] = 129655,
  [SMALL_STATE(2430)] = 129737,
  [SMALL_STATE(2431)] = 129785,
  [SMALL_STATE(2432)] = 129831,
  [SMALL_STATE(2433)] = 129877,
  [SMALL_STATE(2434)] = 129923,
  [SMALL_STATE(2435)] = 129969,
  [SMALL_STATE(2436)] = 130015,
  [SMALL_STATE(2437)] = 130061,
  [SMALL_STATE(2438)] = 130106,
  [SMALL_STATE(2439)] = 130153,
  [SMALL_STATE(2440)] = 130232,
  [SMALL_STATE(2441)] = 130281,
  [SMALL_STATE(2442)] = 130330,
  [SMALL_STATE(2443)] = 130387,
  [SMALL_STATE(2444)] = 130432,
  [SMALL_STATE(2445)] = 130477,
  [SMALL_STATE(2446)] = 130528,
  [SMALL_STATE(2447)] = 130575,
  [SMALL_STATE(2448)] = 130654,
  [SMALL_STATE(2449)] = 130733,
  [SMALL_STATE(2450)] = 130786,
  [SMALL_STATE(2451)] = 130841,
  [SMALL_STATE(2452)] = 130914,
  [SMALL_STATE(2453)] = 130969,
  [SMALL_STATE(2454)] = 131014,
  [SMALL_STATE(2455)] = 131093,
  [SMALL_STATE(2456)] = 131150,
  [SMALL_STATE(2457)] = 131209,
  [SMALL_STATE(2458)] = 131270,
  [SMALL_STATE(2459)] = 131333,
  [SMALL_STATE(2460)] = 131398,
  [SMALL_STATE(2461)] = 131487,
  [SMALL_STATE(2462)] = 131554,
  [SMALL_STATE(2463)] = 131623,
  [SMALL_STATE(2464)] = 131670,
  [SMALL_STATE(2465)] = 131723,
  [SMALL_STATE(2466)] = 131768,
  [SMALL_STATE(2467)] = 131815,
  [SMALL_STATE(2468)] = 131862,
  [SMALL_STATE(2469)] = 131907,
  [SMALL_STATE(2470)] = 131986,
  [SMALL_STATE(2471)] = 132035,
  [SMALL_STATE(2472)] = 132124,
  [SMALL_STATE(2473)] = 132181,
  [SMALL_STATE(2474)] = 132270,
  [SMALL_STATE(2475)] = 132325,
  [SMALL_STATE(2476)] = 132404,
  [SMALL_STATE(2477)] = 132451,
  [SMALL_STATE(2478)] = 132506,
  [SMALL_STATE(2479)] = 132551,
  [SMALL_STATE(2480)] = 132596,
  [SMALL_STATE(2481)] = 132643,
  [SMALL_STATE(2482)] = 132692,
  [SMALL_STATE(2483)] = 132781,
  [SMALL_STATE(2484)] = 132858,
  [SMALL_STATE(2485)] = 132909,
  [SMALL_STATE(2486)] = 132988,
  [SMALL_STATE(2487)] = 133041,
  [SMALL_STATE(2488)] = 133098,
  [SMALL_STATE(2489)] = 133145,
  [SMALL_STATE(2490)] = 133234,
  [SMALL_STATE(2491)] = 133323,
  [SMALL_STATE(2492)] = 133412,
  [SMALL_STATE(2493)] = 133473,
  [SMALL_STATE(2494)] = 133536,
  [SMALL_STATE(2495)] = 133601,
  [SMALL_STATE(2496)] = 133668,
  [SMALL_STATE(2497)] = 133737,
  [SMALL_STATE(2498)] = 133808,
  [SMALL_STATE(2499)] = 133897,
  [SMALL_STATE(2500)] = 133972,
  [SMALL_STATE(2501)] = 134027,
  [SMALL_STATE(2502)] = 134076,
  [SMALL_STATE(2503)] = 134149,
  [SMALL_STATE(2504)] = 134194,
  [SMALL_STATE(2505)] = 134239,
  [SMALL_STATE(2506)] = 134302,
  [SMALL_STATE(2507)] = 134351,
  [SMALL_STATE(2508)] = 134400,
  [SMALL_STATE(2509)] = 134451,
  [SMALL_STATE(2510)] = 134498,
  [SMALL_STATE(2511)] = 134545,
  [SMALL_STATE(2512)] = 134598,
  [SMALL_STATE(2513)] = 134677,
  [SMALL_STATE(2514)] = 134756,
  [SMALL_STATE(2515)] = 134813,
  [SMALL_STATE(2516)] = 134874,
  [SMALL_STATE(2517)] = 134937,
  [SMALL_STATE(2518)] = 135016,
  [SMALL_STATE(2519)] = 135095,
  [SMALL_STATE(2520)] = 135160,
  [SMALL_STATE(2521)] = 135205,
  [SMALL_STATE(2522)] = 135250,
  [SMALL_STATE(2523)] = 135323,
  [SMALL_STATE(2524)] = 135392,
  [SMALL_STATE(2525)] = 135463,
  [SMALL_STATE(2526)] = 135508,
  [SMALL_STATE(2527)] = 135553,
  [SMALL_STATE(2528)] = 135630,
  [SMALL_STATE(2529)] = 135705,
  [SMALL_STATE(2530)] = 135794,
  [SMALL_STATE(2531)] = 135883,
  [SMALL_STATE(2532)] = 135930,
  [SMALL_STATE(2533)] = 135985,
  [SMALL_STATE(2534)] = 136038,
  [SMALL_STATE(2535)] = 136127,
  [SMALL_STATE(2536)] = 136182,
  [SMALL_STATE(2537)] = 136229,
  [SMALL_STATE(2538)] = 136308,
  [SMALL_STATE(2539)] = 136353,
  [SMALL_STATE(2540)] = 136400,
  [SMALL_STATE(2541)] = 136455,
  [SMALL_STATE(2542)] = 136500,
  [SMALL_STATE(2543)] = 136575,
  [SMALL_STATE(2544)] = 136652,
  [SMALL_STATE(2545)] = 136707,
  [SMALL_STATE(2546)] = 136762,
  [SMALL_STATE(2547)] = 136833,
  [SMALL_STATE(2548)] = 136912,
  [SMALL_STATE(2549)] = 136991,
  [SMALL_STATE(2550)] = 137060,
  [SMALL_STATE(2551)] = 137117,
  [SMALL_STATE(2552)] = 137184,
  [SMALL_STATE(2553)] = 137255,
  [SMALL_STATE(2554)] = 137300,
  [SMALL_STATE(2555)] = 137365,
  [SMALL_STATE(2556)] = 137420,
  [SMALL_STATE(2557)] = 137465,
  [SMALL_STATE(2558)] = 137540,
  [SMALL_STATE(2559)] = 137603,
  [SMALL_STATE(2560)] = 137682,
  [SMALL_STATE(2561)] = 137727,
  [SMALL_STATE(2562)] = 137788,
  [SMALL_STATE(2563)] = 137865,
  [SMALL_STATE(2564)] = 137922,
  [SMALL_STATE(2565)] = 137975,
  [SMALL_STATE(2566)] = 138054,
  [SMALL_STATE(2567)] = 138125,
  [SMALL_STATE(2568)] = 138170,
  [SMALL_STATE(2569)] = 138239,
  [SMALL_STATE(2570)] = 138284,
  [SMALL_STATE(2571)] = 138339,
  [SMALL_STATE(2572)] = 138390,
  [SMALL_STATE(2573)] = 138439,
  [SMALL_STATE(2574)] = 138488,
  [SMALL_STATE(2575)] = 138567,
  [SMALL_STATE(2576)] = 138642,
  [SMALL_STATE(2577)] = 138719,
  [SMALL_STATE(2578)] = 138790,
  [SMALL_STATE(2579)] = 138847,
  [SMALL_STATE(2580)] = 138902,
  [SMALL_STATE(2581)] = 138969,
  [SMALL_STATE(2582)] = 139034,
  [SMALL_STATE(2583)] = 139103,
  [SMALL_STATE(2584)] = 139148,
  [SMALL_STATE(2585)] = 139195,
  [SMALL_STATE(2586)] = 139262,
  [SMALL_STATE(2587)] = 139339,
  [SMALL_STATE(2588)] = 139404,
  [SMALL_STATE(2589)] = 139467,
  [SMALL_STATE(2590)] = 139514,
  [SMALL_STATE(2591)] = 139577,
  [SMALL_STATE(2592)] = 139638,
  [SMALL_STATE(2593)] = 139699,
  [SMALL_STATE(2594)] = 139744,
  [SMALL_STATE(2595)] = 139801,
  [SMALL_STATE(2596)] = 139854,
  [SMALL_STATE(2597)] = 139909,
  [SMALL_STATE(2598)] = 139954,
  [SMALL_STATE(2599)] = 140005,
  [SMALL_STATE(2600)] = 140054,
  [SMALL_STATE(2601)] = 140103,
  [SMALL_STATE(2602)] = 140148,
  [SMALL_STATE(2603)] = 140205,
  [SMALL_STATE(2604)] = 140262,
  [SMALL_STATE(2605)] = 140311,
  [SMALL_STATE(2606)] = 140390,
  [SMALL_STATE(2607)] = 140443,
  [SMALL_STATE(2608)] = 140496,
  [SMALL_STATE(2609)] = 140549,
  [SMALL_STATE(2610)] = 140638,
  [SMALL_STATE(2611)] = 140717,
  [SMALL_STATE(2612)] = 140772,
  [SMALL_STATE(2613)] = 140851,
  [SMALL_STATE(2614)] = 140902,
  [SMALL_STATE(2615)] = 140947,
  [SMALL_STATE(2616)] = 140992,
  [SMALL_STATE(2617)] = 141041,
  [SMALL_STATE(2618)] = 141086,
  [SMALL_STATE(2619)] = 141141,
  [SMALL_STATE(2620)] = 141190,
  [SMALL_STATE(2621)] = 141269,
  [SMALL_STATE(2622)] = 141342,
  [SMALL_STATE(2623)] = 141415,
  [SMALL_STATE(2624)] = 141460,
  [SMALL_STATE(2625)] = 141505,
  [SMALL_STATE(2626)] = 141550,
  [SMALL_STATE(2627)] = 141595,
  [SMALL_STATE(2628)] = 141662,
  [SMALL_STATE(2629)] = 141738,
  [SMALL_STATE(2630)] = 141814,
  [SMALL_STATE(2631)] = 141858,
  [SMALL_STATE(2632)] = 141902,
  [SMALL_STATE(2633)] = 141954,
  [SMALL_STATE(2634)] = 141998,
  [SMALL_STATE(2635)] = 142048,
  [SMALL_STATE(2636)] = 142092,
  [SMALL_STATE(2637)] = 142136,
  [SMALL_STATE(2638)] = 142180,
  [SMALL_STATE(2639)] = 142224,
  [SMALL_STATE(2640)] = 142268,
  [SMALL_STATE(2641)] = 142326,
  [SMALL_STATE(2642)] = 142386,
  [SMALL_STATE(2643)] = 142430,
  [SMALL_STATE(2644)] = 142474,
  [SMALL_STATE(2645)] = 142518,
  [SMALL_STATE(2646)] = 142562,
  [SMALL_STATE(2647)] = 142624,
  [SMALL_STATE(2648)] = 142688,
  [SMALL_STATE(2649)] = 142754,
  [SMALL_STATE(2650)] = 142822,
  [SMALL_STATE(2651)] = 142896,
  [SMALL_STATE(2652)] = 142968,
  [SMALL_STATE(2653)] = 143012,
  [SMALL_STATE(2654)] = 143088,
  [SMALL_STATE(2655)] = 143154,
  [SMALL_STATE(2656)] = 143198,
  [SMALL_STATE(2657)] = 143250,
  [SMALL_STATE(2658)] = 143302,
  [SMALL_STATE(2659)] = 143378,
  [SMALL_STATE(2660)] = 143448,
  [SMALL_STATE(2661)] = 143492,
  [SMALL_STATE(2662)] = 143536,
  [SMALL_STATE(2663)] = 143622,
  [SMALL_STATE(2664)] = 143708,
  [SMALL_STATE(2665)] = 143794,
  [SMALL_STATE(2666)] = 143838,
  [SMALL_STATE(2667)] = 143924,
  [SMALL_STATE(2668)] = 143968,
  [SMALL_STATE(2669)] = 144014,
  [SMALL_STATE(2670)] = 144100,
  [SMALL_STATE(2671)] = 144186,
  [SMALL_STATE(2672)] = 144240,
  [SMALL_STATE(2673)] = 144326,
  [SMALL_STATE(2674)] = 144380,
  [SMALL_STATE(2675)] = 144456,
  [SMALL_STATE(2676)] = 144542,
  [SMALL_STATE(2677)] = 144598,
  [SMALL_STATE(2678)] = 144642,
  [SMALL_STATE(2679)] = 144696,
  [SMALL_STATE(2680)] = 144742,
  [SMALL_STATE(2681)] = 144828,
  [SMALL_STATE(2682)] = 144876,
  [SMALL_STATE(2683)] = 144928,
  [SMALL_STATE(2684)] = 144976,
  [SMALL_STATE(2685)] = 145026,
  [SMALL_STATE(2686)] = 145078,
  [SMALL_STATE(2687)] = 145130,
  [SMALL_STATE(2688)] = 145216,
  [SMALL_STATE(2689)] = 145302,
  [SMALL_STATE(2690)] = 145356,
  [SMALL_STATE(2691)] = 145410,
  [SMALL_STATE(2692)] = 145496,
  [SMALL_STATE(2693)] = 145582,
  [SMALL_STATE(2694)] = 145640,
  [SMALL_STATE(2695)] = 145726,
  [SMALL_STATE(2696)] = 145812,
  [SMALL_STATE(2697)] = 145856,
  [SMALL_STATE(2698)] = 145942,
  [SMALL_STATE(2699)] = 145986,
  [SMALL_STATE(2700)] = 146046,
  [SMALL_STATE(2701)] = 146122,
  [SMALL_STATE(2702)] = 146198,
  [SMALL_STATE(2703)] = 146274,
  [SMALL_STATE(2704)] = 146350,
  [SMALL_STATE(2705)] = 146426,
  [SMALL_STATE(2706)] = 146502,
  [SMALL_STATE(2707)] = 146546,
  [SMALL_STATE(2708)] = 146622,
  [SMALL_STATE(2709)] = 146666,
  [SMALL_STATE(2710)] = 146742,
  [SMALL_STATE(2711)] = 146828,
  [SMALL_STATE(2712)] = 146904,
  [SMALL_STATE(2713)] = 146990,
  [SMALL_STATE(2714)] = 147066,
  [SMALL_STATE(2715)] = 147128,
  [SMALL_STATE(2716)] = 147204,
  [SMALL_STATE(2717)] = 147248,
  [SMALL_STATE(2718)] = 147324,
  [SMALL_STATE(2719)] = 147400,
  [SMALL_STATE(2720)] = 147444,
  [SMALL_STATE(2721)] = 147520,
  [SMALL_STATE(2722)] = 147564,
  [SMALL_STATE(2723)] = 147640,
  [SMALL_STATE(2724)] = 147684,
  [SMALL_STATE(2725)] = 147760,
  [SMALL_STATE(2726)] = 147836,
  [SMALL_STATE(2727)] = 147880,
  [SMALL_STATE(2728)] = 147944,
  [SMALL_STATE(2729)] = 148020,
  [SMALL_STATE(2730)] = 148084,
  [SMALL_STATE(2731)] = 148160,
  [SMALL_STATE(2732)] = 148236,
  [SMALL_STATE(2733)] = 148280,
  [SMALL_STATE(2734)] = 148324,
  [SMALL_STATE(2735)] = 148368,
  [SMALL_STATE(2736)] = 148444,
  [SMALL_STATE(2737)] = 148510,
  [SMALL_STATE(2738)] = 148578,
  [SMALL_STATE(2739)] = 148622,
  [SMALL_STATE(2740)] = 148698,
  [SMALL_STATE(2741)] = 148752,
  [SMALL_STATE(2742)] = 148796,
  [SMALL_STATE(2743)] = 148870,
  [SMALL_STATE(2744)] = 148946,
  [SMALL_STATE(2745)] = 149016,
  [SMALL_STATE(2746)] = 149084,
  [SMALL_STATE(2747)] = 149160,
  [SMALL_STATE(2748)] = 149204,
  [SMALL_STATE(2749)] = 149248,
  [SMALL_STATE(2750)] = 149314,
  [SMALL_STATE(2751)] = 149378,
  [SMALL_STATE(2752)] = 149440,
  [SMALL_STATE(2753)] = 149500,
  [SMALL_STATE(2754)] = 149544,
  [SMALL_STATE(2755)] = 149600,
  [SMALL_STATE(2756)] = 149652,
  [SMALL_STATE(2757)] = 149728,
  [SMALL_STATE(2758)] = 149778,
  [SMALL_STATE(2759)] = 149826,
  [SMALL_STATE(2760)] = 149874,
  [SMALL_STATE(2761)] = 149946,
  [SMALL_STATE(2762)] = 150022,
  [SMALL_STATE(2763)] = 150098,
  [SMALL_STATE(2764)] = 150142,
  [SMALL_STATE(2765)] = 150218,
  [SMALL_STATE(2766)] = 150294,
  [SMALL_STATE(2767)] = 150370,
  [SMALL_STATE(2768)] = 150414,
  [SMALL_STATE(2769)] = 150464,
  [SMALL_STATE(2770)] = 150540,
  [SMALL_STATE(2771)] = 150590,
  [SMALL_STATE(2772)] = 150634,
  [SMALL_STATE(2773)] = 150678,
  [SMALL_STATE(2774)] = 150754,
  [SMALL_STATE(2775)] = 150830,
  [SMALL_STATE(2776)] = 150906,
  [SMALL_STATE(2777)] = 150950,
  [SMALL_STATE(2778)] = 150994,
  [SMALL_STATE(2779)] = 151046,
  [SMALL_STATE(2780)] = 151090,
  [SMALL_STATE(2781)] = 151136,
  [SMALL_STATE(2782)] = 151212,
  [SMALL_STATE(2783)] = 151256,
  [SMALL_STATE(2784)] = 151304,
  [SMALL_STATE(2785)] = 151354,
  [SMALL_STATE(2786)] = 151406,
  [SMALL_STATE(2787)] = 151460,
  [SMALL_STATE(2788)] = 151536,
  [SMALL_STATE(2789)] = 151594,
  [SMALL_STATE(2790)] = 151638,
  [SMALL_STATE(2791)] = 151698,
  [SMALL_STATE(2792)] = 151760,
  [SMALL_STATE(2793)] = 151804,
  [SMALL_STATE(2794)] = 151848,
  [SMALL_STATE(2795)] = 151892,
  [SMALL_STATE(2796)] = 151936,
  [SMALL_STATE(2797)] = 152000,
  [SMALL_STATE(2798)] = 152068,
  [SMALL_STATE(2799)] = 152112,
  [SMALL_STATE(2800)] = 152188,
  [SMALL_STATE(2801)] = 152262,
  [SMALL_STATE(2802)] = 152334,
  [SMALL_STATE(2803)] = 152378,
  [SMALL_STATE(2804)] = 152422,
  [SMALL_STATE(2805)] = 152466,
  [SMALL_STATE(2806)] = 152536,
  [SMALL_STATE(2807)] = 152580,
  [SMALL_STATE(2808)] = 152624,
  [SMALL_STATE(2809)] = 152700,
  [SMALL_STATE(2810)] = 152744,
  [SMALL_STATE(2811)] = 152790,
  [SMALL_STATE(2812)] = 152842,
  [SMALL_STATE(2813)] = 152886,
  [SMALL_STATE(2814)] = 152962,
  [SMALL_STATE(2815)] = 153014,
  [SMALL_STATE(2816)] = 153058,
  [SMALL_STATE(2817)] = 153102,
  [SMALL_STATE(2818)] = 153178,
  [SMALL_STATE(2819)] = 153232,
  [SMALL_STATE(2820)] = 153278,
  [SMALL_STATE(2821)] = 153332,
  [SMALL_STATE(2822)] = 153376,
  [SMALL_STATE(2823)] = 153420,
  [SMALL_STATE(2824)] = 153464,
  [SMALL_STATE(2825)] = 153540,
  [SMALL_STATE(2826)] = 153584,
  [SMALL_STATE(2827)] = 153628,
  [SMALL_STATE(2828)] = 153698,
  [SMALL_STATE(2829)] = 153748,
  [SMALL_STATE(2830)] = 153824,
  [SMALL_STATE(2831)] = 153868,
  [SMALL_STATE(2832)] = 153944,
  [SMALL_STATE(2833)] = 153988,
  [SMALL_STATE(2834)] = 154064,
  [SMALL_STATE(2835)] = 154140,
  [SMALL_STATE(2836)] = 154194,
  [SMALL_STATE(2837)] = 154246,
  [SMALL_STATE(2838)] = 154290,
  [SMALL_STATE(2839)] = 154340,
  [SMALL_STATE(2840)] = 154384,
  [SMALL_STATE(2841)] = 154434,
  [SMALL_STATE(2842)] = 154510,
  [SMALL_STATE(2843)] = 154558,
  [SMALL_STATE(2844)] = 154602,
  [SMALL_STATE(2845)] = 154646,
  [SMALL_STATE(2846)] = 154722,
  [SMALL_STATE(2847)] = 154766,
  [SMALL_STATE(2848)] = 154810,
  [SMALL_STATE(2849)] = 154854,
  [SMALL_STATE(2850)] = 154930,
  [SMALL_STATE(2851)] = 155000,
  [SMALL_STATE(2852)] = 155046,
  [SMALL_STATE(2853)] = 155090,
  [SMALL_STATE(2854)] = 155138,
  [SMALL_STATE(2855)] = 155186,
  [SMALL_STATE(2856)] = 155236,
  [SMALL_STATE(2857)] = 155312,
  [SMALL_STATE(2858)] = 155356,
  [SMALL_STATE(2859)] = 155408,
  [SMALL_STATE(2860)] = 155462,
  [SMALL_STATE(2861)] = 155506,
  [SMALL_STATE(2862)] = 155564,
  [SMALL_STATE(2863)] = 155624,
  [SMALL_STATE(2864)] = 155668,
  [SMALL_STATE(2865)] = 155712,
  [SMALL_STATE(2866)] = 155788,
  [SMALL_STATE(2867)] = 155850,
  [SMALL_STATE(2868)] = 155926,
  [SMALL_STATE(2869)] = 155970,
  [SMALL_STATE(2870)] = 156014,
  [SMALL_STATE(2871)] = 156078,
  [SMALL_STATE(2872)] = 156142,
  [SMALL_STATE(2873)] = 156208,
  [SMALL_STATE(2874)] = 156276,
  [SMALL_STATE(2875)] = 156320,
  [SMALL_STATE(2876)] = 156370,
  [SMALL_STATE(2877)] = 156453,
  [SMALL_STATE(2878)] = 156504,
  [SMALL_STATE(2879)] = 156547,
  [SMALL_STATE(2880)] = 156598,
  [SMALL_STATE(2881)] = 156641,
  [SMALL_STATE(2882)] = 156688,
  [SMALL_STATE(2883)] = 156735,
  [SMALL_STATE(2884)] = 156782,
  [SMALL_STATE(2885)] = 156829,
  [SMALL_STATE(2886)] = 156876,
  [SMALL_STATE(2887)] = 156919,
  [SMALL_STATE(2888)] = 156966,
  [SMALL_STATE(2889)] = 157013,
  [SMALL_STATE(2890)] = 157056,
  [SMALL_STATE(2891)] = 157103,
  [SMALL_STATE(2892)] = 157150,
  [SMALL_STATE(2893)] = 157193,
  [SMALL_STATE(2894)] = 157240,
  [SMALL_STATE(2895)] = 157283,
  [SMALL_STATE(2896)] = 157334,
  [SMALL_STATE(2897)] = 157385,
  [SMALL_STATE(2898)] = 157464,
  [SMALL_STATE(2899)] = 157551,
  [SMALL_STATE(2900)] = 157630,
  [SMALL_STATE(2901)] = 157673,
  [SMALL_STATE(2902)] = 157760,
  [SMALL_STATE(2903)] = 157811,
  [SMALL_STATE(2904)] = 157890,
  [SMALL_STATE(2905)] = 157939,
  [SMALL_STATE(2906)] = 158018,
  [SMALL_STATE(2907)] = 158061,
  [SMALL_STATE(2908)] = 158110,
  [SMALL_STATE(2909)] = 158153,
  [SMALL_STATE(2910)] = 158196,
  [SMALL_STATE(2911)] = 158243,
  [SMALL_STATE(2912)] = 158290,
  [SMALL_STATE(2913)] = 158333,
  [SMALL_STATE(2914)] = 158376,
  [SMALL_STATE(2915)] = 158419,
  [SMALL_STATE(2916)] = 158462,
  [SMALL_STATE(2917)] = 158505,
  [SMALL_STATE(2918)] = 158592,
  [SMALL_STATE(2919)] = 158643,
  [SMALL_STATE(2920)] = 158694,
  [SMALL_STATE(2921)] = 158745,
  [SMALL_STATE(2922)] = 158788,
  [SMALL_STATE(2923)] = 158831,
  [SMALL_STATE(2924)] = 158874,
  [SMALL_STATE(2925)] = 158917,
  [SMALL_STATE(2926)] = 158999,
  [SMALL_STATE(2927)] = 159041,
  [SMALL_STATE(2928)] = 159083,
  [SMALL_STATE(2929)] = 159125,
  [SMALL_STATE(2930)] = 159175,
  [SMALL_STATE(2931)] = 159257,
  [SMALL_STATE(2932)] = 159307,
  [SMALL_STATE(2933)] = 159349,
  [SMALL_STATE(2934)] = 159391,
  [SMALL_STATE(2935)] = 159473,
  [SMALL_STATE(2936)] = 159515,
  [SMALL_STATE(2937)] = 159597,
  [SMALL_STATE(2938)] = 159639,
  [SMALL_STATE(2939)] = 159681,
  [SMALL_STATE(2940)] = 159723,
  [SMALL_STATE(2941)] = 159769,
  [SMALL_STATE(2942)] = 159851,
  [SMALL_STATE(2943)] = 159933,
  [SMALL_STATE(2944)] = 159975,
  [SMALL_STATE(2945)] = 160057,
  [SMALL_STATE(2946)] = 160099,
  [SMALL_STATE(2947)] = 160141,
  [SMALL_STATE(2948)] = 160223,
  [SMALL_STATE(2949)] = 160265,
  [SMALL_STATE(2950)] = 160347,
  [SMALL_STATE(2951)] = 160429,
  [SMALL_STATE(2952)] = 160471,
  [SMALL_STATE(2953)] = 160553,
  [SMALL_STATE(2954)] = 160595,
  [SMALL_STATE(2955)] = 160637,
  [SMALL_STATE(2956)] = 160679,
  [SMALL_STATE(2957)] = 160761,
  [SMALL_STATE(2958)] = 160803,
  [SMALL_STATE(2959)] = 160845,
  [SMALL_STATE(2960)] = 160927,
  [SMALL_STATE(2961)] = 161009,
  [SMALL_STATE(2962)] = 161091,
  [SMALL_STATE(2963)] = 161173,
  [SMALL_STATE(2964)] = 161255,
  [SMALL_STATE(2965)] = 161337,
  [SMALL_STATE(2966)] = 161413,
  [SMALL_STATE(2967)] = 161495,
  [SMALL_STATE(2968)] = 161541,
  [SMALL_STATE(2969)] = 161623,
  [SMALL_STATE(2970)] = 161705,
  [SMALL_STATE(2971)] = 161755,
  [SMALL_STATE(2972)] = 161805,
  [SMALL_STATE(2973)] = 161887,
  [SMALL_STATE(2974)] = 161969,
  [SMALL_STATE(2975)] = 162014,
  [SMALL_STATE(2976)] = 162055,
  [SMALL_STATE(2977)] = 162100,
  [SMALL_STATE(2978)] = 162173,
  [SMALL_STATE(2979)] = 162246,
  [SMALL_STATE(2980)] = 162291,
  [SMALL_STATE(2981)] = 162336,
  [SMALL_STATE(2982)] = 162381,
  [SMALL_STATE(2983)] = 162454,
  [SMALL_STATE(2984)] = 162499,
  [SMALL_STATE(2985)] = 162544,
  [SMALL_STATE(2986)] = 162617,
  [SMALL_STATE(2987)] = 162693,
  [SMALL_STATE(2988)] = 162769,
  [SMALL_STATE(2989)] = 162845,
  [SMALL_STATE(2990)] = 162921,
  [SMALL_STATE(2991)] = 162961,
  [SMALL_STATE(2992)] = 163037,
  [SMALL_STATE(2993)] = 163113,
  [SMALL_STATE(2994)] = 163153,
  [SMALL_STATE(2995)] = 163229,
  [SMALL_STATE(2996)] = 163305,
  [SMALL_STATE(2997)] = 163381,
  [SMALL_STATE(2998)] = 163457,
  [SMALL_STATE(2999)] = 163533,
  [SMALL_STATE(3000)] = 163573,
  [SMALL_STATE(3001)] = 163649,
  [SMALL_STATE(3002)] = 163725,
  [SMALL_STATE(3003)] = 163765,
  [SMALL_STATE(3004)] = 163805,
  [SMALL_STATE(3005)] = 163881,
  [SMALL_STATE(3006)] = 163957,
  [SMALL_STATE(3007)] = 164033,
  [SMALL_STATE(3008)] = 164073,
  [SMALL_STATE(3009)] = 164149,
  [SMALL_STATE(3010)] = 164189,
  [SMALL_STATE(3011)] = 164265,
  [SMALL_STATE(3012)] = 164341,
  [SMALL_STATE(3013)] = 164417,
  [SMALL_STATE(3014)] = 164493,
  [SMALL_STATE(3015)] = 164541,
  [SMALL_STATE(3016)] = 164617,
  [SMALL_STATE(3017)] = 164693,
  [SMALL_STATE(3018)] = 164733,
  [SMALL_STATE(3019)] = 164809,
  [SMALL_STATE(3020)] = 164857,
  [SMALL_STATE(3021)] = 164933,
  [SMALL_STATE(3022)] = 165009,
  [SMALL_STATE(3023)] = 165085,
  [SMALL_STATE(3024)] = 165161,
  [SMALL_STATE(3025)] = 165201,
  [SMALL_STATE(3026)] = 165277,
  [SMALL_STATE(3027)] = 165353,
  [SMALL_STATE(3028)] = 165429,
  [SMALL_STATE(3029)] = 165505,
  [SMALL_STATE(3030)] = 165581,
  [SMALL_STATE(3031)] = 165657,
  [SMALL_STATE(3032)] = 165733,
  [SMALL_STATE(3033)] = 165809,
  [SMALL_STATE(3034)] = 165885,
  [SMALL_STATE(3035)] = 165961,
  [SMALL_STATE(3036)] = 166037,
  [SMALL_STATE(3037)] = 166113,
  [SMALL_STATE(3038)] = 166189,
  [SMALL_STATE(3039)] = 166265,
  [SMALL_STATE(3040)] = 166341,
  [SMALL_STATE(3041)] = 166414,
  [SMALL_STATE(3042)] = 166489,
  [SMALL_STATE(3043)] = 166562,
  [SMALL_STATE(3044)] = 166635,
  [SMALL_STATE(3045)] = 166708,
  [SMALL_STATE(3046)] = 166779,
  [SMALL_STATE(3047)] = 166852,
  [SMALL_STATE(3048)] = 166925,
  [SMALL_STATE(3049)] = 166996,
  [SMALL_STATE(3050)] = 167069,
  [SMALL_STATE(3051)] = 167142,
  [SMALL_STATE(3052)] = 167217,
  [SMALL_STATE(3053)] = 167290,
  [SMALL_STATE(3054)] = 167361,
  [SMALL_STATE(3055)] = 167432,
  [SMALL_STATE(3056)] = 167505,
  [SMALL_STATE(3057)] = 167552,
  [SMALL_STATE(3058)] = 167625,
  [SMALL_STATE(3059)] = 167696,
  [SMALL_STATE(3060)] = 167767,
  [SMALL_STATE(3061)] = 167840,
  [SMALL_STATE(3062)] = 167887,
  [SMALL_STATE(3063)] = 167934,
  [SMALL_STATE(3064)] = 168005,
  [SMALL_STATE(3065)] = 168076,
  [SMALL_STATE(3066)] = 168149,
  [SMALL_STATE(3067)] = 168222,
  [SMALL_STATE(3068)] = 168269,
  [SMALL_STATE(3069)] = 168342,
  [SMALL_STATE(3070)] = 168415,
  [SMALL_STATE(3071)] = 168488,
  [SMALL_STATE(3072)] = 168561,
  [SMALL_STATE(3073)] = 168634,
  [SMALL_STATE(3074)] = 168707,
  [SMALL_STATE(3075)] = 168780,
  [SMALL_STATE(3076)] = 168853,
  [SMALL_STATE(3077)] = 168924,
  [SMALL_STATE(3078)] = 168997,
  [SMALL_STATE(3079)] = 169070,
  [SMALL_STATE(3080)] = 169117,
  [SMALL_STATE(3081)] = 169188,
  [SMALL_STATE(3082)] = 169235,
  [SMALL_STATE(3083)] = 169308,
  [SMALL_STATE(3084)] = 169355,
  [SMALL_STATE(3085)] = 169428,
  [SMALL_STATE(3086)] = 169501,
  [SMALL_STATE(3087)] = 169572,
  [SMALL_STATE(3088)] = 169643,
  [SMALL_STATE(3089)] = 169716,
  [SMALL_STATE(3090)] = 169789,
  [SMALL_STATE(3091)] = 169864,
  [SMALL_STATE(3092)] = 169911,
  [SMALL_STATE(3093)] = 169958,
  [SMALL_STATE(3094)] = 170031,
  [SMALL_STATE(3095)] = 170078,
  [SMALL_STATE(3096)] = 170153,
  [SMALL_STATE(3097)] = 170226,
  [SMALL_STATE(3098)] = 170299,
  [SMALL_STATE(3099)] = 170372,
  [SMALL_STATE(3100)] = 170445,
  [SMALL_STATE(3101)] = 170520,
  [SMALL_STATE(3102)] = 170593,
  [SMALL_STATE(3103)] = 170666,
  [SMALL_STATE(3104)] = 170739,
  [SMALL_STATE(3105)] = 170812,
  [SMALL_STATE(3106)] = 170887,
  [SMALL_STATE(3107)] = 170960,
  [SMALL_STATE(3108)] = 171035,
  [SMALL_STATE(3109)] = 171108,
  [SMALL_STATE(3110)] = 171181,
  [SMALL_STATE(3111)] = 171252,
  [SMALL_STATE(3112)] = 171326,
  [SMALL_STATE(3113)] = 171400,
  [SMALL_STATE(3114)] = 171468,
  [SMALL_STATE(3115)] = 171542,
  [SMALL_STATE(3116)] = 171616,
  [SMALL_STATE(3117)] = 171690,
  [SMALL_STATE(3118)] = 171764,
  [SMALL_STATE(3119)] = 171832,
  [SMALL_STATE(3120)] = 171906,
  [SMALL_STATE(3121)] = 171974,
  [SMALL_STATE(3122)] = 172048,
  [SMALL_STATE(3123)] = 172122,
  [SMALL_STATE(3124)] = 172196,
  [SMALL_STATE(3125)] = 172270,
  [SMALL_STATE(3126)] = 172344,
  [SMALL_STATE(3127)] = 172412,
  [SMALL_STATE(3128)] = 172484,
  [SMALL_STATE(3129)] = 172556,
  [SMALL_STATE(3130)] = 172624,
  [SMALL_STATE(3131)] = 172698,
  [SMALL_STATE(3132)] = 172766,
  [SMALL_STATE(3133)] = 172834,
  [SMALL_STATE(3134)] = 172902,
  [SMALL_STATE(3135)] = 172970,
  [SMALL_STATE(3136)] = 173038,
  [SMALL_STATE(3137)] = 173112,
  [SMALL_STATE(3138)] = 173186,
  [SMALL_STATE(3139)] = 173254,
  [SMALL_STATE(3140)] = 173322,
  [SMALL_STATE(3141)] = 173390,
  [SMALL_STATE(3142)] = 173464,
  [SMALL_STATE(3143)] = 173532,
  [SMALL_STATE(3144)] = 173600,
  [SMALL_STATE(3145)] = 173668,
  [SMALL_STATE(3146)] = 173742,
  [SMALL_STATE(3147)] = 173816,
  [SMALL_STATE(3148)] = 173884,
  [SMALL_STATE(3149)] = 173952,
  [SMALL_STATE(3150)] = 174020,
  [SMALL_STATE(3151)] = 174088,
  [SMALL_STATE(3152)] = 174160,
  [SMALL_STATE(3153)] = 174232,
  [SMALL_STATE(3154)] = 174300,
  [SMALL_STATE(3155)] = 174374,
  [SMALL_STATE(3156)] = 174442,
  [SMALL_STATE(3157)] = 174510,
  [SMALL_STATE(3158)] = 174578,
  [SMALL_STATE(3159)] = 174646,
  [SMALL_STATE(3160)] = 174720,
  [SMALL_STATE(3161)] = 174794,
  [SMALL_STATE(3162)] = 174862,
  [SMALL_STATE(3163)] = 174934,
  [SMALL_STATE(3164)] = 175006,
  [SMALL_STATE(3165)] = 175074,
  [SMALL_STATE(3166)] = 175142,
  [SMALL_STATE(3167)] = 175216,
  [SMALL_STATE(3168)] = 175290,
  [SMALL_STATE(3169)] = 175358,
  [SMALL_STATE(3170)] = 175430,
  [SMALL_STATE(3171)] = 175502,
  [SMALL_STATE(3172)] = 175574,
  [SMALL_STATE(3173)] = 175642,
  [SMALL_STATE(3174)] = 175710,
  [SMALL_STATE(3175)] = 175778,
  [SMALL_STATE(3176)] = 175846,
  [SMALL_STATE(3177)] = 175918,
  [SMALL_STATE(3178)] = 175986,
  [SMALL_STATE(3179)] = 176060,
  [SMALL_STATE(3180)] = 176128,
  [SMALL_STATE(3181)] = 176202,
  [SMALL_STATE(3182)] = 176270,
  [SMALL_STATE(3183)] = 176344,
  [SMALL_STATE(3184)] = 176418,
  [SMALL_STATE(3185)] = 176492,
  [SMALL_STATE(3186)] = 176560,
  [SMALL_STATE(3187)] = 176628,
  [SMALL_STATE(3188)] = 176700,
  [SMALL_STATE(3189)] = 176768,
  [SMALL_STATE(3190)] = 176840,
  [SMALL_STATE(3191)] = 176908,
  [SMALL_STATE(3192)] = 176976,
  [SMALL_STATE(3193)] = 177044,
  [SMALL_STATE(3194)] = 177112,
  [SMALL_STATE(3195)] = 177180,
  [SMALL_STATE(3196)] = 177252,
  [SMALL_STATE(3197)] = 177320,
  [SMALL_STATE(3198)] = 177388,
  [SMALL_STATE(3199)] = 177460,
  [SMALL_STATE(3200)] = 177528,
  [SMALL_STATE(3201)] = 177596,
  [SMALL_STATE(3202)] = 177664,
  [SMALL_STATE(3203)] = 177732,
  [SMALL_STATE(3204)] = 177804,
  [SMALL_STATE(3205)] = 177872,
  [SMALL_STATE(3206)] = 177940,
  [SMALL_STATE(3207)] = 178008,
  [SMALL_STATE(3208)] = 178076,
  [SMALL_STATE(3209)] = 178144,
  [SMALL_STATE(3210)] = 178212,
  [SMALL_STATE(3211)] = 178280,
  [SMALL_STATE(3212)] = 178348,
  [SMALL_STATE(3213)] = 178422,
  [SMALL_STATE(3214)] = 178490,
  [SMALL_STATE(3215)] = 178558,
  [SMALL_STATE(3216)] = 178626,
  [SMALL_STATE(3217)] = 178694,
  [SMALL_STATE(3218)] = 178762,
  [SMALL_STATE(3219)] = 178836,
  [SMALL_STATE(3220)] = 178904,
  [SMALL_STATE(3221)] = 178976,
  [SMALL_STATE(3222)] = 179044,
  [SMALL_STATE(3223)] = 179112,
  [SMALL_STATE(3224)] = 179180,
  [SMALL_STATE(3225)] = 179248,
  [SMALL_STATE(3226)] = 179316,
  [SMALL_STATE(3227)] = 179384,
  [SMALL_STATE(3228)] = 179458,
  [SMALL_STATE(3229)] = 179526,
  [SMALL_STATE(3230)] = 179594,
  [SMALL_STATE(3231)] = 179662,
  [SMALL_STATE(3232)] = 179730,
  [SMALL_STATE(3233)] = 179798,
  [SMALL_STATE(3234)] = 179872,
  [SMALL_STATE(3235)] = 179946,
  [SMALL_STATE(3236)] = 180020,
  [SMALL_STATE(3237)] = 180094,
  [SMALL_STATE(3238)] = 180168,
  [SMALL_STATE(3239)] = 180240,
  [SMALL_STATE(3240)] = 180308,
  [SMALL_STATE(3241)] = 180382,
  [SMALL_STATE(3242)] = 180450,
  [SMALL_STATE(3243)] = 180518,
  [SMALL_STATE(3244)] = 180590,
  [SMALL_STATE(3245)] = 180658,
  [SMALL_STATE(3246)] = 180726,
  [SMALL_STATE(3247)] = 180794,
  [SMALL_STATE(3248)] = 180862,
  [SMALL_STATE(3249)] = 180930,
  [SMALL_STATE(3250)] = 181002,
  [SMALL_STATE(3251)] = 181070,
  [SMALL_STATE(3252)] = 181138,
  [SMALL_STATE(3253)] = 181206,
  [SMALL_STATE(3254)] = 181274,
  [SMALL_STATE(3255)] = 181342,
  [SMALL_STATE(3256)] = 181410,
  [SMALL_STATE(3257)] = 181482,
  [SMALL_STATE(3258)] = 181554,
  [SMALL_STATE(3259)] = 181622,
  [SMALL_STATE(3260)] = 181690,
  [SMALL_STATE(3261)] = 181758,
  [SMALL_STATE(3262)] = 181826,
  [SMALL_STATE(3263)] = 181894,
  [SMALL_STATE(3264)] = 181966,
  [SMALL_STATE(3265)] = 182034,
  [SMALL_STATE(3266)] = 182108,
  [SMALL_STATE(3267)] = 182176,
  [SMALL_STATE(3268)] = 182250,
  [SMALL_STATE(3269)] = 182324,
  [SMALL_STATE(3270)] = 182396,
  [SMALL_STATE(3271)] = 182464,
  [SMALL_STATE(3272)] = 182532,
  [SMALL_STATE(3273)] = 182600,
  [SMALL_STATE(3274)] = 182674,
  [SMALL_STATE(3275)] = 182748,
  [SMALL_STATE(3276)] = 182822,
  [SMALL_STATE(3277)] = 182896,
  [SMALL_STATE(3278)] = 182970,
  [SMALL_STATE(3279)] = 183044,
  [SMALL_STATE(3280)] = 183118,
  [SMALL_STATE(3281)] = 183186,
  [SMALL_STATE(3282)] = 183260,
  [SMALL_STATE(3283)] = 183328,
  [SMALL_STATE(3284)] = 183396,
  [SMALL_STATE(3285)] = 183464,
  [SMALL_STATE(3286)] = 183532,
  [SMALL_STATE(3287)] = 183606,
  [SMALL_STATE(3288)] = 183680,
  [SMALL_STATE(3289)] = 183748,
  [SMALL_STATE(3290)] = 183816,
  [SMALL_STATE(3291)] = 183884,
  [SMALL_STATE(3292)] = 183952,
  [SMALL_STATE(3293)] = 184024,
  [SMALL_STATE(3294)] = 184096,
  [SMALL_STATE(3295)] = 184164,
  [SMALL_STATE(3296)] = 184232,
  [SMALL_STATE(3297)] = 184300,
  [SMALL_STATE(3298)] = 184372,
  [SMALL_STATE(3299)] = 184444,
  [SMALL_STATE(3300)] = 184512,
  [SMALL_STATE(3301)] = 184580,
  [SMALL_STATE(3302)] = 184648,
  [SMALL_STATE(3303)] = 184720,
  [SMALL_STATE(3304)] = 184792,
  [SMALL_STATE(3305)] = 184866,
  [SMALL_STATE(3306)] = 184940,
  [SMALL_STATE(3307)] = 185014,
  [SMALL_STATE(3308)] = 185088,
  [SMALL_STATE(3309)] = 185162,
  [SMALL_STATE(3310)] = 185230,
  [SMALL_STATE(3311)] = 185298,
  [SMALL_STATE(3312)] = 185366,
  [SMALL_STATE(3313)] = 185434,
  [SMALL_STATE(3314)] = 185502,
  [SMALL_STATE(3315)] = 185576,
  [SMALL_STATE(3316)] = 185650,
  [SMALL_STATE(3317)] = 185724,
  [SMALL_STATE(3318)] = 185798,
  [SMALL_STATE(3319)] = 185866,
  [SMALL_STATE(3320)] = 185940,
  [SMALL_STATE(3321)] = 186008,
  [SMALL_STATE(3322)] = 186076,
  [SMALL_STATE(3323)] = 186150,
  [SMALL_STATE(3324)] = 186218,
  [SMALL_STATE(3325)] = 186290,
  [SMALL_STATE(3326)] = 186364,
  [SMALL_STATE(3327)] = 186438,
  [SMALL_STATE(3328)] = 186512,
  [SMALL_STATE(3329)] = 186580,
  [SMALL_STATE(3330)] = 186654,
  [SMALL_STATE(3331)] = 186728,
  [SMALL_STATE(3332)] = 186800,
  [SMALL_STATE(3333)] = 186868,
  [SMALL_STATE(3334)] = 186940,
  [SMALL_STATE(3335)] = 187014,
  [SMALL_STATE(3336)] = 187088,
  [SMALL_STATE(3337)] = 187160,
  [SMALL_STATE(3338)] = 187234,
  [SMALL_STATE(3339)] = 187302,
  [SMALL_STATE(3340)] = 187376,
  [SMALL_STATE(3341)] = 187444,
  [SMALL_STATE(3342)] = 187516,
  [SMALL_STATE(3343)] = 187584,
  [SMALL_STATE(3344)] = 187658,
  [SMALL_STATE(3345)] = 187732,
  [SMALL_STATE(3346)] = 187800,
  [SMALL_STATE(3347)] = 187872,
  [SMALL_STATE(3348)] = 187944,
  [SMALL_STATE(3349)] = 188018,
  [SMALL_STATE(3350)] = 188090,
  [SMALL_STATE(3351)] = 188158,
  [SMALL_STATE(3352)] = 188232,
  [SMALL_STATE(3353)] = 188300,
  [SMALL_STATE(3354)] = 188372,
  [SMALL_STATE(3355)] = 188440,
  [SMALL_STATE(3356)] = 188508,
  [SMALL_STATE(3357)] = 188582,
  [SMALL_STATE(3358)] = 188656,
  [SMALL_STATE(3359)] = 188728,
  [SMALL_STATE(3360)] = 188802,
  [SMALL_STATE(3361)] = 188874,
  [SMALL_STATE(3362)] = 188948,
  [SMALL_STATE(3363)] = 189020,
  [SMALL_STATE(3364)] = 189088,
  [SMALL_STATE(3365)] = 189156,
  [SMALL_STATE(3366)] = 189224,
  [SMALL_STATE(3367)] = 189298,
  [SMALL_STATE(3368)] = 189366,
  [SMALL_STATE(3369)] = 189440,
  [SMALL_STATE(3370)] = 189508,
  [SMALL_STATE(3371)] = 189576,
  [SMALL_STATE(3372)] = 189644,
  [SMALL_STATE(3373)] = 189718,
  [SMALL_STATE(3374)] = 189786,
  [SMALL_STATE(3375)] = 189860,
  [SMALL_STATE(3376)] = 189934,
  [SMALL_STATE(3377)] = 190006,
  [SMALL_STATE(3378)] = 190080,
  [SMALL_STATE(3379)] = 190152,
  [SMALL_STATE(3380)] = 190226,
  [SMALL_STATE(3381)] = 190298,
  [SMALL_STATE(3382)] = 190372,
  [SMALL_STATE(3383)] = 190444,
  [SMALL_STATE(3384)] = 190518,
  [SMALL_STATE(3385)] = 190592,
  [SMALL_STATE(3386)] = 190666,
  [SMALL_STATE(3387)] = 190734,
  [SMALL_STATE(3388)] = 190808,
  [SMALL_STATE(3389)] = 190876,
  [SMALL_STATE(3390)] = 190950,
  [SMALL_STATE(3391)] = 191024,
  [SMALL_STATE(3392)] = 191098,
  [SMALL_STATE(3393)] = 191166,
  [SMALL_STATE(3394)] = 191238,
  [SMALL_STATE(3395)] = 191312,
  [SMALL_STATE(3396)] = 191380,
  [SMALL_STATE(3397)] = 191448,
  [SMALL_STATE(3398)] = 191522,
  [SMALL_STATE(3399)] = 191596,
  [SMALL_STATE(3400)] = 191668,
  [SMALL_STATE(3401)] = 191736,
  [SMALL_STATE(3402)] = 191810,
  [SMALL_STATE(3403)] = 191884,
  [SMALL_STATE(3404)] = 191958,
  [SMALL_STATE(3405)] = 192026,
  [SMALL_STATE(3406)] = 192094,
  [SMALL_STATE(3407)] = 192162,
  [SMALL_STATE(3408)] = 192236,
  [SMALL_STATE(3409)] = 192310,
  [SMALL_STATE(3410)] = 192378,
  [SMALL_STATE(3411)] = 192446,
  [SMALL_STATE(3412)] = 192520,
  [SMALL_STATE(3413)] = 192592,
  [SMALL_STATE(3414)] = 192660,
  [SMALL_STATE(3415)] = 192728,
  [SMALL_STATE(3416)] = 192802,
  [SMALL_STATE(3417)] = 192876,
  [SMALL_STATE(3418)] = 192948,
  [SMALL_STATE(3419)] = 193020,
  [SMALL_STATE(3420)] = 193094,
  [SMALL_STATE(3421)] = 193162,
  [SMALL_STATE(3422)] = 193230,
  [SMALL_STATE(3423)] = 193302,
  [SMALL_STATE(3424)] = 193370,
  [SMALL_STATE(3425)] = 193438,
  [SMALL_STATE(3426)] = 193506,
  [SMALL_STATE(3427)] = 193580,
  [SMALL_STATE(3428)] = 193654,
  [SMALL_STATE(3429)] = 193726,
  [SMALL_STATE(3430)] = 193800,
  [SMALL_STATE(3431)] = 193874,
  [SMALL_STATE(3432)] = 193942,
  [SMALL_STATE(3433)] = 194016,
  [SMALL_STATE(3434)] = 194090,
  [SMALL_STATE(3435)] = 194164,
  [SMALL_STATE(3436)] = 194238,
  [SMALL_STATE(3437)] = 194306,
  [SMALL_STATE(3438)] = 194380,
  [SMALL_STATE(3439)] = 194448,
  [SMALL_STATE(3440)] = 194522,
  [SMALL_STATE(3441)] = 194596,
  [SMALL_STATE(3442)] = 194664,
  [SMALL_STATE(3443)] = 194732,
  [SMALL_STATE(3444)] = 194800,
  [SMALL_STATE(3445)] = 194874,
  [SMALL_STATE(3446)] = 194948,
  [SMALL_STATE(3447)] = 195016,
  [SMALL_STATE(3448)] = 195084,
  [SMALL_STATE(3449)] = 195152,
  [SMALL_STATE(3450)] = 195220,
  [SMALL_STATE(3451)] = 195294,
  [SMALL_STATE(3452)] = 195368,
  [SMALL_STATE(3453)] = 195442,
  [SMALL_STATE(3454)] = 195510,
  [SMALL_STATE(3455)] = 195578,
  [SMALL_STATE(3456)] = 195652,
  [SMALL_STATE(3457)] = 195726,
  [SMALL_STATE(3458)] = 195794,
  [SMALL_STATE(3459)] = 195868,
  [SMALL_STATE(3460)] = 195942,
  [SMALL_STATE(3461)] = 196016,
  [SMALL_STATE(3462)] = 196090,
  [SMALL_STATE(3463)] = 196158,
  [SMALL_STATE(3464)] = 196226,
  [SMALL_STATE(3465)] = 196300,
  [SMALL_STATE(3466)] = 196374,
  [SMALL_STATE(3467)] = 196448,
  [SMALL_STATE(3468)] = 196516,
  [SMALL_STATE(3469)] = 196590,
  [SMALL_STATE(3470)] = 196658,
  [SMALL_STATE(3471)] = 196732,
  [SMALL_STATE(3472)] = 196806,
  [SMALL_STATE(3473)] = 196880,
  [SMALL_STATE(3474)] = 196954,
  [SMALL_STATE(3475)] = 197028,
  [SMALL_STATE(3476)] = 197102,
  [SMALL_STATE(3477)] = 197176,
  [SMALL_STATE(3478)] = 197250,
  [SMALL_STATE(3479)] = 197324,
  [SMALL_STATE(3480)] = 197398,
  [SMALL_STATE(3481)] = 197472,
  [SMALL_STATE(3482)] = 197546,
  [SMALL_STATE(3483)] = 197620,
  [SMALL_STATE(3484)] = 197694,
  [SMALL_STATE(3485)] = 197768,
  [SMALL_STATE(3486)] = 197836,
  [SMALL_STATE(3487)] = 197910,
  [SMALL_STATE(3488)] = 197984,
  [SMALL_STATE(3489)] = 198058,
  [SMALL_STATE(3490)] = 198126,
  [SMALL_STATE(3491)] = 198200,
  [SMALL_STATE(3492)] = 198274,
  [SMALL_STATE(3493)] = 198342,
  [SMALL_STATE(3494)] = 198410,
  [SMALL_STATE(3495)] = 198478,
  [SMALL_STATE(3496)] = 198546,
  [SMALL_STATE(3497)] = 198614,
  [SMALL_STATE(3498)] = 198682,
  [SMALL_STATE(3499)] = 198750,
  [SMALL_STATE(3500)] = 198818,
  [SMALL_STATE(3501)] = 198886,
  [SMALL_STATE(3502)] = 198954,
  [SMALL_STATE(3503)] = 199022,
  [SMALL_STATE(3504)] = 199096,
  [SMALL_STATE(3505)] = 199164,
  [SMALL_STATE(3506)] = 199232,
  [SMALL_STATE(3507)] = 199300,
  [SMALL_STATE(3508)] = 199372,
  [SMALL_STATE(3509)] = 199440,
  [SMALL_STATE(3510)] = 199508,
  [SMALL_STATE(3511)] = 199576,
  [SMALL_STATE(3512)] = 199644,
  [SMALL_STATE(3513)] = 199712,
  [SMALL_STATE(3514)] = 199780,
  [SMALL_STATE(3515)] = 199826,
  [SMALL_STATE(3516)] = 199872,
  [SMALL_STATE(3517)] = 199940,
  [SMALL_STATE(3518)] = 200008,
  [SMALL_STATE(3519)] = 200076,
  [SMALL_STATE(3520)] = 200150,
  [SMALL_STATE(3521)] = 200218,
  [SMALL_STATE(3522)] = 200292,
  [SMALL_STATE(3523)] = 200367,
  [SMALL_STATE(3524)] = 200424,
  [SMALL_STATE(3525)] = 200467,
  [SMALL_STATE(3526)] = 200512,
  [SMALL_STATE(3527)] = 200577,
  [SMALL_STATE(3528)] = 200634,
  [SMALL_STATE(3529)] = 200709,
  [SMALL_STATE(3530)] = 200784,
  [SMALL_STATE(3531)] = 200827,
  [SMALL_STATE(3532)] = 200869,
  [SMALL_STATE(3533)] = 200911,
  [SMALL_STATE(3534)] = 200955,
  [SMALL_STATE(3535)] = 201011,
  [SMALL_STATE(3536)] = 201053,
  [SMALL_STATE(3537)] = 201095,
  [SMALL_STATE(3538)] = 201137,
  [SMALL_STATE(3539)] = 201179,
  [SMALL_STATE(3540)] = 201221,
  [SMALL_STATE(3541)] = 201263,
  [SMALL_STATE(3542)] = 201305,
  [SMALL_STATE(3543)] = 201377,
  [SMALL_STATE(3544)] = 201449,
  [SMALL_STATE(3545)] = 201505,
  [SMALL_STATE(3546)] = 201547,
  [SMALL_STATE(3547)] = 201589,
  [SMALL_STATE(3548)] = 201661,
  [SMALL_STATE(3549)] = 201702,
  [SMALL_STATE(3550)] = 201743,
  [SMALL_STATE(3551)] = 201784,
  [SMALL_STATE(3552)] = 201835,
  [SMALL_STATE(3553)] = 201876,
  [SMALL_STATE(3554)] = 201911,
  [SMALL_STATE(3555)] = 201946,
  [SMALL_STATE(3556)] = 201981,
  [SMALL_STATE(3557)] = 202016,
  [SMALL_STATE(3558)] = 202051,
  [SMALL_STATE(3559)] = 202086,
  [SMALL_STATE(3560)] = 202129,
  [SMALL_STATE(3561)] = 202170,
  [SMALL_STATE(3562)] = 202205,
  [SMALL_STATE(3563)] = 202240,
  [SMALL_STATE(3564)] = 202275,
  [SMALL_STATE(3565)] = 202318,
  [SMALL_STATE(3566)] = 202353,
  [SMALL_STATE(3567)] = 202388,
  [SMALL_STATE(3568)] = 202429,
  [SMALL_STATE(3569)] = 202464,
  [SMALL_STATE(3570)] = 202515,
  [SMALL_STATE(3571)] = 202556,
  [SMALL_STATE(3572)] = 202591,
  [SMALL_STATE(3573)] = 202632,
  [SMALL_STATE(3574)] = 202667,
  [SMALL_STATE(3575)] = 202706,
  [SMALL_STATE(3576)] = 202741,
  [SMALL_STATE(3577)] = 202776,
  [SMALL_STATE(3578)] = 202811,
  [SMALL_STATE(3579)] = 202852,
  [SMALL_STATE(3580)] = 202897,
  [SMALL_STATE(3581)] = 202938,
  [SMALL_STATE(3582)] = 202981,
  [SMALL_STATE(3583)] = 203024,
  [SMALL_STATE(3584)] = 203065,
  [SMALL_STATE(3585)] = 203106,
  [SMALL_STATE(3586)] = 203141,
  [SMALL_STATE(3587)] = 203176,
  [SMALL_STATE(3588)] = 203211,
  [SMALL_STATE(3589)] = 203246,
  [SMALL_STATE(3590)] = 203287,
  [SMALL_STATE(3591)] = 203322,
  [SMALL_STATE(3592)] = 203357,
  [SMALL_STATE(3593)] = 203392,
  [SMALL_STATE(3594)] = 203433,
  [SMALL_STATE(3595)] = 203468,
  [SMALL_STATE(3596)] = 203503,
  [SMALL_STATE(3597)] = 203542,
  [SMALL_STATE(3598)] = 203597,
  [SMALL_STATE(3599)] = 203638,
  [SMALL_STATE(3600)] = 203673,
  [SMALL_STATE(3601)] = 203714,
  [SMALL_STATE(3602)] = 203749,
  [SMALL_STATE(3603)] = 203786,
  [SMALL_STATE(3604)] = 203841,
  [SMALL_STATE(3605)] = 203896,
  [SMALL_STATE(3606)] = 203931,
  [SMALL_STATE(3607)] = 203972,
  [SMALL_STATE(3608)] = 204013,
  [SMALL_STATE(3609)] = 204068,
  [SMALL_STATE(3610)] = 204107,
  [SMALL_STATE(3611)] = 204142,
  [SMALL_STATE(3612)] = 204177,
  [SMALL_STATE(3613)] = 204220,
  [SMALL_STATE(3614)] = 204255,
  [SMALL_STATE(3615)] = 204290,
  [SMALL_STATE(3616)] = 204325,
  [SMALL_STATE(3617)] = 204360,
  [SMALL_STATE(3618)] = 204399,
  [SMALL_STATE(3619)] = 204440,
  [SMALL_STATE(3620)] = 204481,
  [SMALL_STATE(3621)] = 204522,
  [SMALL_STATE(3622)] = 204561,
  [SMALL_STATE(3623)] = 204606,
  [SMALL_STATE(3624)] = 204647,
  [SMALL_STATE(3625)] = 204702,
  [SMALL_STATE(3626)] = 204739,
  [SMALL_STATE(3627)] = 204776,
  [SMALL_STATE(3628)] = 204811,
  [SMALL_STATE(3629)] = 204846,
  [SMALL_STATE(3630)] = 204883,
  [SMALL_STATE(3631)] = 204924,
  [SMALL_STATE(3632)] = 204979,
  [SMALL_STATE(3633)] = 205014,
  [SMALL_STATE(3634)] = 205051,
  [SMALL_STATE(3635)] = 205092,
  [SMALL_STATE(3636)] = 205133,
  [SMALL_STATE(3637)] = 205185,
  [SMALL_STATE(3638)] = 205223,
  [SMALL_STATE(3639)] = 205257,
  [SMALL_STATE(3640)] = 205291,
  [SMALL_STATE(3641)] = 205325,
  [SMALL_STATE(3642)] = 205359,
  [SMALL_STATE(3643)] = 205393,
  [SMALL_STATE(3644)] = 205427,
  [SMALL_STATE(3645)] = 205467,
  [SMALL_STATE(3646)] = 205501,
  [SMALL_STATE(3647)] = 205541,
  [SMALL_STATE(3648)] = 205575,
  [SMALL_STATE(3649)] = 205609,
  [SMALL_STATE(3650)] = 205643,
  [SMALL_STATE(3651)] = 205677,
  [SMALL_STATE(3652)] = 205711,
  [SMALL_STATE(3653)] = 205761,
  [SMALL_STATE(3654)] = 205795,
  [SMALL_STATE(3655)] = 205829,
  [SMALL_STATE(3656)] = 205863,
  [SMALL_STATE(3657)] = 205897,
  [SMALL_STATE(3658)] = 205931,
  [SMALL_STATE(3659)] = 205971,
  [SMALL_STATE(3660)] = 206011,
  [SMALL_STATE(3661)] = 206051,
  [SMALL_STATE(3662)] = 206085,
  [SMALL_STATE(3663)] = 206125,
  [SMALL_STATE(3664)] = 206169,
  [SMALL_STATE(3665)] = 206203,
  [SMALL_STATE(3666)] = 206243,
  [SMALL_STATE(3667)] = 206295,
  [SMALL_STATE(3668)] = 206329,
  [SMALL_STATE(3669)] = 206363,
  [SMALL_STATE(3670)] = 206407,
  [SMALL_STATE(3671)] = 206441,
  [SMALL_STATE(3672)] = 206481,
  [SMALL_STATE(3673)] = 206523,
  [SMALL_STATE(3674)] = 206557,
  [SMALL_STATE(3675)] = 206597,
  [SMALL_STATE(3676)] = 206631,
  [SMALL_STATE(3677)] = 206665,
  [SMALL_STATE(3678)] = 206703,
  [SMALL_STATE(3679)] = 206743,
  [SMALL_STATE(3680)] = 206783,
  [SMALL_STATE(3681)] = 206823,
  [SMALL_STATE(3682)] = 206863,
  [SMALL_STATE(3683)] = 206903,
  [SMALL_STATE(3684)] = 206937,
  [SMALL_STATE(3685)] = 206975,
  [SMALL_STATE(3686)] = 207009,
  [SMALL_STATE(3687)] = 207059,
  [SMALL_STATE(3688)] = 207093,
  [SMALL_STATE(3689)] = 207127,
  [SMALL_STATE(3690)] = 207161,
  [SMALL_STATE(3691)] = 207201,
  [SMALL_STATE(3692)] = 207241,
  [SMALL_STATE(3693)] = 207275,
  [SMALL_STATE(3694)] = 207315,
  [SMALL_STATE(3695)] = 207355,
  [SMALL_STATE(3696)] = 207395,
  [SMALL_STATE(3697)] = 207429,
  [SMALL_STATE(3698)] = 207469,
  [SMALL_STATE(3699)] = 207509,
  [SMALL_STATE(3700)] = 207549,
  [SMALL_STATE(3701)] = 207589,
  [SMALL_STATE(3702)] = 207623,
  [SMALL_STATE(3703)] = 207659,
  [SMALL_STATE(3704)] = 207693,
  [SMALL_STATE(3705)] = 207733,
  [SMALL_STATE(3706)] = 207773,
  [SMALL_STATE(3707)] = 207807,
  [SMALL_STATE(3708)] = 207841,
  [SMALL_STATE(3709)] = 207881,
  [SMALL_STATE(3710)] = 207933,
  [SMALL_STATE(3711)] = 207973,
  [SMALL_STATE(3712)] = 208013,
  [SMALL_STATE(3713)] = 208053,
  [SMALL_STATE(3714)] = 208087,
  [SMALL_STATE(3715)] = 208129,
  [SMALL_STATE(3716)] = 208163,
  [SMALL_STATE(3717)] = 208201,
  [SMALL_STATE(3718)] = 208241,
  [SMALL_STATE(3719)] = 208275,
  [SMALL_STATE(3720)] = 208315,
  [SMALL_STATE(3721)] = 208355,
  [SMALL_STATE(3722)] = 208393,
  [SMALL_STATE(3723)] = 208433,
  [SMALL_STATE(3724)] = 208471,
  [SMALL_STATE(3725)] = 208523,
  [SMALL_STATE(3726)] = 208557,
  [SMALL_STATE(3727)] = 208597,
  [SMALL_STATE(3728)] = 208635,
  [SMALL_STATE(3729)] = 208669,
  [SMALL_STATE(3730)] = 208703,
  [SMALL_STATE(3731)] = 208743,
  [SMALL_STATE(3732)] = 208783,
  [SMALL_STATE(3733)] = 208817,
  [SMALL_STATE(3734)] = 208855,
  [SMALL_STATE(3735)] = 208893,
  [SMALL_STATE(3736)] = 208933,
  [SMALL_STATE(3737)] = 208971,
  [SMALL_STATE(3738)] = 209013,
  [SMALL_STATE(3739)] = 209053,
  [SMALL_STATE(3740)] = 209087,
  [SMALL_STATE(3741)] = 209127,
  [SMALL_STATE(3742)] = 209165,
  [SMALL_STATE(3743)] = 209208,
  [SMALL_STATE(3744)] = 209249,
  [SMALL_STATE(3745)] = 209308,
  [SMALL_STATE(3746)] = 209367,
  [SMALL_STATE(3747)] = 209426,
  [SMALL_STATE(3748)] = 209485,
  [SMALL_STATE(3749)] = 209544,
  [SMALL_STATE(3750)] = 209577,
  [SMALL_STATE(3751)] = 209642,
  [SMALL_STATE(3752)] = 209701,
  [SMALL_STATE(3753)] = 209740,
  [SMALL_STATE(3754)] = 209799,
  [SMALL_STATE(3755)] = 209834,
  [SMALL_STATE(3756)] = 209893,
  [SMALL_STATE(3757)] = 209958,
  [SMALL_STATE(3758)] = 210017,
  [SMALL_STATE(3759)] = 210056,
  [SMALL_STATE(3760)] = 210115,
  [SMALL_STATE(3761)] = 210174,
  [SMALL_STATE(3762)] = 210207,
  [SMALL_STATE(3763)] = 210266,
  [SMALL_STATE(3764)] = 210299,
  [SMALL_STATE(3765)] = 210358,
  [SMALL_STATE(3766)] = 210417,
  [SMALL_STATE(3767)] = 210454,
  [SMALL_STATE(3768)] = 210513,
  [SMALL_STATE(3769)] = 210546,
  [SMALL_STATE(3770)] = 210579,
  [SMALL_STATE(3771)] = 210638,
  [SMALL_STATE(3772)] = 210671,
  [SMALL_STATE(3773)] = 210736,
  [SMALL_STATE(3774)] = 210801,
  [SMALL_STATE(3775)] = 210860,
  [SMALL_STATE(3776)] = 210899,
  [SMALL_STATE(3777)] = 210932,
  [SMALL_STATE(3778)] = 210971,
  [SMALL_STATE(3779)] = 211004,
  [SMALL_STATE(3780)] = 211037,
  [SMALL_STATE(3781)] = 211096,
  [SMALL_STATE(3782)] = 211129,
  [SMALL_STATE(3783)] = 211162,
  [SMALL_STATE(3784)] = 211221,
  [SMALL_STATE(3785)] = 211280,
  [SMALL_STATE(3786)] = 211339,
  [SMALL_STATE(3787)] = 211398,
  [SMALL_STATE(3788)] = 211441,
  [SMALL_STATE(3789)] = 211500,
  [SMALL_STATE(3790)] = 211533,
  [SMALL_STATE(3791)] = 211576,
  [SMALL_STATE(3792)] = 211635,
  [SMALL_STATE(3793)] = 211676,
  [SMALL_STATE(3794)] = 211735,
  [SMALL_STATE(3795)] = 211768,
  [SMALL_STATE(3796)] = 211809,
  [SMALL_STATE(3797)] = 211868,
  [SMALL_STATE(3798)] = 211901,
  [SMALL_STATE(3799)] = 211934,
  [SMALL_STATE(3800)] = 211967,
  [SMALL_STATE(3801)] = 212008,
  [SMALL_STATE(3802)] = 212057,
  [SMALL_STATE(3803)] = 212090,
  [SMALL_STATE(3804)] = 212149,
  [SMALL_STATE(3805)] = 212198,
  [SMALL_STATE(3806)] = 212233,
  [SMALL_STATE(3807)] = 212292,
  [SMALL_STATE(3808)] = 212351,
  [SMALL_STATE(3809)] = 212390,
  [SMALL_STATE(3810)] = 212429,
  [SMALL_STATE(3811)] = 212468,
  [SMALL_STATE(3812)] = 212507,
  [SMALL_STATE(3813)] = 212546,
  [SMALL_STATE(3814)] = 212605,
  [SMALL_STATE(3815)] = 212638,
  [SMALL_STATE(3816)] = 212671,
  [SMALL_STATE(3817)] = 212730,
  [SMALL_STATE(3818)] = 212789,
  [SMALL_STATE(3819)] = 212848,
  [SMALL_STATE(3820)] = 212887,
  [SMALL_STATE(3821)] = 212926,
  [SMALL_STATE(3822)] = 212965,
  [SMALL_STATE(3823)] = 213024,
  [SMALL_STATE(3824)] = 213083,
  [SMALL_STATE(3825)] = 213116,
  [SMALL_STATE(3826)] = 213175,
  [SMALL_STATE(3827)] = 213214,
  [SMALL_STATE(3828)] = 213273,
  [SMALL_STATE(3829)] = 213332,
  [SMALL_STATE(3830)] = 213371,
  [SMALL_STATE(3831)] = 213410,
  [SMALL_STATE(3832)] = 213449,
  [SMALL_STATE(3833)] = 213482,
  [SMALL_STATE(3834)] = 213521,
  [SMALL_STATE(3835)] = 213554,
  [SMALL_STATE(3836)] = 213587,
  [SMALL_STATE(3837)] = 213646,
  [SMALL_STATE(3838)] = 213679,
  [SMALL_STATE(3839)] = 213718,
  [SMALL_STATE(3840)] = 213757,
  [SMALL_STATE(3841)] = 213816,
  [SMALL_STATE(3842)] = 213855,
  [SMALL_STATE(3843)] = 213914,
  [SMALL_STATE(3844)] = 213963,
  [SMALL_STATE(3845)] = 213996,
  [SMALL_STATE(3846)] = 214035,
  [SMALL_STATE(3847)] = 214094,
  [SMALL_STATE(3848)] = 214133,
  [SMALL_STATE(3849)] = 214172,
  [SMALL_STATE(3850)] = 214221,
  [SMALL_STATE(3851)] = 214254,
  [SMALL_STATE(3852)] = 214319,
  [SMALL_STATE(3853)] = 214356,
  [SMALL_STATE(3854)] = 214395,
  [SMALL_STATE(3855)] = 214454,
  [SMALL_STATE(3856)] = 214493,
  [SMALL_STATE(3857)] = 214552,
  [SMALL_STATE(3858)] = 214593,
  [SMALL_STATE(3859)] = 214626,
  [SMALL_STATE(3860)] = 214685,
  [SMALL_STATE(3861)] = 214750,
  [SMALL_STATE(3862)] = 214809,
  [SMALL_STATE(3863)] = 214868,
  [SMALL_STATE(3864)] = 214901,
  [SMALL_STATE(3865)] = 214934,
  [SMALL_STATE(3866)] = 214967,
  [SMALL_STATE(3867)] = 215026,
  [SMALL_STATE(3868)] = 215065,
  [SMALL_STATE(3869)] = 215124,
  [SMALL_STATE(3870)] = 215163,
  [SMALL_STATE(3871)] = 215222,
  [SMALL_STATE(3872)] = 215261,
  [SMALL_STATE(3873)] = 215300,
  [SMALL_STATE(3874)] = 215339,
  [SMALL_STATE(3875)] = 215372,
  [SMALL_STATE(3876)] = 215415,
  [SMALL_STATE(3877)] = 215480,
  [SMALL_STATE(3878)] = 215513,
  [SMALL_STATE(3879)] = 215552,
  [SMALL_STATE(3880)] = 215611,
  [SMALL_STATE(3881)] = 215650,
  [SMALL_STATE(3882)] = 215715,
  [SMALL_STATE(3883)] = 215780,
  [SMALL_STATE(3884)] = 215839,
  [SMALL_STATE(3885)] = 215898,
  [SMALL_STATE(3886)] = 215931,
  [SMALL_STATE(3887)] = 215964,
  [SMALL_STATE(3888)] = 215997,
  [SMALL_STATE(3889)] = 216056,
  [SMALL_STATE(3890)] = 216089,
  [SMALL_STATE(3891)] = 216122,
  [SMALL_STATE(3892)] = 216155,
  [SMALL_STATE(3893)] = 216214,
  [SMALL_STATE(3894)] = 216247,
  [SMALL_STATE(3895)] = 216280,
  [SMALL_STATE(3896)] = 216313,
  [SMALL_STATE(3897)] = 216372,
  [SMALL_STATE(3898)] = 216431,
  [SMALL_STATE(3899)] = 216480,
  [SMALL_STATE(3900)] = 216515,
  [SMALL_STATE(3901)] = 216574,
  [SMALL_STATE(3902)] = 216617,
  [SMALL_STATE(3903)] = 216676,
  [SMALL_STATE(3904)] = 216715,
  [SMALL_STATE(3905)] = 216754,
  [SMALL_STATE(3906)] = 216793,
  [SMALL_STATE(3907)] = 216836,
  [SMALL_STATE(3908)] = 216875,
  [SMALL_STATE(3909)] = 216914,
  [SMALL_STATE(3910)] = 216973,
  [SMALL_STATE(3911)] = 217032,
  [SMALL_STATE(3912)] = 217081,
  [SMALL_STATE(3913)] = 217118,
  [SMALL_STATE(3914)] = 217158,
  [SMALL_STATE(3915)] = 217190,
  [SMALL_STATE(3916)] = 217222,
  [SMALL_STATE(3917)] = 217254,
  [SMALL_STATE(3918)] = 217286,
  [SMALL_STATE(3919)] = 217348,
  [SMALL_STATE(3920)] = 217394,
  [SMALL_STATE(3921)] = 217426,
  [SMALL_STATE(3922)] = 217458,
  [SMALL_STATE(3923)] = 217490,
  [SMALL_STATE(3924)] = 217522,
  [SMALL_STATE(3925)] = 217554,
  [SMALL_STATE(3926)] = 217586,
  [SMALL_STATE(3927)] = 217618,
  [SMALL_STATE(3928)] = 217650,
  [SMALL_STATE(3929)] = 217682,
  [SMALL_STATE(3930)] = 217714,
  [SMALL_STATE(3931)] = 217746,
  [SMALL_STATE(3932)] = 217778,
  [SMALL_STATE(3933)] = 217810,
  [SMALL_STATE(3934)] = 217872,
  [SMALL_STATE(3935)] = 217904,
  [SMALL_STATE(3936)] = 217936,
  [SMALL_STATE(3937)] = 217968,
  [SMALL_STATE(3938)] = 218004,
  [SMALL_STATE(3939)] = 218036,
  [SMALL_STATE(3940)] = 218068,
  [SMALL_STATE(3941)] = 218100,
  [SMALL_STATE(3942)] = 218132,
  [SMALL_STATE(3943)] = 218164,
  [SMALL_STATE(3944)] = 218196,
  [SMALL_STATE(3945)] = 218228,
  [SMALL_STATE(3946)] = 218260,
  [SMALL_STATE(3947)] = 218292,
  [SMALL_STATE(3948)] = 218324,
  [SMALL_STATE(3949)] = 218356,
  [SMALL_STATE(3950)] = 218388,
  [SMALL_STATE(3951)] = 218428,
  [SMALL_STATE(3952)] = 218490,
  [SMALL_STATE(3953)] = 218552,
  [SMALL_STATE(3954)] = 218584,
  [SMALL_STATE(3955)] = 218616,
  [SMALL_STATE(3956)] = 218648,
  [SMALL_STATE(3957)] = 218680,
  [SMALL_STATE(3958)] = 218742,
  [SMALL_STATE(3959)] = 218774,
  [SMALL_STATE(3960)] = 218820,
  [SMALL_STATE(3961)] = 218852,
  [SMALL_STATE(3962)] = 218884,
  [SMALL_STATE(3963)] = 218924,
  [SMALL_STATE(3964)] = 218956,
  [SMALL_STATE(3965)] = 218988,
  [SMALL_STATE(3966)] = 219020,
  [SMALL_STATE(3967)] = 219052,
  [SMALL_STATE(3968)] = 219084,
  [SMALL_STATE(3969)] = 219116,
  [SMALL_STATE(3970)] = 219148,
  [SMALL_STATE(3971)] = 219190,
  [SMALL_STATE(3972)] = 219222,
  [SMALL_STATE(3973)] = 219256,
  [SMALL_STATE(3974)] = 219288,
  [SMALL_STATE(3975)] = 219320,
  [SMALL_STATE(3976)] = 219362,
  [SMALL_STATE(3977)] = 219394,
  [SMALL_STATE(3978)] = 219426,
  [SMALL_STATE(3979)] = 219488,
  [SMALL_STATE(3980)] = 219550,
  [SMALL_STATE(3981)] = 219582,
  [SMALL_STATE(3982)] = 219614,
  [SMALL_STATE(3983)] = 219646,
  [SMALL_STATE(3984)] = 219678,
  [SMALL_STATE(3985)] = 219710,
  [SMALL_STATE(3986)] = 219742,
  [SMALL_STATE(3987)] = 219774,
  [SMALL_STATE(3988)] = 219806,
  [SMALL_STATE(3989)] = 219852,
  [SMALL_STATE(3990)] = 219884,
  [SMALL_STATE(3991)] = 219916,
  [SMALL_STATE(3992)] = 219956,
  [SMALL_STATE(3993)] = 219988,
  [SMALL_STATE(3994)] = 220020,
  [SMALL_STATE(3995)] = 220052,
  [SMALL_STATE(3996)] = 220084,
  [SMALL_STATE(3997)] = 220116,
  [SMALL_STATE(3998)] = 220148,
  [SMALL_STATE(3999)] = 220180,
  [SMALL_STATE(4000)] = 220212,
  [SMALL_STATE(4001)] = 220244,
  [SMALL_STATE(4002)] = 220276,
  [SMALL_STATE(4003)] = 220308,
  [SMALL_STATE(4004)] = 220346,
  [SMALL_STATE(4005)] = 220378,
  [SMALL_STATE(4006)] = 220414,
  [SMALL_STATE(4007)] = 220446,
  [SMALL_STATE(4008)] = 220478,
  [SMALL_STATE(4009)] = 220516,
  [SMALL_STATE(4010)] = 220554,
  [SMALL_STATE(4011)] = 220592,
  [SMALL_STATE(4012)] = 220624,
  [SMALL_STATE(4013)] = 220656,
  [SMALL_STATE(4014)] = 220688,
  [SMALL_STATE(4015)] = 220720,
  [SMALL_STATE(4016)] = 220758,
  [SMALL_STATE(4017)] = 220796,
  [SMALL_STATE(4018)] = 220828,
  [SMALL_STATE(4019)] = 220860,
  [SMALL_STATE(4020)] = 220892,
  [SMALL_STATE(4021)] = 220924,
  [SMALL_STATE(4022)] = 220956,
  [SMALL_STATE(4023)] = 220988,
  [SMALL_STATE(4024)] = 221020,
  [SMALL_STATE(4025)] = 221058,
  [SMALL_STATE(4026)] = 221096,
  [SMALL_STATE(4027)] = 221128,
  [SMALL_STATE(4028)] = 221160,
  [SMALL_STATE(4029)] = 221192,
  [SMALL_STATE(4030)] = 221224,
  [SMALL_STATE(4031)] = 221286,
  [SMALL_STATE(4032)] = 221332,
  [SMALL_STATE(4033)] = 221372,
  [SMALL_STATE(4034)] = 221404,
  [SMALL_STATE(4035)] = 221436,
  [SMALL_STATE(4036)] = 221468,
  [SMALL_STATE(4037)] = 221508,
  [SMALL_STATE(4038)] = 221540,
  [SMALL_STATE(4039)] = 221572,
  [SMALL_STATE(4040)] = 221604,
  [SMALL_STATE(4041)] = 221636,
  [SMALL_STATE(4042)] = 221668,
  [SMALL_STATE(4043)] = 221700,
  [SMALL_STATE(4044)] = 221732,
  [SMALL_STATE(4045)] = 221764,
  [SMALL_STATE(4046)] = 221800,
  [SMALL_STATE(4047)] = 221862,
  [SMALL_STATE(4048)] = 221894,
  [SMALL_STATE(4049)] = 221926,
  [SMALL_STATE(4050)] = 221958,
  [SMALL_STATE(4051)] = 221990,
  [SMALL_STATE(4052)] = 222022,
  [SMALL_STATE(4053)] = 222060,
  [SMALL_STATE(4054)] = 222098,
  [SMALL_STATE(4055)] = 222130,
  [SMALL_STATE(4056)] = 222170,
  [SMALL_STATE(4057)] = 222210,
  [SMALL_STATE(4058)] = 222242,
  [SMALL_STATE(4059)] = 222274,
  [SMALL_STATE(4060)] = 222306,
  [SMALL_STATE(4061)] = 222346,
  [SMALL_STATE(4062)] = 222385,
  [SMALL_STATE(4063)] = 222424,
  [SMALL_STATE(4064)] = 222459,
  [SMALL_STATE(4065)] = 222494,
  [SMALL_STATE(4066)] = 222531,
  [SMALL_STATE(4067)] = 222568,
  [SMALL_STATE(4068)] = 222605,
  [SMALL_STATE(4069)] = 222644,
  [SMALL_STATE(4070)] = 222683,
  [SMALL_STATE(4071)] = 222730,
  [SMALL_STATE(4072)] = 222777,
  [SMALL_STATE(4073)] = 222812,
  [SMALL_STATE(4074)] = 222851,
  [SMALL_STATE(4075)] = 222890,
  [SMALL_STATE(4076)] = 222927,
  [SMALL_STATE(4077)] = 222966,
  [SMALL_STATE(4078)] = 223003,
  [SMALL_STATE(4079)] = 223040,
  [SMALL_STATE(4080)] = 223077,
  [SMALL_STATE(4081)] = 223108,
  [SMALL_STATE(4082)] = 223145,
  [SMALL_STATE(4083)] = 223184,
  [SMALL_STATE(4084)] = 223223,
  [SMALL_STATE(4085)] = 223262,
  [SMALL_STATE(4086)] = 223301,
  [SMALL_STATE(4087)] = 223340,
  [SMALL_STATE(4088)] = 223377,
  [SMALL_STATE(4089)] = 223412,
  [SMALL_STATE(4090)] = 223442,
  [SMALL_STATE(4091)] = 223478,
  [SMALL_STATE(4092)] = 223534,
  [SMALL_STATE(4093)] = 223566,
  [SMALL_STATE(4094)] = 223622,
  [SMALL_STATE(4095)] = 223652,
  [SMALL_STATE(4096)] = 223708,
  [SMALL_STATE(4097)] = 223740,
  [SMALL_STATE(4098)] = 223796,
  [SMALL_STATE(4099)] = 223852,
  [SMALL_STATE(4100)] = 223884,
  [SMALL_STATE(4101)] = 223940,
  [SMALL_STATE(4102)] = 223970,
  [SMALL_STATE(4103)] = 224026,
  [SMALL_STATE(4104)] = 224082,
  [SMALL_STATE(4105)] = 224138,
  [SMALL_STATE(4106)] = 224170,
  [SMALL_STATE(4107)] = 224208,
  [SMALL_STATE(4108)] = 224246,
  [SMALL_STATE(4109)] = 224278,
  [SMALL_STATE(4110)] = 224316,
  [SMALL_STATE(4111)] = 224348,
  [SMALL_STATE(4112)] = 224404,
  [SMALL_STATE(4113)] = 224434,
  [SMALL_STATE(4114)] = 224466,
  [SMALL_STATE(4115)] = 224522,
  [SMALL_STATE(4116)] = 224552,
  [SMALL_STATE(4117)] = 224588,
  [SMALL_STATE(4118)] = 224644,
  [SMALL_STATE(4119)] = 224700,
  [SMALL_STATE(4120)] = 224740,
  [SMALL_STATE(4121)] = 224796,
  [SMALL_STATE(4122)] = 224826,
  [SMALL_STATE(4123)] = 224858,
  [SMALL_STATE(4124)] = 224890,
  [SMALL_STATE(4125)] = 224946,
  [SMALL_STATE(4126)] = 224976,
  [SMALL_STATE(4127)] = 225032,
  [SMALL_STATE(4128)] = 225088,
  [SMALL_STATE(4129)] = 225144,
  [SMALL_STATE(4130)] = 225200,
  [SMALL_STATE(4131)] = 225256,
  [SMALL_STATE(4132)] = 225312,
  [SMALL_STATE(4133)] = 225368,
  [SMALL_STATE(4134)] = 225424,
  [SMALL_STATE(4135)] = 225454,
  [SMALL_STATE(4136)] = 225510,
  [SMALL_STATE(4137)] = 225566,
  [SMALL_STATE(4138)] = 225602,
  [SMALL_STATE(4139)] = 225658,
  [SMALL_STATE(4140)] = 225714,
  [SMALL_STATE(4141)] = 225750,
  [SMALL_STATE(4142)] = 225780,
  [SMALL_STATE(4143)] = 225812,
  [SMALL_STATE(4144)] = 225844,
  [SMALL_STATE(4145)] = 225876,
  [SMALL_STATE(4146)] = 225932,
  [SMALL_STATE(4147)] = 225964,
  [SMALL_STATE(4148)] = 226020,
  [SMALL_STATE(4149)] = 226076,
  [SMALL_STATE(4150)] = 226108,
  [SMALL_STATE(4151)] = 226138,
  [SMALL_STATE(4152)] = 226170,
  [SMALL_STATE(4153)] = 226226,
  [SMALL_STATE(4154)] = 226256,
  [SMALL_STATE(4155)] = 226288,
  [SMALL_STATE(4156)] = 226338,
  [SMALL_STATE(4157)] = 226394,
  [SMALL_STATE(4158)] = 226428,
  [SMALL_STATE(4159)] = 226460,
  [SMALL_STATE(4160)] = 226492,
  [SMALL_STATE(4161)] = 226548,
  [SMALL_STATE(4162)] = 226584,
  [SMALL_STATE(4163)] = 226640,
  [SMALL_STATE(4164)] = 226696,
  [SMALL_STATE(4165)] = 226726,
  [SMALL_STATE(4166)] = 226758,
  [SMALL_STATE(4167)] = 226788,
  [SMALL_STATE(4168)] = 226844,
  [SMALL_STATE(4169)] = 226874,
  [SMALL_STATE(4170)] = 226908,
  [SMALL_STATE(4171)] = 226944,
  [SMALL_STATE(4172)] = 226980,
  [SMALL_STATE(4173)] = 227036,
  [SMALL_STATE(4174)] = 227066,
  [SMALL_STATE(4175)] = 227096,
  [SMALL_STATE(4176)] = 227126,
  [SMALL_STATE(4177)] = 227182,
  [SMALL_STATE(4178)] = 227214,
  [SMALL_STATE(4179)] = 227270,
  [SMALL_STATE(4180)] = 227306,
  [SMALL_STATE(4181)] = 227338,
  [SMALL_STATE(4182)] = 227370,
  [SMALL_STATE(4183)] = 227402,
  [SMALL_STATE(4184)] = 227434,
  [SMALL_STATE(4185)] = 227464,
  [SMALL_STATE(4186)] = 227494,
  [SMALL_STATE(4187)] = 227523,
  [SMALL_STATE(4188)] = 227558,
  [SMALL_STATE(4189)] = 227587,
  [SMALL_STATE(4190)] = 227616,
  [SMALL_STATE(4191)] = 227645,
  [SMALL_STATE(4192)] = 227674,
  [SMALL_STATE(4193)] = 227703,
  [SMALL_STATE(4194)] = 227732,
  [SMALL_STATE(4195)] = 227761,
  [SMALL_STATE(4196)] = 227790,
  [SMALL_STATE(4197)] = 227831,
  [SMALL_STATE(4198)] = 227860,
  [SMALL_STATE(4199)] = 227901,
  [SMALL_STATE(4200)] = 227930,
  [SMALL_STATE(4201)] = 227963,
  [SMALL_STATE(4202)] = 227992,
  [SMALL_STATE(4203)] = 228021,
  [SMALL_STATE(4204)] = 228050,
  [SMALL_STATE(4205)] = 228079,
  [SMALL_STATE(4206)] = 228114,
  [SMALL_STATE(4207)] = 228143,
  [SMALL_STATE(4208)] = 228178,
  [SMALL_STATE(4209)] = 228207,
  [SMALL_STATE(4210)] = 228236,
  [SMALL_STATE(4211)] = 228295,
  [SMALL_STATE(4212)] = 228324,
  [SMALL_STATE(4213)] = 228353,
  [SMALL_STATE(4214)] = 228382,
  [SMALL_STATE(4215)] = 228411,
  [SMALL_STATE(4216)] = 228444,
  [SMALL_STATE(4217)] = 228473,
  [SMALL_STATE(4218)] = 228502,
  [SMALL_STATE(4219)] = 228537,
  [SMALL_STATE(4220)] = 228570,
  [SMALL_STATE(4221)] = 228617,
  [SMALL_STATE(4222)] = 228660,
  [SMALL_STATE(4223)] = 228693,
  [SMALL_STATE(4224)] = 228722,
  [SMALL_STATE(4225)] = 228757,
  [SMALL_STATE(4226)] = 228790,
  [SMALL_STATE(4227)] = 228819,
  [SMALL_STATE(4228)] = 228848,
  [SMALL_STATE(4229)] = 228877,
  [SMALL_STATE(4230)] = 228906,
  [SMALL_STATE(4231)] = 228935,
  [SMALL_STATE(4232)] = 228964,
  [SMALL_STATE(4233)] = 228993,
  [SMALL_STATE(4234)] = 229028,
  [SMALL_STATE(4235)] = 229063,
  [SMALL_STATE(4236)] = 229092,
  [SMALL_STATE(4237)] = 229121,
  [SMALL_STATE(4238)] = 229150,
  [SMALL_STATE(4239)] = 229189,
  [SMALL_STATE(4240)] = 229224,
  [SMALL_STATE(4241)] = 229253,
  [SMALL_STATE(4242)] = 229284,
  [SMALL_STATE(4243)] = 229313,
  [SMALL_STATE(4244)] = 229342,
  [SMALL_STATE(4245)] = 229375,
  [SMALL_STATE(4246)] = 229404,
  [SMALL_STATE(4247)] = 229443,
  [SMALL_STATE(4248)] = 229476,
  [SMALL_STATE(4249)] = 229523,
  [SMALL_STATE(4250)] = 229552,
  [SMALL_STATE(4251)] = 229581,
  [SMALL_STATE(4252)] = 229610,
  [SMALL_STATE(4253)] = 229653,
  [SMALL_STATE(4254)] = 229686,
  [SMALL_STATE(4255)] = 229715,
  [SMALL_STATE(4256)] = 229744,
  [SMALL_STATE(4257)] = 229779,
  [SMALL_STATE(4258)] = 229814,
  [SMALL_STATE(4259)] = 229847,
  [SMALL_STATE(4260)] = 229880,
  [SMALL_STATE(4261)] = 229913,
  [SMALL_STATE(4262)] = 229942,
  [SMALL_STATE(4263)] = 229971,
  [SMALL_STATE(4264)] = 230000,
  [SMALL_STATE(4265)] = 230029,
  [SMALL_STATE(4266)] = 230058,
  [SMALL_STATE(4267)] = 230087,
  [SMALL_STATE(4268)] = 230120,
  [SMALL_STATE(4269)] = 230149,
  [SMALL_STATE(4270)] = 230178,
  [SMALL_STATE(4271)] = 230211,
  [SMALL_STATE(4272)] = 230240,
  [SMALL_STATE(4273)] = 230275,
  [SMALL_STATE(4274)] = 230308,
  [SMALL_STATE(4275)] = 230343,
  [SMALL_STATE(4276)] = 230376,
  [SMALL_STATE(4277)] = 230405,
  [SMALL_STATE(4278)] = 230434,
  [SMALL_STATE(4279)] = 230463,
  [SMALL_STATE(4280)] = 230492,
  [SMALL_STATE(4281)] = 230521,
  [SMALL_STATE(4282)] = 230554,
  [SMALL_STATE(4283)] = 230583,
  [SMALL_STATE(4284)] = 230618,
  [SMALL_STATE(4285)] = 230647,
  [SMALL_STATE(4286)] = 230676,
  [SMALL_STATE(4287)] = 230705,
  [SMALL_STATE(4288)] = 230740,
  [SMALL_STATE(4289)] = 230769,
  [SMALL_STATE(4290)] = 230804,
  [SMALL_STATE(4291)] = 230851,
  [SMALL_STATE(4292)] = 230880,
  [SMALL_STATE(4293)] = 230915,
  [SMALL_STATE(4294)] = 230948,
  [SMALL_STATE(4295)] = 230976,
  [SMALL_STATE(4296)] = 231004,
  [SMALL_STATE(4297)] = 231032,
  [SMALL_STATE(4298)] = 231060,
  [SMALL_STATE(4299)] = 231116,
  [SMALL_STATE(4300)] = 231148,
  [SMALL_STATE(4301)] = 231180,
  [SMALL_STATE(4302)] = 231212,
  [SMALL_STATE(4303)] = 231240,
  [SMALL_STATE(4304)] = 231268,
  [SMALL_STATE(4305)] = 231296,
  [SMALL_STATE(4306)] = 231324,
  [SMALL_STATE(4307)] = 231356,
  [SMALL_STATE(4308)] = 231384,
  [SMALL_STATE(4309)] = 231416,
  [SMALL_STATE(4310)] = 231448,
  [SMALL_STATE(4311)] = 231476,
  [SMALL_STATE(4312)] = 231504,
  [SMALL_STATE(4313)] = 231546,
  [SMALL_STATE(4314)] = 231574,
  [SMALL_STATE(4315)] = 231606,
  [SMALL_STATE(4316)] = 231638,
  [SMALL_STATE(4317)] = 231666,
  [SMALL_STATE(4318)] = 231710,
  [SMALL_STATE(4319)] = 231772,
  [SMALL_STATE(4320)] = 231808,
  [SMALL_STATE(4321)] = 231844,
  [SMALL_STATE(4322)] = 231872,
  [SMALL_STATE(4323)] = 231904,
  [SMALL_STATE(4324)] = 231932,
  [SMALL_STATE(4325)] = 231960,
  [SMALL_STATE(4326)] = 231988,
  [SMALL_STATE(4327)] = 232020,
  [SMALL_STATE(4328)] = 232048,
  [SMALL_STATE(4329)] = 232080,
  [SMALL_STATE(4330)] = 232136,
  [SMALL_STATE(4331)] = 232164,
  [SMALL_STATE(4332)] = 232192,
  [SMALL_STATE(4333)] = 232220,
  [SMALL_STATE(4334)] = 232254,
  [SMALL_STATE(4335)] = 232296,
  [SMALL_STATE(4336)] = 232328,
  [SMALL_STATE(4337)] = 232356,
  [SMALL_STATE(4338)] = 232394,
  [SMALL_STATE(4339)] = 232424,
  [SMALL_STATE(4340)] = 232452,
  [SMALL_STATE(4341)] = 232484,
  [SMALL_STATE(4342)] = 232512,
  [SMALL_STATE(4343)] = 232540,
  [SMALL_STATE(4344)] = 232568,
  [SMALL_STATE(4345)] = 232600,
  [SMALL_STATE(4346)] = 232628,
  [SMALL_STATE(4347)] = 232656,
  [SMALL_STATE(4348)] = 232694,
  [SMALL_STATE(4349)] = 232722,
  [SMALL_STATE(4350)] = 232750,
  [SMALL_STATE(4351)] = 232778,
  [SMALL_STATE(4352)] = 232812,
  [SMALL_STATE(4353)] = 232840,
  [SMALL_STATE(4354)] = 232872,
  [SMALL_STATE(4355)] = 232900,
  [SMALL_STATE(4356)] = 232928,
  [SMALL_STATE(4357)] = 232956,
  [SMALL_STATE(4358)] = 232984,
  [SMALL_STATE(4359)] = 233012,
  [SMALL_STATE(4360)] = 233040,
  [SMALL_STATE(4361)] = 233068,
  [SMALL_STATE(4362)] = 233100,
  [SMALL_STATE(4363)] = 233134,
  [SMALL_STATE(4364)] = 233162,
  [SMALL_STATE(4365)] = 233189,
  [SMALL_STATE(4366)] = 233216,
  [SMALL_STATE(4367)] = 233247,
  [SMALL_STATE(4368)] = 233274,
  [SMALL_STATE(4369)] = 233301,
  [SMALL_STATE(4370)] = 233332,
  [SMALL_STATE(4371)] = 233359,
  [SMALL_STATE(4372)] = 233386,
  [SMALL_STATE(4373)] = 233421,
  [SMALL_STATE(4374)] = 233448,
  [SMALL_STATE(4375)] = 233485,
  [SMALL_STATE(4376)] = 233520,
  [SMALL_STATE(4377)] = 233547,
  [SMALL_STATE(4378)] = 233574,
  [SMALL_STATE(4379)] = 233601,
  [SMALL_STATE(4380)] = 233628,
  [SMALL_STATE(4381)] = 233655,
  [SMALL_STATE(4382)] = 233690,
  [SMALL_STATE(4383)] = 233717,
  [SMALL_STATE(4384)] = 233744,
  [SMALL_STATE(4385)] = 233771,
  [SMALL_STATE(4386)] = 233798,
  [SMALL_STATE(4387)] = 233829,
  [SMALL_STATE(4388)] = 233856,
  [SMALL_STATE(4389)] = 233883,
  [SMALL_STATE(4390)] = 233910,
  [SMALL_STATE(4391)] = 233941,
  [SMALL_STATE(4392)] = 233972,
  [SMALL_STATE(4393)] = 233999,
  [SMALL_STATE(4394)] = 234046,
  [SMALL_STATE(4395)] = 234073,
  [SMALL_STATE(4396)] = 234110,
  [SMALL_STATE(4397)] = 234136,
  [SMALL_STATE(4398)] = 234162,
  [SMALL_STATE(4399)] = 234188,
  [SMALL_STATE(4400)] = 234214,
  [SMALL_STATE(4401)] = 234240,
  [SMALL_STATE(4402)] = 234266,
  [SMALL_STATE(4403)] = 234292,
  [SMALL_STATE(4404)] = 234318,
  [SMALL_STATE(4405)] = 234354,
  [SMALL_STATE(4406)] = 234380,
  [SMALL_STATE(4407)] = 234406,
  [SMALL_STATE(4408)] = 234432,
  [SMALL_STATE(4409)] = 234458,
  [SMALL_STATE(4410)] = 234484,
  [SMALL_STATE(4411)] = 234510,
  [SMALL_STATE(4412)] = 234536,
  [SMALL_STATE(4413)] = 234562,
  [SMALL_STATE(4414)] = 234598,
  [SMALL_STATE(4415)] = 234624,
  [SMALL_STATE(4416)] = 234650,
  [SMALL_STATE(4417)] = 234676,
  [SMALL_STATE(4418)] = 234702,
  [SMALL_STATE(4419)] = 234728,
  [SMALL_STATE(4420)] = 234754,
  [SMALL_STATE(4421)] = 234780,
  [SMALL_STATE(4422)] = 234806,
  [SMALL_STATE(4423)] = 234832,
  [SMALL_STATE(4424)] = 234858,
  [SMALL_STATE(4425)] = 234884,
  [SMALL_STATE(4426)] = 234910,
  [SMALL_STATE(4427)] = 234936,
  [SMALL_STATE(4428)] = 234962,
  [SMALL_STATE(4429)] = 234988,
  [SMALL_STATE(4430)] = 235014,
  [SMALL_STATE(4431)] = 235040,
  [SMALL_STATE(4432)] = 235066,
  [SMALL_STATE(4433)] = 235098,
  [SMALL_STATE(4434)] = 235124,
  [SMALL_STATE(4435)] = 235150,
  [SMALL_STATE(4436)] = 235182,
  [SMALL_STATE(4437)] = 235214,
  [SMALL_STATE(4438)] = 235250,
  [SMALL_STATE(4439)] = 235275,
  [SMALL_STATE(4440)] = 235306,
  [SMALL_STATE(4441)] = 235331,
  [SMALL_STATE(4442)] = 235356,
  [SMALL_STATE(4443)] = 235381,
  [SMALL_STATE(4444)] = 235406,
  [SMALL_STATE(4445)] = 235437,
  [SMALL_STATE(4446)] = 235462,
  [SMALL_STATE(4447)] = 235487,
  [SMALL_STATE(4448)] = 235512,
  [SMALL_STATE(4449)] = 235537,
  [SMALL_STATE(4450)] = 235562,
  [SMALL_STATE(4451)] = 235587,
  [SMALL_STATE(4452)] = 235612,
  [SMALL_STATE(4453)] = 235637,
  [SMALL_STATE(4454)] = 235662,
  [SMALL_STATE(4455)] = 235687,
  [SMALL_STATE(4456)] = 235722,
  [SMALL_STATE(4457)] = 235747,
  [SMALL_STATE(4458)] = 235772,
  [SMALL_STATE(4459)] = 235797,
  [SMALL_STATE(4460)] = 235832,
  [SMALL_STATE(4461)] = 235857,
  [SMALL_STATE(4462)] = 235882,
  [SMALL_STATE(4463)] = 235907,
  [SMALL_STATE(4464)] = 235932,
  [SMALL_STATE(4465)] = 235957,
  [SMALL_STATE(4466)] = 235982,
  [SMALL_STATE(4467)] = 236013,
  [SMALL_STATE(4468)] = 236038,
  [SMALL_STATE(4469)] = 236063,
  [SMALL_STATE(4470)] = 236098,
  [SMALL_STATE(4471)] = 236123,
  [SMALL_STATE(4472)] = 236158,
  [SMALL_STATE(4473)] = 236183,
  [SMALL_STATE(4474)] = 236218,
  [SMALL_STATE(4475)] = 236243,
  [SMALL_STATE(4476)] = 236274,
  [SMALL_STATE(4477)] = 236299,
  [SMALL_STATE(4478)] = 236324,
  [SMALL_STATE(4479)] = 236363,
  [SMALL_STATE(4480)] = 236388,
  [SMALL_STATE(4481)] = 236413,
  [SMALL_STATE(4482)] = 236438,
  [SMALL_STATE(4483)] = 236463,
  [SMALL_STATE(4484)] = 236488,
  [SMALL_STATE(4485)] = 236513,
  [SMALL_STATE(4486)] = 236538,
  [SMALL_STATE(4487)] = 236563,
  [SMALL_STATE(4488)] = 236588,
  [SMALL_STATE(4489)] = 236613,
  [SMALL_STATE(4490)] = 236638,
  [SMALL_STATE(4491)] = 236663,
  [SMALL_STATE(4492)] = 236694,
  [SMALL_STATE(4493)] = 236719,
  [SMALL_STATE(4494)] = 236744,
  [SMALL_STATE(4495)] = 236769,
  [SMALL_STATE(4496)] = 236794,
  [SMALL_STATE(4497)] = 236829,
  [SMALL_STATE(4498)] = 236854,
  [SMALL_STATE(4499)] = 236879,
  [SMALL_STATE(4500)] = 236904,
  [SMALL_STATE(4501)] = 236929,
  [SMALL_STATE(4502)] = 236960,
  [SMALL_STATE(4503)] = 236995,
  [SMALL_STATE(4504)] = 237020,
  [SMALL_STATE(4505)] = 237045,
  [SMALL_STATE(4506)] = 237076,
  [SMALL_STATE(4507)] = 237111,
  [SMALL_STATE(4508)] = 237136,
  [SMALL_STATE(4509)] = 237161,
  [SMALL_STATE(4510)] = 237185,
  [SMALL_STATE(4511)] = 237209,
  [SMALL_STATE(4512)] = 237233,
  [SMALL_STATE(4513)] = 237257,
  [SMALL_STATE(4514)] = 237281,
  [SMALL_STATE(4515)] = 237305,
  [SMALL_STATE(4516)] = 237329,
  [SMALL_STATE(4517)] = 237353,
  [SMALL_STATE(4518)] = 237377,
  [SMALL_STATE(4519)] = 237415,
  [SMALL_STATE(4520)] = 237439,
  [SMALL_STATE(4521)] = 237463,
  [SMALL_STATE(4522)] = 237487,
  [SMALL_STATE(4523)] = 237511,
  [SMALL_STATE(4524)] = 237535,
  [SMALL_STATE(4525)] = 237567,
  [SMALL_STATE(4526)] = 237591,
  [SMALL_STATE(4527)] = 237615,
  [SMALL_STATE(4528)] = 237639,
  [SMALL_STATE(4529)] = 237663,
  [SMALL_STATE(4530)] = 237687,
  [SMALL_STATE(4531)] = 237715,
  [SMALL_STATE(4532)] = 237743,
  [SMALL_STATE(4533)] = 237771,
  [SMALL_STATE(4534)] = 237807,
  [SMALL_STATE(4535)] = 237848,
  [SMALL_STATE(4536)] = 237889,
  [SMALL_STATE(4537)] = 237930,
  [SMALL_STATE(4538)] = 237971,
  [SMALL_STATE(4539)] = 238012,
  [SMALL_STATE(4540)] = 238053,
  [SMALL_STATE(4541)] = 238094,
  [SMALL_STATE(4542)] = 238135,
  [SMALL_STATE(4543)] = 238176,
  [SMALL_STATE(4544)] = 238217,
  [SMALL_STATE(4545)] = 238258,
  [SMALL_STATE(4546)] = 238299,
  [SMALL_STATE(4547)] = 238340,
  [SMALL_STATE(4548)] = 238381,
  [SMALL_STATE(4549)] = 238422,
  [SMALL_STATE(4550)] = 238463,
  [SMALL_STATE(4551)] = 238504,
  [SMALL_STATE(4552)] = 238545,
  [SMALL_STATE(4553)] = 238586,
  [SMALL_STATE(4554)] = 238627,
  [SMALL_STATE(4555)] = 238668,
  [SMALL_STATE(4556)] = 238709,
  [SMALL_STATE(4557)] = 238750,
  [SMALL_STATE(4558)] = 238791,
  [SMALL_STATE(4559)] = 238832,
  [SMALL_STATE(4560)] = 238873,
  [SMALL_STATE(4561)] = 238914,
  [SMALL_STATE(4562)] = 238955,
  [SMALL_STATE(4563)] = 238996,
  [SMALL_STATE(4564)] = 239037,
  [SMALL_STATE(4565)] = 239078,
  [SMALL_STATE(4566)] = 239119,
  [SMALL_STATE(4567)] = 239148,
  [SMALL_STATE(4568)] = 239189,
  [SMALL_STATE(4569)] = 239230,
  [SMALL_STATE(4570)] = 239271,
  [SMALL_STATE(4571)] = 239312,
  [SMALL_STATE(4572)] = 239353,
  [SMALL_STATE(4573)] = 239394,
  [SMALL_STATE(4574)] = 239435,
  [SMALL_STATE(4575)] = 239476,
  [SMALL_STATE(4576)] = 239505,
  [SMALL_STATE(4577)] = 239546,
  [SMALL_STATE(4578)] = 239587,
  [SMALL_STATE(4579)] = 239628,
  [SMALL_STATE(4580)] = 239669,
  [SMALL_STATE(4581)] = 239710,
  [SMALL_STATE(4582)] = 239751,
  [SMALL_STATE(4583)] = 239792,
  [SMALL_STATE(4584)] = 239833,
  [SMALL_STATE(4585)] = 239874,
  [SMALL_STATE(4586)] = 239915,
  [SMALL_STATE(4587)] = 239956,
  [SMALL_STATE(4588)] = 239997,
  [SMALL_STATE(4589)] = 240038,
  [SMALL_STATE(4590)] = 240079,
  [SMALL_STATE(4591)] = 240120,
  [SMALL_STATE(4592)] = 240161,
  [SMALL_STATE(4593)] = 240202,
  [SMALL_STATE(4594)] = 240243,
  [SMALL_STATE(4595)] = 240284,
  [SMALL_STATE(4596)] = 240325,
  [SMALL_STATE(4597)] = 240366,
  [SMALL_STATE(4598)] = 240407,
  [SMALL_STATE(4599)] = 240448,
  [SMALL_STATE(4600)] = 240489,
  [SMALL_STATE(4601)] = 240530,
  [SMALL_STATE(4602)] = 240571,
  [SMALL_STATE(4603)] = 240612,
  [SMALL_STATE(4604)] = 240653,
  [SMALL_STATE(4605)] = 240694,
  [SMALL_STATE(4606)] = 240735,
  [SMALL_STATE(4607)] = 240776,
  [SMALL_STATE(4608)] = 240817,
  [SMALL_STATE(4609)] = 240858,
  [SMALL_STATE(4610)] = 240899,
  [SMALL_STATE(4611)] = 240940,
  [SMALL_STATE(4612)] = 240981,
  [SMALL_STATE(4613)] = 241022,
  [SMALL_STATE(4614)] = 241063,
  [SMALL_STATE(4615)] = 241086,
  [SMALL_STATE(4616)] = 241127,
  [SMALL_STATE(4617)] = 241168,
  [SMALL_STATE(4618)] = 241209,
  [SMALL_STATE(4619)] = 241250,
  [SMALL_STATE(4620)] = 241291,
  [SMALL_STATE(4621)] = 241332,
  [SMALL_STATE(4622)] = 241373,
  [SMALL_STATE(4623)] = 241414,
  [SMALL_STATE(4624)] = 241455,
  [SMALL_STATE(4625)] = 241496,
  [SMALL_STATE(4626)] = 241537,
  [SMALL_STATE(4627)] = 241578,
  [SMALL_STATE(4628)] = 241619,
  [SMALL_STATE(4629)] = 241660,
  [SMALL_STATE(4630)] = 241701,
  [SMALL_STATE(4631)] = 241742,
  [SMALL_STATE(4632)] = 241783,
  [SMALL_STATE(4633)] = 241824,
  [SMALL_STATE(4634)] = 241865,
  [SMALL_STATE(4635)] = 241906,
  [SMALL_STATE(4636)] = 241947,
  [SMALL_STATE(4637)] = 241988,
  [SMALL_STATE(4638)] = 242029,
  [SMALL_STATE(4639)] = 242070,
  [SMALL_STATE(4640)] = 242111,
  [SMALL_STATE(4641)] = 242152,
  [SMALL_STATE(4642)] = 242193,
  [SMALL_STATE(4643)] = 242234,
  [SMALL_STATE(4644)] = 242275,
  [SMALL_STATE(4645)] = 242316,
  [SMALL_STATE(4646)] = 242357,
  [SMALL_STATE(4647)] = 242398,
  [SMALL_STATE(4648)] = 242439,
  [SMALL_STATE(4649)] = 242480,
  [SMALL_STATE(4650)] = 242521,
  [SMALL_STATE(4651)] = 242562,
  [SMALL_STATE(4652)] = 242603,
  [SMALL_STATE(4653)] = 242644,
  [SMALL_STATE(4654)] = 242685,
  [SMALL_STATE(4655)] = 242726,
  [SMALL_STATE(4656)] = 242767,
  [SMALL_STATE(4657)] = 242808,
  [SMALL_STATE(4658)] = 242849,
  [SMALL_STATE(4659)] = 242871,
  [SMALL_STATE(4660)] = 242893,
  [SMALL_STATE(4661)] = 242918,
  [SMALL_STATE(4662)] = 242943,
  [SMALL_STATE(4663)] = 242968,
  [SMALL_STATE(4664)] = 242997,
  [SMALL_STATE(4665)] = 243022,
  [SMALL_STATE(4666)] = 243047,
  [SMALL_STATE(4667)] = 243072,
  [SMALL_STATE(4668)] = 243097,
  [SMALL_STATE(4669)] = 243122,
  [SMALL_STATE(4670)] = 243147,
  [SMALL_STATE(4671)] = 243172,
  [SMALL_STATE(4672)] = 243197,
  [SMALL_STATE(4673)] = 243222,
  [SMALL_STATE(4674)] = 243247,
  [SMALL_STATE(4675)] = 243272,
  [SMALL_STATE(4676)] = 243297,
  [SMALL_STATE(4677)] = 243322,
  [SMALL_STATE(4678)] = 243347,
  [SMALL_STATE(4679)] = 243372,
  [SMALL_STATE(4680)] = 243397,
  [SMALL_STATE(4681)] = 243422,
  [SMALL_STATE(4682)] = 243447,
  [SMALL_STATE(4683)] = 243476,
  [SMALL_STATE(4684)] = 243501,
  [SMALL_STATE(4685)] = 243526,
  [SMALL_STATE(4686)] = 243551,
  [SMALL_STATE(4687)] = 243576,
  [SMALL_STATE(4688)] = 243601,
  [SMALL_STATE(4689)] = 243626,
  [SMALL_STATE(4690)] = 243655,
  [SMALL_STATE(4691)] = 243680,
  [SMALL_STATE(4692)] = 243705,
  [SMALL_STATE(4693)] = 243730,
  [SMALL_STATE(4694)] = 243755,
  [SMALL_STATE(4695)] = 243780,
  [SMALL_STATE(4696)] = 243805,
  [SMALL_STATE(4697)] = 243830,
  [SMALL_STATE(4698)] = 243855,
  [SMALL_STATE(4699)] = 243880,
  [SMALL_STATE(4700)] = 243905,
  [SMALL_STATE(4701)] = 243930,
  [SMALL_STATE(4702)] = 243955,
  [SMALL_STATE(4703)] = 243980,
  [SMALL_STATE(4704)] = 244005,
  [SMALL_STATE(4705)] = 244030,
  [SMALL_STATE(4706)] = 244055,
  [SMALL_STATE(4707)] = 244080,
  [SMALL_STATE(4708)] = 244105,
  [SMALL_STATE(4709)] = 244130,
  [SMALL_STATE(4710)] = 244155,
  [SMALL_STATE(4711)] = 244180,
  [SMALL_STATE(4712)] = 244205,
  [SMALL_STATE(4713)] = 244230,
  [SMALL_STATE(4714)] = 244255,
  [SMALL_STATE(4715)] = 244280,
  [SMALL_STATE(4716)] = 244305,
  [SMALL_STATE(4717)] = 244330,
  [SMALL_STATE(4718)] = 244355,
  [SMALL_STATE(4719)] = 244380,
  [SMALL_STATE(4720)] = 244409,
  [SMALL_STATE(4721)] = 244434,
  [SMALL_STATE(4722)] = 244459,
  [SMALL_STATE(4723)] = 244484,
  [SMALL_STATE(4724)] = 244509,
  [SMALL_STATE(4725)] = 244538,
  [SMALL_STATE(4726)] = 244563,
  [SMALL_STATE(4727)] = 244588,
  [SMALL_STATE(4728)] = 244613,
  [SMALL_STATE(4729)] = 244638,
  [SMALL_STATE(4730)] = 244663,
  [SMALL_STATE(4731)] = 244688,
  [SMALL_STATE(4732)] = 244713,
  [SMALL_STATE(4733)] = 244738,
  [SMALL_STATE(4734)] = 244763,
  [SMALL_STATE(4735)] = 244792,
  [SMALL_STATE(4736)] = 244817,
  [SMALL_STATE(4737)] = 244842,
  [SMALL_STATE(4738)] = 244867,
  [SMALL_STATE(4739)] = 244892,
  [SMALL_STATE(4740)] = 244917,
  [SMALL_STATE(4741)] = 244942,
  [SMALL_STATE(4742)] = 244967,
  [SMALL_STATE(4743)] = 244992,
  [SMALL_STATE(4744)] = 245017,
  [SMALL_STATE(4745)] = 245042,
  [SMALL_STATE(4746)] = 245067,
  [SMALL_STATE(4747)] = 245092,
  [SMALL_STATE(4748)] = 245117,
  [SMALL_STATE(4749)] = 245142,
  [SMALL_STATE(4750)] = 245167,
  [SMALL_STATE(4751)] = 245192,
  [SMALL_STATE(4752)] = 245217,
  [SMALL_STATE(4753)] = 245242,
  [SMALL_STATE(4754)] = 245267,
  [SMALL_STATE(4755)] = 245292,
  [SMALL_STATE(4756)] = 245317,
  [SMALL_STATE(4757)] = 245342,
  [SMALL_STATE(4758)] = 245367,
  [SMALL_STATE(4759)] = 245392,
  [SMALL_STATE(4760)] = 245417,
  [SMALL_STATE(4761)] = 245442,
  [SMALL_STATE(4762)] = 245467,
  [SMALL_STATE(4763)] = 245492,
  [SMALL_STATE(4764)] = 245517,
  [SMALL_STATE(4765)] = 245542,
  [SMALL_STATE(4766)] = 245567,
  [SMALL_STATE(4767)] = 245592,
  [SMALL_STATE(4768)] = 245617,
  [SMALL_STATE(4769)] = 245642,
  [SMALL_STATE(4770)] = 245667,
  [SMALL_STATE(4771)] = 245692,
  [SMALL_STATE(4772)] = 245717,
  [SMALL_STATE(4773)] = 245742,
  [SMALL_STATE(4774)] = 245767,
  [SMALL_STATE(4775)] = 245792,
  [SMALL_STATE(4776)] = 245817,
  [SMALL_STATE(4777)] = 245842,
  [SMALL_STATE(4778)] = 245867,
  [SMALL_STATE(4779)] = 245892,
  [SMALL_STATE(4780)] = 245917,
  [SMALL_STATE(4781)] = 245942,
  [SMALL_STATE(4782)] = 245967,
  [SMALL_STATE(4783)] = 245992,
  [SMALL_STATE(4784)] = 246017,
  [SMALL_STATE(4785)] = 246042,
  [SMALL_STATE(4786)] = 246067,
  [SMALL_STATE(4787)] = 246092,
  [SMALL_STATE(4788)] = 246117,
  [SMALL_STATE(4789)] = 246142,
  [SMALL_STATE(4790)] = 246167,
  [SMALL_STATE(4791)] = 246192,
  [SMALL_STATE(4792)] = 246217,
  [SMALL_STATE(4793)] = 246242,
  [SMALL_STATE(4794)] = 246267,
  [SMALL_STATE(4795)] = 246292,
  [SMALL_STATE(4796)] = 246317,
  [SMALL_STATE(4797)] = 246342,
  [SMALL_STATE(4798)] = 246367,
  [SMALL_STATE(4799)] = 246392,
  [SMALL_STATE(4800)] = 246417,
  [SMALL_STATE(4801)] = 246442,
  [SMALL_STATE(4802)] = 246467,
  [SMALL_STATE(4803)] = 246492,
  [SMALL_STATE(4804)] = 246517,
  [SMALL_STATE(4805)] = 246542,
  [SMALL_STATE(4806)] = 246567,
  [SMALL_STATE(4807)] = 246592,
  [SMALL_STATE(4808)] = 246617,
  [SMALL_STATE(4809)] = 246642,
  [SMALL_STATE(4810)] = 246667,
  [SMALL_STATE(4811)] = 246692,
  [SMALL_STATE(4812)] = 246717,
  [SMALL_STATE(4813)] = 246742,
  [SMALL_STATE(4814)] = 246771,
  [SMALL_STATE(4815)] = 246796,
  [SMALL_STATE(4816)] = 246821,
  [SMALL_STATE(4817)] = 246846,
  [SMALL_STATE(4818)] = 246871,
  [SMALL_STATE(4819)] = 246896,
  [SMALL_STATE(4820)] = 246925,
  [SMALL_STATE(4821)] = 246950,
  [SMALL_STATE(4822)] = 246975,
  [SMALL_STATE(4823)] = 247000,
  [SMALL_STATE(4824)] = 247025,
  [SMALL_STATE(4825)] = 247050,
  [SMALL_STATE(4826)] = 247075,
  [SMALL_STATE(4827)] = 247100,
  [SMALL_STATE(4828)] = 247125,
  [SMALL_STATE(4829)] = 247150,
  [SMALL_STATE(4830)] = 247175,
  [SMALL_STATE(4831)] = 247200,
  [SMALL_STATE(4832)] = 247225,
  [SMALL_STATE(4833)] = 247250,
  [SMALL_STATE(4834)] = 247275,
  [SMALL_STATE(4835)] = 247300,
  [SMALL_STATE(4836)] = 247326,
  [SMALL_STATE(4837)] = 247348,
  [SMALL_STATE(4838)] = 247374,
  [SMALL_STATE(4839)] = 247400,
  [SMALL_STATE(4840)] = 247426,
  [SMALL_STATE(4841)] = 247452,
  [SMALL_STATE(4842)] = 247478,
  [SMALL_STATE(4843)] = 247504,
  [SMALL_STATE(4844)] = 247530,
  [SMALL_STATE(4845)] = 247556,
  [SMALL_STATE(4846)] = 247575,
  [SMALL_STATE(4847)] = 247598,
  [SMALL_STATE(4848)] = 247617,
  [SMALL_STATE(4849)] = 247636,
  [SMALL_STATE(4850)] = 247667,
  [SMALL_STATE(4851)] = 247686,
  [SMALL_STATE(4852)] = 247705,
  [SMALL_STATE(4853)] = 247736,
  [SMALL_STATE(4854)] = 247755,
  [SMALL_STATE(4855)] = 247774,
  [SMALL_STATE(4856)] = 247793,
  [SMALL_STATE(4857)] = 247816,
  [SMALL_STATE(4858)] = 247835,
  [SMALL_STATE(4859)] = 247866,
  [SMALL_STATE(4860)] = 247889,
  [SMALL_STATE(4861)] = 247908,
  [SMALL_STATE(4862)] = 247927,
  [SMALL_STATE(4863)] = 247946,
  [SMALL_STATE(4864)] = 247965,
  [SMALL_STATE(4865)] = 247984,
  [SMALL_STATE(4866)] = 248007,
  [SMALL_STATE(4867)] = 248026,
  [SMALL_STATE(4868)] = 248049,
  [SMALL_STATE(4869)] = 248072,
  [SMALL_STATE(4870)] = 248091,
  [SMALL_STATE(4871)] = 248110,
  [SMALL_STATE(4872)] = 248133,
  [SMALL_STATE(4873)] = 248152,
  [SMALL_STATE(4874)] = 248171,
  [SMALL_STATE(4875)] = 248190,
  [SMALL_STATE(4876)] = 248213,
  [SMALL_STATE(4877)] = 248236,
  [SMALL_STATE(4878)] = 248256,
  [SMALL_STATE(4879)] = 248276,
  [SMALL_STATE(4880)] = 248296,
  [SMALL_STATE(4881)] = 248316,
  [SMALL_STATE(4882)] = 248336,
  [SMALL_STATE(4883)] = 248356,
  [SMALL_STATE(4884)] = 248384,
  [SMALL_STATE(4885)] = 248404,
  [SMALL_STATE(4886)] = 248420,
  [SMALL_STATE(4887)] = 248440,
  [SMALL_STATE(4888)] = 248456,
  [SMALL_STATE(4889)] = 248476,
  [SMALL_STATE(4890)] = 248492,
  [SMALL_STATE(4891)] = 248512,
  [SMALL_STATE(4892)] = 248535,
  [SMALL_STATE(4893)] = 248566,
  [SMALL_STATE(4894)] = 248590,
  [SMALL_STATE(4895)] = 248614,
  [SMALL_STATE(4896)] = 248638,
  [SMALL_STATE(4897)] = 248662,
  [SMALL_STATE(4898)] = 248686,
  [SMALL_STATE(4899)] = 248710,
  [SMALL_STATE(4900)] = 248734,
  [SMALL_STATE(4901)] = 248758,
  [SMALL_STATE(4902)] = 248782,
  [SMALL_STATE(4903)] = 248806,
  [SMALL_STATE(4904)] = 248830,
  [SMALL_STATE(4905)] = 248852,
  [SMALL_STATE(4906)] = 248876,
  [SMALL_STATE(4907)] = 248900,
  [SMALL_STATE(4908)] = 248924,
  [SMALL_STATE(4909)] = 248946,
  [SMALL_STATE(4910)] = 248970,
  [SMALL_STATE(4911)] = 248994,
  [SMALL_STATE(4912)] = 249016,
  [SMALL_STATE(4913)] = 249040,
  [SMALL_STATE(4914)] = 249064,
  [SMALL_STATE(4915)] = 249088,
  [SMALL_STATE(4916)] = 249112,
  [SMALL_STATE(4917)] = 249136,
  [SMALL_STATE(4918)] = 249160,
  [SMALL_STATE(4919)] = 249184,
  [SMALL_STATE(4920)] = 249208,
  [SMALL_STATE(4921)] = 249232,
  [SMALL_STATE(4922)] = 249256,
  [SMALL_STATE(4923)] = 249280,
  [SMALL_STATE(4924)] = 249304,
  [SMALL_STATE(4925)] = 249328,
  [SMALL_STATE(4926)] = 249352,
  [SMALL_STATE(4927)] = 249376,
  [SMALL_STATE(4928)] = 249400,
  [SMALL_STATE(4929)] = 249415,
  [SMALL_STATE(4930)] = 249430,
  [SMALL_STATE(4931)] = 249451,
  [SMALL_STATE(4932)] = 249464,
  [SMALL_STATE(4933)] = 249479,
  [SMALL_STATE(4934)] = 249494,
  [SMALL_STATE(4935)] = 249507,
  [SMALL_STATE(4936)] = 249520,
  [SMALL_STATE(4937)] = 249535,
  [SMALL_STATE(4938)] = 249550,
  [SMALL_STATE(4939)] = 249565,
  [SMALL_STATE(4940)] = 249580,
  [SMALL_STATE(4941)] = 249605,
  [SMALL_STATE(4942)] = 249620,
  [SMALL_STATE(4943)] = 249635,
  [SMALL_STATE(4944)] = 249650,
  [SMALL_STATE(4945)] = 249665,
  [SMALL_STATE(4946)] = 249686,
  [SMALL_STATE(4947)] = 249701,
  [SMALL_STATE(4948)] = 249716,
  [SMALL_STATE(4949)] = 249731,
  [SMALL_STATE(4950)] = 249746,
  [SMALL_STATE(4951)] = 249767,
  [SMALL_STATE(4952)] = 249780,
  [SMALL_STATE(4953)] = 249793,
  [SMALL_STATE(4954)] = 249810,
  [SMALL_STATE(4955)] = 249825,
  [SMALL_STATE(4956)] = 249840,
  [SMALL_STATE(4957)] = 249855,
  [SMALL_STATE(4958)] = 249870,
  [SMALL_STATE(4959)] = 249885,
  [SMALL_STATE(4960)] = 249900,
  [SMALL_STATE(4961)] = 249917,
  [SMALL_STATE(4962)] = 249932,
  [SMALL_STATE(4963)] = 249947,
  [SMALL_STATE(4964)] = 249962,
  [SMALL_STATE(4965)] = 249977,
  [SMALL_STATE(4966)] = 249992,
  [SMALL_STATE(4967)] = 250005,
  [SMALL_STATE(4968)] = 250024,
  [SMALL_STATE(4969)] = 250044,
  [SMALL_STATE(4970)] = 250064,
  [SMALL_STATE(4971)] = 250084,
  [SMALL_STATE(4972)] = 250098,
  [SMALL_STATE(4973)] = 250118,
  [SMALL_STATE(4974)] = 250134,
  [SMALL_STATE(4975)] = 250148,
  [SMALL_STATE(4976)] = 250168,
  [SMALL_STATE(4977)] = 250188,
  [SMALL_STATE(4978)] = 250208,
  [SMALL_STATE(4979)] = 250228,
  [SMALL_STATE(4980)] = 250248,
  [SMALL_STATE(4981)] = 250268,
  [SMALL_STATE(4982)] = 250288,
  [SMALL_STATE(4983)] = 250302,
  [SMALL_STATE(4984)] = 250322,
  [SMALL_STATE(4985)] = 250342,
  [SMALL_STATE(4986)] = 250362,
  [SMALL_STATE(4987)] = 250382,
  [SMALL_STATE(4988)] = 250402,
  [SMALL_STATE(4989)] = 250422,
  [SMALL_STATE(4990)] = 250436,
  [SMALL_STATE(4991)] = 250450,
  [SMALL_STATE(4992)] = 250470,
  [SMALL_STATE(4993)] = 250490,
  [SMALL_STATE(4994)] = 250510,
  [SMALL_STATE(4995)] = 250524,
  [SMALL_STATE(4996)] = 250544,
  [SMALL_STATE(4997)] = 250564,
  [SMALL_STATE(4998)] = 250584,
  [SMALL_STATE(4999)] = 250604,
  [SMALL_STATE(5000)] = 250618,
  [SMALL_STATE(5001)] = 250632,
  [SMALL_STATE(5002)] = 250652,
  [SMALL_STATE(5003)] = 250666,
  [SMALL_STATE(5004)] = 250677,
  [SMALL_STATE(5005)] = 250694,
  [SMALL_STATE(5006)] = 250711,
  [SMALL_STATE(5007)] = 250726,
  [SMALL_STATE(5008)] = 250743,
  [SMALL_STATE(5009)] = 250760,
  [SMALL_STATE(5010)] = 250779,
  [SMALL_STATE(5011)] = 250794,
  [SMALL_STATE(5012)] = 250813,
  [SMALL_STATE(5013)] = 250830,
  [SMALL_STATE(5014)] = 250849,
  [SMALL_STATE(5015)] = 250866,
  [SMALL_STATE(5016)] = 250881,
  [SMALL_STATE(5017)] = 250898,
  [SMALL_STATE(5018)] = 250917,
  [SMALL_STATE(5019)] = 250934,
  [SMALL_STATE(5020)] = 250951,
  [SMALL_STATE(5021)] = 250968,
  [SMALL_STATE(5022)] = 250985,
  [SMALL_STATE(5023)] = 251002,
  [SMALL_STATE(5024)] = 251019,
  [SMALL_STATE(5025)] = 251030,
  [SMALL_STATE(5026)] = 251049,
  [SMALL_STATE(5027)] = 251060,
  [SMALL_STATE(5028)] = 251077,
  [SMALL_STATE(5029)] = 251096,
  [SMALL_STATE(5030)] = 251109,
  [SMALL_STATE(5031)] = 251128,
  [SMALL_STATE(5032)] = 251145,
  [SMALL_STATE(5033)] = 251164,
  [SMALL_STATE(5034)] = 251181,
  [SMALL_STATE(5035)] = 251198,
  [SMALL_STATE(5036)] = 251217,
  [SMALL_STATE(5037)] = 251236,
  [SMALL_STATE(5038)] = 251253,
  [SMALL_STATE(5039)] = 251266,
  [SMALL_STATE(5040)] = 251285,
  [SMALL_STATE(5041)] = 251304,
  [SMALL_STATE(5042)] = 251319,
  [SMALL_STATE(5043)] = 251338,
  [SMALL_STATE(5044)] = 251357,
  [SMALL_STATE(5045)] = 251376,
  [SMALL_STATE(5046)] = 251393,
  [SMALL_STATE(5047)] = 251408,
  [SMALL_STATE(5048)] = 251427,
  [SMALL_STATE(5049)] = 251442,
  [SMALL_STATE(5050)] = 251461,
  [SMALL_STATE(5051)] = 251478,
  [SMALL_STATE(5052)] = 251495,
  [SMALL_STATE(5053)] = 251512,
  [SMALL_STATE(5054)] = 251529,
  [SMALL_STATE(5055)] = 251546,
  [SMALL_STATE(5056)] = 251561,
  [SMALL_STATE(5057)] = 251574,
  [SMALL_STATE(5058)] = 251589,
  [SMALL_STATE(5059)] = 251604,
  [SMALL_STATE(5060)] = 251617,
  [SMALL_STATE(5061)] = 251632,
  [SMALL_STATE(5062)] = 251649,
  [SMALL_STATE(5063)] = 251668,
  [SMALL_STATE(5064)] = 251683,
  [SMALL_STATE(5065)] = 251698,
  [SMALL_STATE(5066)] = 251713,
  [SMALL_STATE(5067)] = 251732,
  [SMALL_STATE(5068)] = 251747,
  [SMALL_STATE(5069)] = 251766,
  [SMALL_STATE(5070)] = 251781,
  [SMALL_STATE(5071)] = 251800,
  [SMALL_STATE(5072)] = 251817,
  [SMALL_STATE(5073)] = 251836,
  [SMALL_STATE(5074)] = 251855,
  [SMALL_STATE(5075)] = 251870,
  [SMALL_STATE(5076)] = 251889,
  [SMALL_STATE(5077)] = 251908,
  [SMALL_STATE(5078)] = 251927,
  [SMALL_STATE(5079)] = 251942,
  [SMALL_STATE(5080)] = 251957,
  [SMALL_STATE(5081)] = 251974,
  [SMALL_STATE(5082)] = 251993,
  [SMALL_STATE(5083)] = 252010,
  [SMALL_STATE(5084)] = 252029,
  [SMALL_STATE(5085)] = 252044,
  [SMALL_STATE(5086)] = 252059,
  [SMALL_STATE(5087)] = 252076,
  [SMALL_STATE(5088)] = 252089,
  [SMALL_STATE(5089)] = 252108,
  [SMALL_STATE(5090)] = 252123,
  [SMALL_STATE(5091)] = 252138,
  [SMALL_STATE(5092)] = 252155,
  [SMALL_STATE(5093)] = 252170,
  [SMALL_STATE(5094)] = 252187,
  [SMALL_STATE(5095)] = 252202,
  [SMALL_STATE(5096)] = 252219,
  [SMALL_STATE(5097)] = 252234,
  [SMALL_STATE(5098)] = 252251,
  [SMALL_STATE(5099)] = 252270,
  [SMALL_STATE(5100)] = 252289,
  [SMALL_STATE(5101)] = 252299,
  [SMALL_STATE(5102)] = 252309,
  [SMALL_STATE(5103)] = 252319,
  [SMALL_STATE(5104)] = 252329,
  [SMALL_STATE(5105)] = 252339,
  [SMALL_STATE(5106)] = 252349,
  [SMALL_STATE(5107)] = 252363,
  [SMALL_STATE(5108)] = 252373,
  [SMALL_STATE(5109)] = 252383,
  [SMALL_STATE(5110)] = 252393,
  [SMALL_STATE(5111)] = 252403,
  [SMALL_STATE(5112)] = 252417,
  [SMALL_STATE(5113)] = 252433,
  [SMALL_STATE(5114)] = 252449,
  [SMALL_STATE(5115)] = 252463,
  [SMALL_STATE(5116)] = 252477,
  [SMALL_STATE(5117)] = 252491,
  [SMALL_STATE(5118)] = 252503,
  [SMALL_STATE(5119)] = 252519,
  [SMALL_STATE(5120)] = 252529,
  [SMALL_STATE(5121)] = 252539,
  [SMALL_STATE(5122)] = 252549,
  [SMALL_STATE(5123)] = 252559,
  [SMALL_STATE(5124)] = 252575,
  [SMALL_STATE(5125)] = 252585,
  [SMALL_STATE(5126)] = 252595,
  [SMALL_STATE(5127)] = 252605,
  [SMALL_STATE(5128)] = 252615,
  [SMALL_STATE(5129)] = 252625,
  [SMALL_STATE(5130)] = 252635,
  [SMALL_STATE(5131)] = 252651,
  [SMALL_STATE(5132)] = 252667,
  [SMALL_STATE(5133)] = 252677,
  [SMALL_STATE(5134)] = 252687,
  [SMALL_STATE(5135)] = 252703,
  [SMALL_STATE(5136)] = 252713,
  [SMALL_STATE(5137)] = 252729,
  [SMALL_STATE(5138)] = 252743,
  [SMALL_STATE(5139)] = 252759,
  [SMALL_STATE(5140)] = 252769,
  [SMALL_STATE(5141)] = 252779,
  [SMALL_STATE(5142)] = 252789,
  [SMALL_STATE(5143)] = 252799,
  [SMALL_STATE(5144)] = 252815,
  [SMALL_STATE(5145)] = 252825,
  [SMALL_STATE(5146)] = 252835,
  [SMALL_STATE(5147)] = 252845,
  [SMALL_STATE(5148)] = 252855,
  [SMALL_STATE(5149)] = 252865,
  [SMALL_STATE(5150)] = 252875,
  [SMALL_STATE(5151)] = 252885,
  [SMALL_STATE(5152)] = 252901,
  [SMALL_STATE(5153)] = 252911,
  [SMALL_STATE(5154)] = 252921,
  [SMALL_STATE(5155)] = 252935,
  [SMALL_STATE(5156)] = 252945,
  [SMALL_STATE(5157)] = 252957,
  [SMALL_STATE(5158)] = 252967,
  [SMALL_STATE(5159)] = 252983,
  [SMALL_STATE(5160)] = 252999,
  [SMALL_STATE(5161)] = 253013,
  [SMALL_STATE(5162)] = 253023,
  [SMALL_STATE(5163)] = 253033,
  [SMALL_STATE(5164)] = 253049,
  [SMALL_STATE(5165)] = 253061,
  [SMALL_STATE(5166)] = 253074,
  [SMALL_STATE(5167)] = 253087,
  [SMALL_STATE(5168)] = 253100,
  [SMALL_STATE(5169)] = 253113,
  [SMALL_STATE(5170)] = 253126,
  [SMALL_STATE(5171)] = 253139,
  [SMALL_STATE(5172)] = 253152,
  [SMALL_STATE(5173)] = 253165,
  [SMALL_STATE(5174)] = 253176,
  [SMALL_STATE(5175)] = 253185,
  [SMALL_STATE(5176)] = 253194,
  [SMALL_STATE(5177)] = 253207,
  [SMALL_STATE(5178)] = 253220,
  [SMALL_STATE(5179)] = 253233,
  [SMALL_STATE(5180)] = 253246,
  [SMALL_STATE(5181)] = 253255,
  [SMALL_STATE(5182)] = 253266,
  [SMALL_STATE(5183)] = 253279,
  [SMALL_STATE(5184)] = 253292,
  [SMALL_STATE(5185)] = 253305,
  [SMALL_STATE(5186)] = 253318,
  [SMALL_STATE(5187)] = 253331,
  [SMALL_STATE(5188)] = 253344,
  [SMALL_STATE(5189)] = 253357,
  [SMALL_STATE(5190)] = 253370,
  [SMALL_STATE(5191)] = 253383,
  [SMALL_STATE(5192)] = 253392,
  [SMALL_STATE(5193)] = 253403,
  [SMALL_STATE(5194)] = 253416,
  [SMALL_STATE(5195)] = 253429,
  [SMALL_STATE(5196)] = 253442,
  [SMALL_STATE(5197)] = 253455,
  [SMALL_STATE(5198)] = 253468,
  [SMALL_STATE(5199)] = 253477,
  [SMALL_STATE(5200)] = 253490,
  [SMALL_STATE(5201)] = 253499,
  [SMALL_STATE(5202)] = 253512,
  [SMALL_STATE(5203)] = 253525,
  [SMALL_STATE(5204)] = 253538,
  [SMALL_STATE(5205)] = 253551,
  [SMALL_STATE(5206)] = 253564,
  [SMALL_STATE(5207)] = 253577,
  [SMALL_STATE(5208)] = 253586,
  [SMALL_STATE(5209)] = 253595,
  [SMALL_STATE(5210)] = 253608,
  [SMALL_STATE(5211)] = 253621,
  [SMALL_STATE(5212)] = 253632,
  [SMALL_STATE(5213)] = 253645,
  [SMALL_STATE(5214)] = 253658,
  [SMALL_STATE(5215)] = 253669,
  [SMALL_STATE(5216)] = 253682,
  [SMALL_STATE(5217)] = 253693,
  [SMALL_STATE(5218)] = 253706,
  [SMALL_STATE(5219)] = 253717,
  [SMALL_STATE(5220)] = 253730,
  [SMALL_STATE(5221)] = 253743,
  [SMALL_STATE(5222)] = 253756,
  [SMALL_STATE(5223)] = 253769,
  [SMALL_STATE(5224)] = 253782,
  [SMALL_STATE(5225)] = 253795,
  [SMALL_STATE(5226)] = 253808,
  [SMALL_STATE(5227)] = 253819,
  [SMALL_STATE(5228)] = 253832,
  [SMALL_STATE(5229)] = 253841,
  [SMALL_STATE(5230)] = 253852,
  [SMALL_STATE(5231)] = 253863,
  [SMALL_STATE(5232)] = 253874,
  [SMALL_STATE(5233)] = 253887,
  [SMALL_STATE(5234)] = 253898,
  [SMALL_STATE(5235)] = 253909,
  [SMALL_STATE(5236)] = 253922,
  [SMALL_STATE(5237)] = 253935,
  [SMALL_STATE(5238)] = 253946,
  [SMALL_STATE(5239)] = 253959,
  [SMALL_STATE(5240)] = 253972,
  [SMALL_STATE(5241)] = 253985,
  [SMALL_STATE(5242)] = 253994,
  [SMALL_STATE(5243)] = 254007,
  [SMALL_STATE(5244)] = 254020,
  [SMALL_STATE(5245)] = 254033,
  [SMALL_STATE(5246)] = 254044,
  [SMALL_STATE(5247)] = 254057,
  [SMALL_STATE(5248)] = 254070,
  [SMALL_STATE(5249)] = 254081,
  [SMALL_STATE(5250)] = 254092,
  [SMALL_STATE(5251)] = 254105,
  [SMALL_STATE(5252)] = 254114,
  [SMALL_STATE(5253)] = 254127,
  [SMALL_STATE(5254)] = 254136,
  [SMALL_STATE(5255)] = 254149,
  [SMALL_STATE(5256)] = 254158,
  [SMALL_STATE(5257)] = 254171,
  [SMALL_STATE(5258)] = 254184,
  [SMALL_STATE(5259)] = 254195,
  [SMALL_STATE(5260)] = 254208,
  [SMALL_STATE(5261)] = 254219,
  [SMALL_STATE(5262)] = 254230,
  [SMALL_STATE(5263)] = 254239,
  [SMALL_STATE(5264)] = 254250,
  [SMALL_STATE(5265)] = 254263,
  [SMALL_STATE(5266)] = 254276,
  [SMALL_STATE(5267)] = 254289,
  [SMALL_STATE(5268)] = 254302,
  [SMALL_STATE(5269)] = 254313,
  [SMALL_STATE(5270)] = 254326,
  [SMALL_STATE(5271)] = 254339,
  [SMALL_STATE(5272)] = 254352,
  [SMALL_STATE(5273)] = 254363,
  [SMALL_STATE(5274)] = 254374,
  [SMALL_STATE(5275)] = 254385,
  [SMALL_STATE(5276)] = 254394,
  [SMALL_STATE(5277)] = 254407,
  [SMALL_STATE(5278)] = 254420,
  [SMALL_STATE(5279)] = 254433,
  [SMALL_STATE(5280)] = 254444,
  [SMALL_STATE(5281)] = 254457,
  [SMALL_STATE(5282)] = 254470,
  [SMALL_STATE(5283)] = 254481,
  [SMALL_STATE(5284)] = 254494,
  [SMALL_STATE(5285)] = 254507,
  [SMALL_STATE(5286)] = 254520,
  [SMALL_STATE(5287)] = 254533,
  [SMALL_STATE(5288)] = 254546,
  [SMALL_STATE(5289)] = 254559,
  [SMALL_STATE(5290)] = 254572,
  [SMALL_STATE(5291)] = 254585,
  [SMALL_STATE(5292)] = 254596,
  [SMALL_STATE(5293)] = 254607,
  [SMALL_STATE(5294)] = 254620,
  [SMALL_STATE(5295)] = 254631,
  [SMALL_STATE(5296)] = 254644,
  [SMALL_STATE(5297)] = 254653,
  [SMALL_STATE(5298)] = 254666,
  [SMALL_STATE(5299)] = 254679,
  [SMALL_STATE(5300)] = 254688,
  [SMALL_STATE(5301)] = 254701,
  [SMALL_STATE(5302)] = 254714,
  [SMALL_STATE(5303)] = 254727,
  [SMALL_STATE(5304)] = 254740,
  [SMALL_STATE(5305)] = 254753,
  [SMALL_STATE(5306)] = 254766,
  [SMALL_STATE(5307)] = 254779,
  [SMALL_STATE(5308)] = 254792,
  [SMALL_STATE(5309)] = 254803,
  [SMALL_STATE(5310)] = 254816,
  [SMALL_STATE(5311)] = 254829,
  [SMALL_STATE(5312)] = 254840,
  [SMALL_STATE(5313)] = 254853,
  [SMALL_STATE(5314)] = 254864,
  [SMALL_STATE(5315)] = 254877,
  [SMALL_STATE(5316)] = 254890,
  [SMALL_STATE(5317)] = 254903,
  [SMALL_STATE(5318)] = 254916,
  [SMALL_STATE(5319)] = 254929,
  [SMALL_STATE(5320)] = 254942,
  [SMALL_STATE(5321)] = 254953,
  [SMALL_STATE(5322)] = 254963,
  [SMALL_STATE(5323)] = 254971,
  [SMALL_STATE(5324)] = 254981,
  [SMALL_STATE(5325)] = 254991,
  [SMALL_STATE(5326)] = 255001,
  [SMALL_STATE(5327)] = 255009,
  [SMALL_STATE(5328)] = 255019,
  [SMALL_STATE(5329)] = 255029,
  [SMALL_STATE(5330)] = 255039,
  [SMALL_STATE(5331)] = 255047,
  [SMALL_STATE(5332)] = 255057,
  [SMALL_STATE(5333)] = 255067,
  [SMALL_STATE(5334)] = 255077,
  [SMALL_STATE(5335)] = 255087,
  [SMALL_STATE(5336)] = 255097,
  [SMALL_STATE(5337)] = 255107,
  [SMALL_STATE(5338)] = 255117,
  [SMALL_STATE(5339)] = 255127,
  [SMALL_STATE(5340)] = 255135,
  [SMALL_STATE(5341)] = 255143,
  [SMALL_STATE(5342)] = 255151,
  [SMALL_STATE(5343)] = 255159,
  [SMALL_STATE(5344)] = 255169,
  [SMALL_STATE(5345)] = 255179,
  [SMALL_STATE(5346)] = 255189,
  [SMALL_STATE(5347)] = 255199,
  [SMALL_STATE(5348)] = 255209,
  [SMALL_STATE(5349)] = 255219,
  [SMALL_STATE(5350)] = 255229,
  [SMALL_STATE(5351)] = 255237,
  [SMALL_STATE(5352)] = 255247,
  [SMALL_STATE(5353)] = 255255,
  [SMALL_STATE(5354)] = 255265,
  [SMALL_STATE(5355)] = 255275,
  [SMALL_STATE(5356)] = 255285,
  [SMALL_STATE(5357)] = 255293,
  [SMALL_STATE(5358)] = 255301,
  [SMALL_STATE(5359)] = 255311,
  [SMALL_STATE(5360)] = 255321,
  [SMALL_STATE(5361)] = 255329,
  [SMALL_STATE(5362)] = 255339,
  [SMALL_STATE(5363)] = 255347,
  [SMALL_STATE(5364)] = 255357,
  [SMALL_STATE(5365)] = 255365,
  [SMALL_STATE(5366)] = 255373,
  [SMALL_STATE(5367)] = 255383,
  [SMALL_STATE(5368)] = 255391,
  [SMALL_STATE(5369)] = 255401,
  [SMALL_STATE(5370)] = 255411,
  [SMALL_STATE(5371)] = 255421,
  [SMALL_STATE(5372)] = 255431,
  [SMALL_STATE(5373)] = 255439,
  [SMALL_STATE(5374)] = 255447,
  [SMALL_STATE(5375)] = 255457,
  [SMALL_STATE(5376)] = 255467,
  [SMALL_STATE(5377)] = 255477,
  [SMALL_STATE(5378)] = 255487,
  [SMALL_STATE(5379)] = 255495,
  [SMALL_STATE(5380)] = 255505,
  [SMALL_STATE(5381)] = 255515,
  [SMALL_STATE(5382)] = 255525,
  [SMALL_STATE(5383)] = 255535,
  [SMALL_STATE(5384)] = 255545,
  [SMALL_STATE(5385)] = 255553,
  [SMALL_STATE(5386)] = 255563,
  [SMALL_STATE(5387)] = 255573,
  [SMALL_STATE(5388)] = 255581,
  [SMALL_STATE(5389)] = 255589,
  [SMALL_STATE(5390)] = 255599,
  [SMALL_STATE(5391)] = 255609,
  [SMALL_STATE(5392)] = 255619,
  [SMALL_STATE(5393)] = 255627,
  [SMALL_STATE(5394)] = 255635,
  [SMALL_STATE(5395)] = 255645,
  [SMALL_STATE(5396)] = 255653,
  [SMALL_STATE(5397)] = 255661,
  [SMALL_STATE(5398)] = 255671,
  [SMALL_STATE(5399)] = 255681,
  [SMALL_STATE(5400)] = 255691,
  [SMALL_STATE(5401)] = 255701,
  [SMALL_STATE(5402)] = 255709,
  [SMALL_STATE(5403)] = 255719,
  [SMALL_STATE(5404)] = 255727,
  [SMALL_STATE(5405)] = 255737,
  [SMALL_STATE(5406)] = 255745,
  [SMALL_STATE(5407)] = 255755,
  [SMALL_STATE(5408)] = 255763,
  [SMALL_STATE(5409)] = 255773,
  [SMALL_STATE(5410)] = 255781,
  [SMALL_STATE(5411)] = 255791,
  [SMALL_STATE(5412)] = 255801,
  [SMALL_STATE(5413)] = 255811,
  [SMALL_STATE(5414)] = 255819,
  [SMALL_STATE(5415)] = 255827,
  [SMALL_STATE(5416)] = 255837,
  [SMALL_STATE(5417)] = 255847,
  [SMALL_STATE(5418)] = 255855,
  [SMALL_STATE(5419)] = 255863,
  [SMALL_STATE(5420)] = 255873,
  [SMALL_STATE(5421)] = 255883,
  [SMALL_STATE(5422)] = 255891,
  [SMALL_STATE(5423)] = 255901,
  [SMALL_STATE(5424)] = 255909,
  [SMALL_STATE(5425)] = 255919,
  [SMALL_STATE(5426)] = 255927,
  [SMALL_STATE(5427)] = 255937,
  [SMALL_STATE(5428)] = 255947,
  [SMALL_STATE(5429)] = 255957,
  [SMALL_STATE(5430)] = 255965,
  [SMALL_STATE(5431)] = 255975,
  [SMALL_STATE(5432)] = 255983,
  [SMALL_STATE(5433)] = 255993,
  [SMALL_STATE(5434)] = 256001,
  [SMALL_STATE(5435)] = 256011,
  [SMALL_STATE(5436)] = 256021,
  [SMALL_STATE(5437)] = 256029,
  [SMALL_STATE(5438)] = 256039,
  [SMALL_STATE(5439)] = 256046,
  [SMALL_STATE(5440)] = 256053,
  [SMALL_STATE(5441)] = 256060,
  [SMALL_STATE(5442)] = 256067,
  [SMALL_STATE(5443)] = 256074,
  [SMALL_STATE(5444)] = 256081,
  [SMALL_STATE(5445)] = 256088,
  [SMALL_STATE(5446)] = 256095,
  [SMALL_STATE(5447)] = 256102,
  [SMALL_STATE(5448)] = 256109,
  [SMALL_STATE(5449)] = 256116,
  [SMALL_STATE(5450)] = 256123,
  [SMALL_STATE(5451)] = 256130,
  [SMALL_STATE(5452)] = 256137,
  [SMALL_STATE(5453)] = 256144,
  [SMALL_STATE(5454)] = 256151,
  [SMALL_STATE(5455)] = 256158,
  [SMALL_STATE(5456)] = 256165,
  [SMALL_STATE(5457)] = 256172,
  [SMALL_STATE(5458)] = 256179,
  [SMALL_STATE(5459)] = 256186,
  [SMALL_STATE(5460)] = 256193,
  [SMALL_STATE(5461)] = 256200,
  [SMALL_STATE(5462)] = 256207,
  [SMALL_STATE(5463)] = 256214,
  [SMALL_STATE(5464)] = 256221,
  [SMALL_STATE(5465)] = 256228,
  [SMALL_STATE(5466)] = 256235,
  [SMALL_STATE(5467)] = 256242,
  [SMALL_STATE(5468)] = 256249,
  [SMALL_STATE(5469)] = 256256,
  [SMALL_STATE(5470)] = 256263,
  [SMALL_STATE(5471)] = 256270,
  [SMALL_STATE(5472)] = 256277,
  [SMALL_STATE(5473)] = 256284,
  [SMALL_STATE(5474)] = 256291,
  [SMALL_STATE(5475)] = 256298,
  [SMALL_STATE(5476)] = 256305,
  [SMALL_STATE(5477)] = 256312,
  [SMALL_STATE(5478)] = 256319,
  [SMALL_STATE(5479)] = 256326,
  [SMALL_STATE(5480)] = 256333,
  [SMALL_STATE(5481)] = 256340,
  [SMALL_STATE(5482)] = 256347,
  [SMALL_STATE(5483)] = 256354,
  [SMALL_STATE(5484)] = 256361,
  [SMALL_STATE(5485)] = 256368,
  [SMALL_STATE(5486)] = 256375,
  [SMALL_STATE(5487)] = 256382,
  [SMALL_STATE(5488)] = 256389,
  [SMALL_STATE(5489)] = 256396,
  [SMALL_STATE(5490)] = 256403,
  [SMALL_STATE(5491)] = 256410,
  [SMALL_STATE(5492)] = 256417,
  [SMALL_STATE(5493)] = 256424,
  [SMALL_STATE(5494)] = 256431,
  [SMALL_STATE(5495)] = 256438,
  [SMALL_STATE(5496)] = 256445,
  [SMALL_STATE(5497)] = 256452,
  [SMALL_STATE(5498)] = 256459,
  [SMALL_STATE(5499)] = 256466,
  [SMALL_STATE(5500)] = 256473,
  [SMALL_STATE(5501)] = 256480,
  [SMALL_STATE(5502)] = 256487,
  [SMALL_STATE(5503)] = 256494,
  [SMALL_STATE(5504)] = 256501,
  [SMALL_STATE(5505)] = 256508,
  [SMALL_STATE(5506)] = 256515,
  [SMALL_STATE(5507)] = 256522,
  [SMALL_STATE(5508)] = 256529,
  [SMALL_STATE(5509)] = 256536,
  [SMALL_STATE(5510)] = 256543,
  [SMALL_STATE(5511)] = 256550,
  [SMALL_STATE(5512)] = 256557,
  [SMALL_STATE(5513)] = 256564,
  [SMALL_STATE(5514)] = 256571,
  [SMALL_STATE(5515)] = 256578,
  [SMALL_STATE(5516)] = 256585,
  [SMALL_STATE(5517)] = 256592,
  [SMALL_STATE(5518)] = 256599,
  [SMALL_STATE(5519)] = 256606,
  [SMALL_STATE(5520)] = 256613,
  [SMALL_STATE(5521)] = 256620,
  [SMALL_STATE(5522)] = 256627,
  [SMALL_STATE(5523)] = 256634,
  [SMALL_STATE(5524)] = 256641,
  [SMALL_STATE(5525)] = 256648,
  [SMALL_STATE(5526)] = 256655,
  [SMALL_STATE(5527)] = 256662,
  [SMALL_STATE(5528)] = 256669,
  [SMALL_STATE(5529)] = 256676,
  [SMALL_STATE(5530)] = 256683,
  [SMALL_STATE(5531)] = 256690,
  [SMALL_STATE(5532)] = 256697,
  [SMALL_STATE(5533)] = 256704,
  [SMALL_STATE(5534)] = 256711,
  [SMALL_STATE(5535)] = 256718,
  [SMALL_STATE(5536)] = 256725,
  [SMALL_STATE(5537)] = 256732,
  [SMALL_STATE(5538)] = 256739,
  [SMALL_STATE(5539)] = 256746,
  [SMALL_STATE(5540)] = 256753,
  [SMALL_STATE(5541)] = 256760,
  [SMALL_STATE(5542)] = 256767,
  [SMALL_STATE(5543)] = 256774,
  [SMALL_STATE(5544)] = 256781,
  [SMALL_STATE(5545)] = 256788,
  [SMALL_STATE(5546)] = 256795,
  [SMALL_STATE(5547)] = 256802,
  [SMALL_STATE(5548)] = 256809,
  [SMALL_STATE(5549)] = 256816,
  [SMALL_STATE(5550)] = 256823,
  [SMALL_STATE(5551)] = 256830,
  [SMALL_STATE(5552)] = 256837,
  [SMALL_STATE(5553)] = 256844,
  [SMALL_STATE(5554)] = 256851,
  [SMALL_STATE(5555)] = 256858,
  [SMALL_STATE(5556)] = 256865,
  [SMALL_STATE(5557)] = 256872,
  [SMALL_STATE(5558)] = 256879,
  [SMALL_STATE(5559)] = 256886,
  [SMALL_STATE(5560)] = 256893,
  [SMALL_STATE(5561)] = 256900,
  [SMALL_STATE(5562)] = 256907,
  [SMALL_STATE(5563)] = 256914,
  [SMALL_STATE(5564)] = 256921,
  [SMALL_STATE(5565)] = 256928,
  [SMALL_STATE(5566)] = 256935,
  [SMALL_STATE(5567)] = 256942,
  [SMALL_STATE(5568)] = 256949,
  [SMALL_STATE(5569)] = 256956,
  [SMALL_STATE(5570)] = 256963,
  [SMALL_STATE(5571)] = 256970,
  [SMALL_STATE(5572)] = 256977,
  [SMALL_STATE(5573)] = 256984,
  [SMALL_STATE(5574)] = 256991,
  [SMALL_STATE(5575)] = 256998,
  [SMALL_STATE(5576)] = 257005,
  [SMALL_STATE(5577)] = 257012,
  [SMALL_STATE(5578)] = 257019,
  [SMALL_STATE(5579)] = 257026,
  [SMALL_STATE(5580)] = 257033,
  [SMALL_STATE(5581)] = 257040,
  [SMALL_STATE(5582)] = 257047,
  [SMALL_STATE(5583)] = 257054,
  [SMALL_STATE(5584)] = 257061,
  [SMALL_STATE(5585)] = 257068,
  [SMALL_STATE(5586)] = 257075,
  [SMALL_STATE(5587)] = 257082,
  [SMALL_STATE(5588)] = 257089,
  [SMALL_STATE(5589)] = 257096,
  [SMALL_STATE(5590)] = 257103,
  [SMALL_STATE(5591)] = 257110,
  [SMALL_STATE(5592)] = 257117,
  [SMALL_STATE(5593)] = 257124,
  [SMALL_STATE(5594)] = 257131,
  [SMALL_STATE(5595)] = 257138,
  [SMALL_STATE(5596)] = 257145,
  [SMALL_STATE(5597)] = 257152,
  [SMALL_STATE(5598)] = 257159,
  [SMALL_STATE(5599)] = 257166,
  [SMALL_STATE(5600)] = 257173,
  [SMALL_STATE(5601)] = 257180,
  [SMALL_STATE(5602)] = 257187,
  [SMALL_STATE(5603)] = 257194,
  [SMALL_STATE(5604)] = 257201,
  [SMALL_STATE(5605)] = 257208,
  [SMALL_STATE(5606)] = 257215,
  [SMALL_STATE(5607)] = 257222,
  [SMALL_STATE(5608)] = 257229,
  [SMALL_STATE(5609)] = 257236,
  [SMALL_STATE(5610)] = 257243,
  [SMALL_STATE(5611)] = 257250,
  [SMALL_STATE(5612)] = 257257,
  [SMALL_STATE(5613)] = 257264,
  [SMALL_STATE(5614)] = 257271,
  [SMALL_STATE(5615)] = 257278,
  [SMALL_STATE(5616)] = 257285,
  [SMALL_STATE(5617)] = 257292,
  [SMALL_STATE(5618)] = 257299,
  [SMALL_STATE(5619)] = 257306,
  [SMALL_STATE(5620)] = 257313,
  [SMALL_STATE(5621)] = 257320,
  [SMALL_STATE(5622)] = 257327,
  [SMALL_STATE(5623)] = 257334,
  [SMALL_STATE(5624)] = 257341,
  [SMALL_STATE(5625)] = 257348,
  [SMALL_STATE(5626)] = 257355,
  [SMALL_STATE(5627)] = 257362,
  [SMALL_STATE(5628)] = 257369,
  [SMALL_STATE(5629)] = 257376,
  [SMALL_STATE(5630)] = 257383,
  [SMALL_STATE(5631)] = 257390,
  [SMALL_STATE(5632)] = 257397,
  [SMALL_STATE(5633)] = 257404,
  [SMALL_STATE(5634)] = 257411,
  [SMALL_STATE(5635)] = 257418,
  [SMALL_STATE(5636)] = 257425,
  [SMALL_STATE(5637)] = 257432,
  [SMALL_STATE(5638)] = 257439,
  [SMALL_STATE(5639)] = 257446,
  [SMALL_STATE(5640)] = 257453,
  [SMALL_STATE(5641)] = 257460,
  [SMALL_STATE(5642)] = 257467,
  [SMALL_STATE(5643)] = 257474,
  [SMALL_STATE(5644)] = 257481,
  [SMALL_STATE(5645)] = 257488,
  [SMALL_STATE(5646)] = 257495,
  [SMALL_STATE(5647)] = 257502,
  [SMALL_STATE(5648)] = 257509,
  [SMALL_STATE(5649)] = 257516,
  [SMALL_STATE(5650)] = 257523,
  [SMALL_STATE(5651)] = 257530,
  [SMALL_STATE(5652)] = 257537,
  [SMALL_STATE(5653)] = 257544,
  [SMALL_STATE(5654)] = 257551,
  [SMALL_STATE(5655)] = 257558,
  [SMALL_STATE(5656)] = 257565,
  [SMALL_STATE(5657)] = 257572,
  [SMALL_STATE(5658)] = 257579,
  [SMALL_STATE(5659)] = 257586,
  [SMALL_STATE(5660)] = 257593,
  [SMALL_STATE(5661)] = 257600,
  [SMALL_STATE(5662)] = 257607,
  [SMALL_STATE(5663)] = 257614,
  [SMALL_STATE(5664)] = 257621,
  [SMALL_STATE(5665)] = 257628,
  [SMALL_STATE(5666)] = 257635,
  [SMALL_STATE(5667)] = 257642,
  [SMALL_STATE(5668)] = 257649,
  [SMALL_STATE(5669)] = 257656,
  [SMALL_STATE(5670)] = 257663,
  [SMALL_STATE(5671)] = 257670,
  [SMALL_STATE(5672)] = 257677,
  [SMALL_STATE(5673)] = 257684,
  [SMALL_STATE(5674)] = 257691,
  [SMALL_STATE(5675)] = 257698,
  [SMALL_STATE(5676)] = 257705,
  [SMALL_STATE(5677)] = 257712,
  [SMALL_STATE(5678)] = 257719,
  [SMALL_STATE(5679)] = 257726,
  [SMALL_STATE(5680)] = 257733,
  [SMALL_STATE(5681)] = 257740,
  [SMALL_STATE(5682)] = 257747,
  [SMALL_STATE(5683)] = 257754,
  [SMALL_STATE(5684)] = 257761,
  [SMALL_STATE(5685)] = 257768,
  [SMALL_STATE(5686)] = 257775,
  [SMALL_STATE(5687)] = 257782,
  [SMALL_STATE(5688)] = 257789,
  [SMALL_STATE(5689)] = 257796,
  [SMALL_STATE(5690)] = 257803,
  [SMALL_STATE(5691)] = 257810,
  [SMALL_STATE(5692)] = 257817,
  [SMALL_STATE(5693)] = 257824,
  [SMALL_STATE(5694)] = 257831,
  [SMALL_STATE(5695)] = 257838,
  [SMALL_STATE(5696)] = 257845,
  [SMALL_STATE(5697)] = 257852,
  [SMALL_STATE(5698)] = 257859,
  [SMALL_STATE(5699)] = 257866,
  [SMALL_STATE(5700)] = 257873,
  [SMALL_STATE(5701)] = 257880,
  [SMALL_STATE(5702)] = 257887,
  [SMALL_STATE(5703)] = 257894,
  [SMALL_STATE(5704)] = 257901,
  [SMALL_STATE(5705)] = 257908,
  [SMALL_STATE(5706)] = 257915,
  [SMALL_STATE(5707)] = 257922,
  [SMALL_STATE(5708)] = 257929,
  [SMALL_STATE(5709)] = 257936,
  [SMALL_STATE(5710)] = 257943,
  [SMALL_STATE(5711)] = 257950,
  [SMALL_STATE(5712)] = 257957,
  [SMALL_STATE(5713)] = 257964,
  [SMALL_STATE(5714)] = 257971,
  [SMALL_STATE(5715)] = 257978,
  [SMALL_STATE(5716)] = 257985,
  [SMALL_STATE(5717)] = 257992,
  [SMALL_STATE(5718)] = 257999,
  [SMALL_STATE(5719)] = 258006,
  [SMALL_STATE(5720)] = 258013,
  [SMALL_STATE(5721)] = 258020,
  [SMALL_STATE(5722)] = 258027,
  [SMALL_STATE(5723)] = 258034,
  [SMALL_STATE(5724)] = 258041,
  [SMALL_STATE(5725)] = 258048,
  [SMALL_STATE(5726)] = 258055,
  [SMALL_STATE(5727)] = 258062,
  [SMALL_STATE(5728)] = 258069,
  [SMALL_STATE(5729)] = 258076,
  [SMALL_STATE(5730)] = 258083,
  [SMALL_STATE(5731)] = 258090,
  [SMALL_STATE(5732)] = 258097,
  [SMALL_STATE(5733)] = 258104,
  [SMALL_STATE(5734)] = 258111,
  [SMALL_STATE(5735)] = 258118,
  [SMALL_STATE(5736)] = 258125,
  [SMALL_STATE(5737)] = 258132,
  [SMALL_STATE(5738)] = 258139,
  [SMALL_STATE(5739)] = 258146,
  [SMALL_STATE(5740)] = 258153,
  [SMALL_STATE(5741)] = 258160,
  [SMALL_STATE(5742)] = 258167,
  [SMALL_STATE(5743)] = 258174,
  [SMALL_STATE(5744)] = 258181,
  [SMALL_STATE(5745)] = 258188,
  [SMALL_STATE(5746)] = 258195,
  [SMALL_STATE(5747)] = 258202,
  [SMALL_STATE(5748)] = 258209,
  [SMALL_STATE(5749)] = 258216,
  [SMALL_STATE(5750)] = 258223,
  [SMALL_STATE(5751)] = 258230,
  [SMALL_STATE(5752)] = 258237,
  [SMALL_STATE(5753)] = 258244,
  [SMALL_STATE(5754)] = 258251,
  [SMALL_STATE(5755)] = 258258,
  [SMALL_STATE(5756)] = 258265,
  [SMALL_STATE(5757)] = 258272,
  [SMALL_STATE(5758)] = 258279,
  [SMALL_STATE(5759)] = 258286,
  [SMALL_STATE(5760)] = 258293,
  [SMALL_STATE(5761)] = 258300,
  [SMALL_STATE(5762)] = 258307,
  [SMALL_STATE(5763)] = 258314,
  [SMALL_STATE(5764)] = 258321,
  [SMALL_STATE(5765)] = 258328,
  [SMALL_STATE(5766)] = 258335,
  [SMALL_STATE(5767)] = 258342,
  [SMALL_STATE(5768)] = 258349,
  [SMALL_STATE(5769)] = 258356,
  [SMALL_STATE(5770)] = 258363,
  [SMALL_STATE(5771)] = 258370,
  [SMALL_STATE(5772)] = 258377,
  [SMALL_STATE(5773)] = 258384,
  [SMALL_STATE(5774)] = 258391,
  [SMALL_STATE(5775)] = 258398,
  [SMALL_STATE(5776)] = 258405,
  [SMALL_STATE(5777)] = 258412,
  [SMALL_STATE(5778)] = 258419,
  [SMALL_STATE(5779)] = 258426,
  [SMALL_STATE(5780)] = 258433,
  [SMALL_STATE(5781)] = 258440,
  [SMALL_STATE(5782)] = 258447,
  [SMALL_STATE(5783)] = 258454,
  [SMALL_STATE(5784)] = 258461,
  [SMALL_STATE(5785)] = 258468,
  [SMALL_STATE(5786)] = 258475,
  [SMALL_STATE(5787)] = 258482,
  [SMALL_STATE(5788)] = 258489,
  [SMALL_STATE(5789)] = 258496,
  [SMALL_STATE(5790)] = 258503,
  [SMALL_STATE(5791)] = 258510,
  [SMALL_STATE(5792)] = 258517,
  [SMALL_STATE(5793)] = 258524,
  [SMALL_STATE(5794)] = 258531,
  [SMALL_STATE(5795)] = 258538,
  [SMALL_STATE(5796)] = 258545,
  [SMALL_STATE(5797)] = 258552,
  [SMALL_STATE(5798)] = 258559,
  [SMALL_STATE(5799)] = 258566,
  [SMALL_STATE(5800)] = 258573,
  [SMALL_STATE(5801)] = 258580,
  [SMALL_STATE(5802)] = 258587,
  [SMALL_STATE(5803)] = 258594,
  [SMALL_STATE(5804)] = 258601,
  [SMALL_STATE(5805)] = 258608,
  [SMALL_STATE(5806)] = 258615,
  [SMALL_STATE(5807)] = 258622,
  [SMALL_STATE(5808)] = 258629,
  [SMALL_STATE(5809)] = 258636,
  [SMALL_STATE(5810)] = 258643,
  [SMALL_STATE(5811)] = 258650,
  [SMALL_STATE(5812)] = 258657,
  [SMALL_STATE(5813)] = 258664,
  [SMALL_STATE(5814)] = 258671,
  [SMALL_STATE(5815)] = 258678,
  [SMALL_STATE(5816)] = 258685,
  [SMALL_STATE(5817)] = 258692,
  [SMALL_STATE(5818)] = 258699,
  [SMALL_STATE(5819)] = 258706,
  [SMALL_STATE(5820)] = 258713,
  [SMALL_STATE(5821)] = 258720,
  [SMALL_STATE(5822)] = 258727,
  [SMALL_STATE(5823)] = 258734,
  [SMALL_STATE(5824)] = 258741,
  [SMALL_STATE(5825)] = 258748,
  [SMALL_STATE(5826)] = 258755,
  [SMALL_STATE(5827)] = 258762,
  [SMALL_STATE(5828)] = 258769,
  [SMALL_STATE(5829)] = 258776,
  [SMALL_STATE(5830)] = 258783,
  [SMALL_STATE(5831)] = 258790,
  [SMALL_STATE(5832)] = 258797,
  [SMALL_STATE(5833)] = 258804,
  [SMALL_STATE(5834)] = 258811,
  [SMALL_STATE(5835)] = 258818,
  [SMALL_STATE(5836)] = 258825,
  [SMALL_STATE(5837)] = 258832,
  [SMALL_STATE(5838)] = 258839,
  [SMALL_STATE(5839)] = 258846,
  [SMALL_STATE(5840)] = 258853,
  [SMALL_STATE(5841)] = 258860,
  [SMALL_STATE(5842)] = 258867,
  [SMALL_STATE(5843)] = 258874,
  [SMALL_STATE(5844)] = 258881,
  [SMALL_STATE(5845)] = 258888,
  [SMALL_STATE(5846)] = 258895,
  [SMALL_STATE(5847)] = 258902,
  [SMALL_STATE(5848)] = 258909,
  [SMALL_STATE(5849)] = 258916,
  [SMALL_STATE(5850)] = 258923,
  [SMALL_STATE(5851)] = 258930,
  [SMALL_STATE(5852)] = 258937,
  [SMALL_STATE(5853)] = 258944,
  [SMALL_STATE(5854)] = 258951,
  [SMALL_STATE(5855)] = 258958,
  [SMALL_STATE(5856)] = 258965,
  [SMALL_STATE(5857)] = 258972,
  [SMALL_STATE(5858)] = 258979,
  [SMALL_STATE(5859)] = 258986,
  [SMALL_STATE(5860)] = 258993,
  [SMALL_STATE(5861)] = 259000,
  [SMALL_STATE(5862)] = 259007,
  [SMALL_STATE(5863)] = 259014,
  [SMALL_STATE(5864)] = 259021,
  [SMALL_STATE(5865)] = 259028,
  [SMALL_STATE(5866)] = 259035,
  [SMALL_STATE(5867)] = 259042,
  [SMALL_STATE(5868)] = 259049,
  [SMALL_STATE(5869)] = 259056,
  [SMALL_STATE(5870)] = 259063,
  [SMALL_STATE(5871)] = 259070,
  [SMALL_STATE(5872)] = 259077,
  [SMALL_STATE(5873)] = 259084,
  [SMALL_STATE(5874)] = 259091,
  [SMALL_STATE(5875)] = 259098,
  [SMALL_STATE(5876)] = 259105,
  [SMALL_STATE(5877)] = 259112,
  [SMALL_STATE(5878)] = 259119,
  [SMALL_STATE(5879)] = 259126,
  [SMALL_STATE(5880)] = 259133,
  [SMALL_STATE(5881)] = 259140,
  [SMALL_STATE(5882)] = 259147,
  [SMALL_STATE(5883)] = 259154,
  [SMALL_STATE(5884)] = 259161,
  [SMALL_STATE(5885)] = 259168,
  [SMALL_STATE(5886)] = 259175,
  [SMALL_STATE(5887)] = 259182,
  [SMALL_STATE(5888)] = 259189,
  [SMALL_STATE(5889)] = 259196,
  [SMALL_STATE(5890)] = 259203,
  [SMALL_STATE(5891)] = 259210,
  [SMALL_STATE(5892)] = 259217,
  [SMALL_STATE(5893)] = 259224,
  [SMALL_STATE(5894)] = 259231,
  [SMALL_STATE(5895)] = 259238,
  [SMALL_STATE(5896)] = 259245,
  [SMALL_STATE(5897)] = 259252,
  [SMALL_STATE(5898)] = 259259,
  [SMALL_STATE(5899)] = 259266,
  [SMALL_STATE(5900)] = 259273,
  [SMALL_STATE(5901)] = 259280,
  [SMALL_STATE(5902)] = 259287,
  [SMALL_STATE(5903)] = 259294,
  [SMALL_STATE(5904)] = 259301,
  [SMALL_STATE(5905)] = 259308,
  [SMALL_STATE(5906)] = 259315,
  [SMALL_STATE(5907)] = 259322,
  [SMALL_STATE(5908)] = 259329,
  [SMALL_STATE(5909)] = 259336,
  [SMALL_STATE(5910)] = 259343,
  [SMALL_STATE(5911)] = 259350,
  [SMALL_STATE(5912)] = 259357,
  [SMALL_STATE(5913)] = 259364,
  [SMALL_STATE(5914)] = 259371,
  [SMALL_STATE(5915)] = 259378,
  [SMALL_STATE(5916)] = 259385,
  [SMALL_STATE(5917)] = 259392,
  [SMALL_STATE(5918)] = 259399,
  [SMALL_STATE(5919)] = 259406,
  [SMALL_STATE(5920)] = 259413,
  [SMALL_STATE(5921)] = 259420,
  [SMALL_STATE(5922)] = 259427,
  [SMALL_STATE(5923)] = 259434,
  [SMALL_STATE(5924)] = 259441,
  [SMALL_STATE(5925)] = 259448,
  [SMALL_STATE(5926)] = 259455,
  [SMALL_STATE(5927)] = 259462,
  [SMALL_STATE(5928)] = 259469,
  [SMALL_STATE(5929)] = 259476,
  [SMALL_STATE(5930)] = 259483,
  [SMALL_STATE(5931)] = 259490,
  [SMALL_STATE(5932)] = 259497,
  [SMALL_STATE(5933)] = 259504,
  [SMALL_STATE(5934)] = 259511,
  [SMALL_STATE(5935)] = 259518,
  [SMALL_STATE(5936)] = 259525,
  [SMALL_STATE(5937)] = 259532,
  [SMALL_STATE(5938)] = 259539,
  [SMALL_STATE(5939)] = 259546,
  [SMALL_STATE(5940)] = 259553,
  [SMALL_STATE(5941)] = 259560,
  [SMALL_STATE(5942)] = 259567,
  [SMALL_STATE(5943)] = 259574,
  [SMALL_STATE(5944)] = 259581,
  [SMALL_STATE(5945)] = 259588,
  [SMALL_STATE(5946)] = 259595,
  [SMALL_STATE(5947)] = 259602,
  [SMALL_STATE(5948)] = 259609,
  [SMALL_STATE(5949)] = 259616,
  [SMALL_STATE(5950)] = 259623,
  [SMALL_STATE(5951)] = 259630,
  [SMALL_STATE(5952)] = 259637,
  [SMALL_STATE(5953)] = 259644,
  [SMALL_STATE(5954)] = 259651,
  [SMALL_STATE(5955)] = 259658,
  [SMALL_STATE(5956)] = 259665,
  [SMALL_STATE(5957)] = 259672,
  [SMALL_STATE(5958)] = 259679,
  [SMALL_STATE(5959)] = 259686,
  [SMALL_STATE(5960)] = 259693,
  [SMALL_STATE(5961)] = 259700,
  [SMALL_STATE(5962)] = 259707,
  [SMALL_STATE(5963)] = 259714,
  [SMALL_STATE(5964)] = 259721,
  [SMALL_STATE(5965)] = 259728,
  [SMALL_STATE(5966)] = 259735,
  [SMALL_STATE(5967)] = 259742,
  [SMALL_STATE(5968)] = 259749,
  [SMALL_STATE(5969)] = 259756,
  [SMALL_STATE(5970)] = 259763,
  [SMALL_STATE(5971)] = 259770,
  [SMALL_STATE(5972)] = 259777,
  [SMALL_STATE(5973)] = 259784,
  [SMALL_STATE(5974)] = 259791,
  [SMALL_STATE(5975)] = 259798,
  [SMALL_STATE(5976)] = 259805,
  [SMALL_STATE(5977)] = 259812,
  [SMALL_STATE(5978)] = 259819,
  [SMALL_STATE(5979)] = 259826,
  [SMALL_STATE(5980)] = 259833,
  [SMALL_STATE(5981)] = 259840,
  [SMALL_STATE(5982)] = 259847,
  [SMALL_STATE(5983)] = 259854,
  [SMALL_STATE(5984)] = 259861,
  [SMALL_STATE(5985)] = 259868,
  [SMALL_STATE(5986)] = 259875,
  [SMALL_STATE(5987)] = 259882,
  [SMALL_STATE(5988)] = 259889,
  [SMALL_STATE(5989)] = 259896,
  [SMALL_STATE(5990)] = 259903,
  [SMALL_STATE(5991)] = 259910,
  [SMALL_STATE(5992)] = 259917,
  [SMALL_STATE(5993)] = 259924,
  [SMALL_STATE(5994)] = 259931,
  [SMALL_STATE(5995)] = 259938,
  [SMALL_STATE(5996)] = 259945,
  [SMALL_STATE(5997)] = 259952,
  [SMALL_STATE(5998)] = 259959,
  [SMALL_STATE(5999)] = 259966,
  [SMALL_STATE(6000)] = 259973,
  [SMALL_STATE(6001)] = 259980,
  [SMALL_STATE(6002)] = 259987,
  [SMALL_STATE(6003)] = 259994,
  [SMALL_STATE(6004)] = 260001,
  [SMALL_STATE(6005)] = 260008,
  [SMALL_STATE(6006)] = 260015,
  [SMALL_STATE(6007)] = 260022,
  [SMALL_STATE(6008)] = 260029,
  [SMALL_STATE(6009)] = 260036,
  [SMALL_STATE(6010)] = 260043,
  [SMALL_STATE(6011)] = 260050,
  [SMALL_STATE(6012)] = 260057,
  [SMALL_STATE(6013)] = 260064,
  [SMALL_STATE(6014)] = 260071,
  [SMALL_STATE(6015)] = 260078,
  [SMALL_STATE(6016)] = 260085,
  [SMALL_STATE(6017)] = 260092,
  [SMALL_STATE(6018)] = 260099,
  [SMALL_STATE(6019)] = 260106,
  [SMALL_STATE(6020)] = 260113,
  [SMALL_STATE(6021)] = 260120,
  [SMALL_STATE(6022)] = 260127,
  [SMALL_STATE(6023)] = 260134,
  [SMALL_STATE(6024)] = 260141,
  [SMALL_STATE(6025)] = 260148,
  [SMALL_STATE(6026)] = 260155,
  [SMALL_STATE(6027)] = 260162,
  [SMALL_STATE(6028)] = 260169,
  [SMALL_STATE(6029)] = 260176,
  [SMALL_STATE(6030)] = 260183,
  [SMALL_STATE(6031)] = 260190,
  [SMALL_STATE(6032)] = 260197,
  [SMALL_STATE(6033)] = 260204,
  [SMALL_STATE(6034)] = 260211,
  [SMALL_STATE(6035)] = 260218,
  [SMALL_STATE(6036)] = 260225,
  [SMALL_STATE(6037)] = 260232,
  [SMALL_STATE(6038)] = 260239,
  [SMALL_STATE(6039)] = 260246,
  [SMALL_STATE(6040)] = 260253,
  [SMALL_STATE(6041)] = 260260,
  [SMALL_STATE(6042)] = 260267,
  [SMALL_STATE(6043)] = 260274,
  [SMALL_STATE(6044)] = 260281,
  [SMALL_STATE(6045)] = 260288,
  [SMALL_STATE(6046)] = 260295,
  [SMALL_STATE(6047)] = 260302,
  [SMALL_STATE(6048)] = 260309,
  [SMALL_STATE(6049)] = 260316,
  [SMALL_STATE(6050)] = 260323,
  [SMALL_STATE(6051)] = 260330,
  [SMALL_STATE(6052)] = 260337,
  [SMALL_STATE(6053)] = 260344,
  [SMALL_STATE(6054)] = 260351,
  [SMALL_STATE(6055)] = 260358,
  [SMALL_STATE(6056)] = 260365,
  [SMALL_STATE(6057)] = 260372,
  [SMALL_STATE(6058)] = 260379,
  [SMALL_STATE(6059)] = 260386,
  [SMALL_STATE(6060)] = 260393,
  [SMALL_STATE(6061)] = 260400,
  [SMALL_STATE(6062)] = 260407,
  [SMALL_STATE(6063)] = 260414,
  [SMALL_STATE(6064)] = 260421,
  [SMALL_STATE(6065)] = 260428,
  [SMALL_STATE(6066)] = 260435,
  [SMALL_STATE(6067)] = 260442,
  [SMALL_STATE(6068)] = 260449,
  [SMALL_STATE(6069)] = 260456,
  [SMALL_STATE(6070)] = 260463,
  [SMALL_STATE(6071)] = 260470,
  [SMALL_STATE(6072)] = 260477,
  [SMALL_STATE(6073)] = 260484,
  [SMALL_STATE(6074)] = 260491,
  [SMALL_STATE(6075)] = 260498,
  [SMALL_STATE(6076)] = 260505,
  [SMALL_STATE(6077)] = 260512,
  [SMALL_STATE(6078)] = 260519,
  [SMALL_STATE(6079)] = 260526,
  [SMALL_STATE(6080)] = 260533,
  [SMALL_STATE(6081)] = 260540,
  [SMALL_STATE(6082)] = 260547,
  [SMALL_STATE(6083)] = 260554,
  [SMALL_STATE(6084)] = 260561,
  [SMALL_STATE(6085)] = 260568,
  [SMALL_STATE(6086)] = 260575,
  [SMALL_STATE(6087)] = 260582,
  [SMALL_STATE(6088)] = 260589,
  [SMALL_STATE(6089)] = 260596,
  [SMALL_STATE(6090)] = 260603,
  [SMALL_STATE(6091)] = 260610,
  [SMALL_STATE(6092)] = 260617,
  [SMALL_STATE(6093)] = 260624,
  [SMALL_STATE(6094)] = 260631,
  [SMALL_STATE(6095)] = 260638,
  [SMALL_STATE(6096)] = 260645,
  [SMALL_STATE(6097)] = 260652,
  [SMALL_STATE(6098)] = 260659,
  [SMALL_STATE(6099)] = 260666,
  [SMALL_STATE(6100)] = 260673,
  [SMALL_STATE(6101)] = 260680,
  [SMALL_STATE(6102)] = 260687,
  [SMALL_STATE(6103)] = 260694,
  [SMALL_STATE(6104)] = 260701,
  [SMALL_STATE(6105)] = 260708,
  [SMALL_STATE(6106)] = 260715,
  [SMALL_STATE(6107)] = 260722,
  [SMALL_STATE(6108)] = 260729,
  [SMALL_STATE(6109)] = 260736,
  [SMALL_STATE(6110)] = 260743,
  [SMALL_STATE(6111)] = 260750,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5398),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6062),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3106),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3382),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6056),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4709),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4638),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5428),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4867),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5308),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6064),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3093),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5767),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4717),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5390),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(64),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4846),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5230),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6079),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5419),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5764),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3101),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3507),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5505),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4713),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4619),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5410),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4859),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5311),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6069),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4482),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3121),
  [231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_name, 1, .production_id = 1),
  [233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, .production_id = 1),
  [235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_command_name, 1, .production_id = 1), REDUCE(sym__expression, 1, .production_id = 1),
  [238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3119),
  [246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3318),
  [248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4773),
  [250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1960),
  [252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4582),
  [254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5353),
  [258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3793),
  [260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_name, 1, .production_id = 1),
  [270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6073),
  [276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2039),
  [278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, .production_id = 1),
  [282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_command_name, 1, .production_id = 1), REDUCE(sym__expression, 1, .production_id = 1),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4762),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4554),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2237),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5404),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6072),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3065),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3763),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5894),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4677),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4556),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5336),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4868),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5214),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6067),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4434),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3798),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3782),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4422),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3832),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5389),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5891),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3069),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3349),
  [409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 82),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4151),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4276),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4240),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5487),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4687),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4596),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5370),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4871),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5258),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6097),
  [469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 2, .production_id = 59),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4099),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4231),
  [475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 78),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4180),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4211),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 107),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4181),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4197),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4201),
  [491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 110),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4122),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4208),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4249),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4110),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4213),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4216),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4105),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4226),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4228),
  [511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 2, .production_id = 58),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4108),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4212),
  [517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(882),
  [520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(5398),
  [523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(6062),
  [526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(571),
  [529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(3065),
  [532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(3065),
  [535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(296),
  [538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(327),
  [541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2),
  [543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(318),
  [546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(3382),
  [549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(5894),
  [552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(266),
  [555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(513),
  [558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(6),
  [561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(1741),
  [564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(487),
  [567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(582),
  [570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(597),
  [573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(3269),
  [576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(3183),
  [579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(3182),
  [582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(4677),
  [585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(877),
  [588] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(4556),
  [591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(884),
  [594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(936),
  [597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(5336),
  [600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(3859),
  [603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(299),
  [606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(300),
  [609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(301),
  [612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(302),
  [615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(4868),
  [618] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(5214),
  [621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(903),
  [624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(6067),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4096),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4278),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4263),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4146),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4250),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 45),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4158),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 44),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4159),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4227),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3043),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4271),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5466),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4828),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4645),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5394),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4865),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5249),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6105),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4280),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4254),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4262),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4245),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4232),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4223),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4209),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4202),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4269),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4268),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4264),
  [729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 3),
  [731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 4),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4916),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4917),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4909),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4903),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4924),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4905),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4913),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4921),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5970),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4438),
  [777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4451),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3966),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4027),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 1),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3761),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4426),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4401),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4448),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4498),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3781),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3789),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4028),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4004),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3834),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(882),
  [828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(5398),
  [831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(6062),
  [834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(571),
  [837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(3065),
  [840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(3065),
  [843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(296),
  [846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(327),
  [849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(318),
  [852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(3382),
  [855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(5894),
  [858] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(266),
  [861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(513),
  [864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(6),
  [867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1741),
  [870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(487),
  [873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(582),
  [876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(597),
  [879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(3269),
  [882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(3183),
  [885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(3182),
  [888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(4677),
  [891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(877),
  [894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(4556),
  [897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(884),
  [900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(936),
  [903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(5336),
  [906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(3859),
  [909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(299),
  [912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(300),
  [915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(301),
  [918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(302),
  [921] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(4868),
  [924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(5214),
  [927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(903),
  [930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(6067),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3096),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4691),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4559),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5349),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6082),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3082),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5990),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4856),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5320),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1814),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5056),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5291),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [1087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4752),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4628),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5337),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6050),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1666),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [1139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [1141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [1143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [1163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenation, 4, .production_id = 1),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4587),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [1171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation, 4, .production_id = 1),
  [1173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenation, 4),
  [1175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation, 4),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4619),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [1183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_name, 1),
  [1185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [1187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_command_name, 1), REDUCE(sym__expression, 1),
  [1190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_command_name, 1), SHIFT(5773),
  [1193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_name, 1),
  [1195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_command_name, 1), REDUCE(sym__expression, 1),
  [1198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 1),
  [1200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 1),
  [1202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenation, 2),
  [1204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation, 2),
  [1206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [1208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2),
  [1210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2),
  [1212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3318),
  [1215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3318),
  [1218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenation, 2, .production_id = 1),
  [1220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation, 2, .production_id = 1),
  [1222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [1224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number, 2),
  [1226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number, 2),
  [1228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arithmetic_expansion, 3),
  [1230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arithmetic_expansion, 3),
  [1232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [1234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [1236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 3, .production_id = 30),
  [1238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 3, .production_id = 30),
  [1240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_brace_expression, 5),
  [1242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_brace_expression, 5),
  [1244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_expansion, 2),
  [1246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_expansion, 2),
  [1248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_process_substitution, 3),
  [1250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_process_substitution, 3),
  [1252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 2),
  [1254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 2),
  [1256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_expansion, 2, .production_id = 11),
  [1258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_expansion, 2, .production_id = 11),
  [1260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_translated_string, 2),
  [1262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translated_string, 2),
  [1264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_substitution, 3),
  [1266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_substitution, 3),
  [1268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number, 1),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number, 1),
  [1272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arithmetic_expansion, 4),
  [1274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arithmetic_expansion, 4),
  [1276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [1278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [1280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_substitution, 3, .production_id = 34),
  [1282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_substitution, 3, .production_id = 34),
  [1284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2, .production_id = 10),
  [1286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2, .production_id = 10),
  [1288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 4),
  [1290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 4),
  [1292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [1294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2),
  [1296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2),
  [1298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(393),
  [1301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3406),
  [1304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [1306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [1308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [1310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_command_name, 1), SHIFT(6057),
  [1313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(422),
  [1316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [1318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [1320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3088),
  [1322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [1324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [1326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [1328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4875),
  [1330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [1332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [1334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3398),
  [1336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 1, .production_id = 2),
  [1338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3100),
  [1340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 1, .production_id = 2),
  [1342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3393),
  [1344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3401),
  [1346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [1348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4596),
  [1350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3803),
  [1352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [1354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [1356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [1358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [1360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [1362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 2, .production_id = 19),
  [1364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 2, .production_id = 19),
  [1366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [1368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3435),
  [1370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3041),
  [1372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3428),
  [1374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3437),
  [1376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [1378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4645),
  [1380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3753),
  [1382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [1384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [1386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [1388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [1390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [1392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 2, .production_id = 18),
  [1394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 2, .production_id = 18),
  [1396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(715),
  [1399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3398),
  [1402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37),
  [1404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3100),
  [1407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37),
  [1409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3393),
  [1412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3401),
  [1415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(4687),
  [1418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(711),
  [1421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(4596),
  [1424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(697),
  [1427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(5370),
  [1430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3803),
  [1433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(202),
  [1436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(204),
  [1439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(206),
  [1442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(57),
  [1445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(5468),
  [1448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(716),
  [1451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(1017),
  [1454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(6097),
  [1457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [1459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3183),
  [1461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3090),
  [1463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3297),
  [1465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3182),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [1469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4556),
  [1471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3859),
  [1473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [1475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [1477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [1483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 3, .production_id = 38),
  [1485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 3, .production_id = 38),
  [1487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [1489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3339),
  [1491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3051),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3292),
  [1495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3327),
  [1497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4638),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3910),
  [1503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [1505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [1507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [1513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3107),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3360),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [1523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [1525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3416),
  [1527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_command, 2),
  [1529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_command, 2),
  [1531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3419),
  [1533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4759),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [1537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4620),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [1541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5359),
  [1543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3745),
  [1545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [1547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [1549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [1551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [1553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [1555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5216),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6101),
  [1561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_command, 1),
  [1563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_command, 1),
  [1565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [1567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(765),
  [1570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3435),
  [1573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3041),
  [1576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3428),
  [1579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3437),
  [1582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(4828),
  [1585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(797),
  [1588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(4645),
  [1591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(762),
  [1594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(5394),
  [1597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3753),
  [1600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(271),
  [1603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(275),
  [1606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(278),
  [1609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(110),
  [1612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(5455),
  [1615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(767),
  [1618] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(1131),
  [1621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(6105),
  [1624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [1626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [1628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(909),
  [1631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3416),
  [1634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2),
  [1636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2),
  [1638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3419),
  [1641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(4759),
  [1644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(920),
  [1647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(4620),
  [1650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(973),
  [1653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(5359),
  [1656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3745),
  [1659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(234),
  [1662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(235),
  [1665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(236),
  [1668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(84),
  [1671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(446),
  [1674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(5216),
  [1677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(911),
  [1680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(6101),
  [1683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(998),
  [1686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3451),
  [1689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3452),
  [1692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(4692),
  [1695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1019),
  [1698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(4656),
  [1701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1064),
  [1704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(5358),
  [1707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3762),
  [1710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(306),
  [1713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(307),
  [1716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(308),
  [1719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(139),
  [1722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(449),
  [1725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(5272),
  [1728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1008),
  [1731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(6108),
  [1734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [1736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [1738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(886),
  [1741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3339),
  [1744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3051),
  [1747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3292),
  [1750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3327),
  [1753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(4709),
  [1756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(930),
  [1759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(4638),
  [1762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(861),
  [1765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(5428),
  [1768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3910),
  [1771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(209),
  [1774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(208),
  [1777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(190),
  [1780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(189),
  [1783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(5873),
  [1786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(898),
  [1789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(1211),
  [1792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(6064),
  [1795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(912),
  [1798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3183),
  [1801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3090),
  [1804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3297),
  [1807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3182),
  [1810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(4677),
  [1813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(905),
  [1816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(4556),
  [1819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(936),
  [1822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(5336),
  [1825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3859),
  [1828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(299),
  [1831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(300),
  [1834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(301),
  [1837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(302),
  [1840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(5995),
  [1843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(913),
  [1846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(1249),
  [1849] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(6067),
  [1852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [1854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3451),
  [1856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3452),
  [1858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4692),
  [1860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [1862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4656),
  [1864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [1866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5358),
  [1868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3762),
  [1870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [1872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [1874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [1876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [1878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [1880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5272),
  [1882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [1884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6108),
  [1886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [1888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [1890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [1892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 3, .production_id = 21),
  [1894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 3, .production_id = 21),
  [1896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [1898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [1900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 2, .production_id = 8),
  [1902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 2, .production_id = 8),
  [1904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [1906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3141),
  [1908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3137),
  [1910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4730),
  [1912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [1914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4632),
  [1916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [1918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5432),
  [1920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3774),
  [1922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [1924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [1926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [1928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [1930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [1932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5279),
  [1934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [1936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6070),
  [1938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [1940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3115),
  [1942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3114),
  [1944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4788),
  [1946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [1948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4631),
  [1950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [1952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5346),
  [1954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3817),
  [1956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [1958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [1960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [1962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [1964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [1966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5231),
  [1968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [1970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6075),
  [1972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1118),
  [1975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3115),
  [1978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3114),
  [1981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(4788),
  [1984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1185),
  [1987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(4631),
  [1990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1254),
  [1993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(5346),
  [1996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3817),
  [1999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(129),
  [2002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(284),
  [2005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(182),
  [2008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(142),
  [2011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(472),
  [2014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(5231),
  [2017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1068),
  [2020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(6075),
  [2023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(1015),
  [2026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3107),
  [2029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3360),
  [2032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(1043),
  [2035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(6058),
  [2038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(1040),
  [2041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(851),
  [2044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3411),
  [2047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2),
  [2049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2),
  [2051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3415),
  [2054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4741),
  [2057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(940),
  [2060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4613),
  [2063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(957),
  [2066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5327),
  [2069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3744),
  [2072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(230),
  [2075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(231),
  [2078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(233),
  [2081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(79),
  [2084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(832),
  [2087] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6100),
  [2090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [2092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1092),
  [2095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3141),
  [2098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3137),
  [2101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(4730),
  [2104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1150),
  [2107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(4632),
  [2110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1236),
  [2113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(5432),
  [2116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3774),
  [2119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(238),
  [2122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(227),
  [2125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(213),
  [2128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(180),
  [2131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(479),
  [2134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(5279),
  [2137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1055),
  [2140] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(6070),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [2147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [2149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5218),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3426),
  [2159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_command, 1),
  [2161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_command, 1),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3427),
  [2165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4661),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [2169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4627),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [2173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5399),
  [2175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3746),
  [2177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [2179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [2181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [2183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [2185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6102),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [2193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3105),
  [2195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3127),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [2201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [2203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4613),
  [2205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [2209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(999),
  [2212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3444),
  [2215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3445),
  [2218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4737),
  [2221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(993),
  [2224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4654),
  [2227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1062),
  [2230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5371),
  [2233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3759),
  [2236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(294),
  [2239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(303),
  [2242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(305),
  [2245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(128),
  [2248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(995),
  [2251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6107),
  [2254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [2256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1007),
  [2259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(3426),
  [2262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2),
  [2264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2),
  [2266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(3427),
  [2269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(4661),
  [2272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(992),
  [2275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(4627),
  [2278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1098),
  [2281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(5399),
  [2284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(3746),
  [2287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(237),
  [2290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(246),
  [2293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(249),
  [2296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(89),
  [2299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(498),
  [2302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1006),
  [2305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(6102),
  [2308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1370),
  [2311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1356),
  [2314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(500),
  [2317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(5218),
  [2320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1369),
  [2323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 1),
  [2325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 1),
  [2327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 2, .production_id = 4),
  [2329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 2, .production_id = 4),
  [2331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_command, 2),
  [2333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_command, 2),
  [2335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [2337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [2339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [2341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [2343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [2345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3111),
  [2347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3465),
  [2349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4670),
  [2351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [2353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4625),
  [2355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [2357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5347),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3764),
  [2361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [2363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [2365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [2367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [2369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6109),
  [2375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [2377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [2379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [2381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [2383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4654),
  [2385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [2387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2),
  [2389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2),
  [2391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 3),
  [2393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 3),
  [2395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [2397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3429),
  [2399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3430),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4794),
  [2403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [2405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4635),
  [2407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [2409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5427),
  [2411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3748),
  [2413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [2415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [2417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [2419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6103),
  [2425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 2),
  [2427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 2),
  [2429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [2431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1678),
  [2433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3095),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [2445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [2447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1140),
  [2450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(3111),
  [2453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(3465),
  [2456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(4670),
  [2459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1058),
  [2462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(4625),
  [2465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1345),
  [2468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(5347),
  [2471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(3764),
  [2474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(309),
  [2477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(312),
  [2480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(314),
  [2483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(186),
  [2486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(530),
  [2489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1141),
  [2492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(6109),
  [2495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [2497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1142),
  [2500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3429),
  [2503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3430),
  [2506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4794),
  [2509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1187),
  [2512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4635),
  [2515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1266),
  [2518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5427),
  [2521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3748),
  [2524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(254),
  [2527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(256),
  [2530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(259),
  [2533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(95),
  [2536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1144),
  [2539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6103),
  [2542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1102),
  [2545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3237),
  [2548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3236),
  [2551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4694),
  [2554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1137),
  [2557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4578),
  [2560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1241),
  [2563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5355),
  [2566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3842),
  [2569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(276),
  [2572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(279),
  [2575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(280),
  [2578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(281),
  [2581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1104),
  [2584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6061),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [2589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1122),
  [2592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3117),
  [2595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3116),
  [2598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4780),
  [2601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1182),
  [2604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4644),
  [2607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1212),
  [2610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5324),
  [2613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3806),
  [2616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(118),
  [2619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(117),
  [2622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(116),
  [2625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(149),
  [2628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1125),
  [2631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6074),
  [2634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [2636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [2640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [2646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [2650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [2652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3472),
  [2654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3477),
  [2656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4668),
  [2658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [2660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4602),
  [2662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [2664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5335),
  [2666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3767),
  [2668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [2670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [2672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [2674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6110),
  [2680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [2682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4578),
  [2684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [2686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [2688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [2690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3136),
  [2692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3130),
  [2694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4742),
  [2696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [2698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4539),
  [2700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [2702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5435),
  [2704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3770),
  [2706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [2708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [2710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [2712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [2714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6071),
  [2720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [2722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4644),
  [2724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [2726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [2728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3178),
  [2730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3180),
  [2732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4805),
  [2734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [2736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4612),
  [2738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [2740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5375),
  [2742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3825),
  [2744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [2746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [2748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [2750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [2752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [2758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1372),
  [2761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3472),
  [2764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3477),
  [2767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4668),
  [2770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1351),
  [2773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4602),
  [2776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1458),
  [2779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5335),
  [2782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3767),
  [2785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(317),
  [2788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(316),
  [2791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(315),
  [2794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(192),
  [2797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1371),
  [2800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6110),
  [2803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1268),
  [2806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(3136),
  [2809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(3130),
  [2812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(4742),
  [2815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1312),
  [2818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(4539),
  [2821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1522),
  [2824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(5435),
  [2827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(3770),
  [2830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(178),
  [2833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(176),
  [2836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(175),
  [2839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(174),
  [2842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(555),
  [2845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1271),
  [2848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(6071),
  [2851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(1441),
  [2854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3105),
  [2857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3127),
  [2860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(1546),
  [2863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(6065),
  [2866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(1444),
  [2869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [2871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2427),
  [2873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1218),
  [2876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(3178),
  [2879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(3180),
  [2882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(4805),
  [2885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1229),
  [2888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(4612),
  [2891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1437),
  [2894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(5375),
  [2897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(3825),
  [2900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(298),
  [2903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(297),
  [2906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(251),
  [2909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(97),
  [2912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(560),
  [2915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1214),
  [2918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(6076),
  [2921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [2923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [2925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [2927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3567),
  [2929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3432),
  [2931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3433),
  [2933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4811),
  [2935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3537),
  [2937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4641),
  [2939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3661),
  [2941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5406),
  [2943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3751),
  [2945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [2947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [2949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [2951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6104),
  [2957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1368),
  [2960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1359),
  [2963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1363),
  [2966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3589),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [2970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [2972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [2974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [2976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [2978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [2980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [2982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2356),
  [2984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [2986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [2988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [2990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(1678),
  [2993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3325),
  [2996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3095),
  [2999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3324),
  [3002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3326),
  [3005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(4691),
  [3008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(1619),
  [3011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(4559),
  [3014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(1678),
  [3017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(1629),
  [3020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(5349),
  [3023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3868),
  [3026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(144),
  [3029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(146),
  [3032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(151),
  [3035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(183),
  [3038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(5493),
  [3041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(1674),
  [3044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(2067),
  [3047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(6082),
  [3050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [3052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3356),
  [3054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3357),
  [3056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4787),
  [3058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [3060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4598),
  [3062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [3064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5408),
  [3066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3902),
  [3068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [3070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [3072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [3074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6087),
  [3080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1516),
  [3083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3356),
  [3086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3357),
  [3089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4787),
  [3092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1447),
  [3095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4598),
  [3098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1610),
  [3101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5408),
  [3104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3902),
  [3107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(265),
  [3110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(229),
  [3113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(269),
  [3116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(152),
  [3119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1521),
  [3122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6087),
  [3125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [3127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [3129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [3133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [3135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3329),
  [3137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3330),
  [3139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4769),
  [3141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [3143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4547),
  [3145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1733),
  [3147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5397),
  [3149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3879),
  [3151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [3153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [3155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [3157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6083),
  [3163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [3165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [3167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [3169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5237),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [3175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [3177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [3181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [3187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2820),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [3191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2819),
  [3193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2818),
  [3195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1425),
  [3198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1432),
  [3201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(591),
  [3204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1427),
  [3207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [3209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [3211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1876),
  [3214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1896),
  [3217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(596),
  [3220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(5237),
  [3223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1877),
  [3226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [3228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [3230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [3232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [3234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3679),
  [3236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3593),
  [3238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [3240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3682),
  [3242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [3244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2320),
  [3246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2829),
  [3248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [3250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [3252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2769),
  [3254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1415),
  [3257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3329),
  [3260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3330),
  [3263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4769),
  [3266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1507),
  [3269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4547),
  [3272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1733),
  [3275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5397),
  [3278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3879),
  [3281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(168),
  [3284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(172),
  [3287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(173),
  [3290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(63),
  [3293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1414),
  [3296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6083),
  [3299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [3301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [3303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [3305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [3309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1821),
  [3312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1638),
  [3315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1819),
  [3318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1949),
  [3321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3307),
  [3324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3308),
  [3327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(4699),
  [3330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1979),
  [3333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(4574),
  [3336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1949),
  [3339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2018),
  [3342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(5325),
  [3345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3854),
  [3348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(81),
  [3351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(96),
  [3354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(100),
  [3357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(304),
  [3360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(624),
  [3363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(5192),
  [3366] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1950),
  [3369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(6080),
  [3372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1707),
  [3374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4559),
  [3376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [3378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [3380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [3382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [3384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4699),
  [3386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [3388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4574),
  [3390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [3392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [3394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5325),
  [3396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [3398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [3400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [3402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [3404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [3406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [3408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5192),
  [3410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [3412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6080),
  [3414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [3416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [3418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1565),
  [3420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [3422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1789),
  [3424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [3426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3820),
  [3428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3334),
  [3430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3335),
  [3432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4833),
  [3434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3720),
  [3436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4537),
  [3438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3676),
  [3440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5420),
  [3442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3884),
  [3444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [3446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [3448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [3450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [3452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [3454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6084),
  [3456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3869),
  [3458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3659),
  [3460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3867),
  [3462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1473),
  [3464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [3466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3810),
  [3468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [3470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3839),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [3474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [3476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1894),
  [3479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3218),
  [3482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3227),
  [3485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4753),
  [3488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1928),
  [3491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4595),
  [3494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1894),
  [3497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1963),
  [3500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5416),
  [3503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3836),
  [3506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(211),
  [3509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(55),
  [3512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(61),
  [3515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(119),
  [3518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1893),
  [3521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6078),
  [3524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 1),
  [3526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [3528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [3530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [3532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5974),
  [3534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [3536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 1),
  [3538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 1), SHIFT(5234),
  [3541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4052),
  [3543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3829),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [3547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4009),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [3551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4075),
  [3553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3348),
  [3555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [3557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [3559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3078),
  [3561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5020),
  [3565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3351),
  [3567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4806),
  [3569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4079),
  [3571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4580),
  [3573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3776),
  [3575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5430),
  [3577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3900),
  [3579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [3581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [3583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [3585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4882),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6086),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5019),
  [3595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3501),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [3601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3873),
  [3603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3693),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5007),
  [3609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [3611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 1),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [3615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_command_name, 1), SHIFT(5986),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5023),
  [3622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipeline, 3),
  [3624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipeline, 3),
  [3626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3),
  [3628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3),
  [3630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3501),
  [3633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3501),
  [3636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3907),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [3640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1879),
  [3643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1883),
  [3646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1880),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5031),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5016),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5014),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5086),
  [3657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2011),
  [3660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1984),
  [3663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(688),
  [3666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2010),
  [3669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3496),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [3673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 36),
  [3675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 36),
  [3677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_herestring_redirect, 3, .production_id = 4),
  [3679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_herestring_redirect, 3, .production_id = 4),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [3683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 35),
  [3685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 35),
  [3687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3496),
  [3690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3496),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [3695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2005),
  [3698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3366),
  [3701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3368),
  [3704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4760),
  [3707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1956),
  [3710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4634),
  [3713] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2005),
  [3716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2015),
  [3719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5331),
  [3722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3896),
  [3725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(289),
  [3728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(292),
  [3731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(293),
  [3734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(199),
  [3737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1971),
  [3740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6089),
  [3743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [3745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4595),
  [3747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [3749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_command_name, 1), SHIFT(5489),
  [3752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [3754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [3756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [3760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 1), SHIFT(5292),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [3767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 17),
  [3769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 17),
  [3771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 16),
  [3773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 16),
  [3775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_herestring_redirect, 2, .production_id = 10),
  [3777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_herestring_redirect, 2, .production_id = 10),
  [3779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [3781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [3783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [3787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_herestring_redirect, 2),
  [3789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_herestring_redirect, 2),
  [3791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_herestring_redirect, 3, .production_id = 23),
  [3793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_herestring_redirect, 3, .production_id = 23),
  [3795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [3799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [3801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3259),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [3809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [3815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4750),
  [3817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4652),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [3823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [3825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5345),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [3829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6090),
  [3841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2083),
  [3844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2082),
  [3847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2053),
  [3850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3285),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [3854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2125),
  [3857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3374),
  [3860] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3375),
  [3863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4750),
  [3866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2072),
  [3869] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4652),
  [3872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2125),
  [3875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2253),
  [3878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5345),
  [3881] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3883),
  [3884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(283),
  [3887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(239),
  [3890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(56),
  [3893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(212),
  [3896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2124),
  [3899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6090),
  [3902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_command_name, 1), SHIFT(5902),
  [3905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 1),
  [3907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [3909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [3911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [3913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5892),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [3917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 1), SHIFT(5261),
  [3920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2055),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [3926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4673),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4567),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [3934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [3936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5332),
  [3938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [3940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [3944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [3948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [3952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6081),
  [3954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [3956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5233),
  [3958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [3962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [3964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [3966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [3970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2055),
  [3973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(3314),
  [3976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(3112),
  [3979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(4673),
  [3982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2019),
  [3985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(4567),
  [3988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2055),
  [3991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2133),
  [3994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(5332),
  [3997] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(3861),
  [4000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(103),
  [4003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(133),
  [4006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(134),
  [4009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(250),
  [4012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(775),
  [4015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2054),
  [4018] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(6081),
  [4021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [4023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [4025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 1), SHIFT(5226),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [4030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(836),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [4035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [4039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [4045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [4047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4634),
  [4049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2071),
  [4051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3285),
  [4054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3285),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [4059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3259),
  [4062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3259),
  [4065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [4067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [4071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [4073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4554),
  [4075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [4077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [4079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4652),
  [4081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [4083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_command_name, 1), SHIFT(5973),
  [4086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4253),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [4092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4735),
  [4094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4157),
  [4096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4657),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4253),
  [4100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4304),
  [4102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5348),
  [4104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [4106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [4108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [4110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [4112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [4114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4258),
  [4116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6091),
  [4118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 1, .production_id = 1),
  [4120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 1, .production_id = 1),
  [4122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3508),
  [4124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [4126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [4128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 1), SHIFT(5211),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [4133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_assignment, 3, .production_id = 25),
  [4135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_assignment, 3, .production_id = 25),
  [4137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4215),
  [4139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4215),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4260),
  [4143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 1), SHIFT(5294),
  [4146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [4148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 1),
  [4150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 1),
  [4152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3508),
  [4155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3508),
  [4158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3513),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [4164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2235),
  [4167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3402),
  [4170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3403),
  [4173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4705),
  [4176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2212),
  [4179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4603),
  [4182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2235),
  [4185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2275),
  [4188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5351),
  [4191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3788),
  [4194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(210),
  [4197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(54),
  [4200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(214),
  [4203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(65),
  [4206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2236),
  [4209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6098),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [4220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3513),
  [4223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3513),
  [4226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_assignment, 3, .production_id = 24),
  [4228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_assignment, 3, .production_id = 24),
  [4230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [4236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4705),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4603),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [4244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2275),
  [4246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5351),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [4250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6098),
  [4262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [4264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [4268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_command_name, 1), SHIFT(5898),
  [4271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [4273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [4275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [4277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [4279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [4281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [4283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [4285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [4287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4234),
  [4289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4137),
  [4291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4239),
  [4293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4287),
  [4295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4274),
  [4297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 1),
  [4299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 1),
  [4301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [4303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 1, .production_id = 1),
  [4305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 1, .production_id = 1),
  [4307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [4309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [4311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [4315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(978),
  [4318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [4320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4574),
  [4322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [4326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [4330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3520),
  [4333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3520),
  [4336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3462),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3462),
  [4340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3520),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [4344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [4346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4628),
  [4348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [4352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [4354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4567),
  [4356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [4360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4299),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [4366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4723),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4200),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4609),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [4374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4371),
  [4376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5334),
  [4378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [4380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4314),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6099),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [4394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3469),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [4400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3469),
  [4403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3469),
  [4406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2333),
  [4408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4603),
  [4410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [4418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3462),
  [4421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3462),
  [4424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [4428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 1, .production_id = 1),
  [4430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 1, .production_id = 1),
  [4432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 1),
  [4434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 1),
  [4436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [4438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [4440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 3),
  [4442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 3),
  [4444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [4446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1156),
  [4449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extglob_blob, 1),
  [4451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__extglob_blob, 1),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4540),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [4463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1167),
  [4466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4308),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4308),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4340),
  [4472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3509),
  [4475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3509),
  [4478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3420),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [4482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3138),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [4486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3448),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [4492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [4494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3190),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [4498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 3, .production_id = 22),
  [4500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 3, .production_id = 22),
  [4502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3516),
  [4505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3516),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [4510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3448),
  [4513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3448),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [4518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3516),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [4524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 2, .production_id = 9),
  [4526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 2, .production_id = 9),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [4530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [4532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1404),
  [4535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3138),
  [4538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3138),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [4545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3509),
  [4547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [4549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [4551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1375),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [4558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3420),
  [4561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3420),
  [4564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3190),
  [4567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3190),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [4584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [4586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_command_name, 1), SHIFT(5992),
  [4589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3283),
  [4591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [4593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [4595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3283),
  [4598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3283),
  [4601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [4603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3175),
  [4605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [4607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [4609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [4611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [4613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [4615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [4617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3442),
  [4619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [4621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [4623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [4625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [4627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 1), SHIFT(5173),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [4632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3175),
  [4635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3175),
  [4638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1487),
  [4641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3442),
  [4644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3442),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [4649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [4651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [4653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__heredoc_expression, 2, .production_id = 65),
  [4655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__heredoc_pipeline, 2),
  [4657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1462),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [4666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 1, .production_id = 3),
  [4668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1),
  [4670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), REDUCE(aux_sym_command_repeat1, 1, .production_id = 3),
  [4673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 1),
  [4675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), REDUCE(aux_sym_command_repeat1, 1, .production_id = 3),
  [4678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 1, .production_id = 3),
  [4680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2768),
  [4682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3390),
  [4684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3391),
  [4686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4675),
  [4688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2828),
  [4690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4576),
  [4692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2924),
  [4694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5383),
  [4696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3807),
  [4698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [4700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [4702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [4704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6095),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4593),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4565),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [4748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1419),
  [4751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2768),
  [4754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3390),
  [4757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3391),
  [4760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4675),
  [4763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2828),
  [4766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4576),
  [4769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2924),
  [4772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5383),
  [4775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3807),
  [4778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(131),
  [4781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(136),
  [4784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(137),
  [4787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(288),
  [4790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2770),
  [4793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6095),
  [4796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_negated_command, 2),
  [4798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_negated_command, 2),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [4804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redirected_statement, 1, .dynamic_precedence = -1),
  [4806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirected_statement, 1, .dynamic_precedence = -1),
  [4808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 1), SHIFT(5181),
  [4811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3436),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [4817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [4819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [4823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3436),
  [4826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3436),
  [4829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3365),
  [4831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [4833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [4835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [4837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2882),
  [4840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3184),
  [4843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3212),
  [4846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4812),
  [4849] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2911),
  [4852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4605),
  [4855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2882),
  [4858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2948),
  [4861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5391),
  [4864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3828),
  [4867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(223),
  [4870] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(217),
  [4873] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(216),
  [4876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(160),
  [4879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2881),
  [4882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6077),
  [4885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2922),
  [4887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2921),
  [4889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1700),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [4896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [4898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [4900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [4902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1739),
  [4904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1683),
  [4907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [4911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5774),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5774),
  [4915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4501),
  [4917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3394),
  [4919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3397),
  [4921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4665),
  [4923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4435),
  [4925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4581),
  [4927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4516),
  [4929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5411),
  [4931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3897),
  [4933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [4935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [4937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [4939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4439),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6096),
  [4945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4505),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4491),
  [4949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1739),
  [4952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [4954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [4956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [4958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [4960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [4962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3365),
  [4965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3365),
  [4968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1624),
  [4971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [4973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1622),
  [4976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1609),
  [4979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3352),
  [4982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [4984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [4988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [4990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1396),
  [4993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1891),
  [4996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(917),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [5001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [5003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [5005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(847),
  [5008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [5010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [5012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [5014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(4965),
  [5017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(419),
  [5020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [5022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [5024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1912),
  [5027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [5029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1244),
  [5032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1478),
  [5035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2402),
  [5038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2782),
  [5041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(4869),
  [5044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(5120),
  [5047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2175),
  [5050] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2443),
  [5053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2169),
  [5056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1322),
  [5059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1279),
  [5062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1508),
  [5065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [5067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2937),
  [5069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4605),
  [5071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2938),
  [5073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2928),
  [5076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2004),
  [5079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(387),
  [5082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2031),
  [5085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2249),
  [5088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1760),
  [5091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2794),
  [5094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [5096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [5098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [5100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1868),
  [5103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(3703),
  [5106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(4173),
  [5109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2776),
  [5112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(3799),
  [5115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1585),
  [5118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1921),
  [5121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(5155),
  [5124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2113),
  [5127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2160),
  [5130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(4324),
  [5133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(5175),
  [5136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(5101),
  [5139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(3594),
  [5142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2643),
  [5145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2020),
  [5148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(5207),
  [5151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(4336),
  [5154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2426),
  [5157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(5026),
  [5160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2908),
  [5163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(4517),
  [5166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2161),
  [5169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2381),
  [5172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(723),
  [5175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2370),
  [5178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(4378),
  [5181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(4955),
  [5184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(986),
  [5187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(966),
  [5190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1123),
  [5193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1232),
  [5196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(3728),
  [5199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(745),
  [5202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(3587),
  [5205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1180),
  [5208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1190),
  [5211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1202),
  [5214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1555),
  [5217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [5219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [5221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [5223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1913),
  [5226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2076),
  [5228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [5230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [5232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [5234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [5236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [5238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [5240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [5242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [5244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [5246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [5248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2009),
  [5251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [5253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [5255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1962),
  [5258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [5260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [5262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [5264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [5266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [5268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3129),
  [5271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [5273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1945),
  [5276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3301),
  [5279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [5281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4987),
  [5283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3359),
  [5285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [5287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3028),
  [5289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4465),
  [5291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [5293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3361),
  [5295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4776),
  [5297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4973),
  [5299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4616),
  [5301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5124),
  [5303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5377),
  [5305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3909),
  [5307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [5309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [5311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [5313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [5315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4979),
  [5317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4883),
  [5319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6088),
  [5321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [5323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [5325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [5327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3332),
  [5330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [5332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4449),
  [5334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [5336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2471),
  [5338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3996),
  [5340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [5342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2473),
  [5344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3949),
  [5346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [5348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [5350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3982),
  [5352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [5354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2489),
  [5356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4001),
  [5358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [5360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2530),
  [5362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4460),
  [5364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [5366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arithmetic_expression, 1),
  [5368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arithmetic_expression, 1),
  [5370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2498),
  [5372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3999),
  [5374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [5376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arithmetic_literal, 1),
  [5378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arithmetic_literal, 1),
  [5380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [5382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2490),
  [5384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4002),
  [5386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [5388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [5390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2482),
  [5392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4041),
  [5394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [5396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2460),
  [5398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4040),
  [5400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [5402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [5404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [5406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [5408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4450),
  [5410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [5412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3449),
  [5415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2202),
  [5417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [5419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5229),
  [5421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [5423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [5425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [5427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [5429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3253),
  [5432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3340),
  [5435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [5437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [5439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5935),
  [5441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [5443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5059),
  [5445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [5447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5731),
  [5449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [5451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [5453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [5455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [5457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6054),
  [5459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2202),
  [5462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2201),
  [5465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [5467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [5469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [5471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5944),
  [5473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [5475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [5477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [5479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5955),
  [5481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [5483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [5485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [5487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [5489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3311),
  [5492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [5494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [5496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [5498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5980),
  [5500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2134),
  [5503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [5505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [5507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [5509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extglob_blob, 2),
  [5511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__extglob_blob, 2),
  [5513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [5515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [5517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [5519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3454),
  [5522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3350),
  [5524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2312),
  [5526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [5528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [5530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extglob_blob, 3),
  [5532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__extglob_blob, 3),
  [5534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [5536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [5538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2372),
  [5540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [5542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3504),
  [5545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2396),
  [5548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2372),
  [5551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [5553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, .production_id = 39),
  [5555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, .production_id = 39),
  [5557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [5559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, .production_id = 40),
  [5561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, .production_id = 40),
  [5563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [5565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [5567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [5569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [5571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 42),
  [5573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 42),
  [5575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 12),
  [5577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 12),
  [5579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [5581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2329),
  [5584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_expression, 2, .production_id = 27),
  [5586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postfix_expression, 2, .production_id = 27),
  [5588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 39),
  [5590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 39),
  [5592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [5594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2312),
  [5597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [5599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [5601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [5603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2266),
  [5606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 40),
  [5608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 40),
  [5610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [5612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [5614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [5616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3456),
  [5618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [5620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [5622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [5624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [5626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3460),
  [5628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3461),
  [5630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3464),
  [5632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3466),
  [5634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3468),
  [5636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [5638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3470),
  [5640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3471),
  [5642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3475),
  [5644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3486),
  [5646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [5648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [5650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arithmetic_binary_expression, 3, .production_id = 42),
  [5652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arithmetic_binary_expression, 3, .production_id = 42),
  [5654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4523),
  [5656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [5658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [5660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [5662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5296),
  [5664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4307),
  [5666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [5668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [5670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5128),
  [5672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [5674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [5676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2626),
  [5679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [5681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [5683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, .production_id = 39),
  [5685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, .production_id = 39),
  [5687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [5689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [5691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4373),
  [5693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [5695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [5697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [5699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [5701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [5703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [5705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [5707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arithmetic_postfix_expression, 2, .production_id = 27),
  [5709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arithmetic_postfix_expression, 2, .production_id = 27),
  [5711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [5713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [5715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [5717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, .production_id = 40),
  [5719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, .production_id = 40),
  [5721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1778),
  [5723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [5725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [5727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3592),
  [5729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4650),
  [5731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3591),
  [5733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1779),
  [5735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [5737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [5739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [5741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [5743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [5745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [5747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [5749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [5751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [5753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [5755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arithmetic_unary_expression, 2, .production_id = 12),
  [5757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arithmetic_unary_expression, 2, .production_id = 12),
  [5759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [5761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [5763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [5765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [5767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [5769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [5771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [5773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [5775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [5777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [5779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [5781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [5783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [5785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [5787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [5789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4845),
  [5791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [5793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [5795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [5797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5936),
  [5799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6055),
  [5801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arithmetic_parenthesized_expression, 3),
  [5803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arithmetic_parenthesized_expression, 3),
  [5805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2541),
  [5808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [5810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__c_expression_not_assignment, 1),
  [5812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3957),
  [5814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__c_expression_not_assignment, 1),
  [5816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arithmetic_expression, 1, .production_id = 5),
  [5818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arithmetic_expression, 1, .production_id = 5),
  [5820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5732),
  [5822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arithmetic_expression, 1, .production_id = 6),
  [5824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arithmetic_expression, 1, .production_id = 6),
  [5826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arithmetic_expression, 1, .production_id = 7),
  [5828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arithmetic_expression, 1, .production_id = 7),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5945),
  [5832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4946),
  [5834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5956),
  [5836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [5838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [5840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [5842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ternary_expression, 5, .production_id = 75),
  [5844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, .production_id = 75),
  [5846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arithmetic_ternary_expression, 5, .production_id = 75),
  [5848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arithmetic_ternary_expression, 5, .production_id = 75),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5985),
  [5852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [5854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [5856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [5860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__c_unary_expression, 2, .production_id = 12),
  [5862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2538),
  [5864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__c_unary_expression, 2, .production_id = 12),
  [5866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [5868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [5870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [5872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [5874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [5876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1649),
  [5878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [5880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [5882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [5884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [5886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [5888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [5890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [5892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [5894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [5896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [5898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [5900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [5902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [5904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__c_binary_expression, 3, .production_id = 42),
  [5906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4136),
  [5908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__c_binary_expression, 3, .production_id = 42),
  [5910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [5912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1834),
  [5914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [5916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [5918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [5920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4126),
  [5922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [5924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [5926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [5928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [5930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [5932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [5934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [5936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [5938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [5940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [5942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [5944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [5946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [5948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [5950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1837),
  [5952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3953),
  [5954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [5956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [5958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [5960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [5962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [5964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [5966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [5968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [5970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [5972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [5974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1755),
  [5976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [5978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [5980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [5982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [5984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1767),
  [5986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1770),
  [5988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [5990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [5992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [5994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [5996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4129),
  [5998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4135),
  [6000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [6002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [6004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [6006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [6008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1698),
  [6010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1699),
  [6012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1712),
  [6014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [6016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1720),
  [6018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [6020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1721),
  [6022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1729),
  [6024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [6026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [6028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [6030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [6032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [6034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4145),
  [6036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4147),
  [6038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4148),
  [6040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4160),
  [6042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4162),
  [6044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [6046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [6048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4973),
  [6050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4616),
  [6052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4987),
  [6054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [6056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [6058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [6060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [6062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4163),
  [6064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4172),
  [6066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3951),
  [6068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3683),
  [6070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3687),
  [6072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [6074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [6076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__c_parenthesized_expression, 4),
  [6078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__c_parenthesized_expression, 4),
  [6080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [6082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [6084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [6086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [6088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [6090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [6092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [6094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [6096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [6098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [6100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [6102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [6104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [6106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4033),
  [6108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3985),
  [6110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [6112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__c_parenthesized_expression, 3),
  [6114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__c_parenthesized_expression, 3),
  [6116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [6118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [6120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3967),
  [6122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3958),
  [6124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2, .production_id = 20),
  [6126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2, .production_id = 20),
  [6128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2, .production_id = 20), SHIFT_REPEAT(3088),
  [6131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2, .production_id = 20), SHIFT_REPEAT(3088),
  [6134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2, .production_id = 20), SHIFT_REPEAT(1583),
  [6137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2, .production_id = 20), SHIFT_REPEAT(3195),
  [6140] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2, .production_id = 20), SHIFT_REPEAT(4875),
  [6143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2, .production_id = 20), SHIFT_REPEAT(5233),
  [6146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [6148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [6150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [6152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [6154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5429),
  [6156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [6158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4470),
  [6160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3978),
  [6162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [6164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [6166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__c_postfix_expression, 2, .production_id = 27),
  [6168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__c_postfix_expression, 2, .production_id = 27),
  [6170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [6172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [6174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__c_expression, 1),
  [6176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4176),
  [6178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__c_expression, 1),
  [6180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__c_expression_not_assignment, 1, .production_id = 7),
  [6182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__c_expression_not_assignment, 1, .production_id = 7),
  [6184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__c_expression_not_assignment, 1, .production_id = 5),
  [6186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__c_expression_not_assignment, 1, .production_id = 5),
  [6188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4483),
  [6190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [6192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arithmetic_expansion_repeat1, 2),
  [6194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [6196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2868),
  [6199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4474),
  [6201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [6203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [6205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [6207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [6209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3265),
  [6211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [6213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [6215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [6217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [6219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3274),
  [6221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3275),
  [6223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3276),
  [6225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [6227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3278),
  [6229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [6231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3279),
  [6233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3281),
  [6235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3286),
  [6237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3287),
  [6239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [6241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [6243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3495),
  [6245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [6247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [6249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3483),
  [6251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3482),
  [6253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3481),
  [6255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [6257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3479),
  [6259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [6261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3478),
  [6263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3476),
  [6265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3474),
  [6267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3473),
  [6269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3615),
  [6271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4569),
  [6273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3613),
  [6275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3490),
  [6277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [6279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [6281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [6283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [6285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [6287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [6289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [6291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [6293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [6295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [6297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [6299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [6301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [6303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [6305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4139),
  [6307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4138),
  [6309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4091),
  [6311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4093),
  [6313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4167),
  [6315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [6317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [6319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4097),
  [6321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [6323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4098),
  [6325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4100),
  [6327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [6329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [6331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [6333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [6335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [6337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [6339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [6341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [6343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [6345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [6347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [6349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [6351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [6353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [6355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [6357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [6359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4133),
  [6361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [6363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4130),
  [6365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4128),
  [6367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4156),
  [6369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4127),
  [6371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4152),
  [6373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4120),
  [6375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [6377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4118),
  [6379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4117),
  [6381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4114),
  [6383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4111),
  [6385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [6387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [6389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [6391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [6393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3495),
  [6396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3495),
  [6399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4972),
  [6402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3359),
  [6405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3012),
  [6408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3361),
  [6411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4776),
  [6414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4973),
  [6417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4616),
  [6420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4972),
  [6423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(5124),
  [6426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(5377),
  [6429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3909),
  [6432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(273),
  [6435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(277),
  [6438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(286),
  [6441] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(167),
  [6444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4970),
  [6447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4883),
  [6450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(6088),
  [6453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3673),
  [6455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3675),
  [6457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [6459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3678),
  [6461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5344),
  [6463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5344),
  [6465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3681),
  [6467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [6469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5061),
  [6471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [6473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3023),
  [6475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [6477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4688),
  [6479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5263),
  [6481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [6483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5061),
  [6485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4931),
  [6487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5328),
  [6489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3856),
  [6491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 2, .production_id = 48),
  [6493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [6495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [6497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [6499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [6501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5260),
  [6503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5386),
  [6505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5054),
  [6507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6094),
  [6509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5361),
  [6511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [6513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5071),
  [6515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5071),
  [6517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 4, .production_id = 88),
  [6519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5402),
  [6521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5082),
  [6523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5415),
  [6525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5415),
  [6527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [6529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3678),
  [6532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3348),
  [6535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3351),
  [6538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4806),
  [6541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3681),
  [6544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4580),
  [6547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3776),
  [6550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5430),
  [6553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3900),
  [6556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(244),
  [6559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(255),
  [6562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(263),
  [6565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(135),
  [6568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3660),
  [6571] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6086),
  [6574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [6576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3296),
  [6579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5053),
  [6581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5053),
  [6583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 3, .production_id = 50),
  [6585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5363),
  [6587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5004),
  [6589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2890),
  [6591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [6593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2991),
  [6595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [6597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4812),
  [6599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [6601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4605),
  [6603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [6605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2948),
  [6607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5391),
  [6609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [6611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [6613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [6615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [6617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [6619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3017),
  [6621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [6623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [6625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6077),
  [6627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [6629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [6631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3036),
  [6633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [6635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4694),
  [6637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [6639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [6641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [6643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [6645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5355),
  [6647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [6649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [6651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [6653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [6655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [6657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [6659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [6661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [6663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6061),
  [6665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [6667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [6669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3005),
  [6671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [6673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [6675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4632),
  [6677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [6679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [6681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [6683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [6685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [6687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [6689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [6691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [6693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4179),
  [6695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [6697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3032),
  [6699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [6701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4714),
  [6703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4081),
  [6705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4569),
  [6707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [6709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3601),
  [6711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5380),
  [6713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [6715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [6717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [6719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [6721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [6723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3890),
  [6725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [6727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4171),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6092),
  [6731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2975),
  [6733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [6735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [6737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2989),
  [6739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [6741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4780),
  [6743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [6745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4644),
  [6747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [6749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [6751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5324),
  [6753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [6755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [6757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [6759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [6761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [6763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [6765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [6767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [6769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6074),
  [6771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3646),
  [6773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [6775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [6777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [6779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [6781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [6783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2995),
  [6785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [6787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [6789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4631),
  [6791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [6793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3817),
  [6795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [6797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [6799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [6801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [6803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [6805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [6807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [6809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [6811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2997),
  [6813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [6815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4760),
  [6817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [6819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4634),
  [6821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [6823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [6825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5331),
  [6827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [6829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [6831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [6833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [6835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [6837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2393),
  [6839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [6841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [6843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6089),
  [6845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3855),
  [6847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [6849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [6851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [6853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [6855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [6857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [6859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [6861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [6863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3000),
  [6865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [6867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2398),
  [6869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [6871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [6873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [6875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [6877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3021),
  [6879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [6881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [6883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4620),
  [6885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [6887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [6889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [6891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [6893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [6895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [6897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [6899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [6901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3606),
  [6903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [6905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3030),
  [6907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [6909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4784),
  [6911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [6913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4650),
  [6915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [6917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3610),
  [6919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5381),
  [6921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [6923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [6925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [6927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [6929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [6931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3824),
  [6933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [6935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [6937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6106),
  [6939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [6941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [6943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [6945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [6947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3658),
  [6949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [6951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [6953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [6955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3740),
  [6957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [6959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [6961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [6963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [6965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [6967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [6969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [6971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [6973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [6975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3015),
  [6977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [6979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4741),
  [6981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [6983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4613),
  [6985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [6987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [6989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5327),
  [6991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [6993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [6995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [6997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [6999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [7001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [7003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [7005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [7007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6100),
  [7009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5400),
  [7011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4892),
  [7013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4940),
  [7015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4210),
  [7017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4940),
  [7019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_body, 2, .production_id = 12),
  [7021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4873),
  [7023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5634),
  [7025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4393),
  [7027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4892),
  [7029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5400),
  [7031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [7033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [7035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [7037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [7039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [7041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2975),
  [7044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4247),
  [7046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [7048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3008),
  [7050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [7052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4700),
  [7054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4169),
  [7056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4534),
  [7058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4247),
  [7060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4352),
  [7062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5434),
  [7064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [7066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [7068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [7070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [7072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [7074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4416),
  [7076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4416),
  [7078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [7080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6093),
  [7082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [7084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [7086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3039),
  [7088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [7090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [7092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4656),
  [7094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [7096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [7098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [7100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [7102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [7104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [7106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [7108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [7110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3863),
  [7112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3894),
  [7114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [7116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [7118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3037),
  [7120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [7122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4737),
  [7124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [7126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4654),
  [7128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [7130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [7132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5371),
  [7134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [7136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [7138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [7140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [7142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [7144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [7146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [7148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [7150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6107),
  [7152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3539),
  [7154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [7156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [7158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [7160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [7162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_body, 2, .production_id = 32),
  [7164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4887),
  [7166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_body, 1),
  [7168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(3007),
  [7171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_body, 1, .production_id = 13),
  [7173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5072),
  [7175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4072),
  [7177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [7179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [7181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [7183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4818),
  [7185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [7187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4544),
  [7189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [7191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4112),
  [7193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5338),
  [7195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [7197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [7199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [7201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [7203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [7205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [7207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6085),
  [7209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [7211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [7213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [7215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [7217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66), SHIFT_REPEAT(4075),
  [7220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66), SHIFT_REPEAT(3348),
  [7223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66),
  [7225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66), SHIFT_REPEAT(3351),
  [7228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66), SHIFT_REPEAT(4806),
  [7231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66), SHIFT_REPEAT(4079),
  [7234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66), SHIFT_REPEAT(4580),
  [7237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66), SHIFT_REPEAT(3776),
  [7240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66), SHIFT_REPEAT(5430),
  [7243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66), SHIFT_REPEAT(3900),
  [7246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66), SHIFT_REPEAT(244),
  [7249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66), SHIFT_REPEAT(255),
  [7252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66), SHIFT_REPEAT(263),
  [7255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66), SHIFT_REPEAT(135),
  [7258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66), SHIFT_REPEAT(4065),
  [7261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66), SHIFT_REPEAT(6086),
  [7264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [7266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [7268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [7270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5036),
  [7272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [7274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [7276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5032),
  [7278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [7280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [7282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4407),
  [7284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4072),
  [7287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3343),
  [7290] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3344),
  [7293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4818),
  [7296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4088),
  [7299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4544),
  [7302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4072),
  [7305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4112),
  [7308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5338),
  [7311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3888),
  [7314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(218),
  [7317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(219),
  [7320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(220),
  [7323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(101),
  [7326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4064),
  [7329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6085),
  [7332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4433),
  [7334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4969),
  [7336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4969),
  [7338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4981),
  [7340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5081),
  [7342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [7344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [7346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5098),
  [7348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [7350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [7352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [7354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5152),
  [7356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5017),
  [7358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5057),
  [7360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5057),
  [7362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5060),
  [7364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5066),
  [7366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4993),
  [7368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4993),
  [7370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4988),
  [7372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [7374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [7376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3815),
  [7378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3893),
  [7380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [7382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5129),
  [7384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5011),
  [7386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [7388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [7390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [7392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [7394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [7396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [7398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [7400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4602),
  [7402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [7404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [7406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [7408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [7410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [7412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [7414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [7416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [7418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [7420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [7422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [7424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [7426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [7428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4635),
  [7430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [7432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [7434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [7436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [7438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [7440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [7442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [7444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [7446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [7448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [7450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [7452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4598),
  [7454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [7456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [7458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [7460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [7462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [7464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [7466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [7468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [7470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [7472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [7474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5038),
  [7476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [7478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [7480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [7482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [7484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [7486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4580),
  [7488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [7490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3900),
  [7492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [7494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [7496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [7498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [7500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [7502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [7504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [7506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [7508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [7510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [7512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [7514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [7516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5273),
  [7518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5282),
  [7520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4345),
  [7522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4534),
  [7524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4341),
  [7526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5087),
  [7528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [7530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [7532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [7534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [7536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [7538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [7540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [7542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [7544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [7546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [7548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [7550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [7552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3879),
  [7554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [7556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [7558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [7560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [7562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [7564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [7566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [7568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [7570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [7572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [7574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [7576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [7578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [7580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [7582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [7584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [7586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [7588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4164),
  [7590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4544),
  [7592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4166),
  [7594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [7596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [7598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [7600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [7602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [7604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2882),
  [7606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [7608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [7610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [7612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [7614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [7616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [7618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [7620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4330),
  [7622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4657),
  [7624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4331),
  [7626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [7628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [7630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [7632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [7634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [7636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [7638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [7640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [7642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [7644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [7646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [7648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [7650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [7652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [7654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [7656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [7658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [7660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [7662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4753),
  [7664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [7666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4595),
  [7668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [7670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1963),
  [7672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5416),
  [7674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [7676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [7678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [7680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [7682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [7684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [7686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6078),
  [7688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [7690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [7692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [7694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [7696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [7698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [7700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [7702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [7704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [7706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [7708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [7710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [7712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [7714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3306),
  [7716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3306),
  [7718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4854),
  [7720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [7722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2423),
  [7724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5426),
  [7726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [7728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [7730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [7732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [7734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2327),
  [7736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [7738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [7740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [7742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3167),
  [7744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [7746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4864),
  [7748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4570),
  [7750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2789),
  [7752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5412),
  [7754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [7756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [7758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [7760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [7762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2773),
  [7764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [7766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4385),
  [7768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3514),
  [7770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4392),
  [7772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4385),
  [7774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4392),
  [7776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2808),
  [7778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [7780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2817),
  [7782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2330),
  [7784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [7786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [7788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [7790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [7792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2213),
  [7794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2824),
  [7796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4943),
  [7798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [7800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [7802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4432),
  [7804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4961),
  [7806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4588),
  [7808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4943),
  [7810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4956),
  [7812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5379),
  [7814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3818),
  [7816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [7818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [7820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [7822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [7824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4961),
  [7826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6068),
  [7828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [7830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2831),
  [7832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2332),
  [7834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2841),
  [7836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2335),
  [7838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1571),
  [7840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [7842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [7844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [7846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1572),
  [7848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [7850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [7852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [7854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [7856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [7858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [7860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [7862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [7864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [7866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [7868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2849),
  [7870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [7872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [7874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [7876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [7878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [7880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [7882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [7884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [7886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [7888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [7890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [7892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [7894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [7896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2336),
  [7898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2856),
  [7900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [7902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [7904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [7906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [7908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [7910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [7912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2338),
  [7914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [7916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [7918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [7920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [7922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [7924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [7926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4360),
  [7928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3092),
  [7930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4342),
  [7932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4360),
  [7934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4342),
  [7936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2867),
  [7938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [7940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1639),
  [7942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [7944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [7946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [7948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1718),
  [7950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [7952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [7954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [7956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [7958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [7960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4612),
  [7962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [7964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [7966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [7968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [7970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [7972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [7974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [7976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4218),
  [7978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [7980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [7982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [7984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4537),
  [7986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4218),
  [7988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [7990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [7992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [7994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [7996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4224),
  [7998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4187),
  [8000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4187),
  [8002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4289),
  [8004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3651),
  [8006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2929),
  [8008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [8010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [8012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3656),
  [8014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2689),
  [8016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2931),
  [8018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3515),
  [8020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3573),
  [8022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2896),
  [8024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [8026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [8028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3561),
  [8030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4436),
  [8032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2865),
  [8034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2380),
  [8036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2059),
  [8038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [8040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [8042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [8044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [8046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3871),
  [8048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [8050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [8052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [8054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3904),
  [8056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [8058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [8060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [8062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [8064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [8066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [8068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [8070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2895),
  [8072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2679),
  [8074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2678),
  [8076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [8078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [8080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [8082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [8084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [8086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [8088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [8090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [8092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [8094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [8096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [8098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [8100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [8102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [8104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [8106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [8108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [8110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4539),
  [8112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [8114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [8116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [8118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [8120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [8122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [8124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2888),
  [8126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [8128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [8130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3091),
  [8132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2324),
  [8134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [8136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2799),
  [8138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [8140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2834),
  [8142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [8144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [8146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [8148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [8150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [8152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [8154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [8156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4003),
  [8158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3829),
  [8160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [8162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4008),
  [8164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [8166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4015),
  [8168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [8170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [8172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2919),
  [8174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2918),
  [8176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [8178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [8180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [8182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [8184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [8186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4627),
  [8188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [8190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [8192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [8194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [8196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [8198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [8200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [8202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2884),
  [8204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [8206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [8208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2811),
  [8210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [8212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [8214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [8216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [8218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [8220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [8222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [8224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [8226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [8228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [8230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2814),
  [8232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4698),
  [8234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [8236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [8238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [8240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3577),
  [8242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [8244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [8246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [8248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3571),
  [8250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2608),
  [8252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [8254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [8256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [8258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [8260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [8262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [8264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3689),
  [8266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [8268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [8270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [8272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [8274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4641),
  [8276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [8278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [8280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [8282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [8284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [8286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3650),
  [8288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2778),
  [8290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [8292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [8294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [8296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [8298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [8300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2954),
  [8302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1704),
  [8304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [8306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [8308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2957),
  [8310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2787),
  [8312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [8314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1702),
  [8316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2685),
  [8318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2682),
  [8320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [8322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [8324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [8326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [8328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1751),
  [8330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2321),
  [8332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [8334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3845),
  [8336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3659),
  [8338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [8340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [8342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3891),
  [8344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3079),
  [8346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [8348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3891),
  [8350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3886),
  [8352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [8354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [8356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [8358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [8360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [8362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3081),
  [8364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2902),
  [8366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2920),
  [8368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [8370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2781),
  [8372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2879),
  [8374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2877),
  [8376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [8378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [8380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [8382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2833),
  [8384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [8386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [8388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [8390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3519),
  [8392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [8394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4866),
  [8396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4555),
  [8398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2716),
  [8400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5354),
  [8402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [8404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [8406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [8408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [8410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2813),
  [8412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2429),
  [8414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3880),
  [8416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [8418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [8420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [8422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [8424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [8426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [8428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [8430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [8432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [8434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [8436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3697),
  [8438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [8440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3697),
  [8442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [8444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [8446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [8448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [8450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [8452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [8454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3700),
  [8456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [8458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [8460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [8462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [8464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [8466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2216),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [8470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [8472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [8474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [8476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2464),
  [8478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3808),
  [8480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [8482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [8484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3809),
  [8486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3812),
  [8488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [8490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3819),
  [8492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [8494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [8496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [8498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [8500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [8502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [8504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [8506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [8508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [8510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [8512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [8514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [8516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [8518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [8520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [8522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [8524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [8526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [8528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [8530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [8532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [8534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [8536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [8538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [8540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [8542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [8544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2648),
  [8546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2647),
  [8548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2646),
  [8550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [8552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [8554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2835),
  [8556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2836),
  [8558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [8560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2840),
  [8562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [8564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [8566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2842),
  [8568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2851),
  [8570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3056),
  [8572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3067),
  [8574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3019),
  [8576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3014),
  [8578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [8580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [8582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [8584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [8586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [8588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [8590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [8592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [8594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [8596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [8598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [8600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4267),
  [8602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [8604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [8606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4273),
  [8608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [8610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [8612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4225),
  [8614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4225),
  [8616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4259),
  [8618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [8620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [8622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [8624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2317),
  [8626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2774),
  [8628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2323),
  [8630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [8632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [8634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [8636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [8638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [8640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [8642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [8644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [8646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2674),
  [8648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [8650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2653),
  [8652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [8654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2409),
  [8656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [8658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [8660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [8662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2410),
  [8664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [8666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [8668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [8670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [8672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [8674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2766),
  [8676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2845),
  [8678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [8680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [8682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2765),
  [8684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [8686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [8688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [8690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [8692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [8694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [8696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [8698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2764),
  [8700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4353),
  [8702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4353),
  [8704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4361),
  [8706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [8708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [8710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [8712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [8714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [8716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [8718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4300),
  [8720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4300),
  [8722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4301),
  [8724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [8726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [8728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2762),
  [8730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [8732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [8734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [8736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [8738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [8740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [8742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [8744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [8746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4894),
  [8748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4891),
  [8750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4894),
  [8752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4922),
  [8754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [8756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2761),
  [8758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [8760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [8762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [8764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [8766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5127),
  [8768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4566),
  [8770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [8772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5127),
  [8774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5122),
  [8776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2395),
  [8778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2756),
  [8780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3618),
  [8782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [8784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [8786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [8788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [8790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [8792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [8794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [8796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2746),
  [8798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [8800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [8802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [8804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [8806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4575),
  [8808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2268),
  [8810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [8812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [8814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [8816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [8818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [8820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2739),
  [8822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2656),
  [8824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [8826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [8828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [8830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4185),
  [8832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3094),
  [8834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4141),
  [8836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4185),
  [8838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4141),
  [8840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [8842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [8844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3550),
  [8846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [8848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [8850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2265),
  [8852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [8854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [8856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [8858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2735),
  [8860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [8862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [8864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [8866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [8868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4918),
  [8870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4918),
  [8872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4920),
  [8874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [8876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2263),
  [8878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2730),
  [8880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2657),
  [8882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [8884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2728),
  [8886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2261),
  [8888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2725),
  [8890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [8892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [8894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [8896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [8898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [8900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [8902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [8904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [8906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [8908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [8910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [8912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [8914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [8916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [8918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [8920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [8922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [8924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [8926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2724),
  [8928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [8930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [8932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [8934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [8936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2722),
  [8938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [8940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2720),
  [8942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3083),
  [8944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [8946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [8948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [8950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [8952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [8954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [8956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2718),
  [8958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [8960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [8962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [8964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [8966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [8968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [8970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [8972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [8974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2298),
  [8976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [8978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [8980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [8982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [8984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [8986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [8988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [8990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [8992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [8994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [8996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [8998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [9000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [9002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [9004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [9006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [9008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [9010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2299),
  [9012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2711),
  [9014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [9016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [9018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [9020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2300),
  [9022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [9024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [9026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2310),
  [9028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2707),
  [9030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2705),
  [9032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4357),
  [9034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3061),
  [9036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4356),
  [9038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4357),
  [9040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4356),
  [9042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2316),
  [9044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2704),
  [9046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [9048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2319),
  [9050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2703),
  [9052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3062),
  [9054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [9056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2586),
  [9058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2270),
  [9060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2702),
  [9062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4528),
  [9064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [9066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [9068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3581),
  [9070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4513),
  [9072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [9074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4528),
  [9076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3897),
  [9078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [9080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [9082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [9084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4513),
  [9086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2850),
  [9088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2337),
  [9090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [9092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [9094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2309),
  [9096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2284),
  [9098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2342),
  [9100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2258),
  [9102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2701),
  [9104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [9106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [9108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [9110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [9112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [9114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [9116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2368),
  [9118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2344),
  [9120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2371),
  [9122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2328),
  [9124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2780),
  [9126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2783),
  [9128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2375),
  [9130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2784),
  [9132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2700),
  [9134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2785),
  [9136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2786),
  [9138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2788),
  [9140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2790),
  [9142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2791),
  [9144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2796),
  [9146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2654),
  [9148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2412),
  [9150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2797),
  [9152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2800),
  [9154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [9156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2801),
  [9158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [9160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [9162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2900),
  [9164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [9166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [9168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2878),
  [9170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [9172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3582),
  [9174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2971),
  [9176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2334),
  [9178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [9180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4926),
  [9182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4926),
  [9184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4925),
  [9186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [9188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [9190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [9192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4368),
  [9194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4609),
  [9196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4388),
  [9198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2970),
  [9200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [9202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3547),
  [9204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4178),
  [9206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4046),
  [9208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2357),
  [9210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [9212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4863),
  [9214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4591),
  [9216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [9218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5385),
  [9220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3786),
  [9222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [9224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [9226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [9228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3075),
  [9230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [9232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3376),
  [9234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4719),
  [9236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3492),
  [9238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [9240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [9242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3243),
  [9244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3047),
  [9246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [9248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4734),
  [9250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [9252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3502),
  [9254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [9256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3492),
  [9259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3492),
  [9262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variable_assignments_repeat1, 2),
  [9264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_assignments_repeat1, 2),
  [9266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_assignments_repeat1, 2), SHIFT_REPEAT(5234),
  [9269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3881),
  [9271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [9273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3750),
  [9275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [9277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_assignments, 2),
  [9279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_assignments, 2),
  [9281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5234),
  [9283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3485),
  [9286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3485),
  [9289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3851),
  [9291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [9293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3388),
  [9296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3388),
  [9299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4842),
  [9301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3220),
  [9303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3485),
  [9305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [9307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3257),
  [9309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [9311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(3739),
  [9314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redirected_statement, 2, .dynamic_precedence = -1, .production_id = 14),
  [9316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirected_statement, 2, .dynamic_precedence = -1, .production_id = 14),
  [9318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4527),
  [9320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4510),
  [9322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [9324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(3701),
  [9327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3103),
  [9329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [9331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3163),
  [9333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4682),
  [9335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3071),
  [9337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [9339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4819),
  [9341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3044),
  [9343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [9345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4813),
  [9347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3739),
  [9349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [9351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [9353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3701),
  [9355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2),
  [9357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3075),
  [9360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(5974),
  [9363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(566),
  [9366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2),
  [9368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(4842),
  [9371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [9373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [9375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [9377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [9379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_assignments_repeat1, 2), SHIFT_REPEAT(5292),
  [9382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [9384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3502),
  [9387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3502),
  [9390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3049),
  [9392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [9394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3189),
  [9396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4724),
  [9398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3864),
  [9400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4844),
  [9402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3388),
  [9404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [9406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3425),
  [9408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [9410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3500),
  [9412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3047),
  [9415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(602),
  [9418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(4844),
  [9421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5261),
  [9423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_assignments_repeat1, 2), SHIFT_REPEAT(5261),
  [9426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3769),
  [9428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [9430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [9432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [9434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_assignments_repeat1, 2), SHIFT_REPEAT(5294),
  [9437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5294),
  [9439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [9441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [9443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [9445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2),
  [9447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(3075),
  [9450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(566),
  [9453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 2),
  [9455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(4886),
  [9458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3425),
  [9461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3425),
  [9464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(3864),
  [9467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [9469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [9471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_assignments_repeat1, 2), SHIFT_REPEAT(5226),
  [9474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [9476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5226),
  [9478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redirected_statement, 1, .dynamic_precedence = -1, .production_id = 3),
  [9480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirected_statement, 1, .dynamic_precedence = -1, .production_id = 3),
  [9482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4886),
  [9484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(3769),
  [9487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3044),
  [9490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(5892),
  [9493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(637),
  [9496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(4838),
  [9499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 60),
  [9501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 60),
  [9503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [9505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2985),
  [9507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [9509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4518),
  [9511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4533),
  [9513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [9515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [9517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [9519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2978),
  [9521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [9523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [9525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [9527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [9529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [9531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 43),
  [9533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 43),
  [9535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 3, .production_id = 56),
  [9537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [9539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [9541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [9543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4855),
  [9545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [9547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [9549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5424),
  [9551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [9553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [9555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [9557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [9559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [9561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5211),
  [9563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [9565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4853),
  [9567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 3, .production_id = 43),
  [9569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [9571] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_assignments_repeat1, 2), SHIFT_REPEAT(5211),
  [9574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [9576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [9578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_group, 3),
  [9580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_group, 3),
  [9582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [9584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 43),
  [9586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 43),
  [9588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [9590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [9592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [9594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, .production_id = 43),
  [9596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, .production_id = 43),
  [9598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [9600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 5, .production_id = 97),
  [9602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 5, .production_id = 95),
  [9604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [9606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [9608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [9610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [9612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_group, 2),
  [9614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_group, 2),
  [9616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4929),
  [9618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4384),
  [9620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [9622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [9624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4838),
  [9626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [9628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4835),
  [9630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [9632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, .production_id = 53),
  [9634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, .production_id = 53),
  [9636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [9638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4890),
  [9640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [9642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 43),
  [9644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 43),
  [9646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(3047),
  [9649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(602),
  [9652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(4890),
  [9655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [9657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [9659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [9661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [9663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4343),
  [9665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [9667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4963),
  [9669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5262),
  [9671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [9673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [9675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [9677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [9679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [9681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [9683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [9685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [9687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [9689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [9691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [9693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4839),
  [9695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [9697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [9699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [9701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 2),
  [9703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [9705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5145),
  [9707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, .production_id = 29),
  [9709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, .production_id = 29),
  [9711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 28),
  [9713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 28),
  [9715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [9717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 6, .production_id = 127),
  [9719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [9721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4952),
  [9723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4294),
  [9725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [9727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [9729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 4, .production_id = 72),
  [9731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [9733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 4, .production_id = 70),
  [9735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 4, .production_id = 68),
  [9737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [9739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [9741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [9743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [9745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [9747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4511),
  [9749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [9751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3103),
  [9754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(677),
  [9757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(4839),
  [9760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [9762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3071),
  [9765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(647),
  [9768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(4835),
  [9771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5121),
  [9773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [9775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(3044),
  [9778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(637),
  [9781] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(4879),
  [9784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 8, .production_id = 44),
  [9786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 8, .production_id = 44),
  [9788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 3, .production_id = 19),
  [9790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 3, .production_id = 19),
  [9792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 64),
  [9794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 64),
  [9796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [9798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [9800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [9802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [9804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [9806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [9808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [9810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [9812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [9814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4843),
  [9816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 5, .production_id = 93),
  [9818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 5, .production_id = 93),
  [9820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 5, .production_id = 92),
  [9822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 5, .production_id = 92),
  [9824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 2, .production_id = 2),
  [9826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 2, .production_id = 2),
  [9828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 5, .production_id = 91),
  [9830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 5, .production_id = 91),
  [9832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 5),
  [9834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 5),
  [9836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__heredoc_body, 2),
  [9838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__heredoc_body, 2),
  [9840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_heredoc_body, 2),
  [9842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_heredoc_body, 2),
  [9844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 7, .production_id = 45),
  [9846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 7, .production_id = 45),
  [9848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 7, .production_id = 44),
  [9850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 7, .production_id = 44),
  [9852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [9854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [9856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [9858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4874),
  [9860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4562),
  [9862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [9864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5437),
  [9866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [9868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [9870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [9872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [9874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 4),
  [9876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 4),
  [9878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4080),
  [9880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2),
  [9882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2),
  [9884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 7, .production_id = 145),
  [9886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 7, .production_id = 145),
  [9888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 6, .production_id = 67),
  [9890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 6, .production_id = 67),
  [9892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 8, .production_id = 45),
  [9894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 8, .production_id = 45),
  [9896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 6, .production_id = 4),
  [9898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 6, .production_id = 4),
  [9900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 5, .production_id = 44),
  [9902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 5, .production_id = 44),
  [9904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4881),
  [9906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_test_command, 3),
  [9908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_test_command, 3),
  [9910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 5, .production_id = 4),
  [9912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 5, .production_id = 4),
  [9914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redirected_statement, 2, .dynamic_precedence = -1, .production_id = 15),
  [9916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirected_statement, 2, .dynamic_precedence = -1, .production_id = 15),
  [9918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, .production_id = 83),
  [9920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, .production_id = 83),
  [9922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 6, .production_id = 45),
  [9924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 6, .production_id = 45),
  [9926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_test_command, 2),
  [9928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_test_command, 2),
  [9930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(3103),
  [9933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(677),
  [9936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(4878),
  [9939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subshell, 3),
  [9941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subshell, 3),
  [9943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 74),
  [9945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 74),
  [9947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3),
  [9949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3),
  [9951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 6, .production_id = 44),
  [9953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 6, .production_id = 44),
  [9955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 4, .production_id = 41),
  [9957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 4, .production_id = 41),
  [9959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 6, .production_id = 123),
  [9961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 6, .production_id = 123),
  [9963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3049),
  [9966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(654),
  [9969] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(4843),
  [9972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, .production_id = 44),
  [9974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, .production_id = 44),
  [9976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 5, .production_id = 55),
  [9978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 5, .production_id = 55),
  [9980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 6, .production_id = 122),
  [9982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 6, .production_id = 122),
  [9984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4879),
  [9986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 6, .production_id = 121),
  [9988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 6, .production_id = 121),
  [9990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 5, .production_id = 45),
  [9992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 5, .production_id = 45),
  [9994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, .production_id = 45),
  [9996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, .production_id = 45),
  [9998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(4080),
  [10001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 6, .production_id = 120),
  [10003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 6, .production_id = 120),
  [10005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, .production_id = 46),
  [10007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, .production_id = 46),
  [10009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [10011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [10013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4878),
  [10015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(3071),
  [10018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(647),
  [10021] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(4881),
  [10024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4884),
  [10026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3413),
  [10029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [10031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__heredoc_command, 1, .production_id = 16),
  [10033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__heredoc_command, 1, .production_id = 16),
  [10035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [10037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [10039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3060),
  [10041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [10043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3152),
  [10045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4689),
  [10047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__heredoc_command, 1, .production_id = 17),
  [10049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__heredoc_command, 1, .production_id = 17),
  [10051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [10053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [10055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(3049),
  [10058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(654),
  [10061] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(4884),
  [10064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [10066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [10068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 140),
  [10070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 140),
  [10072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 5, .production_id = 82),
  [10074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [10076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [10078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 103),
  [10080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 103),
  [10082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 78),
  [10084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [10086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [10088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 80),
  [10090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 80),
  [10092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 59),
  [10094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [10096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [10098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [10100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [10102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 134),
  [10104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 134),
  [10106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 5, .production_id = 107),
  [10108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 76),
  [10110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 76),
  [10112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 58),
  [10114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 138),
  [10116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 138),
  [10118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 5, .production_id = 110),
  [10120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [10122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 6, .production_id = 149),
  [10124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 6, .production_id = 149),
  [10126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 6, .production_id = 107),
  [10128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [10130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5173),
  [10132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [10134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [10136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [10138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [10140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 6, .production_id = 151),
  [10142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 6, .production_id = 151),
  [10144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 6, .production_id = 110),
  [10146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [10148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [10150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [10152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [10154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [10156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [10158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [10160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [10162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [10164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [10166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [10168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [10170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [10172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [10174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 136),
  [10176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 136),
  [10178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 5, .production_id = 45),
  [10180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [10182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 113),
  [10184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 113),
  [10186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 82),
  [10188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [10190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [10192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 130),
  [10194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 130),
  [10196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 5, .production_id = 78),
  [10198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [10200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 111),
  [10202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 111),
  [10204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 59),
  [10206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3108),
  [10208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [10210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [10212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [10214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4663),
  [10216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [10218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [10220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 108),
  [10222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 108),
  [10224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 45),
  [10226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 105),
  [10228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 105),
  [10230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 44),
  [10232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [10234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_assignments_repeat1, 2), SHIFT_REPEAT(5173),
  [10237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [10239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [10241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [10243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [10245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [10247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [10249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 101),
  [10251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 101),
  [10253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 58),
  [10255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [10257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 132),
  [10259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 132),
  [10261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 5, .production_id = 44),
  [10263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 133),
  [10265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 133),
  [10267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 102),
  [10269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 102),
  [10271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 131),
  [10273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 131),
  [10275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 6, .production_id = 150),
  [10277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 6, .production_id = 150),
  [10279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4840),
  [10281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 135),
  [10283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 135),
  [10285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [10287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [10289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 137),
  [10291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 137),
  [10293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [10295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 139),
  [10297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 139),
  [10299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3381),
  [10301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [10303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5323),
  [10305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4329),
  [10307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3383),
  [10309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3862),
  [10311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expansion_max_length, 1, .production_id = 12),
  [10313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [10315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [10317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [10319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4953),
  [10321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 104),
  [10323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 104),
  [10325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 77),
  [10327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 77),
  [10329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [10331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4837),
  [10333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(4296),
  [10336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 106),
  [10338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 106),
  [10340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 109),
  [10342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 109),
  [10344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 81),
  [10346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 81),
  [10348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [10350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 112),
  [10352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 112),
  [10354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3060),
  [10357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(904),
  [10360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(4840),
  [10363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 114),
  [10365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 114),
  [10367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 141),
  [10369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 141),
  [10371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3108),
  [10374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(5774),
  [10377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3108),
  [10380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(831),
  [10383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(5774),
  [10386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(4837),
  [10389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_assignments_repeat1, 2), SHIFT_REPEAT(5181),
  [10392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5181),
  [10394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 6, .production_id = 152),
  [10396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 6, .production_id = 152),
  [10398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3463),
  [10401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [10403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [10405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [10407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3493),
  [10410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5480),
  [10412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expansion_max_length, 3, .production_id = 50),
  [10414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4974),
  [10416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4380),
  [10418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3506),
  [10421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3073),
  [10424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(5899),
  [10427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3073),
  [10430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(954),
  [10433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(5899),
  [10436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(4841),
  [10439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5484),
  [10441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expansion_max_length, 3, .production_id = 63),
  [10443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4999),
  [10445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(3060),
  [10448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(904),
  [10451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(4880),
  [10454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4880),
  [10456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4377),
  [10458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5459),
  [10460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expansion_max_length, 2, .production_id = 48),
  [10462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4990),
  [10464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3073),
  [10466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5899),
  [10468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3073),
  [10470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [10472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5899),
  [10474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4841),
  [10476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(4380),
  [10479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(3108),
  [10482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(3108),
  [10485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(831),
  [10488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(4888),
  [10491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(4377),
  [10494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4888),
  [10496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [10498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [10500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4424),
  [10502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(3073),
  [10505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(3073),
  [10508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(954),
  [10511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(4877),
  [10514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(4424),
  [10517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5116),
  [10519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [10521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4870),
  [10523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_expression, 1, .production_id = 12),
  [10525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [10527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [10529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [10531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4877),
  [10533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4949),
  [10535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4588),
  [10537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4939),
  [10539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3499),
  [10541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [10543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [10545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5052),
  [10547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5033),
  [10549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [10551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5080),
  [10553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5012),
  [10555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5037),
  [10557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3499),
  [10560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3499),
  [10563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5147),
  [10565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5097),
  [10567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5027),
  [10569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5095),
  [10571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [10573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2977),
  [10575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2965),
  [10577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [10579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(3078),
  [10582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(1454),
  [10585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(4882),
  [10588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4614),
  [10590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(4614),
  [10593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5069),
  [10595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5069),
  [10597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5089),
  [10599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5759),
  [10601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3125),
  [10603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3124),
  [10605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4817),
  [10607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4295),
  [10609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4847),
  [10611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3755),
  [10613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [10615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [10617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [10619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4789),
  [10621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [10623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4763),
  [10625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [10627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4772),
  [10629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3657),
  [10631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4774),
  [10633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [10635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4748),
  [10637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [10639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4783),
  [10641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [10643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4683),
  [10645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [10647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4765),
  [10649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [10651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4779),
  [10653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2798),
  [10655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4754),
  [10657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4089),
  [10659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4778),
  [10661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1757),
  [10663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4792),
  [10665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [10667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4785),
  [10669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1745),
  [10671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(3125),
  [10674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(3124),
  [10677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(4836),
  [10680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [10682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(4847),
  [10685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(3755),
  [10688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(155),
  [10691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(154),
  [10694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(153),
  [10697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4800),
  [10699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5275),
  [10701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4751),
  [10703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4134),
  [10705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4809),
  [10707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5255),
  [10709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4790),
  [10711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2732),
  [10713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4761),
  [10715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [10717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4781),
  [10719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [10721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4804),
  [10723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2721),
  [10725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4679),
  [10727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [10729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4807),
  [10731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1668),
  [10733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4786),
  [10735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2243),
  [10737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4814),
  [10739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [10741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4826),
  [10743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4327),
  [10745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4756),
  [10747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3562),
  [10749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4746),
  [10751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2837),
  [10753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4739),
  [10755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [10757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4820),
  [10759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [10761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4834),
  [10763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [10765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5141),
  [10767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5133),
  [10769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4827),
  [10771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [10773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4736),
  [10775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2848),
  [10777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4747),
  [10779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3558),
  [10781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4775),
  [10783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2807),
  [10785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4799),
  [10787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2413),
  [10789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4662),
  [10791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [10793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4832),
  [10795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [10797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4796),
  [10799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [10801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4758),
  [10803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2916),
  [10805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4743),
  [10807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2914),
  [10809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4671),
  [10811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [10813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4738),
  [10815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5140),
  [10817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4726),
  [10819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3778),
  [10821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4721),
  [10823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4519),
  [10825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4824),
  [10827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [10829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4766),
  [10831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2417),
  [10833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4697),
  [10835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4526),
  [10837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4729),
  [10839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5153),
  [10841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4718),
  [10843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3794),
  [10845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4722),
  [10847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [10849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4703),
  [10851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4942),
  [10853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4678),
  [10855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [10857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4680),
  [10859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2146),
  [10861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4793),
  [10863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [10865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4674),
  [10867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [10869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4669),
  [10871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2431),
  [10873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4666),
  [10875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2434),
  [10877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4667),
  [10879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1964),
  [10881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4681),
  [10883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [10885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4764),
  [10887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3649),
  [10889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4712),
  [10891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [10893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4720),
  [10895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5228),
  [10897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4777),
  [10899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2943),
  [10901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4695),
  [10903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [10905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4791),
  [10907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [10909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4701),
  [10911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [10913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4704),
  [10915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [10917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4686),
  [10919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2946),
  [10921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4801),
  [10923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2597),
  [10925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4707),
  [10927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2387),
  [10929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4706),
  [10931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [10933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4710),
  [10935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4364),
  [10937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4711),
  [10939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5251),
  [10941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4727),
  [10943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4387),
  [10945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4715),
  [10947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [10949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4728),
  [10951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [10953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4733),
  [10955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [10957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4696),
  [10959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5108),
  [10961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4797),
  [10963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [10965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4708),
  [10967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4948),
  [10969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4716),
  [10971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [10973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4740),
  [10975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [10977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4690),
  [10979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5146),
  [10981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4702),
  [10983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5436),
  [10985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4745),
  [10987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [10989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4732),
  [10991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [10993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4798),
  [10995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [10997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4803),
  [10999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [11001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4749),
  [11003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [11005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4830),
  [11007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [11009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4755),
  [11011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [11013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4693),
  [11015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5340),
  [11017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4744),
  [11019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [11021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4731),
  [11023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [11025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4795),
  [11027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [11029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4685),
  [11031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [11033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4757),
  [11035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [11037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4770),
  [11039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [11041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4725),
  [11043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [11045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4768),
  [11047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [11049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4767),
  [11051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [11053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4676),
  [11055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [11057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4808),
  [11059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3718),
  [11061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4771),
  [11063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2405),
  [11065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4816),
  [11067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3713),
  [11069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4802),
  [11071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [11073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4823),
  [11075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [11077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4831),
  [11079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [11081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4684),
  [11083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4358),
  [11085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4664),
  [11087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [11089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4782),
  [11091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [11093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4829),
  [11095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3555),
  [11097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4825),
  [11099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3557),
  [11101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4672),
  [11103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [11105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4822),
  [11107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [11109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4821),
  [11111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [11113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4815),
  [11115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [11117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4810),
  [11119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [11121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4660),
  [11123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4303),
  [11125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4850),
  [11127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4872),
  [11129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4851),
  [11131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [11133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3104),
  [11135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5792),
  [11137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [11139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [11141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5792),
  [11143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [11145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [11147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2436),
  [11149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [11151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [11153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [11155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3099),
  [11157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5747),
  [11159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [11161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [11163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5747),
  [11165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [11167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [11169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4321),
  [11171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5110),
  [11173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4630),
  [11175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5103),
  [11177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3057),
  [11179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [11181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [11183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [11185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5142),
  [11187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [11189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4514),
  [11191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5401),
  [11193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1753),
  [11195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [11197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2374),
  [11199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4936),
  [11201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3887),
  [11203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3042),
  [11205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5977),
  [11207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [11209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [11211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5977),
  [11213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [11215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5180),
  [11217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3109),
  [11219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [11221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [11223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [11225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [11227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4394),
  [11229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [11231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [11233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3040),
  [11235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [11237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [11239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [11241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2857),
  [11243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5148),
  [11245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [11247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2912),
  [11249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [11251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4153),
  [11253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [11255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3575),
  [11257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [11259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [11261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3667),
  [11263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [11265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [11267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2394),
  [11269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [11271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2939),
  [11273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1780),
  [11275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [11277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [11279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [11281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [11283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [11285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [11287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [11289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [11291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2424),
  [11293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [11295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [11297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [11299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5241),
  [11301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3055),
  [11303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [11305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [11307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [11309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [11311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3692),
  [11313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3070),
  [11315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [11317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [11319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [11321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [11323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [11325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3563),
  [11327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4313),
  [11329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [11331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2089),
  [11333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3072),
  [11335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5903),
  [11337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [11339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [11341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5903),
  [11343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3098),
  [11345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [11347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [11349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [11351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1),
  [11353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4889),
  [11355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(4861),
  [11358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(3783),
  [11361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(224),
  [11364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(225),
  [11367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(228),
  [11370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(4849),
  [11373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2),
  [11375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4861),
  [11377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [11379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [11381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [11383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [11385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4858),
  [11387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 1),
  [11389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2421),
  [11391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2419),
  [11393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [11395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [11397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3084),
  [11399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [11401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [11403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [11405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4849),
  [11407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2),
  [11409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3102),
  [11411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [11413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [11415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [11417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4954),
  [11419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4957),
  [11421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2526),
  [11423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2525),
  [11425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2812),
  [11427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2809),
  [11429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3046),
  [11431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [11433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [11435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [11437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [11439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2748),
  [11441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3097),
  [11443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [11445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [11447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [11449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3066),
  [11451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [11453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [11455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [11457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3068),
  [11459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [11461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [11463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [11465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4885),
  [11467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_body, 3, .production_id = 50),
  [11469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5645),
  [11471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2863),
  [11473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2864),
  [11475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3089),
  [11477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [11479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [11481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [11483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3085),
  [11485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [11487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [11489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [11491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3077),
  [11493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [11495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [11497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [11499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [11501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [11503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [11505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [11507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 3),
  [11509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3202),
  [11511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [11513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [11515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [11517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 1, .production_id = 12),
  [11519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [11521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [11523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [11525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5321),
  [11527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [11529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [11531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5478),
  [11533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5478),
  [11535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [11537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4937),
  [11539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [11541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(45),
  [11543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [11545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4934),
  [11547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [11549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [11551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3202),
  [11554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3202),
  [11557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [11559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [11561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [11563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [11565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(43),
  [11567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [11569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5818),
  [11571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5818),
  [11573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(42),
  [11575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1968),
  [11577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5819),
  [11579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5819),
  [11581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [11583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5479),
  [11585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [11587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [11589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5502),
  [11591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5502),
  [11593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [11595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5501),
  [11597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5501),
  [11599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [11601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4971),
  [11603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_max_length_binary_expression, 3, .production_id = 27),
  [11605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_max_length_expression, 1, .production_id = 7),
  [11607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4898),
  [11609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5661),
  [11611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5662),
  [11613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expansion_regex, 1, .production_id = 12),
  [11615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5661),
  [11617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5662),
  [11619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_max_length_expression, 1),
  [11621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4298),
  [11623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_max_length, 2, .production_id = 12),
  [11625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [11627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_max_length, 2, .production_id = 49),
  [11629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(4971),
  [11632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5664),
  [11634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [11636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 4, .production_id = 50),
  [11638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [11640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [11642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [11644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [11646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [11648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [11650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_max_length, 4, .production_id = 50),
  [11652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [11654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [11656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [11658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [11660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4434),
  [11662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5470),
  [11664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 3, .production_id = 48),
  [11666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5382),
  [11668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [11670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4425),
  [11672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [11674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_max_length, 4, .production_id = 90),
  [11676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3882),
  [11678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3918),
  [11680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [11682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [11684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3876),
  [11686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3876),
  [11688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [11690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [11692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [11694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_max_length, 4, .production_id = 89),
  [11696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_max_length, 3, .production_id = 48),
  [11698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3772),
  [11700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [11702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3773),
  [11704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [11706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [11708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_max_length, 4, .production_id = 63),
  [11710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3542),
  [11712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [11714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3756),
  [11716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [11718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5888),
  [11720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 5, .production_id = 88),
  [11722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5376),
  [11724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3860),
  [11726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [11728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_max_length, 3, .production_id = 62),
  [11730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3543),
  [11732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [11734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5599),
  [11736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 4, .production_id = 84),
  [11738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5452),
  [11740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4852),
  [11742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__concatenation_in_expansion, 2),
  [11744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6003),
  [11746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_body, 3, .production_id = 52),
  [11748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__concatenation_in_expansion_repeat1, 2),
  [11750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__concatenation_in_expansion_repeat1, 2), SHIFT_REPEAT(4478),
  [11753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5975),
  [11755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__for_body_repeat1, 2),
  [11757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__for_body_repeat1, 2), SHIFT_REPEAT(3918),
  [11760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__for_body_repeat1, 2),
  [11762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5953),
  [11764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [11766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5198),
  [11768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5143),
  [11770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [11772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4895),
  [11774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5100),
  [11776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3443),
  [11779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5163),
  [11781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [11783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_body, 3, .production_id = 51),
  [11785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__expansion_body_repeat1, 2, .production_id = 33),
  [11787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__expansion_body_repeat1, 2, .production_id = 33), SHIFT_REPEAT(5132),
  [11790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [11792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 3, .production_id = 61),
  [11794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_body, 2, .production_id = 31),
  [11796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5102),
  [11798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 45),
  [11800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5139),
  [11802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 44),
  [11804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2),
  [11806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2), SHIFT_REPEAT(320),
  [11809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_body, 2, .production_id = 30),
  [11811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3050),
  [11813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5333),
  [11815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5333),
  [11817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5159),
  [11819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [11821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5883),
  [11823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 5, .production_id = 119),
  [11825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3074),
  [11827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5369),
  [11829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5369),
  [11831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5126),
  [11833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3052),
  [11835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5368),
  [11837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5368),
  [11839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [11841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_body, 1, .production_id = 7),
  [11843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 4, .production_id = 45),
  [11845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4143),
  [11847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4206),
  [11849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 4, .production_id = 44),
  [11851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4183),
  [11853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4188),
  [11855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 4, .production_id = 78),
  [11857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4165),
  [11859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4195),
  [11861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4190),
  [11863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 4, .production_id = 82),
  [11865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4092),
  [11867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [11869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [11871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 3, .production_id = 58),
  [11873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4177),
  [11875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4189),
  [11877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_expression, 2, .production_id = 12),
  [11879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__c_expression, 1, .production_id = 26),
  [11881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__c_expression, 1, .production_id = 26),
  [11883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4149),
  [11885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4277),
  [11887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4279),
  [11889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4142),
  [11891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4282),
  [11893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4251),
  [11895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__expansion_body_repeat1, 1, .production_id = 12),
  [11897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 5, .production_id = 107),
  [11899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4113),
  [11901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4285),
  [11903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4284),
  [11905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 5, .production_id = 110),
  [11907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4123),
  [11909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [11911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [11913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(5198),
  [11916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4182),
  [11918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4193),
  [11920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4217),
  [11922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 3, .production_id = 59),
  [11924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4154),
  [11926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4235),
  [11928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4144),
  [11930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [11932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4291),
  [11934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(5263),
  [11937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__c_variable_assignment, 3, .production_id = 54),
  [11939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__c_variable_assignment, 3, .production_id = 54),
  [11941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4191),
  [11943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [11945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [11947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [11949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [11951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [11953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arithmetic_expansion_repeat1, 2), SHIFT_REPEAT(3450),
  [11956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4203),
  [11958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 6, .production_id = 124),
  [11960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [11962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [11964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [11966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [11968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [11970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [11972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 6, .production_id = 125),
  [11974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [11976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 5, .production_id = 96),
  [11978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [11980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 5, .production_id = 94),
  [11982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [11984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 5, .production_id = 98),
  [11986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 5, .production_id = 99),
  [11988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 5, .production_id = 100),
  [11990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [11992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [11994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [11996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 6, .production_id = 128),
  [11998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 6, .production_id = 126),
  [12000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [12002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 7, .production_id = 148),
  [12004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [12006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [12008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [12010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [12012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [12014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [12016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [12018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4860),
  [12020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [12022] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__for_body_repeat1, 2), SHIFT_REPEAT(3952),
  [12025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [12027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4199),
  [12029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__for_body_repeat1, 2), SHIFT_REPEAT(3979),
  [12032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [12034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [12036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [12038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 7, .production_id = 147),
  [12040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [12042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [12044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 7, .production_id = 146),
  [12046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [12048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [12050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [12052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [12054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [12056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [12058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5350),
  [12060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [12062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [12064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [12066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [12068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [12070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [12072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [12074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [12076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [12078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4237),
  [12080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [12082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [12084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 4, .production_id = 69),
  [12086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4236),
  [12088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4933),
  [12090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4194),
  [12092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4266),
  [12094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [12096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 4, .production_id = 71),
  [12098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [12100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4355),
  [12102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [12104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4192),
  [12106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [12108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4512),
  [12110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [12112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [12114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [12116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4115),
  [12118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4305),
  [12120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4186),
  [12122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 4, .production_id = 73),
  [12124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [12126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5109),
  [12128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [12130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5393),
  [12132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4229),
  [12134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 6, .production_id = 129),
  [12136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [12138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4204),
  [12140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [12142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [12144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5392),
  [12146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [12148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [12150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [12152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [12154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [12156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 3, .production_id = 57),
  [12158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 79), SHIFT_REPEAT(3026),
  [12161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 79),
  [12163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5352),
  [12165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [12167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [12169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [12171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [12173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [12175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5299),
  [12177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [12179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [12181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [12183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [12185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [12187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 8, .production_id = 154),
  [12189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4261),
  [12191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [12193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [12195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [12197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [12199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [12201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [12203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5339),
  [12205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [12207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 2, .production_id = 12),
  [12209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5329),
  [12211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [12213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [12215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [12217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [12219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [12221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [12223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [12225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 3, .production_id = 12),
  [12227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5957),
  [12229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 6, .production_id = 88),
  [12231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5629),
  [12233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 4, .production_id = 87),
  [12235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [12237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5085),
  [12239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [12241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5065),
  [12243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_removal, 1, .production_id = 12),
  [12245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5660),
  [12247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [12249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5090),
  [12251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5880),
  [12253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 5, .production_id = 117),
  [12255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [12257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5922),
  [12259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5909),
  [12261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5916),
  [12263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5942),
  [12265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5928),
  [12267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [12269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5884),
  [12271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3928),
  [12273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5009),
  [12275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5005),
  [12277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5013),
  [12279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5893),
  [12281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5934),
  [12283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3929),
  [12285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5022),
  [12287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5856),
  [12289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [12291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5040),
  [12293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5039),
  [12295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5035),
  [12297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5034),
  [12299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5030),
  [12301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5077),
  [12303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5869),
  [12305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [12307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5954),
  [12309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4906),
  [12311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [12313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [12315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 4, .production_id = 85),
  [12317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 4, .production_id = 86),
  [12319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5076),
  [12321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5863),
  [12323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5083),
  [12325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5091),
  [12327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5047),
  [12329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5045),
  [12331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [12333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [12335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5858),
  [12337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5028),
  [12339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5983),
  [12341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [12343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4896),
  [12345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4910),
  [12347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5852),
  [12349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [12351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5088),
  [12353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [12355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5073),
  [12357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5099),
  [12359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5070),
  [12361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5051),
  [12363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5042),
  [12365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5844),
  [12367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5008),
  [12369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [12371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [12373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5075),
  [12375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6053),
  [12377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4901),
  [12379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [12381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [12383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5794),
  [12385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [12387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [12389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [12391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [12393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4389),
  [12395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5832),
  [12397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [12399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [12401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [12403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [12405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [12407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [12409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5826),
  [12411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [12413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [12415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [12417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [12419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [12421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [12423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5820),
  [12425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [12427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [12429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [12431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [12433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [12435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [12437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5812),
  [12439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [12441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [12443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [12445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [12447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5806),
  [12449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [12451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [12453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [12455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4932),
  [12457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4958),
  [12459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5800),
  [12461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [12463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4379),
  [12465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [12467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [12469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5728),
  [12471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [12473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [12475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4964),
  [12477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [12479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5776),
  [12481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [12483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5062),
  [12485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [12487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [12489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [12491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5765),
  [12493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [12495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [12497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [12499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [12501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [12503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5751),
  [12505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [12507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [12509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [12511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5744),
  [12513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [12515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 5, .production_id = 115),
  [12517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5738),
  [12519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4323),
  [12521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [12523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4515),
  [12525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5729),
  [12527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4520),
  [12529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [12531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5723),
  [12533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [12535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [12537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5717),
  [12539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [12541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [12543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5710),
  [12545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 5, .production_id = 118),
  [12547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5703),
  [12549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [12551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [12553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [12555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5003),
  [12557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5024),
  [12559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5696),
  [12561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4522),
  [12563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_operator, 2, .production_id = 48),
  [12565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [12567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [12569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [12571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5688),
  [12573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [12575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [12577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [12579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [12581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4325),
  [12583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5680),
  [12585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4348),
  [12587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [12589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_removal, 2, .production_id = 12),
  [12591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex, 2, .production_id = 47),
  [12593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex, 2, .production_id = 12),
  [12595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5672),
  [12597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 5, .production_id = 116),
  [12599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [12601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [12603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5208),
  [12605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5200),
  [12607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5665),
  [12609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4363),
  [12611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [12613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [12615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [12617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [12619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [12621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5653),
  [12623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5253),
  [12625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [12627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [12629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [12631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [12633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5646),
  [12635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [12637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [12639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [12641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [12643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [12645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5637),
  [12647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [12649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [12651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [12653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [12655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5615),
  [12657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5104),
  [12659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5107),
  [12661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [12663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4365),
  [12665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4370),
  [12667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5577),
  [12669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5174),
  [12671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5191),
  [12673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5149),
  [12675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [12677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [12679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5584),
  [12681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [12683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4349),
  [12685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [12687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [12689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [12691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [12693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [12695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [12697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4529),
  [12699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4509),
  [12701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [12703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [12705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [12707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [12709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [12711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [12713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5144),
  [12715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5162),
  [12717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [12719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5365),
  [12721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5373),
  [12723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [12725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [12727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5150),
  [12729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4346),
  [12731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4332),
  [12733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [12735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [12737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [12739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [12741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [12743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [12745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [12747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [12749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [12751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [12753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [12755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4316),
  [12757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4927),
  [12759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [12761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5504),
  [12763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [12765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4923),
  [12767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [12769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [12771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [12773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [12775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [12777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [12779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [12781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4168),
  [12783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [12785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [12787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [12789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [12791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [12793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5157),
  [12795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5161),
  [12797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [12799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [12801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [12803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [12805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [12807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [12809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [12811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [12813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3885),
  [12815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [12817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [12819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [12821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [12823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [12825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [12827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [12829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [12831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [12833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [12835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [12837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [12839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [12841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [12843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [12845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [12847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [12849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [12851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [12853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [12855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [12857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [12859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [12861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [12863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [12865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [12867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [12869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [12871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [12873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5043),
  [12875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [12877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5730),
  [12879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [12881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [12883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [12885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [12887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [12889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [12891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [12893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [12895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [12897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [12899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [12901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [12903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [12905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [12907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [12909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [12911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [12913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [12915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [12917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [12919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [12921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [12923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [12925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [12927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [12929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 6, .production_id = 142),
  [12931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [12933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 6, .production_id = 143),
  [12935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [12937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [12939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5119),
  [12941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5125),
  [12943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 6, .production_id = 144),
  [12945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [12947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [12949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [12951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4919),
  [12953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [12955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [12957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4862),
  [12959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4893),
  [12961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [12963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4848),
  [12965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4900),
  [12967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [12969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4857),
  [12971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [12973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [12975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [12977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [12979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [12981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [12983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [12985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [12987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [12989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [12991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [12993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [12995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [12997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [12999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [13001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [13003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4962),
  [13005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [13007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [13009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [13011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [13013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [13015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [13017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [13019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [13021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [13023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [13025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [13027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [13029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4959),
  [13031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [13033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4944),
  [13035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5850),
  [13037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4947),
  [13039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4938),
  [13041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [13043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [13045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4017),
  [13047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [13049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 7, .production_id = 153),
  [13051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [13053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [13055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [13057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [13059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [13061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [13063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [13065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [13067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [13069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [13071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4492),
  [13073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4897),
  [13075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5465),
  [13077] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [13079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4902),
  [13081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [13083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4458),
  [13085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [13087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [13089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [13091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [13093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [13095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3963),
  [13097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4899),
  [13099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [13101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [13103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [13105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4914),
  [13107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5442),
  [13109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4915),
  [13111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [13113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [13115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4497),
  [13117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4456),
  [13119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4467),
  [13121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4477),
  [13123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4487),
  [13125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4403),
  [13127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4418),
  [13129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [13131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4474),
  [13133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4470),
  [13135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5451),
  [13137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4450),
  [13139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5443),
  [13141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5439),
  [13143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5441),
  [13145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5440),
  [13147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5450),
  [13149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5445),
  [13151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5454),
  [13153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5463),
  [13155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [13157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [13159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5490),
  [13161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5499),
  [13163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5508),
  [13165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5517),
  [13167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5526),
  [13169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5535),
  [13171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5544),
  [13173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5551),
  [13175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5558),
  [13177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5565),
  [13179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5572),
  [13181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5579),
  [13183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5586),
  [13185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5593),
  [13187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5600),
  [13189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5607),
  [13191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5614),
  [13193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5621),
  [13195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5628),
  [13197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5635),
  [13199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5642),
  [13201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5649),
  [13203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5656),
  [13205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5663),
  [13207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5670),
  [13209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5677),
  [13211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5684),
  [13213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5691),
  [13215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5698),
  [13217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5705),
  [13219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5712),
  [13221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5769),
  [13223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4449),
  [13225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [13227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4907),
  [13229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4912),
  [13231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [13233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [13235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [13237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5895),
  [13239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [13241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5947),
  [13243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3347),
  [13245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5971),
  [13247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5991),
  [13249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6007),
  [13251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6009),
  [13253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6010),
  [13255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6011),
  [13257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6012),
  [13259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6013),
  [13261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6014),
  [13263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6015),
  [13265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6016),
  [13267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6017),
  [13269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6018),
  [13271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6019),
  [13273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6020),
  [13275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6021),
  [13277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6022),
  [13279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6023),
  [13281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6024),
  [13283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6025),
  [13285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6026),
  [13287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6027),
  [13289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6028),
  [13291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6029),
  [13293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6030),
  [13295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6031),
  [13297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6032),
  [13299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6033),
  [13301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6034),
  [13303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6035),
  [13305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6036),
  [13307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6037),
  [13309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6038),
  [13311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6039),
  [13313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6040),
  [13315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6041),
  [13317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6042),
  [13319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6043),
  [13321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6044),
  [13323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6045),
  [13325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6046),
  [13327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6047),
  [13329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6048),
  [13331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6049),
  [13333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_heredoc_start = 0,
  ts_external_token_simple_heredoc_body = 1,
  ts_external_token__heredoc_body_beginning = 2,
  ts_external_token_heredoc_content = 3,
  ts_external_token_heredoc_end = 4,
  ts_external_token_file_descriptor = 5,
  ts_external_token__empty_value = 6,
  ts_external_token__concat = 7,
  ts_external_token_variable_name = 8,
  ts_external_token_test_operator = 9,
  ts_external_token_regex = 10,
  ts_external_token__regex_no_slash = 11,
  ts_external_token__regex_no_space = 12,
  ts_external_token__expansion_word = 13,
  ts_external_token_extglob_pattern = 14,
  ts_external_token__bare_dollar = 15,
  ts_external_token__brace_start = 16,
  ts_external_token__immediate_double_hash = 17,
  ts_external_token__external_expansion_sym_hash = 18,
  ts_external_token__external_expansion_sym_bang = 19,
  ts_external_token__external_expansion_sym_equal = 20,
  ts_external_token_RBRACE = 21,
  ts_external_token_RBRACK = 22,
  ts_external_token_LT_LT = 23,
  ts_external_token_LT_LT_DASH = 24,
  ts_external_token_heredoc_redirect_token1 = 25,
  ts_external_token___error_recovery = 26,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token_simple_heredoc_body] = sym_simple_heredoc_body,
  [ts_external_token__heredoc_body_beginning] = sym__heredoc_body_beginning,
  [ts_external_token_heredoc_content] = sym_heredoc_content,
  [ts_external_token_heredoc_end] = sym_heredoc_end,
  [ts_external_token_file_descriptor] = sym_file_descriptor,
  [ts_external_token__empty_value] = sym__empty_value,
  [ts_external_token__concat] = sym__concat,
  [ts_external_token_variable_name] = sym_variable_name,
  [ts_external_token_test_operator] = sym_test_operator,
  [ts_external_token_regex] = sym_regex,
  [ts_external_token__regex_no_slash] = sym__regex_no_slash,
  [ts_external_token__regex_no_space] = sym__regex_no_space,
  [ts_external_token__expansion_word] = sym__expansion_word,
  [ts_external_token_extglob_pattern] = sym_extglob_pattern,
  [ts_external_token__bare_dollar] = sym__bare_dollar,
  [ts_external_token__brace_start] = sym__brace_start,
  [ts_external_token__immediate_double_hash] = sym__immediate_double_hash,
  [ts_external_token__external_expansion_sym_hash] = sym__external_expansion_sym_hash,
  [ts_external_token__external_expansion_sym_bang] = sym__external_expansion_sym_bang,
  [ts_external_token__external_expansion_sym_equal] = sym__external_expansion_sym_equal,
  [ts_external_token_RBRACE] = anon_sym_RBRACE3,
  [ts_external_token_RBRACK] = anon_sym_RBRACK,
  [ts_external_token_LT_LT] = anon_sym_LT_LT,
  [ts_external_token_LT_LT_DASH] = anon_sym_LT_LT_DASH,
  [ts_external_token_heredoc_redirect_token1] = aux_sym_heredoc_redirect_token1,
  [ts_external_token___error_recovery] = sym___error_recovery,
};

static const bool ts_external_scanner_states[90][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_heredoc_start] = true,
    [ts_external_token_simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token_heredoc_content] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__empty_value] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token_regex] = true,
    [ts_external_token__regex_no_slash] = true,
    [ts_external_token__regex_no_space] = true,
    [ts_external_token__expansion_word] = true,
    [ts_external_token_extglob_pattern] = true,
    [ts_external_token__bare_dollar] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token__immediate_double_hash] = true,
    [ts_external_token__external_expansion_sym_hash] = true,
    [ts_external_token__external_expansion_sym_bang] = true,
    [ts_external_token__external_expansion_sym_equal] = true,
    [ts_external_token_RBRACE] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token___error_recovery] = true,
  },
  [2] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
  },
  [3] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_RBRACK] = true,
  },
  [4] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__bare_dollar] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [5] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__bare_dollar] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [6] = {
    [ts_external_token__concat] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_LT_LT] = true,
  },
  [7] = {
    [ts_external_token__concat] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
  },
  [8] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__bare_dollar] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [9] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__bare_dollar] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [10] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [11] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [12] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__bare_dollar] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [13] = {
    [ts_external_token_variable_name] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
  },
  [14] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [15] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [16] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [17] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [18] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [19] = {
    [ts_external_token__concat] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
  },
  [20] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [21] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [22] = {
    [ts_external_token_test_operator] = true,
    [ts_external_token_LT_LT] = true,
  },
  [23] = {
    [ts_external_token_test_operator] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
  },
  [24] = {
    [ts_external_token_test_operator] = true,
    [ts_external_token_extglob_pattern] = true,
    [ts_external_token__brace_start] = true,
  },
  [25] = {
    [ts_external_token_test_operator] = true,
    [ts_external_token__regex_no_space] = true,
    [ts_external_token__brace_start] = true,
  },
  [26] = {
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
  },
  [27] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__bare_dollar] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [28] = {
    [ts_external_token__concat] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token_LT_LT] = true,
  },
  [29] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [30] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [31] = {
    [ts_external_token_test_operator] = true,
    [ts_external_token_extglob_pattern] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [32] = {
    [ts_external_token_test_operator] = true,
    [ts_external_token_extglob_pattern] = true,
    [ts_external_token_LT_LT] = true,
  },
  [33] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [34] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [35] = {
    [ts_external_token__concat] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token_extglob_pattern] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
  },
  [36] = {
    [ts_external_token__concat] = true,
    [ts_external_token_LT_LT] = true,
  },
  [37] = {
    [ts_external_token_LT_LT] = true,
  },
  [38] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [39] = {
    [ts_external_token_LT_LT] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [40] = {
    [ts_external_token_test_operator] = true,
    [ts_external_token_extglob_pattern] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
  },
  [41] = {
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
  },
  [42] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [43] = {
    [ts_external_token__concat] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
  },
  [44] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [45] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
  },
  [46] = {
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [47] = {
    [ts_external_token_variable_name] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__expansion_word] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_RBRACE] = true,
  },
  [48] = {
    [ts_external_token__empty_value] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
  },
  [49] = {
    [ts_external_token__immediate_double_hash] = true,
    [ts_external_token__external_expansion_sym_hash] = true,
    [ts_external_token__external_expansion_sym_bang] = true,
    [ts_external_token__external_expansion_sym_equal] = true,
    [ts_external_token_RBRACE] = true,
  },
  [50] = {
    [ts_external_token_test_operator] = true,
    [ts_external_token_regex] = true,
    [ts_external_token__brace_start] = true,
  },
  [51] = {
    [ts_external_token_test_operator] = true,
    [ts_external_token__bare_dollar] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_RBRACK] = true,
  },
  [52] = {
    [ts_external_token__immediate_double_hash] = true,
    [ts_external_token_RBRACE] = true,
  },
  [53] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [54] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [55] = {
    [ts_external_token_variable_name] = true,
  },
  [56] = {
    [ts_external_token_test_operator] = true,
    [ts_external_token__bare_dollar] = true,
    [ts_external_token__brace_start] = true,
  },
  [57] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [58] = {
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [59] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [60] = {
    [ts_external_token__immediate_double_hash] = true,
  },
  [61] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [62] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [63] = {
    [ts_external_token__concat] = true,
    [ts_external_token__immediate_double_hash] = true,
    [ts_external_token__external_expansion_sym_hash] = true,
    [ts_external_token__external_expansion_sym_bang] = true,
    [ts_external_token__external_expansion_sym_equal] = true,
    [ts_external_token_RBRACE] = true,
  },
  [64] = {
    [ts_external_token__concat] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [65] = {
    [ts_external_token_variable_name] = true,
    [ts_external_token__external_expansion_sym_hash] = true,
    [ts_external_token__external_expansion_sym_bang] = true,
    [ts_external_token__external_expansion_sym_equal] = true,
    [ts_external_token_RBRACE] = true,
  },
  [66] = {
    [ts_external_token__concat] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
  },
  [67] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [68] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [69] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [70] = {
    [ts_external_token_RBRACE] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [71] = {
    [ts_external_token_variable_name] = true,
    [ts_external_token__expansion_word] = true,
    [ts_external_token_RBRACE] = true,
  },
  [72] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [73] = {
    [ts_external_token_variable_name] = true,
    [ts_external_token__expansion_word] = true,
  },
  [74] = {
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [75] = {
    [ts_external_token__concat] = true,
  },
  [76] = {
    [ts_external_token_heredoc_content] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [77] = {
    [ts_external_token_RBRACE] = true,
  },
  [78] = {
    [ts_external_token__concat] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [79] = {
    [ts_external_token__regex_no_slash] = true,
    [ts_external_token_RBRACE] = true,
  },
  [80] = {
    [ts_external_token_regex] = true,
    [ts_external_token_RBRACE] = true,
  },
  [81] = {
    [ts_external_token__concat] = true,
    [ts_external_token__expansion_word] = true,
    [ts_external_token_RBRACE] = true,
  },
  [82] = {
    [ts_external_token__concat] = true,
    [ts_external_token_RBRACE] = true,
  },
  [83] = {
    [ts_external_token_simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
  },
  [84] = {
    [ts_external_token__external_expansion_sym_hash] = true,
    [ts_external_token__external_expansion_sym_bang] = true,
    [ts_external_token__external_expansion_sym_equal] = true,
    [ts_external_token_RBRACE] = true,
  },
  [85] = {
    [ts_external_token__concat] = true,
    [ts_external_token__external_expansion_sym_hash] = true,
    [ts_external_token__external_expansion_sym_bang] = true,
    [ts_external_token__external_expansion_sym_equal] = true,
    [ts_external_token_RBRACE] = true,
  },
  [86] = {
    [ts_external_token_extglob_pattern] = true,
  },
  [87] = {
    [ts_external_token_heredoc_end] = true,
  },
  [88] = {
    [ts_external_token_RBRACK] = true,
  },
  [89] = {
    [ts_external_token_heredoc_start] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_bash_external_scanner_create(void);
void tree_sitter_bash_external_scanner_destroy(void *);
bool tree_sitter_bash_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_bash_external_scanner_serialize(void *, char *);
void tree_sitter_bash_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_bash(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_word,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_bash_external_scanner_create,
      tree_sitter_bash_external_scanner_destroy,
      tree_sitter_bash_external_scanner_scan,
      tree_sitter_bash_external_scanner_serialize,
      tree_sitter_bash_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
